Welcome to NetObjects Fusion

NetObjects Fusion® 10 is the essential tool for building successful business websites. Whether you are a professional website designer or designing a site for a small business or your family, you can use NetObjects Fusion to design your site quickly and easily.

Map out your site structure by dragging and dropping page icons. NetObjects Fusion automatically creates and updates navigation and links. Lay out your pages quickly by dragging text, graphics, and multimedia into place. Select from dozens of SiteStyles®, or customize or create your own to apply a consistent visual theme throughout your site.

  • Enhance your site with Flash components, navigation and banners. Give your site high-impact visual appeal by incorporating Flash components, navigation and banners onto your pages. Change colors, effects, and display attributes with a few simple clicks, and preview your flash animation in real time. NetObjects Fusion 10 offers new flash time management, text, shapes and symbols components that integrate with your website seamlessly without any Flash knowledge necessary.

  • Perform advanced image editing. NetObjects Fusion includes all the tools necessary to edit images without having to use third-party software. You can crop images, set borders, adjust size and orientation, reduce red-eye, and add text. In addition, apply custom optimization settings to pictures and auto-generated images that control format and download times.

  • Organize your site projects. NetObjects Fusion 10 comes with new features that allow you to structure, organize, and keep track of project tasks enabling shorter time from website concept to live on the Internet. The new Tasks Checklist panel provides you with the ability to monitor progress on your projects quickly and easily without leaving NetObjects Fusion.

  • Customize your workspace. To make your work more efficient, NetObjects Fusion 10 provides a customizable workspace to suit the way you want to work. Customize your workspace using the floating, docking, and stacking features available for all panels and toolbars.

  • Build a digital photo gallery. Use the Photo Gallery tool to put your images on the Web in minutes. Select the images you want to use, choose a display format, and NetObjects Fusion does the rest. Your photo gallery is published to the Web for your friends and family to view.

  • Create amazing Flash photo galleries for your website. NetObjects Fusion 10 includes a new Flash Photo Gallery builder that comes with new transition effects for any picture you would like to showcase on your website. The Flash Photo Gallery makes your images come alive and enhances your website, giving it the professional look and feel you desire.

  • Add interactivity with powerful components. Incorporate some of today’s latest technology—such as RSS feeds, secure log-in pages, and customer testimonial components—using simple drag-and-drop functionality. Add, remove, and manage these components from the centralized component toolbar.

  • Design with the power of CSS. In NetObjects Fusion 10, incorporating the power of CSS 2.1 has never been so easy. Choose from the extensive library of pre-defined stylesheets that compliment the SiteStyle of your choice or incorporate your own. Pre-developed definitions for Table Styles, Form elements, and text that match the look and feel of your web design are just a few of the time saving benefits in NetObjects Fusion 10. Select from a variety of design panels based on your level of comfort with CSS, from beginner to expert, and take advantage of this technology web designers can’t live without.

  • Create an e-commerce catalog. Simplify the process of building your online store with NetObjects Fusion and match your catalog with the look and feel of your website. With just a few clicks, you can easily create a catalog, add products and images, and arrange them so that navigation is effortless. Then, integrate credit card processing for an effective way to deliver world-class products and services to your customers online.

  • Work collaboratively with clients using NetObjects nPower™. With NetObjects nPower, site owners are free to update their NetObjects Fusion built websites at their convenience—while you maintain full control of site structure and design using NetObjects Fusion's Content Management and Version Control features.

  • Take control of your site's content. Utilize full Web-content-management functionality. Whether you are working collaboratively designing a site for your organization or developing websites for several clients, with NetObjects Fusion's content-management features, you can give NetObjects nPower clients the ability to modify their site while you retain control over which aspects of a site are editable.

  • Create archived versions of your site. Using the Version Manager, you can store archived versions of your website when it is modified by nPower users. Now, you now longer have to worry about losing your site's former data or waste time re-creating its content to restore it to a previous version.

  • Take advantage of the Online view. Building your site is just the beginning. NetObjects Fusion provides direct access to online resources that offer information and guidance for making your site successful. You can learn to host and promote your site, set up an online store, track site visitors, and build personal relationships with your customers. Templates, hundreds of SiteStyles, and components that can add new power to NetObjects Fusion and new features to your Web pages are available for you to download.

  • Develop database solutions. You can develop a dynamic site in minutes using NetObjects Fusion’s Database component. Incorporate common database elements in objects such as forms, lists, and tables, all from within the NetObjects Fusion interface. Build pages to display data directly from Page view by simply dragging and dropping elements on to the page, setting values in the properties panel, and using wizards to add tables and queries. This is a great way for beginner and advanced NetObjects Fusion users to implement complex solutions in less time.


Using This Online Help

Using Online Help

NetObjects Fusion offers several options for getting online help:

For topic help, select Help Topics from the Help menu to launch the help system and display the table of contents.

To find information in the online topic help:

  • Click a book on the Contents tab and then double-click a topic to see the information it contains.

  • Use the >> button to move forward through topics in sequential order.

  • Use the << button to move backward through the sequence.

  • Click the Back button to return to the last topic you viewed.

  • Look at the topics in the Quick Reference book to find keyboard shortcuts.

  • The Index tab and enter a keyword related to your topic.

  • The Search tab and type the word or phrase you want to search for.

To see information about a specific item in any NetObjects Fusion window or a control in a dialog or panel:

  • Right-click the object and then select What’s This? from the shortcut menu.

  • Click the question mark icon in the title bar of a dialog, then click the item you want to learn about.

In either case, an explanation of the item pops up.

You can also highlight a menu command, then press F1 for an explanation, or if you are in Style view, select an element and press F1.


How to Get Started with NetObjects Fusion

To ensure success as you start building websites with NetObjects Fusion 10, use the tools provided with the program to get started quickly.

QuickStart Tips

For a quick visual overview of core NetObjects Fusion concepts, choose NetObjects Fusion QuickStart tips from the Help menu.

Step-by-Step

NetObjects Fusion Getting Started Guide contains step-by-step instructions that provide the quickest path to learning how to build websites with NetObjects Fusion.

  • In Chapter 1, "Creating Your First website," you build a small site that provides the framework for all the lessons that follow.

  • Chapter 2, "Touring NetObjects Fusion," uses the site you built to introduce important NetObjects Fusion features.

  • Chapter 3, "Designing Site Navigation," shows you how to set up links to each page in the site so site visitors have access to all pages.

Completing the steps in the first three chapters helps you develop the most critical skills. You can do the steps in one or all of the other chapters in any order you choose.

In-Depth Information

NetObjects Fusion User Guide provides information on all NetObjects Fusion features and functions, from the basics of designing with text and graphics, creating links, and so on, to information about forms, data publishing, and using NetObjects Fusion Components. Information in this guide is arranged by topic. Take some time to look through this manual to learn about the broad range of features available in NetObjects Fusion.


Conventions

NetObjects Fusion often provides multiple ways to accomplish a task. For example, to display a page in Page view, you can click the Page button on the Views bar, choose Page from the View menu, or press Ctrl+3. Procedures in this help generally include the most convenient method, but other methods are usually available. If you are most comfortable using menu commands, you will probably find the item you are looking for on a menu even if it is not explicitly included in the steps.

For readability, this help presents all file names, paths, file extensions, HTML tags, and URLs in boldface. Example names that you should replace with your own names appear in bold italic.

The online help assumes you are proficient with Windows 2000, Windows XP, or Windows Vista. If you need help using these systems, consult their respective user guides. This help also assumes you are familiar with the World Wide Web and its terminology. For general advice about the Web and examples of how to use NetObjects® products, visit Services view.


NetObjects Fusion Basics

NetObjects Fusion 10 incorporates new technologies with the current browser environment to help you meet today’s site building challenges. Using NetObjects Fusion you’ll find it easy to build dynamic, content-rich sites that use the latest interactive technologies, including cascading style sheets and Dynamic HTML.

Browse this section for information about:

  • NetObjects Fusion views

  • NetObjects Fusion window

  • Navigating in NetObjects Fusion

  • Choosing colors and working with color panels

  • NetObjects Fusion folder structure


NetObjects Fusion Views

NetObjects Fusion provides views that correspond to the tasks you complete when you design and build a site. Changes you make in one view are reflected in the others. You can go to any view at any time by clicking a button on the views bar at the top of the NetObjects Fusion window.

You see Online view when you start NetObjects Fusion (if you haven’t changed the settings on the Program tab of the Application Options dialog). Online view offers a variety of resources to help you build successful websites. It includes services you can integrate into your site, content you can incorporate on your pages, how-to information to enhance your site building experience, links to NetObjects and third-party resources, and much more.

Start with Site view to create the hierarchical structure of a site or to import an existing site. You can see a structural map of the site, which is a graphic view that shows how the pages relate to each other, or an outline view similar to Windows Explorer. You can quickly rearrange your site by dragging and dropping pages and sections. See Creating and Managing Sites.

Use Page view to design pages and add content. In Page view you see the Layout area and MasterBorder of each page. The Layout area displays objects that are unique to that page. The MasterBorder contains objects that repeat on a set of pages, much as headers and footers appear in a word processing document. You can also preview the page as it will appear in a browser and view and edit the HTML source. See Page View Basics.

A SiteStyle consists of a variety of elements, including navigation buttons, banners, lines, and text. In Style view you can create your own SiteStyle, or choose from pre-built SiteStyles to give your entire site a consistent look and feel. See Using SiteStyles.

Assets include the files, links, data objects, and variables that you reference in your site. Assets view gives you centralized control over all these referenced items. When you change an asset, NetObjects Fusion updates every reference to that asset throughout the site. See Working in Assets View.

When you are ready to publish the completed site, go to Publish view to set up y our publish profiles and publish your site. See Publishing Your Site.


NetObjects Fusion Window

When you start NetObjects Fusion and create a new blank site, you’ll see a window containing a Home page icon, a Standard toolbox, and a Common Actions toolbar, docked at the top of the window, and a Properties panel.

The title bar, menu bar, and views bar are at the top of the NetObjects Fusion window. The title bar shows the name of the current site.


About the Workspace

The workspace consists of the panels, toolbars, and menus available in NetObjects Fusion. To customize your workspace for maximum efficiency, you can dock, reposition, and modify these features. Generally, panels may be docked to any side of the workspace, or detached and left to float.

The panels available within NetObjects Fusion are listed on the View menu. Clicking the Close button on a docked or floating panel will remove it from the interface. You can open a closed panel by selecting the name of the panel from the View menu.


About Toolbars

When you go to Site view, the Standard Tools and Common Actions toolbar are displayed along with the Views bar. Additional toolbars are available in Page view.

You can move a toolbar by positioning the pointer over the grip handle and dragging it anywhere in the window. To dock the toolbar, double-click its title bar or drag it to the left, right, top, or bottom of the window.

A small triangle in the lower right corner of a tool button indicates the tool is one of a group. To see the entire group, point to the tool and hold down the left mouse button. A flyout containing the other tools in the group appears. As you move the pointer over each tool, a ScreenTip identifies the tool group and the name of the specific tool.

To select a tool from a flyout, position the pointer over the tool and release the mouse button. The tool you select is displayed on the toolbar. For example, if you point to the Draw tool on the Page view Standard toolbox and hold down the left mouse button, you can draw a rectangle, rounded rectangle, ellipse, polygon, or line.

NetObjects Fusion contains the following toolbars:

  • Views: Allowing you to access any of the six different views within NetObjects Fusion immediately .

  • Text Format: Provides the most common used text editing functions.

  • Standard tools: The Standard toolbox contains the most common used actions such as adding text, images, tables and shape tools. Expand the options using the drop-down arrow to display more options for certain tools.

  • Common actions: Offer a quick way to invoke actions that are used frequently such as Save, Cut, Undo-Redo, and Spell Check.

  • Forms: The Forms toolbar contains the necessary controls for developing web based forms.

  • Full Screen: Increase the viewable area with the Full Screen toolbar, by removing all the floating elements to display just the tools you need at a particular time when you need optimum workspace. By default, the Full Screen toolbar is out of sight.

You can customize the existing toolbars or create new custom toolbars to display tools of your choice. You can add and remove buttons, hide or display toolbars, and move toolbars to any location on the workspace. The workspace you create can be saved and reused. See Optimizing Your Workspace. To hide and show toolbars, from the View menu choose Toolbars, Name of toolbar. A check mark on the menu indicates a toolbar is displayed.


About Panels

You can set the positioning of panels in your workspace so they are floating or docked. You can dock the panel by dragging the panel by its title bar until the positioning arrows on the screen are displayed. Holding the left mouse button while you drag, move the panel over the arrow that indicates the position where you would like to dock the panel. You can float the panel by dragging its title bar. While still holding the mouse button down, move towards the area where you want to place it and then release the mouse button.

When a floating panel is set to minimize and you move your mouse over its title bar, the panel will expand.When an auto-hidden floating panel loses focus, it automatically slides under its title bar. While a panel is auto-hidden, only its title bar will be visible in the workspace.To display an auto-hidden floating panel, move your pointer over its title bar or click on it. The panel will slide back into view.

Use the buttons in the lower left of the Page view window to open and close the Properties panel, Site Navigation panel, Object Tree, and CSS panels.


About the Properties Panel

When you click an object in Site, Page, or Style view, the properties panel changes to display the properties available for that object. Properties appear on buttons that also might change when the selected object changes. For example, when you select a text box in Page view, the Text Properties panel includes Text Box and Actions buttons.

When you double-click in the text box to edit the text, the Format button is added to the display.

To dock the properties panel, double-click its title bar. Repeat this action on a docked panel to make the panel float. To completely hide the properties panel, click its Close button. To show the panel again, from the View menu, select Property Inspector. A check mark on the menu indicates the panel is displayed.


Using the Zoom Tools

You can select the Zoom In or Zoom Out tool from the Standard toolbox in Site and Page views. The Zoom In tool is a magnifying glass with a plus sign; the Zoom Out tool has a minus sign.

You can reverse the function of the current Zoom tool by holding down the Alt key. For example, if the selected Zoom tool is Zoom In, pressing Alt changes it to Zoom Out. When you release the Alt key, it becomes Zoom In again.


Navigating in NetObjects Fusion

NetObjects Fusion provides several navigation tools, including buttons on the views bar, the Go menu, and shortcut menus.


Using the Views bar Buttons

You use the buttons on the views bar to move between views. See NetObjects Fusion Views. Some of the buttons in the middle of the views bar change depending on the view. For example, in Site view and Page view you see a New Page button and in Publish view you see a Publish Settings button.

To see how the site will appear in the browser you specify in the Application Options dialog, click the Preview Site button.


Using the Go Menu

The Go menu provides all the navigation features in one place and shows equivalent keyboard shortcuts. A checkmark to the left of a command indicates the current view.

The Go menu commands vary slightly from view to view.

  • From all views you can go to any other view or the current view’s subviews. From Page view you can also go to other pages.

  • Use the Go To command to find any named object in your site. To search the entire site for any named NetObjects Fusion item (a page, layout, SiteStyle, data list, and so on), choose Go To from the Go menu. In the Go To dialog, enter the name, or partial name, of the item you want to locate, choose Begins with, Contains, or Ends with, and click OK. If only one object meets your criteria, NetObjects Fusion opens the appropriate view or dialog to display the object. If several objects meet your criteria, NetObjects Fusion lists them so you can pick one.

  • Use the Last command the same way you use the Last button on the views bar to go to the last page or view you were working on.

  • Use the Recent command to select from a list of the views and pages you displayed during the current session.

  • Use the Preview command to launch your browser and display a preview of your site.


Using Shortcut Menus

NetObjects Fusion provides shortcut menus you open by right-clicking an item. The menu lists the commands you can use on the selected item. In all views and in dialogs and properties panels, you can right-click an item and select What’s This? from the shortcut menu to display a description of the item.


Choosing Colors

In NetObjects Fusion, whenever the properties panel includes a Color button, you can change the color of the selected object. For example, you can change the color of the page icons or the background in Site view, objects in Page view, or button text color in Style view.

To choose a color for a selected object:

  1. Click the Color button in any properties panel where it is offered.

The Color Chooser appears.

The name of the current panel is shown above the color display. The last eight colors you selected from the panel are displayed in the Recent Colors boxes.

  2. Click the color you want to assign to an object in the Color Chooser:

The Original and New boxes show the original color and the color you just selected. RGB and HTML hexadecimal values are also displayed.

You might see a warning that the selected color is not Web safe. To avoid unexpected results for your site visitors, choose colors that are Web safe.

  3. Click OK.

The new color appears in the selected object.


Working with Color Panels

When you choose colors for the objects in your site, you select from the panels offered in the Color Picker. You can use the Browser Safe Panel, which contains colors that are Web safe, the system panel used by Windows, a panel you import from another application such as Adobe Photoshop, or a custom panel you create.


Choosing a Color Panel

  1. Click the Color button in any properties panel where it is offered.

  2. In the Color Chooser, click More Colors to open the Color Picker.

  3. In the Color Picker dialog, clear the Only Web Colors check box.

  4. Select a panel from the drop-down list at the top of the dialog. If you choose Custom Panel and want to load an existing custom panel, see Loading a Custom Color.To create your own custom panel, see Creating or Editing a Color Panel.

The panel is displayed in the Color Picker until you change it.

  5. Click OK.


Loading a Custom Color Panel

  1. Click the Color button in any properties panel where it is offered.

  2. In the Color Chooser, click More Colors to open the Color Picker.

  3. In the Color Picker dialog, clear the Only Web Colors check box.

  4. Select Custom Panel from the drop-down list at the top of the dialog.

An all white panel appears.

  5. In the Open dialog, navigate to the panel you want to use, then click Open.

This panel is displayed in the Color Picker until you change it.

  6. Click OK to close the Color Picker.


Creating or Editing a Color Panel

  1. Click the Color button in any properties panel where it is offered.

The Color Chooser appears.

  2. In the Color Chooser, click More Colors to open the Color Picker.

  3. In the Color Picker dialog, clear the Only Web Colors check box.

  4. Click the color you want to assign to an object in the Color Chooser.

A blank panel appears.

  5. If the desired color is not shown in the Color Chooser, click More Colors to open the Color Picker.

  6. In the Color Picker, select a color range by:

  • Dragging the triangles along the slider.

  • Clicking inside the color slider.

  7. In the color field, click the color you want to assign to the object, or toggle outside the Color Picker dialog to select a color from the Page view window.

When you select a color, the color rectangle to the right of the color slider shows the new color in the top section of the rectangle and the original color in the lower half of the rectangle, and HSB, LAB, RGB, CMYK, and HTML hexadecimal values are also displayed.

If you clear the Only Web Colors check box and select a color, you might see a warning that the selected color is not Web safe. To avoid unexpected results in your site visitors' browsers, choose colors that are Web safe.

  8. If the desired color is not shown in the Color Chooser, click More Colors to open the Color Picker.

  9. In the Save As dialog, type a file name for the panel and click Save.

The new panel is displayed in the Color Picker until you change it.


NetObjects Fusion Folder Structure

The NetObjects Fusion 10 folder contains all the files you need to use NetObjects Fusion.

Do not move or rename the NetObjects Fusion 10 folder or any folders within it. If you need to relocate the NetObjects Fusion folder, you must uninstall and reinstall the program. NetObjects Fusion performs best when the application and its parts remain in the folder recommended during installation. This is especially true with the \User Sites folder. Since NetObjects Fusion keeps track of assets and links, folder names and locations are very important. If you change names and/or locations using Windows Explorer or File Manager, NetObjects Fusion might not be able to track assets and links properly.

The subfolders organize files according to their use:

  • \Components contains the NetObjects Fusion Components, mini-applications that can add sophisticated functions to your site. See Using NetObjects Fusion Components.

  • \FSI Updater contains files required to auto update NetObjects Fusion.

  • \Java contains Java applets and beans.

  • \NetObjects System contains files used by the program; do not delete or remove these files.

User Profiles are stored in the NetObjects System folder. This folder contains information such as user profile, output settings and site preferences, A unique profile is created for every account set up to use that workstation.

  • \QuickStart contains files used to display basic NetObjects Fusion concepts when you choose NetObjects Fusion QuickStart Tips from the Help menu, plus files for the View tips and the Site wizard.

  • \ReadMe contains important information about this version of NetObjects Fusion.

  • \Sample Sites contains one site that demonstrates NetObjects Fusion 10 features.

  • \Styles contains a separate folder for each local SiteStyle, including the ones you create. See Using SiteStyles.

  • \Templates contains the AutoSites™folder, which contains the Blank Site and Import templates that you use to create a new site or to import a site. See Working with Templates.

Do not delete or move the AutoSites folder. This folder contains files necessary for NetObjects Fusion to run correctly.

  • \Tutorial contains the assets you need for the lessons in NetObjects Fusion Getting Started.

  • \User Sites contains all the sites you create. For each site, NetObjects Fusion automatically creates a subfolder within \User Sites to keep your projects organized. Each NetObjects Fusion site is saved with a .nod extension. The site folder also includes an \Assets folder where the assets originally included in the site template are saved, a \Styles folder where all active SiteStyles associated with the site .nod are located, a \Preview folder where HTML sufficient for previewing but not for publishing is stored, and a \Backups folders where backup .nod files are saved. After you publish the site, a \Local Publish folder is added. You can also save sites in other locations.

  • Utilities contains the NetObjects Fusion Launch Utility, which allows you to run NetObjects Fusion 10 and previous versions on the same computer. When you run Launch Utility, it will present a list of all NetObjects Fusion installations on your computer. Select, for example, NetObjects Fusion 7 and click the "Launch" button. This will update the appropriate Windows system files for that version and launch it. You will need to run this application whenever you wish to run a version prior to NetObjects Fusion 7 with Update #5 (7.03.0000.5006). You do not need to run this utility to launch version 7.5, 8 or version 9 as it updates the files automatically.


Setting Application Options

Application option settings affect all sites you work on in NetObjects Fusion. You can change settings from any view by choosing Options>Application from the Tools menu. Changes take place as soon as you click OK to close the Application Options dialog.

Browse this section for information about setting:

  • Program options

  • Preview options

  • Text options

  • International options

  • Update options

  • Preferences

For information about site-specific settings, see Setting Options for the Current Site.


Setting Program Options

From the Tools menu, choose Options>Application.

The Program tab of the Application Options dialog appears.

  • Auto save. When this option is selected, your site is saved each time you change views or pages. If you clear the Auto save check box, be sure to save your site periodically by choosing Save Site from the File menu.

  • Application window maximized at startup. If you clear the check box for this option, the NetObjects Fusion window opens in the last size you set, rather than full screen size.

  • Open to most recently used file at startup. When this option is selected, the last site you worked on opens automatically when you start NetObjects Fusion. If Open to most recent view is also selected, the site is displayed in the last view you worked in. If this option or Open to most recent view is cleared, you see Online view when you start NetObjects Fusion. If you switch to another view before opening a site, you see View tips.

  • Open file to most recent view. If this option is selected, when you open a site, it is displayed in the last view you worked in.

  • Use small fonts in properties panel. If you clear this check box, you see larger properties panels in Page view. To maximize the area available for your page Layout, leave this option selected.

  • Compact database upon exit. This option is selected by default. Compacting the files can save you substantial hard disk space. In addition, when this option is selected, NetObjects Fusion performs an error-checking procedure to verify your database as it compacts the files. It is recommended that you do not change this setting.

Do not shut down Windows while the file is being compacted. This could cause your .nod file to become unstable.

  • Edit locked objects. You can override locking permissions on a site by selecting this option. This allows you to edit a site without having to unlock each locked piece individually.

  • External file editors. You can select default applications for editing .html, .gif, and .jpg files from within NetObjects Fusion. You launch the default HTML editor by right-clicking the external HTML’s icon in Page view and selecting Open File In External Editor from the shortcut menu. You launch the default image editor by right-clicking the image in Page view or Style view or the image name in Assets view, and selecting Open File In External Editor from the shortcut menu. To choose an external file editor, click Browse and find the file that launches the application.

  • Auto-generated image output. In most cases, when you add an image to a SiteStyle, crop an image, tile an image, rotate an image, create a transparent .gif, or add text to a shape or picture, NetObjects Fusion generates a new file, referred to as an auto-generated image. You can minimize the time it takes for the images to download by setting the Auto-generated image output. You can create output settings in Site view or in the Picture Properties panel.

  • Measurement units. Choose the measurement unit you want to use as you build your site. Choose pixels for the most consistent results independent of monitor resolution.


Setting Preview Options

From the Tools menu, choose Options>Application and click the Preview tab.

  • Select previewing default. When you install NetObjects Fusion, it lists the browsers installed on your system. If installed browsers are not listed, you can add them to the list. Choose the Web browser you want to use for previewing sites by selecting its check box. To change the browser used for previewing, return to this dialog and choose a different browser.

To add a browser to the list, click Add. In the New Browser dialog, type a name for the browser, browse to the shortcut or .exe file that launches it, and click OK.

To remove a browser from the list, select it in the list and click Remove.

To change a browser’s name or location, select the browser in the list and click Edit. Enter the new information and click OK.

  • Preview scope. Choose whether you want to preview only the current page or the entire site you are working on when you click the Preview button on the views bar. Previewing the entire site takes longer, but you can move from page to page in the browser to test the site’s navigation buttons. Select the Current page option to preview only the current page. When you select Current page, links to other pages are disabled. You can also preview the current page by clicking the Page Preview tab in Page view.

You can use keyboard shortcuts to preview either the whole site or just the current page or section:

  • If Entire site is selected in the Application Options dialog, pressing Alt+P or clicking the Preview button previews the entire site; pressing Ctrl+Alt+P or clicking the Preview button while pressing Ctrl previews just the current page.

  • If Current page is selected in the Options dialog, pressing Alt+P or clicking the Preview button previews the current page; pressing Ctrl+Alt+P or clicking the Preview button while pressing Ctrl previews the entire site.

  • Window size. Select the window size or resolution most appropriate for your site visitor’s monitors. This opens a preview window sized to the resolution you select so you can see how site visitors will view your site.


Setting Text Options

From the Tools menu, choose Options>Application and click the Text tab.

  • Browser font settings. To ensure that your pages appear in your browser the way you design them in NetObjects Fusion, choose the same font settings in your browser that you use in your site. For example, if you use Times, size 12, and Courier New, size 10, for your browser proportional and fixed width fonts, choose the same fonts and sizes in NetObjects Fusion. The suggested settings are the defaults used by Microsoft Internet Explorer and Netscape Navigator when they are installed.

These settings do not change the actual font for the HTML generated by NetObjects Fusion; they only mimic the effect of a font change. To change the font, see Modifying a Text Style.

NetObjects Fusion sizes text boxes based on the expected font size, so when you change sizes, you change the Layout of the page slightly.

  • Automatically select entire word. If this option is selected, when you start to drag the mouse pointer over a word, NetObjects Fusion automatically selects the entire word and the space after it.

  • Smart spell check. If this option is selected, after NetObjects Fusion checks spelling of a text block, it does not check the same text again unless you modify the text or clear this option.

  • Check Spelling as you type. If this option is selected, NetObjects Fusion will check the text as you type, and then mark possible errors with wavy underlines. To make a correction, right-click on the word and select the correction you want.

  • Display Report Message. If this option is selected, after NetObjects Fusion spell checks the page or site, you will see the number of corrections made. If you find this option unnecessary, you can also check the "Don’t display again" box after spell-checking your page.


Setting International Options

From the Tools menu, choose Options>Application and click the International tab.

  • Date, time, and decimal formats. The date, time, and decimal formats you select affect how these items are displayed wherever they appear in NetObjects Fusion; for example, the last published date of items in Publish view. These settings do not affect generated HTML or text you enter on Web pages.

Select a format from the Date/time drop-down list. A sample of the format is shown next to each language. To determine the decimal point character, select a format from the Decimal drop-down list. If you choose Use System Setting for either option, NetObjects Fusion uses the setting in the Windows Regional Settings Properties dialog.

  • Spelling dictionary. Select the dictionary you want to use when checking spelling.

  • Sort order. Character variations between languages result in variations in sorting priorities. To ensure that items in Assets view and Publish view are sorted correctly, you can choose the appropriate sort order. This affects only how the items are displayed in NetObjects Fusion; it does not affect the generated HTML. If you choose Use System Setting, NetObjects Fusion uses the current system sort setting.

  • Imported text uses character set. Choose the character set you want to apply to text in imported sites. For information about character sets, see Working with Character Sets.


Updating NetObjects Fusion

From the Tools menu, choose Options>Application and click the Updates tab.

Set your preferences for checking for online program updates. Select Automatically to check for updates using the frequency and event you specify, or Manually to check only when you select Check for Updates form the Tools menu. Automatically is the default setting.

If you select Automatically:

  • Select an update frequency of Daily, Weekly, or Monthly.

  • Choose when you want to check for updates. Select:

Launches to search for updates each time you start NetObjects Fusion.

Connects to the Internet to search for updates when you connect to the Internet while using NetObjects Fusion. This is the default setting.


Setting Preferences

From the Tools menu:

  1. Choose Options>Application,

  2. Click the Preferences tab.

Use the Preferences tab to determine a variety of default options and warning displays. Choose what warnings to appear when publishing or when working with pop-up windows and tables. Set color picker options to only display Web safe colors or to include the color table when setting color preferences. Modify locking and meta tag preferences to maximize productivity.

  • Color Picker Preferences: You can set color options, such as whether or not to show Web colors and the color-table, on the Color Picker dialog.

  • Lock Preferences: Select the messages you want to be displayed when a certain action is taken with one or more objects you have selected to protect.

  • Meta Tags Preferences: You can enable and disable warnings with "apply to all" setting, warnings on multiple overwrite, or warnings on inheritance.

  • Popup Preferences: You can choose to show a warning dialog before a pop-up window is removed.

  • Publish Preferences: Select what warnings to be displayed when folders (either empty or containing data) are deleted.

  • Table Preferences: Select what warnings you want to be displayed when working with table elements.

Any changed preference will also be registered in the object’s settings from the Properties panel.


Upgrading Your Sites

If you created sites with a previous version of NetObjects Fusion, you can upgrade them to NetObjects Fusion 10 by saving the sites as templates and basing new NetObjects Fusion 10 sites on the templates, or by simply opening the site files. For the latest information on compatibility, refer to the Readme.htm file in your NetObjects Fusion 10 folder.


Determining Site File Compatibility

Site (.nod) and template (.nft) files created in the versions listed below are compatible with NetObjects Fusion 10. If some component or data object information does not appear, you must place the components or the data objects again. Tables you placed in versions earlier than 5.0 expand both vertically and horizontally when you view them in NetObjects Fusion 10. You might have to reposition objects on the page to accommodate the expanded tables.

Versions supported:

  • Windows 3.0, 3.01, 4.0, 4.01, 5.0, 5.01, 5.02, 5.02a, MX, 7, 7.5 site files and templates

  • Windows 3.01 and 4.01 international site files and templates except Chinese, Korean, and Japanese

  • Windows TeamFusion Client 3.0 and TeamFusion Client 2000 templates only

Versions not supported:

  • Windows 2.02 international

  • Windows 3.01 and 4.01 international: Chinese, Korean, and Japanese

  • Windows 1.0, 2.0, 2.01, 2.02

  • Windows TeamFusion Client 1.0

  • Macintosh 1.0, 2.01 (same as 2.0), 2.02

If you have sites built in versions that are not supported and you want to use them in NetObjects Fusion 10, go to www.netobjects.com/support, click the Workbench link and follow the Documentation link to the Upgrading from Unsupported Versions usage note.


Migrating Sites and Assets from Earlier Versions

From NetObjects Fusion 10, you can access an older site by creating a new site based on a template or by opening the site file. The best method is to convert the old site to a template in the earlier version of NetObjects Fusion and create a new site based on this template in NetObjects Fusion 10. To learn how to create a new site from a template, see Working with Templates.

  • If you cannot create a template and the older site file is on the same computer as NetObjects Fusion 10, copy its folder from your old \User Sites folder to your new \User Sites folder, and then open the file directly, as described in Opening Site Files from Earlier Versions. NetObjects Fusion prompts you to open a copy because once you open a file in NetObjects Fusion 10, you cannot open it an earlier version. If your site contains blank banners or navigation bars, follow the steps in Adding Your SiteStyles.

If your site contains blank pictures, select Verify All File Assets from the Assets menu in Assets view. See Verifying File Assets for information.

  • If an older site file was created on a different computer, and you want to open it in NetObjects Fusion 10 on your computer, you must save it as a template (.nft) first. Open the older site file in its original version of NetObjects Fusion on the machine where it was created, export it as a template, copy the template folder to your computer, and then base a new site on the template. Saving a site as a template is the only way to move a site from one computer to another without losing asset information. To learn how to create a new site from a template, see Creating a Site from a Template.

  • If you opened an older site file in NetObjects Fusion 10 or created a NetObjects Fusion 10 site file from an older template and the style is missing, see Adding Your SiteStyles for information.

  • If you want your old styles to be in the style list for all new NetObjects Fusion 10 sites, see Editing Your Blank Site Template to Include All Styles to learn how to update your Blank Site template.

  • If you want to use NetObjects TeamFusion Client sites, you must first export the site as a template from TeamFusion Client. Then you can create a new site based on that template. See Creating a Site from a Template. You can also import the template into a site. See Using Templates to Expand a Site.

  • If you already upgraded your files and want to remove the previous version of NetObjects Fusion, see Removing Previous Versions of NetObjects Fusion.


Opening Site Files from Earlier Versions

The easiest way to upgrade older site files is to simply open them in NetObjects Fusion 10. They are converted to the NetObjects Fusion 10 format when you open them.

If you have access to the earlier version of NetObjects Fusion, before you upgrade:

  1. Open the site in the earlier version.

  2. Verify all file assets.

  3. Export the site to a template.

  4. Open the new template file in NetObjects Fusion 10.

  5. Import the site as a template.

The new template is a .zip file that contains the site and its assets.

If you do not have access to the earlier version of NetObjects Fusion:

  1. Use Windows Explorer or File Manager to copy the folders of the sites you want to upgrade from your older \User Sites folder to your NetObjects Fusion 10\User Sites folder.

  2. Launch NetObjects Fusion 10.

  3. Choose Open Site from the File menu, and select the .nod file of the site you want to upgrade.

If you see a message that the backup folder for this site doesn’t exist, click OK.

A dialog confirms that the site was created with an older version of NetObjects Fusion and asks if you want to open a copy of the site instead of altering the current file.

  4. Click Yes and save the copy in the same folder as the original with a new name.

NetObjects Fusion creates a new .nod file. The original .nod file remains in the folder as a backup.

  5. Verify that the site upgraded properly and that all assets are functioning as you expect.

  6. Repeat the steps above until all the sites you want to use in NetObjects Fusion 10 are upgraded.

You can also open backup files created in earlier versions of NetObjects Fusion. Backup files are automatically saved in the \Backups folder in your site folder, or in your site folder with a number or the date as part of the file name. If you want to open a file from a \Backups folder, first move the file out of the \Backups folder into the site folder. This ensures that assets have the correct paths.

If you open a template that uses a font which is not on your system, NetObjects Fusion substitutes the browser proportional font specified on the Text tab of the Application Options dialog. You can still apply the original font to any new text box in the site. When you open the site on a system that has the original font, it is restored.


Adding Your SiteStyles

When you create a new site, NetObjects Fusion always tries to read the style’s images from the current \Styles folder. In NetObjects Fusion 10, if you open an older site .le or create a site based on an older template, you might see blank banners, buttons or other style elements. If this happens you must add the SiteStyle to your new site.

If you want to add a style, you must add the location, or source, where the SiteStyle is stored. The style will appear in the Style view list and you can then make the style Active so that it is associated with your current .nod. In addition, any new SiteStyles add to this location will appear in your Style view. See Using SiteStyles.

Use the following instructions to add a SiteStyle stored on your computer to the Style view. This style will be available in every new blank site you create.

To add a SiteStyle from your computer:

  1. In NetObjects Fusion 10, open the site in which you want to use the new SiteStyle.

  2. In Style view, from the Style menu, choose Add SiteStyle Source.

  3. Select Local SiteStyles as the source type and click OK.

  4. Enter a name for the new source.

This is the name that will appear in the Style view.

  5. Type in the path navigate to the style folder containing the style you want to add, then click Test to verify the path entered is valid.

The path entered must include the folder where the SiteStyle is stored.

  6. Click Finish.

The SiteStyle source appears in the style list. For versions prior to NetObjects Fusion 4.0, the navigation button rollover images are blank. You must assign new rollover images to use the rollover feature for navigation bars.


Editing Your Blank Site Template to Include All Styles

Every time you create a new blank site, it is based on the Blank Site template in the NetObjects Fusion 10\Templates\AutoSites\ Blank Site folder. Because every new site inherits the style list from the Blank Site template, you must edit the Blank Site template to permanently update the style list. Even if you chose to copy SiteStyles from an earlier version during installation, those older SiteStyle names do not appear in the style list of new sites.

You can also make other changes to the Blank Site template, such as deleting the navigation bar and banner. Any change you make to the Blank Site template is reflected in every new blank site you create.

To edit your Blank Site template to include all style names:

  1. In Windows Explorer or File Manager, make a backup copy of the \Blank Site folder located in your NetObjects Fusion 10\Templates\AutoSites folder.

  2. In NetObjects Fusion 10, from the File menu, choose Open Site, and open Blank Site.nft located in the \Blank Site folder.

To see .nft files in the Open dialog, select All Files (*.*) from the Files of Type drop-down list. If you see a message about the Automatic Backup folder, click OK.

  3. Go to Style view and add SiteStyles.

Follow the procedure described in Adding Your SiteStyles to add styles. If you want, you can make other changes to the Blank Site template, such as adding new pages or changing the default style.

  4. From the File menu, choose Save Site.

NetObjects Fusion 10 replaces the default Blank Site.nft with a new one that includes the SiteStyles you just added to the style list. Now every new site you create includes the updated list of styles.


Removing Previous Versions of NetObjects Fusion

Use the Add/Remove Programs control panel to uninstall older version of NetObjects Fusion. Remove older versions only after you verify that all site files, SiteStyles, templates, and other assets that you brought into NetObjects Fusion 10 are functioning as you expect. Also, do not remove older versions if you need to share files with colleagues who still use older versions of NetObjects Fusion. Earlier versions cannot read templates created by NetObjects Fusion 10.


Working with Character Sets

In the past, most computers used the same character set to represent upper and lowercase English language letters, number characters, and punctuation characters. This character set is known as ASCII. However, ASCII is a very limited character set, unable to support a variety of alphabets. To accommodate computer users worldwide, different character sets were developed. These new character sets are often identified by a number, such as code page 850 or ISO-8859-1.

Character sets are composed of code points, which are the numbers assigned to characters that the computer uses to identify the character. For example, in ASCII, when you type a capital A, the computer sees its code point, which is the number 65; if you type a B, the computer sees a 66. Both the code page 850 and the ISO-8859-1 character sets include accented characters, but 850 uses the code point 130 for the character é, and 8859-1 uses 233 for the same character. To eliminate this confusion, an effort is underway to create a universal character set that includes every character from every language. This character set is called Unicode.

Characters display correctly in NetObjects Fusion because they are stored in Unicode. When NetObjects Fusion publishes or previews a page, it converts the text from Unicode to the character set selected for the site or for the individual page.

Suppose you type Greek characters on a page, set the page character set to Western European (ISO-8859-1), and preview the page. Because their particular code points do not have equivalents in the Western European character set, the Greek characters may appear as question marks. If you want to guarantee that the Greek characters on the NetObjects Fusion page display correctly when you preview or publish, you should choose a character set that includes Greek characters. This character set is then inserted in the charset parameter in the generated HTML META tag, which tells the browser how to interpret and display the characters.

If you have a page that contains languages that use different character sets, for example, English on the right and Greek on the left, to guarantee that all characters will be interpreted correctly by the browser, you can use Unicode (UTF-8) or two-byte Unicode (UCS-2) as a character set for the page. Remember that Unicode is evolving; it is not complete yet, but it does include code points for most characters in languages commonly used on computers today. Note that only Netscape 4.x and Microsoft Explorer 4.0 and up currently support UTF-8, and only the most recent versions of Netscape and Microsoft Explorer support UCS-2.


Available Character Sets

The following character sets are included with NetObjects Fusion:

  • Baltic (CP-1257)

  • Central European (ISO-8859-2)

  • Central European (Windows-1250)

  • Chinese Simplified (GB2312)

  • Chinese Traditional (BIG5)

  • Cyrillic (ISO-8859-5)

  • Cyrillic (KO18-R)

  • Cyrillic (Windows-1251)

  • Greek (ISO-8859-7)

  • Greek (Windows-1253)

  • Japanese (EUC-JP)

  • Japanese (ISO-2022-JP)

  • Japanese (SHIFT_JIS)

  • Korean (KSC5601)

  • Turkish (ISO-8859-9)

  • Turkish (Windows-1254)

  • Unicode (UCS-2)

  • Unicode (UTF-7)

  • Unicode (UTF-8)

  • Western European (CP437)

  • Western European (CP850)

  • Western European (ISO-8859-1)

  • Western European (ISO-8859-15)

  • Western European (Windows-1252)

The following character sets are not included with NetObjects Fusion, but are supported once installed in your operating system. You can download language kits at www.microsoft.com or install them from your Windows NT installation disks.

  • Western European (CP-437)

  • Western European (CP-850)

  • Central European (CP-852)

  • Cyrillic (CP-866)

  • Greek (CP-869)

  • Greek (CP-737)

  • Turkish (CP-857)


Setting the Site's Character Set

  1. In any view, from the Tools menu, choose Options>Current Site.

  2. On the General tab of the Current Site Options dialog, select a character set from the Character set drop-down list.

To ensure that characters display properly:

  1. Load a localized operating system. For example, for a Cyrillic site, you must use a Cyrillic OS.

  2. Set the site’s character set.

  3. Change the font for each SiteStyle element on the Graphics tab. This includes banner, buttons, and so on.

  4. Publish the site to see the correct characters in NetObjects Fusion and the browser.

If you type characters that are not included in the selected character set, when you preview or publish the page, you might see question marks in place of unknown characters.


Setting the Character Set for an Individual Page

You can override the default site character set and choose a different character set for individual pages.

  1. In Page or Site view, right-click on the page and select Page Character Set from the shortcut menu.

  2. Select a character set for the page from the Page Character Set drop-down. This character set will be applied only to this page.


Setting the Character Set for a Section

  1. Go to Site view and select a section.

  2. Right-click the parent page of the section and select Section Character Set from the shortcut menu.

  1. Select a character set for the section from the Section Character Set drop-down.


Setting the Character Set for Imported Pages

When you import a site into NetObjects Fusion, you must ensure that it has the correct character set before you begin the import.

  1. From the Tools menu, choose Options>Application.

  2. In the Application Options dialog, click the International tab.

  3. In the Imported HTML section of the dialog, select a character set for imported text from the drop-down list.

If you know the HTML pages in the site you are importing have the appropriate character set specified in the META tag, you can use the Specified in imported Meta tag setting. If, however, you know the site is in Greek and the correct character set is not specified in the META tag, then before importing you should choose an appropriate character set from the drop-down list.

If there is no character set specified in the META tag, and you forget to set the correct character set before importing, NetObjects Fusion assigns the ISO-8859-1 character set.


URL and Page Name Character Requirements

The characters in a URL are limited to those represented in lower ASCII, which includes uppercase and lowercase English letters, numbers, and common English punctuation. You cannot use accented characters or other special characters in a URL.

You can, however, name pages using accented characters. The names on the banner and buttons display in the correct international form. In Publish view, however, file names, page names, and folders change to names with unaccented characters.

For Japanese, NetObjects Fusion uses the ASCII characters that are normally converted to a Japanese character. For other Asian languages, a numeric file name is assigned.


Creating and Managing Sites

Site view is where you create, view, and maintain the architecture of your site. Site view frees you from the details of file and link management, so you can focus on organizing and updating your site. For example, you can drag a page or section to any location in Site view, and NetObjects Fusion updates the links to other pages automatically.

Browse this section for information about Site view and its automated site-building capabilities, including:

  • Starting NetObjects Fusion.

  • Starting with a blank site.

  • Opening an existing site.

  • Managing the Site Building Process

  • Working with the SiteStructure.

  • Selecting pages.

  • Setting page properties.

  • Adding , copying , deleting , and moving. pages.

  • Renaming pages.

  • Assigning custom names.

  • Working with the site outline.

  • Printing the SiteStructure.

  • Saving and backing up your site.

  • Changing site settings.


Starting NetObjects Fusion

When you install NetObjects Fusion, it is added to your Windows Start menu.

  1. From the Start menu, choose Programs>NetObjects>NetObjects Fusion 10.

  2. Follow the onscreen instructions to configure your system, or skip this for now and continue.

  3. You can use the Site wizard to create a site or go directly to NetObjects Fusion Online view.

  • If you choose the Site wizard, follow the onscreen instructions to create your site.

  • To create a blank site or open an existing site, see Creating and Opening Sites .

  • To create a new site based on a NetObjects Fusion template file, see Working with Templates.

  • To create a new site from an existing website, see Importing Existing Sites .

After the first launch, you can set Application Options so NetObjects Fusion automatically opens the last site you worked on in the last view you used. See Setting Program Options.


Working with Site Files

A NetObjects Fusion site file is a relational database of information about your site. Site files have a .nod extension.

Site files are stored in a folder that has the same name you give the site. For example, if you name the site MySite, the site’s folder is called MySite, and the site file— MySite.nod—is saved inside the folder. The site folder contains an \Assets folder with the asset files used in the site, as well as a \Backups folder. Once you preview the site, a \Preview folder is added, and when you publish the site locally, a \Local Publish folder is added as long as you do not change the default local publish location.

By default your site folder is saved inside the \User Sites folder, but you can store the site in any location on your local computer. Because the paths to the assets in a site file are absolute—they include the drive and folder names—you cannot save the site file on another computer on a network. To move a site to another computer, you must export the site as a template, as described in Working with Templates.

It’s a good idea to check the size of your .nod files periodically. Some site designs may cause a sudden increase in the size of the .nod file. If this happens, choose Re-optimize from the Tools menu. This command can increase the efficiency of the open site file. For additional assistance, contact NetObjects Technical Support.


Creating and Opening Sites

When you create a site, you always begin with a template. You can also derive templates from sites you create.

A template is a fully designed page or site that you can use as a starting point for your own pages or sites. A typical template might include a banner and navigation buttons, an assigned SiteStyle, and text or other content. You can start a new site from a template or insert one into your current site. Once inserted into a site, you can modify template pages any way you like. Templates are described in detail in Working with Templates.

You can also open an existing site and add to it, change its style, or modify it.


Starting with a Blank Site

You can build a new site from a blank site, which is a template that consists of a Home page with a banner and navigation buttons.

To start with a blank site:

  1. From the File menu, choose New Site>Blank Site.

The New Blank Site dialog appears.

  2. Enter a site name in the dialog.

  3. Click Save.

Site view opens and displays a Home page. You can begin developing the SiteStructure, as described in Working with the SiteStructure.


Starting with the Site Wizard

You can also start a new site using the Site wizard.

  1. In Site view, from the File menu, select New Site>Using Site Wizard.

The introductory Site wizard dialog appears.

  1. In Step 1, choose a site Type and corresponding Style.

Click Preview Style to view the style in a browser, or click Next.

  2. In Step 2, select pages and page layouts for your site.

You can add pages, remove pages, or keep the pre-selected pages for your site type.

  3. In Step 3, enter personal and business information.

To save this information in your profile for later use, click "Save to profile".

  4. Click Finish and type a name for your site in the Save Site As dialog.

  5. Click Save to build your site.

Once you have completed the site wizard, you can edit your site at any time.


Opening an Existing Site

  1. From the File menu, choose Open Site.

The Open dialog appears.

  1. Open the folder that contains the site you want to open.

  2. Select the site’s .nod file and click Open.

You can also open an existing site by:

  • Choosing it from the list of recently used files on the File menu.

  • Choosing it from the list of sites in Online view.

  • Double-clicking the .nod file in Windows Explorer.

  • Dragging the .nod file from Windows Explorer to the NetObjects Fusion window.


Working with the SiteStructure

In Site view, the structure of your site is represented by page icons. As in a family tree, pages have parent, child, and sibling relationships.

In Site view you can add pages to the site, rename pages, move them, copy them, delete them, and complete other site-oriented actions. To add content to a particular page—for example, to add text or pictures—use Page view. As you construct a site, you typically go back and forth between Site view and Page view.


Selecting a Page

Before you can add, copy, rename, or move pages, or set page properties, you must select a page. By selecting a page, you identify it as the one you will work with. NetObjects Fusion places a blue border around the selected page.

To select a page:

  • Click the Selection tool on the toolbar and then click the icon for the page you want to select. Don’t click the page’s name unless you want to rename the page.

  • Press the arrow keys to select the current page’s parent, child, or sibling pages.

Pages that are excluded from the site navigation will have a red border and the line connecting the page to its parent page will be removed.


Working with a Group of Pages

In addition to selecting individual pages, you can select several pages and change their properties. You can select any combination of noncontiguous pages or you can select a section of your site, which is any page and all its children, their children, and so on.

To select noncontiguous pages:

  1. Click the first page to select it.

  2. Shift+Click additional pages to select them.

NetObjects Fusion places a border around each selected page and lists the pages on the Selected Pages section of the Properties panel.

To select a section:

  1. Click the parent page of the section.

  2. Shift+Click the parent page of the section.

NetObjects Fusion places a border around each page in the section and lists the pages on the Selected Pages section of the Properties panel.

Sections are not permanent entities. You can deselect the section by clicking any page in the site, or by clicking the Site view background.


Setting Properties

Pages have properties. Some properties affect the published site; others are for your information only. For example, you can assign colors to the page icons to create visual groups that indicate which pages are finished or which are assigned to a particular designer. You can instruct NetObjects Fusion not to publish a particular page, note if a page is done, and enter comments about the selected page. And you can use META tags to include information about specific pages on each site.


Setting Page Properties

You set the following properties on the Page section of the Properties panel:

  • Page name. Name assigned to the page that is used on the page icon in Site view and the banners and navigation bar buttons generated by NetObjects Fusion. See Renaming Pages.

  • Page title. Text that appears in the title bar of the browser window when it displays this page. When site visitors bookmark this page, the page title is used. The title is also emphasized in search engine queries.

  • Custom Names. See Using Custom Button and Banner Names and File Extensions .

  • Page type. Shows whether the page is a normal page or a stacked page. You cannot change this setting; it is determined by how the page was created. For information about stacked pages, see Data Publishing.

  • MasterBorder. Shows the MasterBorder assigned to the page. You can change the MasterBorder by selecting from the drop-down list.

  • Exclude From Navigation. Removes the page from the site navigation. The page is published and typically accessed using links. See Creating Links.


Setting Site Management Properties

  • Setting Site Management Properties

Click the Management button to set the following properties:

  • Done. Page icon displays a check mark when you select Done. This is a convenient way to manage individual pages in a large site. This setting has no effect on the functioning of the site.

  • Don’t publish. Makes it possible to publish some pages while not publishing others that might be under construction or private. The page icon displays a red indicator when you select Don’t publish.

NetObjects Fusion removes pages marked Don’t publish from the navigation bars of other pages in the site, disables manually created links to such pages, and does not generate HTML for these pages during publishing. However, you can preview a page that is designated Don’t publish as an individual page.

Do not use the Don't publish setting in an attempt to publish only changed pages to an already-published site. Doing so causes broken links and other undesirable results. Instead, you can publish a section of the site to update it. See Publishing Your Site.

  • Color code. You can set the color of page icons in Site view to highlight a group of selected pages or pages that share the same MasterBorder. A page icon’s color has no effect on the published site. You can display either a user-defined or MasterBorder color by opening the View menu, choosing Page Color Coding, and then choosing User Defined or MasterBorder. You select the colors to be displayed on the Management section of the Properties panel.

On the Management section of the Properties panel, click the:

  • User defined Color button to choose a color for the currently selected page or pages.

  • MasterBorder Color button to choose a color for pages that have the same MasterBorder as the currently selected page. This option is not available if multiple pages are selected.

For example, select a page and choose blue as the MasterBorder color and red as the user-defined color. From the View menu, choose Page Color Coding, MasterBorder. The icons representing all pages that share the MasterBorder of the selected page turn blue. If you create a new page and assign the same MasterBorder, that page icon is also blue. Return to the View menu and choose Page Color Coding, User Defined. The icon of the originally selected page now turns red and the other page icons return to the default color.

  • Comments. Enter notes about the status or content of individual pages. This option is not available if multiple pages are selected.


Setting Properties for a Group of Pages

When multiple pages are selected, you set properties on the Selected Pages tab of the Properties panel. You can change the properties for all selected pages or for a single page.

  1. In Site view, select the pages you want to work with. See Working with a Group of Pages .

  2. Choose a property from the top drop-down list. You can select:

  • MasterBorder to change the MasterBorder applied to the selected page or pages.

  • Page name to change the name of the page in Site view and the default names on the page’s banner and navigation button.

  • Title to change the text displayed in title bar of the site visitor’s browser and bookmark list.

  • Navigation button to change the text displayed on the button in the navigation bar that links to the selected page.

  • Banner to change the text displayed on the selected page’s banner.

  • File extension. See Using Custom Button and Banner Names and File Extensions .

  1. Select a property value from the drop-down list, or type a value into the field.

  2. To apply the new value to all selected pages, click Set on all.

The new value is displayed in the list at the bottom of the panel.

You can also set Management properties for multiple pages. See Setting Site Management Properties.


Setting META Tag Properties

You can use META tags to include information about a site within the <HEAD> tag of each page in the site. For example, you might want to include keywords to promote your site with the various search engines, the site author’s name, or copyright information. Site visitors do not see information included in a META tag.

You can set META tag properties at the page level or at the site level.

  1. In Site view, select the page you want to work with and click the META tags tab.

  2. Choose a META tag from the META tag drop-down list and insert the text you would like to associate with this META tag:

  • Abstract. Provide a brief summary or abstract of your website. This is normally a one or two sentence overview of your site.

  • Author. Declare the author of or organization associated with the web page being read.

  • Contact Address. Provide site visitors information about how to contact you or your organization.

  • Copyright. Place a copyright notice on all web pages of your site.

  • Date. Declare when the web page was created.

  • Description. Provide a general overview of what is contained in your web page. This is the content displayed by search engines.

  • Distribution. Define how your web page will be categorized on the web in terms of intended audience.

  • Expires. Sets an expiration date and time of the web page being indexed.

  • Generator. Declares the application used to generate the web page’s META tags.

  • Keywords. List a series of terms representing the content of your site. Some search engines use keywords to categorize sites.

  • Language. Declare the language of your web page.

  • Public. Declare if the web page is available to the public.

  • Rating. Define the content level of your site to screen out inappropriate viewers

  • Refresh. Define the number of seconds before refreshing or redirecting your web page

  • Revisit After. Define how many days a search engine spider should revisit your web page

  • Robots. Declare to search engines what content to index and spider

  1. Click on the text field and enter your content.

  2. To apply these META tags to all child pages, click "Inherit META tags from parent". If you make changes to the META tags on a page in which they were inherited, "Inherit META tags from parent" will no longer apply.

If you add META tags to your Home page, you have the option to apply the META tags to all pages.

Adding META tags in Site view will overwrite any existing keywords for that page entered through Site Options.


Setting Page Protection Options

You can set protection options for pages to retain control over each page’s content. Protection options are useful if you are creating websites for clients who will use NetObjects nPower to edit their sites.

Click the Protection Options button to apply the following protection options:

  • From deletion. Prevents the page from being deleted or removed from the SiteStructure.

  • From copying. Prevents the page and its content from being copied.

  • From move. When this option is checked, the page cannot be cut and then pasted elsewhere in the SiteStructure.

  • From adding child page. Ensures that new pages cannot be created under the current parent page in the SiteStructure.

  • Protect layout from editing. Prevents the layout from being modified or resized and protects objects within the layout from being modified.

  • Allow text editing in layout. Allows only the text within a locked layout to be edited.

  • Protect MasterBorder from editing. Prevents the MasterBorder from being modified or resized and protects objects within the MasterBorder from being modified.

  • Allow text editing in MasterBorder. Allows only the text within a locked MasterBorder to be edited.

  • Site Protection. Opens the Site Protection button of the Current Site Options dialog so that site-wide protection options can be set.


 Changing Versioning Settings

From the Tools menu, choose Options>Current Site and click the Versioning tab.

  • Publish Profile used to store site versions. Select a Publish Profile for storing site versions.

  • Repository Path. Enter the path where site versions will be stored in the selected Publish Profile.

Note: The versioning repository contains sensitive information. For security purposes, the repository path should not be accessible for browsing over the Internet.

  • Alert me when the site versions exceed. Enter a maximum value (in megabytes) of server space for site versions.

  • Total number of site versions. Specify a maximum number of versions that can be stored in the Versions Manager. You will be prompted to delete previous versions when you exceed the maximum number of versions allowed.

  • Naming convention. Choose a preferred naming convention for site backups. Select a plain format or one that includes the date and time from the drop-down list.

  • Backup location. NetObjects Fusion saves backup files in the \User Sites\sitename\Backups folder by default. To change the location of the backup files, type a new path name in the Backup location field, or click Browse and select a new location.

  • Total size of site backups. Enter a maximum value (in megabytes) of hard disk space to be allocated for site version backups.

  • Total number of site backups. Indicate the number of backups you want NetObjects Fusion to keep. The oldest backups are overwritten as newer backups are created. The default is 4 backups; if you have adequate disk space, you can increase this number.


Adding a Page

  1. In Site view, select the page you want to be the parent of the new page.

  2. Click the New Page button on the views bar.

In Site view, the new page appears beneath the selected page. The new page is named Untitled followed by a number, which indicates the order in which new pages were added.

Site visitors may not be able to get to the new page unless navigation is set up in the MasterBorder of the parent page to include the child page. It is also a good idea to set the navigation on the child page to include its parent so site visitors can get back to the previous page.


Copying and Pasting Pages

You can copy pages in Site view and paste them anywhere in the SiteStructure.

  1. Select the page or pages you want to copy and press Ctrl+C.

  2. Select the page to be the parent of the copied pages and press Ctrl+V.

The copies are pasted into the SiteStructure as children of the selected page.


Deleting a Page

  1. In Site view, select the page or pages you want to delete, right-click the page icon, and choose Delete Page from the shortcut menu.

  2. Click Yes to confirm the deletion.

If you delete a page that has children, the child pages move up to the level of the deleted page.

Deleting a page cannot be undone. You cannot delete the Home page.


Moving a Page

When you move pages in Site view, NetObjects Fusion updates all affected links within the site. If you move a page that has children, the pages retain their relationship.

  1. In Site view, select the page or section you want to move. You cannot move the Home page or noncontiguous pages.

  2. Drag the page to the target page, where it becomes a sibling, a child, or a parent in its new location.

As you drag the page, a colored outline highlights the target page. A triangle to the left or right of the target page’s border indicates the moved page will be a sibling; a triangle below the target page’s border indicates the moved page will be a child; and a triangle above the target page’s border indicates the moved page will be a parent.

If you want to move a page so it will be the child of a page that already has children, target the sibling page.

You can cut and paste to move noncontiguous pages.


Replacing the Home Page

You cannot move the Home page, but you can move a page to be the parent of the Home page.

  1. In Site view, select the page you want to become the new Home page.

  2. Drag the page to the Home page until you see the colored triangle above the Home page.

When you release the mouse button, the new page becomes the parent of the Home page.

If you move a page that has children to be the parent of the Home page, the Home page becomes the sibling of the child pages.


Renaming Pages

By default, NetObjects Fusion uses the page name on banners and navigation buttons that identify the page. When you publish your site, NetObjects Fusion uses the page name as the HTML file name for the page. It also uses the page name when it creates links to the page.

NetObjects Fusion converts spaces and non-alphanumeric characters except periods (.) and hyphens (-) in the page name to underscores (_) in the HTML file name.

If you give two pages the same name and they are published in the same folder, NetObjects Fusion adds a numeral to the file name when it generates the HTML files for the second and any additional pages. For example, if you have two pages named Great, NetObjects Fusion creates Great.html and Great1.html. This only affects the page names in Publish view.

You can change the name directly on the page icon or in the Page name field on the Page tab of the Properties panel.

To rename a page on the page icon:

  1. In Site view, click the page name text and type a new name.

  2. Press Enter or click outside the page icon to enter the name.

Once in this edit mode, you can tab between sibling pages to edit their names. NetObjects Fusion remains in edit mode until you press Enter. If a page has no siblings, pressing Tab moves the text edit selection to the page’s parent.

To rename a page on the Properties panel:

  1. Select the page you want to rename.

  2. Edit the text in the Page name field on the Page tab of the Properties panel.

  3. Press Tab or click outside the panel to enter the new name.

If several pages are selected, you can change the page name on the Selected Pages tab of the Properties panel. See Setting Properties for a Group of Pages.


Using Custom Button and Banner Names and File Extensions

By default, banners and navigation buttons use the page name. If you prefer, you can specify different names. If you have a long page name, you can break it into two lines.

To specify custom page names in Site view:

  1. Select the page you want to work with.

  2. On the Page section of the Properties panel, click the Custom Names button.

  3. In the Custom Names dialog, type the custom names you want to use.

  • Navigation button. Appears on navigation buttons leading to this page. To add a second line of text, press Enter after the first line.

  • Banner. Appears in the page’s banner. To add a second line of text, press Enter after the first line.

  • File extension. Page files usually have an .htm or .html extension. A page sometimes requires a different extension to function with specific server software. For example, pages for secure locations use the extension .shtml.

The extension you choose for this page overrides the extension you specify in Publish view. See Setting Up to Publish Locally Error! Bookmark not defined..

  1. When you finish entering names, click OK.

You can also rename buttons and banners in Page view using the object’s Properties panel. See Changing a Button's Name and Changing the Banner Text.


Setting Up the Site View Display

You use options on the View menu in Site view to set up your Site view display.

You can change the Site view orientation and background color and color code the page icons. These settings are strictly for working in Site view. They have no effect on the published site.

  • To change orientation, from the View menu, choose Orientation and then choose Vertical or Horizontal.

  • To change background color, from the View menu, choose Background Color and select a new color from the Color Picker.

  • To set up page icon color codes, see Setting Site Management Properties .


Collapsing the SiteStructure Display

By collapsing the display of the SiteStructure, you hide the child pages of a selected page, displaying only the page icons you want to see. A page with hidden child pages displays a plus symbol beneath its icon.

To collapse the display of child pages, click the triangle beneath the parent’s page icon. To expand the display to see child pages again, click the plus sign.

You can also collapse the display by selecting a parent page and pressing Tab. To expand the display, press Tab again.

The Structure and Outline views display the same expanded and collapsed pages. If you change the child pages hidden and shown in one view, the other view reflects your changes.


Working in Site Outline View

Site Outline view displays the SiteStructure in outline format, including a table of the properties—child name, page type, status, publishing status, and comments— of the child pages of the currently selected page. If the selected page has no children, the table describes the selected page itself.

To switch to Outline view:

In Site view, click the Outline tab.

Like SiteStructure view, Site Outline view shows if a branch of the site is collapsed. A collapsed branch is indicated by a plus sign to the left of the page icon; an expanded branch is indicated by a minus sign.

  • To expand a branch, click the plus sign to the left of a page.

  • To collapse a branch, click the minus sign to the left of a page.

In Outline view you can sort the child pages by their properties so you can quickly identify pages with common characteristics.

Click the heading of the column you want to use to sort the list.

NetObjects Fusion sorts the list in ascending (A-Z) order. To sort the list in descending (Z-A) order, point to the column heading and press Shift+Click.


Printing the SiteStructure

In Site view, you use the Print command on the File menu to print the SiteStructure view of your site or of a section. You cannot print the Site Outline view. The printed structure shows the same magnification, colors, orientation, and expanded or collapsed child pages that you see on the screen. The printout shows the site name in the header and the number of site pages in the footer.

  • To print the entire site, select the Home page, or click All in the Print dialog.

  • To print a specific page and its children, select the top-level page or a section, or click Selected page and its children in the Print dialog.

  • To view what will be printed, select Print Preview from the File menu. Select Close to return to Site view.

  • To fit a large site on a single page, from the File menu, choose Print Setup and select the Print to fit option in the Print Setup dialog.


Saving Your Work

To save your work, choose Save Site from the File menu. NetObjects Fusion also has an auto save feature that saves your work each time you change views. See Setting Program Options.


Backing Up Your Site

You can back up your site manually or automatically.

To make a manual backup:

  1. From the File menu, choose Save Site As.

The Save Site As dialog appears.

  1. Type a descriptive name for your backup file and select a location.

  2. Click Save.

NetObjects Fusion creates a copy of the .nod file in the location you specified and automatically opens that file.

The backup you make with the Save Site As command does not collect all assets and make all links relative. Your backup will still refer to assets and components in the original site file folder. To make a backup with assets and relative links, export your site file as a template, as described in Working with Templates.

For information on automatic site file backups, see Setting Versioning Options .


Setting Options for the Current Site

Site options help you manage your site. You can change these settings from any view. Changes take place as soon as you click OK to close the Current Site Options dialog. You can:

  • Change general settings

  • Setting Page Protection Options

  • Changing Versioning Settings

These options apply only to the current site. To set options that apply to all sites, see Setting Application Options.


Changing General Settings

From the Tools menu, choose Options>Current Site.

The General tab of the Current Site Options dialog appears.

  • Site name. The name assigned to this site when it was created. You cannot change this setting.

  • SiteStyle. The style currently assigned to this site. To change the SiteStyle go to Style view. See Using SiteStyles.

  • Number of pages. Pages currently in this site. This setting is updated when you add or delete pages.

  • Browser compatibility. HTML output method setting for the site. See Controlling Published Output.

  • New page size. Default width and height for pages you add to the site. Changing this setting does not change the size of existing pages in the site.

  • Scripts. Select the default scripting language (ASP or PHP) used for NetObjects Fusion components. Check with your Internet service provider to determine which option is appropriate for your hosting environment.

  • Character set. You can choose a character set from the drop-down list. See Setting the Site's Character Set.

  • Text formatting. You can choose HTML or cascading style sheets (CSS). See Selecting HTML or Cascading Style Sheet Text Formatting.

  • Quote type. Select Straight or Curly quotes for the site’s text objects.

  • HTML Options. Click this button to define characteristics of the HTML generated when you publish your site. See Setting HTML Options.

  • Variable Options. Click this button to enable variable substitution. You can also add a prefix and/or suffix to NetObjects Fusion’s variable syntax that will not conflict with your defined variables.


Managing the Site Building Process

To help organize and complete tasks in your website project, NetObjects Fusion 10 includes an optional Task Checklist panel. The Tasks Checklist panel allows you to organize and maintain all the tasks related to building, editing, and publishing your site.

In the Tasks Checklist panel, you can create simple, yet very well defined tasks, to help maintain order and structure in your website building process. You can assign commands to the tasks and they will behave as internal, or external links. As you complete each task, check off the task as being completed and then move on to the next item on the list.


Using the Tasks Checklist Panel

It is possible to create, edit, rearrange, or delete tasks and task checklists using the Tasks Checklist panel.

  1. Select the Toolbar Options button, and select Add or Remove Buttons > Tasks Manager.

The toolbar menu will appear. It contains all buttons that are initially visible.

  2. Deselect the buttons you don’t want to be visible on the toolbar.

  3. Click the drop-down list to see the task categories.

The Tasks Checklist panel supports three types of checklists:

  • Current site. By default, this checklist contains common tasks related to building, publishing, and advertising your site. The list can also be modified to display the tasks that you use most often when building sites.

  • Currently selected object. This checklist displays the tasks assigned to the selected object. When in the Page View, each object on the page can be assigned its own checklist.

  • Custom checklists. A custom checklist is the list created by you that contains the tasks you consider necessary to the process of building your site. To create your own custom checklist, click the Add Category.. button on the toolbar. The new checklist will appear in the drop-down list. See Creating Custom Tasks Checklists.

The Tasks Checklist panel can be docked, auto-hidden, resized or grouped with other panels. See Working with Panels.

.


Using the Current Site Checklist

The Current Site checklist is displayed when you open a site in NetObjects Fusion. The tasks within this checklist are provided as a guideline to help complete your site project using a predefined process in an organized way. Select the checkbox next to the task to indicate the task has been completed. To create your own checklist using customized tasks that you create, See Creating Custom Tasks Checklists.

To add a new task:

  1. Click the Add task button or double-click an empty row in the Checklist panel. The Edit Task dialog appears.

  2. Add the task name on the Task field.

  3. Select if the Task should contain a standard link or a link to a command. See Creating a Command Link for a task and Creating a Standard Link for a Task.

  4. Write a detailed note in the description area.

  5. Select:

  • OK to save your changes.

  • Cancel and no changes will be saved.

When you add a new task in the checklist you have the following options:

  • To insert the task below the currently selected row

  • To insert the new task on the last row, if no row is selected.


Creating a Standard Link for a Task

To link the task to a dialog, click the ‘Link...’ button.

The standard Link dialog appears. See Creating Links and Anchors.


Creating a Command Link for a Task

If the user links a task to a command, that command will get executed any time the user double-clicks the task. NetObjects Fusion offers a set of predefined commands. Some examples would be browsing a URL with external documentation or simulating the execution of clicks on a menu item or a button from a toolbar.

To link the task to a command:

  1. Click the ‘Link to Command’ button.

The Link to Command dialog appears.

  1. Select a category to display the list of commands available.

  2. Select a command from the "Commands" list.

  3. Click OK to save the link to the command.

To modify the tasks order, highlight the task and select the Move Up or Move Down buttons. Tasks can also be re-ordered via the drag-and-drop method.

To remove a task from the checklist:

  1. Select the task.

  2. Click on the Delete button.

To edit a task:

  1. Click the Edit Task button from the toolbar.

The Edit task dialog appears.

  2. Edit the task name on the Task field.

  3. Select:

  • OK to save your changes.

  • Cancel and no changes will be saved.

The Description text area is optional. In this area, you may write a detailed note about the new task.

To see only the uncompleted tasks, select the Hide completed tasks button.


Creating Custom Tasks Checklists

A custom checklist may contain all the tasks that you consider necessary in creating your site. A custom task checklist can be used as a guide for insuring the completion of all tasks. You can create custom checklists by clicking the Add category.. button on the Tasks Checklist toolbar.

To create a new task category:

  1. Select Manage Tasks Checklist from the drop-down menu.

  2. Click the Add category button. The Task Category dialog appears.

  3. In the Category field, input the name of the new tasks checklist.

  4. Click OK to add the new tasks checklist. The new checklist will appear in the Change category drop-down list.

  5. Select the name of the new category from the Change category drop-down list. The data-grid will be empty until you have added at least one task.

  6. To create a new task, click the Add task button. The Edit task dialog appears.

  7. Add the task name in the Task field. The Description text area is optional.

  8. Create a standard link for the task or link to a command.

  9. On the Edit task dialog, select:

  • OK to save your changes.

  • Cancel and no changes will be saved.

Follow these steps for all the tasks you want to insert in the new checklist.

To order the tasks using the Move up, or Move down buttons:

  1. Select the task you want to move.

  2. Click the Move Up or Move Down button to place the task where you want.

You can also use the drag-and-drop method to sort tasks in the order you would like.


Assigning Checklists to Page Objects

When you place an object on the page, you can add tasks or associate tasks to that object.

For example, you add an object on the page and you want to customize it at a later time by modifying the object properties settings. To make sure you do not forget to complete this task you can create a task checklist that is associated with this object.

To add a task to an object on the page:

  1. Right-click on that object.

  2. Select the Add Task option. The Edit Task dialog appears.

  3. Complete the Edit Task dialog.

The tasks will be added to the currently selected checklist.

You can add as many tasks as you please to an object.

To see only the tasks related to an object, follow these steps:

  1. Select the object that contains the task.

  2. In the Tasks Checklist panel, select Currently Selected Object from the Change category drop-down list.

The tasks associated with the selected object will be displayed. If you select one or more objects in NetObjects Fusion, its associated tasks will be displayed in the task grid. If the selected objects are deleted, then their associated tasks are also deleted from the data grid. If an object containing a task is removed or added using the Undo/Redo method their associated tasks will also be removed or added from the checklist. The Currently Selected Object checklist has the same attributes as the other checklists. You can add, edit, remove, or rearrange tasks in this checklist.


Working with Templates

A template is a predefined set of pages and assets that you can modify to meet your needs. Templates can contain a single page, a site section, or an entire site. You can edit a template, create a new site from a template, or add a template to an existing site.

You can export your NetObjects Fusion site as a template so you can share your work with other NetObjects Fusion developers or move your site to another computer system.

NetObjects Fusion 10 template files are .zip files. Zip files provide a convenient way to group and compress files. Each template .zip file contains a TemplateName.nft file and all the folders required to build a site based on the template. Do not change the content of the .zip file. NetObjects Fusion depends on the structure of the file to find assets when opening the template. If you try to open a .zip file that is not a NetObjects Fusion template file, you see a message and NetObjects Fusion does not open the file.

Templates created in earlier versions of NetObjects Fusion are .nft files. If you have templates created in an earlier version of NetObjects Fusion, open them in NetObjects Fusion 10 and export them as templates to create a template .zip file.

Browse this section for information about:

  • Creating new sites from templates

  • Using templates to expand sites

  • Changing an existing template

  • Exporting sites

  • Sharing NetObjects Fusion site files


Creating a Site from a Template

You can use templates that you or your colleagues create and templates created in previous versions of NetObjects Fusion. See Upgrading Your Sites.

  1. To create a new site based on a template, launch NetObjects Fusion and from the File menu of any view, select New Site>From Template.

The Select a Template File dialog appears.

The Blank Site and Import templates are in the \AutoSites folder. Do not delete or move these templates. If these templates are not available in this folder, you cannot create a new site or import a site.

  2. Navigate to the folder containing the template you want, select the appropriate TemplateName.zip file, and click Open.

You can also open .nft template files that were created in earlier versions of NetObjects Fusion.

The Save Site As dialog appears.

  3. Enter a name for the new site in the File name field.

  4. Select the location where you want to save the site. By default, NetObjects Fusion saves your site in the NetObjects Fusion 10\User Sites folder, but you can store it in the location of your choice.

  5. Click Save.

NetObjects Fusion opens in Site view and displays the page icons of the site you created. You can modify the SiteStructure as described in Working with the SiteStructure.


Using Templates to Expand a Site

One way to expand a site is to insert NetObjects Fusion templates in a specific location in your site. Templates are especially helpful if you have standard boilerplate sections or pages that you want to add to multiple sites. This is also a great way to share with other developers who use NetObjects Fusion. See Exporting a Site.

When you insert a template, follow these guidelines:

  • Before you insert the template, select the location in Site view where you want to add it. The inserted site, page, or section becomes a child of the selected page. You can move the pages once they are inserted.

  • All inserted pages take on the SiteStyle of the current site. For example, if several developers separately create parts of a site, export their work as templates, and insert the templates into a single master site for publishing, the master site’s SiteStyle ensures that the compiled site has a consistent look and feel. If you save the site as a template, the SiteStyle is saved as well. See Using SiteStyles

  • When NetObjects Fusion inserts a template, if the MasterBorder names duplicate those already in the site, it prefixes the template’s MasterBorders with Inserted and adds them to the current site’s library of MasterBorders. You can rename, edit, or delete these extra MasterBorders. See Working with MasterBorders.

  • Every template begins with a single root page, which is helpful if you are adding the template to your site. However, if you want the root page of your template to be the Home page of your site, you must create a new site based on the template, rather than inserting it.

To insert a template:

  1. In Site view, right-click the page under which you want to insert the template. This page becomes the parent of the inserted page or pages.

  2. Select Insert Template from the shortcut menu.

The Insert Template dialog appears.

  1. Navigate to the template you want to insert and select the TemplateName.zip file.

  2. Click Open.

NetObjects Fusion inserts the template under the page you selected. The page data is added to the .nod file and the assets are added to the \Assets folder within the site folder. The original template is still available.


Exporting a Site

You can export any site or selected pages of a site as a template. NetObjects Fusion copies all assets into the \Assets folder of the template in the location you select, and converts absolute paths to relative paths. NetObjects Fusion zips these files and the SiteStyle files and resources for any SiteStyle in use by the source site in the exported template. Exporting a site as a template is the only way to share sites with other NetObjects Fusion developers or to combine sites. You cannot simply copy the .nod file and assets from one computer to another.

Before you export a site as a template, it is a good idea to verify the file assets and then delete unused assets. See Managing File Assets.

To create a template:

  1. In Site view, from the File menu, choose Export as Template.

  2. Select:

  • Entire Site to include all pages in the site in the template.

  • Selected Pages to include only those pages selected in Site view in the template.

The Save Template dialog appears.

  1. Type a name for the template, or accept the name assigned by NetObjects Fusion.

  2. Select the folder where you want to store the template.

  3. If you want the template to include the publish profiles associated with this site, select Include publish profiles.

Be aware that if you select this option and your publish profiles include the password to your site’s FTP location, the password will be included in the publish profiles saved with the template.

  4. Click Save.

NetObjects Fusion creates the template file, an \Assets folder, and a \Styles folder and zips them together in a single file. To transfer the template to another computer, you simply move the .zip file.


Changing an Existing Template

You can change or customize any NetObjects Fusion template. For example:

  • You can customize a standard company template so it contains your department name, location, and personnel information.

  • If your company develops custom sites, you can add your company name, contact information, and default links to the templates you use most often.

  • If you often create new pages or sites with the same look and feel, you can add standard objects to the NetObjects Fusion Blank Site template.

To preserve the original template, copy the template .zip file before you edit or modify a default template. If you need to undo changes to a default NetObjects Fusion template, you can re-install it.


Customizing a Template

  1. From the File menu, choose New Site>From Template.

  2. In the Select a Template File dialog, select the template you want to customize and click Open.

  3. In the Save Site As dialog, give the site the same name as the template. Do not enter an extension.

  4. Modify the template page(s) and SiteStyle as necessary.

  5. In Site view, from the File menu, choose Export as Template.

  6. Choose the folder containing the original template if you want to modify the template, or choose another location if you want to preserve the original template.

  7. Insert the customized template in other sites as needed.


Sharing NetObjects Fusion Site Files

Templates are the only effective way to share NetObjects Fusion site files among several developers or across platforms. You cannot copy a Sitename.nod file to another computer and open it, because the file refers to files and styles that are not contained in the Sitename.nod file itself.

To distribute or move a NetObjects Fusion site:

  1. Export the site as a template according to the information in Exporting a Site .

  2. Copy the template .zip file to the target computer via network, diskette, or other storage media. Locate the template so you do not have to move it after you create the site. This ensures that the assets are mapped correctly. Also make sure the folder and file names are not truncated or changed in the process.

  3. Start NetObjects Fusion on the destination computer.

  4. From the File menu, choose New Site>From Template.

The Select a Template File dialog appears.

  1. Open the template’s folder, select the TemplateName.zip file, and click Open.

  2. In the Save Site As dialog, enter a name for the new site in the File name field, select the location where you want to save the site, and click Save.

The site that was created in NetObjects Fusion on the source computer is now the active site, with its own Sitename.nod file, on the destination computer.

If you open a template that uses a font which is not on your system, NetObjects Fusion substitutes the browser proportional font specified on the Text tab of the Options dialog. The original font is available for you to apply to any new text box in the site, but the font is not displayed unless you open the site on a system that has that font.


Importing Sites and Documents

You can create a site or expand a site you are working on by importing a site that was created using a different site or page development tool. When you import an existing site, NetObjects Fusion duplicates the SiteStructure, page content, and links. It lays out content in a design as close as possible to the original.

You can also expand a site by importing Microsoft Word files. The document becomes a page in your NetObjects Fusion site.

Browse this section for information about:

  • Creating new sites from existing sites

  • Using existing sites to expand sites

  • Importing documents


Importing Existing Sites

When you create or expand a site by using an existing site, follow these guidelines:

  • Importing a complex site requires processing time. If the source site was created in NetObjects Fusion, it is more efficient to import it as a template.

  • You can import an existing site from a local or networked drive, or from a remote location such as an intranet server or the World Wide Web.

  • To import from a local drive, you must know the drive and folder where the site’s Home page, usually named index.htm or index.html, is stored.

  • To import from a remote location, you must know the URL to the site’s top-level source page, such as http://www.netobjects.com.

NetObjects Fusion does not import sites that are served behind a proxy server, firewall, or virtually hosted server. You must download the site to the local hard drive and then import from the local drive.

  • You can limit the number of pages and levels that NetObjects Fusion captures from a local or remote site. Levels are based on the hierarchy of pages in the source site, defined by the site’s navigation; the first level is always the site’s Home page. The second level consists of pages that are linked from the Home page. Third-level pages are linked from second-level pages, and so on. NetObjects Fusion imports as many pages as possible at a higher level before going to a lower level.

  • You must be connected to the Internet or intranet to activate the remote import.

  • When NetObjects Fusion imports a site, it starts with the page you specify and stops importing when it hits the page number limit, the site level limit, or the end of the site. If you don’t define import limits, NetObjects Fusion imports to the end of the site—no matter how long that takes or how much it requires in system resources. NetObjects recommends limits of 200 pages and 20 levels.

  • When you create a new site from an imported site, NetObjects Fusion applies the ZeroMargins MasterBorder. If you expand a site by importing a section, you can apply any MasterBorder already in the site. If you import a NetObjects Fusion 7, NetObjects Fusion 7.5 , NetObjects Fusion 8, or NetObjects Fusion 9 site, MasterBorders in the original site are preserved.

  • HTML coding practices vary, so the contents of the source site pages are unpredictable. Spaces in .html file names cause import problems.

  • NetObjects Fusion does not import server-side imagemaps or manage server-side resources. If the imported site originally used server resources such as JavaScripts, CGI scripts, or server-side includes, you must manually recreate these on your server. If a page contains too much script, you can reference the HTML. See Referencing and Editing External HTML.

  • NetObjects Fusion imports all HTML tables in the site.

  • NetObjects Fusion’s import feature supports most of the HTML 3.2 specification. Cascading style sheet coding is removed from pages during import. Content with no other alignment formatting is placed flush left on its page.

  • When you import a site that was built using HTML frames, NetObjects Fusion imports the frameset’s content pages as regular pages, and references the original frameset page as an external HTML page.

Sites created in NetObjects Fusion 7, 7.5 , 8, or 9 generally import with few problems, but you should be prepared to clean up an imported site created from another source. Adjust font sizes and styles as needed, and add NetObjects Fusion navigation bars and banners as appropriate to your design. If a page does not import the way you expect, check the original source file for incorrect or nonstandard HTML code.


Creating a New Site from an Existing Site

  1. From the File menu, choose New Site>From Existing website.

The Import website dialog appears.

  2. Select Local or Remote import.

  3. Enter the exact file location and path to the top-level page you want to import:

  • To specify a local site, enter the full drive and path to the local site’s top-level source page in the Home page field, or click Browse, select the appropriate top-level page, and click OK.

  • To specify a remote site, enter the full URL to the site’s top-level source page in the Home page field. To ensure accuracy, navigate to the site or page using your browser, then copy and paste the URL from the browser.

The starting page of your site import does not have to be the source site’s Home page, usually named index.htm or index.html; it can be any page of any accessible Internet or intranet site. You must have full access to this page and the other pages in the site through HTTP 1.0. If you do not have HTTP 1.0 connectivity or there are other security measures such as robots.txt or ht.access files, virtual hosting, or a firewall, you must download the site to your local hard disk via an FTP connection and then select Local import. This also applies if you have a virtual domain, because virtual domains require HTTP 1.1.

  4. Set the limits for the number of pages and number of levels you want to apply to the import process. NetObjects recommends limits of 200 pages and 20 levels.

  5. If you are importing a local site, enter the domain name for the site’s Home page in the Domain name field. If the local site was ever published on the Web, use the domain name that was used to access it; if not, leave the placeholder www.domain.com in the field.

When it imports a local site, NetObjects Fusion needs to know the "home base" domain of that site, so it can tell whether to convert any absolute links it finds into external or internal links. It does that by comparing the targeted domain, if there is one, to the domain name you enter.

If you are importing a remote site, make sure your system is connected to the Internet or intranet so NetObjects Fusion can link to and import the site.

  6. Click OK.

The Save Site As dialog appears.

  7. Enter a name for the new site in the File name field.

  8. Select the location where you want to save the site. By default, NetObjects Fusion saves the site in the NetObjects Fusion 10\User Sites folder, but you can store it in the location of your choice.

  9. Click Save.

NetObjects Fusion imports the site and converts its content, structure, and links into NetObjects Fusion format. If you import a site created with NetObjects Fusion, the MasterBorders are imported with the site. For a remote import, it stores the site’s assets and all original HTML files in the \Sitename\Import folder, and assigns the Zero Margins MasterBorder to each page in the new site. If you are importing a site to expand an existing site, you can choose a MasterBorder from the Assign MasterBorder drop-down list.

  10. Navigate to each page and make necessary adjustments.


Using an Existing Site to Expand a Site

To use an existing site to expand a site:

  1. In Site view, select the page you want to use as the parent of the imported content.

  2. From the File menu, choose Import>website.

  3. Follow the steps in Creating a New Site from an Existing SiteCreating .

When you use a site to expand a site, you can also select a MasterBorder for the imported section. From the Assign MasterBorder drop-down list, select the MasterBorder you want to apply to the imported site or section.


Importing a Microsoft Office Document

If Word 97 or Word 2000, or Word version 2002 is installed on your system, you can import documents in Microsoft Word, Word for Macintosh, and .rtf formats.

When you import a Microsoft Office document, the imported document becomes a page in your NetObjects Fusion site. Once imported, you can change the design and layout of the page in NetObjects Fusion. In this method of importing, there is no connection between the new pages and the original document. If you update the document, there is no corresponding change in the content of the NetObjects Fusion pages.

If you are going to import a very long document, for example a 40-page report, it is a good idea to split it into smaller documents to ensure that you do not exceed the NetObjects Fusion limit for a Layout.

If it is important for you to maintain a link to the original document, you can publish an HTML version of the document at the time you publish the site. See Creating a File Link.

  1. In Site view, select the page you want to use as the parent of the imported document.

  2. From the File menu, choose Import>Document.

The Import Document dialog appears.

  1. Choose the appropriate file type from the Files of type drop-down list, and navigate to the document you want to import.

  2. Select a MasterBorder to apply to the new pages from the Assign MasterBorder drop-down list.

  3. Click Open.

The file is imported into the site and placed as a child page below the selected page in Site view.

You can also import a document from Page view. See Importing Pages ..


Using SiteStyles

SiteStyles are sets of thematic elements you can apply to your site. Some style elements are graphic, some include Flash effects, and others affect the appearance of text on your pages. In Style view, you use SiteStyles to create the look and feel of your entire site. NetObjects Fusion comes with a number of professionally designed SiteStyles that you can use to design your site.

You can use SiteStyles as they are or edit them. You can also create SiteStyles using your own artwork.

Browse this section for information about:

  • Applying SiteStyles

  • Editing the graphic and text elements of a site

  • Creating SiteStyles

  • Adding and removing SiteStyles

  • Styles folder structure


What Is a SiteStyle?

A SiteStyle is a collection of graphic and typographical elements you can apply to every page in your site to create its look and feel. Your site SiteStyle gives it a consistent look that survives variations introduced by your site visitor’s browser. When you change the SiteStyle, NetObjects Fusion automatically updates every page in your site with the new look.

NetObjects Fusion includes four main SiteStyle sources:

Active SiteStyles

SiteStyles associated with a specific .nod file and are located in your User Sites folder. Active SiteStyles are included with your .nod file when exporting as a template and will not appear for newly created sites unless you add them from one of the SiteStyle sources.

If you remove an active style from the Active SiteStyles list, it will be removed from your User Sites folder. You can only make it active again by adding it from one of the SiteStyle sources.

It is recommended that you add only those styles being used to your Active SiteStyles folder.

Local SiteStyles

SiteStyles included with NetObjects Fusion and are stored in your Styles folder. Local SiteStyles can be made Active at any time and every local SiteStyle is listed in the Style View for newly created sites. Local SiteStyles are not specific to a site and are not included with your .nod file when exporting as a template.

If you remove a style from the Local SiteStyles list, it will be completely removed from your system.

Online SiteStyles

SiteStyles created in an XML format that can be downloaded from the web. You must be connected to the Internet to make an Online SiteStyle active.

CSS Lib

These are pre-developed Cascading Style Sheets that can be applied to any Site Style and modified to match the look and feel of your site design.

Classic SiteStyles

These are a collection of the legacy SiteStyles that can be downloaded and implemented as your site design.

If you do not find a pre-built style that is appropriate for your site, you can create your own custom SiteStyle. Or, if a SiteStyle works for most, but not all, pages in your site, you can customize it for just a few pages. For even more flexibility—for example, to use more than one banner image in your site or to use a different image for each button in a navigation bar—you can use the Navigation Bar and Banner Properties panels in Page view. See Working with Banners and Navigation Bars.


Exploring Style View

Style view shows a list of SiteStyles available for the current site and the graphic and text elements of the selected SiteStyle. When you first launch NetObjects Fusion, you will see a list of default SiteStyle sources.

Active SiteStyles. These are SiteStyles associated with a specific .nod. Active SiteStyles are added to your user sites folder at \NetObjects Fusion\User Sites\Styles. If you export your site as a template, only the active styles will be included.

It is recommended that you keep active only those styles currently being used.

Local SiteStyles. These are SiteStyles included with NetObjects Fusion. Local SiteStyles are not specific to one .nod file and can be made active at any time. The Local SiteStyles list displays the SiteStyles located in NetObjects Fusion\Styles and are available for all .nod files.

Local SiteStyles within NetObjects Fusion 10 contain a variety of new and exciting SiteStyles along with the high energy SiteStyles of previous versions.

Online SiteStyles. These are SiteStyles located on a Web server. Online SiteStyles are created in an XML format and are available to all NetObjects Fusion users. Third party SiteStyle designers have the ability to create online repositories that can be used to host SiteStyles they share with the NetObjects Community.

You must be connected to the Internet to set or activate an Online SiteStyle.

CSS Lib. These are pre-developed Cascading Style Sheets that can be applied to any Site Style and modified to match the look and feel of your site design.

Classic SiteStyles. These are a collection of the legacy SiteStyles that can be downloaded and implemented as your site design.

Warning: Removing an Active SiteStyle or a Local SiteStyle will remove the style permanently. See Removing SiteStyles

Click the Graphic tab to see the graphic and text elements of the currently selected SiteStyle. Click the Selectors tab to display the CSS rules belonging to the selected SiteStyle in the Styles Tree. Click the CSS Code tab to view the code used by the CSS file that is currently selected in the Styles Tree.

Click the Preview tab to view the SiteStyle elements as they would appear in a browser.

The Style Tree displays the NetObjects Fusion Styles and the external CSS files associated with the open site.

Each NetObjects Fusion SiteStyle contains 3 categories on the StyleTree:

  • Banners

  • NavBar

  • TableStyles

Under each of these folders the names of the elements contained by that category are displayed.

Each NetObjects Fusion SiteStyle is composed of graphic and text style elements.

On the Graphic tab you see samples of the:

  • Banner. Image containing the banner text and color.

  • Flash Banner. Flash object containing the banner text and color that has a flash file attached to it.

  • Primary Navigation Bar. Images of navigation buttons as they appear and behave on the primary navigation bar.

  • Secondary Navigation Bar. Images of navigation buttons as they appear and behave on the secondary navigation bar.

  • Flash Button Set Navigation Bar. Flash navigation buttons as they would appear and behave on the flash navigation bar.

  • Primary Buttons. Design of the primary buttons in regular, highlighted, regular rollover, and highlighted rollover states.

  • Secondary Buttons. Design of the secondary buttons in regular, highlighted, regular rollover, and highlighted rollover states.

  • Flash Buttons. Design of the Flash buttons.

  • Table Styles. Preview of the middle and border table regions as they appear in Page view.

  • Data List Icons. Bullet graphic displayed when you use a data object to create a data list.

  • Page Background. Color or image used as a background of the page.

  • Additional Page Elements. Images of additional page elements used in Decorator styles.

  • Styled Line. Image for lines placed with SiteStyle Line tool.

  • Body. Body text style that sets the overall text style for the entire site. The background of the Body is the same as the background shown on the Graphic tab.

  • Normal(P). Style for text that you type in normal paragraphs.

  • Text Object. Style for text that you type in text objects.

  • Text Navbar. Style used for text navigation bars.

  • Link. Text style and colors for text used for links. Changes made to the link style affect the Text Navbar style.

  • Unordered List. Image and text style for bullet lists.

  • Ordered List. Numbering and text style for numbered lists.

  • Headings. Text styles for H1 through H6 heads.

The name of the SiteStyle designer is listed above the graphic elements at the top of the view.

On the Selectors tab you see pre-defined CSS rules that correspond with SiteStyle elements such as Table Styles and Body tags. CSS Selectors are displayed in a column on the left and a preview of the selected CSS selector is displayed on the right. Each selector can be edited using any of the three CSS Inspectors: CSS Common, CSS Property Sheet and CSS Code Editor.

On the CSS Code tab you have full access to edit the CSS Rules assigned to the SiteStyle. The CSS Code editor allows you to modify existing CSS rules, check syntax as you type and import additional CSS styles. To find out more, see Working with CSS and SiteStyles.

To preview the Style Elements to see how they appear in a browser, click on the Preview tab.


Applying SiteStyles

By default, navigation banners, buttons, text, lists, and other site design elements obtain their images and text attributes from the SiteStyle assigned to the site. When you apply a SiteStyle, NetObjects Fusion automatically applies style elements throughout your site. For example, it replaces all the buttons in your navigation bars with images from the style you specify, while maintaining the relevant links.

To apply a SiteStyle:

  1. In Style view, select a SiteStyle from the list of SiteStyles. The elements of the selected style appear.

  2. Click the Set Style button on the views bar.
    NetObjects Fusion adds the style to your Active SiteStyle list and applies the style to your site.

When you go to Page view, you see the new style elements and text attributes on each page.


Combining SiteStyles and SiteStyle Elements

SiteStyles may be moved to a different SiteStyle list in the Style Tree, by dragging and dropping it to its destination folder.

You can combine style elements belonging to different SiteStyles to create your own unique SiteStyle. The style elements may be dragged and dropped from one SiteStyle to another. Pror to moving SiteStyle elements, you must un-check the Read-Only option from the destination style. See Removing the Read-Only Setting.

To move a SiteStyle to a different location:

  1. Select the SiteStyle name from the Style Tree list.

  2. Drag and drop it to its destination SiteStyles list inside the Styles Tree.

The SiteStyle name and its elements will now be visible in the new location on the Style Tree.

To move a SiteStyle element to a different SiteStyle:

  1. Select the SiteStyle element from the folder in which it resides.

  2. Drag and drop it to the destination SiteStyle folder.


Editing the SiteStyles Elements

A NetObjects SiteStyle is composed of both graphic and text elements that you can display and edit. NetObjects Fusion offers three views in which you can customize the SiteStyles to your preferences, each view having a increased level of complexity: Graphic View, Selectors View, and CSS Code View. You can customize the SiteStyles elements in each of these views.

If you are just beginning to work with CSS, use the Graphic View. This is a visual working area, where you can easily edit style elements using the CSS Panels. See Editing the Graphic Elements and Editing the Text Elements.

If you are already familiar with CSS, you can use the Selectors View to edit CSS rule belonging to the selected SiteStyle in the Styles Tree. Choose CSS selectors, preview and change them using the CSS Panels. See Working in the Selectors View .

If you have extensive CSS knowledge, use the CSS Code View. This view offers the capability of directly editing CSS code. See Working with the CSS Code View.


Editing the Graphic Elements of SiteStyles

You can edit any graphic element of an existing style to customize it. For instance, if you like every element of a style except the banner, you can change just the banner image. The image for every banner in your site changes to the new image.

You can also customize SiteStyle elements for some, but not all pages. See Editing Navigation Bars and Banners.

When you edit a SiteStyle, every site that uses the SiteStyle is affected. Your \Styles folder stores only one copy of a SiteStyle. When you change it, the change appears in all sites that use that SiteStyle. If the style you want to change is used in other sites and you don’t want them to be affected, create a new style from the original style. See Creating a SiteStyles.


Removing the Read Only Setting

All SiteStyles installed in your Active SiteStyles list are set to Read only. Before you can edit a SiteStyle, you must remove the Read only setting.

  1. In Style view, select the SiteStyle you want to edit from the list of SiteStyles.

  2. Click in the view so the Style Properties panel appears.

  3. Clear the Read only option on the Style Properties panel. If you don’t remove the check mark, you cannot edit the selected SiteStyle.


Editing Banners and Buttons

With SiteStyles, you can choose any font on your system for banner and button text and any image for the banner or button background. NetObjects Fusion dynamically generates image files for these banners and buttons using the font and images you specify for each element. This means that on buttons and banners, your site visitors see the fonts you select regardless of their browser or the fonts installed on their systems.

  1. In Style view, select the style you want to change from the list of SiteStyles and clear the Read only option.

  2. Click the End Caps check box to add graphical End Caps at both ends of the navigation bar.

  3. Click the Section Titles check box to add buttons to the navigation bar that can be used to divide it into sections.

  4. On the Graphic tab, click the banner or button state you want to edit.

The Properties panel appears for the banner or selected button state.

  1. Select the font face, size, and style for the text.

  2. Click Color and select a color from the Color Picker.

  3. To position the text on the banner or button, set the Horizontal and Vertical positions.

If horizontal button position is set to Left or Right, or vertical position is set to Top or Bottom, you can use the Offset option to move the text label on the button in small increments. As you change the offset, you can see the text move on the button in Style view.

  4. To rotate the text, click the up or down rotation buttons. Click Right angles to limit the rotation to 90-degree increments. If you clear the Right angles box, clicking the rotation buttons increments the rotation angle and rotates the text. You can also type a number in the box.

  5. Select an option for multi-line alignment if the banner or button text is more than one line.

  6. To select a new image, click Browse, and choose a file in the Picture File Open dialog.

Each button state has its own Properties panel, so you can vary the images used on a navigation bar. For example, you can choose a happy face for the primary highlighted button and a neutral face for the primary regular button.

The Properties panel shows the current image.

  7. To select a new image, click Browse, and select a file in the Picture File Open dialog.

You can select images from your site assets or from any directory on your hard disk. For best results, use an image that is the same size as the button or banner.

The images on the Style view Graphic tab reflect changes you make on the panels. When you finish editing the buttons, check the rollover behavior using the navigation bar samples. To view how the changes will appear in a browser, click on the Preview tab.


Adding Banners and Buttons

You can add new Flash, image, or text banners and buttons in Style view. These SiteStyle elements can vary across pages and elements of different styles can be used to give your page a different look and feel.

To create new banners and buttons:

  1. In Style view, with the Graphic tab selected, select the style you want to add a banner or button set to.

  • If adding a new banner, click on the Banner Properties tab.

  • If adding a new button set, click on the Primary, Secondary, or Flash Navigation Button Set Sample.

The Banner or NavBar Sample Properties panel appears, depending on which SiteStyle element you select.

  1. Select Flash, Image, or Text as the type of banner or button set to be added.

  2. Click Add Banner to add a new Banner, or click Add New Set to add a new button set.


Adding End Caps and Section Title Buttons

You can customize the SiteStyle navigation button sets by adding end caps and section title buttons.

End caps are graphical elements that can be added both before the first button and after the last button of a navigation bar. End caps can be static elements in the navigation bar, or you can choose to link them to their adjoining navigation button. For example, an end cap that appears before the Home page button can function as an extension of the button and serve as a link to the Home page when a user clicks on it.

Section title buttons are static buttons that can be placed between other buttons in the navigation bar, and they are used to divide the navigation bar into sections. You can add text to the section buttons so that they serve as "headings" for groups of pages in the navigation bar.


Adding End Caps to a Button Set

To add end caps to a button set:

  1. In Style view, with the Graphic tab selected, select the style you want to add end caps to.

  2. Click on the Primary or Secondary Navigation Bar button set.

The NavBar Sample Properties panel appears.

  3. In the NavBar Sample Properties panel, check the End Caps check box.

The end cap buttons for each button state appear below the button set.

  4. Click an end cap button in the NavBar sample to select it.

  5. Click Browse in the Button Properties panel.

The Picture File Open dialog appears.

  6. Navigate to the folder containing the image you want to use for the end cap.

  7. Click Open.

The default end cap will be replaced by the selected image in the NavBar Sample.

  8. Repeat steps 4 through 7 to add end caps for each button state in the navigation bar button set.

End caps created in Style view can be applied to a navigation bar on the Navigation Bar Properties panel in Page view. See Setting Button Navigation Bar Properties.


Adding Section Titles to a Button Set

To add section titles to a button set:

  1. In Style view, with the Graphic tab selected, select the style you want to add section titles to.

  2. Click on the Primary or Secondary Navigation Bar button set.

The NavBar Sample Properties panel appears.

  3. In the NavBar Sample Properties panel, check the Section Titles check box. Section title buttons for both regular and regular rollover button states appear below the button set.

  4. Modify the appearance of a section title button by selecting it and changing its settings in the Button Properties panel.

Section titles added to a button set in Style view can be applied when creating custom navigation bars. See Creating a Custom Navigation Bar.


Importing Flash Banners and Button Sets

You can add Flash banners and button sets based on the available SiteStyles in Style view. You can also import Flash banners and button sets created outside of NetObjects Fusion. You can modify attributes of imported Flash banners and button sets in NetObjects Fusion depending on the parameters of the Flash file. See Configuring Flash Banner and Flash Button Properties.


Importing Flash Banners

To import Flash banners in to Style View:

  1. In Style view, with the Graphic tab selected, select the style you want to add a banner to.

  2. Click on the SiteStyle banner.

The Banner Properties panel appears.

  3. Click the Properties tab of the Banner Properties panel.

  4. In the New Banner type drop-down menu, select Flash.

  5. Click Add Banner to add a Flash banner to the banner preview area in Style view.

  6. Click the banner you created in Style view to select it.

  7. In the File section of the Banner Properties panel, click Browse.

The Open dialog appears.

  8. Navigate to the folder containing the Flash file you want to use as the banner.

  9. Click Open to add the Flash banner to the banner list.

  10. Enter a name for the banner on the Banner Properties panel.

The banner will be available in the Banner Set drop-down menu on the Banner Properties panel in Page view. To apply the Banner to your site pages, see Setting Banner Style and Orientation.


Importing Flash Button Sets

To import a Flash button set:

  1. In Style view, with the Graphic tab selected, select the style you want to add a Flash button set to.

  2. Click on the Primary or Secondary Navigation Bar Sample.

The Navigation Bar Properties panel appears.

  3. Click the General tab of the Navigation Bar Properties panel.

  4. In the New Button Set Type drop-down menu, select Flash.

  5. Click Add New Set to add the button set to the navigation sample area in Style view.

  6. Click the button set you created in Style view to select it.

  7. In the File section of the Button Set Properties panel, click Browse.

The Open dialog appears.

  8. Navigate to the folder containing the Flash file you want to use as the navigation button set.

  9. Click Open to add the button set to the Navigation Sample list.

  10. Enter a name for the button set on the Navigation Bar Properties panel.

The button set will be available in the button drop-down menu on the Style tab of the Navigation Bar Properties panel in Page view. To apply the button set to your site pages, see Setting Button Navigation Bar Properties


Configuring Flash Banner and Flash Button Properties

When you use Flash banners and Flash navigation button sets, you can edit their Properties within the parameters set in the Flash file. In Style view, you can also specify which aspects of those Flash banners and buttons will be editable on their respective Properties panels in Page view.

  1. In Style view, select the Flash banner or Flash navigation button that you want to work with.

The Banner or NavBar Sample Properties panel appears, depending on which SiteStyle element
you select.

  2. Click the Style tab of the Banner or NavBar Sample Properties panel.

The available properties of the Flash file are shown on the Properties panel.

  3. Remove Flash file Properties by selecting the property you want to remove and clicking the minus (-) button on the Properties panel. Properties that are protected cannot be removed.

  4. Modify Flash file Properties by double-clicking them in the Properties panel and changing their options in the Edit Options dialog.

  5. Hide or protect Flash file Properties by double-clicking them in the Properties panel and clicking the Protected and/or Hidden check boxes.

  • Flash banner and navigation bar properties that are marked as hidden will not appear on the Properties panel in Page view.

  • Flash banner and navigation bar properties that are marked as protected cannot be modified on the Properties panel in Page view.

  1. Add options to imported Flash banners and navigation bars by clicking the plus (+) button on the Properties panel.

  2. In the Add Options dialog box, select the type of option you want to add (Boolean, Color, Font, List, Number, or Text) from the type drop-down list, and configure its settings. These values must be known values from the original Flash file.


Duplicating Banners and Buttons

To duplicate existing banners and buttons:

  1. In Style view, with the Graphic tab selected, select the banner or button set you want to duplicate.

  • If adding a new banner, click on the Banner Properties tab.

  • If adding a new button set, click on Primary, Secondary, or Flash Navigation Button Set Sample.

  1. The Banner or NavBar Sample Properties panel appears, depending on which SiteStyle element you select.

  2. Type a name for the new Banner or Button Set.

  3. Click Duplicate.


Editing a Navigation Bar

In addition to editing button text and images, you can change the navigation bar borders and spacing between buttons.

To edit the borders and spacing of a navigation bar:

  1. In Style view, with the Graphic tab selected, select the style you want to change and click the Primary or Secondary Navigation Bar Sample.

The Primary or Secondary NavBar Sample Properties panel appears, depending on which navigation bar you select.

  2. Click the End Caps check box to add graphical End Caps at both ends of the navigation bar.

End caps must first be added to the SiteStyle in Style view. Adding End Caps and Section Title Buttons.

  1. Click the Section Titles check box to add buttons to the navigation bar that can be used to divide it into sections.

Section titles must first be added to the SiteStyle in Style view. See "Adding End Caps and Section Title Buttons" on page 281

  2. Click the Border up and down buttons or enter the value directly to change the thickness of the border around the navigation bar.

  3. Click the Spacing up and down buttons to change the amount of space between the buttons.


Editing a Table Style

Table Styles can be used to match the look and feel of your table to your SiteStyle. You can create a table style in Style view, then apply the table style in Page view using the Table Properties panel.

  1. In Style view, with the Graphic tab selected, select the style you want to edit a table style for.

The Table Style Properties panel appears showing the name and format of the current selected table style.

  1. Format the table style. See Setting Table Styles.

  • Click Duplicate to create a duplicate of the table style selected.

  • Click Clear to delete all formatting associated with the selected table style.

When you edit a table style, every site that uses the table style is affected. If the table style you want to change is used in other sites and you don’t want them to be affected, create a new table style from the original table style.


Editing a Data List Icon

Data list icons appear when you use the Data List tool to create a data list in Page view. See Data Publishing.

  1. In Style view, with the Graphic tab selected, select the style you want to change and click a Data List icon.

The Bullet Properties panel appears showing the name of the current data list icon image.

  2. Click Browse, select a new image in the Picture File Open dialog, and click Open.


Editing a Style Background

  1. In Style view, with the Graphic tab selected, select the style you want to change and click the Edit Page background box.

The Page Background Properties panel appears.

  1. In the color field, select:

  • Automatic to use the default background color set in the browser.

  • Transparent to let the image or color of a style underneath the background show through. For example, if the site’s paragraph text has a background color, setting the page background color to transparent lets the paragraph background color show through.

  • Color to use a solid color background. To choose a different color, click the Color button and select from the Color Picker.

  2. In the Image field, select:

  • Automatic to use the default image set in the browser.

  • None to use a background with no image.

  • Background.gif to use the SiteStyle background.

  • Browse to select an image for the background.


Editing the SiteStyle Line

You can use a variety of horizontal page-wide images to separate pages into sections. You insert these lines in Page view using the SiteStyle Line tool, as described in Adding a SiteStyle Line.

  1. In Style view, with the Graphic tab selected, select the style you want to change and click the SiteStyle Line.

The Line Properties panel appears.

  1. Click Browse, select a new image in the Picture File Open dialog, and click Open.


Editing the Text Elements of SiteStyles

You can edit any text element of an existing SiteStyle to customize it. For instance, if you change the Heading 3 text style, the changes appear throughout your site wherever that style is applied.

To customize style elements for some, but not all pages, you do not edit the SiteStyle, you edit the text in Page view. See Designing with Text.

When you edit a SiteStyle’s text elements, every site that uses the SiteStyle is affected. If the changes apply to text elements set to Automatic, the changes flow through to the other sites.

To edit the text elements of a SiteStyle, you must first remove its Read only setting. See Removing the Read Only Setting.

  1. In Style view, select a SiteStyle from the list of styles.

  2. Click the Graphic tab. The Graphic View is displayed, containing the style’s graphic and text elements.

  3. Scroll down until the text section is displayed on the screen.

  4. Click a text element to select it.

The text styles associated with lists are List, Ordered <OL>, List, Bulleted <UL>, and List Item <LI>. Selecting the type of bullet character or numbering automatically selects the proper text style from the ordered or bulleted list. Changing the <LI> style affects both types of lists.

Using the CSS panels, edit the properties of the selected text element. The changes will be visible on the Graphic View. For more information, see Working with CSS and SiteStyles.


A Note about the Body and Normal (P) Text Styles

If you do not assign a font to the Body or Normal (P) text elements and leave their text styles set to Automatic, the browser’s proportional and fixed width font settings are passed through to the SiteStyle for the Body text and Normal (P) text. Consequently, if you leave the settings as Automatic, Body and Normal (P) text appear in Page view as they do in the browser. All text styles in the site are affected by these settings. This helps you with overall page design because you can see exactly how the fonts look based on the browser settings. Note that the Body and Normal (P) fonts are not generated when you publish your site. They are derived from the site visitor’s browser settings.

If you change the text settings applied to the Body text element, some settings might not affect the body text on your pages. The inherited settings depend on the HTML output method you use when publishing your site. The following table shows which settings are affected:

Text Attribute | Dynamic Page Layout | Regular Tables
font | Y | Y
font style | Y | N
size | N | N
color | Y | Y
position | N | N
case | N | N
decoration | N | N
small caps | N | N


Creating a SiteStyle

You can create original styles to give your site a unique look. When you create a new SiteStyle, each graphic element is saved in the \Images folder within the style’s folder in the NetObjects Fusion 10\Styles folder. See Styles Folder Structure.

When you create your own SiteStyle, keep these points in mind:

  • When you use an animated .gif for a style image, only the first frame of the animation displays in the image.

  • Text labels for buttons and banners are placed on the images. If you want the label to appear above or below the image, leave space above or below the image when you create it in your image editing application.

  • If you plan to use your SiteStyle on a page with a background color or image, and you want the background to show through your image, make sure you set the background to Automatic or Transparent.

When you create a new SiteStyle, you can start with an existing SiteStyle as a template or a blank SiteStyle. So, before you create a new SiteStyle, select an appropriate SiteStyle as your starting point.

To create a SiteStyle:

  1. Create or collect images for your banner, buttons, lines, icons, and background.

Use an image creation application to create the images. To be included in a published site they must be in .gif, .jpg, or .png format. If you use an image in .bmp, .pcx, .pct, or .fpx format, NetObjects Fusion can convert a copy of the image to .gif or .jpg for you.

  1. In Style view, highlight Active SiteStyles in the SiteStyles list.

New Blank SiteStyles must be added to your Active SiteStyles list.

  2. Click the New Style button on the views bar or right-click on Active SiteStyles and click New Blank SiteStyle.

  3. Enter a name for your new SiteStyle and press Enter.

Your new style is added to the list of Active SiteStyles and is selected. NetObjects Fusion also creates a folder in the \Styles folder to contain the style elements. See Styles Folder Structure.

The Read only option is cleared automatically so you can edit the style.

  4. Edit each graphic and text element as described in Editing the Graphic Elements of SiteStyles and Editing the Text Elements of SiteStyles.

The original SiteStyle—the one you based your new design on—is not affected by your edits.

  5. Click the Set Style button to apply the new style to your site. Your custom SiteStyle images and settings are applied to your site.

To create a SiteStyle using an existing template:

  1. In Style view, highlight a style in the SiteStyles list.

  2. Go to the Style menu and select Duplicate SiteStyle.

  3. Enter a name for your new SiteStyle and press Enter.

The elements in the view look just like the style you selected as the basis for your new style.

The original SiteStyle - the one you based your new design on - is not affected by your edits.


Managing SiteStyles

You can add new styles to the list of available styles, such as those you obtain from your colleagues or those you create on your own. You can also remove un-used styles from your \Styles folder. SiteStyles are stored in folders labeled with the style name. Text styles and graphic styles are stored separately, and new text styles do not automatically transfer to a new site.

If you create a new site from a template, your new site contains the same style list as the site from which the template was made. If you import a template into your current site, style names that were in the template’s style list are added to your site’s style list. Templates include the \Style folder for the template’s style.


Adding a SiteStyle

You can add a style from any NetObjects Fusion style folder on your hard disk drive, CD-ROM, or LAN and you can also download online styles. Whenever you add a SiteStyle, NetObjects Fusion adds a complete copy of the style’s folder to your NetObjects Fusion 10\Styles folder. See Styles Folder Structure.

You add styles by first adding a SiteStyle Source in the Style view. A SiteStyle Source is the location where additional styles are stored. Any SiteStyle found at this location will then be available in the Style view.

SiteStyles from earlier versions of NetObjects Fusion do not include all style elements available in NetObjects Fusion 10. If you import an older style, you must update the style to be compatible with the new features. For example, NetObjects Fusion version 3.0 and earlier did not have the rollover style for buttons. Thus, if your style is from version 3.0 you must assign button rollover styles before the navigation bars can display rollovers.

Add SiteStyles using the various source selection below:

Add an Online SiteStyle

Add a Local SiteStyle

Add a SiteStyle from CD

Add a SiteStyle from a Network


Add an Online SiteStyle

  1. In Style view, from the Style menu, choose Add SiteStyles Source.

You must be connected to the Internet to use this feature.

The Add SiteStyles Source dialog appears.

  1. Select Online Style as the Source Type and click Next.

  2. Enter a name for your new Online SiteStyles source.

This is the name that will appear in the Style view

  3. Type in the Online SiteStyles Source URL. The Online SiteStyle must be in the form of and XML file containing the definition of the source.

  4. Click Test to confirm that the URL is valid.

  5. Click Finish.

NetObjects Fusion adds the style name to the style list.


Add a Local SiteStyle

  1. In Style view, from the Style menu, choose Add SiteStyles Source.

The Add SiteStyles Source dialog appears.

  1. Select Local SiteStyles as the Source Type and click Next.

  2. Enter a name for your new Local SiteStyles source.

This is the name that will appear in the Style view.

  3. Type in the path or navigate to the style folder containing the styles you want to add. The path entered must include the folder where the SiteStyles are stored. For example, if your computer stores its styles in a folder called "Mountain Bikes", the path will look similar to \SiteStyles\Mountain Bikes.

If you do not specify the folder where the styles are located, all of the directory contents will be displayed in Style view. Click Test to verify the path entered is valid.

  4. Click Test to verify the path is valid.

  5. Click Finish.

NetObjects Fusion adds the style name to the style list.


Add a SiteStyle from CD

  1. In Style view, from the Style menu, choose Add SiteStyles Source.

The Add SiteStyles Source dialog appears.

  1. Select CD SiteStyles as the Source Type and click Next.

  2. Enter a name for your new CD SiteStyles source.

This is the name that will appear in the Style view.

  3. Type in the path or navigate to the styles folder located on your CD. The path entered must include the folder where the SiteStyles are stored. For example, if your SiteStyles CD stores its styles in a folder called "Mountain Bikes", the path will look similar to \SiteStyles CD\Mountain Bikes.

If you do not specify the folder where the styles are located, all of the CD contents will be displayed in Style view. Click on Find Source to have NetObjects Fusion do an automatic search for the styles or click Test to verify the path entered is valid.

  4. Click Test to verify the path is valid.

  5. Click Finish.

NetObjects Fusion adds the style name to the style list.


Add a SiteStyle from a Network

To add a SiteStyle from a network:

  1. In Style view, from the Style menu, choose Add SiteStyles Source.

The Add SiteStyles Source dialog appears.

  1. Select Network SiteStyles as the Source Type and click Next.

  2. Enter a name for your new Network SiteStyles source.

This is the name that will appear in the Style view.

  3. Type in the path or navigate to the styles folder located on your network. The path entered must include the folder where the SiteStyles are stored. For example, if your network stores its styles in a folder called "Mountain Bikes", the path will look similar to \SiteStyles\Mountain Bikes.

  4. Click Test to verify the path is valid.

  5. Click Finish.

NetObjects Fusion adds the style name to the style list.


SiteStyles from Imported Sites

If you import a site built with a previous version of NetObjects Fusion, you may notice several additional or duplicate SiteStyles added to your Style view. Previous versions of NetObjects Fusion associated each style in the SiteStyles list with a site .nod. As a result, all of the SiteStyles included in your template are considered active and imported into your Active SiteStyles list.

The first time you open the Style view after importing a site, you can select which, if any, of the additional or duplicate SiteStyles to remove. The current set SiteStyle cannot be removed.


Removing SiteStyles

You can remove a style from the list of styles in Style View. You cannot remove the currently applied style. When you remove a SiteStyle, its style folder and the associated image files are permanently deleted.

  1. In Style view, select the style you want to remove.

  2. From the Style menu, choose Remove Style From List.

  3. Click Yes to confirm.

Remove Unused Active SiteStyles

  1. From the Style Menu, select Remove Unused Active SiteStyles.

The Remove Unused Active Site Styles dialog appears.

  1. Select the unused SiteStyles you want to remove.

  2. Click Remove.


Styles Folder Structure

Each SiteStyle stores its images, text styles, and graphic styles in a special folder structure. Images are stored in the \Images folder. Text styles are defined in Style.css and graphic styles in Style.ssx.

When you select a new image for a style element, NetObjects Fusion copies it into the appropriate folder for the SiteStyle. If you’re editing an existing SiteStyle, the new image replaces the file previously assigned to that element. NetObjects Fusion copies the new image to the folder, but doesn’t overwrite the old file unless the new and old files have identical names.

For example, suppose you want to modify the Mountain SiteStyle to change the highlighted button color. First, open P3.gif in the Mountain\Images folder and use an image editing application to change the button’s color. Give the new image file any name you like. Then in Style view, edit the Highlighted Primary Button and choose the edited image. The image file you select is copied to the \Images folder in the NetObjects Fusion 10\Styles\Mountain folder. If the new image file has the same name as the original file, the original is overwritten. Every site you create or open on your machine that uses the Mountain style uses this file for highlighted primary buttons.

This applies to all style elements that you can base on images. This also occurs when you replace the image for a single instance of a button or banner. See Changing a Button's Image and Changing a Banner's Image.


Working with CSS and SiteStyles

In NetObjects Fusion 10, CSS 2.1 is an integral part of advancing the design elements of SiteStyles. Using the new features such as CSS Panels, Selectors, and Code View, NetObjects Fusion 10 offers Web designers the ability to create amazing results with easy to use tools that promote learning CSS design techniques in a learn as you grow manner. Now it is easy to modify and update the entire website or a selected page with just a few clicks.

The next section offers an introduction into the world of CSS and how you can utilize the power of CSS within NetObjects Fusion 10:

  • CSS Basics

  • Using CSS in Style View

  • Working in the Selectors View

  • Working in the CSS Code View

  • Working with the Styles Tree in Page View


CSS Basics

Cascading Style Sheets (CSS) offer Web developers a powerful tool that helps simplify the complex task of maintaining websites, and provides sophisticated layout and design features for web pages without the need for plug-ins, long download times, and expensive tools.

Cascading Style Sheets provide a means for Web authors to separate the appearance of Web pages from the content of Web pages, so that the look of HTML documents is organized in an efficient manner.

Among the benefits of using CSS is that the design and development time are reduced, as well as the time spent on updating and maintaining the site is reduced. Making a change to one rule could result in thousands of pages changing their look. Traditional methods would require every page to be edited, but using CSS it is much easier. In this way, you can improve the management of large, sophisticated sites. With cascading style sheets, whole organizations can share a small number of style sheets, ensuring consistency across the site with no need for constant updating and editing to accommodate changes.

Using CSS, you can define a style for each HTML element and apply it to one or more Web pages all at once. To make a global change, all that is required is to change the specific CSS rule and elements using this rule will be updated throughout the website automatically.

There are multiple ways possible for information to be specified in a style sheet. Styles can be specified inside a single HTML element, inside the <head> element of an HTML page, or in an external CSS file. More than one external style sheet can be referenced inside a single HTML document. Multiple styles will cascade into one sheet according to the following rules, where the last item on the list has the highest priority:

  1. Browser default, set by the user.

  2. External style sheet, which is a separate document containing CSS rules that will be relevant to elements across the website.

  3. Internal style sheet, which is contained inside the <head> tag of a page of your website. This type of style sheets should be used if you have a style that that is relevant only in a page.

  4. Inline style, which is located inside a HTML element. This inline style has the highest priority, meaning that it will override a style declared inside the <head> tag, in an external style sheet, or in a browser’s a default value.


Explaining CSS Syntax

CSS stylesheets contain rules that describe how document elements should be displayed. A rule in CSS consists of two parts:

  • Selector, which can be applied in three different ways:

  • HTML elements, such as <P> tags, <H1> tags, etc.

  • elements with a specific CLASS, such as an element with the class "content" (<P CLASS="content">)

  • elements with a specific ID, such as an element with the ID "warning1" (<P ID="warning1">)

  • Declaration, which contains sequences of properties followed by values.

selector {property: value}

body {color: black}

In this example, body is the selector, while everything within the brackets {color:black} is the declaration.

If the value is expressed in multiple words, it is necessary to place quotes around the value:

p {font-family: "sans serif"}

If you wish to specify more than one property, you must separate each property with a semicolon.

p {text-align:left;color:red}

To make the style definitions more clear, you can describe each property on a separate line, like this:

p

{

text-align: left;

font-family: tahoma;

color: red

}


Working with the Class Selector

With Cascading Style Sheets you can create selectors that are associated with a specific type or class of element. Class selectors are used to give specific parts of a page a specific appearance.

In your HTML page, to create a paragraph of class "question", you create a paragraph as usual, using the <p></p> tags. In addition, you add the class attribute to the opening tag as you would add any other attribute: <p class=" question">.

Any paragraphs on the page that contain the class selector with an attribute of "question" will be used by either of these selectors: .question or p.question.

There are two types of class selectors:

  • Solitary Class Selectors, which select any kind of element of a particular class (will select both paragraphs and tables of that class, as well as any other element with the same class.)

.question {font-weight: bold}

This selector selects any element on a page with a class of "question".

  • Class Selectors, which selects only a specific type of element of that class - for instance, it will select only paragraphs of that class, not tables or any other element of that class. The form of this type of selector is element.class-name, which is the name of the element, followed by a dot, followed by the name of the class.

Paragraph specific class selectors can be created as following:

p.question {font-weight: bold}

This selector only selects paragraphs with a class of "question". It does not select any other kind of element with a class of "question", nor does it select any paragraphs other than those of class "question".

A class name should consist only of alphanumeric characters and hyphens. Class names cannot include underscores and other characters or spaces. A class cannot begin with a numeral.


Inserting a Style Sheet

When a browser reads a style sheet, it will format the document according to that style sheet. There are three ways of inserting a style sheet: external, internal, and inline.

  1. External Style Sheet

Typically, an external style sheet is used when the same style is applied to multiple pages. In order to change the style for all these pages, you only need to change the CSS syntax in the external style sheet. To link to the style sheet, each page should contain the <link> tag included in the <head> section of the Web page. For example:

<head>

<link rel="stylesheet" type="text/css" href="myexternalstyle.css" />

</head>

The browser will read the style definitions from the file myexternalstyle.css, and apply the formatting to the pages linked to it accordingly.

An external style sheet can be edited in any text editor. The file needs to contain CSS definitions only. HTML tags should not be included in the style sheet. Once you have created the style sheet with your definitions, save the file with the .css extension. Below is an example of the syntax contained in an external style sheet:

hr {color: red}

p {margin-left: 10px}body {background-color: yellow)}

  1. Internal Style Sheet

An internal style sheet should be used when a single document has a unique style. Internal styles will be defined in the <head> section of the page by using the <style> tag.

<head>

<style type="text/css">

hr {color: red}

p {margin-left: 10px}

body {background-color:yellow)}

</style></head>

The browser will now read the style definitions and display the contents of the Web pages, based on the formatting options listed in the style sheet.

  2. Inline Styles

This method should be used when a style is to be applied to a single occurrence of an element in the Web page. To use inline styles, you use the style attribute within the tag. The style attribute can contain any CSS property. The example below shows the syntax to change the color and the left margin of a paragraph:

<p style="color: red; margin-left: 10px">This paragraph is formatted using inline styles</p>


Understanding Inheritance in Cascading Style Sheets

In CSS there is an order of precedence that is followed when a CSS style sheet is applied. Take for example when both an external style sheet is referenced on a Web page that also includes style definitions internally on the Web page.

As we learned from the Basics of CSS section, the external style sheet will be applied to any style definitions it finds until it meets an internal style definition of the same selector. From the example below, you can see that the h2 selector will apply the style definition from the external style sheet and then apply the internal style sheet definition when a matching property is found.

External style sheet

h2

{

color: blue;

text-align: left;

font-size: 10pt}

Internal style sheet:

h2

{

text-align: right;

font-size: 20pt

}

The following properties will be applied to the h2 selector:

color: red;

text-align: right;

font-size: 20pt

Notice the color is inherited from the external style sheet, and the text-alignment and the font-size are used from the internal style sheet.


Using CSS in Style View

CSS is now easier than ever to work with in NetObjects Fusion’s Style View.

  • By combining the power of CSS with the visual environment of NetObjects Fusion 10, you can change the look of your Site with just a few clicks of your mouse.

  • By adding new CSS files to your site structure and specifying where they will be applied and the order in which they will be imported, you can master in-depth styling of your website. See Adding a CSS File.

  • NetObjects Fusion 10 also allows you to interactively add new CSS rules to your SiteStyles so that you can use advanced CSS syntax to add flexibility, richness and accessibility to your SiteStyles. See Adding a CSS rule.

  • Using the new Selectors View and the CSS panels from within the Style View, you can visualize, preview, add and modify the CSS rules of your SiteStyle. See Working in the Selectors View.

  • To edit directly the CSS code, make use of the new CSS Code View from within the Style View, which is available for experienced CSS users who prefer having full control of their CSS code. See Working in the CSS Code View.


Adding a CSS File

In NetObjects Fusion 10 you can add your own CSS file and specify if the Stylesheet should be applied throughout the entire website, in a specific MasterBorder, or even a specific page.

You import CSS files and then use the CSS rules contained in them by either overwriting existing HTML tags or by manually applying CSS classes (listed under the Custom Styles dialog in the Properties inspector) to objects that support CSS.

To add a CSS file to the Styles tree:

  1. Right-click on the Active Styles folder in the Styles Tree.

  2. Select Add CSS file from the context menu. The CSS Scope dialog will open. Here you will have to choose where the CSS file should be applied in this site.

The CSS Scope dialog displays the following options:

  • Site-wide. If you select this option, when you publish the site, each page of the site will include the added CSS file.

  • MasterBorder specific. If you select this option, when you publish the site, all the pages that contain the selected MasterBorders will include the added CSS file.

To do that:

  1. Click the Select button. The Select MasterBorder dialog will appear.

  2. Choose one or more of the existing MasterBorders on the list.

  3. Click OK.

The CSS file will be applied to the selected MasterBorders.

  • Page Specific. If you select this option, when you publish the site, only the selected pages will include the added CSS file.

To do that:

  1. Click the Select button. The SiteStructure - Select Pages dialog will appear.

  2. Select one or more pages from the SiteStructure.

  3. Click OK.

The newly added CSS file will appear in the Active SiteStyles section on the Styles tree. All the CSS rules contained by that CSS file will become visible in the Styles tree.

The content of the CSS file will appear in the Selectors and CSS Code View. On the Styles tree, you can move a CSS rule from one CSS file to another by dragging and dropping it to its destination CSS file.

Clicking on a rule from the Styles Tree opens the CSS Code View for editing.


Removing a CSS file

CSS files that have been added to the Styles Tree can also be removed.

To remove an external CSS file from the Styles Tree:

  1. In the Styles Tree, right-click on the CSS file name. A context menu will appear, containing three commands: Add CSS rule..., Delete CSS file, and Include CSS file to....

  2. Select Delete CSS file.

The CSS file will be removed from the Styles Tree.


Using the CSS Library

NetObjects Fusion 10 offers a new extensive CSS Library that contains a collection of external Cascading Style Sheets that can be used for implementing a variety of styling solutions with your projects.

The folders from within the CSS Lib tree contain a variety of Cascading Style Sheets that can be used to incorporate typographical changes to your website projects fast.

To add a CSS file from the CSS Lib to your Active SiteStyles:

  1. Expand the CSS Lib folder on the Styles Tree and then expand the CSS style folder of choice. For example, expand the City Blue style folder and select the forms.css Style Sheet.

  2. The Styles Tree will now display the pre-defined CSS rules contained in the forms.css Style Sheet.

  3. Drag forms.css and place it on the Active SiteStyles folder.

  4. The CSS Scope dialog will appear. Here you will select the scope of the CSS file as it is applied to your project.

The CSS Scope dialog displays the following options:

  • Site-wide. If you select this option, when you publish the site, each page of the site will include the added CSS file.

  • MasterBorder specific. If you select this option, when you publish the site, all the pages that contain the selected MasterBorders will include the added CSS file.

  • Page Specific. If you select this option a dialog will appear that will allow you to select which pages the CSS file will be applied to.

Applying a Style Sheet to Specific MasterBorders

  1. Click the Select button. The Select MasterBorder dialog will appear.

  2. Choose one or more of the existing MasterBorders on the list.

  3. Click OK.

The CSS file will be applied to the selected MasterBorders.

Applying a Style Sheet to Specific Pages

  1. Click the Select button. The SiteStructure - Select Pages dialog will appear.

  2. Select one or more pages from the SiteStructure.

  3. Click OK.

The newly added CSS file will appear in the Active SiteStyles section on the Styles Tree and will be applied to the specific pages you selected.


Adding a CSS Rule

CSS defines formatting in a particular class or redefines the formatting for a particular HTML tag (p, body, h1, etc.).

You can create new CSS rules to automate the formatting of HTML tags or a text object identified by a class attribute. When adding a new CSS rule, you will be prompted to choose whether to define a new custom style or to redefine an existing HTML tag. By selecting to create a new custom style, the CSS rule will appear on the Custom Style drop-down list in the Properties panel in Page View and can be applied to any object in Page View. The new CSS rule will also become visible on the Selectors column in the Selectors View, and its content will be displayed in the CSS Code View (with the exception of site-specific CSS rules).

You can add a new CSS rule:

  • to the Active SiteStyle in Styles Tree (either in Page View, or in Style View). The CSS rule will be available site-wide regardless of the applied style (NetObjects Fusion will generate the Site.css file which contains all the CSS rules).

  • to a SiteStyle. The CSS rule will be available for that SiteStyle. The rule will be included in the Styles.css file for that SiteStyle.

  • to a CSS file. The CSS rule will be available only in that CSS file.

To add a CSS rule to the Active SiteStyle:

  1. Right-click on the Active SiteStyles folder in the Style Tree.

  2. Select the Add CSS Rule option from the context menu. The Add CSS Rule dialog will appear.

  3. From the Type drop-down box, select one of the two options:

  • To create a custom style that can be applied as a class attribute to an object, select Named Style and enter the name for the style in the Name field.

  • To redefine the default formatting of an existing HTML tag, select Redefine HTML Tags and, in the Name field, select an HTML tag from drop-down list.

  1. For advanced definition of formatting, click the Builder button and use the options from the drop-down menu:

  • ID (#), preceded by a hash mark (#), then the ID name and the declaration. With the ID selector, you identify an element to be a ‘unique instance’ in a document. You assign this element a name; it can be applied only once in a document. The CSS rule with the ID selector can only apply to one single element.

  • Class (.), preceded by a period, then the class name followed by the declaration. You can apply this class to all elements multiple times within the same document or page. With classes you can redefine HTML tags.

  • Pseudo-classes, which offer the ability to change the style of a page’s links, based on whether the links have been visited or how the visitor is interacting with the page. Available options are:

  • :first-child. Adds style to an element that is the first child of another element.

  • :link. Adds style to an unvisited link.

  • :visited. Adds style to a visited link.

  • :hover. Adds style to an element when you move the mouse over it.

  • :active. Adds style to an activated element.

  • :focus. Adds style to an element while the element has focus.

  • :lang. Allows the author to specify a language to use in a specified element.

  • Pseudo-element, which allow you to set a style on a subpart of an element, (for example, the first line of a paragraph). Regardless of how the visitor resizes the window, the first line will be styled. Available options are:

  • :first-line. Adds special style to the first line of a text.

  • :first-letter. Adds special style to the first letter of a text.

  • :before. Inserts content before an element.

  • :after. Inserts content after an element.

  • New group (,), creating a new group of selectors, useful for ensuring that any sets of elements that are supposed to share the same properties, in fact do so. This minimizes the possibility of assigning the wrong properties or values. Any number of identical definitions may be grouped by using a comma to separate them.

  • Universal Tag Selector (*), which selects any tag or element type.

  • Descendant (space), giving a fine-tuned control over the appearance of a page. It can be used, for example, when a selected element is going to be contained by another element, and you may want it to have a particular appearance. It applies the style to any element which is contained within, or is a descendant of, the element x. It is a list of other selectors, each separated by a space.

  • Child (>), providing finer control over the selection of elements than the one provided by descendant selectors. Applies a style to any element that is a child of another element. It is formed by listing the parent, then the child element separated by a ">".

  • Sibling (+), formed by listing the elements that must be adjacent in the order in which they must appear. Elements are separated by a "+".

  • Tag Attribute ([name="value"]), providing a more sophisticated version of the class and ID selectors. It applies a style to any element that has a specified attribute. It consists of two parts: a selector that identifies an element and a condition for the attributes of the element.

  2. Click OK.

The added CSS rule will be visible in the Selectors View and in CSS Code View.

The newly created CSS rule will now be available in the Selectors and CSS Code View. You can also edit the rule via the Manage Styles dialog or assign the rule to an object via the Custom Style combo-box of the object properties panel.


CSS Importing Order

When working with multiple style sheets you may find it necessary to define the order in which the style sheet is referenced.

Generally, the import order for the CSS files in NetObjects Fusion 10 is:

  1. Styles.css. The CSS Rules defined using the Add CSS Rule dialog from the Style selected in the Styles Tree and all the CSS Rules that NetObjects Fusion generates or uses for the NetObjects Fusion styles and style elements.

  2. Site.css. The CSS Rules defined using the Add CSS Rule dialog from the ActiveStyles volume in Styles Tree or using the Manage Styles dialog and specifying a Site-wide rule.

  3. Site-specific External CSS files.

  4. MasterBorder-specific External CSS files. The order through which these files are imported may be changed in the CSS Importing Order section on the MasterBorder Properties panel.

  5. Page-specific External CSS files. The order in which these files are imported may be changed in the CSS Importing Order section on the Layout Properties panel.

To change the order in which CSS files are imported:

  1. Select the CSS Importing Order button on the Layout or MasterBorder Properties panel.

  2. Select the CSS file.

  3. Use the up and down arrow buttons to change the import order. The CSS file from the first position on the files list will be imported first.


Removing a CSS Rule

You can remove existing CSS rules by either deleting their content in the CSS Code View, or using the Manage Styles dialog.

To remove an existing CSS rule in CSS Code View:

  1. Switch to CSS Code View.

  2. Delete the syntax of the CSS rule you want to remove.

To remove an existing CSS rule from the Managements dialog:

  1. In Style View, select Manage Styles from the Style menu.

  2. Select the CSS style that you want to remove.

  3. Click Delete.

Removing the CSS rule from Code View and the Manage Styles dialog will effectively remove the CSS rule from the Selectors View.


Working in the Selectors View

The Selectors View is a more advanced view in which to display and edit CSS rules, allowing you the capability to choose a selector and use the CSS panels to modify the CSS rule behind the scenes.

The CSS style sheet related to the selected item in the Style Tree will be displayed in the Selectors View. In this view, CSS selectors are displayed in a column on the left, while a preview of the selected selector is displayed on the right. Each element from the Selectors column may be edited using any of the three CSS inspectors (CSS Common, CSS Property Grid, and CSS Code).

The Selectors View displays all the CSS rules belonging to the selected style or CSS file in the Styles Tree. The CSS rules displayed in the Selectors View are:

  • CSS rules auto-generated by NetObjects Fusion. These auto-generated rules belong to the styles that are included with NetObjects Fusion. These CSS rules are easily recognized by the .nof selector name.

  • CSS rules added by the user. The preview will be simple text displayed using the chosen selector as an inline element for a block element.

  • Components predefined CSS rules. These CSS rules have predefined structures. For example, for the Forms Handler Component, the CSS selector begins with .NOF_FORMS_HANDLER_. Selecting a form element from the preview area, you can modify the associated CSS rule using the CSS Panels.

The Selectors view can contain predefined CSS rules to use with tablesand a few of the NetObjects Fusion components. These rules have hard-coded names and are used as default styles for the corresponding elements.

The Selectors View edits an entire style sheet at once. It can edit either an external style sheet that you wish to use, or a built-in Fusion style sheet.

If the CSS rule corresponding to the selected preview does not appear in the Selectors list, NetObjects Fusion will add it automatically when you start editing it.

Selecting parts of the preview will be available only for a part of components.

Before editing CSS rules, make sure that the Read-only attribute is removed. In the Selectors view, you can do that by right-clicking inside the view and un-checking the Read-only option from the context menu that appears. You can also remove the Read-only attribute in Graphic View. To do that, see Removing the Read-Only Setting.

To edit a CSS rule in the Selectors View:

  1. Choose a selector from the Selectors column.

  2. Review the selector in the Preview area.

  3. Using the CSS panel, edit the content of the CSS rule. See ‘Using the CSS Inspectors’ on page ... (in the Working with Text chapter)

You cannot remove CSS rules in the Selectors View. To remove a CSS rule, go to CSS Code View and delete the CSS rule from there or remove the CSS rule from the Manage Styles dialog.


Using the CSS Panels in the Selectors View

In the Selectors View, the CSS panels allow you to modify the selectors individually.

By default, NetObjects Fusion displays the three CSS panels grouped together and docked on the right side. The CSS Common panel is visible; in order to display the other two panels, you will need to click their corresponding tabs on the group panel.

  • CSS Common. It is a visual environment where you can set CSS properties for the currently selected item.

  • CSS Property Sheet. It displays a property grid with CSS properties and values, more than the ones contained in the CSS Common panel.

  • CSS Code Editor. It is a code editor similar to the CSS Code View.

For an extensive description of the CSS Panels, see Using the CSS Panels.

To work more easily with the CSS Panels, group them together. To learn how to move and dock panels within your NetObjects Fusion workspace, see Optimizing your Workspace.

To style an element using the CSS Panel:

  1. Select an element in the preview area. For example, the Normal(P) element.

  2. Change its properties in the CSS panel that you prefer. For example, change the Font color to red and set the Trebuchet MS for Font Family, 20px for Font Size, Italic, and Bold.

The preview will be updated with every change you make to the style of the selected element.

The changes in style will be visible in the CSS style sheet and in the CSS Panel as well.


Editing the Text Elements of SiteStyles in the Selectors View

The BODY selector displays the preview of text-related selectors. You can change the style of the selectors using the CSS Panels on the right: CSS Common, CSS Property Sheet and CSS Code.

To modify the style of text elements:

  1. In the preview area, click on one of the available text element previews. For example, click the preview of the Normal(P) selector. The properties of the Normal(P) selector will be available for change in the CSS panels.

  2. If the chosen selector (Normal(P)) has not been previously added to the Selectors column, NetObjects Fusion will add it now, because you have edited it. After you start editing it, you will see (Normal(P)) added to the Selectors column.

  3. Use the CSS panels to change the attributes of the chosen selector, in our case, (Normal(P)). See Using the CSS Panels in the Selectors View.


Styling Forms in the Selectors View

You can change the pre-defined style of forms within a SiteStyle by adding the form selector to the Selectors column and then working with the form properties in the Preview area to give them the values you want.

To do that:

  1. Right-click inside the Selectors View and select Add CSS rule from the context menu.

  2. From the Add CSS Rule dialog, select Redefine HTML Tag from the Type control and then select the form option from the Name list.

  3. The form selector is now listed in the Selectors column and a preview of it is available on the right.

Now you can style the form elements using the CSS panels available next to the preview. For example, to change the properties of all labels within the form:

  1. In the preview area, select one of the form’s text labels. The text label’s properties will appear on the CSS panels.

  2. Next we will use the CSS Common panel to change the font color to red using the Color panel.

  3. Since the label selector has not been previously added to the Selectors column, NetObjects Fusion will add it now.

  4. The label selector is now visible in the Selectors column and all text labels are red on the preview.


Working in the CSS Code View

The CSS Code View displays all the CSS rules of a selected style, element, or style sheet. You can display and modify entire style sheets, such as the Style.css file that accompanies the NetObjects Fusion style or custom stylesheets you have created and imported into Style View.

The CSS Code view displays the CSS definitions of the currently selected SiteStyle in the Style Tree.

In CSS Code View, you can add and edit CSS rules by directly typing in the code editor. Any modifications you make to the existing CSS rules of a SiteStyle will automatically update the Style.css file that accompanies the style.

In Code View you can edit and remove CSS rules that are pre-developed rules in NetObjects Fusion, or you can create custom created CSS rules.

Do not edit or delete pre-developed NetObjects Fusion CSS rules, if you are not familiar with CSS coding and the structure of SiteStyles within NetObjects Fusion. These actions cannot be undone.

The CSS Code view includes a context menu that appears on right-click inside the content of this view.


Using the CSS Code Context Menu

The context menu offers basic functionality and configuration for the CSS Code View. You can perform basic editing operations, and set display and coding options as well as importing and exporting CSS files directly from within the CSS Code View, using the context menu.

  • Editing options. Editing operations can be performed on the CSS file displayed: cut, copy and paste, clear, and find and replace code.

  • Inserting Font and Color. Inserting new CSS definitions or changing the existing ones is possible in a few simple steps.

Right-click inside the CSS Code View, and from the context menu, select Insert -> Font or Color.

If you select the Font option, the Font select window appears and you will be able to select the font attributes that will be inserted into the CSS definitions.

If you select the Color option, the Color picker panel appears, where you can select basic colors, that will be inserted into the CSS definition.


Formatting code content

You can format the existing CSS code in the CSS Code view using the Format command on the context menu. You have three options for formatting the code: Indent, Outdent, and Autoformat.

  1. Highlight a section of the code you would like to work with and right-click inside the CSS Code View window.

  2. From the context menu, select:

  • Format->Indent, to indent the code one tab space at a time. Repeat this action to obtain the desired format.

  • Format->Outdent, to outdent the code one tab space at a time. Repeat this action to obtain the desired format.

  • Format->Autoformat, to have the default format applied.


Working with CSS Code View Sections

You can perform several display actions on the code sections displayed in CSS Code view to help focus on the sections you are working on at a particular time. These options are available from the right-click context menu in CSS Code View by selecting Sections from the menu.

  1. Highlight a definition section and right-click inside the CSS Code View window.

  2. From the context menu, select Sections->Toggle Outlining to expand the content of a definition.

To hide the content of a displayed section:

  1. Highlight a definition section and right-click inside the CSS Code View window.

  2. Select Sections -> Toggle Outlining from the context menu.

The following additional options are available via the Sections menu:

  • Toggle All Outlining option to show/hide all the sections of the CSS file. To display the content, select the Toggle All Outlining option from the context menu.

  • Stop Outlining option, to automatically expand all the definition sections.

  • Collapse to Definitions to display only the definition names.


Display Options

You can customize the code editing options of CSS Code View to enable syntax checking, code hinting and the display of line numbers in the editor.

The Show Line Numbers option, will display the line numbers on the left of the CSS Code View window.

To show line numbers:

  1. Right-click anywhere inside the content of the CSS Code view. The context menu will appear.

  2. Select Display -> Show Line Numbers.

Line numbers will now appear in the CSS Code view.

To hide the line numbers, uncheck the Display -> Show Line Numbers from the context menu.

The Show Code Hinting option allows you to complete writing or editing definitions in the following manner:

  • A tooltip hint containing the CSS definition will be displayed, when the mouse is positioned over that CSS rule.

  • A drop-down box will appear when editing CSS code, suggesting the common set of values for a CSS property.

Code hinting may be enabled or disabled. To show code hinting:

  1. Right-click anywhere inside the content of the CSS Code view. The context menu will appear.

  2. Select Display -> Show Code Hinting.

  3. Hover your mouse over an existing CSS definition and wait for a few seconds. The CSS rule definition will appear.

NetObjects Fusion 10 also offers a way to eliminate errors when typing in code with the Check Syntax As You Type option. When selected, syntax errors will appear grayed inside the code definition, until corrected. While typing a CSS definition, the syntax will appear on a grayed background, until it is correct.

The editing option in the CSS Code View would not be complete without having the ability to change sections of your code to comments for informational purposes or testing new definitions. You can convert a selected piece of code to comment by following the next steps:

  1. Select the piece of code that you want to convert to comment.

  2. Right-click and select the Convert To Comment option from the context menu.

The selected line now appears as a comment.


Importing and Exporting a CSS File

To allow full flexibility for designers to create their CSS style sheets, NetObjects Fusion provides the ability to Import and Export style sheets directly from within CSS Code View using the commands on the right-click context menu.

Importing an external CSS file into the CSS Code editor will overwrite the Style.css of the active SiteStyle.

To import a CSS file in the CSS Code view:

  1. Select Import from the context menu. The Open dialog appears.

  2. Browse and select the CSS file that you need.

The imported CSS file will now display the definitions of the imported style sheet in the CSS Code View and represent the new Style.css file for the selected SiteStyle.

To export a CSS file from the CSS Code view:

  1. Select Export from the context menu. The Save As dialog appears.

  2. Type the name and select the destination location for the CSS file to be saved.

You can now work on the Style.css file with your favorite CSS Editor and import the style sheet back into NetObjects Fusion using the import instructions mentioned above.


Printing the CSS File

You can print the content of the CSS file displayed in the CSS Code View by selecting the corresponding Print command from the contextual menu.


Working with the Styles Tree in Page View

In NetObjects Fusion 10, applying SiteStyles by switching views is a thing of the past. The new Styles Tree now makes it possible to work with SiteStyles directly from Page View using the same flexible panels that can be manipulated for optimum workspace as needed. Using the Styles Tree in Page View offers you the ability to preview styles, create new styles, and even apply a new style to your website without taking your eye off your page design.

To switch to the Style View, click the Maximize button.

To create a new SiteStyle, see Creating a New SiteStyle.

The following additional actions are available on the Styles Tree right-click menu:

  • Add a new CSS file

  • Add a new CSS rule

  • Refresh the SiteStyles Volume

  • Create a new folder in the SiteStyles Tree


Previewing SiteStyles

Previewing SiteStyles before taking action is an added benefit of working with the Styles tree in Page View. A tooltip preview allows you to see the SiteStyle by hovering over it with your mouse. Using the right-click context menu allows you to select from a variety of actions to apply, delete and modify SiteStyles displayed in the Styles Tree.


Creating a New SiteStyle

It is possible to create a new SiteStyle in Page View using the right-click context menu.

To create a new SiteStyle in Page View:

  1. Right-click on Active SiteStyle. The context menu appears.

  2. Select the New Blank SiteStyle.

  3. Complete the editable text box with the new SiteStyle name.

The new SiteStyles appears in the Active SiteStyles list.


Managing Assets

With NetObjects Fusion, you can manage all the assets—files, links, data objects, and variables—used in your site. In Assets view, you can navigate to the pages on which these assets appear, delete unused assets, and verify the location of assets that are in use. For information about how to add assets to a site, see Page View Basics.

NetObjects Fusion uses aliases for files and external links, so you can globally replace an item that appears on several pages—such as a picture or an external link—by replacing the file or link once in Assets view. If you insert a variable in text boxes on different pages, you can edit the value of the variable in Assets view and NetObjects Fusion updates all instances of the variable throughout your site automatically.

Browse this section for information about:

  • Managing files

  • Managing links and link targets

  • Managing data objects

  • Managing variables


Working in Assets View

When you switch to Assets view, choose which kind of asset to view by clicking one of the four tabs below the views bar. You can sort a list by clicking a column heading, and you can change the width of any column by dragging the column divider to the left or right.

Depending on the selected tab, Assets view shows:

Asset type | Column headings
Files | Name, Type, In Use, Location, Size, Date, Verify Status
Links | Name, Link To, Type, Target, Verify Status
Data Objects | Name, Type
Variables | Name, Contents


Managing File Assets

When you click the Files tab in Assets view, a list of the files associated with your site appears, including external files and those generated by NetObjects Fusion. File types include image, audio, video, applets/plugins, Java class, HTML, data source, and link target.

In Assets view, you can add assets, edit asset names, and go directly to the page containing a selected asset. You can verify the locations of assets in your site, and you can open an asset file for editing in the application associated with it. You can also replace assets, delete selected assets, or delete all unused assets in a single action.

For example, if you have an image file of an arrow that indicates the next page in the site, you could name this asset Next Page and place it on several pages. If you later decide to change the image to a pointing finger, you need only edit the file asset so Next Page uses the pointing finger image file. NetObjects Fusion automatically changes the image on all the pages that include the Next Page image asset.

The File dialog displays an asset’s name, location, and the pages on which it is used. To display the File dialog, double-click an asset’s name in Assets Files view.

Image files that you place on stacked pages to populate an internal data object are not listed in Assets view. You can manage such files directly on the stacked pages. For information about data objects and stacked pages, see Data Publishing.


File Asset Characteristics

To effectively manage assets, it helps to understand the characteristics of asset files and how NetObjects Fusion handles them in Assets view.

  • Assets view lists all assets ever added to a site whether they are currently included in the site or not.

  • Assets view is a list of pointers to the asset files in their directories. Assets view does not contain the actual asset files themselves. When you publish a site, assets are copied from their current location to the publish location.

  • Assets are not copied to the \Assets folder except in special cases—when you import a site that contains assets in its assets directory or start a site based on a template with assets.

  • Assets view does not show the contents of any specific directory on your local hard disk or server.


Adding a File Asset

  1. In Assets Files view, from the Assets menu, choose New File Asset, or click New Asset on the views bar.

The File dialog appears.

  2. In the Location field of the File dialog, type the path and file name of the asset you want to add, or click Browse and select a file.

  3. If you want, edit the Asset name and click OK. See Editing Asset Names and Locations.

  4. To force publication of the file, even if it is not in use, select Always publish file.

  5. Click OK.

When you add an asset in this manner, it is available for use in your site, but it is not yet actually in use. The asset now appears on the Assets tab in the Open dialog. See Reusing Assets.


Editing Asset Names and Locations

Giving custom names to assets can make them easier to manage.

  1. In Assets Files view, double-click the asset name to display the File dialog.

  2. Type a new name in the Name field and click OK.

You can also edit the location directly in the File dialog. For example, you could enter a URL instead of a file path to point to a dynamic image on a server. Such images, however, are represented by an X in Page view, because the asset is not accessible.


Opening a File Asset in an External Application

NetObjects Fusion can automatically open a file asset in the external application with which the file asset is associated. For HTML documents, and .gif and .jpg image files, you can specify your preferred editing application in the Application Options dialog. See Setting Program Options. For other types of files, see Editing Objects and Assets.

To open a file asset in an external application:

  1. In Assets Files view, select the asset.

  2. From the Assets menu, choose Open Asset.

  3. Make your changes and save the file in the external application.


Displaying a Page Containing a Specific File Asset

  1. In Assets Files view, double-click a file asset to open the File dialog.

  2. Select the page you want to see from the list of pages.

  3. Click the Go To button.

The page you selected appears in Page view.


Deleting a File Asset

You should only delete assets not in use. If you delete an asset in use on a page, the object containing that asset appears as a blank or with an "X" through it in Page view.

To avoid deleting assets in use, double-click the asset in Assets view to see if it’s used on any pages before you decide to delete the asset.

To delete a file asset:

  1. In Assets view, right-click the file asset you want to delete and choose Delete File Asset from the shortcut menu. You can also select the file asset in the list and press the Delete key on the keyboard.

  2. Click Yes to confirm the deletion.

You cannot undo this operation. You must use the New File Asset command on the Assets menu to recreate the file asset.


Deleting All Unused File Assets

  1. In Assets view, from the Assets menu choose Delete All Unused File Assets.

  2. Click Yes to confirm the deletion.

NetObjects Fusion removes all file assets for which the In Use indicator is not Yes.

You cannot undo this operation. You must use the New File Asset command to recreate file assets.


Verifying File Assets

To make sure assets publish correctly, you can verify that all file assets are in their expected folders. However, if any portion of the file’s path has changed, the file will not be found or verified. For example, if the hard disk drive letter is not the same, or not present, or if a folder name is changed or the directory is moved, or if the file name is changed or the file is moved, the file will not be found.

  1. In Assets view, from the Assets menu choose Verify All File Assets.

NetObjects Fusion verifies and reports the path status of all files.

  • When a file’s path information is correct, NetObjects Fusion lists the date and time found in the Verify Status column.

  • If a single file is not found, the Verifying Files Used by File Assets dialog appears identifying the missing file and the original path.

  • If a folder containing assets is not found, the Verifying Folders Used by File Assets dialog appears identifying the missing folder and its original path.

  2. Resolve the paths of any lost files or folders.

  • To specify a new path, click Browse and locate the file or folder.

  • To skip the lost item and continue verification, click Skip. NetObjects Fusion gives this file Not found status and goes on to verify subsequent files or folders. If the file is due to be published, you receive a publish error.

  • To stop the verification process, click Cancel. The verification status of the current file or subsequent files is not updated.

  3. When verification is complete, click OK in the confirmation dialog.


Managing Links and Link Targets

When you click the Links tab, a list of all the links and link targets used in your site appears, including external links, file links, user-defined internal links, and smart links. See Creating Links and Anchors

Links between entries in a data list and their associated stacked pages do not appear in Assets view. You can manage such links directly on the data list pages. See Creating a Data List.


Updating an External Link

The Link To location varies depending on the type of link. In Assets view, you can change the location of an external link yourself by changing the URL. You can also change the name of the link for Assets view but not the link’s other characteristics.

  1. In Assets Links view, double-click the external link you want to update.

The Links dialog appears.

  2. Change the name in the Name field if desired.

  3. Update the URL in the Link To field and click OK.

You can only update the location of one link at a time. To update other external link URLs, repeat the process.

  4. If you have a list of links created in HTML and import the HTML into Page view, the links are automatically added to Assets view. Otherwise, you cannot import a list of links in Assets view.


Displaying the Page Containing a Link

  1. Double-click the link in Assets Links view. The Links dialog appears.

  2. Select the page you want to see in the list of pages.

  3. Click the Go To button.

The page you selected appears in Page view.


Adding an External Link

  1. In Assets Links view, from the Assets menu choose New Link, or click New Asset on the views bar.

The Links dialog appears.

  2. Enter a name.

  3. Type the link destination and click OK.

Be sure to include http:// or a similar designator.


Deleting a Link

  1. In Assets Links view, select the link you want to delete

  2. From the Edit menu, choose Delete Link or press Delete.

  3. Click Yes to confirm the deletion.

You cannot delete a link that is in use. You must use the Link dialog to unlink.

You cannot undo this operation. You must use the Add Link command to recreate the external link. If you accidentally delete a non-external link, you must recreate it in Page view.


Updating Link Targets

To update link targets:

  1. In Assets view, double-click the link target you want to update.

The Link Targets dialog appears.

  2. Change the name of the link target if desired.

  3. Click OK.


Verifying Links

To make sure links will work properly when a site visitor clicks them, you can verify link destinations.

  1. In Assets Links view, from the Assets menu, choose Verify All Links.

NetObjects Fusion displays a progress bar as it verifies and reports the status of link destinations. It accesses the Internet to verify external link references. If you are not connected to the Internet, the external links are not verified.

  • When a link’s destination is found, the date and time of validation appear in the Verify Status column.

  • If a link’s destination is not found, the problem is described in the Verify Status column.

When verification is complete, the progress bar disappears.

  2. Resolve the destinations of broken links by double-clicking the link and editing it as described in Updating an External Link.

Link verification takes place in the background, so you can switch to another view and continue working while links are being verified.

To verify links through a proxy server, open the Windows Control Panel and double-click the Internet icon. In the Internet Properties dialog, click the Advanced tab, select Use Proxy Server, and configure your proxy server settings.

When NetObjects Fusion cannot verify that an http, rlogin, tn3270, snews, or JavaScript link is valid, "Unsupported URL Type" displays in the Verify Status column. If NetObjects Fusion cannot verify a mailto, news, or telnet link, no status displays.


Managing Data Objects and Photo Galleries

Data objects are collections of fields of data. You can use a data object to publish data without using CGI scripts or database programming. For information about data objects, including how to create and delete them in Assets view, see Data Publishing.

When you click the Data Objects tab, NetObjects Fusion displays a list of all the data objects used in your site. In an internal data object, you can edit the name and field names and add new fields. See Changing an Internal Data Field Name.

For an external data object, you can change Simple fields to Image fields and vice versa, but you cannot edit field names or add new fields, because these items depend on data in the external data file. Data objects can also be deleted, but use care when deleting and make sure the data object is no longer in use on the site.

Photo galleries are a special type of data object. For information about photo galleries, including how to delete them in Assets view, see Creating Photo Galleries You can configure a photo gallery here by double-clicking it.


Managing Variables

Text variables make it easy to update text that appears throughout your site. User-defined variables are displayed in Assets Variables view so you can edit, create, or delete them. NetObjects Fusion also provides standard variables, such as the date and time the site was created or last modified, but these are not displayed in Assets Variables view.


Adding a Variable

  1. In Assets Variables view, from the Assets menu choose New User-Defined Variable, or click New Asset on the views bar.

The New Variable dialog appears.

  2. Enter a name and value for your variable and click OK.


Editing a Variable

  1. Double-click the variable in Assets Variables view.

The Edit Variable dialog appears.

  2. Edit the name and value of the variable and click OK.

If you edit the value of the variable, NetObjects Fusion updates all text blocks containing that variable with the new value. See Creating a User-Defined Variable for information about adding variables to your pages.


Deleting a Variable

  1. In Assets Variables view, select the variable you want to delete.

  2. From the Edit menu, choose Delete User-Defined Variable.

  3. Click Yes to confirm the deletion.

You cannot undo this operation. You must use the New Variable command to recreate the variable. Do not delete a variable that is in use. If you do, it will be replaced with Undefined User variable:variable name in the text where it was used.


Page View Basics

Page view is where you add text, graphics, and other objects to develop page design and add content. You can use a variety of tools, object properties, and layout aids (such as rulers, guides, and grids) to add and arrange objects on the page.

Browse this section for information about:

  • MasterBorder and Layout area

  • Setting up the Page view display

  • Displaying pages in Page view

  • Setting page size

  • Adding objects to the page

  • Editing objects

  • Positioning objects

  • Layering objects


Exploring Page View

You use the tabs between the views bar and horizontal ruler to see different views of the page. Use:

  • Page Design view to add objects to the page.

  • Page Preview to view the current page in Microsoft Internet Explorer.

  • HTML Source view to look at and edit the page’s HTML code. See Working in HTML Source View.

  • Page Preview to view the current page in Microsoft Internet Explorer.


MasterBorder and Layout Area

In NetObjects Fusion, a page consists of a Layout area and a MasterBorder area. The Layout area is the body of the page. It contains objects that are unique to that page. The MasterBorder is the page margins. MasterBorders contain objects, such as navigation bars, that appear on multiple pages.

You can define multiple Layouts and MasterBorders, then assign one of each to a page. See Working with MasterBorders and Working with Layouts.


Setting Up the Page Design View Display

Use the Panel Launcher buttons in the lower left corner of the NetObjects Fusion window to open and close the Properties panel, Site Navigation panel, and Object Tree panel, and the CSS Panels. See NetObjects Fusion Window , Using the Site Navigation panel and Using the Object Tree panel..

Use the commands on the View menu to show or hide Page Design view elements.

Use the Components commands on the View menu to show and hide the components toolboxes.

  • Show and hide panels and toolbars as described in About Toolbars.

  • Use the More Panels command to show and hide the other available panels.

  • Use the Workspace command to display one of the available workspaces. NetObjects Fusion comes with two predefined workspaces: Basic and Advanced, and with a Default workspace that saves the current Fusion layout. By default, NetObjects Fusion 10 will open with the Advanced workspace displayed.

  • Use the MasterBorder command to hide the MasterBorder. This provides more onscreen area for you to work on the page Layout.

  • Use the Page Labels command to show and hide the Layout and MasterBorder labels and margin lines.

  • Display object outlines to help you control object size and position.

  • Use the Object Icons command to display or hide the indicator icons.

Link icon indicates the object has an associated link.

Anchor icon indicates the object has an anchor point to which you can link.

Script icon indicates the object has associated HTML or scripts.

HTML tag icon indicates the text has an HTML tag inserted at this point.

Embedded object icon indicates the embedded object’s insertion point.

Action icon indicates an action is associated with the object.

Warning icon indicates a potential layout problem or other error condition. A ScreenTip identifies the problem. You cannot hide this icon.

Question mark icon indicates and empty navigation bar. You cannot hide this icon.

  • Select Rulers & Guides from the View menu to show and hide rulers and guides.

  • Select Grid from the View menu to show and hide grids.


Setting Page Properties

To display the Page Properties panel, from the View menu, select More Panels>Page Properties. See Setting Page Properties.


Displaying Pages in Page view

You can display a page from Site view, or move between pages in Page view using the Site Navigation panel or the Go To command on the Go menu. For information about the Go To command, see Using the Go Menu.


Displaying a Page from Site View

From Site view, to display a page in Page view:

  • Click the page icon, then click the Page button on the views bar.

  • Double-click the page icon.

  • Click the page icon, then from the Go menu, choose Page.


Using the Site Navigation Palette

Using the Site Navigation panel

The Site Navigation panel displays the SiteStructure.

  1. In Page view, click the Site Navigation panel button.

The Site Navigation panel appears.

  2. Double-click the page you want to open.

NetObjects Fusion displays the page you select.


Setting Page Size

The size of a NetObjects Fusion page is defined by the combined size of the MasterBorder and Layout area. The size is 730x555 pixels. You can redefine the default page size on the General tab of the Current Site Options dialog. See Changing General Settings.

You can change the size of an individual page by adjusting the size of the MasterBorder area, the Layout area, or both.

To resize the Layout and MasterBorder areas:

With the rulers showing, drag a Layout or MasterBorder handle to change the area’s height and/or width. Use the far right MasterBorder handle to change the size of the right MasterBorder and the bottom MasterBorder handle to change the size of the bottom MasterBorder.

To set Layout size precisely, enter values in the Layout Width and Height fields on the General tab of the Layout Properties panel. For precision MasterBorders, enter values for the left, right, top, and bottom margins on the General tab of the MasterBorders Properties panel.

You cannot make a Layout or MasterBorder smaller than the objects it contains. You cannot lock the size of a Layout or MasterBorder. If you add an object that is larger than the Layout or MasterBorder, the area expands to accommodate the object.


Using Object Tools

  1. In Page view, select the tool you want to use.

  2. Draw a box to position the object.

For some objects, you must select a file from the Open dialog.

The object appears on the page with the appropriate properties panel. The options displayed on the properties panel vary depending on the object.

  1. Set the object properties.

After you use a selected tool to place an object on the page, the Selection tool automatically becomes active. To use a tool repeatedly to add several objects, double-click it to keep it active. This does not work for the Form area tool or the Component tools.


Page View Toolbars

Toolbars allow you to access and organize commands quickly and easily. You can customize the existing built-in toolbars or create new toolbars. You can add and remove buttons, hide or display toolbars, and change the location of toolbars.

You can customize built-in toolbars by adding and removing command buttons, but you cannot delete them. You can, however, delete the custom toolbars that you create. Page view includes Standard, Common Actions, Text Format, and Form toolbars. For general information about using toolbars, see About Toolbars.

Toolbars are presented in two modes:

  • Docked. A toolbar is considered to be docked when it is attached to one edge of the working area. You can dock a toolbar to the left, right, top, or bottom edge of the window. When you drag a toolbar to the edge of the window, the toolbar snaps into place.

  • Floating. A toolbar is considered to be floating when it not attached to any edge of the working area. When floating, a toolbar may be placed on top of other objects or other floating toolbars. When floating, the grip handle disappears.

The name of the toolbar will be visible on its title bar when the toolbar is in a floating state. It also displays two buttons on the title bar: the Toolbars Options button and the Close button.

You can resize a floating toolbar (icons will be rearranged on the toolbar) and move it anywhere on your screen.

To display a toolbar:

  1. From the View Menu, select the toolbar name you want to display from the menu.

  2. Right-click on any of the toolbars. A context menu containing the names of the available toolbars will appear. Select the name of the toolbar and it will be displayed in the workspace.

You can add and remove buttons on toolbars. To do that:

  1. Click the Toolbar Options button on the toolbar you would like to add or remove buttons. The Toolbar Options button is located on the title bar if the toolbar is floating, or to the right side if the toolbar is docked.

  2. From the Add and Remove Buttons menu select the toolbar you want to modify.

  3. From the list of buttons that appear, select or deselect the button option.

You can also reset the toolbar to its default state, by selecting the Reset option.

You can move both a docked or floating toolbar within the workspace. To move a toolbar:

  1. Drag the toolbar by its grip handle if it is a docked toolbar, or by its title bar if it is a floating toolbar.

  2. While still holding the mouse button down, move the toolbar to the new destination. If you drag the toolbar to the edge of the working area, it will dock to the edge.

  3. Release the mouse button.


Dragging and Dropping Objects

  1. In Windows Explorer, select the file you want to place.

You can drag and drop any file you can place with an object tool.

  1. Drag the file into the NetObjects Fusion window and drop it on the page.

  2. Set the object’s properties.


Importing Pages

In Page view, you can import a page authored elsewhere, convert it to NetObjects Fusion format, and edit its contents as you would any other page. You can import files with .htm, .html, .jsp, .rtf, or .txt extensions, or files created in Microsoft Word 97, Word 2000, Word 2002 or Word version 2003.

If you prefer not to convert an HTML page to NetObjects Fusion format, you can place it as an object. See Referencing HTML from Page View.

Because of variations in HTML code, not all pages import exactly as you see them. Unpredictable results can occur if the page contains incorrect HTML. Non-HTML, such as JavaScripts and CGI scripts, do not import. If NetObjects Fusion cannot parse the HTML, it is imported, but appears as external HTML.

  1. In Page view, display the Layout on which you want to import the page.

It is easiest to import a page into a Layout that contains no content, because objects from the imported file will overlay existing objects.

  1. From the File menu, choose Import>HTML Page or Import>Document. If you do not have a supported version of Word installed on your system, Import>Document is not available.

The File Open or Import Document dialog appears.

  2. Select the type of file you want to import from the Files of type list.

  3. Select a file from your hard disk or LAN. To use a file on a CD-ROM, copy it to your hard disk. To reuse an HTML file already included in the site, select it from the HTML Assets tab.

  4. Click Open.

NetObjects Fusion places the contents of the file on the current page, beginning in the upper left corner of the Layout area.

You can also import a document from Site view. See Importing a Microsoft Office Document.


Reusing Assets

By treating object files as assets, NetObjects Fusion provides you with a convenient way to replace or update multiple instances of an object. Reusing assets can also reduce the number of files stored on the server. Instead of adding multiple copies of a file in several locations, you add the asset once and then select from the list of existing assets when you want to place another instance of the asset.

To place an asset:

  1. In Page view, choose the appropriate tool and draw a box to specify where you want to place the asset.

The File Open dialog appears.

  1. Click the Assets tab to see a list of current assets.

  2. Select the asset you want to place and click Open.

NetObjects Fusion places the asset on the page and opens the appropriate properties panel. In Assets view, you can replace all instances of this asset in your site using a single command, or add file assets. See Managing Assets.


Adding and Modifying Alt Tags

To make pages load faster, some visitors set up their browsers so they do not display images. To ensure that your pages provide the information you want to convey regardless of how the site visitor’s browser is set up, use alt tags to provide descriptive text that appears when images are not displayed. You can add an alt tag to image, Java, drawn shape, generic plugin, QuickTime, Shockwave, audio, and video objects in the AltTag field of the properties panel.

Microsoft Internet Explorer 4.x and greater and Netscape Navigator 4.x display alt tag text in a ScreenTip when site visitors point at an object, so make sure every alt tag is appropriate for a ScreenTip.

To add or modify an alt tag, on the object’s Properties panel, type a descriptive name in the AltTag field.


Editing Objects and Assets

You can edit objects created in other software applications from within NetObjects Fusion. In Page view, right-click the object and select Open File In External Editor from the shortcut menu. In Assets view, you select the Asset, and then from the Asset menu, select Open File in External Editor. If the correct application does not open, the file type of the object or asset is probably not associated with the correct application. You can set external file editors for .html, .gif, and .jpg files on the Program tab of the Application Options dialog. See Setting Program Options.


Selecting an Object

In NetObjects Fusion you might not always be aware of making a selection, but in Page view something is always selected. For example, when you switch from Site view to Page view, the Layout Properties panel appears. You might not see evidence that the Layout is selected, but it is indicated by the properties panel. To find out what has been selected at any time, check the properties panel.


Using the Selection Tool

Click the Selection tool on the Standard toolbox.

  • Click an object to select it. Click elsewhere to deselect it.

  • Drag a marquee around multiple objects, or Shift+Click each object you want to select. Shift+Click selected objects one-by-one to deselect them.


Using the Object Tree Palette

Using the Object Tree panel

The Object Tree panel provides a convenient way to select objects, especially if you are working with layered or hidden objects.

  1. In Page view, click the Object Tree panel button in the lower left corner.

The Object Tree panel appears.

  1. Click an object in the Object Tree panel to locate it on the page.

Selection handles appear around the object on the page.


Renaming an Object

If you add several of the same type of objects to a Layout or MasterBorder, NetObjects Fusion numbers each object in the order in which you placed it. You can rename the objects for easy identification. These names are only for use by NetObjects Fusion; they do not affect the final website.

  1. In Page view, click the Object Tree panel button in the lower left corner.

The Object Tree panel appears.

  1. Select the name of the object, then click again and type a new name. Some objects cannot be renamed.


Resizing an Object

Click an object and drag the selection handles to resize the object. If the Display property of a Picture is set to Normal, you cannot make the image larger.

To make multiple objects the same size:

  1. In Page view, select the objects by Shift+Clicking each one or by drawing a marquee around them.

  2. From the Object menu, choose Size Objects:

  • Width, to make the objects the same width.

  • Height, to make the objects the same height.

The selected objects size to match the largest object you select.


Moving or Copying an Object

  • Click and drag an object to move it.

  • Press Ctrl, then click and drag an object to copy it.

  • To prevent an object from dropping into a container, such as a Layout Region or text box, select the object and press Alt while moving it over a container.

  • You can move or copy objects from Layout to Layout in Page view using the Cut, Copy, and Paste commands on the Edit menu.

To specify the position of an object before you paste it, click the page and then use the Paste command. The upper-left corner of the pasted object appears at the point where you click the page.


Aligning and Distributing Objects

In a Layout or Layout Region, you can align two or more objects to each other and distribute three or more objects equidistant from each other. You can also align and distribute objects relative to the Layout or Layout Region.

  1. In Page view, select the objects you want to align by Shift+Clicking each one or by drawing a marquee around objects in the Layout.

If you select different types of objects, the Multi-Object panel appears. If the object properties appear, click the Position tab.

  1. If you want the objects to align or be distributed relative to the Layout or Layout Region in which the objects are placed, select Relative to Layout.

  2. In the Align section, specify the horizontal and vertical alignment.

When aligning objects, NetObjects Fusion uses the object furthest in the direction you specify as the reference point. For example, if aligning left, the leftmost object is used; the topmost object is used when aligning top. When centering objects, NetObjects Fusion chooses the average distance between the selected objects as the center point.

  • Select an option from the Horizontally section to align objects’ left or right sides, or to center them. If you select Relative to Layout, the objects align to the right or left side of the Layout, or are centered in the Layout, one on top of the other.

  • Select an option from the Vertically section to align objects’ top or bottom sides, or to center them. If you select Relative to Layout, the objects align to the top or bottom of the Layout, or are centered in the Layout side-by-side.

  • Select Horizontally or Vertically from the Distribute section to make selected objects equidistant.

Object alignment can have an impact on preserving your design and optimizing your code. See Optimizing Dynamic Page Layout Output .


Grouping Objects

In a Layout or Layout Region, you can group two or more objects to each other. Grouped items are treated as a single object and can easily be copied, as well as aligned to create consistent design.

To group multiple objects:

  1. In Page view, select the objects by Shift+Clicking each one or by drawing a marquee around them.

  2. From the Object menu, choose Group Objects>Group.

The Group will appear in the Object Tree.

Object alignment can have an impact on preserving your design and optimizing your code. See Optimizing Dynamic Page Layout Output .


Locking Objects

You can prevent objects on a site from being altered by locking specific attributes, such as an object’s content, size, and position. This feature is useful if the site will be edited by multiple users or nPower clients. By locking objects, you can control which aspects of the site’s content and layout can be modified.

  1. To lock an object, right-click on the object and select the Protection option from the shortcut menu.

The shortcut menu will display a protection option specific to the object you have selected. For example, Text Protection will appear on the shortcut menu when you right-click on a text box, and Picture Protection will appear on the shortcut menu when you click on an image.

The Protection dialog appears.

  1. Select the attributes you want to protect:

  • In the Protect from field, select options to prevent the object’s content (e.g., table cells, text, images) from being changed. You can also prevent the object from being deleted or copied elsewhere on the site.

  • In the Protect Size field, you can retain the object’s current height, width, and aspect ratio by selecting the corresponding check boxes.

  • Lock an object’s horizontal and position on the page by selecting the appropriate check boxes in the Protect Position field.

  • Click All to select all protection options, or clear all selected check boxes by clicking None.

  2. Click OK to establish the protection options.


Adding, Moving, and Deleting Guides

Use the page guides to align objects vertically and horizontally. You can add as many guides as you want to either the MasterBorder or the Layout area. MasterBorder guides are red, Layout area guides are blue. Guides associated with a MasterBorder appear on all pages that use that MasterBorder. Guides you create are saved with the site. To:

  • Add a guide, select the Layout or MasterBorder, and click in the ruler or hold down the Ctrl key while you drag an existing guide.

  • Move a guide, click its arrow on the ruler and drag it.

  • Delete a guide, click its arrow and drag it off the ruler.

  • Show or hide a guide, select Rulers & Guides from the View menu.


Aligning Objects Using Smart Guides

Use the smart guides to position an object vertically and horizontally without using page guides. Smart guides are convenient when you want to align one image or object with another that is already set.

  • To show smart guides, select Smart Guides from the View menu.

  • To use smart guides, select and move an object in Page view.

Object alignment can have an impact on preserving your design and optimizing your code. See Optimizing Dynamic Page Layout Output .


Snapping Objects to Grids, Guides, and Each Other

Use the Snap feature to align objects exactly. When you select a Snap to command, NetObjects Fusion creates a "magnetic" attraction between the selected object and the grid, guide, or other objects. Forcing objects to snap to grids, guides, and each other makes your HTML code more efficient.

To force objects to snap to:

  • Guides, select Snap to Guides from the View menu.

  • Grids, select Snap to Grid from the View menu.

  • Other objects, select Snap to Object Outlines from the View menu.

Make sure the item you are snapping to is visible in Page view. See Setting Up the Page Design View Display.


Layering Objects

NetObjects Fusion supports Fixed Page Layout, a form of HTML output that displays overlapped objects correctly. Site visitors using Microsoft Internet Explorer 4.x or higher or Netscape Communicator 4.x can see objects overlap other objects. See Publishing with Fixed Page Layout.

To overlap objects:

  1. In Page view, on the General tab of the Layout Properties panel, select Fixed Page Layout in the HTML output section.

If Fixed Page Layout is not listed, make sure you do not have the Netscape Navigator and Microsoft Internet Explorer 2.0 and 3.0 option selected in the Target Browsers and HTML Generator dialog. See Setting the Site's HTML Output Method.

  1. Place two or more objects in the Layout or a Layout Region.

Objects are layered in the order in which you place them. To change the layering order, see Rearranging Layered Objects.


Rearranging Layered Objects

  1. In Page view, click the Object Tree panel button in the lower left corner.

  2. In the Object Tree panel, click the object you want to move.

Handles appear around the object on the page.

  1. Click and drag the object up or down the tree to move it to a different layer, or from the Object menu, choose Arrange Objects and select:

  • Bring Forward to bring the object up one layer.

  • Bring to Front to bring the object to the top of the layer.

  • Send Backward to send the object down one layer.

  • Send to Back to send the object to the bottom layer.


Adding Services

Use the Services tool on the Advanced toolbox to add hosted services with a page level component to your site.

  1. In Page view, select a service from the Advanced toolbox and click on the page where you want to place the service.

  2. Follow the on-screen instructions to add a service.


Working with Layouts and Layout Regions

Layouts and Layout Regions are containers for the objects you place on your pages. When you use Layouts and Layout Regions you can position content with pixel-level precision by dragging it into place in the container.

Browse this section for information about:

  • Working with Layouts

  • Creating Layouts

  • Working with Layout Regions

  • Creating Layout Regions

  • Setting the HTML output method for Layouts and Layout Regions

  • Setting the background of Layouts and Layout Regions


Working with Layouts

The Layout makes up the body of the page. It is surrounded on all four sides by the MasterBorder. Each Layout is attached to a single page, unlike a MasterBorder, which can be applied to any page in the site. There is no connection between Layouts on separate pages.

Each page has a default Layout named PagenameLayout. For example, when you add a page, its page name is Untitled#. Until you rename that page, the default Layout is named Untitled#Layout.

You can add multiple Layouts to a page, each with its own properties, design, and content. You might use several Layouts to prototype or publish several versions of the same page. You could also create separate Layouts for different versions of your site, such as English, French, media, and text-only. When you publish the site, NetObjects Fusion publishes each page using the currently selected Layout.

The name of the currently selected Layout appears in the Layout drop down list in the lower-left corner of Page view.

You can control various characteristics of the Layout’s appearance in Page view. See Setting Up the Page Design View Display.


Creating a New Layout

  1. In Page view, display the page for which you want to create a new Layout.

  2. Select Add from the Layout drop-down list.

  3. A new, blank Layout appears. Any content on the previous Layout is stored with that Layout. Each Layout you add is named PagenameLayout#. The number is incremented for each Layout you create for the page. To change the Layout name, see Renaming a Layout.

  4. Add objects to the Layout and modify the Layout properties—such as size, background, or HTML output options.


Selecting a Layout

To display a different Layout for a page:

In Page view, select a Layout from the Layout drop-down list.


Renaming a Layout

  1. In Page view, select a Layout from the Layout drop-down list.

The General tab of the Layout Properties panel appears.

  1. Enter a new name in the Layout name field.

Use letters and numbers only; Layout names cannot have spaces, hyphens, underscores, or other special characters, and they cannot begin with a number.

The name of the Layout changes and the Layout drop-down list is updated.

You can also use the Object Tree to change the name of the Layout. See Renaming an Object.


Deleting_a_Layout

To delete a Layout:

  1. In page view, select the Layout that you want to delete from the Layout drop-down list.

The selected Layout will display.

  2. Select Delete current from the Layout drop-down list.

  3. The selected Layout will be removed from the Layout drop-down list, and the Master Layout will appear.


Changing Layout Size

You can set Layout size by entering specific measurements on the Layout Properties panel or by dragging the Layout handles. See Setting Page Size.

To reduce the amount of white space in the Layout area:

In Page view, from the Object menu, select Size Layout to Objects.


Adding an Object to the Layout

The Layout is the default container for the page, and can contain any object. To place objects in a Layout, you can:

  • Select the appropriate tool and create an object within the Layout.

  • Paste an object into the Layout from the Clipboard.

  • Drag and drop any object that you previously placed with a tool.


Working with Layout Regions

A Layout Region is a container you use to group objects in a defined area on the page. Layout Regions are page segments that you can place, size, and control independently from the rest of the Layout.

There are five key aspects to using Layout Regions:

  • When you move a Layout Region on the page, its embedded objects move with it and maintain their positions relative to each other and the Layout Region.

  • You can send cascading action messages to the Layout Region, and it will pass the message to all objects embedded within it. See Building Dynamic Pages.

  • You can embed a Layout Region within a text box. This gives you position-based placement of the objects within the Layout Region, while the rest of the page is arranged in a text-based layout.

  • You can assign an HTML output method to a Layout Region independent of the method used for its parent Layout. See Setting the HTML Output Method for a Layout or Layout Region .

  • You can designate a Layout Region as a form and embed form objects within it. See Designing and Implementing Forms.

Layout Regions define an HTML table. If you use many Layout Regions, or nest Layout Regions, it increases the size of the page’s HTML file and slows page rendering in your site visitor’s browser.


Creating a Layout Region

  1. In Page view, select the Layout Region tool from the Container flyout on the Standard toolbox.

  2. Draw a Layout Region on the Layout.

  3. Position and size the Layout Region, just as you would position any other object.

  4. Add objects to the Layout Region.


Adding Objects to a Layout Region

Like a Layout, a Layout Region can contain any object: text, pictures, media, or even other Layout Regions. To add objects to a Layout Region:

  • Select the appropriate tool and create an object within the Layout Region.

  • Drag objects into the Layout Region from elsewhere on the page.

  • To make the Layout Region expand as needed to contain the object, drag the object into the Layout Region.

  • When the Layout Region border changes to a thick blue outline, the object is contained in the Layout Region.

  • To drag an object over a Layout Region without embedding it, hold down Alt as you drag the object.


Displaying the Layout Region Grid

To make it easier to place objects precisely in the Layout Region, you can use a local alignment grid that is independent from the grid displayed within the Layout.

To display and modify the Layout Region grid:

  1. In Page view, select the Layout Region.

The General tab of the Layout Region Properties panel appears.

  1. Select Grid if necessary.

  2. Enter values for the width and height of the local grid. The Layout Region grid always displays in pixels.


Converting a Layout Region to a Table

To see underlying table structure, you can convert a Layout Region into a table. NetObjects Fusion constructs a table and places objects in the same position they occupied in the Layout Region.

  1. Right-click the Layout Region and choose Convert Layout Region to Table from the shortcut menu.

The Convert Region to Table dialog appears.

  1. Choose how you want NetObjects Fusion to process empty cells. Select:

  • Leave as individual cells to skip empty cells.

  • Span in rows to merge cells in row order.

  • Span in columns to merge cells in column order.


Setting the HTML Output Method for a Layout or Layout Region

You can select the HTML output method that determines the type of HTML code NetObjects Fusion produces for the current Layout or Layout Region. This HTML method is independent of the method used to publish the parent container.

For example, if a Layout Region is placed in a Layout area, you can set the region to a different HTML output method than the one used for the Layout area. When you publish, the Layout area is published using its setting and the Layout Region is published using its setting.

  1. In Page view, click the Layout or Layout Region.

The General tab of the Properties panel appears.

  1. In the HTML output section of the General tab, select the HTML output method you want from the drop-down list.

  • Site Setting generates the Layout using the output method specified for the entire site. To change this setting, from the Tools menu, choose Site Settings and change the Browser compatibility setting.

Parent Setting generates the Layout Region using the output method specified for the object that contains it. For example, if a Layout is set to Dynamic Page Layout, that is the parent setting for a Layout Region contained in that Layout.

  • Dynamic Page Layout uses nested HTML tables to achieve the highest level of layout accuracy across browsers. If you select this option, you can set the table formatting preference. See Publishing with Dynamic Page Layout.

  • Regular Tables uses a single table to place objects on the page. See Publishing with Regular Tables.

  • Fixed Page Layout uses cascading style sheet positioning and layers to optimize your site in Microsoft Internet Explorer 4.0 and above and Netscape Navigator 4.x. See Publishing with Fixed Page Layout.

The method you select for the Layout affects the entire page, including the MasterBorder and frames you assign to that MasterBorder.


Setting Layout and Layout Region Background Properties

You can control the appearance of each Layout and Layout Region by setting background properties. You can assign a background color and place an image in the background of a Layout or Layout Region. You can attach a background sound to a Layout that plays when a visitor views the page.

  1. In Page view, select the Layout or Layout Region.

The General tab of the Properties panel appears.

  1. Select the Background tab.

  2. In the Color field, select:

  • Automatic to set the background to the background color specified by the Layout’s current SiteStyle or the Layout Region’s parent object.

  • Transparent to eliminate the background color of a Layout. This option is not available for a Layout Region.

  • Color to select a background color from the Color Picker. The selected color appears in the box to the right of the Color field. To change the color, click the box and select a new color from the Color Picker.

  3. In the Image field, select:

  • Automatic to set the background to the image specified by the Layout’s current SiteStyle or the Layout Region’s parent object.

  • None to eliminate the background image of a Layout. This option is not available for a Layout Region.

  • Browse to select an image from the Open dialog. See Choosing an Image Format. If the picture is smaller than the Layout or Layout Region, the browser tiles the image. To change the image, click the Browse button to the right of the field.

  4. To assign a sound to a Layout that plays when a site visitor views the page:

  • Select Sound. In the Background Sound dialog, click Browse, and select a sound file from your hard disk or LAN.

You can use sound files in .au, .aiff, .midi, .ram, or .wav formats.

  • To repeat the sound while the page is open, select Continuous Loop.

  • Click OK.

The selected sound plays when you preview the page.

Site visitors must have a sound board, speakers or headphones, and a browser that supports background sounds installed on their computers to hear background sound. To preview and test sounds, your system must also be appropriately configured. Some sound formats also require support from the Web server. See Inserting a Sound File .


Working with Text Boxes

A text box is a container for text as well as other kinds of objects, including pictures, sound objects, and tables. When you use a text box as a container, you do not have pixel-level control over embedded objects. For example, you do not insert a picture in a text box and drag it into position. Instead, you embed the object at a selected point in the text and adjust its placement using alignment, positioning, and text-wrapping choices. When NetObjects Fusion publishes pages that use a text box as the main Layout container, they have extremely lean HTML code and load relatively quickly in the site visitor’s browser.

Browse this section for information about:

  • Adding a text box

  • Selecting a text box

  • Embedding objects in a text box

  • Wrapping text around objects

  • Sizing a text box

  • Scaling text box contents to the browser window

  • Setting text box background color

  • Preserving your design intentions


Adding a Text Box

  1. Select the Text tool from the Standard toolbox.

  2. Drag a box in the location where you want to place the text box.

The text box appears with hollow selection handles indicating you can enter and format text. See Designing with Text.


Selecting a Text Box

  • To add or edit text within a text box, double-click in the text box. The text box selection handles are hollow, and the Text Properties panel includes a Format button in addition to the Text Box and Actions buttons.

  • To work with a text box as a container, click the text box. The selection handles are solid, and the Text Properties panel displays only Text Box and Actions tabs.

To add and format text, see Designing with Text.


Embedding Objects in a Text Box

When you embed an object in a text box, a wide border appears around the box and the insertion point appears as a vertical bar.

The insertion point indicates where the object’s HTML tags are inserted when NetObjects Fusion generates the HTML.

NetObjects Fusion positions pictures at the insertion point. Text, tables, sound, video, and other objects are placed with the top edge lined up with the top edge of the text line containing the insertion point. You use the object’s alignment options to arrange the object within the text box. An insertion marker indicates the object’s insertion point.

To move an embedded object, drag it. To place an embedded object on the top line of the text box, drag it until its insertion marker is positioned before the first text character.

You can create a new object in a text box or insert an existing object.


Dragging and Dropping an Existing Object

  1. In Page view, select the Text tool from the Standard toolbox and draw a text box.

  2. Add text. See Designing with Text.

  3. Select an object elsewhere on the page and drag it into the text box.

The thick blue text box boundary indicates the object will be embedded.

  1. Position the insertion point at the place in the text where you want to insert the object and drop the object.

  2. Position the object within the text box. See Wrapping Text around Objects .


Creating a New Embedded Object

  1. In Page view, select the Text tool from the Standard toolbox and draw a text box.

  2. Add text. See Designing with Text.

  3. Select the appropriate tool to create the new object.

To embed a text box within a text box, you must create it outside the text box and drag it into place.

  1. Position the mouse pointer in the text and draw a box for the new object.

If appropriate, the Open file dialog for that type of object appears. Select the object you want to embed and click OK.

  2. Position the object within the text box. See Wrapping Text around Objects .


Wrapping Text around Objects

Once you embed an object in a text box, you can wrap text around it.

  1. In Page view, select the object embedded in the text box.

The object’s properties panel appears.

  1. Click the Align tab.

  2. Set the alignment options.

Depending on the type of object you selected, NetObjects Fusion displays some combination of the following alignment options:

  • Vertical alignment of the object to the top, middle, or bottom of the text line.

  • Horizontal alignment of the object to the left, center, or right of the text box, without text wrapping.

  • Horizontal alignment of the object to the text box, with text wrapping. If you select Left wrap, the text wraps around the right side of the object; if you select Right wrap, the text wraps around the left side of the object. To embed the object at the top left of the text box, move the pointer to the beginning of the text.

  • In the Space around object section, specify the amount of vertical and horizontal space you want to leave between the image and the text.

The text wraps around the object according to your specifications.


Sizing a Text Box

When you create or select a text box, you can control its width, the minimum height, and the scaling of the text box to the full width of the Layout area or the browser window.

  1. In Page view, select a text box or add a new text box.

The Text Properties panel appears.

  1. Click the Text Box tab if necessary.

  2. To set the width of the text box, select it and drag the handles to size the text box as needed. The text box retains the width you set unless you size it to the Layout area as described in step 5.

  3. To set a minimum height for the text box, select Lock height and drag the text box handles to the minimum height you want.

If Lock height is not selected, NetObjects Fusion automatically adjusts the height of a text box to fit the text and objects it contains. Selecting Lock height prevents the text box from getting smaller in the site visitor’s browser.

  4. To use a text box as the main Layout container on the page, select Size Layout to Text. This results in extremely lean HTML code.

Before you do this, embed all objects in the Layout area in the text box or place them in the MasterBorder. Objects left in the Layout area outside the text box will be overlapped by the text box when you size it to the Layout. Unless you want this overlap—and use Fixed Page Layout HTML output to support it—you must embed, move, or remove the objects.


Setting Text Box Background

You can add colors and pictures to text box backgrounds. If you choose a .gif with a transparent color, the text box background color will show through.

  1. In Page view, select the text box and click the Text Box tab on the Text Properties panel.

  2. In the Color field, select:

  • Automatic to set the background to the color specified in the Text Object style in Style view.

  • Transparent to set the background to the background color specified by the parent object of the text box. For example, if a small text box is embedded in a larger text box with a red background, the small text box will also have a red background if Transparent is selected.

  • Color to select a background color from the Color Picker. The selected color appears in the box to the right of the Color field. To change the color, click the box and select a new color from the Color Picker.

  1. In the Image field, select:

  • Automatic to set the background to the image specified in the Text Object style in Style view.

  • None to eliminate the background image.

  • Browse to select an image from the Open dialog. See Choosing an Image Format. If the picture is smaller than the text box, the browser tiles the image. To change the image, click the Browse button to the right of the field.


Creating Pages that Resize to the Browser Window

You can configure NetObjects Fusion so the text box is maximized in the site visitor’s browser window. When you use this option, NetObjects Fusion generates the page’s HTML without using tables.

  1. In Page view, click the MasterBorder.

The MasterBorder Properties panel appears.

  1. Select the ZeroMargins MasterBorder from the MasterBorder name drop-down list or use any combination of AutoFrames and non-framed MasterBorders with margins set to zero.

  2. Select an existing text box or create a new one and embed all objects in the Layout area in the text box.

  3. On the Text Box tab of the Text Properties panel, select Size Layout to Text and then Contents wrap to browser width.

When you publish this page, the contents of the text box adjust to the size of the browser window.


Preserving Your Design Intentions

When you place a text box on a page, the text is shown in the default display font. You format the text and position the text box relative to other objects on the page.

When you preview or publish the page and view it in your browser, the size of the text box and its alignment with the objects around it are controlled by the font settings in the browser. If your NetObjects Fusion default browser font is 10-point Times Roman, and your browser default font is set to 14-point Arial, you see an immediate difference in the arrangement and spacing of objects, because text boxes expand to accommodate the new font size.

This font variation is not caused by NetObjects Fusion; it is a consequence of site visitors controlling their browser environment. You can avoid potential problems by viewing the page in a variety of browsers using different font sizes and then adjusting your design to accommodate these changes. See Controlling Published Output and Working with Layouts and Layout Regions for more information about browsers.


Managing MasterBorders

NetObjects Fusion divides a page into the Layout area and the MasterBorder area. The MasterBorder contains objects that repeat on a set of pages. You can place anything in a MasterBorder that you can place in the Layout, including banners, pictures, and text.

You can create a MasterBorder and apply it to all the pages in your site or just to selected pages. A site can use more than one MasterBorder. When you modify a MasterBorder, NetObjects Fusion automatically makes the change on every page that shares the MasterBorder. By placing navigation bars in a MasterBorder you can give pages with the same navigational needs the same navigational structure.

Browse this section for information about:

  • Modifying a MasterBorder

  • Creating a MasterBorder

  • Changing MasterBorders

  • Applying a MasterBorder to pages

  • Renaming a MasterBorder

  • Deleting a MasterBorder


Working with MasterBorders

The MasterBorder is the set of margins—top, bottom, left, and right—on the page.

By default, the left, right, and bottom margins are separated from each other by an outline. The lack of an outline between the left margin and the top margin indicates objects can straddle that boundary.

All pages have a MasterBorder. If no MasterBorder is visible, either the MasterBorder display is turned off on the View menu, or the assigned MasterBorder has all margins set to zero, like the ZeroMargins MasterBorder included with NetObjects Fusion. You can change the size of any MasterBorder margin, even those set to zero. See Modifying the Current MasterBorder.

When you create a new site, NetObjects Fusion creates a default MasterBorder that contains three navigation aids—a banner showing the page name at the top, a graphical navigation button bar on the left, and a text navigation bar on the bottom. As you add levels to the SiteStructure, you can set navigation bar options to provide site visitors with appropriate access to all pages. See Setting Navigation Bar Type.


Selecting a MasterBorder

In Page view, click an empty space inside the MasterBorder. If the page has the ZeroMargins MasterBorder, click in the gray area outside the page.


Modifying the Current MasterBorder

  1. In Page view, select the MasterBorder.

The MasterBorder Properties panel appears. The Name field shows the name of the MasterBorder assigned to the current page.

If the MasterBorder Properties panel does not appear, check the View menu to make sure the MasterBorder display and the properties panel are turned on.

  2. To change the size of the margins, drag the handles on the ruler.

If an object is in the way—such as a banner occupying the top and left margin— you must move the object to resize the MasterBorder. If the MasterBorder is not visible, you cannot drag the handles.

For precise margin settings, in the Margins section of the MasterBorder Properties panel, type values into the fields or click the arrows.

  3. Arrange objects such as a banner or navigation buttons, delete unwanted objects, and insert additional text or objects.

  4. If conserving browser window space is important to you, when the objects are arranged to your satisfaction, from the Object menu, choose Size MasterBorder to Objects. This shrinks the MasterBorder to the minimum size required to display the objects it contains, but it may also affect your page design.


Creating a MasterBorder

  1. In Page view, select the MasterBorder.

The MasterBorder Properties panel appears. The Name field shows the name of the MasterBorder assigned to the current page.

  1. Click the Add/Edit button.

The Edit MasterBorder List dialog appears displaying a list of all the MasterBorders in the site. The current MasterBorder is selected.

  2. To add a MasterBorder, click Add.

The New MasterBorder dialog appears.

  3. Type a name for the new MasterBorder, select an existing MasterBorder to base it on, and click OK.

You cannot include spaces in the MasterBorder name. You cannot begin the MasterBorder name with a number.

NetObjects Fusion creates a new MasterBorder based on the selected MasterBorder and makes it the current MasterBorder for that page. To apply the new MasterBorder to other pages, see Applying a MasterBorder to Multiple Pages.

  4. Continue working on the MasterBorder by following the steps in Modifying the Current MasterBorder .


Changing MasterBorders

  1. In Page view, display the page where you want to apply a different MasterBorder.

  2. Click in the MasterBorder to display the MasterBorder Properties panel.

  3. Select the MasterBorder you want from the Name drop-down list.

The margins of the page now display the contents of the selected MasterBorder.

You can change the MasterBorder of a single page or a group of pages in Site view. See Applying a MasterBorder to Multiple Pages .


Applying a MasterBorder to Multiple Pages

You can apply a MasterBorder to several pages at one time in Site view.

  1. In Site view, select the pages to which you want to apply the new MasterBorder. See Working with a Group of Pages .

The selected pages are listed at the bottom of the Properties panel.

  1. Click the Selected Pages tab.

  2. Make sure MasterBorder is displayed in the first Property field.

  3. Select the MasterBorder you want from the second Property drop-down list.

  4. Click Set on all to apply the MasterBorder to all selected pages.

To apply the MasterBorder to an individual page, select the page, then select the MasterBorder you want to apply. You cannot undo this action; to restore the original MasterBorder, you must reassign it.


Renaming a MasterBorder

  1. In Page view, click in the MasterBorder to display the MasterBorder Properties panel.

  2. Click Add/Edit.

  3. In the Edit MasterBorder List dialog, select the MasterBorder you want to rename and click Rename.

You cannot rename the ZeroMargins MasterBorder.

  1. In the Rename MasterBorder dialog, type a new name and click OK.

  2. Click Close.

The new MasterBorder name now appears in the Edit MasterBorder List dialog and in the drop-down list in the MasterBorder Properties panel.


Deleting a MasterBorder

MasterBorders that are not in use retain their assets and are stored and tracked by NetObjects Fusion. When you import a template, MasterBorders included with the template are added to the list of MasterBorders for the site. To avoid duplication, it is important to delete MasterBorders that are listed but not used in the site.

  1. In Page view, click in the MasterBorder to display the MasterBorder Properties panel.

  2. Click Add/Edit.

  3. In the Edit MasterBorder List dialog, select the MasterBorder you want to delete and click Delete.

  4. Click Yes to confirm deletion.

If you delete a MasterBorder that is in use, the ZeroMargins MasterBorder is assigned to those pages.


Working with AutoFrames

AutoFrames permit site visitors to scroll the body of the page while objects in the AutoFrame, such as navigation buttons, remain in view. You can set any or all of the MasterBorder margins as an AutoFrame.

Browse this section for information about:

  • Understanding frames

  • Adding AutoFrames

  • Setting frame properties

  • Targeting links in AutoFrames


Understanding Frames

Frames are an HTML mechanism you can use to subdivide the browser window into independent areas. When a site visitor scrolls the Layout, the frame doesn’t scroll with it, so you can keep navigation buttons in view at all times. Frames can also reduce the amount of refreshing required by your visitor’s browser.

Each frame displays its own content, which can include links, a form, regions, or any text, graphic, or media objects. Links within a frame can display a page, or display information in the same frame or a different frame. You can define targets for the links contained in one frame so they retrieve content into another frame.

A special type of HTML page—called a frameset—establishes the combination of frames and frame properties that make up the browser window display. The frameset specifies the number of frames, defines their size and placement, and specifies the pages or resources that make up their original or default content.

NetObjects Fusion supports two ways of creating frames.

  • You can use the Properties panel in Page view to set AutoFrames and add navigation controls, banners, text, graphics, links, and scroll bars. An AutoFrame frameset contains a body frame for the Layout area of the page and frames for one or more of the MasterBorder margins: Left, Right, Top, Bottom. An AutoFrame frameset cannot have more than these five frames and they must be in the specified positions.

  • If you require more than five frames or frames in different positions, you can manually code frames using HTML. See Examples of Page and AutoFrame HTML.

  • Although Netscape Navigator and Microsoft Internet Explorer support frames, not all browsers do. If you use frames, you might want to consider creating an alternate site for visitors with browsers that do not support frames. See Accommodating Browsers that Don't Support Frames and Directing Visitors to a Browser-Specific Page.

Within a frame, you can influence how variations in browser fonts affect your design. The Rows and Columns properties work within a frame the same way they work within a Layout. For information, see Optimizing Dynamic Page Layout Output.


Adding an AutoFrame

When you add AutoFrames, NetObjects Fusion applies them to the current MasterBorder and all pages that use that MasterBorder. Before you add AutoFrames, you might want to select or create a designated "framed" MasterBorder that you can apply to the appropriate pages. To apply different framesets to different pages, you’ll need one MasterBorder for each frameset. As you develop these MasterBorders, follow these guidelines:

  • Objects in frames can’t straddle frame boundaries, so check the corners of your page before you add AutoFrames. For example, if you have a banner across the top of the page that overlaps the left and top borders, resize it or move it before you turn on AutoFrames for either border.

  • To avoid scroll bars displaying when you don’t need them, add a little extra room to margins you’re going to set as frames or turn off scroll bars on the Frame Properties panel. See Setting Frame Properties .

See Creating a MasterBorder if you need help creating a MasterBorder.

To set a MasterBorder margin as an AutoFrame:

  1. In Page view, click an empty space inside the MasterBorder, or in the gray area outside the page.

The MasterBorder Properties panel appears.

  2. Click the AutoFrames tab.

  3. Click the button for each margin you want to set as a frame—Left, Right, Top, or Bottom.

NetObjects Fusion adds a label—Left, Right, Top, or Bottom—to indicate a frame. In addition to the frame you select, the Layout area also becomes a frame.

If you add frames to more than one margin, the selection sequence is important because frames overlap each other in the order in which you add them. You can change the overlap sequence by clearing the AutoFrame option for all margins and then reselecting them in a different sequence.

Keep in mind that because enabling AutoFrames makes your page consist of at least three HTML pages, it can slow page loading.


Generating HTML Frame Borders

If you want site visitors to be able to resize the frame, on the AutoFrames tab of the MasterBorders Properties panel, select Generate HTML frame borders.

To set frames to be borderless in the site visitor’s browser, clear Generate HTML frame borders. NetObjects Fusion turns off the borders for all frames in that MasterBorder.

To combine frames with borders and frames without borders on the same page, you must script the frames. See Examples of Page and AutoFrame HTML.


Setting Frame Properties

  1. In Page view, click the frame label or right-click in the frame and select Frame properties from the shortcut menu.

The Frame Properties panel appears.

You cannot change the name of the frame.

  2. Select a User scrollable option:

  • Yes. The browser always displays vertical and horizontal scroll bars in the frame, whether needed or not.

  • No. The browser never displays scroll bars, even if needed to display all objects in the frame. If the page content is larger than the frame itself, site visitors cannot see the entire page.

Due to the nature of browsers, links to anchors on a frame do not work if User scrollable is set to No.

  • Auto. The browser displays scroll bars if the size of the page content requires them.

  3. Select User resizeable frame so site visitors can resize the frame.

HTML frame borders must be visible so site visitors can drag them to specify a new size. If User resizable frame is not available, return to the AutoFrames tab and select Generate HTML frame borders.

  4. Clear Enable margin padding if you want to place objects at the frame border with no spaces.

Some browsers cut off content that does not have additional padding. Preview your page in several browsers to make sure it appears as you intended.

  5. If you are publishing using the Dynamic Page Layout or Regular Tables HTML output method, choose the most efficient table structure—columns or rows. If you are publishing using Fixed Page Layout, this setting has no effect. See Controlling Published Output.

  6. Click the Background tab and in the Color field, select:

  • Automatic to set the frame background to the color specified by the current SiteStyle.

  • Transparent to eliminate the background color.

  • Color to select a background color from the Color Picker. The selected color appears in the box to the right of the Color field. To change the color, click the box and select a new color from the Color Picker.

  7. In the Image field, select:

  • Automatic to set the background to the image specified by the current SiteStyle.

  • None to eliminate the background image. Use this setting to remove the SiteStyle’s background image from the frame.

  • Browse to select an image from the Picture File Open dialog. See Choosing an Image Format. If the picture is smaller than the frame, the browser tiles the image. If you select a picture with a transparent color, the background color shows through. To change the image, click the Browse button to the right of the field.

You can add an action to a frame using the Actions tab. See Building Dynamic Pages.


Targeting Links in AutoFrames

When a site visitor clicks a link placed within a frame, the browser has to know where to display the results. The frame that displays the retrieved content is the target of the link; when you specify which frame is to display the results of a link, you are targeting that frame.

  1. In Page view, select the object or text that you want to link.

The object’s properties panel appears.

  2. Click the Link tool on the Standard toolbox.

The Link dialog appears.

  3. Select the type of link you are targeting: Internal Link, Smart Link, External Link, or File Link and set up the link. See Creating Links.

  4. In the Target area, click Existing and from the drop-down list choose the target frame in which you want to display the linked information.

You may not need to assign a target. NetObjects Fusion automatically targets most internal links for you.

  5. Click Link to close the dialog and create the link.

  6. Preview the page to test your targeted links.

Targeted links in framesets do not load the URL of the page into the browser Location input field. The browser sees the URL of the frameset, so title and location information about the page reflect the frameset rather than the page’s content.


AutoFrames and Browser Refresh

When a site visitor clicks an untargeted link in a frame you created with AutoFrames, the browser either refreshes the entire page or only the content of the Layout area. This doesn’t affect the appearance of the page, but for performance reasons you might not want the browser to refresh the entire page unnecessarily.

  • The browser refreshes the entire window if a framed MasterBorder contains a dynamic object, such as a banner or highlighted navigation button. The dynamic object, by definition, changes from page to page, so the browser has to load the new page. Rollover buttons do not change from page to page, so they do not affect the page refreshing.

  • The browser exits the frameset and displays the retrieved resource in the full browser window if the link retrieves a page with a different MasterBorder or an external HTML page.

If neither condition exists, the browser refreshes the body frame even if no target is assigned.


Working with Inline Frames

Using inline frames, you may embed an HTML page within another page of your site. You can select another page of your site to be displayed in the inline frame, or even a page from another website.

This chapter includes:

  • Understanding inline frames

  • Adding an inline frame

  • Setting inline frame properties

  • Using inline frames as targets for links


Understanding Inline Frames

An inline frame is an HTML object (the iframe tag) that embeds a document inside a HTML document. The embedded document will be displayed in a subwindow of the browser’s section.

Thus, you may open new pages inside a page of your site. You can set the source file that will be displayed on the inline frame to be another page of your site, or even a page from another website.

Inline frames are most commonly used to insert content from another website into the current page. For example, on a page of your website, you can place an advertisement for products available on another website.

The content from another page will be displayed in an inline frame on a page of a different website. If the entire content of the page does not fit inside the inline frame, a scrollbar will be available to help the visitor view the content.

The page linked to an inline frame will not be available for the user to save locally, view in its own window, or know its URL, as regular links permit.


Adding an Inline Frame

To add an inline frame:

Select the Inline Frame tool from the Standard Tools toolbar.

  1. Draw a Text box on the Layout to indicate where you want to position the Inline Frame.

The Link dialog will open.

  2. Select the Link type from the drop-down list. For example, select External Link.

  3. Type the URL in the New Link field or selected from the list from below.

  4. When finished, click Link.

A placeholder appears inside the inline frame, according to the type of link selected.


Setting Inline Frame Properties

  1. In Page view, click inside the inline frame object or right-click on it and select Inline Frame Properties from the shortcut menu.

The Inline Frame Properties panel appears.

  1. You can change the default name of the inline frame by typing the new name in the Name field.

  2. Set the source page that will be displayed in the inline frame.

To do that, click the Page menu button next to the Page field. The Link dialog will open, and there you will be able to select a new source page for the inline frame.

  3. Use the Style drop-down list to set the value for the inline frame’s Class attribute.

To do that, select existing custom styles from the Style drop-down list that will be applied to the inline frame. If you have previously created custom styles, the CSS rules will appear on the Style drop-down list. You can create new styles and manage the existing ones using the Manage Styles option.

  4. Set the Title attribute for the inline frame. The title you enter here will appear as a tooltip at mouse-over the inline frame on the published site, depending on the browser that is used.

  5. If you set the Scrolling to On, the inline frame will have a scrollbar to be used when the framed page is too large for the specified dimensions.

The value set to ‘Off’ will prevent the scrollbar from appearing.

The value set to Automatic will take the default browser settings for scrolling. Normally, the browser will have this set to display a scrollbar.

  6. Clear the Border option if you want the page within the inline frame to appear borderless within the main page.

  7. Set the width for the left and right margins of the framed page in the Width field.

  8. Set the height for the top and bottom margins of the framed page in the Height field.

  9. Use the HTML button to insert your own HTML or scripts into the page’s HTML. Even though some browsers do not support inline frames, they will display the HTML code inserted in the Between Tags area.


Using Inline Frames as Targets for Links

Inline frames may be used as targets for links by specifying the inline frame’s name as the target for the link. This way, the linked resource will open in the inline frame.

To use the inline frame as target for a link:

  1. Select the object (picture or text).

  2. In the object’s Properties panel, click the Link button. The Link dialog will appear.

  3. Select the link type and the link itself.

  4. From the Target drop-down list, select Existing.

  5. The name of the inline frames already existing on page will appear on the Name drop-down list.

  6. Select the inline frame from the list.

  7. Click Link.

At publishing, when the object is clicked, the page you have just selected will be displayed inside the frame.


Designing with Text

Text is the primary tool for delivering your message. You can type text onto your pages, add it to pictures and shapes, and format it for maximum impact. NetObjects Fusion includes powerful formatting that allows formats to flow from one design level to another, for example from a SiteStyle to selected text. You can also create and apply text styles to keep your site design consistent.

Browse this section for information about:

  • Adding text to a page

  • Formatting text

  • Formatting text using the Text Format toolbar

  • Working with text styles

  • Creating and formatting lists

  • Inserting symbols

  • Adding text to a shape or picture

  • Creating and editing fields

  • Using the CSS Panels

  • Formatting text using the CSS Panels

  • Checking spelling

  • Finding text

  • Replacing text

  • Counting words, lines, paragraphs, and characters


Adding Text to a Page

To add text to a page, you can:

  • Use the Text tool

  • Drag and drop text from another application

  • Paste text from the Clipboard

  • Import text

In each case, the text is placed in a text box. See Working with Text Boxes.

When you add text to a page, it’s a good idea to add all your text and then go back and apply formatting.


Using the Text Tool

  1. In Page view, select the Text tool from the Standard toolbox and draw a text box on the page.

A text box and the Text Properties panel appear. Hollow selection handles indicate the text box is in text editing mode.

  2. Type or paste text into the box.

The text automatically wraps to the width of the box.

To force a line break, position the insertion point at the end of the line and press Shift+Enter.

  3. Click outside the text box to deselect it.

The text box sizes vertically to the text you enter.


Dragging and Dropping a Text File

  1. In Windows Explorer, locate the text file you want to add to the page.

You cannot drag and drop Word 2000 .doc files. You can drag and drop Word 97 .doc files, but you will get better results if you import them. See Importing a Microsoft Office Document.

  1. Drag the file onto the page.

The text appears on the page in a text box.


Pasting Text from the Clipboard

  1. Cut or copy the text from the original source, such as a word processing document.

  2. In Page view, click where you want to position the text.

  3. From the Edit menu, choose Paste or Paste Special. Select:

  • Paste to paste the contents of the Clipboard onto the current page. You might lose some of the original text formatting when you copy and paste text from the Clipboard.

  • Paste Special to retain formatting. You can select:

  • Formatted Text (RTF) to insert the contents of the Clipboard as text with font and table formatting.

  • Unformatted Text to insert the contents of the Clipboard as text with no formatting.

  • HTML Format to insert the contents of the Clipboard as HTML format.

To select the Paste Special default, click Set Paste Default and choose one of the three options.


Formatting Text

You can format selected text using the options from:

  • the TextFormat toolbar.

  • the Text Properties panel.

  • the CSS Panels: CSS Common, CSS Property Grid, and CSS Code.

To apply many text attributes at once in a consistent manner, you can use the Styles included with NetObjects Fusion and also create and apply your own text styles. See Working with Text Styles.

You can format apply formats to entire paragraphs. Automatic setting, which is a choice for many options throughout NetObjects Fusion, allows formats to flow from one design level to another. See Formatting Selected Text , Formatting Paragraphs and Understanding the Automatic Setting.


Selecting HTML or Cascading Style Sheet Text Formatting

NetObjects Fusion provides two ways to generate the code that controls the format of the text in your site—HTML or cascading style sheets (CSS).

When you select HTML, NetObjects Fusion uses standard HTML tags in the code that controls text formatting. This results in consistent text display across browsers, from older 2.0 and 3.0 versions to the most recent versions of Microsoft Internet Explorer and Netscape Navigator. Using this setting also ensures that you can update sites created with earlier versions of NetObjects Fusion.

Cascading style sheets provide a way for site designers to incorporate typographical elements—like line spacing and letter spacing—that are not supported by standard HTML in their sites. These styles are specified in .css files, which are attached to the site. When you select cascading style sheet text formatting, NetObjects Fusion creates style.css and site.css files and links them to the HTML generated for the site.

The CSS standard is still evolving. Cascading style sheets do not work with 2.x or 3.x browser versions. Even the 4.x versions of Netscape Navigator and Microsoft Internet Explorer and 5.x version of Microsoft Internet Explorer do not fully support all CSS features, and in some cases, support is inconsistent. If you choose cascading style sheets, be sure to test your site using all target browsers to make sure the site displays as you intended.

To switch the text format setting:

  1. From the Tools menu, choose Options>Current Site.

  2. On the General tab, in the Text formatting section, select HTML or Cascading Style Sheets (CSS).

  3. Click OK.


Understanding the Automatic Setting

When you select Automatic in text formatting dialogs, the format attributes of a higher or parent style pass through to the lower or child style.

The order of the cascading styles is:

  • Browser

  • SiteStyle

  • Site

  • Page

  • Selected text

The SiteStyle is the parent of the Site, which is the parent of the Page. Thus, selecting Automatic for an attribute at the Page level lets the setting for that attribute pass from the Site to the Page. If the same attribute is set to Automatic in the Site as well, then the SiteStyle setting for that attribute flows to the Site and then, unimpeded, to the Page.

For example, if you set the font color to red at the SiteStyle level and set font color to Automatic on both the Site level and the Page level, text at the page level is automatically red when you type it. The red attribute flows all the way from SiteStyle to the text.

When you change a setting at a higher level, it changes the corresponding setting at the lower level if the setting at the lower level is Automatic. So, if the setting at the Page level is Automatic, and you change the font at the Site level, the font setting changes for the Page level, too. This feature provides you with a fast, powerful way to make formatting changes throughout your site by simply making the change once at the higher levels.

Of course, there may be times when you don’t want the changes from the higher levels to be inherited by the lower levels. In that case you can edit the text style so Automatic is not selected for the particular format attribute. Editing a style at any level overrides the settings from the parent level. For example, if you select text and change its color to blue, that editing overrides a setting of red text from the SiteStyle level.

You can mix choices among the formatting attributes so some have the Automatic setting and others don’t. For example, you could select the font to be inherited from a higher level (so you set it to Automatic), but manually select the color.

See Working with Text Styles for more information about the flow of text styles and formats to text in your site.


Formatting Selected Text

With NetObjects Fusion you can reformat selected text using the Text Properties panel, the Text Format toolbar, or the CSS Panels to change the text font, size, color, and style, as well as the paragraph alignment and indent. You can format selected characters in text boxes or table cells. On a stacked page, you can format selected characters in formatted text fields, but in simple text fields, all characters have the same format. See Data Publishing.

  1. Double-click the text box that contains the text.

Hollow selection handles appear around the text box.

  1. To select:

  • Specific characters, drag over those characters.

  • A word, double-click the word.

To select words quickly, you can set your options to automatically select the entire word. See Setting Text Options.

  • A paragraph, triple-click in the paragraph.

  • A block of text, click the first character, then Shift+Click the last character.

  • Multiple paragraphs, drag through them.

  2. Using the Text Properties panel, make sure the Format tab is selected.

  3. Select a font from the drop-down list on the Text Properties panel.

  4. Select a font size from the drop-down list on the Text Properties panel.

The relative settings (-2 to 4) set the font size relative to the site visitor’s default browser settings. You can choose the unit for specifying the font size from the drop-down list to the right of the size field.

  5. Click a font style button to assign characteristics—bold, italic, and underline—to the text.

  6. To assign a color other than the SiteStyle color to the text, click the color sample and select a color from the Color Picker.

  7. To highlight text, select the highlight tool to the right of the color sample, and select a color from the Color Picker.

  8. To set left, center, right, or block alignment for the paragraph containing the selected text, click an alignment button.

  10. To indent the paragraph, click an indent button or press Tab. Using this indenting button nests the selected paragraph under unselected paragraphs. To nest the paragraph to a deeper level, continue to click the button or press Tab. Default indenting is set as part of the text’s format style.

You can also assign list formats and text styles to selected text. See Creating Bulleted and Numbered Lists and Working with Text Styles.


Formatting Paragraphs

Using the options in the Object Format dialog, you can set formats for the text in a paragraph, the paragraph alignment, spacing, margins, indents, paragraph border, and paragraph background.

When you format paragraphs, type all the text first and then go back and apply the formatting. If you set formats as you enter the text, new paragraphs inherit the style of the paragraph before it.

Some options in the Object Format dialog have no effect if text formatting is set to HTML. These options are marked CSS only in the following sections. If you apply these options, you see them in Page view, but they disappear when you preview or publish the site. Be sure to test your site in all target browsers to ensure pages display as you intended


Formatting Text in a Paragraph

  1. Position the insertion point in the paragraph you want to format. You do not need to select text.

  2. On the Format tab of the Text Properties panel, click the Edit button.

The Object Format dialog appears

  1. In the Object Format dialog, click the Character tab.

  2. Set the text format options. If you choose Automatic, the settings for the parent style pass through to the paragraph. See Understanding the Automatic Setting .

  • Font applies the text font; the list of fonts is derived from the font map in the \NetObjects System folder.

If the specified font for the formatted text is installed on the site visitor’s system, HTML 3.x-compatible browsers display your text using this font. If the font is not installed, the browser checks a substitution table. If the specified substitution is not possible, the browser uses its default font. You can change the substitution table by editing the fontmap.txt file in the \NetObjects System folder.

  • Style applies a style to the text. You can select regular, italic, bold or bold italic.

  • Size sets the size of the text. You can choose the unit for specifying the font size from the drop-down list to the right of the Size field.

You can choose any size up to 22192 pt., but the actual font and size site visitors see is based on their browser default setting and therefore is unpredictable. Also, some older browsers do not support all sizes. For those reasons, it is best to use the relative settings (such as -2 to 4). Then, when site visitors increase or decrease their browser font sizes, text size also increases or decreases. But if you use an absolute font size such as points, inches, or picas, the text on your pages stays the same size even if site visitors want to see it larger or smaller.

  • Color applies color to the text. The color box shows the current text color. To change the color, click the color box and select a color from the Color Picker.

  • Letter case sets the case (upper case or lower case) of the text. Use the Capitalize option to set initial caps, which capitalizes the first letter of each word in the text. Choose None to remove a letter case format set at a higher level.

  • Small caps sets the text to appear in all small caps. If small caps is selected, it overrides the Letter case setting. Not all browsers support small caps. Choose None to remove a small caps format set at a higher level.

  • Position sets the text to be subscript or superscript. Choose Normal to remove a position format set at a higher level.

  • Decoration sets the text to the selected decorations. You can select underline, overline (CSS only), and strikethrough.

  • Edit with CSS Editor opens the CSS Editor window, where you can type or paste cascading style sheet definitions for greater site-design flexibility. The style added in the CSS Editor can be applied by selecting it in the Style drop-down list on the Text Properties panel.


Setting Paragraph Alignment, Spacing, and Margins

  1. Position the insertion point in the paragraph you want to format. You do not need to select text.

  2. On the Format tab of the Text Properties panel, click the Edit button.

  3. In the Object Format dialog, click the Paragraph tab.

  4. Set paragraph format options. If you choose Automatic, the settings for the parent style pass through to the paragraph. See Understanding the Automatic Setting .

  • Alignment sets the alignment to left, center, right, or block. Changing alignment here also changes the alignment setting on the Text Properties panel. If no button is selected, the text is aligned using the default alignment.

  • Image wrap (CSS only) sets how text can wrap around an image. You can choose left, right, or on both sides of the image. To apply wrap settings to a particular image, use the Picture Properties panel. This feature is most useful when creating text styles. See Creating a Text Style.

  • Line height (CSS only) sets the amount of space between lines of text in the selected unit of measurement.

  • Letter spacing (CSS only) sets the amount of space between characters in the text in the selected unit of measurement.

  • Space above (CSS only) and Space below (CSS only) set the amount of space above and below paragraphs in the selected units of measurement.

  • First line indent sets the tab space indent for the first line of text in the selected unit of measurement. This is the only way to indent a paragraph without using the space bar.

  • Left margin (CSS only) and Right margin (CSS only) set the margins on either side of the paragraph in the selected units of measurement.


Setting Borders and Padding

Setting Borders and Padding (CSS only)

Borders are lines around a paragraph. Padding is the amount of space between the border lines and the text. If no border is set, padding can mimic margins around text.

Browsers can interpret your border and padding settings differently. Check the appearance of objects with borders and padding in different browsers to make sure the object appears as you intended.

  1. Position the insertion point in the paragraph you want to format. You do not need to select text.

  2. On the Format tab of the Text Properties panel, click the Edit button.

  3. In the Object Format dialog, click the Borders tab.

  4. Select border settings. If you choose Automatic, the settings for the parent style pass through to the paragraph. See Understanding the Automatic Setting .

  • Automatic applies the default border setting.

  • None prevents the parent element’s border settings from being applied.

  • Border makes the other options available so you can apply individual border settings. Use:

  • Style, Width, and Color to set the border’s line style, width, and color. Click the Color box to select a color from the Color Picker.

  • Active borders to specify which borders appear around the paragraph. All four segments are selected by default, which adds a complete box around the paragraph. You can click any combination of segments

  1. Select the amount of padding you want at each side of the paragraph.


Setting Background Options

Setting Background Options (CSS only)

  1. Position the insertion point in the paragraph you want to format. You do not need to select text.

  2. On the Format tab of the Text Properties panel, click the Edit button.

  3. Click the Background tab.

  4. Set the background format options for the paragraph. If you choose Automatic, the settings for the parent style pass through to the paragraph. See Understanding the Automatic Setting .

  • Color sets the background color behind the text. Click the Color box to select a new color from the Color Picker.

  • Image sets the background to an image. Click Browse to select an image.

  • Attachment sets the background image to either remain fixed or scroll as the text scrolls. This option applies only to Microsoft Internet Explorer 4.x.

  • Repeat set how the image displays behind the text. Choose None to display a single image that does not repeat. Select Both to fill the background entirely with the image. Select Horizontal or Vertical to display a row of images horizontally or vertically behind the text.

The horizontal and vertical settings do not work with many browsers. Do not use this feature unless you expect your site visitors to use Internet Explorer 5.0 or higher for Windows or Internet Explorer 4.5 or higher for the Mac OS. Netscape Navigator versions 4.7 and earlier do not use this feature properly.

  • Image Position sets the initial position of the background image. This feature is supported by Internet Explorer 3.0 and higher, but is not supported by Netscape Navigator 4.7 or earlier. To set the position to a specific value, select Value from the Horizontal and Vertical drop-down lists and enter a value for the position in the selected unit of measurement.

To position the image correctly in browsers, the horizontal and vertical values interact. Note that when you change the setting for the horizontal or vertical position, the other setting changes accordingly.


Using the CSS Editor

Using the CSS Editor, you can assign CSS class definitions to your site for greater design flexibility. Launched from the object or paragraph setting dialog, the CSS Editor is a blank window that allows you to type or paste your own custom definitions.

  1. Click Edit with CSS Editor from either the Object Format dialog.

  2. The Object Format dialog appears.

  3. Type or paste CSS definitions in the text area.

  4. Click OK to close the Object Format dialog.

You can apply the CSS definitions by selecting the CSS name from the Style drop- down menus on the Text Properties panel.

NetObjects Fusion does not verify the validity or the syntax of the CSS definitions typed in this dialog. For assistance such as code hinting and syntax checking, use the CSS Code panel. To find out more about CSS, see CSS Basics.


Using the Text Format Toolbar

NetObjects Fusion 10 offers the new Text Format toolbar for complex yet easy to apply text formatting options similar to those in word processing applications.

The Text Format toolbar displays the most commonly used text formatting options. You will find it more convenient to use the text formatting commands from the toolbar, if you want to have more free space on your workspace. You can close or hide the existing panels and use the Text Format toolbar for formatting selected text. The text formatting toolbar works in conjunction with the Text Properties panel and the CSS Panels.

The controls from the Text Format toolbar become active when text is selected.

You will find the following text formatting options on the Text Format toolbar:

  • Font. Font is a simple but important factor in any page. The font selection (the style of the text itself) can influence the way others view documents, either on the screen or in print. For example, Arial font looks better on screen, while Times New Roman is clearer in print. To apply a font type to text, select desired text with your cursor, and choose a font type from the font drop down menu.

  • Font Size. You may encounter times in which you need to display some text larger or smaller than other text. Selecting desired text with the cursor and choosing a font size from the drop down menu changes the size of text.

  • Bold. When applied, the text becomes bold.

  • Italics. When applied, the text becomes italicized.

  • Underline. Underlines the text.

  • Strike-through. A line is created through the text.

  • Over-line. Places a line over the text

  • Align Left. Aligns the selection to the left of the text area.

  • Center. Aligns the selection to the center of the text area.

  • Align Right. Aligns the selection to the right of the text area.

  • Justify. Aligns the selection to both the left and right margins of the text area.

  • Line wrap. Toggles white-space: nowrap. Selected by default.

  • Line Spacing. Adjust the line spacing (single-spaced, double-spaced, etc.)

  • Word Spacing [hidden by default]. Increases or decreases the space between words.

  • Letter Spacing [hidden by default]. Increases or decreases the space between characters.

  • Bullets. Creates an unordered, bulleted list.

  • Decrease Indent. Decreases the indentation of the current selection (to the left).

  • Increase Indent. Increases the indentation of the current selection (to the right).

  • Highlight. Highlight the current selection; default color is yellow.

  • Font Color. Change the font color; the default/automatic color is black.

  • Subscript. Sets subscript position to text.

  • Superscript. Sets superscript position to text.

  • Case. Set the case of the text: Upper Case, Lower Case, Capitalize and SmallCaps


Formatting Text Objects within Paragraphs

A text object is a portion of text that you can treat as a single unit. For example, a link is a text object. When you create the link and format it, you apply formatting features to the entire link as a single unit. If you apply a color, it applies to the entire link, not just a few letters. Paragraphs are also text objects because you can format them as a single unit without formatting the entire text box that contains the paragraph.

Paragraphs can contain links and other text objects. When you format a paragraph containing another text object, some—but not all—of the new formatting is also applied to the contained object. Generally, the formatting is consistent with the type of object and the formatting available for it. For example, links do not have margins, so if you change the paragraph’s left and right margins, the link is not affected. But because the font of a link can be formatted, if you format the paragraph’s fonts the link’s fonts are also formatted. However, if the link’s font has already been defined, it will not take on the paragraph’s font.

If you change the format of the contained object, it does not affect the container object. So, if you change the color of the link text, the surrounding paragraph text is not affected.

The following table shows which text attributes affect a contained object and which do not.

Text attribute | Affects contained object | Does not affect contained object
Font | x |
Style | x |
Size | x |
Color | x |
Position |  | X
Case | x |
Decoration | x |
Small caps | x |
Alignment | x |
Image wrap | x |
Line height | x |
Letter spacing | x |
Word spacing | x |
Space above |  | x (relative size corresponds to parent element’s width)
Space below |  | x (relative size corresponds to parent element’s width)
First line indent | x |
Left margin |  | x
Right margin |  | x
List style | x |
List indent | x |
All border and background attributes |  | x


Working with Text Styles

A text style is a predefined set of formats for the characters, paragraphs, lists, borders, and backgrounds of text. Text styles provide a convenient way to specify, replicate, and update paragraph formatting for a text selection.

You can create text styles or modify the text styles included with NetObjects Fusion. You can also create custom styles to use in conjunction with the styles on the Styles list.


Applying a Text Style to a Paragraph

  1. In Page view, position the insertion point in the paragraph to which you want to apply a text style.

  2. In the Paragraph section of the Text Properties panel, select a text style by clicking the Text Style icon.

For example, if the original text is the Normal(P) style, and you select the Heading1 (H1) style for the text, the entire paragraph changes to the H1 style.


Applying a Style to a Text Span

A span is a selection of text that you format as a unit. You can assign a custom style or other formats to the characters included in a span to differentiate that text from the rest of the paragraph. For example, if you want your company’s name to always appear in bold italic, you can create a custom style specifying those attributes. Then you select each instance of the company name as a span and apply the custom style.

You can achieve the same result by selecting the text and manually formatting it from the Properties panel, but when you use a span you can apply a custom style quickly and then change it globally if necessary.

To create a span:

  1. In Page view, select the text you want to format.

  2. Click the Span tool on the Standard toolbox.

The New Span dialog appears.

  1. Select a custom style from the drop-down list, or click the Format button and apply formatting to the selected text.

  2. Click OK.

To remove a span, position the insertion point in the span, click the Span tab on the Text Properties panel, and click Remove Span.


Using Custom Styles

You can create custom styles to augment HTML tag styles. HTML tag styles, such as Heading 1 <H1> or Normal (P), are fundamental design characteristics of HTML. You can see examples of tag styles on the Text tab in Style view. Custom style elements are combined with HTML tag styles to produce a wide range of formats that you can apply to different pages or the entire site. See Creating a Text Style to create a custom style.

For example, suppose the original H1 head is bold and large. You want to create a series of custom H1 styles. On one set of pages you want the H1 heads to look like a shout, so you create a custom style to set the text to all capitals and italic and you call this custom style Shout. On the other pages you might want the H1 heads to look like a whisper, so you create a custom style that sets the text to be lower case and condensed. Since you don’t want the text to inherit the bold and large size from the original H1 setting, you do not select Automatic. You name this custom style Shhh.

When you apply the custom style to the text with the original H1 head, the only text attributes affected are those specified in the custom style. So, if the original H1 head is bold and large, the result of applying the custom style Shout to selected text looks like this:

THE H1 HEADS WOULD LOOK LIKE THIS

The text is bold and large (from the original <H1> head) and also all capitals and italic (from the custom style). The bold and large attributes pass through to the <H1> Shout style because the custom style did not affect those attributes.

Applying the Shhh custom style, however, looks like this:

The H1 heads would look like this

In this case, the<H1> text in the Shhh style does not include the bold and large font size because you changed those attributes instead of using the Automatic settings. If the settings for bold and large remained Automatic, the Shhh style would include the bold and large font.

When you apply custom styles, the name of the custom style is appended to the original HTML tag style with a period to differentiate the original HTML tag style from the new custom style. So, the two <H1> custom styles become <H1.Shout> and <H1.Shhh>. When NetObjects Fusion generates the HTML, the styles are represented as <H1 class="Shout"> and <H1 class="Shhh">.


Setting a Style's Scope

When creating styles, you can limit the range of a style’s effects by setting the scope of the style. The scope of a style determines where the style’s effects are available and applied. The scope options are:

  • SiteStyle. The style is available whenever the SiteStyle is applied.

  • Site. The style is available throughout the current site.

  • Page. The style is available only on a specific page of the current site.

You set the scope of a style when you create it.


Creating a Text Style

  1. In Page view, from the Text menu, choose Manage Styles.

The Manage Styles dialog appears.

The pane on the left lists the currently defined styles.

The list of styles can include styles that are specific to the current page, the entire site, or part of a specific SiteStyle.

You can also create custom styles for the navigation bar, a text object, lists, and so on, for the styles listed in the pane on the left.

  1. To create a new style, click New or Duplicate.

The New Text Style dialog appears.

The Duplicate Text Style dialog box is similar. Duplicating a style is a quick way to give it a different scope. For example, you can duplicate the H1 style to the H2, H3, and H4 headings and then edit them individually.

  2. In the Style type section, select:

  • Redefine HTML tag and choose a tag to edit from the drop-down list.

  • Create custom style and type a name for the style in the field.

A period is added to the custom style’s name, such as .customstylename. In the generated code, custom style is then referred to as class=customstylename.

  3. Select a style scope for the new style.

  • Page specific. If you select this option the new style is only available for the current page. If you are redefining an existing tag, the original definition is still in force for the rest of the site. If you create a new style, it is not available on any other page of the site.

  • Site wide. If you select this option the new style is available throughout the current site. If you are redefining an existing tag, all instances of this tag change throughout the site. For example, if you change the H1 font color to red and select Site wide, all text in the site with that style applied becomes red.

  4. Click OK.

The Text Format dialog appears. You can now set the attributes for each feature of the style. See Formatting Paragraphs and Formatting a List for details.


Creating a Custom Text Attribute

Creating a Custom Text Attribute (CSS only)

When you create a text style, the Text Style dialog includes a Custom tab where you can define custom text attributes. You should only create custom text attributes if you know HTML and cascading style sheet coding and understand the implications of cascading style sheet features.

For example, if you enter the name cursor and the value wait, the pointer in Microsoft Internet Explorer 5.0 can appear as an hourglass. If you assign this new custom style to the Text Object, the pointer displays as an hourglass when it is over a text object on your site’s pages. Similarly, you can use custom attributes to take advantage of cascading style sheet attributes not supported directly, such as the pointer.

To create a custom attribute:

  1. Follow the steps in Creating a Text Style to create a new text style.

  2. In the Text Format dialog, click the Custom tab.

  3. Click the New button.

  4. Enter the style name for the new attribute and then enter its value.

To edit an existing custom attribute, select it in the list on the Custom tab. Its name and values appear in the Attribute properties boxes on the Custom tab. Make your changes in those boxes.

  1. Click OK.

Custom attributes do not display in Page view but do appear in the browser if it supports cascading style sheet features.


Modifying a Text Style

  1. In Page view, from the Text menu, choose Edit Text Styles.

The Text Styles dialog appears.

  1. Select a text style by clicking the Text Style icon, then click Edit.

The Text Format dialog appears.

  2. To change the style, see Formatting Text .

  3. When you finish, click OK in the Text Format dialog.

  4. In the Text Styles dialog, click Close.

NetObjects Fusion updates any paragraph to which you applied the style.


Deleting a Text Style

  1. In Page view, from the Text menu, choose Edit Text Styles.

The Text Styles dialog appears.

  1. Select the style you want to delete, then click Delete.

You cannot delete a style defined with multiple scopes. You must delete each one separately.

  2. Click OK to confirm deletion and click Close.


Creating Bulleted and Numbered Lists

To create a simple numbered or bulleted list:

  1. In Page view, select the text you want to format as a numbered or bulleted list.

  2. Click a list type button on the Text Properties panel to select a numbered list or a bulleted list.

When you click a list type button, NetObjects Fusion applies the default Ordered or Unordered List style. To change the style, see Formatting a List.

  1. To add an item to the list, press Enter at the end of a line. Press Shift+Enter to start a new line under the same bulleted item.

To remove the list style from the selected list level, click the List tab on the Properties panel and click Remove List.

To create a multi-level numbered or bulleted list:

  1. In Page view, select the text you want to include in the list. Make sure each item in the list is a separate paragraph.

  2. Click a list type button on the Text Properties panel.

  3. Select the paragraph or paragraphs you want to make subordinate and click the right indent button or press Tab.

Each click of the indent button moves the selected paragraphs over one level in the list and adds the appropriate bullet or list character for that level.


Formatting a List

  1. In Page view, select any text in a numbered or bulleted list.

  2. Click the List tab on the Text Properties panel.

  3. Click the Format button.

The List Settings dialog appears.

  1. Set the List style. If you choose Automatic, the settings for the parent style pass through to the list. See Understanding the Automatic Setting .

  • Bullet. Select a bullet character or type of numbering from the drop-down list.

  • Bullet Image (CSS only). To use a graphic as the bullet character, click Browse and select the image you want.

  2. Set the Line indent (CSS only).

  • Automatic applies the indenting of the object that contains the list whenever the list text wraps to a second line. The amount of the indent is preset. See Understanding the Automatic Setting.

  • All lines indents all lines in each listed item to the same position.

  • First line only indents the first line of each item in the list, but not the other lines.

  3. Click OK.


Setting the List Start Value

If you select a numbered list and want it to start with a value other than 1 or A, you can define a new start value.

To set a new start value:

  1. In Page view, select any level in the numbered list. New start values only apply to numbered lists, not bulleted lists.

  2. Click the List tab on the Text Properties panel.

  3. In the Start Value box, enter a new start value, or click the up and down arrows to set the new value.

All entries at that level of the numbered list now conform to the new start value. For example, if you change the start value to 3, the first entry at that level is labeled 3, and the next entry is labeled 4.


Setting the List Bullet or Numbering Type

You can choose a type of numbering or bullet character for each level of a list.

To set a new bullet or numbering type:

  1. In Page view, select any level in the list.

  2. Click the List tab on the Text Properties panel.

  3. From the Bullet type drop-down list, select the type of bullet character or numbering you want for that level of the list.

The text styles associated with lists are List, Ordered <OL>, List, Bulleted <UL>, and List Item <LI>. Selecting the type of bullet character or numbering automatically selects the proper text style from the ordered or bulleted list. Changing the <LI> style affects both types of lists.

Lists are formatted with bullets based on the List Item <LI> style; however, you can also format lists using other styles, such as Normal <P>. In that case, the list will not have a bullet character associated with it. Conversely, if you type a series of paragraphs and want to make them a list, you can apply the List Item <LI> style to the paragraphs.


Inserting Symbols

You can insert special symbols, such as an em dash or copyright symbol into text.

  1. In Page view, double-click the text box containing the text where you want to insert the symbol.

  2. Click the location in the text where you want to insert the symbol.

  3. From the Text menu, select Insert Symbol.

  4. In the Insert Symbol dialog, select a symbol and click Insert.

The symbol appears in the text.

You cannot edit the list of symbols.


Adding Text to a Shape or Picture

When you add text to a shape or picture, the text becomes part of a new image file when you publish the page. Because the text is part of the image, the site visitor’s browser displays the correct font, even if the font is not installed in the visitor’s browser.

You can select the Anti-Alias option to smooth fonts and remove the jagged edges from a text selection. Turning off this option produces a hard-edged transition between pixels, and therefore, the appearance of jagged edges is heightened.

To add text to a shape or picture:

  1. In Page view, select the shape or picture to which you want to add text.

The corresponding properties panel appears. If you are working with a picture, click the Text on Image tab.

  2. Type the text you want to add. Press Enter to start a new line.

If you do not insert line breaks, the text does not wrap and may not be seen if it is wider than the element.

  3. In the Font area:

  • Select a font, style, and size.

  • Click the Color box and select a color in the Color Picker.

  4. In the Position/Text area:

  • Select Horizontal position and Vertical position for the text.

The Horizontal position and Vertical position settings position the text within the object frame.

  5. Type in the offset field to position the text from the margins by pixels. You cannot offset text that is positioned in the middle of an image.

  6. Select Alignment position for the text.

  • The alignment left-aligns, centers, or right-aligns two or more lines of text. It has no effect on single lines of text.

  7. Type in the Rotate field to change the text orientation by degrees.

To specify multiple lines of text in a SiteStyle banner or button, use the Custom Names dialog as described in Using Custom Button and Banner Names and File Extensions.

  8. Preview the image in Page view.


Creating and Editing Fields

Fields contain variable text that is subject to change, such as the date and time the site was created or last modified, the site name and author, and so on. NetObjects Fusion includes several fields you can use and you can define your own.


Inserting an Existing Field

  1. In Page view, double-click the text box and position the insertion point where you want to insert the field.

  2. From the Text menu, choose Insert Field.

The Insert Field dialog appears.

  1. Select the type of field you want to insert from the Type drop-down list.

If you select Date & Time, click Date & Time Format, select a format from the list in the Date & Time Format dialog, and click OK.

Once you publish the site, the date on the final HTML page does not change automatically. It only changes if you modify the site in NetObjects Fusion and publish again. This is true of all variables.

If you select Site & General and choose Author, you must type the author’s name on the META tags tab of the Page Properties panel.

  2. Select the specific field to insert from the Field list.

  3. Click OK in the Insert Field dialog.


Creating a User-Defined Variable

A user-defined variable is text or a phrase that is subject to change. For example, if you need to refer to quarterly sales figures, you can create a user-defined variable and insert the number as a field. As the figure changes each quarter, you can edit the field, and NetObjects Fusion automatically updates the name wherever it appears in your site. You can only create plain text variables. You cannot reference internal NetObjects Fusion fields, such as page names, asset names, or object properties.

  1. In Page view, double-click the text box where you want to insert a user-defined variable.

  2. From the Text menu, choose Insert Field.

The Insert Field dialog appears.

  1. Select User-Defined Variable from the Type drop-down list.

  2. Click New.

The New Variable dialog appears.

  3. Type a name and value for the field and click OK.

The field appears highlighted in the Field list of the Insert Field dialog.

  4. Click OK.


Using the CSS Panels

One of the major benefits of NetObjects Fusion 10 is the options for formatting Web content. Whether you are a small business owner creating your Web presence and prefer using the Text Format Toolbar, or an experienced Web designer who prefers working with CSS, you will find NetObjects Fusion has just what you need, no matter what your skill level may be.

The CSS panels from Page View allow you to view and modify inline CSS properties of the currently selected object.

The three CSS panels within NetObjects Fusion 10 allow you to edit CSS properties in three different modes, each involving an increased level of expertise to allow you learn and grow. The three CSS panels from within NetObjects Fusion 10 are:

  • CSS Common, which allows CSS formatting in an environment similar to the Text Properties panel. See Formatting Text Using the CSS Common Panel.

  • CSS Property Sheet, which allows you to select from the CSS 2.1 property options available and assign values for the selected object in Page View. See Working Directly with CSS Properties.

  • CSS Code, which allows you to work directly with the content of the CSS rules applied for the currently selected objects. See Using the CSS Code Editor Panel.

The CSS panels become active only when an object is selected in Page View.

The CSS panels are by default grouped together. However, you can detach panels from the group if you prefer working with each individually. The CSS panels may be docked at one side of the workspace as a group or separate. To find out more on how to dock or float the CSS Panels within the workspace, see Working with Panels .

You can also resize the panels to your preference by dragging their borders.

To open any of the CSS panels:

In Page View, from the View menu, select More Panels. The list of available panels will appear.

Select the CSS panel you want to be visible.

You can also show and hide the CSS Panels by clicking on the CSS button on the Panel Launcher in Page View. See Setting Up the Page Design View Display.


Formatting Text Using the CSS Panels

By default, NetObjects Fusion uses Cascading Style Sheets (CSS) to format text. The styles that are applied by using either the Text Properties panel or the Text Format toolbar create inline CSS rules embedded in the text object’s HTML definition. Using CSS, offers the ability to make updates to objects at the page or site level with a simple change of the assigned property, creating a ripple effect of updates to those objects containing the assigned property.

A new way of formatting text in NetObjects Fusion 10 is by using any of the three CSS panels: CSS Common, CSS Style Sheet, and CSS Code.


Formatting Text Using the CSS Common Panel

NetObjects Fusion 10 introduces the CSS Common panel, which is a user-friendly and easy to work with for editing properties of the selected object in Page View. It is a visual environment in which you can set CSS properties for the currently selected item by using common controls like buttons, drop-down lists, and color panels.

The CSS Common panel contains seven main button selections related to the following CSS properties: Character, Paragraph, List, Background, Margins, Borders, and Padding. To display each section, click its corresponding button.

To better clarify working with the CSS Common panels, consider a text object in Page View.

To format the properties of a selected object in Page View using the CSS Common panel:

Add a object on the page. In this case, select a text object.

Use the properties in the CSS Common panel’s sections to edit the properties of the selected object.

In the Character section, you can edit the following text-related properties:

  • Font. Sets the font family.

  • Font Size. Sets the size of the font.

  • Color. Sets the color of the font.

  • Font Weight. Sets the weight of the font: normal or bold.

  • Font Style. Sets the style of the font: normal or italic.

  • Font Underline: Adds underline decoration to text.

  • Overline Decoration. Adds overline decoration to text.

  • Strike-through Decoration. Adds strike-through decoration to text.

  • Superscript. Sets superscript position to text.

  • Subscript. Sets subscript position to text.

  • No-wrap. Sets the white-space property for the current selected text.

  • Case. Set the case of the text: Upper Case, Lower Case, Capitalize, and SmallCaps.

The Paragraph section contains controls for editing paragraph properties:

  • Alignment. Aligns the text in an element: left, right, center, or justify. Only one option may be active at a time.

  • Indent. Indents the first line of text in an element.

  • Line Height. Sets the height of the line. Select the value from the drop-down list, after first setting the unit.

  • Word Spacing. Increase or decrease the space between words.

  • Letter Spacing. Increase or decrease the space between characters.

The List Panel contains buttons for editing list properties:

  • Bullet. Set a bullet type from the drop-down list, or set an image to be used as bullet in the list.

  • Indent wrapped lines. Check this option to indent wrapped lines.

The Background section defines the background properties of an object. It contains controls for editing background properties:

  • Background image. Sets an image as the background.

  • Background color. Applies a background color to an object.

  • Fix background position. Sets whether a background image is fixed or scrolls with the page.

  • Repeat. Sets if and how a background image will be repeated: horizontal or vertical.

  • Position. Sets the starting position of a background image.

The Padding section contains controls for editing padding properties. The CSS padding properties define the space between the element border and the element content. The left, right, top, and bottom padding can be changed independently using separate properties.

  • Uniform padding. Sets uniform padding values.

When this option is checked, the controls for the top padding are enabled and the values for the top padding will be applied to the left, right, and bottom padding, also.

  • Top. Sets the top padding of an element.

  • Right. Sets the right padding of an element.

  • Bottom. Sets the bottom padding of an element.

  • Left. Sets the left padding of an element.

The Borders section contains controls for editing border properties. The CSS border properties allow you to specify the style, width and color of an element's border. Using the CSS border properties, you can create borders having color, width, and style effects that can be applied to any element.

There are four buttons for controlling the four borders:

  • Top. Sets the properties for the top border.

  • Left. Sets the properties for the left border.

  • Right. Sets the properties for the right border.

  • Bottom. Sets the properties for the bottom border.

When a border is enabled, related controls for style, width, and color are enabled as well:

  • Style. Sets the style for the selected border.

To do that, select a style from the drop-down list. The available styles are: Automatic, None, Dotted, Dashed, Solid, Double, Groove, Ridge, Inset, and Outset.

  • Width. Sets the width of the selected border.

To do that, select a value from the drop-down list, after you have selected the unit first.

  • Color. Sets the color for the selected border.

To do that, select a color from the Color panel that appears on clicking the arrow button.

The Margins section defines the space around elements. It contains controls for editing margins properties.

  • Uniform margins. Sets uniform margins. When this option is checked, the controls for top margin are enabled, and values for the top will also be applied to the left, right, and bottom margins.

  • Top. Sets the top margin of an element.

  • Right. Sets the right margin of an element.

  • Bottom. Sets the bottom margin of an element.

  • Left. Sets the left margin of an element.


Working Directly with CSS Properties

The CSS Property Sheet panel is a CSS editing panel, containing a property grid with CSS properties and values.

The CSS Property Sheet contains additional CSS properties to the most commonly used properties found on the CSS Common panel.

To assign a value to an element, choose a CSS property from the Properties column on the left, and set the value for that property on the Values column on the right.

The CSS Property Sheet panel contains three options to help organize and work with the properties you need, when you need them. Select from the following options:

  • Categorized, where the grid contains a categorized list of all the CSS properties available.

  • Alphabetic, which contains a list of all the available properties in alphabetical order.

  • Only-defined, which displays the CSS properties that have already been assigned to an object or element in your project.

Categorized CSS Property Sheet

The Categorized section on the CSS Property Sheet displays the list of CSS categories ordered alphabetically. Each category contain properties on the left and values on the right.

To set new values to properties:

  1. Expand a category on the left by clicking the corresponding ‘+’ sign.

  2. On the Properties column, select a property from the expanded category. When applying a value to a property, you will have the option to type the value or select a value from the options in the drop-down list, if available.

  3. Type or select the corresponding value if a drop-down list available.

To remove CSS values:

  1. Select the CSS property on the left column.

  2. Delete the corresponding value from the right column.

  3. Press Enter.

Alphabetized CSS Property Sheet

The Alphabetic section displays all CSS properties arranged alphabetically. You can perform the same actions of setting new values to CSS properties, as in the Categorized section.

For example, to set the Font Style, select font-style on the Properties column and select a value from the drop-down list on the Values column.

Only Defined CSS Property Sheet

The Only Defined section filters and displays only the CSS properties that contain values for elements you have already defined.

In this section, you will also have the opportunity to add additional CSS properties. You will find all the available CSS Properties in the Add Property drop-down box. To set a new value to a CSS property from the list:

  1. Select the CSS Property from the Add Property drop down box. The property name will appear on the Properties column.

  2. Select or type the new value in the right column.


Using the CSS Code Editor Panel

The CSS Code Editor Panel is a CSS code editor that allows direct editing of the CSS rules currently applied to an object.

The CSS Code Editor Panel may be resized to display the entire CSS syntax.

The CSS Code Editor Panel’s toolbar contains two buttons:

  • Line Numbers, which displays line numbers for each line of code.

  • Save, which will save the current content of the CSS Code Editor Panel.

To display line numbers for each line of code, click the Line Numbers button. Line numbers will then be visible.

The CSS Code Editor Panel includes a context menu that appears on right-click inside the content of this panel.

The context menu offers the same functional and configuration options as the context menu from the CSS Code View. See Using the CSS Code Context Menu .


Checking Spelling

You can check the spelling of English language words in NetObjects Fusion. You can add words to a personal dictionary so they will no longer be flagged as misspelled. Your personal dictionary is a simple text file, so you can use any text editor to add or delete words. You can check spelling throughout an entire site, on selected pages, or on a single page.

If Smart Spell Check is turned on, once NetObjects Fusion checks spelling in a text block, it does not check the same text again unless you modify the text or turn off smart spell check. See Setting Text Options.

  1. Go to Site view or Page view.

  2. From the Tools menu, choose Spell Check.

  3. Select:

  • Entire Site to check spelling fo text on all pages in the site.

  • Selected pages to check the spelling of text on the pages selected in Site view.

  • Current Page to check the spelling of text only on the page displayed in Page view.

If NetObjects Fusion does not recognize the word, it displays the word in the Not in Dictionary field of the Spelling dialog.

Email addresses and URLs are not checked.

  1. Click:

  • Options to choose a language, and to choose a location for your personal dictionary.

  • Ignore to skip this instance of the word.

  • Ignore All to skip all instances on this page.

  • Change to replace this instance with the word in the Change to field.

  • Change All to replace all instances on this page with the word in the Change to field.

  • Add to put the word in your personal dictionary.

  • Suggest to see alternate spellings for the word. Double-click a suggestion to use it.

  • Cancel to cancel the spelling check.


Finding Text

  1. Go to Site view or Page view.

  2. From the Edit menu, choose Find.

The Find and Replace dialog appears.

  1. In the Find in field, select a scope for the search.

The options vary depending on the current view and the selected object.

  • Entire site to search all text in the site.

  • Selected pages to search text on the pages selected in Site view.

  • Current page to search text on the page currently displayed in Page view.

  • Current text box to search text in the text box currently selected in Page view.

  • Selected text to search only the text currently selected in Page view.

  2. In the Find what field, type the word, letters, or phrase you want to find.

  3. Select options to narrow the search.

  4. Click Find Next.

NetObjects Fusion searches for the text.


Replacing Text

  1. Go to Site view or Page view.

  2. From the Edit menu, choose Replace.

The Find and Replace dialog appears.

  1. In the Find in field, select a scope for the search.

The options vary depending on the current view and the selected object.

  • Entire site to search all text in the site.

  • Selected pages to search text on the pages selected in Site view.

  • Current page to search text on the page currently displayed in Page view.

  • Current text box to search text in the text box currently selected in Page view.

  • Selected text to search only the text currently selected in Page view.

  2. In the Find what field, type the word, letters, or phrase you want to replace.

  3. In the Replace with field, type the replacement text.

  4. Select options to narrow the search.

  5. Click Find Next.

  6. Click Replace to replace the found text, or click Replace All to replace all instances of the text on the page with the replacement text.


Counting Words, Lines, Paragraphs, and Characters

To get a count for the current page, in Page view, choose Word Count from the Tools menu.

If the text box includes embedded objects, the line count is incremented for each embedded object.


Placing Pictures

You can enhance your pages by placing pictures in the Layout area and MasterBorder. This section tells how to add pictures and modify their size and appearance.

Browse this section for information about:

  • Choosing an image format

  • Adding a picture

  • Optimizing Images

  • Advanced Optimization Settings

  • Saving Optimization Settings

  • Creating a Transparent GIF

  • Resizing a Picture

  • Tiling a Picture

  • Rotating a Picture

  • Flipping a Picture

  • Cropping a Picture

  • Adjusting a Picture's Color

  • Creating a Border Around a Picture

  • Adding Text to a Picture

  • Removing Red Eye in a Picture

  • Editing a Picture's Hotspots


Choosing an Image Format

To display a picture, most browsers require the picture to be stored in one of the following Web-standard formats:

  • Joint Photographic Experts Group (.jpg) supports 24-bit true color.

  • Graphics Interchange Format (.gif) supports 8-bit, 256-color images. NetObjects Fusion also supports GIF 89, a format for transparency, interlacing, and animation, as well as animated .gifs. An animated .gif file contains multiple images that a browser plays in sequence, adding movement to your pages without browser plugins.

  • Portable Network Graphics (.png) supports any color-depth image. To view .png images with Netscape Navigator 4.0, the PNG Live 2.0 plugin is required; Microsoft Internet Explorer 4.0 does not require a plugin. Earlier versions of both browsers require PNGLive 1.0 to view the image. You can find this plugin at http://home.netscape.com/plugins/image_viewers.html.

If you try to place a picture that is in .bmp, .pcx, .pct, or .psd format, NetObjects Fusion offers to convert it to .gif or .jpg format. NetObjects Fusion copies the file, converts the copy, and stores the converted copy in the site’s \Assets folder.


Adding a Picture

  1. In Page view, choose the Picture tool from the Standard toolbox, and click where you want to place the upper left corner of the picture.

The Picture File Open dialog appears.

  2. Select the image file you want from your hard disk or LAN, or select an image already in use in the site from the Image Assets tab. See Managing Assets .

You can do advanced image editing such as set the size, color depth, and compression scheme in NetObjects Fusion.

From the Files of type drop-down list, select:

  • Web Images, to see a list of all image files that can be viewed in a Web browser, including .gif, .jpg, and .png.

  • A specific file type, to see only files of that type. You can select GIF, JPEG, PNG, BMP, PCX, PICT, or FPX.

  • All Images, to view all files that are image files.

  • All Files, to see all files in the selected folder.

  3. Make sure Show thumbnail image is selected if you want to preview your image in the dialog.

  4. Make sure Copy to Site’s "Assets" folder is checked if you want to keep a copy of the original file in your Assets folder.

If you plan to edit your images, it is recommended you choose to save a copy to your site’s "Assets" folder. This will allow you to easily revert to the original image and remove all changes.

Images added to the Assets folder must have a unique name. If you copy an image that has the same name as an existing image in the site’s Assets folder, you will be prompted to either rename the image you are adding or continue using the image without adding it to the Assets folder

  5. Click Open to place the image on the page.

If you select a non-standard Web format, the Unsupported File Format dialog appears.

  • If you convert to .gif, NetObjects Fusion reduces the image to 256 colors.

  • If you convert to .jpg, NetObjects Fusion retains the color information from the original file.

  • If you choose not to convert, NetObjects Fusion positions the image in HTML using the <EMBED> tag. Only browsers that have the appropriate plugin installed can view the image.

  6. Choose the appropriate conversion format and click OK. NetObjects Fusion copies the file, converts the copy, and stores the converted copy in the site’s \Assets folder. Both the original file and the copy are listed in Assets view. Only the converted copy is required fro your site, so you can delete the original file.

If the file is in a supported format, the file is not copied and it remains in its original location.

The picture and Picture Properties panel appear.

  7. Type a description of the picture in the AltTag field.

See Adding and Modifying Alt Tags.


Optimizing Images

Optimization is the process of fine-tuning your images for use on the Web and minimizing the time it takes for the images to download. You can use the optimization settings in the Picture Properties panel and the file size information in the Optimize Image editor to keep track of and adjust download time while maintaining image quality. See Choosing an Image Format for information on image file types supported.

You can optimize your images in 2 ways:

  • Select a common, predefined setting for basic optimization.

  • Preview the image in different file formats and with different file attributes for advanced image optimization.

You may choose (Not optimized) from the Settings drop-down list if you prefer not to optimize your image.

To control the image format using standard settings:

  1. In Page view, click on the image you want to optimize.

The Picture Properties panel appears.

  1. Select an optimization setting from the Settings drop-down.

The following standard optimization settings are available:

 | Best GIF | Best JPG | Good JPG | Progressive Good JPG | Small JPG
Quality | 100% | 100% | 75% | 75% | 50%
Blur | NA | 0 | 0 | 0 | 10
Colors | 256 | NA | NA | NA | NA
Dither | Floyd- Steinberg | NA | NA | NA | NA
Progressive | NA | No | No | Yes | No


Standard Optimization Settings

Advanced Optimization Settings

To optimize your images with more precision or define your own optimization settings:

  1. In Page view, click on the image you want to optimize.

The Picture Properties panel appears.

  1. Click Edit.

The Optimize Image editor appears.

  2. In this editor you set the quality of the selected image. As you make changes, NetObjects Fusion displays the approximate download time for the file.

You may choose to save and apply previously defined settings. See Saving Optimization Settings.

  3. Select the File type.

For GIF or PNG-8 file types, set the color reduction, colors, and dither.

  • Set the color reduction first to change the set of colors available in the color table. Then choose the maximum number of colors to display in the Colors drop-down.

  • Floyd-Steinberg dithering is a common algorithm used to simulate colors that are not available in the color display system of your computer.

  • Select Transparency to create a transparent GIF. See Creating a Transparent GIF.

For JPG file types, set the Quality and Blur. These fields both affect image quality. 100% is the highest quality, 0% the lowest quality.

  • Set the Quality field first. Each setting corresponds to a range of percents. Low corresponds to 0-39%, Medium to 40-75%, High to 76-99%, and Maximum to 100%.

  • Use the Percent field to fine-tune the quality setting.

  • Select Progressive to create an image that displays progressively in a Web browser. The image will display as a series of overlays, enabling viewers to see a low-resolution version of the image before it downloads completely.

As you adjust the settings, the image in the Preview field changes. If the Preview image is scaled down, you can close the editor and check image quality in Page Design view.

  4. Click OK to close the Optimize Image editor.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Saving Optimization Settings

To save your optimization settings:

  1. In Page view, select the image with the optimization settings you want to save.

The Picture Properties panel appears.

  1. Click Edit.

The Optimize Image editor appears.

  2. In the Settings area, click the plus (+) button.

The Save Settings dialog appears.

  3. Type a name for the new output setting.

  4. Click OK.

To remove a custom optimization setting:

  1. In the Settings area, choose the saved setting you want to remove.

  2. Click the plus (-) button.

The setting is removed.


Creating a Transparent GIF

When you place a .gif image on a page, you can make every pixel of one color transparent. Although only part of the image is transparent, it is called a transparent .gif. You can use transparent .gifs to blend an image background with the page background, or to silhouette an image against the page background.

An image with a solid background works best because only pixels of exactly the same color can be transparent. If the image background is dithered, it contains several colors.

Transparency only works with .gifs. You cannot set a transparency for a .jpg or other image file format.

To create a transparent .gif:

  1. In Page view, select the picture for which you want to create a transparent .gif.

The Picture Properties panel appears.

  1. Click the General tab.

  2. Click Edit to open the Optimize Image editor.

  3. Click the Transparency check box.

  • To make a transparent color opaque, clear the Use color check box.

  • To add a color, use the color picker.

You can also click the Transparency dropper, then click the color in the picture that you want to make transparent.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Resizing a Picture

When you resize a picture and publish the site, NetObjects Fusion changes the HTML <HEIGHT> and <WIDTH> attributes of the image, so the file is displayed in the new size.

  1. In Page view, select the picture you want to resize.

The Picture Properties panel appears.

  1. Click the Geometry tab.

  2. To maintain the picture’s scale so the height and width are proportional, select Maintain Aspect Ratio.

  3. In the Height and Width fields, select the desired image dimensions.

You can select to display the image dimensions in Pixels or Pecent from the Unit dropdown.

To return the selected picture to its original size, either:

  • Click on Revert to original in the Picture Properties panel.

  • From the Object or shortcut menu, choose Restore Original Size.


Tiling a Picture

You can create multiple instances of a picture by tiling it.

  1. In Page view, select the picture you want to tile.

The Picture Properties panel appears.

  1. Click the Geometry tab.

  2. Select Tile.

  3. Drag a selection handle to enlarge the box and display more or fewer tiled images.

NetObjects Fusion displays multiple images of the picture in the box. Each image is the size of the picture in the source file.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Rotating a Picture

You can rotate pictures in 90-degree increments.

  1. In Page view, select the picture you want to rotate.

The Picture Properties panel appears.

  1. Click the Geometry tab.

  2. In the Rotate field, select the desired rotation.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Flipping a Picture

You can flip pictures horizontally or vertically.

  1. In Page view, select the picture you want to flip.

The Picture Properties panel appears.

  1. Click the Geometry tab.

  2. In the Flip field, select:

  • Horizontal to flip the image horizontally along the vertical axis.

  • Vertical to flip the image vertically along the horizontal axis.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Cropping a Picture

You can crop a picture to make only part of it visible.

  1. In Page view, select the picture you want to crop.

The Picture Properties panel appears.

  1. Click the Geometry tab.

  2. In the crop area, click on the crop tool icon.

The crop marquee will appear on the selected image.

  3. Drag any selection handle to reduce the size of the box enclosing the picture. NetObjects Fusion crops the bottom and right sides of the picture.

  4. Click Apply in the Picture Properties panel to crop the image.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Adjusting a Picture's Color

You can use the Picture Properties panel to adjust a picture’s overall color.

  1. In Page view, select the picture you want to adjust.

The Picture Properties panel appears.

  1. Click the Adjustment tab. You will have the ability to edit a picture’s:

  • Brightness to adjust the tonal range.

  • Contrast to adjust overall contrast and mixture of color.

  • Hue to adjust the color and represent a move around the color wheel.

  • Saturation to adjust the purity of the color and represent a move across the radius.

  2. Adjust the color properties.

You can adjust a color property by dragging the slider on the properties panel, or by entering the width directly in the Properties panel.

  • To adjust the color property by dragging the slider on the Properties panel, drag the slider to the right to increase the property, or to the left to decrease the property.

  • To adjust the color property by entering the value directly in the Properties panel, type a number in the correct field.

As you make changes to the color, view the Spectrum bar at the bottom of the Properties panel to get an idea of the color range your image will be displayed in. Also, as you make changes, you can preview the image.

To reset your image back to the original color, set all values to 0.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Creating a Border Around a Picture

You can use the Picture properties to add a border around a picture.

  1. In Page view, select the picture for which you want to create a border.

The Picture Properties panel appears.

  1. Click the Borders tab.

  2. Click the Border check box to add a border around the picture.

  3. Choose a border style from the Line Style drop-down list.

  4. Click on the color icon to open the Color Picker.

Select a color and click OK.

  5. In the Border field, specify the thickness of the border.

The border color is controlled by the site visitor’s browser and the page text color settings. Check the border appearance in the appropriate browsers before publishing your site.

If you chose "Copy to site’s "Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Adding Text to a Picture

You can add text to a picture and format its font, size, and alignment. The text you add becomes part of a new image file when you publish the page containing the picture. When you add text to a picture and publish the site, NetObjects Fusion generates a new file listed in Publish view as an auto-generated image. Your original file is unchanged and included among the site assets. The new file is included in the published site on the server. See Adding Text to a Shape or Picture.


Removing Red Eye in a Picture

You can use the Picture Properties panel to remove red eye in an image.

  1. In Page view, select the picture you want to remove red eye from.

The Picture Properties panel appears.

  1. Click the Red Eye Removal tab.

  2. Click the red eye icon.

The red eye marquee will appear on the selected image.

  3. Drag any selection handle to adjust the size of the marquee enclosing the part of the image you want to reduce the red eye on.

  4. Select the strength and eye color.

  5. Click Apply in the Picture Properties panel to remove red eye.

If you chose "Copy to site’s Asset’s" folder, you can restore the original image by clicking "Revert to Original Image" on the general tab of the Picture Properties panel.


Editing a Picture's Hotspots

You can edit hotspots from the Picture Properties panel once they have been added using the Links editor. See Creating an Imagemap.

  1. In Page view, select the picture you want to work with.

The Picture Properties panel appears.

  1. Select the hotspot from the current list.

The Current list displays all the selected image’s hotspots.

  2. Type a description in the AltTag field.

  3. Click the Link button to edit the hotspot. See Creating Links.


Adding Tables

Presenting information in tabular format is often an effective way to convey complex concepts and ideas. NetObjects Fusion makes it easy to add tables to a site. You can select and work with a whole table, just a row, just a column, a single cell, or several rows, columns, or cells. Each of these objects has its own properties panel and its own HTML button, so you can apply HTML to the cell, row, column, or table.

Browse this section for information about:

  • Adding tables

  • Setting table properties

  • Working with cells

  • Adding text and pictures to tables

  • Importing table data

  • Exporting table data

  • Using table styles


Adding a Table

  1. In Page view, choose the Table tool from the Container flyout on the Standard toolbox and draw a box where you want to position the table.

The Create Table dialog appears.

  2. Specify the number of columns and rows in the table.

  3. Set the cell padding, which is the amount of space between the contents of a table cell and the cell boundaries. Cell padding is measured in pixels.

  4. Set the cell spacing, which is the distance between cells.

  5. Click OK.

The properties you set when creating a new table will be saved and used for the next table created.

The table appears with the Table Properties panel. These properties apply to the entire table; you can also select a row, column, or individual cell and set its properties. See Setting Row and Column Properties and Setting Cell Properties.

Each table, column, row, and cell is an individual object. You can view the object hierarchy by choosing Object Tree from the View menu. You can also see which table object is selected by referring to the Object Tree. You can rename tables and cells in the Object Tree, but you cannot rename rows or columns.

You can add an action to a table or cell using the Actions tab on the Properties panel.


Setting Table Properties

  1. In Page view, select the table and make sure the General tab of the Table Properties panel is displayed.

  2. If the table is embedded in a text box, you can choose Fixed width or Relative width. If the table is not in a text box, these options are not available.

  • If the text box containing the table is sized to the Layout, set to wrap to the browser width, and the MasterBorder margins are set to zero, you can use Relative width to size the table as a percentage of the text box. If a site visitor resizes the browser window, the table will resize accordingly.

  • Use Fixed width to ensure that NetObjects Fusion creates a table that does not resize if the site visitor resizes the browser window.

  1. Enter a thickness and color for the table border. Thickness is measured in pixels.

  2. Set the Cell padding, which is the amount of space between the contents of a table cell and the cell boundaries. Cell padding is measured in pixels.

  3. Set the Cell Spacing, which is the distance between cells.

  4. In the Advanced section of the General tab, select Generate non-breaking spaces to prevent empty cells from collapsing in Netscape Navigator and Microsoft Internet Explorer.

When this option is selected, NetObjects Fusion inserts a space character in every table cell. If you embed an image in a table cell, the extra space causes a gap between the image and the cell border. To remove the gap, clear this option.

  5. To make the table a form, select Table is a form. See Creating a Form.

You can add HTML code to a table. See Working with HTML Directly. You can also convert a table into a Layout Region by right-clicking the table and selecting Convert Table to Layout Region from the shortcut menu. See Converting a Layout Region to a Table.


Setting the Table Background

You can have both a color and a picture in the table background. If the picture has a transparent area, the background color shows through.

  1. In Page view, select the table.

  2. Click the Background tab on the Table Properties panel and in the Color field, select:

  • Automatic to set the table background to the color specified by its parent object.

  • Color to select a background color from the Color Picker. The selected color appears in the box to the right of the Color field. To change the color, click the box and select a new color from the Color Picker.

  1. In the Image field, select:

  • Automatic to set the background to the image specified by the table’s parent object.

  • Browse to select an image from the Picture File Open dialog. See Choosing an Image Format. If the picture is smaller than the table, the browser tiles the image. If you select a picture with a transparent color, the background color shows through. To change the image, click the Browse button to the right of the field.


Resizing Table Rows and Columns

In Page view, select the table, and:

  • Drag the cell guides on the vertical or horizontal ruler to resize a row or column. This changes the overall table height or width.

  • Point to the border of the row or column you want to resize and drag the cell boundary to the new size. If you resize a row, it changes row height and the overall table height.

  • For precise sizing of rows and columns, or to make all rows or all columns the same size, see Setting Row and Column Properties .


Inserting a Row or Column

  1. In Page view, select the table.

  2. Enter the total number of table rows and columns in the Rows field or Columns field.

Additional rows are added at the bottom of the table, and additional columns are added to the right side of the table.

  • To insert a row in a specific location, right-click on the highlighted row and select Insert Row Above or Insert Row Below from the menu.

  • To insert a column in a specific location, right-click on the highlighted column and select Insert Column Left or Insert Column Right from the menu.

You can also insert rows and columns from the Cell Properties panel.


Removing a Row or Column

  1. In Page view, select the table.

  2. Enter the total number of table rows and columns in the Rows field or Columns field.

Extra rows are deleted from the bottom of the table, and extra columns are deleted from the right side of the table.

  • To delete a specific row, right-click on the highlighted row and select Delete Table Row from the menu.

  • To delete a specific column, right-click on the highlighted column and select Delete Table Column from the menu.


Merging and Splitting Table Cells

  1. In Page view, select the cells in the table that you want to merge or split. See Selecting Table Cells.

The Table Properties panel will appear.

  1. In the adjust area on the Table Properties panel:

  • To divide the cell, select Split Cells and enter the number of rows and/or columns you want to split the cell into in the Split Cells dialog. The maximum is 10 x 20.

  • To merge cells, select Merge Cells. All borders between the selected cells disappear.


Setting Row and Column Properties

When you select a table row or column, a Row or Column tab is added to the Cell Properties panel.

  1. In Page view, select the table.

  2. Select a row or column by moving the mouse pointer over the table border and clicking when you see the single-headed arrow. Drag to select multiple rows or columns.

The Cell Properties panel appears with the Row or Column tab added.

  1. Set the Vertical and Horizontal Alignment to position objects within cells.

  2. Set Row height or Column width.

  • Display the Row tab of the Cell Properties panel. To make all selected rows the same height, enter a number in the height field, then press enter.

  • Display the Column tab of the Cell Properties panel. To make selected columns the same width, enter a number in the Column width field, and press Enter. To size each selected column to its contents, click Fit to Contents.

  3. To make a row a header, highlight the row and select Row is a header.

You can add HTML code to a row or column. See Working with HTML Directly.


Selecting Table Cells

  1. Click a cell.

  2. Move the pointer over the cell and hold down the left mouse button.

  3. When you see the cross-shaped pointer, drag it over the cells you want to select.

Selected cells are highlighted with a border.


Setting Cell Properties

  1. In Page view, click a cell in a table to select it.

The Cell Properties panel appears.

  1. If necessary, click the Cell tab.

  2. Set the Vertical and Horizontal Alignment for the cell. If the cell alignment is set to Automatic, the alignment of the row or column containing the cell is shown in parentheses. If you select a different setting for the individual cell, it overrides the row or column setting and is shown in parentheses.

  • Vertical determines alignment to the top, middle, or bottom of the cell.

  • Horizontal determines alignment to the left, center, or right of the cell. If the cell contains text, you can justify it within the cell.

  3. Insert new rows or columns to add cells.

  4. To apply text styles and formatting to cells, click the Format tab. See Designing with Text.

  5. To make the cell a form, select Cell is a form. See Designing and Implementing Forms.

  6. Select Cell is a header to format the cell as a column or row heading. This makes it easier for people with disabilities to read the table.

You can also add HTML code to a cell. See Working with HTML Directly.


Sizing Cells

To make a table cell shrink to fit the content in the cell:

  1. Right-click in the cell you want to size.

  2. Select Fit Cell from the shortcut menu.

The cell shrinks to fit the content.


Adding Text and Pictures to Cells

Working in a table cell is the same as working in a text box. You can:

  • Add and format text. You can apply formats to all selected cells at one time. See Designing with Text.

  • Embed objects. See Embedding Objects in a Text Box .

  • Wrap text around objects. See Wrapping Text around Objects .

  • Modify text box properties. See Working with Text Boxes.

To select the contents of a cell:

Double-click the cell.

Cross-hatching appears around the selected cell. You can edit the text in the cell or change cell properties.


Sorting Table Data

You can sort the table data by column in ascending or descending order.

  1. In Page view, select the table you want to work with.

  2. Right click and select Sort Table from the menu.

The Sort Table dialog will appear.

  3. In the Sort by section, select the columns you want to sort. You can sort by:

  • Ascending Order (A to Z).

  • Descending Order (Z to A).

  • Ascending Numeric Order (1, 2, 3, 4, 5 . . .).

  • Descending Numeric Order (5, 4, 3, 2, 1 . . .).

  4. In the Options area, select:

  • Exclude Cell headers to exclude cells marked as headers from the sort.

  • If you select to Exclude Cell Headers, the cell headers will appear in the Sort By fields.

  • Ignore initial white space sorts the cell data by the first character that is not a space.

  • Sort selected cells only.

  5. Click OK.


Importing Table Data

You can import existing table data or display data from a file using the Table Import tool.

  1. In Page view, choose the Table Import tool from the Container fly-out on the Standard toolbox and draw a box where you want to position the table.

The Import Table dialog appears.

  2. Browse to the location where the file that has the table data you want to import is stored.

  3. In the Delimiter drop-down list, choose:

  • Tab to import a tab-delimited (.txt) file.

  • Comma to import a comma-delimited (.csv) file.

  • Custom to specify a new delimiter. Type the custom delimiter in the field next to the Delimiter drop-down. This field is only available if using a custom delimiter.

Only single-character delimited files can be imported. For example, files using the delimiter "/" are acceptable, while files using "//" are not.

  4. Complete the Table Properties section.


Exporting Table Data

You can export table data as tab delimited (.txt) and comma separated (.csv) files.

  1. In Page view, select the table you want to work with.

  2. Right click and select Export Table from the menu.

The Export Table dialog appears.

  3. Choose a location to save the file to.

  4. Type a file name to save the data as.

  5. In the Save as Type drop-down, select:

  • Text (Tab Delimited) to save as a .txt file.

  • CSV (Comma Delimited) to save as a .csv file.


Using Table Styles

Working with Table Styles

You can quickly give your table a look that matches your site by creating a table style or applying a table style define in Style view.

When creating a table style, you must first define the two style regions you will be working with - the middle and border regions. The middle region consists of all repeating cells and is defined in the Table Properties panel as all cells inside the blue box. The border region consists of all non-repeating cells and is defined as all cells outside of the blue box.

We can further separate the existing table into as many 9 specific regions in which the table style will be applied. These regions can be identified by drawing lines around the middle table style region. It is important to keep these table regions in mind when applying a table style.

  • The corner regions are defined by the cross-section of the side regions and do not repeat.

  • The top and bottom regions are repeated horizontally over the y-axis.

  • The left- and right-side regions are repeated vertically over the x-axis.

  • The middle region is repeated to fill the entire selected area without overlapping the border region.


Setting Table Styles

Creating Table Styles

To create a Table Style in Page view:

  1. Select the Table you want to work with.

The Table Properties panel appears.

  2. Click on the Table Style tab.

In the Style Editor area, click on the blue arrow to display the dimensions selector. The dark blue boxes are the cells in the middle region, and the light blue boxes are the cells in the border region.

  1. Drag your cursor to highlight the boxes and click on the box that is in the last (bottom-right) position to set the table style dimensions.

The Style Editor allows you to format a single table region (1x1) up to 25 separate table regions (5x5). The table style can be applied, however, to a table of any size.

  2. Drag the blue handles in the Style Editor area to define the middle region.

  3. To apply text styles and formatting to cells, click on a cell in the Style Editor area.

To change the cell background color, in the Color field select:

  • Automatic to set the cell background to the color specified for the table.

  • Color to select a background color for the cell from the Color Picker. The selected color appears in the box to the right of the Color field. To change the color, click the box and select a new color from the Color Picker.

  1. To change the cell background image, in the Image field, select:

  • Automatic to set the background to the image used by the table.

  • Browse to select an image for the cell background from the Picture File Open dialog. If the picture is smaller than the cell, the browser tiles the image. If you select a picture with a transparent color, the background color shows through. To change the image, click the Browse button to the right of the field.

  2. Apply a table style.

To clear a table style and remove all formatting, click the Clear button


Applying Table Styles

To apply a Table Style created in Style view:

  1. In Page view, select the Table you want to work with.

  2. The Table Properties panel appears.

  3. Click on the Table Style tab.

  4. In the Table Style section, click on the Site Style drop-down.

  5. Select from the list of active site styles.

  6. Select a Table Style from the Table Set drop-down.

  7. All table styles associated with the selected site style will be available.


Creating Photo Galleries

Using the Photo Gallery tool, you can quickly create sophisticated Web photo albums. You assemble your digital images, add captions and descriptions, and choose from an assortment of high-quality thumbnail and photo frames. Your images look great on the Web and download quickly.

Browse through this section to find out about:

  • Adding galleries

  • Working with photos

  • Adding, editing, and formatting titles and captions

  • Controlling download time

  • Formatting the thumbnail page

  • Formatting photo pages

  • Saving Profiles


About Photo Galleries

Each photo gallery you add to your site includes two types of pages—a thumbnail page and photo pages.

  • The thumbnail page shows a small image of each photo in the gallery displayed in a template that you select. Site visitors click a thumbnail image to see the photo page.

  • Each photo page displays a large version of the image. You can add and format a title and description for the photo.

When you add a photo gallery object to the thumbnail page, NetObjects Fusion automatically adds the photo page for you. On the Site Navigation panel, the photo page is as a single icon that contains multiple pages.


Adding a Photo Gallery

You can create a new photo gallery or add an existing photo gallery to your site. You can duplicate an existing gallery or add galleries that you removed from the site. See Removing a Photo Gallery.

You add the photo gallery object to the page where you want to display thumbnail images of the photos in the gallery. You can add a new page or use an existing page.


Creating a New Photo Gallery

  1. In Page view, display the page where you want to place the photo gallery object.

This is the page where the thumbnail images appear.

  2. Choose the Photo Gallery tool from the Advanced Toolbox and click in the upper left corner of the Layout area.

Start in the upper left corner to allow as much space as possible for the thumbnail images.

The Add Photo Gallery dialog appears.

Current photo galleries and photo galleries that were added to the site and then removed are listed in the Insert an existing Photo Gallery section at the bottom of the dialog. If no other galleries were created, you do not see this list.

  3. Type a name for the new photo gallery.

NetObjects Fusion uses the name you enter as the name of the photo page. This name appears in the banner at the top of each photo page. You can rename the page in Site view just as you rename any other page, or you can display the photo title in the banner or edit the text on the Banner Properties panel.Renaming Pages, Selecting a Photo Page Layout, or Changing the Banner Text.

You cannot use the name of an existing photo gallery.

  4. Choose a Profile
    NetObjects Fusion allows you to reuse settings each time you add a new photo gallery. You may choose a profile containing all information associated with an existing photo gallery, or choose Default to create a new profile. See Saving a Photo Gallery Profile
    Current profiles and profiles of photo galleries that were added to the site and then removed are included in the Create a new Photo Gallery section at the top     of the dialog. If no other profiles were created, you can only choose Default.

  5. Click OK.


Inserting an Existing Photo Gallery

  1. Display the designated thumbnail page in Page view.

  2. Choose the Photo Gallery tool from the Advanced Toolbox and click in the upper left corner of the Layout area.

Start in the upper left corner to allow as much space as possible for the thumbnail images.

The Add Photo Gallery dialog appears.

Available photo galleries are listed in the Insert an existing Photo Gallery section at the bottom of the dialog.

  1. Select Insert an existing Photo Gallery.

  2. Select the gallery you want to insert and click OK.


Working with Photos

NetObjects Fusion creates two copies of each image file—one for the thumbnail page and one for the photo page. These copies are published when you publish the site; the files are generally much smaller than the original image file. NetObjects Fusion does not change your original image file.

The photo gallery is designed to work best with digital photos. However, you can use scanned photos as well. When scanning, make sure you make the scan larger than necessary.


Adding Photos

You add photos on the Images tab of the Photo Gallery Properties Editor. If you have just added a photo gallery, the Photo Gallery Editor will appear and you may skip step 1.

  1. Open the Photo Gallery Properties Editor. You can:

  • Add a photo gallery by following the steps in Adding a Photo Gallery.

  • Double-click a photo on a thumbnail page or a photo page.

The Photo Gallery Properties Editor appears, displaying the Images tab.

  1. Click Add.

The Open dialog appears.

  2. Navigate to the folder containing the photos you want to add to the gallery.

  3. Select the photos for the gallery. You can:

  • Click a single photo to select it.

  • Press Shift+Click or Ctrl+Click to select multiple photos.

  • Press Ctrl+A to select all photos in the folder.

  • Select "Use file name for title" to automatically populate the title field in the properties editor.
    If you select to use the file name for the title option, the image extension will be excluded from the title.

  4. Click Add.

The photos you select are listed in the File Name column on the Images tab.


Replacing Photos

You can easily update a photo gallery by quickly replacing images in the Photo Gallery Properties editor.

  1. Click the image you want to replace to open the Photo Gallery Properties Editor.

  2. Click Modify.

  3. In the Open dialog, navigate to the image you want to use.

  4. Click Add to close the dialog box and update the image.


Arranging Photos

Photos are listed in the File Name column on the Images tab of the Photo Gallery Properties Editor in the order in which you add them to the gallery. This is also the order in which they appear on the photo pages. If you select several files from a folder, they appear in alphabetical order. This is probably not the order in which you want to display the photos, so you must rearrange them.

You can rearrange the photos on the Images tab of the Photo Gallery Properties Editor, or directly on the thumbnail page. If you do this on the thumbnail page, you can see the images as you arrange them. This is useful if your photos do not have meaningful file names, for example 01.jpg, 02.jpg.


Dragging Photos on the Thumbnail Page

  1. Display the thumbnail page in Page view.

  2. Click the image you want to move and drag it to a new position.

A red indicator shows where the image will be placed.

If your gallery has many photos, they will be easier to organize if you can see all the images in Page view without scrolling. To see as many images as possible, reduce the size of the thumbnail, select a template that has a thin frame (for example, Simple border), and increase the number of columns. When the images are organized as you want them , select the template you want to use, change the number of columns, and then resize the thumbnails. See Resizing Photos and Formatting the Thumbnail Page.


Moving Photos on the Images Tab

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Images tab.

  4. In the File Name column:

  • Select a photo and drag it into a new position in the list.

  • An indicator displays as you move the photo.

  • Select a photo and click Move Up or Move Down to shift it into the proper position.


Resizing Photos

You can increase or decrease the size of the thumbnail images or the size of an individual photo page image or all the photo page images. NetObjects Fusion retains the image’s proportions when you resize.

Some templates do not allow the photos to be resized. If you want to resize photos, you must select another template.

To resize photos:

  1. In Page view, display the thumbnail page or the photo page of the gallery you want to work with.

  2. Click an image.

The Photo Properties panel appears.

  1. Resize the image.

You can change the image size by dragging the slider on the properties panel, by entering the width directly in the properties panel, or by dragging the image.

  • To change the image size by dragging, select the image and drag the small white box until the image is the size you want.

When you release the mouse button, the image is resized. If you are on the thumbnail page, all images are resized.

  • To change the image size by dragging the slider on the properties panel:

Drag the slider on the properties panel to the right to increase the image size, or to the left to decrease the size. A dotted line rectangle increases or decreases proportionally as you drag and the size of the image is displayed in a ScreenTip.

When the image is the size you want, release the mouse button.

  • To change the image size by entering the width directly in the Thumbnail Properties panel, type a number in the Width field.

  2. Apply the change.

  • If you are on the thumbnail page, click Apply to all to resize all thumbnail images.

  • If you are on a photo page, click Apply to resize only the current photo or Apply to all to resize all photos in the gallery.


Removing Photos

You can remove photos from the gallery on the thumbnail page, on the photo page, or on the Images tab of the Photo Gallery Properties Editor.

Removing a Thumbnail

  1. In Page view, display the thumbnail page of the gallery.

  2. Select the image you want to remove and press Delete.

Removing a Photo Page

  1. In Page view, display the photo page containing the photo you want to remove from the gallery.

  2. Click the Delete button on the views bar.

  3. Click Yes to confirm deletion.

Removing Photos from the Images Tab

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Images tab.

  4. In the File Name column, select a photo and click Remove.

Click Remove All to remove all photos from the gallery.


Opening the Photo Gallery Properties Editor

The tab you see when you open the Photo Gallery Properties Editor depends on how you open it.

  • If you double-click a photo on a thumbnail page or photo page, the editor opens showing the Images tab with the photo you clicked selected.

  • If you double-click a thumbnail frame, the editor opens showing the Thumbnail Page tab.

  • If you double-click a photo frame, the editor opens showing the Photo Page tab.

  • If you click the Configure button on the Photo Gallery Properties panel on the thumbnail page, the editor opens to the Thumbnail Page tab.

  • If you click the Configure button on the Photo Gallery Properties panel on a photo page, the editor opens to the Photo Page tab.


Adding and Editing Photo Titles and Captions

A title and descriptive caption help site visitors enjoy your photos. You can add this text on the Images tab of the Photo Gallery Properties Editor or directly on the page that features the photo. If the selected thumbnail template shows the photo title, you can add it on the thumbnail page.


Adding and Editing Photo Titles and Captions on the Images Tab

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Images tab.

  4. Select a photo in the File Name column.

  5. Click in the Title text field and type the title for the photo.

Try to make your title descriptive, but brief.

Text you type here appears on the photo page and at the bottom of the thumbnail image if the selected template includes the photo title.

  1. Click in the Caption field and type text that describes the photo. If you do not want to add a caption, skip this step.

Text you type here appears on the photo page.

  2. Click another photo in the File Name list to continue adding titles and captions, or click Done to close the editor.

To edit existing text, click in the text field and make changes. Be aware that if you formatted some or all of the text on the photo page, the formatting will be lost if you modify the text on the Images tab of the Photo Gallery Properties Editor.

For information about formatting the title and caption text, see Formatting Photo Titles and Formatting Photo Captions.


Adding and Editing Photo Titles on the Thumbnail Page

If the selected thumbnail template accommodates a photo title, you can enter it directly on the thumbnail page.

  1. In Page view, display the thumbnail page of the gallery you want to work with.

  2. Click in the blue border at the bottom of the thumbnail image and type the title text.

To edit existing text, click in the text field and make changes.

For information about formatting the title text, see Formatting Photo Titles and Formatting Photo Captions.


Adding and Editing Photo Titles and Captions on the Photo Page

  1. In Page view, display the photo page you want to work with.

  2. Click in the blue bordered title text field and type the title text.

  3. Click in the blue bordered caption text field and type the caption text.

To edit existing text, click in the text field and make changes.

For information about formatting the title and caption text, see Formatting Photo Titles and Formatting Photo Captions.


Formatting Photo Titles

You can format all the titles at once from the Photo Page tab of the Photo Gallery Properties Editor, or format individual titles on the individual photo pages.

If you specify formats and they do not appear in the text, it could be caused by the text style definitions, usually the definition of the Body and Normal(P) tags in the SiteStyle. For example, if the Body tag defines the font size, that definition overrides any font size you specify in the Object Format dialog. You can get around this by choosing a SiteStyle that does not define the property you want to set, or by formatting the individual photo titles. See Formatting an Individual Photo Title. Any individual text you format overrides the SiteStyle definitions.


Formatting All Photo Titles

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Photo Page tab.

  4. Click Format Title.

The Object Format dialog appears.

  1. Set the text format. See Formatting Text.


Formatting an Individual Photo Title

You can apply formatting to all or part of the title text. For example, you can make a single word bold for emphasis. Formatting you apply here is also reflected in the title text on the thumbnail page.

  1. In Page view, display a photo page.

  2. Click the Next button on the views bar until the photo you want to work on appears.

  3. Select all or part of the title text.

  4. Use the options on the Format tab of the Title Properties panel to format the text. See Formatting Text.


Formatting Photo Captions

You can format all the captions at once from the Photo Page tab of the Photo Gallery Properties Editor, or format individual captions on the individual photo pages.

If you specify formats and they do not appear in the text, it could be caused by the text style definitions, usually the definition of the Body and Normal(P) tags in the SiteStyle. For example, if the Body tag defines the font size, that definition overrides any font size you specify in the Object Format dialog. You can get around this by choosing a SiteStyle that does not define the property you want to set, or by formatting the individual photo titles. See Formatting an Individual Photo Caption. Any individual text you format overrides the SiteStyle definitions.


Formatting All Photo Captions

  1. In Page view, display a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Photo Page tab.

  4. Click Format Caption.

The Object format dialog appears.

  1. Set the text format. See Formatting Text.


Formatting an Individual Photo Caption

You can apply formatting to all or part of the caption text. For example, you can make a single word bold for emphasis.

  1. In Page view, display a photo page.

  2. Click the Next button on the views bar until the photo you want to work on appears.

  3. Select all or part of the caption text.

  4. Use the options on the Format tab of the Captions Properties panel to format the text. See Formatting Text.


Formatting Photo Thumbnail Titles

If the selected thumbnail template includes a photo title, you can format the title of all the photos at once from the Thumbnail Page tab of the Photo Gallery Properties Editor, or you can format individual titles from the thumbnail page.

If you specify formats and they do not appear in the text, it could be caused by the text style definitions, usually the definition of the Body and Normal(P) tags in the SiteStyle. For example, if the Body tag defines the font size, that definition overrides any font size you specify in the Object Format dialog. You can get around this by choosing a SiteStyle that does not define the property you want to set, or by formatting the individual photo titles. See Formatting an Individual Thumbnail Title Any individual text you format overrides the SiteStyle definitions.


Formatting All Thumbnail Titles

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Thumbnail Page tab.

  4. Click Format Title.

  5. Set the text format. See Formatting Text.


Formatting an Individual Thumbnail Title

You can apply formatting to all or part of the title text. For example, you can make a single word bold for emphasis. Formatting you apply here is also reflected in the title text on the photo page.

  1. In Page view, display the thumbnail page you want to work with.

  2. Click in a title text field.

  3. Use the options on the Format tab of the Title Properties panel to format the text. See Formatting Text.


Controlling Download Time

When you configure a photo gallery, be considerate of site visitors by minimizing the time it takes for the images to download. Image quality and size both affect download time. You can use the output settings in the Photo Gallery Properties Editor and the file size information on the properties panel to keep track of and adjust download time while maintaining image quality.

To control the image format:

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Images tab.

The output settings for thumbnail images and the photo images are separate.

  1. Click the Thumbnail Image tab or Photo Image tab at the bottom of the Images tab.

On these tabs you set the quality of the thumbnail and photo images for the selected file. As you make changes, NetObjects Fusion displays the approximate download time for the file.
You may choose to save and apply previously defined settings. See Saving Output Settings.

  2. Select the File type.

Most photos will be JPEG format.

  3. Set the Quality and Percent.

These fields both affect image quality. 100% is the highest quality, 0% the lowest quality.

  • Set the Quality field first. Each setting corresponds to a range of percents. Low corresponds to 0-39%, Medium to 40-75%, High to 76-99%, and Maximum to 100%.

  • Use the Percent field to fine-tune the quality setting.

As you adjust the settings, the image in the Preview field changes. If the Preview image is scaled down, you can close the editor and check image quality in Page Design view.

  4. Select a download speed.

The most common download time is 56.6.

  5. To apply these settings to all the photos in the gallery, click Apply to All.

This affects all thumbnail images or all photo images, depending on the selected tab.

  6. Set image rotation. This setting affects only the selected image.

To display images in their original form

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Galleries Property Editor.

  3. Display the Images tab.

  4. Click the Photo Images tab at the bottom of the Images tab. This option is not available for thumbnail images.

  5. Choose Use Original Image from the Output Settings menu.

You may not edit output settings if Original Image Settings are chosen. If you select Original Image on the photos tab, frames that have fixed width cannot be used. You may change the Photo Frame to one that does not have a fixed width (ex. Simple Border) or choose to revert to the previous image setting.

To control the image sizes:

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Select a thumbnail or photo image.

Notice the image size on the properties panel.

If you selected a thumbnail image, you can choose to see the size of the current image or of all thumbnail images.

  7. Resize the image. See Resizing Photos.
    As you resize, the Properties panel shows the effect on the file size.


Saving Output Settings

To save your output settings:

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Images tab.
    The output settings for the thumbnail images and the photo images are separate.

  4. Click the thumbnail Image tab or Photo Image tab at the bottom of the Images tab.

  5. Click on the Output Settings menu and choose Save Setting. Note that a change must be made to the default settings in order to create a new setting.

  6. Type a name for the new output setting.

  7. Edit File Type, Quality and Percent, if necessary.

  8. Click OK.


Adding Alt Tags

Adding Alt tags is an easy way to give text descriptions to your photos and help visitors that do not have images loaded or are browsing using text-based browsers. Also, using Alt tags is a great way to make sure search engines recognize all content on your site. You can add Alt tags on both the Thumbnail Image and Photo Image tabs.

To add Alt tags:

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Galley Properties Editor.

  3. Display the Images tab.

  4. Click the Thumbnail Image tab or Photo Image tab at the bottom of the Images tab.

  5. In the Alt tag field, type in the text you would like your site visitors to see.


Formatting the Thumbnail Page

On the thumbnail page, you determine how site visitors enter the photo gallery. You can set up:

  • A text link that visitors click to see the first photo.

  • Thumbnail size renderings of each photo in the gallery so site visitors have access to individual photos.


Creating a Text Link to a Photo Gallery

You can set up a single text link that site visitors click to enter the photo gallery. This takes visitors to the first photo in the gallery. They then use the gallery navigation buttons to move between pages in the gallery.

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Thumbnail Page tab.

  4. In the Format section of the tab, select Text link.

  5. In the text field, type the text you want to link. The default is the gallery name.
    The text link appears on the thumbnail page in the format set by the SiteStyle for linked text. See Editing the Text Elements of SiteStyles. If you use a text link, you can place additional objects on the thumbnail page.

  6. Click the Photo Page tab to continue formatting, or click Done to close the editor.


Selecting a Thumbnail Template

To give site visitors direct access to each photo in the gallery, you can display a small version of each photo on the thumbnail page. NetObjects Fusion provides a variety of thumbnail templates that you can use to format these images; for example, one template looks like a film strip and another like 35mm slides.

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Thumbnail Page tab.

  4. In the Format section of the tab, select Thumbnails.

  5. Select a template from the drop-down list.

Options associated with the selected template appear. For example, the slide template includes Style and Cell spacing, as well as the option to include and format photo titles.

Information about the template and when to use it appear next to the preview window.

  1. Set the template options.

  2. Specify the number of columns you want to include on the thumbnail page.

For example, if you have 7 photos in the gallery and set Columns to 4, your thumbnail page will have two rows of four pictures each.

  3. Continue formatting or click Done to close the editor.


Formatting the Photo Pages

NetObjects Fusion makes it easy for you to give the photo gallery professional polish. You can choose from a variety of layouts for the photo and its descriptive text and select a frame that complements your SiteStyle. The format options you select apply to all photo pages.


Displaying Photo Pages as Pop-Up Windows

You can display the Photo Pages in browser windows or as pop-up windows.

To display the Photo Pages as pop-ups:

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Photo Page tab.

  4. Click the "Open in a Pop-Up Window" check box.

The Pop-Up Window link fields will become active.

  5. Select a Pop-Up Window target from the Name drop-down list or click Add to create a new Pop-Up Window target. See Setting Pop-up Window Targets.

If you edit an existing Pop-Up Window, all links using that Pop-Up Window will be affected. To create Pop-Up Windows for Photo Pages only, click Add to create new Pop-Up Window targets.


Selecting a Photo Page Layout

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Photo Page tab.

  4. In the Layout section of the tab, select a layout.

In the samples, the boxes with an X represent the photo, the bold line is the title text, and the text block is the caption.

  1. To replace the banner text on each page with the title of the photo, select Display title in browser.

If you select this option, be sure to select a layout that does not have a title.

  2. Continue formatting or click Done to close the editor.


Selecting a Photo Frame Template

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Photo Page tab.

  4. In the Photo Frame section of the tab, select a template from the drop-down list.

Options associated with the selected template appear. Information about the template and when to use it appear next to the preview window.

  1. Set the frame options.

  2. Continue formatting or click Done to close the editor.


Navigating Between Photo Pages

  1. In Page view, display the photo page of the gallery you want to work with.

The first photo in the gallery appears.

  1. Use the Previous and Next buttons on the views bar to move from photo to photo.


Setting Up Navigation for Site Visitors

NetObjects Fusion automatically inserts navigation buttons with smart links on the photo pages. Site visitors can use these buttons to go to the next and previous photo pages and to return to the thumbnail page.

The images used for these buttons—SPNavLeft.gif, SPNavRight.gif, and SPNavUp.gif— are in the NetObjects Fusion 10\NetObjects System folder.

If you do not want to use these buttons, you can delete them and set up your own smart links between pages. See Adding Navigation Buttons to Stacked Pages.


Saving a Photo Gallery Profile

NetObjects Fusion allows you to save the settings associated with your newly created photo gallery so it can be the basis for the next photo gallery created.

When you save a profile, you save the:

  • Photo image output

  • Thumbnail image output

  • Thumbnail page settings (including format, template, style and columns)

  • Photo page settings (including layout, text attributes. title in banner, template and style.

To save a profile:

  1. In Page view, display the thumbnail page or photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Click Save Profile.

Note that the output settings displayed at the time you save your profile will be stored in your profile will be stored in your profile. These output settings will apply to all images created with this profile in the new gallery.

  1. Type a name for the new profile.

If you choose the name of an existing profile, it will replace the existing profile.

  2. Click OK.

Not all settings are saved in your profile. Rotation, records associated with photos (such as path, caption and title) and Thumbnail page text links are not included in a saved profile.


Removing a Photo Gallery

  1. In Page view, display the thumbnail page of the gallery you want to remove.

  2. Select the photo gallery object and delete it.

  3. Go to Site view.

  4. Delete the photo page associated with the gallery.

When you add a new photo gallery, the name of the gallery you just removed still appears in the Insert an existing Photo Gallery list in the Add Photo Gallery dialog.

To delete a photo gallery completely from your site:

  1. Go to Assets view.

  2. Select the Data Objects tab.

  3. Select the photo gallery you want to delete.

  4. Press Delete.

You can delete a photo gallery only if you have first removed it from your site as described above.


Using Flash Photo Galleries

Using the Flash Photo Gallery tool, you can create sophisticated Flash photo albums quickly without any prior Flash knowledge. You assemble your digital images, add titles, captions, and descriptions, and choose from an assortment of high-quality thumbnail and photo frames. Your images will look great on the Web, and your site visitors will be blown away by your sharp looking gallery.

This chapter describes:

  • About the Flash Photo Gallery

  • Adding Flash Photo Galleries

  • Creating a Flash Photo Gallery

  • Adding and Editing Photo Titles and Descriptions

  • Setting Image Properties

  • Configuring the Gallery Layout


About the Flash Photo Gallery

The Flash Photo Gallery is a great way to place photos on your website. Photos can be sorted into separate albums, and you can add captions to each image to describe the image. Using the Flash Photo gallery, you will be able to create astonishing slide shows, with background music and special effects, fully customizable in order to fit your page design.

The photo gallery is designed to work best with digital photos. While you can use scanned photos, you may see a reduction in quality when viewed on a Web page compared to higher-quality digital photos. The Flash Photo Gallery is comprised of detailed photos and thumbnails.

  • The thumbnail shows a small image of each photo from your photo gallery. Site visitors can view the larger photo by clicking the thumbnail image.

  • The detailed image is a larger version of the selected photo from the thumbnails. You can add and format a title and description for the photo.


Adding a Flash Photo Gallery

Using the Flash Photo Gallery component, you can create a stunning flash photo gallery just in a few minutes.

The images you choose to display in your Photo Gallery are organized in Albums. An album is a set of photos displayed in a variety of layout options. An initial album with the default layout is created when the Flash Photo Gallery is dropped on the page. For every photo, the user can set options related to the format of the published files and set titles and descriptions for the pictures.

You add the photo gallery object to the page where you want to display the photos. The Flash photo gallery will display the thumbnail images of the photos in the gallery and the selected photo will be displayed in a larger size.


Creating a Flash Photo Gallery

  1. In Page view, display the page where you want to place the Flash Photo Gallery object.

  2. Choose the Flash Photo Gallery tool from the Advanced toolbox and draw a box on the page layout where you want the Flash Photo Gallery to appear. The Photos dialog appears.

  3. Using the Folders window at the top left of the Photo dialog, navigate to the folder containing the photos you want to add to the Flash gallery.

Previews of the images are displayed on the top right part of the dialog.

To select the photos for the Flash gallery:

  • Click a single photo to select it.

  • Press Shift+Click or Ctrl+Click to select multiple photos.

  • Press Ctrl+A to select all photos in the folder.

  4. Click the Add to Photo Gallery button.

The photos you select are listed in the Albums window pane.

  5. Select the photos in the Album pane to preview the image.

  6. In the Name field, Type a name for the Photo Album.

In the section next to the Preview Image window, you can add the image title and tooltips that are displayed when hovering over the image with your mouse; and you can determine the quality settings for the images that are displayed in the Flash gallery.

The Flash Photo Gallery component enables you to have multiple albums in just one photo gallery. Thus, it is easier for the visitor to browse different albums without ever leaving the page. To create a new album, click the Add a new album button.


Adding and Editing Photo Titles and Descriptions

A title and a description help site visitors enjoy viewing your photos with a little added information about them. You can add this text on the Photos tab of the Flash Photo Gallery Properties Editor.

  1. Open the Flash Photo Gallery Properties Editor.

  2. Display the Photos tab.

  3. Select a photo in the Albums pane list.

  4. Click in the Title text field and type the title for the photo.

Try to make your title descriptive.

  1. Click in the Description field and input some text that describes the photo. The description will appear when the image is displayed in detail view.

It is not necessary to add a description or a tooltip.

  2. Click another photo in the Albums pane list to continue adding titles and descriptions, or click OK to close the editor.

To edit existing text, click in the text field and make changes.


Setting Image Properties

When you configure your Flash Photo Gallery be considerate of site visitors by minimizing the amount of time it takes for the images to become visible on the Web page. You can set the image or the album properties in the right side of the pane by selecting the Album or Image on the Albums pane list and modifying the default image settings.

  1. In Page view, select the Flash Photo Gallery.

  2. Click the Configure button on the Photo Gallery Properties panel.

The Flash Photo Gallery Properties Editor appears.

  1. Display the Photos tab.

The output settings for thumbnail images and the photo images are available via the drop-down list above the Output Settings option.

  2. Select an album or an image from the Albums pane list.

  3. Select Thumbnail or Detail from the drop-down list.

  4. Set the quality of the thumbnail and photo images for the selected file.


Setting the Quality

  1. Select the File type.

Most photos will be JPEG format.

  1. Set the Quality and Percent.

These fields both affect image quality: 100% is the highest quality; 0% the lowest quality.

  • Set the Quality field first. Each setting corresponds to a range of percents. Low corresponds to 0-39%, Medium to 40-75%, High to 76-99%, and Maximum to 100%.

  • Use the Percent field to fine-tune the quality setting.

  2. To apply these settings to all the photos in the Gallery, click Apply to all albums.

This affects all thumbnail images or the detail images, depending on the selected option.

The output settings of the selected image or album are applied to all photos in the current album or in all the albums.

  3. Click on the Output Settings drop-down list and choose Save Setting.

Note that a change must be made to the default settings in order to create a new setting.

  4. Type a name for the new output setting.

  5. Edit File Type, Quality and Percent, if necessary.

  6. Click OK.


How to Remove Photos

You can remove photos from the gallery on the Photos tab of the Flash Photo Gallery Properties Editor.

To delete an image:

  1. Select the image you want to delete.

  2. Click the Delete button.


Creating a New Album

  1. Open the Flash Photo Gallery Editor.

  2. On the Photos tab, click on the Add new album button in the Albums pane.

  3. In the Name field, type a name for the new album.

  4. Add pictures to your new album following the steps from Creating A Flash PhotoGallery.


Moving Photos on the Photos Tab

Photos are listed in the Albums pane in the order in which you add them to the Flash gallery. This is also the order in which they appear on the photo pages. If you select several files from a folder, they appear in alphabetical order. To change the order in which your photos will display, you will have to rearrange them to suit your needs.

To rearrange the order:

  1. Open the Photo Gallery Properties Editor.

  2. Display the Photos tab.

  3. Select a photo in the Albums pane list.

  4. Click the Move Up or Move Down buttons to achieve the correct order of your photos.


Configuring the Layout

NetObjects Fusion makes it easy for you to give your photo gallery a professionally polished look.

For each album that you create, you have a predefined set of layouts. Each layout can be fully customized in order to match your site’s design. The layouts may be selected from the left pane. In the right pane, you can select and move the images around via drag-and-drop to change your gallery’s appearance.

After you have selected the photos, created your title and descriptions, and adjusted the quality settings to your liking, click the Next button. The Photo Gallery editor opens the Design tab where you can manipulate the look and feel of your gallery.

  1. From the Albums drop-down list, select the album for which you want to change the page layout.

  2. From the "Apply changes to.." drop-down list select:

  • Apply layout to all albums, if you want the current layout to be applied for all the albums. If this option is enabled, a layout change on any one album will affect all others.

  • Apply settings to all albums, if you want the current style settings to be preserved for all the albums.

  • Apply changes to all albums, if you want the changes to be applied for all the albums

  1. Select one of the predefined layouts listed in the right pane. When loading the layout you will be notified that your current layout will be replaced.

The layout is displayed in the Layout Editor section and will be applied to all the pages of the album.

Selecting another layout from the list will overwrite any unsaved changes in Layout Editor Section.

  2. In the Layout Editor section, you can change the layout elements’ appearance.

The Layout editor contains several types of selectable objects: Thumbnails, the Detail photo, Navigation controls for scrolling through your galleries, a Slide show feature with navigation controls for your photos, and an MP3/Sound control for adding audio to your album. These objects can be moved by drag-and-drop. The resizable items have red triangle handles when the item is selected in the preview pane.

When selected, each object from a predefined layout displays its style, size, and position settings on the Selected Object pane. You can change these settings and apply them to all albums, or to the current album only.

To delete any object from the Flash Photo Gallery:

  1. In the Layout Editor, right-click on the object.

  2. Select Delete from the context menu.

Apply change


Customizing the Thumbnail Images Appearance

The thumbnail image is a small graphic image that is used as a preview of, and a link to, a larger version of the image. When the viewer clicks on the thumbnail image, a larger representation of the image is displayed.

You can also replace the Thumbnail images with Thumbnail titles.

To use Thumbnail titles:

  1. Select the key element of the Thumbnail images.

  2. Right-click on the key-element.

  3. Click on "+title" option from the context menu.

  4. Right-click on the Thumbnail image from the key-element.

  5. Click on the Delete command from the context menu.

  6. Double-click one of the red handles of the key element.

  7. The key element thumbnail modifications will be applied to all containers.

In the predefined Layout pane, notice the different styles that are available for displaying your Flash Photo Gallery. When selected, the Preview pane displays a sample of this layout as to how the gallery will look on the page.

Notice how the thumbnails are grouped in a container and display an illuminated green key element thumbnail.

The key element thumbnail is the master control used to modify all image and frame sizes of all thumbnails that are part of the selected layout. If a selected layout contains multiple thumbnail containers, the key element thumbnail modifications will be applied to all containers. Each container holds multiple thumbnails and is identified by the word ‘thumbnail’ in the top left corner of he container.

To customize the predefined layout of thumbnails in the container, right-click in the container area and select Transform to custom type.. from the context menu.

Select the thumbnails that you would like to reposition, and using the drag-and-drop method, create the thumbnail layout you desire.

When modifying the key element thumbnail notice two red handles that appear in the corners when the thumbnail is selected in the preview area. Adjusting the thumbnail image with the handles will apply the following effects.

  • Selecting the thumbnail text area will allow you to resize the text box associated with the thumbnail

  • Selecting the border area allows you to adjust the size of the thumbnail frame

  • Selecting the thumbnail image allows you to resize the thumbnail images within the frame

You can also resize and modify the size and position settings for the thumbnail items by selecting the item and modifying the predefined values, in the Selected Object pane.

Selecting a thumbnail element will update the Selected Object pane.


Modifying the Thumbnail Properties

After arranging the thumbnail images using the preview area of the layout tab, you will now be ready to adjust the properties associated with the thumbnails. These properties include the decorative frame to be used, the effects for the thumbnail images, color and border adjustments for the frame, and font formatting changes for titles, to name a few.

Styling the thumbnail images consists of three main options:

  • Item. The object container for the thumbnail on the page.

  • Image. The area in and around the image inside the thumbnail frame.

  • Title. The title of the thumbnail.

With the thumbnail highlighted in the preview area, select the Style tab.

Notice the styles in the left pane.

Your Flash Photo Gallery will use one of the pre-defined layouts by default. After you have modified the frame, image and title properties of your gallery thumbnails, click the Save Style.. button to add this new style to your list. You can now use this style in all the albums you create.

To set the Item options, with the thumbnail tab selected, click on the Item tab.

  1. Select a frame from the drop-down list. Options associated with the selected frame appear.

  2. Select an animation effect to be applied on the frame around the thumbnail object when the gallery is loaded in the browser.

  3. Click on the colored button to select a color for the frame from the Color Picker dialog.

  4. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

The options available on the image tab allow you to define the effects and border region around the image that is displayed in the selected frame.

To set the Image options, with the thumbnail tab selected, click on the Image tab.

On the Effects tab you can assign effects when your images are preloading in the gallery, transitional effects to bring added attention to your thumbnail images, and actions that occur when your site visitors mouse over the photo.

To apply effects to your thumbnail photo:

  1. Select one of the five available progress bars to be displayed when the thumbnail images are preloaded.

  2. Select one of the available transitions or filter effects to apply when the thumbnail images are loaded. For the selected effect, you can change its parameters in the Settings section that appears below the drop-down list.

  3. Select one of the available transitions or filter effects to apply when the thumbnail image is rolled over. The effects parameters can be changed in the Settings section that appears below the drop-down list.

  4. Select one of the available transitions or filter effects to apply when the thumbnail image loses focus. The effects parameters can be changed in the Settings section that appears below the drop-down list.

  5. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

On the Frame tab you can select how the border region between the frame and the image will be displayed and apply special effects to this area.

To apply a border region frame around your detail photo:

  1. Select a frame from the drop-down list. Options associated with the selected frame appear.

  2. Select an animation effect to be applied on the border region between the frame and detail image.

  3. Click on the colored button to select a color for the photo frame from the Color Picker dialog.

  4. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

The options available on the Title tab allow you to define the font type, color, and style of the text used for your thumbnail titles.

To set the Title options, with the thumbnail tab selected, click on the Title tab.

Select the font type, size, color and style from the options available.


Customizing the Photo Appearance

The detail photo is the full size photo display of the image that appears in the thumbnail. In the Layout Editor section, select the large image. Two red triangle handles appear in the corners of the selected object offering you the ability to extend the dimensions of the detail image elements:

  • After you select the description box, you can resize the text box by dragging the red handles.

  • After you select the title box, you can drag one of the red handles to extend the photo title box.

  • After you select the photo, you can resize it by dragging the red handles.

You can also resize and modify the size and position settings for the photo’s items by selecting the item and modifying the predefined values, in the Selected Object pane.

Selecting a Photo element will update the Selected Object pane and the Style section.

When you select a Detail Photo element, the properties section from the Style tab will display the Photo tab.

On the Photo tab, you can set the properties for the image, title, and description.


Modifying the Photo Properties

After arranging the Detail image using the preview area of the layout tab, you will now be ready to adjust the properties associated with the photo. These properties include the effects for the photo, color and border adjustments for the frame, and font formatting changes for titles, and descriptions.

Styling the Photo consists of three main options:

  • Image. The area in and around the image inside the photo frame.

  • Title. The title of the photo.

  • Description. the description of the photo.

With the photo highlighted in the preview area, select the Style tab.

Notice the styles in the left pane. Your Flash Photo Gallery will use one of the pre-defined layouts by default. After you have modified the image, title, and descriptions properties of your gallery photo, click the Save Style.. button to add this new style to your list. You can now use this style in all the albums you create.

The options available on the image tab allow you to define the effects and border region around the image that is displayed in the selected frame.

To set the Image options, with the Photo tab selected, click on the Image tab.

On the Effects tab you can assign effects when your Detail photo is preloading in the gallery, transitional effects to bring added attention to your image, and actions that occur when your site visitors mouse over the photo.

To apply effects to your detail photo:

  1. Select one of the five available progress bars to be displayed when the detail image is preloaded.

  2. Select one of the available transitions or filter effects to apply when the detail image is loaded. For the selected effect, you can change its parameters in the Settings section that appears below the drop-down list.

  3. Select one of the available transitions or filter effects to apply when the thumbnail image is rolled over. The effects parameters can be changed in the Settings section that appears below the drop-down list.

  4. Select one of the available transitions or filter effects to apply when the detail image loses focus. The effects parameters can be changed in the Settings section that appears below the drop-down list.

  5. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

On the Frame tab you can select how the border region between the frame and the image will be displayed and apply special effects to this area similar to the selections made on the thumbnail frame of the Items tab.

To apply a border region frame around your thumbnail photo:

  1. Select a frame from the drop-down list. Options associated with the selected frame appear.

  2. Select an animation effect to be applied on the border region between the frame and thumbnail image.

  3. Click on the colored button to select a color for the frame from the Color Picker dialog.

  4. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

The options available on the Title tab and Description tab allow you to define the font type, color, and style of the text used for your detail photo title and description.

To set the Title options, with the Photo tab selected, click on the Title tab:

Select the font type, size, color, and style from the options available.

To set the Description options, with the Photo tab selected, click on the Description tab.

Select the font type, size, color and style from the options available.


Customizing the Navigation System

The navigation system for your Flash Photo Gallery displays a variety of effects that will leave your site visitors in awe. Select from a wide variety of styled options that are available for your site visitors to enjoy scrolling through your photos and albums.

In the Layout Editor section, select the Navigation Object. Two red triangle handles appear in the corners of the selected object offering you the ability to extend the dimensions of the menu.

Selecting a Menu, a Slide Show feature, or a Navigation element will update the Selected Object pane and the Style section. When you select a Menu element on the Preview pane of the Layout tab, clicking the Style tab will display the Navigation tab with the specific elements properties displayed for editing.

On the Navigation tab, you can set the properties for the navigation bar menu, the Next Page, and Previous Page, or photo buttons for scrolling through the photos and albums, and special effects that are applied to these elements when they are displayed on the Flash Photo Gallery page. You can also set the Slide Show features, and customize the appearance of the photos navigation buttons. Your site visitors can do a right-click anywhere on the Detail image and select the " >> " command from the context menu to start the slide show. The Slide Show begins from the image that follows the currently selected one and pass through all the images from the current album, and if necessary, changing the page also. The slide show stops when clicking the Pause button, or by right-clicking on the Detail image and select the "||" command.

The menu tab allows you to display a navigation system that your site visitors will use to quickly navigate to the photo album they wish to view. When selected the photo album will be loaded in the same page as the currently displayed album.

On the Menu section, choose from one of the available navigation bars:

  1. Click on the Menu tab.

  2. Select a navigation bar from the drop-down list

  3. Select a Menu Icon that will be displayed as the menu.

On roll-over the Menu icon will become a fly-out menu.

  1. To select a different color for the menu icon, click the colored button on the Icon field and choose the color you prefer.

  2. To select a different color for the fly-out menu, click the colored button on the Fly-outs field and choose the color you prefer.

  3. To select a different color for the text, click the colored button on the Text field and choose the color you prefer for the Navigation bar.

  4. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

The Previous and Next tabs allow you to display navigational effects for that added excitement your site visitors will enjoy while they scroll through the photos in your album.

To create these Navigational page tools, select the Previous or Next Page tabs.

  1. Select the navigation button type from the drop-down list.

  2. Select the colors of the image and background that will be used for your button.

  3. Choose one intro effect from the list of effects available from the drop-down list.

Input a tooltip for the navigation button, that will appear when the site visitor will roll-over the button.

The Previous Photo and Next Photo tabs allow you to scroll through the photos in your album page and to display the next image after the currently selected as the Detail Photo.

To create these Navigational Photo tools, select the Previous Photo or Next Photo tabs.

  1. Select the navigation button type, from the drop-down list.

If you select the Image button type, you need to select what image you want to use. The image is recommended to be .gif format. To select the image for the photo navigation tools, click on the Browse button.

  5. Select the colors of the image and background that will be used for your button.

  6. Choose one intro effect from the list of effects available from the drop-down list.

  7. Input a tooltip for the navigation button, that will appear when the site visitor will roll-over the button.


Setting the MP3 Player options

The Flash Photo Gallery comes equipped with the ability to integrate MP3 files to wow your site visitors with exiting introduction and narration using one of today’s fascinating technologies.

In the Layout Editor section, select the MP3 player object. Two red triangle handles appear in the corners of the selected object offering you the ability to extend the dimensions of the player.

Selecting the MP3 player element will update the Selected Object pane and the Style section. When you select the MP3 element on the preview pane of the Layout tab, clicking the Style tab will display the Album tab with the specific elements properties for Sound displayed for editing.

Setting the Sound options for MP3 files:

  • Locate the MP3 file using the Browse button.

  • Select a Style for the skin that will be displayed on the MP3 player.

  • Modify the skin color using the Color option.

  • Enable the Loop option, if you want your selected sound file to be played continuously.

  • To enable the file to play automatically when the album is loaded, select the the Autostart option.

  • If you want your site visitors to have the ability to move the MP3 player around on the page, enable the Draggable checkbox.

  • Set the Volume the file will be played at when initially loaded in the Browser.

  • The opacity option allows additional control over the look and feel of the player on the Web page.

  • If you want your site visitor to be able to move the MP3 player, enable the Draggable checkbox.

If you do not want a MP3 player to be displayed on your Flash Photo Gallery page, you can input 0 in the opacity field and the MP3 Player will become transparent.


Setting the Album Properties

The Album tab allows you to control the Flash Photo Gallery as a whole. Modify the size of your gallery, apply effects to the entire gallery, and set the frame type to encompass your photo albums so their appearance matches your site design.

To see the page size, click on the General tab.

To set the page Width and Height:

  1. In Page View, select the Flash Photo Gallery object.

  2. Select the sizing handles of the object and drag to your desired height and width.

The size options in the General tab will be updated with the new height and width.

Setting Slide Show Features

The Slide Show permits you to set a time delay, that depends on the Delay parameter, which can be set on the General section of the Album tab. We also have the option to auto-play the slide show, by enabling the Auto-play checkbox.

When setting effect for the Album you can:

  1. Select one of the available transitions or filter effects to apply when the page is loaded. For the selected effect, you can change its parameters in the section that appears below the drop-down list.

  2. Select one of the available transitions or filter effects to apply when the page is unloaded. The effects parameters can be changed in the section that appears below the drop-down list.

  3. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

To set the Frame border for the Album:

  1. Click on the Frame tab.

  2. Select one border from the drop-down list. Options associated with the selected border appear.

  3. Select an animation effect to be applied on the border.

  4. Click on the Frame colored button to select a color for the frame from the Color Picker dialog.

  5. Click on the Save Style button to apply the settings and to save the style in the Predefined Styles pane.

To set the Sound options see Setting the MP3 Player options.


Saving Your Settings

To save the changes you made so they can be used in other albums and galleries, on the Style section:

  1. Click the Save Style button.

  2. Enter a name for the new style in the dialog that appears.

  3. The new name will be displayed on the Saved Styles list.

To delete the style, press the Delete button that appears when you roll-over the name of the style.

While working in the Flash Photo Gallery you can save your modifications at any time using the Save button at the top of the dialog. Clicking OK when you have completed the gallery setup will also save your modifications.


Drawing Shapes and Lines

Shapes and lines are essential building blocks for your page designs. You can draw rectangles, rounded rectangles, ellipses, and polygons, as well as HTML horizontal rules, lines, or SiteStyle lines, and set shape and line properties.

Browse this section for information about:

  • Drawing shapes and setting properties

  • Drawing horizontal rules

  • Adding SiteStyle lines

  • Drawing and editing lines and arrows


Drawing Shapes

To draw an ellipse, rectangle, rounded rectangle, or polygon:

  1. In Page view, select the Draw tool on the Standard toolbox and choose the shape you want to add from the flyout.

  2. Draw the shape on the page.

  • To draw a rectangle, ellipse, or rounded rectangle, click and draw the shape.

  • To draw a polygon, click to set the start point, click to set all-but-the-last points, and double-click the last point.

The Properties panel for the shape you created appears.

  3. Type an alt tag in the AltTag field.

See Adding and Modifying Alt Tags.

  4. In the Line width box, set the shape outline thickness.

To make the border invisible, set it to zero.

  5. In the Color section of the Properties panel, click the Fill Color button. In the Color Picker, select the color you want to assign to the shape fill and click OK.

  6. Click the Line Color button. In the Color Picker, select the color you want to assign to the shape border and click OK.

  7. To adjust the shape, drag its handles.

  • To change the shape proportionally, drag a corner handle while holding down Ctrl.

  • To vary the curve of a rounded rectangle, select it, place the pointer over the inside corner handle until it changes to a four-headed arrow, then drag toward the inside or outside of the shape.

  • To edit the lines of a polygon, select it, place the pointer over any handle until you see the four-headed arrow, then drag the handle to adjust the shape.

  8. To add text to a shape, see Adding Text to a Shape or Picture .

When you publish a page with shapes, NetObjects Fusion generates each shape as a .gif file. If the page contains more than one shape of the same type, NetObjects Fusion adds a number to the shape’s file name. For example, the first rounded rectangle you draw is named a_Rounded_Rectangle.gif, the second one is named a_Rounded_Rectangle1.gif, the third a_Rounded_Rectangle2.gif, and so on.


Adding HTML Horizontal Rules

HTML rules are always horizontal. They can display with or without beveled edges in a browser. When you embed an HTML rule in a text box, you can set its length as a percentage of the text box width.

To draw an HTML horizontal rule:

  1. In Page view, select the Line tool on the Standard toolbox and choose the HR Rule tool from the flyout.

  2. Draw the horizontal rule on the page.

The HR Rule Properties panel appears.

  1. In the Thickness box, set the thickness of the rule.

The standard width is 2 pixels.

  2. Select Shaded to create a bevel effect.

The standard HR rule is shaded.

  3. If the HR rule is embedded in a text box, you can specify its length as a percentage of the text box.


Adding a SiteStyle Line

You can use SiteStyle lines to divide a page into sections. A SiteStyle line is part of the current SiteStyle. See Using SiteStyles.

  1. In Page view, select the Line tool on the Standard toolbox and choose the SiteStyle Line tool from the flyout.

  2. Click where you want to position the left end of the line.

The SiteStyle Line Properties panel appears.

  1. To select a different image for the line, click Custom Image and choose an image in the Picture File Open dialog.

  2. To use a line from a different SiteStyle, click Other and select a SiteStyle from the drop-down list.

If you change SiteStyles, NetObjects Fusion updates the line. A SiteStyle line is a .gif file.

You can change the size of the SiteStyle by dragging a handle. However, if you assign a new SiteStyle, the line returns to its default size.


Drawing Lines and Arrows

  1. In Page view, select the Line tool from the Draw tool flyout on the Standard toolbox.

  2. Drag from one point to another to set the position, length, and orientation of the line.

The point where you start dragging is the head of the line. The point where you finish is the tail of the line, regardless of the direction you drag. To constrain the line to vertical or horizontal, hold down the Shift key while dragging.

The Line Properties panel appears.

  1. Type an alt tag in the AltTag field.

See Adding and Modifying Alt Tags.

  2. In the Line width box, set the width of the line in pixels.

  3. In the Color section, click the Color button for the line, head, and tail, choose a color in the Color Picker, and click OK. To set all three items to the line color, select All parts use one color.

  4. In the Style section, select styles for the head and tail from the drop-down lists.

If you want the head and tail to share the same style, select the style for the head, then select Head/Tail same style.

Select Outline to assign the line color to the head and tail outlines, regardless of their fill colors.

When you publish a page with drawn lines, NetObjects Fusion generates each one as a .gif file. On your page, each line occupies the rectangular area defined by the beginning and ending points of the line.

If the page contains more than one shape of the same type, NetObjects Fusion adds a number to the shape’s file name. For example, the first line you draw is named a_ArrowLine.gif, the second one is named a_ArrowLine1.gif, the third a_ArrowLine2.gif, and so on.


Editing Lines and Arrows

To change the length and width of a line, or to change the shape and size of the line’s head and tail:

  1. In Page view, select the line.

Selection handles appear.

Place the pointer over a selection handle. The pointer changes to a crosshair.

  • To make the line longer or shorter, or to change its direction, drag an end handle.

  • To make the line thicker or thinner, drag a side handle.

  • To change the shape of the head or tail, drag one of its handles.

  1. In the Style section of the Line Properties panel, select a style from the Head or Tail drop-down lists to change the head or tail style.


Creating Catalogs

Using the E-commerce Catalog tool, you can easily create an online store and offer site visitors an enjoyable shopping experience. You add products, images and descriptions, and choose from an assortment of display options. Your store looks great on the Web and site visitors can easily find what they are looking for.

Add a store engine to process online transactions and further manage products. Choose from several providers that offer cost-effective solutions as a means to doing business on the web.

Your store engine may include components that must be published for your catalog to perform correctly on the web. See Publishing Components.

Browse through this section to find out about:

  • Adding Catalogs.

  • Working with products.

  • Adding product attributes, descriptions and images.

  • Formatting List pages.

  • Formatting Detail pages.

  • Configuring store engines.

  • Controlling download time.

  • Saving Profiles.

About Catalogs

Each catalog you add to your site includes two types of pages—a List page and Detail pages.

The List page shows a short summary of each product in the catalog displayed in a format that you select. You can choose to add a thumbnail image of your products so that site visitors can click to see the full Detail page.

Each Detail page can display a large image of the product. You can also display product items such as name, price and description.

When you add a catalog object to the List page, NetObjects Fusion automatically adds the Details page for you. On the Site Navigation panel, the List page is displayed as a single icon that contains multiple pages.


Adding a Catalog

You can create a new catalog or add an existing catalog to your site. You can insert an existing catalog or add catalogs that you removed from the site. See Removing a Catalog.

You add the catalog object to the page where you want to display the list of products. You can add a new page or use an existing page.


Creating a New Catalog

  1. In Page view, display the page where you want to place the catalog object. This is the page where the product list appears.

  2. Choose the Catalog tool from the Advanced toolbar and click in the upper left corner of the Layout area.

Start in the upper left corner to allow as much space as possible for the thumbnail images.

The Add E-Commerce Catalog dialog appears.

Current catalogs and catalogs that were added to the site and then removed are listed in the Insert an existing catalog section at the bottom of the dialog. If no other catalogs were created, you do not see this list.

  3. Type a name for the new catalog.

NetObjects Fusion uses the name you enter as the name of the Detail page. This name appears in the banner at the top of each product Detail page. You can rename the page in Site view just as you rename any other page, or you can display the product title in the banner or edit the text on the Banner Properties panel. See Renaming Pages, Selecting a Photo Page Layout or Changing the Banner Text.

You cannot use the name of an existing catalog.

  4. Choose a Store. If you intend to offer online credit card processing, you must have a store. Click the Add Store option from the drop-down list to select a store engine. See Configuring the Store.

NetObjects Fusion allows you to add a catalog without a store. You can save your settings and add a store engine at any time.

  5. Choose a Profile.

NetObjects Fusion allows you to reuse settings each time you add a new catalog. You may choose a profile containing all information associated with an existing catalog, or choose Default to create a new profile. See Saving a Catalog Profile.

Current profiles and profiles of catalogs that were added to the site and then removed are included in the Create a new catalog section at the top of the dialog. If no other profiles were created, you can only choose Default.

  6. Click OK.


Inserting an Existing Catalog

  1. Display the designated List page in Page view.

  2. Choose the catalog tool from the Advanced toolbar and click in the upper left corner of the Layout area. Start in the upper left corner to allow as much space as possible for the thumbnail images.

The Add catalog dialog appears. Available catalogs are listed in the Insert an existing catalog section at the bottom of the dialog.

  1. Select Insert an existing catalog.

  2. Select the catalog you want to insert and click OK.


Adding Products

You add products on the Products tab of the E-Commerce Catalog Properties Editor.

  1. Open the catalog Properties Editor.

  2. Enter in product information by navigating to the sub-tabs located on the Products tab.

Attributes. Add detailed information that will identify your product, such as a name or part number. To assign specific characteristics such as color and size. See Adding Options.

The attributes field will depend on the store being used. Refer to your Store’s user manual for further information regarding these options.

Description. Provide your customers with a brief and extended product description. The descriptions can be shown on the List page and Detail pages of your catalog. See Formatting the List Page and Formatting the Detail Page.

Also, you can add product comments and keywords related to a specific product that is viewable only in the E-Commerce Catalog Properties Editor.

Detail Image. Upload an image associated with the selected product. Use the options on the Detail Image tab to configure the output settings. For information about image output settings. See Controlling Download Time.

Thumbnail Image. Display the product detail image as a thumbnail image that links to the Detail page. See Controlling Download Times.

Related Products. Related products can be used to promote similar products in your catalog. You can display products that customers may be unaware of on the Detail page of a related product.

You can also import a product list. See Importing Products.


Adding Options

You can create product attributes without having to add separate product records. For example, adding options allows you to include variations, such as size or color, to one item without having to create additional products.

  1. In Page view, display the List page or Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

  3. Display the Products tab.

  4. In the Product Name column, select a product you want to add options to.

  5. Click on Add Option.

The Add Group Dialog will appear:

  • Add a Group name and label.

  • Click Add Another to add more than one group or click OK.

  • The Edit Product Options dialog will appear.

  • Click New Option to add a value, such as size or color. Click Add Another to add additional values or click OK.

  1. Click OK. You will see the newly created group in the Options field.

To edit a group, highlight the group in the Options field and click Edit Option.


Arranging Products

Products are listed in the Name column on the List Page tab of the E-Commerce Properties Editor in the order in which you add them to the catalog. This is also the order in which they appear on the Detail pages. This may not be the order in which you want to display the products, so you must rearrange them.

You can rearrange the products on the List Page tab of the E-Commerce Catalog Properties Editor.

Moving Products on the List Page Tab

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

  3. Display the List Page tab.

  4. In the Name column:

  • Select a product and drag it into a new position in the list. An indicator displays as you move the photo.

  • Select a product and click Move Up or Move Down to shift it into the proper position.

Sorting Products:

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

  3. Display the List Page tab.

  4. Click Sort.

  5. Select the product item and choose Ascending or Descending.

  6. Click OK.

Resizing Product Images:

  1. In Page view, display the List page or the Detail page of the catalog you want to work with.

  2. Click an image. The properties panel appears.

  3. Resize the image.

You can change the image size by dragging the slider on the properties panel, by entering the width directly in the properties panel, or by dragging the image.

  • To change the image size by dragging, select the image and drag the small white box until the image is the size you want. When you release the mouse button, the image is resized. If you are on the List page, all images are resized.

  • To change the image size by dragging the slider on the properties panel:

Drag the slider on the properties panel to the right to increase the image size, or to the left to decrease the size. A dotted line rectangle increases or decreases proportionally as you drag and the size of the image is displayed in a ScreenTip.

When the image is the size you want, release the mouse button.

  • To change the image size by entering the width directly in the Catalog Properties panel, type a number in the Width field.

  1. Apply the change.

  • If you are on the List page, click Apply to all to resize all thumbnail images.

  • If you are on a Detail page, click Apply to resize only the current photo or Apply to all to resize all photos in the catalog.


Removing Products

You can remove products from the catalog on the Products tab of the E-Commerce catalog properties editor.

  1. In Page view, display the List page or Detail page of the catalog you want to work with.

  2. Open the E-commerce catalog properties Editor.

  3. Display the Products tab.

  4. In the Product Name column, select a product and click Remove.


Duplicating Products

You can easily duplicate products that share similar characteristics.

  1. In Page view, display the List page or Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

  3. Display the Products tab.

  4. In the Product Name column, select a product and click Duplicate.

  5. You will see the duplicate product listed with (copy) in the name.


Filtering Products

You can filter your product list by finding products with similar attributes.

  1. In Page view, display the List page or Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

  3. Display the Products tab.

  4. Click on Filter. You will see the Product Filter dialog appear.

  5. Choose the attribute you want your product list to search for.

  6. Choose a parameter to narrow your search and type in a value.

For example, to search for mountain bikes, you could set your filter up as:

  • Attribute = Name

  • Parameter = contains

  • Value = mountain

  1. To further narrow your search, click the check box and add additional parameters.

  2. Click OK

To remove the filter, click Show All to display all products.


Importing Products

If you have an existing product list or prefer to work with a .txt, .csv, or .xml file, you can import your products into the E-Commerce Properties Editor.

When setting up your .txt, .csv, or .xml file, remember:

  • The first row must contain the row headers. The row headers will be used to match the row to the appropriate field in the E-Commerce Properties Editor.

  • The image path is relative to the folder which contains it.

  • Up to 16 fields can be imported and matched to the fields listed in the E-Commerce Properties Editor.

Sample product files are located in the \NetObjects Fusion 10\Tutorial folder.

To import products into the E-Commerce Catalog Properties editor:

  1. In Page view, display the List page or Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

Display the Products tab.

  3. Click on Import.

The Open file dialog appears.

  4. Browse to the file you want to import. You can import:

  • Tab Delimited Files (.txt). These are plain text files using tabs to separate each text string in a row.

  • Comma Delimited Files (.csv).These are plain text files using commas to separate each text string in a row.

  • Extensible Markup Language Files (.xml). These are plain text files using tags to separate each text string in a row.

  • Excel Files (.xls). These are Microsoft Excel spreadsheet files.

  5. Click OK.


Formatting the List Page

On the List page, you determine how your site visitors will view your products.

Browse through this section to find out about:

Selecting a Layout for your Catalog

Displaying Products

Displaying Purchase Options


Selecting a Layout for Your Catalog

You can select a layout that showcases your products in an attractive way. Text can be placed above, below or beside images in columns and rows.

  1. In Page view, display the List page or a Detail page of the product you want to work with.

  2. Open the Catalog Properties Editor.

  3. Display the List Page tab.

  4. Click the Layout tab under the product list.

  5. Select a layout.

  6. Select the number of columns to display.

You can place up to 3 columns on a page.

  1. Select "Thumbnail Image links to Detail Page" to automatically open the product detail page when a user clicks on the thumbnail image.

  2. Continue formatting or click Done to close the editor.


Displaying Products

You choose which product items you want displayed on the List page. Labels can be placed by each item so that site visitors are aware of what each field represents.

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

  3. Display the List Page tab.

  4. Click the Display Items tab under the products list.

  5. In the Product Item field, highlight an item you would like to display with the product listing. If you want to display all items, click "Add All".

  6. Highlight the item in the Product Items to Display field and click Format to:

  • Link the item label to the Detail page and format the text.

  • Edit the item label and format the text.

  • Remove the item label.

  1. To change the order in which the items are displayed, highlight the item in the Product Items to Display field, then click Move Up or Move Down.

To remove an item from the Product Items to Display field, highlight the item and click Remove. To remove all items, click Remove All.

  2. Continue formatting or click Done to close the editor.


Displaying Purchase Options

You can set up links that site visitors can use to add products to their shopping carts or begin the checkout process.

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Open the E-Commerce Catalog Properties Editor.

  3. Display the List Page tab,

  4. Click the Purchase Option tab under the products list.

  5. Select "Display Buy" to provide site visitors a link that will take them to your store and begin the purchase process.

To display the link as text, choose Text Link and type the text you want to link.

To display the link as an image, choose Button Image and browse to navigate to the folder containing the image you want to add.

  1. Select "Display Add to Cart" to provide site visitors a link that will allow them to add products to their baskets and continue shopping.

To display the link as text, choose Text Link and type the text you want to link.

To display the link as an image, choose Button Image and browse to navigate to the folder containing the image you want to add.

  2. Continue formatting or click Done to close the editor.

This tab will only be available if you have configured a store engine. If you are using the catalog without a store engine, you will not have the option to add purchase items.


Formatting the Detail Page

NetObjects Fusion makes it easy for you to present the catalog in a professional and pleasant way. You can choose a layout for the product image, items and descriptive text and add images that link to your store . The format options you select apply to all Detail pages.

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Open the E-commerce Catalog Properties Editor.

  3. Display the Detail Page tab.

  4. In the Detail Page Layout section of the tab, select a layout.

In the samples, the boxes with and X represent the product and the lines are the text.

  1. In the Detail Page Display Items section, highlight the product items you would like displayed on the Detail page and click Add.

If you want to view all product items, click Add All.

  2. Highlight the item in the Product Items to Display field and click Format to:

Edit the item label and format the text

Remove the item label

  3. In the Detail Page Purchase Options:

Select "Display Buy" to provide site visitors a link that will take them to your store and begin the purchase process.

  • To display the link as text, choose Text Link and type the text you want to link.

  • To display the link as an image, choose Button Image and browse to navigate to the folder containing the image you want to add.

Select "Display Add to Cart" to provide site visitors a link that will allow them to add products to their baskets and continue shopping.

  • To display the link as text, choose Text Link and type the text you want to link.

  • To display the link as an image, choose Button Image and browse to navigate to the folder containing the image you want to add.

The Store Engine Settings will depend on the account being used. Refer to your store’s user manual for complete information regarding these settings.

  4. Continue formatting or click Done to close the editor.


Configuring the Store

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Open the E-commerce Catalog Properties Editor.

  3. Display the Store tab.

  4. The current store engine is listed in bold. Click Change Engine to use an existing store or sign up for a new store account.

  5. Configure and administer your account under "Store Engine Settings".

  • Online Administration: Click Launch to open your Store Engine administration panel.

  • Advanced: Customize your shopping cart’s default settings for the selected store engine.

  • Monetary Format: Choose the monetary unit to be used with your products.

  • Weight System: Choose the weight measurement to be used with your products.

The Store Engine Settings will depend on the store being used. Refer to your Store’s user manual for further information regarding these settings.

  1. Continue formatting or click Done to close the editor.


Control Download Time

When you configure a catalog, be considerate of site visitors by minimizing the time it takes for the images to download. Image quality and size both affect download time. You can use the output settings in the Catalog Properties Editor and the file size information on the properties panel to keep track of and adjust download time while maintaining image quality.

To control the image format:

  1. In Page view, display the List page or a photo page of the catalog you want to work with.

  2. Open the Catalog Properties Editor.

  3. Display the Products tab.

The output settings for detail images and thumbnail images are separate.

  1. Click the Thumbnail Image tab or Detail Image tab at the bottom of the Images tab. On these tabs you set the quality of the thumbnail and detail images for the selected product. As you make changes, NetObjects Fusion displays the approximate download time for the file.

You may choose to save and apply previously defined settings. See Saving Output Settings.

  2. Select the File type. Most photos will be JPEG format.

  3. Set the Quality and Percent.

These fields both affect image quality. 100% is the highest quality, 0% the lowest quality.

  • Set the Quality field first. Each setting corresponds to a range of percents. Low corresponds to 0-39%, Medium to 40-75%, High to 76-99%, and Maximum to 100%.

  • Use the Percent field to fine-tune the quality setting. As you adjust the settings, the image in the Preview field changes. If the Preview image is scaled down, you can close the editor and check image quality in Page Design view.

  4. Select a download speed. The most common download time is 56.6.

  5. To apply these settings to all the product images, click Apply to All. This affects all thumbnail images or all detail images, depending on the selected tab.

  6. Set image rotation. This setting affects only the selected image.

To control the image sizes:

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Select a thumbnail or detail image. Notice the image size on the properties panel. If you selected a thumbnail image, you can choose to see the size of the current image or of all thumbnail images.

  3. Resize the image. See Resizing Photos. As you resize, the Properties panel shows the effect on the file size.


Saving Output Settings

  1. In Page view, display the List page or a Detail page of the catalog you want to work with.

  2. Open the E-commerce Catalog Properties Editor.

  3. Display the Products tab. The output settings for the thumbnail images and the detail images are separate.

  4. Click the thumbnail Image tab or Detail Image tab at the bottom of the Products tab.

  5. Click on the Output Settings menu and choose Save Setting. Note that a change must be made to the default settings in order to create a new setting.

  6. Type a name for the new output setting.

  7. Edit File Type, Quality and Percent, if necessary.

  8. Click OK.


Removing Output Settings

  1. From the properties editor, click the Thumbnail image tab or detail image tab at the bottom of the Properties tab.

  2. Click on the output settings menu and choose Save Setting.

  3. Highlight the setting you want to delete from the Existing Output Settings list.

  4. Click Remove.


Setting Up Navigation for Site Visitors

NetObjects Fusion automatically inserts navigation buttons with smart links on the Detail pages. Site visitors can use these buttons to go to the next and previous Detail pages and to return to the thumbnail page.

The images used for these buttons

SPNavLeft.gif

SPNavRight.gif

SPNavUp.gif

are in the NetObjects Fusion 10\NetObjects System folder.

If you do not want to use these buttons, you can delete them and set up your own smart links between pages. See Adding Navigation Buttons to Stacked Pages.


Saving a Catalog Profile

NetObjects Fusion allows you to save the settings associated with your newly created catalog so it can be the basis for the next catalog created. When you save a profile, you save the

  • Detail Page layout

  • List Page layout

  • Displayed Items

  • Purchase options

To save a profile:

  1. In Page view, display the List page or Detail page of the catalog you want to work with.

  2. Open the E-commerce Catalog Properties Editor.

  3. Click Save Profile.

Note that the output settings displayed at the time you save your profile will be stored in your profile. These settings will apply to all catalogs created with this profile in the new catalog.

  1. Type a name for the new profile. If you choose the name of an existing profile, it will replace the existing profile.

  2. Click OK.

Not all settings are saved in your profile. Products, images associated with products, List page text links and Detail page text links are not included in a saved profile.


Removing a Catalog

To remove a catalog:

  1. In Page view, display the List page of the catalog you want to remove.

  2. Select the catalog object and delete it.

  3. Go to Site view.

  4. Delete the Detail page associated with the catalog. When you add a new catalog, the name of the catalog you just removed still appears in the Insert an existing catalog list in the Add catalog dialog.

To delete a catalog completely from your site:

  1. Go to Assets view.

  2. Select the Data Objects tab.

  3. Select the catalog you want to delete.

  4. Press Delete.

You can delete a catalog only if you have first removed it from your site as described above.


Placing Media

Media such as sound and video give a site impact. The tools in NetObjects Fusion make it easy to add a variety of media files to your pages. To find sample media files, visit Services view.

Browse this section for information about:

  • Flash files

  • Shockwave files

  • QuickTime movies

  • Windows Media Player files

  • Sound files

  • Real Player files

  • Plugins


Inserting a Flash File

With Flash from Macromedia, you can create rich Internet content and applications. NetObjects Fusion supports Flash (.swf) and Splash (.spl) files.

To insert a Flash file:

  1. In Page view, select the Flash tool from the Plug-Ins toolbox.

  2. Draw a box to indicate the Flash file’s location on the page.

The Open dialog appears.

  3. Select a Flash file from your hard disk or LAN, or select a Flash file already in use in the site from the Plug-in Assets tab.

For information about using assets, see Managing Assets.

  4. Click Open.

The Flash placeholder appears on your page, and the Flash Properties panel appears. The name of the selected file appears in the File field on the General tab.

  5. To provide text for the browser to display if it cannot play the Flash file, enter a description in the AltTag field. See Adding and Modifying Alt Tags.

  6. To play the latest Flash movies, you sometimes must change the version. You can find complete information at http://www.adobe.com/support/flash.

  7. Click the Enable Live Preview check box to preview the Flash file in Page view. If unchecked, a placeholder will appear in Page view.

  8. Click the HTML button to insert HTML tags and scripts. See Working with HTML Directly.

  9. Click the Controls tab.

  10. To control the display when using anti-aliasing, select a Quality option.

  • AutoLow sets the default to normal quality. The host computer uses high quality if it has the capacity.

  • AutoHigh starts the movie in high quality. The host computer uses low quality if it cannot display the movie in high quality.

  • High anti-aliases the movie on any computer.

  • Low uses a normal quality so the movie displays quickly.

  11. To determine how the movie fits in the image frame, select a Scale option.

  • ShowAll displays the movie within the frame but maintains the image proportions.

  • NoBorder displays the movie so it fills the frame but maintains the ratio of the animation. Some edges of the animation might be trimmed.

  • ExactFit displays the movie exactly within the frame.

  12. To specify the movie’s alignment within the frame, select an Alignment option, such as Left, Bottom, or Top Right.

  13. To control the movie’s opacity or transparency, select a WMode option.

  • Window plays the movie in its own window on the page. This is the default value for wmode and it works the way the classic Flash Player works.

  • Opaque makes the movie hide everything behind it on the page and moves elements behind Flash movies (e.g., dynamic HTML) to prevent them from showing through.

  • Transparent allows the background of the HTML page, or the DHTML layer underneath the Flash movie or layer, to show through all the transparent portions of the movie. This allows you to overlap the movie with other elements of the HTML page.

  14. To play the movie automatically when the site visitor opens the page, select Auto Start.

  15. To replay the movie when it ends, select Loop.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Inserting a Shockwave File

With Shockwave from Macromedia, you can create multimedia, graphics, and audio that downloads quickly. NetObjects Fusion supports these Shockwave file formats:

  • Shockwave for Director 4.0 and 5.0 (.dcr)

  • Director (.dir) 5.0 or greater

  • Protected Director (.dxr)

To view these files, site visitors must install the Shockwave plugin appropriate for their browser and platform. These plugins are available from the Macromedia website at www.adobe.com.

You cannot directly add a Shockwave audio (.swa) file to a page. You must embed it in a Director movie by passing it as a parameter to the movie, and place the movie on your page. Then in Assets view, add the Shockwave audio file as a file asset. Any Shockwave files you place on a page appear inline on the page itself.

To insert a Shockwave file:

  1. In Page view, select the Shockwave tool from the Plug-Ins toolbox.

  2. Draw a box to indicate the Shockwave Director file’s location on the page.

The Open dialog appears.

  1. Select a Shockwave Director file from your hard disk or LAN, or select a Shockwave Director file already in use in the site from the Plug-in Assets tab.

For information about using assets, see Managing Assets.

  2. Click Open.

The Macromedia Shockwave placeholder appears on your page, and the Shockwave Director Properties panel appears.

For most file formats, NetObjects Fusion sizes the Shockwave placeholder to fit the stage, which is the space where the animation appears. If automatic sizing does not occur, you must size the object manually. Check that you have the right browser plugin or ActiveX control installed. Before NetObjects Fusion can automatically set height and width parameters for Macromedia Director movies, you must install the Macromedia Director ActiveX control (version 6.0.1 or later) or the Macromedia Director Netscape plugin (version 6.0.1 or later). To obtain the ActiveX control, create a site with NetObjects Fusion that contains a Director movie, then preview the site with Microsoft Internet Explorer. The ActiveX control is automatically downloaded and installed. If you don’t have Internet Explorer, you can download the current Macromedia Director plugin at www.macromedia.com/shockwave/download.

The name of the selected file appears in the File field on the General tab of the Properties panel.

  3. To provide text for the browser to display if it cannot play the Shockwave file, enter a description in the AltTag field. See Adding and Modifying Alt Tags .

  4. Click the HTML button to insert HTML tags and scripts. See Working with HTML Directly.

  5. Click the Controls tab.

  6. Click the options you want, enter the parameter, and click the check mark.

If you’ve worked with Director files, you should be familiar with these options. For information, see your Shockwave or Director user guide.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Inserting a QuickTime Movie

QuickTime, developed by Apple Computer, is a multimedia software architecture used to create and deliver graphics, sound, video, text, music, and 3D media. You can use the QuickTime tool to place QuickTime movies.

To display QuickTime movies, site visitors must install the QuickTime plugin appropriate to their browser and platform. For more information on QuickTime, visit Apple Computer’s site at www.apple.com/quicktime/.

To insert a QuickTime movie:

  1. In Page view, select the QuickTime tool from the Plug-Ins toolbox.

  2. Draw a box to indicate the location of the QuickTime movie.

The Open dialog appears.

  1. Select a QuickTime file from your hard disk or LAN, or select a QuickTime file that was already used in the site on the Video Assets tab.

For information, see Managing Assets.

QuickTime media has a .mov or .qt extension.

  2. Click Open.

The QuickTime placeholder and the QuickTime Properties panel appear. Resize the QuickTime placeholder if necessary.

The name of the file you selected appears in the File field on the General tab. To select a different movie file, click the Browse button.

  3. To provide text for the browser to display when it cannot play a movie, enter a description in the AltTag field.

  4. In the Display section, select:

  • Play inline to position the movie in the browser window in the same location as the placeholder.

  • Launch from picture to use a picture to represent the movie on the page and play it in a new browser window when the site visitor clicks the picture. You can use the placeholder icon or click Browse and select a different image file.

  5. Click the HTML button to insert HTML tags and scripts. See Working with HTML Directly.

  6. On the Controls tab, set the sound volume for the movie. You can enter a number from 0 to 256.

  7. In the Display options section, select:

  • Hide all if you don’t want to show the movie but want to use it only as background sound. This option does not work if you choose Launch from picture on the General tab.

  • Controller to display a views bar that site visitors can use to start or stop the movie. This option is not available when Hide all is selected and it does not work if you choose Launch from picture on the General tab.

  • Auto start to automatically start playing the movie when the page loads.

  • Loop to replay the movie when it comes to the end. To replay the movie from the end to the beginning, select Back and forth.

  10. To store the movie in the cache on the site visitor’s system, select Keep movie in user’s cache. If the visitor leaves the page and comes back, the movie doesn’t have to be downloaded again because it is already in the system cache.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Inserting a Windows Media File

You can add video, such as an animation or a movie, to a site. To view these files, site visitors must install the appropriate plugin for their browser and platform.

The latest browsers often have video players built in. For example, Microsoft Internet Explorer uses the Windows Media Player. To ensure that site visitors can view your video, provide a link to a site from which they can download the appropriate plugin.

NetObjects Fusion supports these popular video file formats:

  • Windows Media (.wm, .wmv, .asf, .asx, .avi,. .wax, .wma)

  • MPEG (.mpg, .mpeg, .m1v, .mp2, .mpa, .mpe, .mpv2, .m3u, .mp2v)

To insert a Windows Media Player file:

  1. In Page view, select the Windows Media tool from the Plug-Ins toolbox.

  2. Draw a box to indicate where you want to position the video.

The Open dialog appears.

  1. Select a video file from your hard disk or LAN or select a video file already used in the site from the Video Assets tab.

For information about using assets, see Managing Assets.

  2. Click Open.

The Windows Media placeholder appears on the page, and the Windows Media Player Properties panel appears. The selected file name appears in the File field on the General tab.

  3. To provide text that the browser displays if it cannot display the video, enter the text in the AltTag field.

  4. In the Display section, select:

  • Inline to display a control that site visitors can use to play the video.

  • Icon to select one of the three images to represent the video. The video plays in a viewer or on a new blank page.

  • Picture to use another image file to represent the video. Click Browse and choose an image file. The video plays in a viewer or on a new blank page.

  5. Click the HTML button to insert HTML tags and scripts. See Working with HTML Directly.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Inserting a Sound File

Sounds are either digital or synthesized audio files that a browser with a built-in player or helper application can play. Visitors can also download helper applications from sound technology developers and install them in their browsers. To play sounds, a system must have a sound card and speakers.

NetObjects Fusion supports the following popular audio file formats:

  • Windows Wave (.wav) format sound files that play on Windows and the Mac OS. For the Mac OS, site visitors must have Netscape 3.x or later.

  • Audio Interchange File format (.aif) with browser plugins can play on Windows 2000 and XP.

  • Musical Instrument Digital Interface (.midi, .mid) can play on almost all types of operating systems.

  • Sun’s .au format is used in Java applets and can play on UNIX based operating systems.

  • RealAudio (.ra, .ram, .rm) can play streaming audio on all systems, requires RealAudio Web server-resident software, and sometimes includes video. Site visitors must install the RealAudio player browser plugin.

  • Rich Music Format (.rmf) is a sound file format that enhances the use of music and sound in interactive environments, such as the Web.

You can also add any of these formats as a background sound that plays when a visitor views your page. See Setting Layout and Layout Region Background Properties.

Because an audio file has no visual object, NetObjects Fusion represents the audio file with a graphic, usually an icon or an inline player views bar that the browser recognizes. When a site visitor clicks the icon or the play button on the inline player views bar, the browser plays the sound file or opens a helper application to play it.

To insert a sound file:

  1. In Page view, select the Sound tool from the Plug-Ins toolbox.

  2. Click on the page to indicate the location of the sound file.

The Open dialog appears.

  1. Select a sound file from your hard disk or LAN, or select a sound file already used in the site from the Audio Assets tab.

For information about using assets, see Managing Assets.

  2. Click Open.

The default sound icon appears on the page, and the Sound Properties panel appears. The name of the file you selected appears in the File field on the General section. You can use the Browse button to select a different sound file.

  3. To provide text that the browser displays if it cannot play the sound, type a description in the AltTag field.

  4. In the Display section, select:

  • Inline to use the audio player for your browser. If site visitors have Headspace Beatnik installed on their system, the browser uses that player to play the sound.

  • Icon to select one of the three images to link to the sound.

  • Picture to select another image file as the visual link to the sound. Click Browse and select an image file.

  5. Click the HTML button to insert HTML tags and scripts. See Working with HTML Directly.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Inserting a Real Player File

RealAudio (.ra, .ram, .rm) can play streaming audio on all systems, requires RealAudio Web server-resident software, and sometimes includes video. Site visitors must install the RealAudio player browser plugin.

To insert a Real Player file:

  1. In Page view, select the Real Player tool from the Plug-Ins toolbox.

  2. Click on the page to indicate the location of the Real Player file.

The Open dialog appears.

  1. Select a Real Player file from your hard disk or LAN, or select a file already used in the site from the Video Assets tab.

For information about using assets, see Managing Assets.

  2. Click Open.

The Real Player placeholder graphic appears on the page, and the Real Player Properties panel appears. The name of the file you selected appears in the File field on the General tab. You can use the Browse button to select a different file.

  3. To provide text that the browser displays if it cannot play the video, type a description in the AltTag field.

  4. In the Display section, select:

  • Inline to display a control that site visitors can use to play the video sound track.

If you select this option, site visitors do not see the video. They only hear the sound track.

  • Icon to select one of the three images to represent the video. When a site visitor clicks the icon, Real Player opens playing the specified video.

  • Picture to use another image file to represent the video. When a site visitor clicks the icon, Real Player opens playing the specified video.

  5. Click the HTML button to insert HTML tags and scripts. See Working with HTML Directly.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Inserting Other Types of Files

Although NetObjects Fusion supports a wide variety of media files, you might have other formats, such as Adobe Acrobat PDF files, that you want to include in your site. You can place other files, including Adobe Acrobat, VRML, RealSpace FlashPix files, and Headspace Beatnik files, using the Plug-in tool.

When a site visitor clicks the document’s icon, the file appears in the visitor’s browser or downloads to the visitor’s system. When you insert a file using the Plug-In tool, site visitors need the appropriate plugin for their browser and platform to use the file.

To insert a file using the Plug-In tool:

  1. In Page view, select the Plug-In tool from the Plug-Ins toolbox.

  2. Draw a box to indicate where you want to position the file.

The Open dialog appears.

  1. Select a file from your hard disk or LAN, or select a file that was already used in the site from the Plug-in Assets tab.

To display the various file types that NetObjects Fusion supports, use the Files of type drop-down list.

To insert a file that is not explicitly supported by NetObjects Fusion, choose All Files in the Files of type drop-down list, then select the file.

  2. Click Open.

The plug-in placeholder image appears on your page, and the Plug-In Properties panel appears. The name of the file you selected appears in the File field on the General tab.

  3. To provide text for the browser to display if it cannot display the file, enter a description in the AltTag field.

  4. In the Display section, select:

  • Play inline to display the file on the page in your site.

  • Launch from picture to use a picture other than the plug-in icon to represent the plugin. When site visitors click the image, the plugin opens in the window. Click Browse and select an image file.

  5. Click the HTML button to insert HTML tags and scripts. See Working with HTML Directly.

  6. Select the Advanced tab.

The Advanced options appear.

  7. Set the parameters. Because you can add different parameters for different files, see the associated user guide.

  • To edit parameters that appear in the Parameters section, double-click the parameter. Enter the value in the Add Plug-In Parameter dialog.

  • To add a parameter, click the plus (+) button and enter the parameter name and value in the Add Plug-In Parameter dialog.

  • To remove a parameter, select it and click the minus (–) button.

  • To change the order of the parameters, click the Up or Down arrow buttons. The selected parameter moves up or down in the parameters list.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Replacing a Media File

Sites are constantly changing and evolving. As you build your site or after using it for some time, you might want to change a media file that you used in a specific location. You can replace one file with another.

To replace a media file with a new file:

  1. In Page view or Assets view, double-click the media placeholder on your page.

The Open dialog appears.

  1. Select the new file and click Open.


Creating Navigation Bars and Banners

NetObjects Fusion includes tools you can use to create banners and navigation bars that help site visitors understand and navigate the structure of your site. A new blank site includes a button navigation bar on the left, a text navigation bar at the bottom, and a banner in the top MasterBorder. You can create your own banners and navigation bars and place them in any MasterBorder or Layout area.

You save time using banners and navigation bars because NetObjects Fusion automatically places page names on the banner and navigation bar buttons and links navigation bars to pages in your site. Placing navigation bars in a MasterBorder and then assigning the MasterBorder to multiple pages is an easy way to give pages with the same navigational needs the same navigational structure.

New banners and navigation bars you create use elements of the currently selected SiteStyle. However, you can customize the banners and buttons by assigning other styles or labels or by replacing their images with your own. You can also further customize your site by importing Flash navigation bars and buttons

Browse through this section for information about using navigation bars and banners, including:

  • Adding navigation bars

  • Setting navigation structure

  • Setting a navigation bar style

  • Adding banners

  • Customizing navigation bars


Working with Banners and Navigation Bars

Typically, in each new site you create, NetObjects Fusion automatically places a banner in the top margin, a button navigation bar in the left margin, and a text navigation bar in the bottom margin. You can place banners and navigation bars anywhere on the page, including MasterBorders and Layouts, as well as inside text boxes, table cells, and Layout Regions.

Banner titles and button names are set to the page name by default. You can change the name using the Custom Names button in Site view, the Custom Names command on the Edit menu, the settings on the Navigation Button or Banner Properties panel in Page view, or the Custom Navigation Bar dialog. Buttons are linked according to your site’s structure. Whenever you change the SiteStructure in Site view, NetObjects Fusion updates the buttons and banners.

When you preview or publish your site, NetObjects Fusion creates a .gif file for each button and banner (except Flash buttons and banners). It combines the assigned font style, size, and color with the image file for that SiteStyle element to ensure the font you choose appears despite differences in site visitors’ browsers.


Using Navigation Bars

Navigation bars are rows or columns of buttons or text that are automatically linked to other pages in your site. NetObjects Fusion provides button navigation bars and text navigation bars. You use the Button Navigation Bar tool and the Text Navigation Bar tool to add navigation bars to MasterBorders or page Layouts. You can also add Flash navigation bars when using NetObjects Fusion local SiteStyles, and you can import custom Flash navigation bars in Style view

The style for buttons is determined by the SiteStyle you set in Style view. See Using SiteStyles. The SiteStyle button picture is automatically applied to buttons throughout your site. You can change the button style for an individual navigation bar or even an individual button without changing the overall SiteStyle. See Setting Navigation Bar Button Style and Changing a Button's Image

You can assign an action to any navigation bar using the Actions tab of the Navigation Bar Properties panel. For example, a navigation bar could fly in from the top when the site visitor opens the page. See Building Dynamic Pages. You cannot assign an action to an individual button.


Adding a Navigation Bar

You can add a horizontal or vertical button or text navigation bar to a page.

  1. In Page view, display the page on which you want to place the navigation bar.

  2. Select the Button Navigation Bar tool or the Text Navigation Bar tool from the Navigation flyout on the Standard toolbox.

  3. Drag a box in the MasterBorder or Layout area where you want to place the navigation bar.

Drag in a horizontal direction for a horizontal navigation bar or in a vertical direction for a vertical navigation bar.

A new button navigation bar appears with buttons linked to the pages indicated in the Navigation Structure and Multi level options sections of the General tab of the Navigation Bar Properties panel.


Setting Navigation Bar Orientation

  1. In Page view, select the navigation bar.

The General tab of the Navigation Bar Properties panel appears.

  1. In the Display section, select Vertical or Horizontal orientation.


Setting Navigation Structure

You set the navigation structure to specify the relationship between the current page and the pages represented by the buttons on the navigation bar. You can base navigation structure on the site structure, or you can create custom navigation bars to give site visitors access to pages on different levels of the site, pages in other sites and files.


Creating Navigation Bars Based on the SiteStructure

You can choose a navigation level and then set the multi level options to add links to other pages in the site. Go to Site view or open the Site Navigation panel if you are unsure about the site levels you want to link.

  1. In Page view, select the navigation bar.

The General tab of the Navigation Bar Properties panel appears.

  1. In the Structure section, choose a level from the drop-down list.

  • First Level links to the children of the Home page.

  • Parent Level links to all pages in the level above the current page in the SiteStructure.

  • Current Level links to the current page and all other pages that share the same parent page.

  • Child Level links to the children of the current page.

  • Breadcrumb Trail displays the current page as the last level of a navigation tree and each parent page in succession.

  • All Pages displays all pages at all levels in the SiteStructure.

  2. In the Include section, select:

  • Include home page to add a Home page link to the navigation bar.

  • Include parent page to include a link to the parent page in the navigation bar.

  • Include child pages to include links to the child pages in the navigation bar.


Creating a Custom Navigation Bar

To create a custom navigation bar, you first create a separate site structure that is used only with the navigation bar. You set up a page structure in the same way you would in Site view. In the navigation structure, however, you can have multiple pages at the same level as your Home page, plus add the same page to different trees. This is especially helpful if you are designing sites, such as intranets, in which you want to break your design into "mini" sites.

  1. In Page view, select the navigation bar.

The General tab of the Navigation Bar Properties panel appears.

  1. Click the Style tab of the Navigation Bar Properties panel

  2. In the Structure section, select Custom and click Edit.

  3. The Custom Navigation Bar dialog appears.

  4. From the Target drop-down list, select:

  • None to use the default link settings.

  • Existing to target the link in an existing frame.

  • _blank loads the specified page into a new browser window.

  • _parent loads the designated content into the current frame’s parent. If the current frame has no parent, the content is loaded into the same frame as the element that refers to this target.

  • _self replaces the page where the link resides with the page of that link. This is similar to how links behave on sites with no frames.

  • _top loads the designated content into the full, original window. This cancels all other frames. If the current frame has no parent the content is loaded into the same frame as the element that refers to this target.

  • Pop-up Window to display the page in a new pop-up window.

  5. From the Link type drop-down list, select:

  • Internal Link to link to another page in the site.

Select a page in the list on the left and click Add to move it into the list on the right, or drag it from the left to the right.

  • External Link to link to a page in another site. Type the path to the page you want to link to; for example, http://www.netobjects.com and click Add to move it into the list, or drag it from the left to the right.

  • File Link to link to a file. Type the path to the file you want to link to or click Browse to locate the file, click Save, and then click Add to move the file into the list, or drag it from the left to the right.

If your site has many pages and a lot of links, click Find to search for a specific link in the list of current links. Click Find Again to search for the next occurrence of the same link.

  6. To add divide your site into sections using section title buttons, click Add Title to add section title buttons to the navigation bar.

Section title buttons must be added to the current SiteStyle before being added to a navigation bar.

  7. To arrange the order of buttons and section title buttons on the navigation bar, use the Move up and Move down buttons or simply drag the buttons into position.

To remove a button, select it and click Remove. To clear the list and start over, click Remove All and click Yes to confirm.


Setting Navigation Bar Button Style

New navigation bars use the currently applied SiteStyle, but you can set individual navigation bars to use any available SiteStyle.

Primary and secondary navigation bars offer different sets of button pictures, which are defined by the current SiteStyle. Other than the pictures displayed, primary and secondary navigation bars function the same way. Because secondary button pictures are typically different in size, shape, or color, you can use a secondary navigation bar to visually distinguish links to different parts of your site. For example, to help site visitors understand the SiteStructure, you can use the secondary navigation bar for the lower levels of your site. To see the difference between primary and secondary navigation bars, go to Style view.

Text navigation bars provide navigation for visitors whose browsers cannot display picture buttons.

You can choose whether the button for the current page will be highlighted or not. Use button highlighting to show site visitors which page they are on. If you are using AutoFrames, be aware that highlighting affects the way the browser refreshes your page.

You can also enable rollover buttons on the navigation bar. If rollover is on, when a site visitor moves the pointer over the button, the SiteStyle rollover image appears.

To change the button style:

  1. In Page view, select the navigation bar.

  2. Click the Style tab of the Navigation Bar Properties panel.

  3. In the Button Style section, click Advanced:

  • Select the page level which is relative to the current page, you want to apply the button style to. The style you choose will apply only to the pages at the selected level.

  • Choose the SiteStyle from the drop-down list that contains the button style you want to display. Only active site styles will appear in the list.

  • Choose the set from the drop-down list that contains the button style you want to display.

  • Select the Fly-out submenus check box to make child pages not included in the navigation bar visible when the site visitor moves the pointer over the parent page link.

  1. Click Apply to all to apply the selected style to all buttons in the navigation bar.

  2. In the Include section, select:

  • Rollovers to use the Rollover button state for the selected page in the navigation bar.

  • Fly-out submenu to make child pages not included in the navigation bar visible when the site visitor moves the pointer over the parent page link.

  • Highlighted to use the Highlighted button state style for the selected page in the navigation bar.

  • Auto-close fly-out submenus to close the fly-out submenus when the mouse is no longer hovering over.

  • End caps to display the end caps associated with the selected button set. End caps are graphical elements that appear at both ends of a navigation bar, and they can be added to a button set in Style view.

  • Link end caps to link the end caps to the adjoining button in the navigation bar. For example, an end cap that is displayed next to the Home page button in the navigation bar will also serve as a link to the Home page.


Setting Navigation Bar Button Background

You can set a background color for a button navigation bar. A background color can visually unify a navigation bar if buttons are widely spaced; it can also help site visitors distinguish the navigation bar from the background of the page.

  1. In Page view, select the navigation bar.

The Navigation Bar Properties panel appears.

  2. Click the Style tab of the Navigation Bar Properties panel.

  3. In the Background color section, click the radio button to the left of the Color button and select a color from the Color Picker, or select None to use no background color.


Setting Border Width and Button Spacing

You can set the thickness of a button navigation bar’s border, as well as the spacing between buttons. You can increase the spacing between buttons to let the background show through or to add visual breaks around buttons. The border and spacing are measured in pixels regardless of the measurement unit you select in the Application Options dialog. You cannot change the spacing or border for text navigation bars.

To set button border and spacing:

  1. In Page view, select the navigation bar.

The Navigation Bar Properties panel appears.

  1. Click the Background tab.

  2. In the Display (in pixels) section:

  • To change the thickness of the navigation bar border, enter a number in the Border field or click the arrows.

  • To change the spacing between buttons, enter a number in the Spacing field or click the arrows.


Changing a Navigation Bar Button Name

By default, a button name is the same as the page name.

To change the text on a button:

  1. In Page view, navigate to the page containing the navigation button you want to change.

  2. Double-click the button to select it.

A wide border surrounds the button to show it is selected.

The General tab of the Navigation Button Properties panel appears.

  1. Clear the Use page name in button check box.

  2. In the Button field, type a new name for the button. To enter two lines of text, press Enter at the end of the first line.

To restore the default page name, select Use page name in button.

This changes the button name only in the selected navigation bar. To change the name of all instances of this button on all navigation bars, change the name in the Page name field or use the Custom Names dialog. See Using Custom Button and Banner Names and File Extensions

  3. Clear the Use page name in AltTag check box to assign an alt tag other than the page name to the button.

In the AltTag field, type a new alt tag for the button.


Changing a Navigation Bar Button Image

You can change the picture on each individual button in a navigation bar in Page view. When you assign a new picture to a button, NetObjects Fusion does not display the page name or custom name on the button. If you want text to appear on the button, you must include the text in your button picture. You do not change the current SiteStyle when you customize a button picture.

To change the picture for one button:

  1. In Page view, navigate to the page containing the navigation button you want to change.

  2. Double-click the button to select it.

A wide border surrounds the button to show it is selected.

The General tab of the Navigation Button Properties panel appears.

  1. Click Browse to change the button image or rollover image and select an image file from your hard disk or LAN. If you want to use an image that is on a CD-ROM, copy it to your hard disk first.


Setting Text Navigation Bar Properties

  1. In Page view, select a text navigation bar.

  2. Click the Style tab.

  3. In the Image field, select:

  • Automatic to set the background to the image specified in the Text NavBar style in Style view.

  • None to eliminate the background image.

  • Browse to select an image from the Open dialog. See Choosing an Image Format. If the picture is smaller than the navigation bar, the browser tiles the image. To change the image, click the Browse button to the right of the field.

  1. In the Delimiters section, select the characters you want to use before and after each link in a text navigation bar.

  • The default characters are square [brackets]. You can choose angle brackets, or other characters, or leave this blank.

  • Select Include delimiters in link to extend the underline to include these characters.

  2. If you are working with a horizontal text navigation bar, in the Format section, you can select Right, Left, or Center alignment.

If you select Constrain to a single line, NetObjects Fusion increases the page width to accommodate the navigation bar on a single line. If you clear this option, you can reduce the width of the navigation bar so it appears on more than one line.

  3. By default all pages in a text navigation bar are linked except the current page. Select Link current page in the Options section to include a link to the current page.

Text navigation bars use the SiteStyle’s linked text color and the style set for the TextNavBar object. See Formatting Text and Editing a Style Background.


Setting a Navigation Bar Target

When a site visitor clicks a navigation bar link, you can target a frame or a pop-up window to display the linked page. For example, if you select _blank as the link target, the page you link to appears in a new browser window.

  1. In Page view, select a navigation bar.

  2. Click the General tab of the Navigation Bar Properties panel.

  3. In the Navigation bar target section, select a target from the drop-down list or click New Target and add a target.

For more information on link targets, see Setting Link Targets.


Creating a Custom Navigation Bar Style

New navigation bars use the current SiteStyle, but you can apply button sets associated with any SiteStyle to a page.

In addition, you can apply advanced settings, such as how the fly-out submenus are displayed on the page, to a custom navigation bar. If you change the style of a navigation bar in a MasterBorder, it changes on every page using that MasterBorder.

To create a custom navigation bar:

  1. In Page view, select the navigation bar.

  2. Click the Style tab of the Navigation Bar Properties panel.

  3. In the Button Style section, click Advanced.

The Custom Style dialog appears.

  1. Select a page level from the site structure list on the left that you want to customize.

  2. Select the Site Style and Button set you want to use for the page level selected in Step 4.

Only active styles will appear in the Site Style drop-down list

  3. Select Include Fly-out submenus to make child pages not included in the navigation bar visible when the site visitor moves the pointer over the parent page link.

The advanced Fly-out submenu settings will become active.

  • Orientation displays the fly-out submenu horizontally or vertically.

  • Open describes how the menu will unfold.

  • Offset defines the position of the fly-out submenu.

  4. Click Apply to save the current page level settings.

  5. Repeat steps to apply custom styles to additional page levels or click OK to close the Custom Style dialog.


Using Banners

Banners are picture title bars that display the name of the page, helping site visitors understand where they are in your site. You use the Banner tool to add new banners.

You can assign an action to any banner using the Actions tab of the Banner Properties panel. For example, you can make a banner "grow" into existence when a site visitor goes to the page by assigning the On Page Loaded do Transition action with the transition type set to Iris. See Building Dynamic Pages.


Adding a Banner

  1. In Page view, go to the page on which you want to place the banner.

  2. Choose the Banner tool from the Navigation flyout of the Standard toolbox.

  3. Drag a box in the MasterBorder or Layout area where you want to place the banner.

Drag in a horizontal direction for a horizontal banner or in a vertical direction for a vertical banner.

A new horizontal or vertical banner appears in the current SiteStyle.
The style of the banner is determined by the current SiteStyle. You can create additional text, graphic, and Flash banners in Style view.

After you create additional banners in Style view, you can apply them to your pages by using the Banner tool to add a banner to your site and then selecting the banner you want to use from the Banner drop-down list on the Banner Properties panel.


Changing the Banner Text

By default, the banner text is the page name, but you can specify a custom name or no name for the banner. You can also split banner text into two lines. The style of the banner is determined by the current SiteStyle. You can create additional text, graphic, and Flash banners in Style view.

After you create additional banners in Style view, you can apply them to your pages by using the Banner tool to add a banner to your site and then selecting the banner you want to use from the Banner drop-down list on the Banner Properties panel.

To change the banner text:

  1. In Page view, select the banner.

The General tab of the Banner Properties panel appears.

  1. Clear the Use for Banner title check box.

  2. In the Banner title field, type the new text for the banner. To make the text two lines, press Enter at the end of the first line.

To restore the default page name, select Use for Banner title.

This changes the name only on the selected banner. To change the name on all banners on this page, type a new name in the Page name field or use the Custom Names dialog. See Using Custom Button and Banner Names and File Extensions.


Changing a Banner's Image

You can change the picture for a selected banner in Page view. When you assign a new picture to a banner, NetObjects Fusion does not display the page or custom banner name on the image. If you want text to appear on the banner, you must include the text in your banner graphic. If you change the image for a banner in a MasterBorder, the change does not affect the banner on all the other pages that use that MasterBorder. You do not change the SiteStyle when you customize a banner picture.

To change the picture for one banner:

  1. In Page view, display the page containing the banner you want to change.

  2. Select the banner.

The General tab of the Banner Properties panel appears.

  1. In the Banner Image area, click Browse to select an image file from your hard disk or LAN. If you want to use an image that is on a CD-ROM, copy it to your hard disk first.

The selected banner displays the new picture.


Setting Banner Style and Orientation

New banners use the current SiteStyle, but you can set a banner to any available style. If you change the style of a banner in a MasterBorder, it changes on every page using that MasterBorder.

  1. In Page view, select the banner.

The General tab of the Banner Properties panel appears.

  1. In the Site Style section, select the style that contains the banner you want to display. Only active SiteStyles will appear in the list.

  2. In the Banner field, select the banner you want to display.

  3. In the Display section, select Horizontal or Vertical orientation.


Changing a Flash Navigation Bar’s Appearance

You can change the attributes of Flash navigation bars to complement your page design.

To modify a Flash navigation bar’s appearance:

  1. In Page view, select the Flash navigation bar you want to modify. The Navigation Bar Properties panel appears.

  2. Click the Style tab of the Navigation Bar Properties panel.

  3. Modify the attributes of the Flash navigation bar by selecting an attribute in the left-hand column and then choosing an attribute option list in the right-hand column.

The following options are available for all Flash navigation bars native to NetObjects Fusion’s local SiteStyles:

  • Background: Modify the background color of the Flash navigation bar buttons by picking a color in the Color Chooser.

  • Rollover: Modify the background color of the Flash navigation bar buttons by picking a color in the Color Chooser.

  • RollOver Font: Select a background color for the rollover button state in the Color Chooser.

  • Font: Open the Edit Font dialog to choose a font face, size, color, attribute (bold, italic, underline), and alignment position for the button text.

Preview the Flash navigation bar in Page view by right-clicking on the navigation bar and selecting Play from the shortcut menu.

Flash navigation bars native to NetObjects Fusion’s SiteStyles have a wide range of editing options available. Flash navigation bars imported into NetObjects Fusion can be modified within the parameters of the Flash.


Changing a Flash Banner's Appearance

You can change the attributes of Flash banners to complement your page design.

To modify a Flash banner’s appearance:

  1. In Page view, select the Flash banner you want to modify.

The Banner Properties panel appears.

  2. Click the Style tab of the Banners Properties panel.

  3. Modify the attributes of the Flash banner by selecting an attribute in the left-hand column and then choosing an attribute option from the corresponding list in the right-hand column. The following options are available for all Flash banners that are native to NetObjects Fusion local SiteStyles:

  • Effect: Choose an animation effect to control how the text will appear on the banner when the page is loaded in the browser.

  • Background: Modify the background color of the Flash banner by picking a color in the Color Chooser.

  • Fill: Select either a gradient or solid fill for the banner background color.

  • Font: Open the Edit Font dialog to choose a font face, size, color, attribute (bold, italic, underline), and alignment position for the banner text.

  • Vert Align: Set the banner text’s vertical position (bottom, middle, or top) within the banner.

  • Horz Align: Set the banner text’s horizontal position (right, center, or left) within the banner.

  • Corner Type: Choose a Flash banner with rounded or diagonal edges, or choose a rectangular banner by selecting "None".

  • Corner Radius: Select a value for the sharpness of banners with diagonal and rounded corners. Banners with a smaller value for the corner radius have more subtle corners, while banners with higher corner radius values have sharper corners. The maximum value is 20.

  • Border: Select a color for the banner background in the color picker.

  • Border Thickness: Enter a value for the thickness of the banner’s border. Banners with higher border thickness values have thicker borders than those with lower border thickness values. The maximum value is 50.

  1. Preview the Flash navigation bar in Page view by right-clicking on the navigation bar and selecting Play from the shortcut menu.

The manner in which Flash banners are created determines which attributes can be modified. Flash banners created in Style view have a wide range of editing options available. Flash banners imported into NetObjects Fusion can be modified within the parameters of the Flash file.


Creating Links and Anchors

NetObjects Fusion makes it easy to create navigation aids using links. You can make any text, image, shape, or area of an image into a navigation aid by adding a link. Link page objects to any point on the Web, including points within your site. You can also create and link to anchors—markers at a specific location on a page—to aid navigation in long pages.

Browse this section for information about:

  • Internal links

  • Anchors

  • Smart links

  • External links

  • Email links

  • Relative links

  • File links

  • Link targets

  • Links with added HTML

  • Imagemaps


Creating Links

You can use the linking techniques described in this chapter to manually link objects such as text, pictures, and drawn shapes, to internal locations in a site and external locations such as files and other Web pages. As you organize a site, you’re likely to create multiple links to the same location. You can easily update these links using the lists in Assets view.

You can use the Link button on the Properties panel or click the Link tool on the Standard toolbox to open the Link dialog, where you specify the destination of a link.


Types of Links

There are four types of links, each with its own tab in the Link dialog:

  • Internal link, which links to a page or anchor within the site.

  • Smart link, which links to a relative position in the site, such as previous page or next page. Smart links are sometimes called structural links. The Blank link, which you can use to trigger an action without going to a new page, is also a smart link.

  • External link, which links to a page in another site via a URL, using a protocol such as ftp, mailto, http, or JavaScript.

  • File link, which links to a file that visitors can download from the site.


Link Indicators

You can link a selected object or text, or a text insertion point.

  • If you link an object, the Link icon indicates the object is linked.

  • If you select text and link it, the selected text is underlined and appears in the default font and color for links.

  • If you place an insertion point in text without selecting text, the link name is inserted in the text.


Creating an Internal Link

Internal links link to pages or anchors within a site. If you move a linked page in the SiteStructure or change the page’s name, NetObjects Fusion automatically updates all associated links. Assets view lists the internal links in your site.

Using an anchor, you can link to a specific page or to a specific location on the current page. See Adding, Editing, and Deleting an Anchor.

To create an internal link:

  1. In Page view, select an object or text to link.

If you place an insertion point in text without selecting text, the link name is inserted in the text.

  2. Click the Link tool on the Standard toolbox or the Link button on the object’s Properties panel.

The Link dialog appears.

  3. Select Internal Link as the link type.

  • If you are linking to a page, select the page in the SiteStructure.

  • If you are linking to an anchor on a specific page, select the page in the SiteStructure and then select the anchor from the list on the right.

  4. To set a link target, see Setting Link Targets.

You may not need to select a frame target. NetObjects Fusion automatically targets most internal links. If you select <none>, NetObjects Fusion uses the default target, which depends on the current frame setup.

The destination page for the link appears only in the frame you select.

  5. Click Link.

NetObjects Fusion creates the link. When a site visitor clicks the linked item, the browser displays the destination page or the selected anchor.


Adding, Editing, and Deleting an Anchor

An anchor marks a specific location on a page. Anchors let site visitors go directly to a particular part of a long page instead of scrolling and searching for information. You can place an anchor anywhere in a text box or table, or on a picture or drawn shape. You link to an anchor using the Link dialog. When a site visitor clicks the link, the browser displays the page containing the anchor, beginning at the location of the anchor.

When an anchor link is in a MasterBorder or AutoFrame, use the Current page option in the Link dialog to ensure that the link always points to an anchor on the current page. If you want an anchor link to always lead to a specific page, select the page name instead of the Current page option when you link to the anchor.

For example, suppose your Layout contains a very long text box. You place anchors at the top and bottom of the text box, and in the MasterBorder, you link the words To Top to the top anchor and the words To Bottom to the bottom anchor. In the Link dialog, instead of choosing the current page name in the Page name section, you choose the Current page option. If you copy that text box to another page with the same MasterBorder and replace its content, the To Top and To Bottom links still work, jumping to locations on the current page instead of the page where you made the links.

To add an anchor:

  1. In Page view, select an image or drawn shape or double-click to place the insertion point within a line of text.

If you place the insertion point within the text without selecting any text, the anchor is placed at the location of the insertion point. If you select text, the anchor is placed at the beginning of the selected text.

  2. On the Standard toolbox, click the Anchor tool.

The Add Anchor dialog appears listing anchors already on the page.

  3. Type a name for the anchor in the Name field. The name cannot contain spaces. Make sure each anchor has a different name.

  4. Click OK.

If Object Icons is checked on the View menu, the Anchor indicator appears at the anchor location on the page.

To edit the anchor, select the anchored text or object, click the Anchor button on the Properties panel, and change its name in the Change Anchor dialog. To delete the anchor, click the Anchor icon and click Remove in the Change Anchor dialog. If you are working with a text object, you can click the anchor icon to display the Change Anchor dialog.


Creating a Smart Link

Smart links lead to a page in your site based on its relative position in the SiteStructure, rather than its name. These links automatically adjust when you change the SiteStructure. For example, if your smart link leads to the parent of the current page, and you move the current page to a different parent, NetObjects Fusion updates the link to point to the new parent. Sometimes a smart link is called a structural link.

To create a smart link:

  1. In Page view, select some text or select an object to link.

If you link to a text insertion point, the link name is inserted in the text.

  2. On the Standard toolbox, click the Link tool.

The Link dialog appears.

  3. Select the Smart Link type.

  4. Select the type of link you want. The links listed depend on the type of page you are on—normal or stacked, and on what pages are available to link to from the page you are on.

  • Home links to your Home page.

  • Up links to the parent of the current page.

  • Next Stacked Page links to the next page in a set of stacked pages.

  • Previous Stacked Page links to the previous page in a set of stacked pages.

  • Next Page links to the sibling to the right of this page in the SiteStructure.

  • Previous Page links to the sibling to the left of the current page in the SiteStructure.

  • First Child Page links to the first child page of the current page.

  • Blank creates an empty JavaScript link on the page. You can use the Blank link to assign an action.

  5. Click Link.

For information about stacked pages, see Data Publishing.


Creating an External Link

External links are Universal Resource Locators (URLs) that point to other pages and items in other sites. A valid URL can include the protocol, host name or DNS, path name, and sometimes a file name, such as http://www.netobjects.com/products/fusion.html. Each external link becomes an asset of the site that you can update in Assets view.

To create an external link:

  1. In Page view, select some text or select an object to link.

  2. On the Standard toolbox, click the Link tool.

The Link dialog appears.

  3. Select the External Link type.

  4. Select a protocol from the New link drop-down list.

If you’re creating a link that does not require a protocol, select (none). If you want to use a protocol that is not in the drop-down list, you can type it in.

  5. Enter the appropriate information in the URL entry field and click Save, or select an existing link from the list. For example, you could enter a URL, a mailto address, or a Java command depending on the selected protocol. For details about email links, see Adding an Email Link.

  6. If you’re creating a new external link, you can edit the default name for the link in the Name column by double-clicking in the column field and typing.

This name is placed in the text if you do not select text or an object to link. It appears in the list of links in Assets view so you can quickly identify and sort link destinations. It is not added to the HTML generated when your site is published.

  7. Click Link.

You can also create an external link as you type. If your text includes @ or ://, NetObjects Fusion automatically creates an external link.


Adding an Email Link

To add a mailto link:

  1. In Page view, select some text or select an object to link.

If you place the insertion point in text without selecting text, the email address is inserted in the text as a link.

  2. On the Standard toolbox, click the Link tool.

The Link dialog appears.

  3. Select the External Link type.

  4. Select mailto from the New link drop-down list.

  5. In the text entry field, type the email address using the format username@domain.com.

  6. Click Link.

  7. Preview the page.

When you click the link, the browser’s email client displays a mail window with the address you entered in the recipient, provided the browser is configured to send email using the HTML mailto command.


Adding a Relative Link

Relative links are important if you must link to files that are published separately. Relative links protect the links on your pages if your ISP moves or changes the server location. To create a relative link, you must know where the destination file is relative to the file containing the link.

For example, suppose you publish a site using the by Site Section publishing option. Your company PR department wants to place HTML documents on the server, but publish them separately from the main website. The PR department has its own Articles directory on the server at the root of the site. There is also a News directory and the index page for the site at the root of the site. The structure looks something like this:

index.html
/News
news.html
/Articles
PressRelease1.html
PressRelease2.html

The main News page is published in the News directory. You must create a relative link to link the news.html page to the articles in the Articles directory.

To create a relative link:

  1. In Page view, select some text or select an object to link.

  2. On the Standard toolbox, click the Link tool.

The Link dialog appears.

  3. Select the External Link type.

  4. Select (none) from the New link drop-down list.

  5. In the URL field, type the relative path from the news page to the press release page. For example:

../Articles/PressRelease1.html

You cannot test this link by previewing, because it requires the exact configuration of files that only exists on the server. However, after you publish the site and the PR department uploads articles into the Articles directory, the link will work correctly.

When typing the path, if you do not include periods or slashes in front of the file name, NetObjects Fusion attempts to find the file in the same directory as the page containing the link. This is also true for the format ./filename.html. To back up one directory before looking for the path, use ../path/filename.html. For each directory you need to back up to find the destination file, include another ../. For example, suppose you create a Press Releases page in a directory called PR within the News directory:

index.html
/News
news.html
/PR

PRlinks.html
/Articles
PressRelease1.html
PressRelease2.html

A link from PRlinks.html to PressRelease1.html looks like this:

../../Articles/PressRelease1.html

Remember that some servers are case sensitive; your link must exactly match the directory names and file names of where you want to go.

  1. Click Link.


Creating a File Link

You use file links to link to a file. For example, you might create a file link so site visitors can download the file. When you create a file link, the file it refers to becomes an asset of the site and is uploaded to the server when the site is published.

To create a file link:

  1. In Page view, select some text or select an object to link.

If you place the insertion point within the text without selecting text, the file name is inserted in the text.

  2. On the Standard toolbox, click the Link tool.

The Link dialog appears.

  3. Select the File Link type.

The File path field displays the path to the file and the Name column displays the name that appears as the link if no text or object is selected.

  4. Click Browse, select a file in the Open dialog, and click Save.

  5. If necessary, enter or edit the name.

This name appears as the link if no text or object is selected and also in the list of links in Assets view so you can quickly identify and sort link destinations. It is not added to the HTML generated when your site is published.

  6. Select Convert to HTML document when publishing file so all site visitors can view the document. If your linked file remains in its original format, it can only be opened by applications that support that file type. This feature only works with .doc, .mcw, .xls, and .rtf files.

  7. Click Link.

The way the linked file opens for site visitors depends on the configuration of their browser and Web server. Test the link in the appropriate browsers before publishing the site.


Setting Link Targets

Setting Frame Targets

When a site visitor clicks a link placed within a frame, the browser has to know where to display the results. The frame that displays the retrieved content is the target of the link; when you specify which frame is to display the results of a link, you are targeting that frame. NetObjects Fusion includes four default targets. Choose:

  • _blank to load the specified link into a new browser window.

  • _self to replace the frame where the link resides with the document of that link. This is similar to how links behave on sites with no frames.

  • _parent to load the designated content into the current window’s parent. If the current frame has no parent the content is loaded into the same frame as the element that refers to this target.

  • _top to load the designated content into the full, original window. This cancels all other frames. If the current frame has no parent the content is loaded into the same frame as the element that refers to this target.

To display the designated content in a new named window, you can create a new link target.

To set a link target:

  1. In Page view, select the object or text that you want to link.

  2. Click the Link tool on the Standard toolbox.

The Link dialog appears.

  1. Select the type of link you are targeting: Internal Link, Smart Link, External Link, or File Link and set up the link. See Creating Links.

  2. In the Target area, choose Existing target the drop-down list.

  3. In the name area, choose a default target from the drop-down list.

To display the designated content in a new named window, click Add and type a name for the window in the Custom Target dialog box. If a window with that name already exists, the content is displayed in the existing window.

You may not need to assign a target. NetObjects Fusion automatically targets most internal links for you.

  4. Click Link to close the dialog and create the link.

  5. Preview the page to test your targeted links.


Setting Pop-Up Window Targets

To display the designated content in a new pop-up window, you can create a new link target.

  1. In Page view, select the object or text that you want to link.

  2. Click the Link tool on the Standard toolbox.

The Link dialog appears.

  3. Select the type of link you are targeting: Internal Link, Smart Link, External Link, or File Link and set up the link.

  4. In the Target area, choose Pop-Up Window from the drop-down list.

To display the designated content in a new pop-up window, click Add. The Pop-Up Windows Properties Editor will appear.

  5. In the Name field, type in a name for the new pop-up window

If a pop-up window with that name already exists, the content is displayed in the existing pop-up window.

  6. To set the size of the pop-up window on the screen, enter values for the height and width, in pixels.

Select "Full Screen" to have the pop-up window fill the entire screen

  7. To set the position of the pop-up window on the screen, enter values for the left and right positions, in pixels. Placement will be offset from the upper-left corner of the screen.

Select "Auto Center" to automatically center the pop-up window in the middle of the screen.

  8. Customize your pop-up window by selecting from the following options:

  • Show Toolbar to add a navigation toolbar to the browser.

  • Show Scroll Bar to scroll left-right and up-down in the browser.

  • Show Menu Bar to add the browser’s menu bar.

  • Show Status Bar to display the page status in the browser.

  • Resizable to provide the ability to resize the pop-up window.

  9. Click Preview & Set to preview the pop-up window in a browser.

To adjust the pop-up window settings, resize and reposition the browser preview window, then click Set. The new settings will take effect.

  10. Click OK to close the Pop-Up Window Properties Editor.

  11. Click Link to close the dialog and create the link.

  12. Preview the page to test your targeted links


Editing the Pop-Up Window Script

You can customize the pop-up window by modifying the pop-up window script included in NetObjects Fusion.

  1. In Page view, select the object or text that you want to link.

  2. Click the Link tool on the Standard toolbox.

The Link dialog appears.

  3. Select the type of link you are targeting: Internal Link, Smart Link, External Link, or File Link and set up the link.

  4. In the Target area, choose Pop-Up Window from the drop-down list.

To display the designated content in a new pop-up window, click Add. The Pop-Up Windows Properties Editor will appear.

  5. Click "Edit with Script Editor."

The Script Text Editor will appear.

  6. Modify the script and click OK.

To reset the script back to the default settings, click "Revert to Original Script." If no modifications have been made, you will only have the option to "Edit with the Properties Editor."


Following Links

If Object Icons is checked on the View menu, NetObjects Fusion displays the Link icon wherever you create a link on an object. If you place the pointer over the icon, the link is displayed in the status bar at the bottom of the NetObjects Fusion window.

Text links are underlined and appear in the default font and color for links.

In Page view, you can follow a link you created to its target page or anchor:

  • Right-click a linked object and select Follow Link from the shortcut menu or select the object and from the Go menu, choose Follow Link.

  • To follow a text link, select the linked text, right-click, and select Follow Link from the shortcut menu.


Finding a Link

As the number of pages in your site grows, the number of links will probably increase as well. NetObjects Fusion makes it easy for you to find a link.

  1. Open the Link dialog.

  2. Click the Find button.

The Find File Link dialog appears.

  1. Select criteria for the search, enter the text you want to search for, and click Find.

NetObjects Fusion finds the first link that satisfies your criteria.

  2. To find the next link that matches the criteria, click Find Again.


Editing or Removing a Link

To edit a link, select the linked text or object, click the Link button on the Properties panel or Standard toolbox, then change the link in the Link dialog. If an external link is used in multiple places in your site, you can update all instances by editing the link in Assets view.

To remove a link, select it, click Link on the Properties panel or Standard toolbox, and click Unlink in the Link dialog. You cannot remove a link in Assets view, but you can verify all instances of a link. If you unlink every instance of a link, it is removed automatically.

You can insert HTML and JavaScript before, inside, and after links. See Adding HTML to a Link. You can also use a link to trigger an action using the Blank link. See Adding an Action to Linked Text.


Adding HTML to a Link

You can add your own HTML or JavaScript to a link to extend its capabilities. For example, you might want to add HTML that directs the browser to open the link in a new window, or JavaScript that displays a dialog. The steps below demonstrate how to add HTML that directs the browser to open the link in a new window. For more information, see Accessing an Object's HTML.

  1. In Page view, select some text or an object to link.

  2. On the Standard toolbox, click the Link tool.

The Link dialog appears.

  3. Select a link type.

  4. Click the HTML button in the Link dialog. If the HTML button is not available. the object does not allow additional HTML.

The Link HTML dialog appears.

  5. Click the Inside Link tab to indicate where you want to add HTML or JavaScript.

  6. If you want the link to open the page in a new window, type target=NewWindow.

As you type, the top part of the dialog displays your code in blue type as it will appear in the HTML NetObjects Fusion generates.

  7. Click OK in the Link HTML dialog.

  8. Click Link in the Link dialog.

When you preview or publish the site, the link opens a new browser window.


Working with Imagemaps

An imagemap can contain several links in a single picture. You create an imagemap by drawing hotspots on a picture. You can link as many hotspots as you like in a single image, but the hotspots cannot overlap or extend beyond the edge of the picture. Because the imagemaps you create with the following procedure do not require a CGI script running on the server, they are called client-side imagemaps. Server-side imagemaps require setup on a Web server to run properly.

To create a single link on a picture, you do not need to use an imagemap unless you only want to link part of the image. Imagemaps are only necessary to create multiple links on one object.


Creating an Imagemap

  1. In Page view, click the Hotspot tool on the Standard toolbox, and select the appropriate tool from the flyout to create a rectangular, circular, or polygon hotspot.

  2. Draw a hotspot on an image.

If you are using the Polygon Hotspot tool, you must click to establish each vertex of the polygon, then double-click to complete the hotspot shape.

The Link dialog appears.

  3. In the Link dialog, select a link type—internal, smart, external, or file. See Creating Links.

  4. Select a destination for the link and click the Link button.

Once a picture has hotspots, you can move it anywhere on the page and even copy and paste it elsewhere in the site without affecting the imagemap.


Editing an Imagemap

To edit an existing hotspot, click the hotspot. The General tab of the Hotspot Properties panel appears.

  • To edit the link, click Link on the Properties panel or the Standard toolbox. The Link dialog appears, displaying the link information. Change the link destination or click Unlink to remove the link.

  • To add HTML to a hotspot, click HTML. See Accessing an Object's HTML.

  • To assign an action to a hotspot, click its Actions tab on the Properties panel and follow the procedure described in Adding Actions to Objects and Pages.

  • To resize a hotspot, select it and drag its handles.

  • To create an alt tag for the hotspot, type in the AltTag field. The alt tag appears when the browser does not display the image.

  • To create multiple hotspots on an imagemap, create one hotspot, copy it, and paste it on the image. The pasted hotspot appears in the upper-left corner of the imagemap by default. Move the hotspot to the appropriate location and edit the link.


Building Dynamic Pages

You can include animations and other interesting effects in your site by adding actions to individual objects or pages. You can make objects move on, off, and around the screen, hide or show them, bump them with other objects, have them exchange places, and so on. Site visitors can drag them around the page. You can even have actions respond to a site visitor’s entry in a form. No programming is required. You build actions by simply choosing a series of options from menus.

When you use actions, note that:

  • Due to limitations of Internet Explorer and Netscape Navigator, actions work only in versions 4.0 and later of Internet Explorer and version 4.x of Netscape Navigator. Actions are not supported in Netscape Navigator 6.0.

  • You can use actions on pages with AutoFrames; do not use actions on pages with frames that were scripted by adding HTML directly.

  • For reliable performance, make sure you select Dynamic Page Layout—All Browsers as the HTML output method on the Layout Properties panel. If w your site visitors will only be using versions 4.0 and later browsers, select Fixed Page Layout. For Layout Regions containing objects with actions, select Regular Tables.

Browse this section for information about:

  • Adding actions to pages, objects, and text

  • Tailoring actions with custom messages

  • Targeting several objects with one action

  • Modifying actions

  • Scripting your own actions

  • Scripting parameter values

You’ll also find examples of actions, including:

  • Creating a button rollover

  • Colliding one object with another

  • Showing one object while hiding others

  • Sequencing actions for a slide show


How Actions Work

An action consists of a trigger event that causes the action to begin, a message and various parameters specifying what the action does, and one or more targets that perform the action.

  • A typical trigger event can be a mouse click or simply hovering over a button (called a "mouse over"). But the trigger event can also be an event such as a site visitor entering or exiting a page. In that case, loading the page might trigger pictures to fly across the page. A trigger event can also be another action, so one object flying off the page could make another object fly on.

  • The action message might be to show or hide an object, make an object fly off the page, make an object stick to the pointer so the site visitor can drag it around the page, display a dialog or alert, and so on.

  • The target can be one or more objects on the page, the page itself, or a MasterBorder.

You add an action to the object that triggers it. For example, suppose you want to add an action to a button so when a person clicks the button Picture A flies off the page. The action you add to the button has the trigger event "when clicked," plus the action message "fly off the page," and Picture A as the target.

To sequence actions, you can trigger one with another. For example, suppose that you want the animation to continue so that as soon as the first action makes Picture A fly off the page, the second action makes Picture B fly on. In that case you add an action to Picture A with the trigger event "motion ended," the action message "fly onto the page," and Picture B as the target.

These are, of course, only basic examples of what you can do with actions. Many more ideas are presented throughout this section.


Adding Actions to Objects and Pages

You can add an action to any object, Layout, or MasterBorder. NetObjects Fusion comes with several actions you can apply by choosing options from menus. Just specify a trigger event to start the action, the action itself, and the object you want it to target.

You can add any number of actions to an object. For example, one action might cause a button to highlight when you mouse over it, while another action removes the highlighting when you move the mouse away.

Because MasterBorders can apply to several pages, any object in the Layout that’s targeted by an action involving a MasterBorder must be available in all Layouts using that MasterBorder.

  1. In Page view, select the item you want to trigger the action, and click the Actions tab on the Properties panel.

Clear the Object initially visible in browser option to hide the object when the page loads. For example, if an action targeting this object makes it fly onto the page, you will want to hide the object until the fly action is triggered.

  2. Click the plus (+) button on the Properties panel to add a new action.

The Set Action dialog appears.

  3. Specify the action’s trigger event in the When field.

Click the When menu button next to the field, point to a trigger category, and click the trigger event you want.

The trigger events available depend on the object you’re adding the action to. These can include:

  • Mouse. Mouse options do not apply in some cases, including text objects, Layouts, and frames. Mouse options are for triggering an action when the site visitor clicks the object, mouses down or up (for example, you might display a pushed-in picture of a button on mouse down), or moves the pointer over or off the object.

  • Object. Triggers the action when the object is either hidden or shown as the result of another action that targets this object.

  • Page. Triggers the action when the page finishes loading, or when the site visitor opens another page.

  • Transition, Motion, Drag. In a sequence of actions, triggers the action at the start or end of another action that targets this object. For example, ending a drag might trigger another action to restore the object you dragged to its original position.

  • Custom. These are messages you create to trigger one action with another for specialized action sequences. See Tailoring Actions with Custom Messages.

  4. Make sure Standard Action is displayed in the action type drop-down list. For information about scripted actions, see Scripting Your Own Actions.

  5. Specify the object your action is to target in the Target field.

The action can target any object on the page, the Layout itself, or even the MasterBorder. By default, it targets the object triggering it. To target another object, click the Target menu button next to the Target field and choose an object from the Object Tree panel. If you add a "Fly Out to Top Right" action to one picture and target it at another, for example, clicking the first picture can trigger the target picture to fly off the page.

You can also cascade an action to several objects at once; see Targeting Several Objects with One Action.

  6. Specify the action you want to occur in the Message field.

Click the Message menu button next to the Message field, point to a category, and click the action you want.

Your choices for actions depend on the object you’re targeting. These can include:

  • Object. Includes options for hiding, showing, or otherwise arranging the target in relation to other objects; adding a delay between the trigger event and a subsequent action; loading different images to use for a picture, say to show a highlighted button when a site visitor mouses over it. For examples, see Creating a Button Rollover and Sequencing Actions for a Slide Show.

  • Transition, Motion. Redraws the object in any of several ways, or causes it to move in some way across, on, or off the page.

  • Drag. Makes an object stick to the pointer so site visitors can drag it around the page. One action might make the object stick on mouse down, while another lets the object go on mouse up. For an example, see Colliding One Object with Another Error! Bookmark not defined..

  • Get Property, Set Property. These actions are typically used as components of scripted actions or parameter values, in particular when working with values entered in forms.

  • Location, Dialog, Window, Browser. These options appear on the menu if the target is a Layout or MasterBorder. Use these options to open another URL after an animation occurs, display a dialog, set the size, position, or some other state of the window; or check what browser the site visitor is using, say to trigger a different set of actions depending on the browser type.

  • Custom. These are messages you create to trigger one action with another in specialized action sequences. See Tailoring Actions with Custom Messages.

  7. If the action you specify requires parameters or can be tailored with additional parameters, specify a value or expression in the Parameters field.

Click the Parameter menu button next to the Parameters field and click an available option. For example, for a Fly message you can choose a direction parameter like In from Top.

For some actions, you can click Values on the Parameters menu to choose from a wider selection of values.

The Parameter Values dialog appears, listing all parameters currently available for this action and their default values.

To modify a value, select a parameter and edit its value in the field at the top of the dialog. Depending on the parameter, you might type the value, or choose it from a drop-down list, or from the Color Picker, Picture File Open dialog, or Link dialog. Click OK when you’re done editing parameters.

You can also write your own JavaScript expression to generate a parameter value. See Scripting Parameter Values.

  8. Click OK in the Set Action dialog.


Adding an Action to Linked Text

In addition to adding an action to a text block, you can also add an action to linked text by creating a smart, Blank link and then setting the text to have an action instead of linking to another page. A text link can be a trigger, but cannot be a target.

  1. In Page view, select the text.

  2. From the Object menu, choose Link, or click the Link tool on the Standard toolbox.

The Link dialog appears.

  3. Select Smart Link as the link type and select the Blank link.

  4. Click the Link button.

  5. Click the text you selected earlier. The Text Properties panel now has a Link tab indicating a link is defined for the text.

  6. On the Text Properties panel, click the Link tab, then click the Actions button.

The Actions dialog appears.

  7. Click the plus (+) button and add an action as described in Adding Actions to Objects and Pages.

  8. Click OK in the Actions dialog.


Tailoring Actions with Custom Messages

You can simplify some action combinations or create specialized sequences by triggering actions with custom messages. A custom message is a simple text string you create that becomes available in the When menu as a trigger and in the Message menu as an action. You can then send it as a wildcard action from one object to trigger whatever action is added to another. Some actions also use custom messages as parameter values.

Say you want clicking any of several buttons to trigger an action on a picture, but you want to periodically change the action from Wipe to Iris. Instead of having to change each button’s action message from Wipe to Iris, you can have each button send a custom message that triggers a Wipe or Iris action added to the picture. Controlling the effect of each button then requires modifying only the picture’s action.

To create a custom message:

  1. Select the object you want to trigger the first action in a sequence, and click the plus (+) button on the Actions tab of the Properties panel.

The Set Action dialog appears.

  2. In the Set Action dialog, open the When or Message menu, and choose Custom, Edit.

The Custom Messages dialog appears.

  3. Click the plus (+) button.

The Add Message dialog appears.

  4. Type a name for the message and click OK. Do not use spaces or punctuation in message names to avoid causing problems when you publish.

The message is added to the Custom Messages dialog. You can remove it by selecting it in the dialog and clicking the minus (-) button.

  5. Click OK in the Custom Messages dialog.

  6. In the Set Action dialog, create an action that sends your custom message to the target.

For example, to make clicking the source object trigger an action added to a picture, fill out the Set Action dialog like this: enter Mouse, Clicked in the When field; the picture object in the Target field; and your custom message, which is now available in the When and Message menus, in the Message field.

  7. Click OK in the Set Action dialog to close it.

  8. Select the target object, click the plus (+) button on the Properties panel, and add the action you want the custom message to trigger.

The Set Action dialog reappears. Enter your custom message in the When field, and specify a target and action in the remaining fields.

  9. Click OK in the Set Action dialog.


Targeting Several Objects with One Action

You can target an action at a container object—a Layout, MasterBorder, Layout Region, text box, or table—to apply the action to every object in the container. For example, clicking a button could hide all objects in a Layout Region. Just select the Cascade message option in the Set Action dialog when you create the action.

Cascading messages work best with custom messages. See Showing One Object While Hiding Others for an example.

  1. In Page view, place the objects you want to target in a Layout, MasterBorder, Layout Region, text box, or table.

Actions sent to a Layout or MasterBorder apply to the entire page, not just the Layout or MasterBorder. So cascading a Hide message at a Layout makes the entire page go blank. To hide only a subset of objects on the page, put the objects in a Layout Region and target it instead. Also, hiding the Layout as a Layout Region (or in any container) also hides its contents without cascading.

  2. Select the object you want to trigger the action, and click the plus (+) button on the Actions tab of the Properties panel.

The Set Action dialog appears.

  3. Create an action targeting the container of objects you want the action to apply to.

When filling out the Set Action dialog, enter the page, Layout, MasterBorder, Layout Region, text box, or table in the Target field.

  4. Click OK in the Set Action dialog.

Triggering the source object targets the action at the container and then at each of its objects as they’re listed in the Object Tree panel.

Keep in mind that the container responds to the action if it can. If the container doesn’t know how to respond, it is possible that the child objects might know. In this case, you can cascade the action so the child objects can respond appropriately. For an example of cascading an action, see Showing One Object While Hiding Others.


Modifying Actions

You can modify an object’s actions, for example, to change a trigger event, to reorder actions if the object has more than one, to disable an action, or to delete it altogether.

In Page view, select the object whose actions you want to modify, and click the Actions tab on the Properties panel.

  • To change the sequence of actions, select an action and click the up or down arrow at the bottom of the panel.

If two or more actions share the same trigger event, they occur in the order listed.

  • If you don’t want to publish an action now but might want to later, or if you want an action available only to use in a scripted action or JavaScript expression, clear that action’s check box. Next time the site is published, this action is not included, but it is still available to insert in a script or expression.

  • To change an action’s properties—its name, trigger event, target, action message, and so on—double-click the action and make changes in the Set Action dialog.

  • To delete an action, select the action and click the minus (-) button.


Scripting Your Own Actions

In addition to the actions NetObjects Fusion provides in the Message menu, experienced JavaScript programmers can script their own actions.

  1. In Page view, select the object you want to trigger the scripted action, and click the plus (+) button on the Actions tab of the Properties panel.

The Set Action dialog appears.

  2. Select Scripted Action from the action type drop-down list.

A text box appears in the dialog.

  3. Enter your scripted action in the text box using JavaScript.

NetObjects Fusion doesn’t verify code you enter, so be sure to use valid syntax. You can use any combination of typing, inserting existing script text from a text file (click Insert Script and open the file from the File Open dialog), or inserting a call to an existing action or function.

To insert a call to an existing action, click Insert Action. A list of the actions you added to the object appears. Select an action to insert and click OK. NetObjects Fusion inserts the action at the insertion point in the text box, in the form $(ActionName).

  4. Click OK in the Set Action dialog.

If you’re scripting an action and need to define JavaScript functions or other parameters, insert the defining script into the Between Head Tags field of the Layout HTML or Master HTML as appropriate.


Scripting Parameter Values

You can customize an action’s parameter values instead of choosing from the ones NetObjects Fusion provides by generating them with a JavaScript expression. For example, you might use the value a site visitor types in a form object as the number-of-seconds value in a Delay action.

If you know JavaScript, you can enter expressions directly. You can also modify code for the default values NetObjects Fusion creates, and you can assemble expressions out of an object’s other actions. For example, an expression might test for a particular condition—like time of day—and then trigger actions you created with the Set Actions dialog based on that condition. Just as the Values dialog often lists several values, an expression can generate one or more values, too.

  1. In Page view, select the object whose parameter values you want to script, and add any actions you want to use as components of the JavaScript expression.

For these actions, ignore the When field, since each action is triggered by the expression. Also, if an action’s only purpose is to be called by the expression, disable the action by clearing the check box next to it on the Actions tab of the Properties panel.

  2. Create the action whose parameter value you want generated by the expression, as described in Adding Actions to Objects and Pages. Or, open an existing action by double-clicking it on the Actions tab of the Properties panel.

  3. In the Set Action dialog, open the Parameters menu and choose Expression.

The JavaScript Expression dialog appears. If the action already has default parameter values, the dialog displays the code for those values.

  4. Enter your own JavaScript to generate the parameter value, or modify the code that’s already there. NetObjects Fusion doesn’t verify code you enter, so be sure to use valid syntax.

To build your expression around existing actions, click the Insert Action button, select an action from the Actions dialog, and click OK. NetObjects Fusion inserts the action at the insertion point, in the form $(ActionName).

  5. Click OK in the JavaScript Expression dialog and again in the Set Action dialog.

When the action is triggered, it uses the parameter values generated by your expression.


Creating a Button Rollover

You can use the Set Image and Use Image actions to give three-dimensional feel to a button, for example, by highlighting it when the site visitor’s pointer passes over it, by making it appear pushed in when pressed, and so on.

For this example, you need three pictures of a button—one showing how it looks when the page loads, one showing it highlighted, and one showing it pressed.

This example applies to images of buttons, but not to form buttons. The Set Image action is not available for form buttons.

  1. In Page view, place the picture of the button as it looks when the page loads.

  2. To add an action to the button, click the Action tab on the Picture Properties panel, and click the plus (+) button. The Set Action dialog appears.

  3. In the When field, from the Page drop-down menu choose Page Loaded. Click the Target Menu button next to the Target field and, from the Object Tree dialog that appears, select the button object. In the Message field, from the Object drop-down menu choose Set Image.

  4. From the Parameters drop-down menu, choose Values.

The Parameters dialog appears.

  5. Identify when to use which picture file. Make sure the "loaded" version of the button is selected for the Image 1 (Normal) value. Then select the highlighted button for Image 2 (Highlighted), and the pressed version for Image 3 (Depressed).

  6. To specify a picture file in a Set Image action’s Values dialog, select a value, click the button next to the edit field, and open a file from the Picture File Open dialog. Click OK.

  7. Add four actions to the button, filling out the Set Action dialog for each action like this:

Action 1. Enter Mouse, Mouse Over in the When field; the button itself in the Target field; and Object, Use Image in the Message field. Then open the Parameters menu and click Image 2 (Highlighted).

Action 2. Enter Mouse, Mouse Out in the When field; the button in the Target field; Object, Use Image in the Message field; and Image 1 (Normal) in the Parameters field.

Action 3. Enter Mouse, Mouse Down in the When field; the button in the Target field; Object, Use Image in the Message field; and Image 3 (Depressed) in the Parameters field.

Action 4. Enter Mouse, Mouse Up in the When field; the button in the Target field; Object, Use Image in the Message field; and Image 2 (Highlighted) in the Parameters field.

To link the rollover button to another page, you can add one more action. In the When field, from the mouse drop-down menu choose Clicked, in the Target field choose layout, in the Message field from the Location menu choose Go to URL, and in the Parameters field from the drop-down menu choose Values and select the link to go to.

  8. Preview the page to test your rollover. Mouse over the button to see it highlighted, and click it to see it pushed in.


Colliding One Object with Another

This example demonstrates a drag action, collision detection, and custom messages, where dragging one object into another makes the second object fly off the page.

  1. In Page view, add two objects to the page.

  2. Make sure the first object (the one you plan to drag) is in front of the second object.

  3. Make a note of each object’s ID as it appears on the Action tab of the properties panel.

  4. Select the first object and create a custom message named FlyAway, as described in Tailoring Actions with Custom Messages. Create an action to use in creating the custom message and then delete it.

  5. Add an action to the first object (as described in Adding Actions to Objects and Pages) so that mousing down on it makes it stick to the pointer until you mouse up.

In the Set Action dialog, enter Mouse, Mouse Down in the When field; the first object in the Target field; Drag, Start Drag in the Message field; and Until Mouse Up in the Parameters field.

  6. Add a collision detection action to the first object like this:

In the Set Action dialog, enter Page, Page Loaded in the When field; the first object in the Target field; and Drag, Set Collision Detection in the Message field. Then open the Values dialog from the Parameters menu and specify the second object for the Object ID value (type the object’s ID exactly as it appears on the Actions tab of its properties panel), and enter FlyAway for the Message value.

When the first object is dropped over the second, it sends the FlyAway message to the first object.

  7. Add yet another action to the first object that’s triggered by the FlyAway message and tells the second object to fly off the page.

In the Set Action dialog, enter Custom, FlyAway in the When field; the second object in the Target field; Motion, Fly in the Message field; and Out To Top in the Parameters field.

Then preview the page to test your collision. Drag the first object over the second, drop it there, and watch the second object fly off the page.


Showing One Object While Hiding Others

Here’s an example of cascading a custom message to build a sequence of actions where displaying one object selectively hides others.

Say your page displays a map showing the locations of five company offices. For each location, a button superimposes a text box on the page profiling that office’s activities. When a site visitor clicks a location, you want to hide any profile that’s currently visible, and then display the one describing the selected location.

  1. In Page view, place the buttons and text boxes in the Layout area, arranging them however you want.

  2. Select one of the buttons and create a custom message called HideAllProfiles, as described in Tailoring Actions with Custom Messages.

  3. To each button, add an action, as described Adding Actions to Objects and Pages, so clicking the button cascades the HideAllProfiles message to the Layout.

In the Set Action dialog, enter Mouse, Clicked in the When field; the Layout in the Target field; and Custom, HideAllProfiles in the Message field. Also, check the Cascade message option.

  4. Add a second action to each button so clicking it targets a Show message to the text box associated with the button.

In the Set Action dialog, enter Mouse, Clicked in the When field; the text box this button should display in the Target field; and Object, Show in the Message field.

  5. Select each text box, and on the Actions tab of the Properties panel, clear the Object initially visible in browser option.

  6. Add an action to each text box that’s triggered by the HideAllProfiles message and hides the text box.

In the Set Action dialog, enter Custom, HideAllProfiles in the When field; the text box itself in the Target field; and Object, Hide in the Message field.

Then preview the page. Clicking a button should send HideAllProfiles as a cascading action message to the Layout. The Layout doesn’t have any actions triggered by this message so it doesn’t respond. But it does cascade the message down to its embedded objects. As a result, every object on the page receives the message. But only those objects with actions triggered by the message—the text boxes—respond by hiding themselves. Next, the button sends a Show message to its associated text box, which makes itself visible.

Without cascading messages you’d have to add four additional actions to each button—one for hiding each text box. If you didn’t use a custom message to trigger the text boxes to hide, cascading a Hide message to the Layout would hide every object on the page.


Sequencing Actions for a Slide Show

Here’s an example of using custom messages and a delay action to build a slide show. When the page loads, a slide flies onto the page, stays there for the duration of time specified by a delay, flies off, and is followed by another slide.

Before you begin, gather the pictures you want to show in each slide and set the HTML output to Fixed Page Layout.

  1. In Page view, create a Layout Region, and in it, place pictures and text for your first slide.

By creating each slide in a Layout Region, you can include multiple objects per slide.

  2. Select the Layout Region and clear the Object initially visible in browser option on the Actions tab of the Properties panel.

You clear this object so the slide doesn’t appear until an action triggers it to fly onto the page.

  3. Create three custom messages named ShowPicture, PictureIsIn, and DelayIsDone, as described inTailoring Actions with Custom Messages.

Using custom messages rather than a generic End Motion trigger to trigger each slide’s entrance and exit lets you control exactly which motion triggers what.

  4. Add five actions to the Layout Region, as described in Adding Actions to Objects and Pages. For each action, fill out the Set Action dialog like this:

Action 1. Enter Page, Page Loaded in the When field; the Layout Region in the Target field; and Custom, ShowPicture in the Message field.

Action 2. Enter Custom, ShowPicture in the When field; the Layout Region in the Target field; and Motion, Fly in the Message field. Then open the Values dialog from the Parameters menu, enter a Direction value of 270 (degrees), and make sure Visibility is set to Show, which tells the picture to fly in from the left. Also enter PictureIsIn as the Completion Message.

You define the Fly action’s parameters in the Values dialog, instead of choosing In From Left from the Parameters menu, so you can trigger the next action with a custom message.

Action 3. Enter Custom, PictureIsIn in the When field; the Layout Region in the Target field; and Object, Delay in the Message field. Then open the Values dialog from the Parameters menu and enter DelayIsDone as the Custom Message, and 2 for the Delay value.

The arrival of the first slide triggers a two-second delay after which the DelayIsDone custom message is sent to trigger the next two actions.

Action 4. Enter Custom, DelayIsDone in the When field; the Layout Region in the Target field; Motion, Fly in the Message field; and Out To Right in the Parameters field.

After two seconds, the slide flies off the page.

Action 5. Enter Custom, DelayIsDone in the When field; the Layout Region in the Target field (you change this later); and Custom, ShowPicture in the Message field.

Also after two seconds, another slide flies onto the page.

  5. Create the second slide by copying and pasting the entire Layout Region, and placing the copy directly on top of (not inside) the first Region.

Copying the Layout Region copies its actions, too, so you don’t have to add the same actions over and over to subsequent slides.

To stack Layout Regions without inserting one in the other, select the Regions and align them using the Align buttons on the Multi-Object panel.

  6. Select the new Layout Region, replace its contents with the contents for your second slide, and delete its first action from the Actions tab on the Properties panel.

To make sure you’re working with the second Layout Region’s actions, open the Object Tree (from the View menu choose panels, Object Tree), and select the Region.

  7. Copy and paste the second Layout Region once for each remaining slide. Align the resulting Regions on top of each other as you did in step 5. While working with each Layout Region, replace its contents with those for a new slide.

You can uncover a Layout Region to work on in Page view by selecting Regions in the Object Tree panel and using the Hide Object or Show Object command on the Object menu. Also in the Object Tree panel, you can rename Regions Slide1, Slide2, and so on to keep track of which slide is which.

  8. Edit the last action of all but the last slide so it targets the next slide in the show.

Double-click the action on the Actions tab of the Properties panel to open the Set Action dialog and change the target.

  9. For the last slide, deactivate all but the first action by clearing the box to the left of the action.

By deactivating rather than deleting actions that target another currently nonexistent slide, you can easily add slides to your show later by reactivating and targeting the actions at a new slide.

Make sure that Fixed Page Layout is selected as the HTML output method on the Layout Properties panel and that Word wrap is cleared on the HTML Options dialog you access from the Site Settings General tab. Then preview the page to test your slide show.

Loading the page sends a ShowPicture action to the first slide, triggering it to fly onto the page. The completion of the Fly action sends a message that triggers a two-second delay, after which another custom message triggers both the exit of the current slide and the entrance of the next.


Customizing Default Actions

The trigger events, action messages, and default parameter values available in the Set Action dialog are defined in the JavaScript Beans (.jsb) and JavaScript (.js) files in the NetObjects Fusion 10\NetObjects System folder. If you’re experienced in JavaScript programming, you can add your own .jsb and .js files to provide even more choices in the Set Action dialog.


Adding Java and ActiveX

You can make your site more interesting and interactive by adding special applications, such as Java applets, Java Beans, or ActiveX controls. NetObjects Fusion tools make it easy to insert these items and set their properties. To choose appropriate properties settings, you should be familiar with Java or ActiveX before you add these types of application files to your site. A sample Java applet is available in the NetObjects Fusion 10\Java\Applets folder; sample Java Beans are available in the NetObjects Fusion 10\Java\Beans folder.

Browse this section for information about:

  • Java applets and servlets

  • Java Beans

  • ActiveX controls


Inserting a Java Applet or Servlet

Java applets and servlets are an efficient way to add sound and animation, such as scrolling messages and color cycling buttons, to a page. Java applets and servlets are platform-independent applications with compact file sizes. Usually, Java applets and servlets run from the client platform, which means site visitors download and run them from a browser; however, servlets can include commands that are executed on the server. Most browsers are Java-compatible, so site visitors don’t need special plugins to run a Java applet.

To insert a Java applet or servlet:

  1. In Page view, select the Java tool from the Plug-Ins toolbox.

  2. Draw a box to indicate the position of the Java applet or servlet.

The Open dialog appears.

  3. Select a Java file from your hard disk or LAN, or select one that is currently used in the site from the Java Class Assets tab. See Managing Assets.

The extension for a Java file is .class or .jar.

  4. Click Open.

The Java placeholder image appears on the page, and the Java Properties panel appears. The path to the file you selected appears in the File field on the General tab. To select a new file, click Browse, find the file, and click Open.

The current .class file is displayed in the Class field.

You can also drag a Java .class file from Windows Explorer onto your page. The Java placeholder appears on the page, and you can set the Java properties for that file.

  5. To provide text for the browser to display if it cannot display the file, enter a description in the AltTag field.

  6. Select Applet or Servlet depending on which type of file you are inserting.

  7. If your applet or servlet requires additional files, click the Additional Files button, then click Add in the Java Applet Files dialog.

  8. Select another file in the Add Java Applet Files dialog, and click Open. Click OK to add the selected file.

To delete a .class file from the Class list, click the Additional Files button and select the appropriate file in the Java Applet Files dialog. Click Delete, then click OK.

  9. To add parameters to the Java applet, click the Parameters tab.

This guide assumes you are familiar with Java and understand the effects of setting these parameters. In some cases, Java developers provide documentation that explains the parameters.

  • To edit parameters, double-click the parameter and enter a value in the Enter Value dialog.

For servlets, you can specify that the value is an initialization value for the parameter by checking the Value is an initializer option in the Enter Value dialog.

  • To learn more about each parameter, look in the Parameter info section.

  • To remove a parameter, select it and click the minus (–) button.

  • To add a parameter, click the plus (+) button and enter a name and value in the Enter Value dialog.

  • To change the order of the parameters in the generated HTML, click the Up or Down arrow buttons. The selected parameter moves up or down in the Parameters list.


Inserting a Java Bean Component

Java Beans are a type of Java applet. Unlike Java applets, which require .class files plus other types of files, Java Beans are an all-in-one implementation of Java. A single .jar file contains everything required to run the applet.

To insert a Java Bean:

  1. In Page view, select the Java Bean tool from the Plug-Ins toolbar.

  2. Draw a box to indicate the position of the Java Bean.

The Open dialog appears.

  1. Select a Java Bean file from the NetObjects Fusion 10\Java\Beans folder, or select one that is currently use in the site from the Java Archive Assets tab.

A Java Bean file can have a .jar or .class extension. Most Java Beans have a .jar extension, but some .jar files might not be Java Beans. If you try to open a .jar file that is not a bean, you see a message from NetObjects Fusion.

  2. Click Open.

The Java Bean placeholder appears on the page. Beans have different icons in the upper right corner of the placeholder; the icon is created by the bean’s author and has no effect on the bean or its behavior.

The path to the file you selected appears in the File field on the General tab of the Java Bean Properties panel. To select a different file, click Browse, find the file, and click Open. The current .class file is displayed in the Class field.

  3. To provide text for the browser to display if it cannot display the file, enter a description in the AltTag field.

  4. Select Applet or Servlet depending on the type of bean you are inserting.

  5. If the bean requires other files, click the Additional Files button, then click Add in the Java Applet Files dialog.

  6. Select another file in the Add Java Applet Files dialog, and click Open. Click OK to add the selected file.

  7. Click the Properties tab.

Different beans have different sets of properties. This help assumes you are familiar with Java Beans and understand the effects of setting these properties. In some cases, Java Bean developers provide documentation that explains the properties.

  8. To edit a property, select the appropriate field. Some properties require you to choose a color or enter a value in a dialog. Other properties toggle True/False or require you to type text. In some cases properties appear that have no affect on the bean or its behavior.

  9. Click the Parameters tab.

If you know the bean’s internal parameters, you can add or remove them.

  • To add a parameter, click the plus (+) button and enter a name and value in the Enter Value dialog.

  • If there are parameters listed, to remove one, select it and click the minus (-) button.

  • To change the order of the listed parameters, select a parameter and click the Up or Down arrow buttons.

  10. Publish the page to see how the bean works.

You can add actions to Java Beans using the Actions tab. When you choose a Java Bean as the target or source of an action, you see an expanded selection of available actions or trigger events as appropriate. See Building Dynamic Pages.


Inserting an ActiveX Control

You use ActiveX controls to embed an application in a Web page. Microsoft Internet Explorer 3.x or later supports ActiveX controls with which you can add custom capabilities such as audio and movie players, calendars, custom buttons, and forms to your pages. You can view documents such as Microsoft Office files in Internet Explorer without launching the associated program. Site visitors must use Internet Explorer 3.x or later to view content created with ActiveX controls. To view the content in Netscape Navigator 4.x, site visitors must install special plugins. For information, go to www.microsoft.com.

To insert an ActiveX control:

  1. In Page view, select the ActiveX Control tool from the Plug-Ins toolbox.

  2. Draw a box to indicate the position of the ActiveX control.

The Insert ActiveX Control dialog appears, listing the ActiveX controls currently installed on your system. The bottom section shows the selected ActiveX control, which has an .ocx or .dll extension.

  1. Select Set codebase to add the codebase parameter to the generated HTML and ensure that the ActiveX control is published to the website. If a visitor who does not have the ActiveX control you are using views the website, the option to download the control is offered.

  2. Select the control you want and click OK. The ActiveX control appears on your page, and the ActiveX Control Properties panel appears.

The General tab displays the options for the selected control.

If you use an ActiveX control that references an external file, such as a .pdf file, you must specify the relative path of the file as it will be in the final published site. First you must add the file as an asset of the site and set it to always publish. See Adding a File Asset. To determine the file’s relative path in the final site, look at the publish directory structure listed in Publish view.

  3. To provide text that the browser displays if it cannot launch the ActiveX control, enter the text in the AltTag field.

  4. To change an option, select it and enter the information in the field.

  • To accept any text you enter, click the check mark or move the cursor to another field.

  • To cancel the change, click the X.

  • To use the native property page for the ActiveX control, click the Properties button. You can change the control’s settings using the native property page instead of NetObjects Fusion properties. Some ActiveX controls do not have a native property page.

  • To insert HTML tags and scripts, click the HTML button. See Working with HTML Directly.

You can add actions to ActiveX controls using the Actions tab.


Designing and Implementing Forms

You can add forms to your site to collect information from site visitors; for example, to survey potential customers, conduct credit-card transactions, have customers register products, or otherwise process information visitors submit.

Using forms, visitors can type in text fields, upload files to your server, and select options using check boxes, radio buttons, and combo boxes. The form tools built into NetObjects Fusion contain the necessary server-side scripts, written in PHP or ASP, used to process your form responses.

You can also use JavaScript or Visual Basic routines with forms. See Working with HTML Directly.

Browse this section for information about:

  • Creating forms

  • Adding text fields , check boxes , radio buttons , combo boxes

  • Adding Submit, Reset, and custom buttons

  • Setting validation rules for form objects

  • Processing data with a CGI script

  • Adding hidden fields for client-side parameters


Creating a Form

With NetObjects Fusion, you can devote an entire Layout area to a complex form containing many items, or create one or more smaller forms, each in a Layout Region, table, or text box. One form might log product registrations, for example, while another emails customer comments to a product manager. You can also add a form to the MasterBorder so it appears on several pages.

  1. In Page view, select the Form Area tool from either the Form toolbar or the Standard toolbox, and draw a rectangle in the Layout area or MasterBorder.

The Create Form dialog appears.

  2. Select a type of form container.

  • Create position-based form (Layout Region) creates a form in a Layout Region that you can resize and drag anywhere on the page. When you add form objects, text boxes, and other objects to the Layout Region, you can freely position and align them, just as you position objects in a Layout area.

  • Create text-based form (Text box) creates a form in a text box. Text you type and form objects you add appear sequentially, just as when you type. This is a good choice for forms that have a lot of text, where objects appear sequentially, or that have a simple layout, like a row of check boxes or a single column of fields. A text box form typically generates less HTML when you publish than a Layout Region form.

  • Create form in a Table creates a table where you can line up form objects by inserting them in table cells. Each cell acts like a text box, where you type and add objects just as you add other objects to a table. You can only have one table for the entire form.

If you define a Layout, Layout Region, or text box as a form, you can insert multiple tables to help align form objects.

  • Define Layout as a form (limits page to one form) creates a single form on the page that occupies the entire Layout area.

  3. Click OK.

  4. Add fields, check boxes, and other objects to your form, along with images and other content, as described in Adding Objects to a Form .

You can also turn an existing Layout or container object into a form. Click the Layout area, Layout Region, text box, or table, and select the form option on the General tab of the Properties panel; for example, Text box is a form.


Adding Objects to a Form

You can add any standard form objects to a form, including single- and multiple-line text fields, check boxes, radio buttons, scrolling lists, and drop-down lists.

You add objects to a form using the Form toolbar. This toolbar appears when you first create the form, or you can open the toolbar from the View menu by choosing Toolbars, Form Tools.

Arrange and align the fields, check boxes, and other objects in a form, just as you would arrange objects in a Layout area, table, or text box. You must place form objects inside a form to make them work as part of the form. If you don’t place form objects inside a form, a red warning icon appears in the form object.

To minimize the HTML generated by a Layout Region form, align its objects using the options on the Multi-Object panel or organize the objects in tables or text boxes. See Aligning and Distributing Objects, Embedding Objects in a Text Box, and Adding Text and Pictures to Cells.

Browsers display form objects differently, so test your form on all the browsers and platforms you plan to support.

If you publish pages containing forms using the Fixed Page Layout output option, the forms may not display properly in the browser and the form objects display warning icons in Page view.


Naming Form Objects

When you add objects to a form, you provide a name or argument for each object that is passed to the script that processes responses. These names can be used to output or otherwise process the text typed in a field, or the state of each check box, radio button, or combo box.

In addition to names, you can also provide a value to be sent when a site visitor selects a check box, radio button, or item in a combo box. For example, a check box named Yellow with a value of Yes might be sent to a script as Yellow=Yes, depending on the script.

Actions you add with NetObjects Fusion can also use form object values to manipulate a site visitor’s response. See Scripting Parameter Values.


Adding a Single- or Multiple-Line Text Field

A single-line text field can accommodate just a few words, such as a name or phone number. After creating the form as described in Creating a Form:

  1. In Page view, select the Forms Edit Field tool from the Form toolbar.

  2. Draw a rectangle on the form.

The Forms Edit Field Properties panel appears.

  3. Set the Forms Edit Field properties.

  • Name. Type Select a field type from the drop-down menu

  • Type. Select a field type from the drop-down menu.

  • Single line. Select this option to provide a text field that will accommodate just a few words, such as a name or phone number.

  • Multi line. Select this option to provide a text field for long comments or descriptions.

  • Password. Select this option if the field is for sensitive information like a password or credit card number. Characters site visitors type are submitted to the script, but depending on the browser, visitors see asterisks, bullets, or nothing at all as they type.

This option does not create password protection to prevent site visitors from visiting certain pages. That level of protection can only be provided by scripts used by the form or by permission settings on the server itself.

  • Text. Type text to appear in the field by default. This text is submitted as the response if the site visitor doesn’t replace it.

  • Wrap. Select a text wrap setting to control how the visitor’s input will be displayed when the visitor enters more information than can be displayed in the defined text field. This option only applies to multiple-line text fields.

  • Off. Select to prevent text from wrapping to the next line. If a visitor’s text field entry exceeds the boundary of the field, the text will scroll toward the left. Users can enter a hard return to move to the next line in the text field.

  • Virtual. Select to wrap the text in the text area. When the visitor’s text field exceeds the bounds of the text field, text wraps to the next line. This option is recommended when sending data to a script of a database word wrap is not applied to the data. Instead, the submitted data is sent as a single string.

  • Physical. Select to wrap the text in the text field as well the data when it is submitted for processing.

  • Type. Select a field type from the drop-down menu

  • Char Width. Enter a number to define the width of the text box by specifying the number of characters visible in the field.

  • Max chars/Vis height. Enter a number to define how many characters site visitors can enter in the field. When typing exceeds the field’s visible width, text scrolls up to this number of characters. This option only applies to multiple-line text fields.

  • Style. Select a text style for the form field text from the drop-down list.

  • Disabled. Click this check box to disable the text field on the form. The field will appear on the form, but site visitors will not be able to enter text in the field or replace any default text in the field.

  4. To add a label to the field, use the Forms Field Label tool on the Forms toolbar. See Adding Form Labels .

Select the label and the field and on the Multi-Object panel, click Align Center to make sure these objects appear correctly in the browser. To make aligning labels and fields easier, include the field and label in the same text box, or insert both objects in table cells.


Adding Radio Buttons

Use radio buttons when you want site visitors to choose one option from a group. Clicking one radio button deselects all others in its group. After creating the form as described in Creating a Form:

  1. In Page view, select the Radio Button tool from the Form toolbar.

  2. Draw a rectangle on the form.

  3. Set the Forms Radio Button properties.

  • Group name. Type the name for this group of buttons that’s passed to the script processing the form. This should be the same for all buttons in the group.

  • Value sent. Type the value passed for the button if the site visitor selects it.

  • Default. Choose either Selected or Not selected to set the button’s initial state, which is returned as the response if the site visitor doesn’t change it. Remember that only one radio button in a group can be selected at a time and this only works if all buttons in the group have the same group name.

  • Style. Select a style to apply formatting to the contents of the selected box.

  4. To add a label to the radio button, use the Forms Field Label tool on the Forms toolbar. See Adding Form Labels.


Adding Check Boxes

You can provide check boxes for making one or more selections from a group of options, or to turn a single option on or off. Unlike radio buttons, any number of boxes in a group can be selected at the same time. After creating the form as described in Creating a Form:

  1. In Page view, select the Forms check box tool from the Form toolbar.

  2. Draw a rectangle on the form.

  3. Set the Forms check box properties.

  • Name. Type the name for this check box that’s passed to the script processing the form. Each check box must have a separate name.

  • Value. Type the value passed for the box if the site visitor checks it.

  • Default. Choose either Selected or Not selected to set the button’s initial state, which is returned as the response if the site visitor doesn’t change it.

  • Style. Select a style to apply to the check box from the drop-down list.

  4. To add a label to the check box, use the Forms Field Label tool on the Forms toolbar. See Adding Form Labels .


Adding a Combo Box

If a long list of check boxes or radio buttons takes up too much space in your form, you can list options in a combo box. Use a scrolling list if you want site visitors to be able to select more than one option, which is a space-saving alternative to a group of check boxes. Or use a drop-down list for selecting only one option, which is an alternative to radio buttons. After creating the form as described in Creating a Form:

  1. In Page view, select the Forms Combo Box tool from the Form toolbar.

  2. Draw a rectangle on the form.

  3. Set the Forms Combo Box properties.

  • Name. Type the name for this combo box that’s passed to the script processing the form.

  • Type. Select whether you want a drop-down list that displays one item at a time, or a list box that displays several items in a scrolling list.

  • Height. For a list box, enter the number of visible lines in the box.

  • Multi-select. For a list box, select this option if you want site visitors to be able to select more than one item in the list.

  4. To add items to the combo box list, click the plus (+) button and, in the Enter Value dialog, type a name and the value passed to the script for the item.

  • Name. Type the name passed for this item, which is also the name that appears in the list.

  • Value. Type the value passed if the item is selected.

  • Selected by default. Check this option if you want this item initially selected. Unless you’re creating a list box and you select Allow multiple selections, only one item in the list can be selected.

  5. To add a label to the list, use the Forms Field Label tool on the Forms toolbar. See Adding Form Labels .

To remove items from the list, select the item and click the minus (-) button. Use the arrow buttons to rearrange the order of items in the list.


Adding a File Selector Box

In addition to check boxes, radio buttons, and combo boxes, you can add file selector boxes to your site to allow site visitors to upload files to your Web server. By adding file selector boxes to your site, visitors can send files (e.g., pictures, resumes, and spreadsheets) easily without having to send them via e-mail.

  1. In Page view, select the Forms File Selector tool from the Form toolbar.

  2. Draw a rectangle on the form.

  3. Set the Forms File Selector properties.

  • Name. Type the name for this forms file selector box that’s passed to the script processing the form.

  • Char width. Enter a number to define the width of the file selector text box by specifying the number of characters visible in the field.

  • Max Chars. Enter a number to define how many characters site visitors can enter in the field. When typing exceeds the field’s visible width, text scrolls up to this number of characters.

  • Style. Select a style to apply formatting to the file selector box.

  • Disabled. Click this check box to disable the file selector box form. The field will appear on the form, but will not be active for visitors to use.

  4. To add a label to the File Selector box, use the Forms Field Label tool on the Forms toolbar. See Adding Form Labels.

Adding the File Selector Box automatically updates the form’s method and encoding values.


Adding Form Labels

When you add form objects to a form, you can easily add labels to each form object using the Forms Field Label tool. You can modify the appearance of the label and label text to complement your page design. You can also quickly create a relationship between the label to its corresponding form object.

  1. In Page view, select the Forms Field Label tool from the Form toolbar.

  2. Draw a rectangle on the form positioned near the form object corresponding to the label you are adding.

  3. Type or paste label text in the label text box.

  4. Use the options on the Format tab of the Forms Field Label Properties panel to format the label text. See Formatting Selected Text.

  5. Click the Text Box tab on the Forms Field Label Properties panel to format the background and style properties for the form label. See Setting Text Box Background.

  6. Click the Form Label Inspector tab.

  7. Choose the form object that corresponds to the label in the For drop-down menu.


Adding Reset, Submit, Custom, and AutoClose Buttons

After adding objects for collecting data from site visitors, you must add a Submit button to send the data to your Web server. You can also supply a Reset button so visitors can clear the form and start over.

After creating the form as described in Creating a Form:

  1. In Page view, select the Forms Button tool from the Form toolbar.

  2. Draw a rectangle on the form.

  3. Set the Forms Button properties.

  • Name. Use the name your script references.

  • Type. Choose a button type:

  • Image. To use a picture as a label, select Image, click Browse, and choose an image file from the Picture File Open dialog.

When you use an image as the label for a form button, that button can only submit information. It cannot be used as a reset button.

  • Submit creates a button that sends the site visitor’s responses to the script on the server.

  • Reset creates a button that reverts to the form’s initial settings.

  • Button creates a custom button that runs the script you add using the HTML button.

  • Close window creates a button that closes the form’s browser window when the form is submitted.

  • Value. Type the value to be passed to server-side script.

  • Disabled. Click this check box to disable the button. The button will appear on the form, but will not be active for visitors to use.

  • Style. Select a style to apply formatting to the button.

  • HTML. Opens the Object HTML dialog so you can add a script that runs when site visitors click the custom button. See Accessing an Object's HTML.


Setting Form Object Tab Order

By setting the tab order for the form objects on the page, you can guide visitors through a specific sequence of fields and objects when they fill out the form. When you set the tab order, you determine the sequence that is followed when the visitor navigates through the form using the Tab key. For example, a visitor could be directed to a field named "Last Name" when clicking the Tab key after filling out a form field named "First Name".

  1. In Page view, right-click inside a form area.

  2. Select Tab Order from the shortcut menu.

The Tab order dialog appears.

  3. Select a form element name and move its position on the tab order list by clicking the up and down arrows.

  4. Click OK to set the tab order and close the Tab order dialog.


Setting Validation Rules for Form Objects

With NetObjects Fusion, you can apply validation rules to form objects. Using validation rules, you can set requirements that the site visitor must meet to submit a form successfully. For example, you can apply a validation rule for a field so that a site visitor is required to select an option from a drop-down or list box before submitting the form. If the site visitor does not select an option and submits the form, the form will refresh with error markers, and the visitor will not be able to submit the form until all fields with errors are completed correctly.

  1. In Page view, click anywhere in the form or on a form object.

  2. On the Layout Region Properties panel, click the Form Fields Inspector tab.

  3. In the Fields list box, click the name of the form object to which you want to add validation options.

  4. Click the Validate button.

The Validate Form dialog appears.

  5. Apply validation options by selecting options in the Validation options list box and clicking the add (>) button.

Available validation options will vary, depending on the type of form object selected. Validation options include:

  • Required designates that the site visitor is required to enter text in the text field, select an option from the radio button, check box, or combo box, or submit a file in the file selector.

  • EmailAddress requires that the visitor’s text input is in valid email address form (e.g., joesmith@netobjects.com).

  • DomainName requires that the text input follow the conventions for a standard domain name. Text input must contain a standard URL extension (.org, .com, etc.) and cannot contain certain characters (e.g., @).

  • LengthInRange specifies range the number of characters that the text input must contain. For example, you can create a validation option so that the text input contains at least 5 characters but no more than 10.

  • PhoneNumber requires that the visitor’s text input is in valid phone number structure (e.g., 555-555-5555).

  • CreditCard validates a credit card number the user enters based on the rules of that card. You must a add a form object for each credit card type (Visa, MasterCard, etc.) that you want to validate.

  • Date requires that the user input a date in the format that you select in the Parameters field.

  • Number ensures that the visitor’s input is numeric and contains no letters or special characters.

  • NumberRange verifies that the visitor’s text input is numeric and that the value is within a specified range. For example, you could ask visitors to rate a service on a scale of 1 through 5. Any input that does not fall within that range of values will be invalid. You specify the range of values in the Paramaters field.

  6. Apply validation options by selecting options in the Validation options list box and clicking the add (>) button.

  7. Remove applied validation options by selecting them in the Validate fields as list box and clicking the remove (<) button.

  8. Set available parameters for a validation option by selecting the option in the Validate fields as list box, double-clicking in the Value row, and editing the value.

  9. Customize error message text for selected validation options by replacing the default Error Message text.

  10. Click the Change the label and field style check box to change the appearance of form labels and fields that do not meet validation requirements when a visitor fills out the form.

For example, if a visitor enters an invalid number in a text field with CreditCard validation applied, the field can appear with a red background when the form page refreshes to denote an incorrect field entry.

  11. If the Change the label and field style check box is selected, select a style from the Label style and Field style drop-down lists, or create a new style by choosing Manage Styles. See Creating a Text Style.

  12. Repeat steps 9 and 10 to change the appearance of labels and fields with validation errors individually. To change the appearance of all labels and fields with validation errors at once, see Setting Form Error Properties.


Setting Form Error Properties

You can modify the appearance of individual form labels or objects that display when their validation requirements are not met, and you can also apply a uniform appearance to all form labels and objects that do not meet validation requirements.

  1. In Page view, click anywhere in the form except on a form object.

  2. On the Layout Region Properties panel, click the Form Fields Inspector tab.

  3. Click the Validate button.

The Validate Form dialog appears.

  1. In the Validate Form dialog, click the Form tab.

  2. In the Label style and Field style drop-down lists, select a style for the appearance of form labels and fields that do not meet validation requirements. To create a new style, choose Manage Styles. See Creating a Text Style.

To apply the label style to all labels on the form that do not meet validation requirements, click the Apply to all labels button.

To apply the field style to all labels on the form that do not meet validation requirements, click the Apply to all fields button.

  3. Customize error message text for selected validation options by replacing the default Error Message text in the Validate From dialog.

  4. Click the Show only first error check list to show only the first error when multiple validation errors have been made.

When a visitor submits the form after correcting the first error, the remaining errors will displayed sequentially until each error has been corrected.

  5. Click OK to close the Validate Form dialog.


Processing Data with a CGI Script

Processing Data

A script is a program that controls a program on your Web server. Using a script, you can format responses for a particular application, summarize them on a page that’s returned to the site visitor, or do practically anything else with the data.

  1. In Page view, click anywhere in the form or on a form object.

  2. On the Layout Region Properties panel, click the Form General Properties tab.

  3. Specify:

  • Form name. Type an arbitrary name for the form. This is required by some browsers.

  • Action. Type the URL to the script on a server. If the script is already on the server, enter its URL here; for example:

http://www.host.com/myaccount/fusionproject/assets//myscript.php

Normally, NetObjects Fusion publishes custom CGI scripts to the cgi-bin directory specified in Publish view. If your server’s configuration requires publishing scripts somewhere else, you must use the Alias tab of the Define Server dialog in Publish view to specify that location in the CGI script field.

If the CGI script isn’t already on the server but needs to be published along with your site’s assets, click Browse and select the script file to be published from the Open dialog. This file appears in the Action field. NetObjects Fusion adds the file as an asset and puts it in the CGI bin directory.

When visitors click Submit, the server executes the CGI script at this URL.

If the URL doesn’t point to your server’s cgi-bin folder, you must customize your site’s published directory structure by renaming cgi-bin appropriately. See Customizing Your Site's Directory Structure.

  • Method. Choose a method for sending form data to the Web server:

  • Post, which is the preferred method, sends data as a standard stream of name=value pairs, separated by an ampersand (&).

  • Get sends the values of the form variables as part of the URL. Use Get with care, as some servers truncate data sent using this method.

Often, the method you use is determined by the scripts you use. Check your script’s documentation for information.

  • Type. If your server requires data to be encoded in a particular format, such as MIME or BinHex, type the format here.


Adding Hidden Fields

If a CGI script is processing your form, you probably need to use hidden fields to pass additional information to it, such as which fields must be filled in to display the success page or where to return data once it’s processed. Site visitors don’t see these fields, but the values are submitted to the script with form responses.

  1. In Page view, click anywhere in the form or on a form object.

  2. On the Layout Regions Properties panel, click the Forms Handler Fields Properties tab.

  3. Add names and values for each hidden field in the Form Properties dialog.

  • To add a field, click the plus (+) button, then enter a name and value for the field in the Enter Value dialog.

  • To remove a field, select it and click the minus (–) button.

  • To reorder fields in the list and define their order in the submitted data, select a field and click the up or down arrow.

  4. Click OK.


Using NetObjects Fusion Components

Components are pre-built mini-applications that add interactivity to your site without custom programming or scripting. Publish components and Page components are available in NetObjects Fusion 10. The component’s type dictates where it appears within NetObjects Fusion, and the Component Manager can be used to easily organize available components in Page view.

NetObjects Fusion components are installed when you install NetObjects Fusion. You can also download third-party components from third-party vendors. If you are a software developer and want to create your own NetObjects Fusion Components, sometimes called NFXs, you can use the Component Development Kit (CDK), available for free. For information, visit www.netobjects.com.

You cannot preview components in NetObjects Fusion. When you add a component to a page and preview, you see a placeholder graphic. To see how the component works, you must publish the site locally or remotely.

Browse this section for information about:

  • Using the Component Manager

  • Adding NetObjects Fusion Components to a page

  • Setting component properties


About the Component Manager

The Component Manager provides a way for you to organize your toolboxes and save space as you work in Page view. The first time you open your site in Page view, the Component Manager panel will be docked to the left of the page. The Component Manager can be docked, auto-hidden, resized, or grouped with other panels. If you close the Component Manager, the next time you add a component toolbox, it will re-appear.

All NetObjects Fusion component toolboxes can be added to the Component Manager.

The Component Manager displays the components on three tabs:

• Custom Components, which contains the NOF Components, the Online Services, and the Plug-Ins.

• DB Components, which contains the Data-base Components.

• Flash Components, which contains the library of all the Flash Components.

To add a component toolbox to the Component Manager:

  1. From the View menu, choose Components.

  2. Select the component toolbox you want to add.

The component toolbox will be displayed in the Component Manager, on the corresponding tab.

In the Component Manager, you view only the active toolboxes. You make a toolbox active by clicking on the toolbox and expanding it. Once you make a new toolbox active, the previous tooloxr collapses.

Individual component toolboxes can be ungrouped by dragging their tittle bar away from the Custom Components panel. This will create a second Custom Components panel.

  • To view an object description, right-click on the component. A brief summary of the object will be displayed in the Component manager.

  • To view toolboxes in the Component Manager, click the up or down arrows.

  • To float a toolbox, drag the toolbox out of the Component Manager container and place it anywhere on the page.

  • To dock a toolbox, drag the toolbox out of the Component Manager container and dock any other side of page.

  • To dock a toolbox within another docked or floating component panel, drag the toolbox over the panel while pressing the Shift button.

  • To dock a toolbox back in the Component Manager, press Shift and drag the toolbox back into the Component Manager container.


About Components

You can use Publish components and Page components in NetObjects Fusion. The component’s type dictates where it appears within NetObjects Fusion.

  • Publish components are used to post-process the HTML generated by NetObjects Fusion or to change NetObjects Fusion’s FTP capabilities. See Publishing Components.

  • Page components appear on toolboxes in Page view. You use the tools to place components on your pages.

To add copies of the same component to a site, you must place a new component each time. Copying and pasting components can lead to site corruption.

NetObjects Fusion components are automatically installed when you install NetObjects Fusion. These components appear on the NOF Standard Components toolbox in Page view and are all discussed in this chapter.

In addition, you can download third-party components, such as NetObjects Fusion Connector for Macromedia ColdFusion and NetObjects Fusion Components for IBM HotMedia. Depending on their type, third-party components are installed in the appropriate place in NetObjects Fusion. Additional component toolboxes become available in Page view when you install a third-party Page component. For information about third-party components, visit Online view.


Using the Flash Components

NetObjects Fusion 10 comes equipped with a new package of components: Flash Components. You can achieve amazing effects with these Flash components. The Flash components are pre-built mini-applications that add interactivity to your site without custom programming or scripting.

You can preview the Flash components in NetObjects Fusion when you add a component to a page and preview it.

The Flash components are customizable components that you can use to quickly develop interfaces for web applications. The Flash components are .swf files that can depend on other .swf files. These files are the ones you display in a Web page.

There are more than 200 Flash components that can bring interactivity to your site. All of them are easy to use, and it is now easier than ever to change the look and feel of them. You can place on a page as many Flash components as you want on a page, even of the same type. You can preview the Flash Components in the browser to see exactly how the Flash components look.

You can access a Flash Component on the NetObjects Fusion Components Manager while in Page View. If you do not see them on the Components Manager:

  1. From the View menu, select Components.

  2. Check the Flash Component option you want to add (if it is not already checked).

The Flash Component will appear on the Fusion Components Manager.


Adding a Rotating Ad Banner

You can use the Ad Banner component to display a series of images within a banner. You determine which images display, associate a transition with each image, set the amount of time each image is displayed, and specify a URL linked to each image.

NetObjects Fusion supports .gif and .jpg images in components. See Choosing an Image Format.

To add an Ad Banner:

  1. In Page view, select the Ad Banner tool from the NetObjects NOF Standard Components toolbox.

  2. Click on the page where you want to place the Ad Banner.

An Ad Banner placeholder and the Ad Banner Properties panel appear.

  3. Specify the Banner Type.

  • Image Size. The Ad Banner is the same size as the images you select.

  • Standard Banner Size. Click Banner Size and choose from the drop-down list.

  • Custom. Enter a width and height for the Ad Banner.

  4. Enable or disable Automatic Resizing.

If Automatic Resizing is disabled, you must choose images that are the same size. If Automatic Resizing is enabled, Ad Banner resizes the larger images to match the smallest image. For best results, use images that are the same size.

  5. Set Pause Time to control how long each image is displayed.

  6. Enter the total number of images you want to use. You can use from 1 to 50 images.

  7. To select an image, double-click the Image row, select the image from the Picture File Open dialog, and click Open.

  8. Double-click the URL for Image row and in the Link dialog select a type of link for the image. See Creating Links and Anchors.

  9. Specify the link information and click Link.

  10. Click the Transition row and select a transition from the drop-down list. You can choose:

  • Column to draw increasingly larger columns of the new image onto the old image. The new image appears to slide in from behind the old image.

  • Fade to change one image into another by drawing a set of random pixels from the new image onto the old image.

  • Rotate to make it appear as though one image is rotating upward from below the other image.

  • Smash to drop the new image onto the old one. The old image appears to crumble under the weight of the new image.

  • Tear to make it appear as though the old image is ripped away to reveal the new image.

  • Unroll to place the new image on top of the old image and unroll it.

When the site displays in the browser, the sequence begins with a random image and its associated transition.

Repeat steps 7 through 10 for each image you want to rotate into the Ad Banner.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding DynaButtons

DynaButtons are Java buttons that link to another page on your site, other sites, or a specific file. You can place DynaButtons anywhere on your pages and assign up to 20 buttons to a DynaButton bar. In addition, you can assign up to 20 sub-buttons to each DynaButton. You can create sub-buttons for navigating from a main page to pages at a lower level.

When you publish the site, each button appears in the browser in the primary button style selected for the site and displays the name of the page to which it is linked. You cannot assign custom images to DynaButtons. The button’s style is determined by your SiteStyle. To use custom images for buttons, use the Picture Rollover tool.

Because a DynaButton is an active link, the button appears active when a site visitor moves the mouse pointer over the DynaButton or clicks the button. The site visitor can click the DynaButton to go to the appropriate link.

To add DynaButtons and set properties:

  1. In Page view, select the DynaButtons tool from the NOF Standard Components toolbox.

  2. Click on the page to indicate the DynaButtons’ location.

A DynaButtons placeholder and the DynaButtons Properties panel appear.

  3. Select the buttons’ orientation—vertical or horizontal—from the drop-down list.

  4. Click the Number of Buttons row, specify how many buttons you want, and click the check mark.

  5. Double-click the number row, such as Button 1.

The Link dialog appears. You can link this button to another page, file, smart link, or external link. See Creating Links and Anchors.

  6. Specify the link information and click Link.

The details of the link appear in the right column of the button row.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding Sub-Buttons

If a DynaButton contains sub-buttons, the sub-buttons appear when a site visitor clicks the DynaButton. The sub-button shows information about the link associated with the button. For example, if a sub-button is linked to an external link, the sub- button displays the asset name for the external link.

To add sub-buttons and set the properties:

  1. In Page view, create a DynaButton as described in Adding DynaButtons.

  2. Double-click the Use Sub-Buttons row.

Yes appears in the right column and NetObjects Fusion adds a Number Sub-Buttons row under the Use Sub-Buttons row.

  3. To specify the number of sub-buttons, select the Number Sub-Buttons row, enter the number of buttons, and click the check mark.

The limit is 20 sub-buttons. The appropriate number of sub-button rows appear, numbered in sequential order.

  4. To define the link for each sub-button, double-click the appropriate sub-button row, such as Sub-Button 1,2. The first number, in this case the 1, identifies the button for which the sub-button was created, and the second number is the number of the current sub-button.

The Link dialog appears. See Creating Links and Anchors.

  5. Specify the link information and click Link.

  6. Repeat steps 4 and 5 to create and define each sub-button.


Adding a Go Menu

You can use the Go Menu component to easily create a drop-down navigation menu, with each menu item corresponding to a single page in the site.

  1. In Page view, select the Go Menu tool from the NOF Standard Components toolbox.

  2. Draw a box on the page where you want to place the Go Menu.

The Go Menu dialog appears.

  3. On the Menu Items tab, select a link type from the drop-down list and set up a link to the items you want to include on the Go Menu. See Creating Links.

  4. From the list on the left, select the specific items you want to include on the Go menu and click the right arrow to move them into the Link column. You can include up to 50 items on the menu.

  • To change the way an item is listed on the menu, double-click it in the Menu Item Name column and type a new name.

  • Select an item and click the Move up or Move down button to change the order of items on the menu.

  • To delete an item, select it and click Delete.

  5. Click the Button Format tab.

  6. Select one of the three formats. An example of each format is shown on the left.

  7. Click OK.

  8. To change the items included on the Go Menu or the button format, use the Go Menu Properties panel.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding a Google Search Component

With the Google Search Component, you can easily incorporate a Google Web Search module on your website and allow site visitors to search the World Wide Web directly from your site.

To add a Google Search component, you place the component on a page and then customize its appearance to complement your page design.

  1. In Page view, select the NOF Google Search tool from the Standard Component toolbox.

  2. Draw a box on the Layout to indicate where you want to position the Google Search Component.

The Google Search dialog box appears.

  3. Select the type of Google Search Component you want to add from the drop-down list in the Google Business Solutions fieldset.

  • Google Free Web Search searches the entire World Wide Web.

  • Google Free SafeSearch searches the entire World Wide Web while filtering adult content.

  • Google Free Web Search with site search searches the entire World Wide Web and specific domains.

  1. Choose the country you wish to use from the Select Country dialog.

  2. Configure the settings for the Google Search Component you have chosen as described below.

To configure the Free Google Web Search settings:

  1. In the Optional Customization of Results Page section, choose a background color for the Google logo.

  2. Enter text for the search button caption in the Search Button Caption text field. The default text that will appear on the search button is Google Search.

  3. Click OK to close the Google Search dialog.

To configure the Google Free Web Search with Site Search settings:

  1. In the Optional Customization of Results Page section, choose a background color for the Google logo.

  2. In the Target for search window field, select Existing if you want to show the search results in the existing window, or select Pop-up Window if you want to display the search results in a new pop-up window.

  3. Enter text for the search button caption in the Search Button Caption text field. The default text that will appear on the search button is Google Search.

  4. Click OK to close the Google Search dialog.

  5. Enter text for the search button caption in the Search Button Caption text field. The default text that will appear on the search button is Google Search.

  6. Click OK to close the Google Search dialog.

To configure the Google Free Web Search with Site Search settings:

  1. In the Google Search dialog box, specify the category names that you want visitors to be able to search, in the Enter category(ies) field, separating multiple category names with a semicolon.

  2. The category must be in the Google database.

  3. When the site is published, each category will be listed next to a radio button. Visitors will select the corresponding radio button to search the selected category.

  4. Customize the appearance of the search results page by configuring the Optional Customization of Results Page Settings.

  • URL (location) for your logo. Enter the URL for your logo. The logo will be displayed at the top of the search results page.

  • Alignment of your logo. Select one of the alignment options (Center or Left) for your logo in the Google Search Component from the drop-down list.

  • Google logo background color. Select one of the three options (White, Gray, or Black) for the background color of the Google logo from the drop-down list.

  • Background (BGCOLOR) color. Choose a background color for the search results page. Click the browse button and select a color from the Color Chooser that best matches or complements your page design.

  • Text (TEXT) color. Choose a color for the search results text color. Click the browse button and select a color from the Color Chooser.

  • Link (LINK) color. Choose a color for links. Click the browse button and select a color from the Color Chooser.

  • Visited link (VLINK) color. Choose a color for displaying visited links. Click the browse button and select a color from the Color Chooser.

  • Background URL. Choose a background color for URL list field. Click the browse button and select a color from the Color Chooser that will appear.

  • Active link (ALINK) color. Choose a color for active links. Click the browse button and select a color from the Color Chooser.

  • Important text color. Choose a color for displaying the links to URLs containing the search terms. These links appear below the excerpt containing the search terms found on each website listed on the Google Search page. Click the browse button and select a color from the Color Chooser.

  • Faint text color. Choose a color to be used for the "Cached" and "Similar pages" links on the Google Search page text color. Click the browse button and select a color from the Color Chooser.

  7. In the Target for search window field, select Existing if you want to show the search results in the existing window, or select Pop-up Window if you want to display the results in a new pop-up window.

  8. Enter the text that will appear on the Search Button in the Search Button Caption text field. The default text that will appear on the Search Button is Google Search.


Adding a News Ticker

The NetObjects Fusion News Ticker

The News Ticker Component adds a marquee that displays scrolling text quotes across a page either horizontally or vertically. You can use the News Ticker to inform site visitors of special promotions or events or to relay any type of noteworthy information. When adding a News Ticker, you can customize the attributes of the scrolling text—such as its font, size, alignment, color, indentation, scrolling speed, and background color—to complement your page design. You can add as many News Ticker Components as necessary on different pages of your website, and you can also place more than one New Ticker on a page.


Adding a News Ticker to a Page

To add a News Ticker to a page:

  1. In Page view, select the News Ticker tool from the Standard Components toolbox.

  2. Draw a box on the Layout to indicate where you want to position the News Ticker Component.

The NewsTicker dialog box appears.

  3. In the NewsTicker dialog box, add quotes to the marquee and configure the News Ticker settings.

To add quotes to the News Ticker marquee:

  1. In the NewsTicker dialog box, click the Items tab.

  2. Click the Content tab.

  3. Replace the default "Title Goes Here" and "Body Goes Here" text with your desired title and body text.

  4. Click the Style button corresponding to the title and text to modify an individual quote’s font, alignment, size, color, and style.

  5. Click OK to close the Style dialog.

  6. Click the Options tab to customize the settings of the current quote:

  • Background. Click the color box and select the background color for the marquee in the color chooser.

  • First line. Enter an indentation value (in pixels) for the first line of the body text.

  • Hanging. Enter an indentation value (in pixels) for body text other than the first line.

  • Padding. Enter a value (in pixels) for the amount of space between the quote’s title and body text and the left side of the marquee. The maximum value is 1/2 of the scrolling area.

  • URL. To make a quote an active link, enter the URL to which you want to link the quote.

  7. Add a new quote by clicking New in the News Ticker dialog box and entering title and body text.

  • Use the up and down arrows to move a quote’s position in the News Ticker.

  • To duplicate a quote, select the quote and click Duplicate.

  • To remove a quote from the marquee, select the quote and click Delete.


Configuring the News Ticker

To configure the News Ticker:

  1. In the NewsTicker dialog box, click the Marquee tab.

  2. Customize the appearance of the News Ticker:

  • Background. Click the color box and select the background color for the marquee in the color chooser.

  • Orientation. Select the direction that the text will move. Choose Up from the drop-down menu for a vertical marquee that moves from the bottom to the top of the screen, and choose Left for a horizontal marquee that moves from right to left on the screen.

  • Spacing. Set the distance (in pixels) between the individual quotes in the marquee.

  • End space. Set the distance (in pixels) between the end of the last quote in the marquee and the beginning of the first quote in the marquee when the marquee repeats.

  • Speed. Enter a value or use the up and down arrows to increase or decrease speed at which you want the text to move. Select a value from 1 (the slowest speed) to 10 (the fastest speed). If you select a value greater than 10, the speed will remain at the maximum speed of 10.

  • Pause. Select the amount of time (in seconds) that each quote remains on the screen when it reaches the end of the display area before displaying the next quote in the marquee.

  • Script type. Select the output code you want the component to generate (Java Applet, DHTML, or Flash).


Using News Ticker Settings

When you create a News Ticker, you can save the marquee and its quotes so that you can save them for future use. By saving marquee settings, you can easily place the marquee on other pages or other sites without having to re-create the News Ticker or its contents.

To save quote settings:

  1. In the Quotes tab of the NewsTicker dialog box, select the News Ticker that you want to save.

  2. From the File menu, select Save Settings.

The Save As dialog box appears.

  3. Enter a name for the News Ticker in the File name field.

NetObjects Fusion saves the News Ticker and its quotes as a News Ticker settings (.sts) file.

  4. Click Save to close the Save As dialog box.

To load saved quotes and add them to site pages:

  1. In Page view, from the Custom Components toolbox, select NetObjects News Ticker>News Ticker Component.

The NewsTicker dialog box appears.

  1. From the File menu, select Load Settings.

The Open dialog box appears.

  2. Select the saved News Ticker (.sts file) you want to add to the page.

  3. Click Open to add the saved News Ticker to the page.


Loading Pictures onto Your Site

Use the NetObjects Picture Loader Component to load an image from a site other than your own. You can use this to place advertising banners if the banners are located on a server other than your Web server.

To load a picture from an external source:

  1. In Page view, select the Picture Loader tool from the NOF Standard Components toolbox.

  2. Draw a box on the page to indicate where you want to place the picture.

A placeholder and the Picture Loader Properties panel appear.

  3. Click the Image URL row and type the URL where the picture is located.

Be sure to type the complete URL.

  4. Click the check mark.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding Pictures That Roll Over

You can use the Picture Rollover component to create JavaScript rollovers for any image on your site. Because this component uses JavaScript, the colors of your images are not compromised.

To view a rollover picture, site visitors must use Netscape Navigator 3.x and up or Microsoft Internet Explorer 3.x and up.

To add pictures that roll over:

  1. In Page view, select the Picture Rollover tool from the NOF Standard Components toolbox.

  2. Draw a box on the page where you want to locate the pictures.

A picture placeholder and the Picture Rollover Properties panel appear.

  3. To specify the first image to display, double-click the Initial image row, select the image from the Picture File Open dialog, and click Open.

The Picture Rollover Properties panel changes and displays two new rows— Mouse over image and Mouse out image.

  4. To specify the image to display when the mouse pointer moves over the image, double-click the Mouse over image row, select the image from the Picture File Open dialog, and click Open.

The images you select for rollover pictures are resized to the size of the first image you select. For best results, use images that are the same size.

  5. To specify which image to display when the site visitor moves the mouse pointer off the picture, double-click the Mouse out image row, select the image from the Picture File Open dialog, and click Open.

  6. To link the image to a specific URL, double-click the Link URL row.

The Link dialog appears. Because the entire image is treated as one object, you can link it to another page, file, smart link, or external link, such as another site. See Creating Links.

  7. Specify the link information and click Link.

The details of the link appear in the right column of the button row.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding Rotating Pictures

You can use the Rotating Picture component to display different pictures in succession in the same place on the page. For example, you could rotate among several images that advertise new products or current sale items.

To add a rotating picture, you specify the image to display and the number of seconds to pause before displaying the next picture in the sequence. You can also assign a link to each picture.

NetObjects Fusion supports .gif and .jpg formats in components. See Choosing an Image Format.

To add pictures that rotate and set their properties:

You can use the Rotating Picture component to display different pictures in succession in the same place on the page. For example, you could rotate among several images that advertise new products or current sale items.

To add a rotating picture, you specify the image to display and the number of seconds to pause before displaying the next picture in the sequence. You can also assign a link to each picture.

To add pictures that rotate and set their properties:

  1. In Page view, select the Rotating Picture tool from the NOF Standard Components toolbox.

  2. Draw a box on the page to indicate where you want to place the picture.

The Rotating Picture dialog appears.

  3. To add pictures and create a series of rotating images, click the add (+) button.

  4. Click the browse button and locate the image you want to add.

  5. To display descriptive text that appears when a visitor hovers the mouse pointer over the image, add your desired text in the Alt Tag field

  6. To make the image a link, click the Link button. In the Link Target dialog, choose either an internal link to one of your site pages or enter the URL of an external site.

  7. Select the script type (DHTML or Applet) for the rotating image.

  8. To set the number of seconds each picture is displayed before moving to the next one, click the first check box in the dialog and specify the number of seconds to display each picture.

  9. Click the Randomize picture order check box to display the series of rotating images in a random sequence.

  10. To automatically resize the image to fit each visitor’s browser, click the Scale picture to fit check box.

  11. Change an image’s position in sequence of the rotating picture by moving its position in the list using the up or down arrows.

  12. Click the (-) remove button to delete images from the series of rotating images.

  13. Repeat steps 3 and 4 for each additional image.

  14. Click OK to close the Rotating Picture dialog.

  15. You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding an RSS Feed

With the RSS Feeds Component, you can place news aggregators on your pages and display various RSS news feeds on your site. RSS (Real Simple Syndication) is a format for delivering up-to-date news and content. RSS feeds are available on websites of major news organizations and other types of websites, and instructions on how to use the RSS feeds are typically provided on sites that make them available.

By adding an RSS feed to your site pages, you can provide visitors with information geared to their particular interests. For example, a website for a sporting goods store could display an RSS feed to provide the latest sports-related news and information for its customers.

Before adding the RSS Feeds Component, you should obtain the RSS feed information, which is typically a URL with an .xml or .rss extension, from the provider of the RSS feed.

Adding an RSS Feed to a Page

  1. In Page view, select RSS Feeds from the NOF Standard Components toolbox.

  2. Draw a box on the layout to indicate where you want to position the RSS Feeds Component.

The RSS Feed dialog box appears.

  3. Enter the necessary information for subscribing to an RSS feed:

  • RSS feed. Enter the address (URL) of the RSS feed in the RSS Feed field. (This information can be found on the site that makes the feed available.)

  • Refresh rate. Select the check box if you want the RSS Feeds component to check for new items in the feed to which you are subscribing. You can choose to have the RSS Feed check for new items at 15-, 30-, or 60-minute intervals.

  • Proxy URL. The RSS Feeds component provides proxy scripts in PHP (xmlfetch.php) and ASP (xmlfetch.asp). These proxy scripts act as a gateway between the location on your website the news information will be displayed and the news aggregators that offers the RSS feed. You do not have to make any modifications directly to these scripts but you will need to know their location. The default location is /scripts/xmlfetch.php or if you are using ASP, /scripts/xmlfetch.asp.

    For example, if you publish your website on a hosting platform that supports PHP without creating a separate site folder, the path to type in the text box would be: http://www.yourdomain.com/scripts/xmlfetch.php.

Substitute yourdomain.com for your actual live category name.

Server Script displays either ASP or PHP, depending on the Settings from the General tab of the Current Site Options dialog. The default xml fetch script for the language type that will be uploaded to your Web server. The script will parse the .xml data to your website.

  1. Customize the appearance of the news feeds on your site by setting the following options in the Layout fieldset:

  • Template. In the drop-down list, select the manner in which the feed information will be displayed:

  • RSS List presents the information in a list-like manner.

  • RSS Tree presents the information in a tree-like manner, which allows you expand the items and follow the links.

  • Style. To apply a custom CSS style to the RSS feed, type the name of the CSS style in the text box or select the style from the drop-down list. To create a custom CSS style that will be available for the component form object, see "Using Style Sheets with Custom Components".

  • Loading message. Type the message to be displayed while the component retrieves the requested feed. The default message is "Loading..."

  • Link: Set the text for link to the full story, something like: "Read more.."

  • Show all items. Check this option if you want all the items in the feed to be displayed by the RSS Feeds Component.

  • Show links. If you leave the "Show all items" option unchecked, type in the number of items in the feed that you want to be displayed on the page.

  • Expand items. Check this option if you want all the items in the feed to be expanded.

  • Show logo (for expanded items). Check this option to display the logo of the organization from which the RSS feed originates. For example, if you are using an RSS feed from a major news organization, the organization’s corporate logo will display in the expanded items list.

  2. Click OK to close the RSS Feeds dialog.


Directing Visitors to a Browser-Specific Page

The Screen Door component detects the visitor’s browser type and redirects the visitor to a page targeted for that specific browser. You can choose to direct a visitor to Netscape Navigator 4.x, Microsoft Internet Explorer 4.0 and up, Netscape Navigator 3.0, or Microsoft Internet Explorer 3.0.

The Screen Door is not visible on the page. You might want to include information on the page to let site visitors know they are being directed to another page.

You can only include one Screen Door per page.

  1. In Page view, select the Screen Door tool from the NOF Standard toolbox.

  2. Draw a box in the Layout area of the page where you want to place the Screen Door. This component does not work when placed in a MasterBorder.

A Screen Door placeholder and the Screen Door Properties panel appear.

  3. Choose to pause or not pause before redirecting a site visitor. If you set Pause to Yes, enter the number of seconds you want to pause.

  4. Set up appropriate links for the default page and for each individual browser type. See Creating Links.


Adding a Site Map Button

Site Mapper is a Java navigation applet that site visitors can use to create an interactive map of a site. If your site is large, Site Mapper simplifies navigation by providing a detailed view of the site’s levels. Using the site map, visitors can jump directly from page to page without using the page navigation controls.

The Site Map button provides three ways for visitors to view the site:

  • By structure, similar to Site view in NetObjects Fusion.

  • In an outline view

  • By searching for certain words

To add a Site Map button and set its properties:

  1. In Page view, display the page where you want to add the Site Mapper component. The Site Mapper does not show pages above this page in the site hierarchy.

If you place the Site Mapper component in a MasterBorder, you can place it on any page using that MasterBorder. It is recommended, however, that you place a Site Mapper component in the Layout of a single page in the site.

  2. Select the Site Mapper tool from the NetObjects NOF Standard toolbox.

  3. Draw a box on the page to indicate the location of the Site Map button.

The Site Map button and the Site Mapper Properties panel appear.

  4. To change the image displayed for the Site Map button, double-click the Image row, then select the image file you want from the Picture File Open dialog.

The selected image appears on the page.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding Time Based Pictures

You can use the Time Based Picture component to display different pictures at the same location on your page at the time of day you specify. You select the image to display and specify the hour at which to display it. The browser automatically displays the picture at the specified time. The picture remains on the page until it is time for the next picture to be displayed.

NetObjects Fusion supports .gif and .jpg formats in components. See Choosing an Image Format.

To add time based pictures and set the properties:

  1. In Page view, select the Time Based Picture tool from the NOF Standard toolbox.

  2. Draw a box on the page where you want to locate the picture.

A picture placeholder and the Time Based Picture Properties panel appear.

  3. Click the Number of Images row and specify the number of images you want to rotate.

You can use up to 24 images. NetObjects Fusion adds an Image, Start Time for Image, and URL for Image row for each image.

  4. To select an image, double-click the Image row, select the image from the Picture File Open dialog, and click Open.

  5. To create a link to the image, double-click the URL for Image row and in the Link dialog select a type of link for the image. See Creating Links.

  6. Click the Start Time for Image row and select a starting time from the drop- down list.

The start time determines when the image is displayed on your site. You can select one-hour increments from 12 a.m. to 12 p.m. The image is displayed until the next image’s starting time. Be sure images have consecutive starting times.

  7. Repeat steps 4 through 6 for each image you add.

You can add an action to an object using the Actions tab. See Building Dynamic Pages.


Adding Server Tags

The NetObjects Fusion Server Tag Library component provides you with server tags, allowing you to incorporate queries, actions, and other dynamic elements into your website or application. The tag libraries provide complete reference information.

NetObjects Fusion offers support for the following tag libraries:

  • ColdFusion

  • JSP

  • Struts

Before working with Tag Libraries, you should be familiar with tag functionality and requirements.

To add server tags and set the properties:

  1. In Page view, select a Tag Library toolbox from the NetObjects Fusion Components Manager.

  2. Click on the page where you want to place the tag.

A tag placeholder and the tag properties appear.

  3. Set the TAGTYPE to:

  • Start if it is a beginning tag.

  • End if it is a closing tag.

Tags that do not require a closing tag do not have the TAGTYPE attribute listed.

  4. Specify the tag attributes in the tag properties panel.

NetObjects Fusion does not verify the tags attributes and values you add, so be sure to use valid syntax. Many tags have attributes that require values for the tags to function correctly.


Displaying Toolboxes in the Component Manager

Displaying Toolboxs in the Component Manager

You can display toolbox objects as icons or text and icons. You also have the option to view object descriptions or remove the description field. Additionally, toolboxs can be stored in the Component Manager or can float.

To set Component Manager display options:

  1. From the View menu, choose Toolboxs.

  2. Select:

  • Show Labels to display the object name next to the icon.

  • Show Description to display a brief summary of the object.


Adding a Flash Component to a Page

The Flash Components can be placed inside any page of your website.

  1. Launch your NetObjects Fusion and open the site on which you want to insert one of the Flash Components.

  2. In Site View, create the page on which you want to place the Flash Component (if you have not already created this page).

  3. In Page View, select the Flash Component from the Components panel.

  4. Draw a box on the Layout to indicate on which you want to position the Flash Component.

  5. Wait three seconds until the graphic placeholder appears.

The Flash Component Properties panel appears.

  1. Configure the Flash Component’s settings.


Configuring the Flash 3D Components

After you have placed a Flash 3D Component on your site, you can configure its settings in the Component Properties panel.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes, such as:

  • Background color: Choose the color on which the 3D Component is placed.

If you want some other colors press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the Component’s color.

  • Transparent: If you select this option, the chosen background color will not be visible.

  • Opacity: Choose the level of opacity for the component. The default is 100. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Initial Rotation: Choose an angle of inclination on the X, Y , and Z axes. You must set an inclination value between 0 and 360. The value you select depends on you on how much you want to incline the 3D Component. If the value is 0, then the 3D component will be displayed horizontally.

  • Effect: From the drop-down list, choose the main effect that you want the 3D Component to perform. You can choose to rotate the 3D Component on one of the three axes.

  • Repeat Effect: If you enable this option, the effect you have selected will be played permanently.

  • Show Fill: If you enable this option, the Component will display the color specified on the Fill option.

  • Fill: Here you can choose the color that fills the component.

  • Show Shading and Show WireFrame: Enable these two options and the component will display a wire frame and a shade effect.

  • WireFrame: Choose the wire frame color.

  • WireFrame Width: Choose the width of the wire frame.

  • Depth: Choose a number between 0 and 100 that represents the measurement of depth of acceptable sharpness in the Component space in focus.

  • Focal Length: Choose a number between 50 and 500 that represents the measure of how strongly it focuses or disperses light. A component with a shorter focal length has greater optical power than one with a long focal length.

  • Detail Level: Choose one of the three levels of visual quality. The reduced visual quality of the model is often unnoticed because of the effect.


Configuring the Flash Arrows Components

After you have placed a Flash Arrow Component on your site, you can configure its settings in the Component Properties panel.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes, such as:

  • The arrow’s color: Choose the color of the arrow.

  • Background color: Choose the color on which the arrow is placed.

If you want some other colors press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the arrow color.

  • Rotation: Choose a rotation angle. You must set a rotation value between 0 and 360. The value you select 360. The value you select depends on you on how much you want to incline the arrow.

  • Opacity: Choose the level of opacity for the component. The default is 1.00. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Intro Effect: From the drop-down list, you have a choice of several effects for the arrow. These effects are for the moment when the arrow appears on the published page.

  • Effect times: Choose the number of times the effect applies to the arrow. This number must have the value between 0 and 100.

  • Loop effect: If you enable this option, the effect you have selected will be played permanently.

  • Outro effect: Choose the last effect of the arrow. This option is available only if you do not select the Loop Effect.


Configuring the Flash Circles

After you have placed a Flash Circle Component on your site, you can configure its settings in the Component Properties panel.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes, such as:

  • Circle color: Choose the color of the circles.

  • Background color: Choose the color on which the circle components are placed.

If you want some other colors press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the circles’ color.

  • Rotation: Choose an angle of inclination. You must set an inclination value between 0 and 360. The value you select depends on you on how much you want to incline the circle components. If the value is 0 then the components will be displayed horizontally.

  • Opacity: Choose the level of opacity for the component. The default is 100. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Intro Effect: From the drop-down list, you have a choice of several effects for the Circle Components. These effects are for the moment when the component appears on the published page.

  • Effect times: Type or choose the number of times the effect applies to the circle components. This number must have a value between 0 and 100.

  • Loop effect: If you enable this option, the effect you have selected will be played permanently.

  • Outro effect: Choose the last effect of the Circle components. This option is available only if you do not select the Loop Effect.


Configuring the Flash Lines

After you have placed a Flash Line Component on your site, you can configure its settings in the Component Properties panel.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes, such as:

  • Line color: Choose the color of the lines.

  • Background color: Choose the color on which the line components are placed.

If you want some other colors, press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the lines’ color.

  • Rotation: Choose an angle of inclination. You must set an inclination value between 0 and 360. The value you select depends on you on how much you want to incline the line components. If the value is 0, then the components will be displayed horizontally.

  • Opacity: Choose the level of opacity for the component. The default is 100. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Intro Effect: From the drop-down list, you have a choice of several effects for the Line Components. These effects are for the moment when the component appears on the published page.

  • Effect times: Type or choose the number of times the effect applies to the line components. This number must have a value between 0 and 100.

  • Loop effect: If you enable this option, the effect you have selected will be played permanently.

  • Outro effect: Choose the last effect of the Line components. This option is available only if you do not select the Loop Effect.


Configuring the Flash Rectangles Components

After you have placed a Flash Rectangle Component on your site, you can configure its settings in the Component Properties panel.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes, such as:

  • Fill color: Choose the color of the rectangles.

  • Background color: Choose the color on which the rectangle components are placed.

If you want some other colors press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the rectangles’ color.

  • Rotation: Choose an angle of inclination. You must set an inclination value between 0 and 360. The value you select depends on you on how much you want to incline the rectangle components. If the value is 0, then the components will be displayed horizontally.

  • Opacity: Choose the level of opacity for the component. The default is 100. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Intro Effect: From the drop-down list, you have a choice of several effects for the Rectangle Components. These effects are for the moment when the component appears on the published page.

  • Effect times: Type or choose the number of times the effect applies to the rectangle components. This number must have a value between 0 and 100.

  • Loop effect: If you enable this option, the effect you have selected will be played permanently.

  • Outro effect: Here you can choose the last effect of the Rectangle components. This option is available only if you do not select the Loop Effect.


Configuring the Flash Text Effects

After you have placed the Flash Text Effects Component on your site, you can configure its settings in the Component Properties dialog box.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes:

  • Background color: Choose the color on which the Flash Text Effect is placed.

If you want some other colors, press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the header’s text color.

  • Rotation: Choose an angle of inclination. You must set an inclination value between 0 and 360. The value you select depends on you on how much you want to incline the text. If the value is 0 then the text will be displayed horizontally.

  • Opacity: Choose the level of opacity for the component. The default is 100. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Effect: From the drop-down list, choose the main effect that you want the component to perform.

  • Font: From the drop-down list of four fonts (Aquiline Two, Little Lord Leroy, Watson, Zebraesq), choose the font you would like for your text. The default font is Aquiline two.

  • Text: Type the text of your header. The default text is "This is a text component"

  • Font Size: Type in a value for your font size (the point size for the font). The default value is 15.

  • Text Color: Choose the color of the text.

  • Character appearance order: There are two ways in which your text can appear and you will have to choose if the characters appears in order from left to right or randomly.

  • Apply effect on rollover: If you choose the True option, the effect will apply not only when the page with the component is loaded, but also when you cross over the text, letter, or number with the mouse. If you choose the False option then the effect will apply only when the page is loaded.

  • Letter: If you select a Letter component, you will have to choose the letter from the letters drop-down list with the alphabet that you want to put on your page.

Special characters are not shown because the fonts are restricted to alphanumeric characters only.

  • Number: If you select a Number component, you will have to choose the number from the numbers drop-down list (between the 1 and 10) that you want to put on your page.

  • Effect times: Type or choose the number of times the effect applies to the Number or Letter component. This number must have a value between 0 and 100.

  • Loop effect: If you enable this option, the effect you have selected will be played permanently.

  • Outro effect: Here you can choose the last effect of the Number or Letter component. This option is available only if you do not select the Loop Effect.

Only the corresponding properties appear for a selected component from the Flash Text Effect library.


Configuring the Flash Triangles Components

After you have placed a Flash Triangle Component on your site, you can configure its settings in the Component Properties panel.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes, such as:

  • Fill color: Choose the color of the triangles.

  • Background color: Choose the color on which the triangle components are placed.

If you want some other colors press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the triangles’ color.

  • Rotation: Choose an angle of inclination. You must set an inclination value between 0 and 360. The value you select depends on you on how much you want to incline the triangle components. If the value is 0, then the components will be displayed horizontally.

  • Opacity: Choose the level of opacity for the component. The default is 100. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Intro Effect: From the drop-down list, you have a choice of several effects for the Triangle Components. These effects are for the moment when the component appears on the published page.

  • Effect times: Type or choose the number of times the effect applies to the triangle components. This number must have a value between 0 and 100.

  • Loop effect: If you enable this option, the effect you have selected will be played permanently.

  • Outro effect: Here you can choose the last effect of the Triangle components. This option is available only if you do not select the Loop Effect.


The Flash 3D Components

There are three types of 3D Flash components: Flash 3D Letters, Flash 3D Numbers, and Flash 3D Symbols.

The Flash 3D Letters may be used to create 3D words useful for website design, text, logos, banners, page titles, and more; while 3D numbers may be used to create 3D numbers, series, and so forth.

Select the needed 3D component from the Flash 3D libraries of different scalable letters, numbers, and symbols. Use the properties panel to choose color, opacity, various effects, and other attributes.

The Flash Components can be placed inside any page of your website.

  1. Launch your NetObjects Fusion and open the site where you want to insert one of the Flash 3D Components.

  2. In Site View, create the page where you want to place the Flash 3D Component (if you have not already created this page).

  3. In Page View, select one of the three Flash 3D Libraries (Flash 3D letters, Flash 3D Numbers, or Flash 3D Symbols) from the Components panel.

  4. Select a Flash 3D component from the selected Flash 3D scale.

  5. Draw a box on the Layout to indicate where you want to position the Flash 3D Component.

  6. Wait three seconds until the graphic placeholder appears. The Flash 3D Component Properties panel appears.

  7. Configure the Flash 3D Component’s settings.


The Flash Time Measurements Components

NetObjects Fusion’s Time measurements components offer a fantastic visual style, letting you enhance your website by adding flash clock and calendar components. The Time Measurements components can be personalized with style and elegance that support and enhance your project. Time measurements components consist of calendars and clocks. Using the Flash Time Measurements components, you will be able to track time around the world.

The Time Measurements Components include attractive calendars that allow you to share calendaring information: Calendar, Day Calendar, and Timeline calendar. The calendars can be customized and can be set as a 12 month year, single month, or as a daily calendar. The color of each feature can be changed from the properties panel.

The Timeline component displays a series of numbered frames that represent increments of time. In Flash, the Timeline displays the frame number, the frame rate, and an approximate amount of time that will have elapsed at each frame. Customize it as you want, by specifying the flash attributes in the Component properties panel.

The Day Calendar component displays the day, the month, and the year. On the Properties panel, you can set the format for the name of the month and of the day.

The Flash Clocks are configurable and you may change the background color, the text color, or any other feature to suit your own preferences. For example, different properties change the way the Trigonometric Clock component can appear. It takes three seconds for these changes to be applied to the component. There are 25 properties that you can change to this component.

From the scale of clock components, you can choose: Binary clock, Digital clock, Hourglass, Wall clock, Sundial, Rotating clock, 3D clock, or the Candles clock that represents one of the earliest human inventions to tell time. The Hourglass, with its sifting grains, embodies our perception of time’s slipperiness; and it can be used to time-track different activities. Its visual impact helps underscore the urgency of any time-sensitive items or events.

After you have placed any of the Flash Time Measurements Component on your site, you can configure its settings in the Component Properties dialog box.


Configuring the Flash Shapes and Symbols Components

After you have placed the Flash Component on your site, you can configure its settings in the Component Properties panel.

The Style tab

Different properties change the way the component can appear. It takes three seconds for these changes to be applied to the component, but you can also see the changed properties if you right-click the component, and then click Play.

To modify the component’s properties:

  1. In Page View, click the Flash component.

  2. Open the Properties panel, if it is not already open.

When the Flash component is selected, the Properties panel displays the Flash Component’s properties.

Use the Properties panel to modify the component’s attributes, such as:

  • IntlSymbols Color: Here you can choose the color of the international symbol.

  • Background Color: Here you choose the color on which the symbol is placed.

If you want some other colors, press on the More Colors… button and manage the Color Picker. You should make sure the initial background color is something other than the international symbol color.

  • Rotation: Here you may choose a rotation angle. You must set a rotation value between 0 and 360. The value you select depends on you on how much you want to incline the component.

  • Opacity: Here you have to choose the level of opacity for the component. The default is 1.00. The Opacity property enables you to specify a level of transparency for the form and its controls. When this property is set to a value less than 100 percent, the entire form, including borders, is made more transparent. Setting this property to a value of 0 percent makes the form completely invisible. The Opacity value must be between 0 percent and 100 percent.

  • Intro Effect: Here, from the drop-down list, you have a choice of several effects to choose for the international symbol. These effects are for the moment when the component appears on the published page.

  • Effect times: Type or choose the number of times the effect applies to the component. This number must have a value between 0 and 100.

  • Loop effect: If you enable this option, the effect you have selected will be played permanently.

  • Outro effect: Here you can choose the last effect of the component. This option is available only if you do not select the Loop Effect.


Using the DB Creation Wizard

The DB Creation Wizard will assist you during the process of setting up flat file databases. Use the Database Creation Wizard to identify the location of the flat file database and to choose a publishing profile.

In the dialog that appears when clicking the Wizard button on the component’s General tab, you may select a remote publishing profile from the "Publishing Profile" drop-down list.

The button, displayed to the right of the "Publishing profile" drop-down list, displays the possible actions or status:

  • Connect: Clicking on the Connect button will establish a connection to the hosting server listed in the Publishing Profiles.

  • Connecting: When the connection to the Publishing Profile is being established.

  • Disconnect: When the connection is canceled.

Selecting Cancel or switching publishing profiles while connecting to the server will cancel the connection process.

When NetObjects Fusion connects, the dialog window will display the Folder Tree structure of the website.

The "Path to Database" field displays the relative path to the flat file database; this path is relative to the folder where the site is published. The Auto Generate feature can be used to create a path that is two folder levels deep from the selected folder tree, and clicking the Auto Generate button also creates the flat file database. The unexplored folders will be grey-out.

To create a new folder, in which to place the flat file database:

  1. In the Folder Tree, select the directory, under which you want to create the new folder.

  2. Right-click on that folder.

  3. Click on the New Folder menu.

  4. The Input dialog appears.

  5. Type the name of the new folder.

Click OK.

To change the name of the flat file database:

  1. In the Folder Tree, select the folder on which you want to create the flat file database.

  2. In the Name field, type a name for the csv file.

  3. Click on the Create Data.. button.


Configuring the Captcha Options

The Captcha field is of the type Captcha and cannot be changed. Use Captcha images to prevent automated form substitution.

The Captcha option renders characters in a distorted form, asking the user to enter the presented characters.

  1. In the E-mail Page Properties panel, select Show Dialog.

  2. In the E-mail page dialog, select Captcha in the field list.

  3. Configure the following options for the Captcha option.

  • Style. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object, see Using Style Sheets with Custom Components.

  • Character Font: Select a character font from the drop-down list. The preview will display the Captcha image.

  • Background color: Set the color of the background image.

  • Foreground color: Set the color of the characters.

  • Number of characters: Use the arrow buttons to set the number of characters that will be displayed in the Captcha image

  • Space left between characters: Use the arrow buttons to set the distance left between two characters of a string.

  • Alignments: Select how you prefer the Captcha image to be displayed: horizontally, or vertically.

  • Top/Bottom padding: Use the arrow buttons to set the space between the image’s borders and the characters.

  • Right/Left margin: Use the arrow buttons to set the space between the image’s margins and the characters.


Using Component Suites

When you add NetObjects Fusion Custom Components to your site, you create Component Suites for components that will be used together. For example, if you want to feature multiple guestbooks on a site—each with its own Guestbook Admin area—you would add each Guestbook component and its corresponding Guestbook Admin component as part of the same suite.

When you add a Custom Component to a page, you will be prompted to either create a new suite or to add the component as part of an existing suite.

To create a new Component Suite:

  1. In the dialog that appears when placing a component on a page, ensure that the New radio button is selected.

  2. Type a name for the Component Suite in the New Name text field.

  3. If you have already created a Profile for the components settings, select the profile you want to apply to the component in the Profile drop-down list.

If you have not yet created a profile for this Component Suite, you can do so when you configure the component settings. See Creating Component Profiles

  1. Click OK to close the dialog.

To make the component part of an existing Component Suite:

  1. In the dialog that appears when placing a component on a page, ensure that the Existing radio button is selected.

  2. Type a name for the Component Suite in the New Name text field.

  3. If you have already created a Profile for the components settings, select the profile you want to apply to the component the Profile drop-down list.

If you have not yet created a profile for this Component Suite, you can do so when you configure the component settings. See Creating Component Profiles

  2. Click OK to close the dialog.


Creating Component Profiles

When you add NetObjects Fusion Custom Components to your site, you can save the component’s general settings as a profile and then apply the profile to additional components that you add to your site.

For example, if you add the NOF Secure Site’s Signup component to your site, you can save the general settings for that component as a profile. When you add additional NOF Secure Site components (e.g., Login, Logout, Secure Page) to the site, you can apply the saved profile to the components so that the additional NOF Secure Site components have the same general settings.

You can also create multiple setting profiles and apply them to components for specific purposes. For example, you can add multiple NOF Guestbook components to your site, and each guestbook can have its own Guestbook Admin settings so that you can allow specific users access to each Guestbook Admin.

Component profiles also make it easier to modify component settings. When you create a Custom Component profile, you can make changes to the profile settings, and these changes will be applied to each component that uses that profile.

You create component profiles when configuring a component’s general settings.

To create a Custom Component profile:

  1. After adding a Custom Component to a page, click the General tab of the component dialog.

  2. Configure the settings for the component.

  3. Click Save Profile.

The Save Profile dialog appears.

  4. Enter a name for the profile in the Name field.

  5. Click Save to save the profile and close the Save Profile dialog.

You can remove existing component profiles by selecting the profile name in the profile list and clicking Remove. If the deleted profile is in use by a component, the Default settings profile will be used.


Adding an E-mail Page Component

With the NetObjects Fusion E-mail Page component, your site visitors can send pages of your site that are interesting or relevant to themselves or others directly from their browser. Instead of opening their e-mail program, copying and pasting the content in an e-mail, and sending it, visitors simply fill out an online form with the necessary information (recipient’s name, e-mail address, etc.) and then submit the form. The NetObjects E-mail Page component makes it easy for site visitors to send out pages to their friends, giving you the opportunity to increase site traffic.

The NetObjects E-mail Page component consists of two components:

  • The E-mail Page component, which is used to send site pages via e-mail.

  • The E-mail Page Stats component, which can be used to gather statistics about which pages are being sent most often.

Adding an E-mail Page Component to a Page

There are two methods for placing the E-mail Page component on a page:

  • Placing the E-mail Page component directly on each page that will be sent by e-mail.

This is a simple way of using the E-mail Page component, and it is recommended when you have just a few pages on your site that you want visitors to be able to send to others.

  • Placing the E-mail Page component on a separate page and then creating links to the page containing the E-mail Page component.

This method is recommended when you have a site with many pages. You place the E-mail Page component on a page and create links to the page that contains the component (a link such as "E-mail this page to a friend"). When this link is clicked, the page containing the e-mail form will open in the browser in either a new page or a pop-up window. Site visitors fill in and submit the form to send the page.

Placing the E-mail Page Component Directly on a Page

  1. In Page view, select NOF E-mail Page>E-mail Page from the Custom Components menu.

  2. Draw a box on the Layout to indicate where you want to position the E-mail Page Component.

The NOF E-mail Page dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  4. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  5. Click OK to close the NOF E-mail Page dialog.

The E-mail Page dialog box appears.

  6. Follow the steps for configuring the E-mail Page Component settings.


Configuring the E-mail Form

After you have placed the E-mail Page Component on your site, you can customize the form that visitors fill out to send pages of your site. You can modify text labels and apply CSS styles to the default form labels. You can also add additional form labels and corresponding objects—such as text boxes, check boxes, and radio buttons—to collect additional information. For example, if you wanted to obtain additional information from visitors who are sending pages, such as what specific information they find interesting, you can add an additional text box in which the user can enter that information.

When you place the E-mail Page Component on a page, the E-mail Page dialog appears. If you do not see the E-mail Page dialog, click on the E-mail Page component placeholder graphic and select Show Dialog from the drop-down menu on the NetObjects E-mail Page Properties panel.


Customizing E-mail Form Labels

  1. On the Fields tab of the E-mail Page dialog box, configure the labels that will appear on the e-mail form next to the corresponding form object. The default labels are listed in the left-hand pane of the E-mail Page dialog box.

  • From (e-mail). The e-mail address of the person sending the page will be typed in this text field.

  • To (e-mail). The e-mail address of the person who will receive the page will be typed in this text field.

  • Cc. The e-mail addresses of others who will receive this e-mail will be typed in this text field.

  • Bcc. The hidden e-mail addresses of other people who will receive this e-mail will be typed in this text field.

  • From (name). The name of the person sending the page will be typed in this text field.

  • To (name). The name of the person who will receive the page will be typed in this text field.

  • Subject. The subject of the e-mail will be typed in this text field.

  • Message. The sender of the site page can send a message along with the page to the recipient in this text field. The message will be sent only if either ZIP or URL format is selected. See "Choosing Formats by which Pages Can Be Sent. "

  • Captcha. The shown code text will be typed in this text field.

  2. Edit the default label text by selecting the label you want to change and replacing the text in the Label field.

  3. Add a new label and form object by clicking the add (+) button, selecting Standard Controls and entering a name for the field in the Name text field.

If you remove the Captcha label, you can add it back by clicking the add (+) button, and selecting Captcha from the Custom Controls section.

When you add a new form label, a corresponding form object is also created. Select the desired form object type from the Type drop-down menu. Form objects are used to define the type of input a user enters in a form. For example, a visitor can type text in a text field or select a check box to respond to questions on a form. Text fields and check boxes are types of form objects.

The default form object for new items is a single-line text field, but you can also choose to add a text box, radio button, check box, and button.

  • To remove a label and its form object, select the label and click the remove (-) button.

  • To change the order in which form elements will appear on the e-mail form, click the label name and move the label on the form using the up and down arrows.

  • On the Field tab of the E-mail Page dialog box, you can set the properties for the form objects corresponding to the labels that appear on the e-mail form.

The Control Settings section will display the properties for each label relative to the form object Type.

  • To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object. See "Using Style Sheets with Custom Components."


Customizing Form Objects

On the Fields tab of the E-mail Page dialog box, you can set the properties for the form objects corresponding to the labels that appear on the e-mail form.

The Control Settings section will display the properties for each label relative to the form object Type.


Specifying E-mail Form Error Events

You can assign requirements for each form field so that the form cannot be successfully submitted unless all of the required fields are completed correctly. For example, you can apply a rule for a text box so that the site visitor is required to enter text before submitting the form. If the site visitor leaves the text field blank and submits the form, the form will refresh with error markers, and the visitor will not be able to submit the form until all fields with errors are completed correctly.

  1. In the E-mail Page dialog, click the label for the form element that you want to apply validation options.

  2. Click the Error events tab.

  3. Select a validation requirement from the Error event drop-down list.

Available error events will vary depending on the type of form object to which the error event is being applied.

  4. Click the Active to check box so that the error event will be activated on the form.

You can also suspend validation requirements for the form element by clearing the Active check box.

  5. Edit the default error message text by replacing the default text in the Message field.

Error messages for each form element that did not meet validation requirements will appear below the form.

  6. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object, see "Using Style Sheets with Custom Components ".


Choosing Formats by which Pages Can Be Sent

In the E-mail Page dialog, you can choose the format by which visitors can send site pages.

  1. In the E-mail Page dialog, click the Field tab.

  2. Click E-mail Format in the field list.

  3. Click the Field tab within the properties tabs to the right of the Fields list.

  4. In the Elements field, select the formats by which you want visitors to be able to send pages.

  • HTML (images embedded). The entire page will be sent, including images, links, etc.

  • HTML (link to images). The entire page will be sent, but links to each image’s source will display in place of the image.

  • Plain text. The page will be sent as plain text, not HTML. Images will not appear in the e-mail.

  • URL. Only the website address (URL) of the Web page will be sent.

  1. Choose the type of list in which to display options. You can select either a drop-down list or a list box.

  2. If ListBox is selected as the type, click the Allow multiple selections check box to allow visitors to select more than one option in the list.


Configuring the E-mail Page Server-Side Settings

Configuring the E-mail Page Component Server-Side Settings

The NOF E-mail Page component requires specific server-side settings to work properly in a browser. You can configure these settings on the General tab of the Current Site Options dialog. The server settings are displayed on the General tab of the E-mail Page dialog.

  1. In the E-mail Page dialog, click the General tab.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog. The default xml fetch script for the language type twill be uploaded to your Web server. The script will parse the .xml data to your website.

  2. Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  3. Select the language (English or German) of your component script.

  4. Check the Keep statistics of e-mailed pages check box and type the location of the flat file database or file where you want the statistics to be kept. By default, the results are sent to the db/e-mailpage.csv file that Fusion creates in the Scripts folder.

  5. Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  6. Enter the Server (IP) address and Port of the server that will handle sending the e-mail pages. Consult your host provider or site administrator to obtain this information.

  7. To save the E-mail Page Component settings as a profile which can be applied to additional E-mail Page components that you add to your site, click Save Profile. See Creating Component Profiles.

  8. Click OK to close the E-mail Page dialog.


Adding the E-mail Stats Component

Use the E-mail Stats Component on a site with the E-mail Page Component to display a ranking of the most frequently e-mailed pages of your site.

On the published site, the page containing the E-mail Stats Component will display a table with the URLs of the most frequently e-mailed pages, as well as the number of times each page has been e-mailed.

If you do not want site visitors to be able to view the statistics on the E-mail Stats Component page, exclude the page from the navigation by clicking on the page in Site view and checking the Exclude from navigation check box on the Page Properties panel.

  1. Open the page that will contain the E-mail Page Stats in Page view.

  2. From the Custom Components toolbox, select NOF E-mail Page>E-mail Stats.

  3. Draw a box on the Layout to indicate where you want to position the E-mail Stats Component.

The NOF E-mail Page dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF E-mail Page dialog.

The E-mail Stats dialog box appears.

  4. Configure the E-mail Stats Component settings. See Configuring the E-mail Stats Component's Settings


Configuring the E-mail Stats Component’s Settings

To configure the E-mail Stats Component’s Settings:

  1. On the Settings tab, set the number most frequently e-mailed pages to keep statistics for. Type the number you want or select it using the up and down arrows.

  2. Configure your server settings on the General tab. The General tab contains the same fields as in the E-mail Page dialog’s General tab. See "Configuring the E-mail Page Component Server-Side Settings "

If you have selected a Profile in the NOF E-mail Page dialog when adding the component, the profile information will appear in the General tab.

  1. Click OK.


Adding a NOF News Component

The NOF News package offers the capability to display news about the products and services offered through the website. Site visitors can find information on the newly released programs, products or services of the website. The new information will be available to display as a list of summaries or as a single news record in detail. Visitors can view information on the site, which is provided in a ‘read-only’ format.

To add a News Article to a site, log in as administrator on the page containing the NOF News Admin Component.

The NOF News package consists of three components:

  • Admin Component: Allows adding, reviewing and managing the news.

  • Article List Component : Displays a list of news summaries.

  • Full Article Component: Displays a single news record in detail.

The NOF News Components are available in PHP and ASP.


Customizing the News Admin Component

Click the Design tab to customize the appearance of your News page by choosing a style from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.


Adding a Form in the News Admin Component

  1. Customize general settings in the General Settings panel.

  2. Describe the picture’s specific requirements in the ‘Picture requirements text’ textbox . The default text is ‘Picture max size: 200 kb’.

  3. Customize the fields settings for the Admin form in the Fields panel:

  • Title. The text that will appear before the form where the news title is typed.

  • Short Message. The text that will appear before the form where the summary of the news or the beginning of the news is typed.

  • Full Message. The text that will appear before the form where the entire news text is typed.

  • Author. The text that will appear before the form where the name of the author is typed.

  • Image. The text that will appear the picture uploaded for the news.

  1. If the administrator wants to add a piece of news, the News Title, the Short Message, the Full message, and the Author’s Name must be filled in.

  2. If you enable the Required check box, the Show option will be automatically enabled. If not enabled on the Show column, these fields will not appear on the Add News subscription form on the published site.

  3. If you enable the Image check box, the site administrator will have the ability to attach an image to the added news. The picture should not be larger than 200kb.


Configuring the News Admin Component's Settings

  1. Configure the settings of the News Admin Component in the Settings and General sections.

  2. Listed below are the available fields in the Settings section:

  • Password. In this field, place the password that will be used by the site administrator to log in to the News Admin area.

  • Grid Page Size. Here, indicate the number of articles displayed on the page that contains the article list.

  1. To configure the general settings for the Admin page, see Configuring the NOF News Component Server-Side Settings.


Adding the Article List Component

The Article List Component creates a panel on a page of your site where visitors can find a list of all the news posted by the administrator. On the Article List panel, one can find only the title, the author, and the summary are displayed, but visitors can be redirected to the full story by pressing on the ‘Title’ or ‘Read More’ links.

To place the Article List component to a page and configure its settings:

  1. In Page view, select NOF News> Article List from the Custom Components toolbox.

  2. Draw a box on the Layout to indicate where you want to position the Article List Component.The NOF News dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the component suite where you want to add the News Component. See Using Component Suites .

  4. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles .

  5. Click OK. The NOF News dialog box appears.


Customizing the Article List Component

Click the Design tab to customize the appearance of your News page by choosing a style from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.


Configuring the Article List Component's Settings

  1. Configure the settings of the Article List Component in the Settings and General sections.

  2. Change the appearance of the List Article panel in the Labels and Links section:

  • Title. Change the text for the title bar of the Article List panel;

  • Show only _ articles per page. If not enabled, all articles will be displayed on a single page. If enabled, set the number of articles to be displayed in the Article List panel.

  • Link article headline to the full article page. If enabled, on the Article List panel one can press the title of the article to be redirected to the full article page or see the full article in a pop-up window.

  • Show a link to the full article page. To have another link to the Full Article, check this option and another link will be displayed under the Short Message.

  • Link Label. Type the text of the link that will redirect the site visitor to the full article. (i.e. Read More… ; Details etc.)

  1. Configure the Date and Time settings that will be applied to all News Components. It is necessary to change the settings for only one of the News Component.

  • Show Date and Time of each article. If enabled, the date and time will be displayed with the news.

  • Date Format. If you choose to show the date, you can also choose a format for the date from the first drop-down list.

  • Time Format. If you choose to show the time, you can also choose a format for the time on the second drop-down list. You can also choose not to show the time by selecting None.

  • Time Zone. Specify the time to be used.

  2. Choose the way the full article should be displayed in the View Full Article field:

- In a pop-up window. The new window will have inherit the settings and style of the Articles List Component

- On an existing page. Select the page that has the Full Article Component placed on it. The style of this page may be customized differently.

  3. To configure the general settings for the Article List Component, see Configuring the NOF News Component Server-Side Settings


Adding the Full Article Component

The Full article component offers the ability to show the entire article on an existing page of the website.

To add the Full Article Component to a page:

  1. In Page view, from the Custom Components toolbox, select NOF News > Full Article.

  2. Draw a box on the Layout to indicate where you want to position the Full Article Component. The NOF News dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the component suite where you want to add the component. See Using Component Suites .

  4. From the Profile drop-down list, select the settings profile you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component profiles .

  5. Click OK to close the NOF News dialog.


Customizing the Full Article Component

Click the Design tab to customize the appearance of your News page by choosing a style from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.


Configuring the Full Article Component's Settings

  1. Configure the settings of the Full Article Component in the Settings and General sections.

  2. Change the appearance of the Full Article panel in the Labels and Links section:

  • Title. Change the text for the title bar of the Full Article panel.

  • Show navigation. If not enabled, the site visitor will not be able to navigate from one news article to another in the current page. If enabled, the site visitor can move from one full article to another using the navigation text.

  • Link article headline to the full article page. If enabled, on the Article List panel one can press the title of the article to be redirected to the full article page or see the full article in a pop-up window.

  • Show a link to the articles list page. If a link to the Articles List page is necessary, check this option; the link will be displayed under the Full Message.

  • Link Label. Type the text of the link that will redirect the site visitor to the articles list page. (i.e Return to the Articles ; Back to the list.. , etc).

  1. To set the date and time, see Configuring the Article List Component's Settings. If you have already filled these fields in the Article List component’s dialog box, the information will become available for the Full Article component, too.

  2. To configure the general settings for the Full Article Component, see Configuring the NOF News Component Server-Side Settings .


Configuring the NOF News Component Server-Side Settings

The NOF News Component requires specific server-side settings to work properly in a browser. You can configure these settings on the General tab of any of the three News Components.

  1. In any of the three News components, click the General tab.

  2. Select the scripting language (ASP or PHP) from the drop-down box. Check with your Internet service provider to determine which option is appropriate for your hosting environment.

  3. Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  4. Select the language (English or German) of your component script.

  5. Type the location of the flat file database or file. By default, the information is sent to the db/news.csv file that Fusion creates in the Scripts folder.

  6. Enter the Server (IP) address and Port of the server. Consult your host provider or site administrator to obtain this information.

  7. To save the News Component settings as a profile that can be applied to additional News components that you add to your site, click Save Profile. See Creating Component Profiles.

Click OK to close the News dialog.


Adding an FAQ Page

NetObjects FAQ component allows you to answer your site visitors’ most common questions about your products, services, or company in general. With NetObjects Fusion’s FAQ component, you can display FAQs on your site, which are grouped by category for easy browsing. You can also incorporate a search tool that visitors can use to find the information they need quickly. In addition, you can measure the effectiveness of your FAQs by allowing site visitors to rate the FAQs on your site, and you can view statistics for each FAQ, such as how often a question has been viewed.

The NetObjects FAQ component consists of four components:

  • The FAQ Admin component, which creates a page on which you can add, edit, delete, and manage questions in your FAQ list.

  • The FAQ Details component, which compiles detailed information (such as views and rating) for each question in the FAQ list.

  • The FAQ Search component, which allows you add a search box to your page so that viewers can quickly find what they’re looking for.

  • The FAQ TOC component, which a displays the FAQ categories, the number of questions contained in each category, and the total number of questions in the FAQ list.

It is not necessary to add each FAQ component to your site, but you must add the FAQ Admin component and the FAQ Details component to add and display FAQ information.


How the FAQ Component Works

To display the FAQ information on your site, you must first add a page for the FAQ Admin component and a separate page for the FAQ Details component.

  1. From the Custom Components toolbox, select NOF FAQ>FAQ Admin.

  2. Draw a box on the Layout to indicate where you want to position the FAQ Admin component.

The NOF FAQ dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF FAQ dialog.

The FAQ Admin dialog box appears.

  3. On the Settings tab, select the number of FAQs that you want to display per page by either typing a number in the text field or using the up and down arrows in the Record per page box.

  4. Click the Design tab to customize the appearance of your FAQ Admin page by choosing a template from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.

  5. Click General tab to configure the general settings for your FAQ Admin page.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Database prefix field, enter a prefix for the file names that the NOF FAQ Component generates in the scripts directory. For example, if you create a .csv file with a prefix of categories, the .csv file is created as categories.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Creating Password-Protected Pages.

  4. To save the FAQ Admin Component settings as a profile that can be applied to additional NOF FAQ components that you add to your site, click Save Profile. See Creating Component Profiles.

  5. Click OK to close the FAQ Admin dialog box.

The FAQ Admin component is not password-protected. It is recommended that you exclude the page containing the FAQ Admin component from navigation by checking the Exclude from Navigation check box on the Page Properties panel in Site view.


Adding the FAQ Details Component

  1. From the Custom Components toolbox, select NOF FAQ>FAQ Details Component.

  2. Draw a box on the Layout to indicate where you want to position the FAQ Details component.

The NOF FAQ dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF FAQ dialog.

The FAQ Details dialog appears.

  3. Configure the FAQ Details page settings on the Settings tab:

  • Show rating allows visitors to see how others have rated the effectiveness of each FAQ. A number of stars will be displayed to each FAQ to indicate its rating. If you do not check this option, the rating will not be shown.

  • Show rating editor displays a combo box next to each question to allow site visitors to rate how effectively the FAQ answered their question. You can set up the ratings options in the FAQ Admin component.

  • Show hits displays the number of times the FAQ has been viewed.

  • Show navigation displays links in the FAQ Details page that allows visitors to navigate to the previous or next page of FAQs.

  • Show modified: Select this option to display the date that the FAQ was last modified or updated.

  • FAQs: Enter the number of FAQs that you want to display per page by either typing a number in the text field or using the up and down arrows.

  4. Click the Design tab to customize the appearance of your FAQ Details page by choosing a style template from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.

  5. Click General tab to configure the general settings for your FAQ Details page.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Database prefix field, enter a prefix for the file names that the NOF FAQ Component generates in the scripts directory. For example, if you create a .csv file with a prefix of categories, the .csv file is created as categories.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • To save the FAQ Details Component settings as a profile that can be applied to additional NOF FAQ Components that you add to your site, click Save Profile. See Creating Component Profiles.

  6. Click OK to close the FAQ Details dialog box.

On the published site, the FAQ Details Component will display the list of FAQs for site visitors. The beginning of the answer will be seen underneath each corresponding question. To view the full answer, the site visitor clicks the question; then, the question and its full answer will appear on a new page.

The site visitor will also be able to rate each question and answer to express his opinion on the accuracy and the relevance of the question and answer.


Setting Up Your FAQs

Once you have added the FAQ Admin and the FAQ Details component tools to your site, you will need to publish your site remotely to create your FAQs. On the published site, you access the page containing the FAQ Admin component, where you can add FAQs, view a list of your current FAQs, create FAQ domains (categories), and establish rankings to allow visitors to rate your site.


Adding FAQ Categories

With the FAQ Component, you can group your questions by category so that your site visitors easily search for the information they need. A drop-down menu will appear on the FAQ list page, and visitors can select a category specific to the information they are looking for.

It is recommended that you create categories before adding questions to your FAQ. When you add categories before adding questions, you can assign the pre-established categories to each question as it is added, which is easier than assigning categories to questions after they have been added.

  1. On the published site, open the page containing the FAQ Admin component tool in a browser window.

  2. Click the Categories link.

  3. In the window that appears, click Add Categories.

  4. Enter a name for the category in the Category Name text field.

  5. Enter a description for the category in the Category Description text box.

  6. Click Save to add the category to your category list.

  7. Repeat steps 2 through 5 to add additional domains.


Adding Questions and Answers to Your FAQ List

To add questions and answers to your FAQ list:

  1. On the published site, open the page containing the FAQ Admin component tool in a browser window.

  2. The FAQ Admin page appears.

  3. Click the Add FAQ link.

  4. In the page that appears, type or paste a new FAQ in the Question field or paste the question’s corresponding answer in the Answer text box.

  5. In the Choose Category drop-down list, select the category in which you want to include the question.

  6. Click Save to add the question and answer to your FAQ list.


Modifying the Ranking System for FAQs

There are four predefined ranks in the FAQ Admin Component: Very Good, Good, Quite, Slightly, but you can modify the ranking system to suit your needs.

  1. On the published site, open the page containing the FAQ Admin component tool in a browser window.

  2. Click the Rating Ranks link.

  3. In the window that appears, click the Add rank link.

  4. Enter a single-digit numerical value for the new rank in the Rank text field.

  5. In the Rank Name field, enter a descriptive name for the rank value. For example, a rank value of 5 could have a rank name of "Highly Effective", and a rank value of 4 could have a rank name of "Very Effective", etc.

  6. Click Save to add the rank value and name to your ratings system.

  7. Repeat steps 2 through 6 to add additional ranks.


Editing an FAQ

To edit an FAQ:

  1. On the published site, open the page containing the FAQ Admin component tool in a browser window.

  2. Click the List FAQ link.

  3. In the window that appears, click the edit link corresponding to the FAQ you want to edit.

  • Change the category to which the FAQ is assigned by selecting a new category from the Choose Category drop-down list.

  • Revise a question or answer by editing its text.

  • Delete an FAQ by clicking the delete link corresponding to the FAQ you want to remove.

  1. Click Save to update the FAQ.


Adding the FAQ TOC Component

  1. In Page view, from the Custom Components toolbox, select NetObjects FAQ>FAQ TOC

  2. Draw a box on the Layout to indicate where you want to position the TOC component.

The NOF FAQ dialog box appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF FAQ dialog.

The FAQ TOC dialog appears.

  4. On the Settings tab, click the Show details check box to display the number of FAQs in next to each category listed on the TOC page.

  5. Click the Design tab to customize the appearance of your FAQ TOC page by choosing a style template from the Style drop-down list. The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.

  6. Click the On Success tab and select the page that contains the FAQ Details component. The table of contents will be displayed on this page.

  7. Click General tab to configure the general settings for your FAQ TOC page.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Database prefix field, enter a prefix for the file names that the NOF FAQ Component generates in the scripts directory. For example, if you create a .csv file with a prefix of categories, the .csv file is created as categories.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • To save the FAQ TOC component settings as a profile that can be applied to additional NOF FAQ components that you add to your site, click Save Profile. See Creating Component Profiles.

  8. Click OK to close the FAQ TOC dialog box.


Adding the FAQ Search Component

  1. In Page view, from the Custom Components toolbox, select NOF FAQ>FAQ Search.

  2. Draw a box on the Layout to indicate where you want to position the FAQ Search component. To ensure the most efficient search, you should place the FAQ Search component on the page containing the FAQ Details component.

The NOF FAQ dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF FAQ dialog.

The FAQ Search dialog appears.

  4. Click the Design tab to customize the appearance of your FAQ Search page by choosing a style template from the Style drop-down list. The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box:

  5. Click the On Success tab, and choose the page in your site structure on which search results will be displayed.

  6. Click General tab to configure the general settings for the FAQ Search page.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Database prefix field, enter a prefix for the file names that the NOF FAQ Component generates in the scripts directory. For example, if you create a .csv file with a prefix of categories, the .csv file is created as categories.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  7. To save the FAQ Search component settings as a profile that can be applied to additional NOF FAQ components that you add to your site, click Save Profile. See Creating Component Profiles.

  8. Click OK to close the FAQ Search dialog box.


Using the Forms Handler Component

Using the Forms Handler

Using the NetObjects Forms Handler Component, you can easily create interactive forms to collect information from your users—without knowledge of complex coding. All the information that you collect from users is stored in a flat file database file created by NetObjects Fusion and can be easily imported in third-party applications such as Microsoft Excel and Microsoft Access. You can view and manage the flat file database information, and you can choose to be notified via e-mail when a site visitor fills out and submits the form.

The NetObjects Forms Handler consists of 2 components:

  • The Forms Handler Component, which is used to collect information from your users.

  • The Forms Handler Manager Component, which can be used to view and manage the information received from users.

You can place as many Forms Handler Components on your site as you need, but you can only place one Forms Handler Component on a page.


Adding the Forms Handler Component to a Page

To add the Forms Handler component to a page:

  1. In Page View, from the Custom Components toolbox, select NOF Forms Handler>Forms Handler.

  2. Draw a box on the Layout to indicate where you want to position the Forms Handler Component.

The NOF Forms Handler dialog box appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF Forms Handler dialog.

The Forms Handler dialog appears.

  3. Follow the steps for configuring the Forms Handler Component settings and appearance as described in Configuring the Form Labels and Objects and Configuring the General Form Settings.


Configuring Form Labels and Objects

After you have placed the Forms Handler component on your site, you can customize the form that visitors fill out to send pages to suit your needs. You can modify text labels and apply custom styles to the default form labels. You can also add additional form labels and corresponding objects—such as text boxes, check boxes, and radio buttons—to collect additional information. For example, if you want to survey your site visitors by presenting a question and four options from which the user can check as a response, you could add a radio button and text label for each available option.

When you place the Forms Handler component on a page, the Forms Handler dialog appears. To edit the form, click the Forms Handler component placeholder graphic and select Show Dialog from the drop-down menu on the NetObjects Forms Handler Properties panel.


Modifying Form Labels

On the Fields tab of the Forms Handler dialog box, configure the labels that will appear on the form next to the corresponding form object. The default labels are listed in the left-hand pane of the Forms Handler dialog box.

  1. On the Forms Handler Properties panel, select Show Dialog.

  2. On the Field tab of the Forms Handler dialog box, edit default label text by selecting the label you want to change and replacing the text in the Label field.

  3. To change the order in which form elements will appear on the form, click the label name and move the label on the form using the up and down arrows.

  4. To remove a label and its form object, select the label and click the remove (-) button.


Adding Form Objects

On the Fields tab of the Forms Handler dialog box, you can set the properties for the form objects corresponding to the labels that appear on the form. For example, you can add a text label and then add a list box as the label’s corresponding form object.

To add a new form object and corresponding text label:

  1. On the Forms Handler Properties panel, select Show Dialog.

  2. On the Fields tab of the Forms Handler dialog box, click the add (+) button.

  3. Select Standard Controls.

When you add a Captcha form, select Custom controls.

  4. Enter a name for the field label in the Name text field.

  5. Select the desired form object type from the Type drop-down menu.

The default form object for new items is a single-line text field, but you can also choose to add a text box, radio button, check box, and button.


Configuring a Text Field

A single-line text field can accommodate just a few words, such as a name or phone number.

  1. On the Forms Handler Properties panel, select Show Dialog.

  2. On the Field tab of the Forms Handler dialog box, select Textfield from the Type drop-down menu.

  3. Set the following text field properties:

  • Name. Type the name for this field that’s PHP or ASP script processing the form. You may be able to choose any name or one may be required for this field.

  • Text. Type text to appear in the field by default. This text is submitted as the response if the site visitor doesn’t replace it.

  • Styles. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object, See "Using Style Sheets with Custom Components ".

  • Password. Select this option if the field is for sensitive information like a password or credit card number. Characters site visitors type are submitted to the script, but depending on the browser, visitors see asterisks, bullets, or nothing at all as they type.

  • Visible length. Enter a number to define the length of the text box by specifying the number of characters visible in the field.

  • Max length. Enter a numerical value to define how many characters site visitors can enter in the field. When typing exceeds the field’s visible width or height, text scrolls up to this number of characters.


Configuring a Text Box

A multi-line text field (text box) can accommodate a greater amount of text than a text field, and is ideal for input such as comments and feedback.

  1. On the Forms Handler Properties panel, select Show Dialog.

  2. On the Field tab of the Forms Handler dialog box, select Textarea from the Type drop-down menu.

  3. Set the following text field Properties:

  • Name. Type the name for this field that’s passed to the PHP or ASP script processing the form. You may be able to choose any name or one may be required for this field by the script.

  • Text. Type text to appear in the field by default. This text is submitted as the response if the site visitor doesn’t replace it.

  • Style. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object, See "Using Style Sheets with Custom Components " .

  • Password. Select this option if the field is for sensitive information like a password or credit card number. Characters site visitors type are submitted to the script, but depending on the browser, visitors see asterisks, bullets, or nothing at all as they type.

  • Visible height. Enter a number to define the height of the text box by specifying the number of characters visible in the field.

  • Max length. Enter a numerical value to define how many characters site visitors can enter in the field. When typing exceeds the field’s visible width or height, text scrolls up to this number of characters.


Configuring Radio Buttons

Use radio buttons when you want site visitors to choose one option from a group. Clicking one radio button deselects all others in its group.

  1. On the Forms Handler Properties panel, select Show Dialog.

  2. On the Field tab of the Forms Handler dialog box, select Radio Button from the Type drop-down menu.

  3. Set the following properties:

  • Name. Type the name for this button that’s passed to the PHP or ASP script processing the form. This should be the same for all buttons in the group.

  • Value. Type the value passed for the button if the site visitor selects it. For example, if a visitor selects a button named Large in a group named 4, the output text might appear as 4=Large.

  • Styles. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

The Cascading Style Sheet must first be added in NetObjects Fusion to be available in the CSS drop-down list. See "Using Style Sheets with Custom Components ".

  • Default. Choose either checked or unchecked to set the button’s initial state, which is returned as the response if the site visitor doesn’t change it.


Configuring Check Boxes

You can provide check boxes for making one or more selections from a group of options, or to turn a single option on or off. Unlike radio buttons, any number of boxes in a group can be selected at the same time.

  1. In the Forms Handler Properties panel, select Show Dialog.

  2. On the Field tab of the Forms Handler dialog box, select Checkbox from the Type drop-down menu.

  3. Set the following properties:

  • Name. Type the name for this check box that’s passed to the PHP or ASP script processing the form. Each check box must have a separate name.

  • Value. Type the value passed for the box if the site visitor checks it. For example, if a visitor checks a box named 6 that has the value E-mail, the output text might appear as 6=E-mail. If the site visitor doesn’t check it, no value is sent to the server.

  • Style. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object, see "Using Style Sheets with Custom Components."

  • Default. Choose either Checked or Unchecked to set the button’s initial state, which is returned as the response if the site visitor doesn’t change it.


Configuring Combo Boxes

If a long list of check boxes or radio buttons takes up too much space in your form, you can list options in a combo box. Use a scrolling list if you want site visitors to be able to select more than one option, which is a space-saving alternative to a group of check boxes. Or use a drop-down list for selecting only one option, which is an alternative to radio buttons.

  1. In the Forms Handler Properties panel, select Show Dialog.

  2. On the Field tab of the Forms Handler dialog box, Choose Combo Box from the Type drop-down menu.

  3. Set the following properties:

  • Name. Type the name for this combo box that’s passed to the PHP or ASP script processing the form.

  • CSS. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object, see "Using Style Sheets with Custom Components ".

  • Type. Select whether you want a drop-down list that displays one item at a time or a list box that displays several items in a scrolling list.

  • Visible height. For a list box, enter the number of visible lines in the box.

  • Allow multiple selections. For a list box, select this option if you want site visitors to be able to select more than one item in the list.

  1. To add items to the combo box list, click the plus (+) button and, in the Enter Value dialog, type a name and the value passed to the script for the item.

  2. Configure the combo box elements:

  • Name. Type the name passed for this item, which is also the name that appears in the list.

  • Value. Type the value passed if the item is selected.

  • Selected. Check this option if you want this item initially selected. Unless you’re creating a list box and you select Allow multiple selections, only one item in the list can be selected.

  3. Use the arrow buttons to rearrange the order of items in the list.

  4. To remove items from the list, select the item and click the minus (-) button.


Customizing the Form Submit Button

When using the Forms Handler component to create a form, you can customize the button that users click to submit the form. You can choose to use a standard text button, upload a custom image as a button, or use linked text that submits the form when clicked.

  1. In the Forms Handler Properties panel, select Show Dialog.

  2. On the Field tab of the Forms Handler dialog box, Choose Select from the Type drop-down menu. In the Forms Handler dialog, select Submit in the field list.

  3. Configure the following options for the Submit button.

  • Name. Type the name for this button that’s passed to the script processing the form. The default button text cannot be changed.

  • Style. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

  1. Select the type of button you want to use to submit the form.

  • Text. Select the Text option and enter a name the text field. The text will be displayed on the button.

  • Image. Select the Image option and choose a picture with the browse button. This picture will then behave as a button that the site visitor will click on it to submit the form.

  • Link. Select the Link option and type a link in the input field. The link will be displayed on the page and will behave as a normal button.

  2. Click OK to close the Forms Handler dialog.


Setting Error Events for Form Objects

You can assign requirements for each form field so that the form cannot be successfully submitted unless all of the required fields are completed correctly. For example, you can apply a rule for a text box so that the site visitor is required to enter text before submitting the form. If the site visitor leaves the text field blank and submits the form, the form will refresh with error markers, and the visitor will not be able to submit the form until all fields with errors are completed correctly.

  1. In the Forms Handler dialog, click the label for the form element that you want to apply validation options.

  2. Click the Error events tab.

  3. Select a validation requirement from the Error event drop-down list.

Available error events will vary depending on the type of form object to which the error event is being applied.

  1. Click the Active check box so that the error event will be activated on the form.

You can also suspend validation requirements for the form element by clearing the Active check box.

  2. Edit the default error message text by replacing the default text in the Message field.

Error messages for each form element that did not meet validation requirements will appear below the form.

  3. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.

To create a custom CSS style that will be available for the component form object, "Using Style Sheets with Custom Components "


Setting Error/Success Handling Options

After filling in the form, the site visitor will click the Submit button. If the site visitor has filled in the fields correctly, a success page will display. If the site visitor has filled in any fields incorrectly, the browser will refresh the page and display an error message, and the fields that are not correct will be indicated with an error marker.

You can configure settings for error messages and error markers on the Page tab.

Setting Error-Handling Options

  1. In the Forms Handler dialog box, click the Page tab.

  2. Check the Show error messages check box to display error messages when the site visitor incorrectly fills in a page form field and attempts to submit the form. The error messages will be displayed beneath the controls at the bottom of the page.

  3. Check the Show error marker check box to display an error marker (symbol) to indicate the invalid input text, where the site visitor has incorrectly filled in a field. The error marker will be displayed between the field's label and the field.

  4. Use the browse button to choose a different image for the error marker.

Setting Success-Handling Options

  1. In the Forms Handler dialog box, click the Page tab.

  2. In the Success Handling field, choose the page where the site visitor will be redirected after successfully submitting the page. If the form is submitted without errors, the site visitor will automatically be redirected to the selected success page. For example, you could choose to have the Home page refresh in the visitor's browser after the form is submitted successfully.


Configuring the General Settings

Configuring the General Form Settings

To configure the general form settings:

  1. In the Forms Handler dialog box, click the General tab.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  2. Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  3. Select the language (English or German) of your component script.

  4. Click the Write to database check box to upload form entries to a flat file database file.

  • In the Database field, enter the name of the flat file database file to which form information will be written. The default file is formshandler.csv.

  • In the Upload directory field, enter the path to the directory containing the flat file database file.

  1. Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  2. Click the Send e-mail check box to be notified when a visitor submits a form and to notify the visitor that their form has been submitted.

  • Enter the Server (IP) address and Port of the server that will handle sending the e-mail pages. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want form submission notifications to be sent.

  • In the From field, enter the e-mail address from which you want to send visitors confirmation e-mails.

  5. To save the Forms Handler Component settings as a profile which can be applied to additional Forms Handler components that you add to your site, click Save Profile. See Creating Component Profiles.

  6. Click OK to close the Forms Handler dialog.


Using the Forms Handler Manager Component

When you create a form using the Forms Handler Component, you can use the Forms Handler Manager to view and manage the information received from users. Form submission results are sent to the customerinfo.csv file that Fusion creates in the Scripts folder. You can use the Forms Handler Manager component to enter information about your Web server settings to configure the database features.

  1. In Page View, from the Custom Components toolbox, select NOF Forms Handler>Forms Handler Manager.

  2. Draw a box on the Layout to indicate where you want to position the Forms Handler Manager component.

The NOF Forms Handler dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF Forms Handler dialog.

The Manager dialog appears.

  3. Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  4. Select the language (English or German) of your component script.

  5. Click the Write to database check box to upload form entries to a flat file database file.

  • In the Database field, enter the name of the flat file database file to which form information will be written. The default file is formshandler.csv.

  • In the Upload directory field, enter the path to the directory containing the flat file database file.

  4. Click the Wizard button to launch the DB Creation Wizard.

  5. Click the Send e-mail check box to be notified when a visitor submits a form and to notify the visitor that their form has been submitted.

  • Enter the Server (IP) address and Port of the server that will handle sending the e-mail pages. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want form submission notifications to be sent.

  • In the From field, enter the e-mail address from which you want to send visitors confirmation e-mails.

  6. To save the Forms Handler Manager component settings as a profile that can be applied to additional Forms Handler components that you add to your site, click Save Profile. See Creating Component Profiles.

  7. Click OK to close the Manager dialog.


Adding a Guestbook

By adding a Guestbook to your site, you give your site’s visitors the opportunity to express their opinions, offer suggestions about your website, and develop a sense of community.

The NetObjects Guestbook consists of two components: the Guestbook Component, which adds a Guestbook to your site, and the Guestbook Admin Component, which allows you to edit and delete Guestbook entries.

To add a guestbook to your site, you drop the Guestbook component on a page, configure its settings, and then add the Guestbook Admin component.

To add a Guestbook to a page:

  1. In Page view, from the Custom Components toolbox, select NOF Guestbook>Guestbook.

  2. Draw a box on the Layout to indicate where you want to position the Guestbook Component.

The NOF Guestbook dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF Guestbook dialog.

The Guestbook dialog appears.

  4. Configure the Guestbook settings as described below.

You can only add one Guestbook Component and one corresponding Guestbook Admin Component per site.

To configure the Guestbook settings:

  1. In the Guestbook dialog, click the Settings tab.

  2. In the Add comment location fieldset, set the position of the Guestbook’s form in relation to the Guestbook’s comment list. You can place the form above or below this list or on a separate page.

  3. In the Captcha section, specify your preferences for the shown code:

  • Character Font: Select a character font from the drop-down list. The preview will display the Captcha image.

  • Background color: Set the color of the background image.

  • Foreground color: Set the color of the characters.

  • Number of characters: Use the arrow buttons to set the number of characters that will be displayed in the Captcha image

  • Space left between characters: Use the arrow buttons to set the distance left between two characters of a string.

  • Alignments: Select how you prefer the Captcha image to be displayed: Top/ Bottom padding: Use the arrow buttons to set the space between the image’s borders and the characters.

  • Right/Left margin: Use the arrow buttons to set the space between the image’s margins and the characters.

  4. Check the Notify when a new comment is added check box so that the webmaster or site owner will be notified each time a new Guestbook entry is posted.

  5. Check The New entry requires admin validation check box so that it appears on the site only after the webmaster validates it.

  6. In the Comment Settings section, specify which optional form fields you would like your visitors to complete when signing the Guestbook.

  7. Click the Emoticons check box to display a panel of emoticons that visitors can use in their Guestbook entries.

  8. Click the Show time check box to display the time at which each Guestbook entry is posted.

  9. Click the Design tab to customize the appearance of your Guestbook by choosing a style from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.

  5. Click the General tab to configure the Guestbook’s general settings.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  • Select the language (English or German) of your component script.

  • In the Database settings field, specify the flat file database file to which you want to store the guestbook entries. The default file is guestbook.dat.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard. .

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming guestbook submissions. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want testimonial submission notifications to be sent. You will receive an e-mail each time a site visitor submits a guestbook entry.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their guestbook entry has been successfully submitted.

  10. To save the Guestbook Component settings as a profile that you can apply to additional NOF Guestbook components that you add to your site, click Save Profile. See Creating Component Profiles.

  11. Click OK to close the Guestbook dialog.


The Guestbook Admin Component

The Guestbook Admin Component allows you to edit and delete entries in your Guestbook. It can be placed anywhere on your website, and it is password-protected to restrict access by unauthorized users. To use the admin component When you log in to the Guestbook admin area, you can delete or edit any of the existing Guestbook entries.

To add the Guestbook Admin Component:

  1. In Page view, from the Custom Components toolbox, select Guestbook>Guestbook Admin.

  2. Draw a box on the Layout to indicate where you want to position the Guestbook Admin component.

The NOF Guestbook dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF Guestbook dialog.

The Guestbook Admin dialog box appears.

  3. On the Settings tab, in the Administrator password field, enter a password that you will use to log in to the Guestbook Admin area.

  4. Enable the Emoticons check box to be able to see the emoticons that visitors use in their Guestbook entries. If not checked, the Emoticons option will not be available on the Admin Page.

  5. Click the Design tab to customize the appearance of your Guestbook by choosing a style from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.

  4. Click the General tab to configure the Guestbook’s general settings.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  • Select the language (English or German) of your component script.

  • In the Database settings field, specify the flat file database file to which you want to store the guestbook entries. The default file is guestbook.dat.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming guestbook submissions. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want guestbook submission notifications to be sent. You will receive an e-mail each time a site visitor submits a guestbook entry.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their guestbook entry has been successfully submitted.

  6. To save the Guestbook Admin component settings as a profile that you can apply to additional NOF Guestbook components that you add to your site, click Save Profile. See Creating Component Profiles.

  7. Click OK to close the Guestbook Admin dialog.


Managing Guestbook Entries Using the Admin Component

Managing Guestbook Entries

Once you have added each of the Guestbook component tools to your site, you will need to publish your site remotely to manage guestbook entries. On the published site, you access the page containing the Guestbook Admin component, where can add review, edit, and delete guestbook entries.

  1. On a published site, launch the page containing the Guestbook Admin page in a browser window.

  2. When prompted, enter your admin password as created when the Guestbook Admin component was added to the page.

The Guestbook Admin area appears.

  1. To edit a guestbook entry, click the edit button corresponding to the guestbook you want to edit.

The Guestbook form will appear.

  2. Modify the guestbook entry by editing the text in text fields.

  3. Click Update comment to apply the changes and return to the Guestbook Admin page.

  4. Delete a guestbook entry by clicking delete in the entry area.

  5. Click Log out to exit the Guestbook Admin area.


Adding the Testimonials Component

By featuring testimonials on your site, you can share positive feedback you receive from customers about your products, services, or company with all of your site visitors. Using the NetObjects Fusion Testimonials component, you can easily display customer-provided testimonials on your site. You can also offer visitors the opportunity to submit their own testimonials, which you can review before publishing them on the site.

The NetObjects Fusion Testimonials component consists of three components:

  • Add Testimonials, which adds a form to your site that visitors can use to submit testimonials.

  • View Testimonials, which displays the testimonials.

  • Admin Testimonials, which allows you to review, manage, and publish, the testimonials that have been submitted by visitors.

After you place the Add Testimonials and View Testimonials components on your pages, you can customize their appearance to complement your page design. Each of the three components must be placed on separate site pages to function properly.


The Add Testimonials Component

The Add Testimonials component creates a form on a page that visitors will complete to submit their testimonial. The testimonial will not appear on the View Testimonials page until it is reviewed in the Admin component area and validated.

To place the Add Testimonials component to a page and configure its settings:

  1. In Page view, from the Custom Components toolbox, select NOF Testimonials>Add Testimonials.

  2. Draw a box on the Layout to indicate where you want to position the Add Testimonials component.

The NOF Testimonials dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF Testimonials dialog.

The Add Testimonials dialog appears.

  4. In the Add Testimonials dialog box, click the Design tab to configure the Add Testimonials page appearance.

  5. Customize the appearance of your Add Testimonials page by choosing a style template from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.

  6. Click the Settings tab and choose which optional fields that you want to appear on the testimonials form.

  • Click the E-mail check box to add a field on the Testimonials form in which visitors can enter their e-mail address and display it along with their testimonial.

  • Check the Picture check box to allow site visitors to upload a picture that can be published along with their testimonial. The picture should not be larger than 200kb.

  • Check the ‘Enter the shown code’ check box to prevent automated form substitution.

Default fields that are required for successful form submission are dimmed in the Add Testimonials dialog. An asterisk will appear next to these form fields on a published site to indicate that the fields are required for submission.

  • Replace the default field text by selecting it and typing your desired text in the field.

  • Picture requirements text. If you choose to allow visitors to upload a picture to accompany their testimonial, enter the text that you want to appear below the picture upload field. The default text is Picture max size: 200 kb.

  • Notify on post. Select this box to be notified via e-mail when someone submits a testimonial. In the E-mail address field, enter a valid e-mail address to which notifications will be sent.

  • Character Font: Select a character font from the drop-down list. The preview will display the Captcha image.

  • Background color: Set the color of the background image.

  • Foreground color: Set the color of the characters.

  • Number of characters: Use the arrow buttons to set the number of characters that will be displayed in the Captcha image

  • Space left between characters: Use the arrow buttons to set the distance left between two characters of a string.

  • Alignments: Select how you prefer the Captcha image to be displayed: horizontally or vertically.

  • Top/Bottom padding: Use the arrow buttons to set the space between the image’s borders and the characters.

  • Right/Left margin: Use the arrow buttons to set the space between the image’s margins and the characters.

  7. Click the General tab to configure the general settings for the Add Testimonials page.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Database settings field, specify the flat file database file to which you want to store the testimonials. The default file is testimonials.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming testimonial submissions. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want testimonial submission notifications to be sent. You will receive an e-mail each time a site visitor submits a testimonial.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their testimonial has been successfully submitted.

  8. To save the Add Testimonials Component settings as a profile that you can apply to additional NOF Testimonials that you add to your site, click Save Profile. See Creating Component Profiles.

  9. Click OK to close the Add Testimonials dialog.


The View Testimonials Component

Once you have placed the Add Testimonials component on a page of your site, you can add the View Testimonials component to display the testimonials on your site. You can modify the appearance of the View Testimonials component so that it complements your current page design.

To add the View Testimonials component to a page:

  1. In Page view, from the Custom Components toolbox, select NOF Testimonials>View Testimonials.

  2. Draw a box on the Layout to indicate where you want to position the View Testimonials Component.

The NOF Testimonials dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF Testimonials dialog.

The View Testimonials dialog appears.

  4. In the Testimonials dialog box, customize the appearance of your View Testimonials page by choosing a style template from the Style drop-down list.

The default theme is the SiteStyle theme that is used for the current Active SiteStyle. When selected, a preview for this theme is only available from the Style view. A short description of the selected style and a preview image of the additional themes will be displayed in the dialog box.

  5. Click the Settings tab to configure the View Testimonial page settings.

  • Link text. Enter the text that will be displayed as a link to the Add Testimonials component. The default text is "Add Testimonial."

  • Select ‘add testimonial’ page. Select the page on which the Add Testimonials component is placed so that visitors will be directed to the correct page when they click the Add Testimonial link.

  • Number of testimonials on page. Type in the number of testimonials that you want to appear on one page.

  6. Click the General tab to configure the View Testimonials general settings.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Database settings field, specify the flat file database file to which you want to store the testimonials. The default file is testimonials.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the BD Creation Wizard. .

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming testimonial submissions. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want testimonial submission notifications to be sent. You will receive an e-mail each time a site visitor submits a testimonial.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their testimonial has been successfully submitted.

  10. To save the View Testimonials Component settings as a profile that you can apply to additional NOF Testimonials component that you add to your site, click Save Profile. See Creating Component Profiles.

  11. Click OK to close the View Testimonials dialog.


The Admin Testimonials Component

The Admin Testimonials component allows you to edit, delete, and manage submitted testimonials. You can also review the testimonials before publishing them to the site. The Admin Testimonials component is password-protected to restrict access by unauthorized users.

If you prefer, you can also place the Admin Testimonials component on a separate page of your site and exclude it from navigation so that it will not be seen by site visitors.

Adding the Admin Testimonials Component on a Page

  1. In Page view, from the Custom Components toolbox, select the NOF Testimonials>Admin Testimonials.

  2. Draw a box on the Layout to indicate where you want to position the Testimonials Component.

The NOF Testimonials dialog appears.

  1. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  2. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  3. Click OK to close the NOF Testimonials dialog.

The Admin Testimonials dialog appears.

  3. Configure the Admin settings in the Admin Testimonials dialog.

  4. On the General Settings tab, type the password that you want to use to log in to the Admin area and manage your testimonials.

  5. Click the General tab to configure the general settings for the Admin Testimonials page.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Database settings field, specify the flat file database file to which you want to store the testimonials. The default file is testimonials.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming testimonial submissions. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want testimonial submission notifications to be sent. You will receive an e-mail each time a site visitor submits a testimonial.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their testimonial has been successfully submitted.

  4. To save the Admin Testimonials settings as a profile that you can apply to additional NOF Testimonials components that you add to your site, click Save Profile. See Creating Component Profiles.

  5. Click OK to close the Admin Testimonials dialog.


Configuring Server-Side Settings

For the Testimonials features to function correctly on your site, configure server-side settings to ensure that the component functions correctly. Several components require that you have ability to grant permissions to files on the server to which the site is published. Contact your ISP for information on granting permissions.

After you publish your site on the server, go to the directory where you have published and in the scripts folder you must give write permission (chmod 757 /home/users/me/public_html/mysite/scripts).

If you want to permit your site visitors to upload images on the page where you have placed the Testimonials Component, give write permission to the image folder from the scripts directory (chmod 757 /home/users/me/public_html/mysite/scripts/images).


Managing Testimonials on the Admin Testimonials Page

Once you have added each of the Testimonial component tools to your site, you will need to publish your site remotely to manage testimonials.

  1. On the published site, open the page containing the Admin Testimonials component tool in a browser window.

  2. When prompted, enter your admin password as created when the Admin Testimonials component was added to the page.

The Admin Testimonials page will display a table listing the testimonials that visitors have submitted, including the submitter’s name, the date of submission, and the title of the testimonial.

  1. To review a testimonial, click the View link corresponding to the testimonial you want to view.

The selected testimonial will appear in the browser window.

  2. Click the Validate link below the testimonial to display the testimonial on the page containing the View Testimonials component.

  3. Click the Invalidate link below the testimonial if you do not want to display the testimonial.

  4. Click the Delete link to permanently remove a testimonial from your testimonials list.

  5. Click Logout to log out of the Admin Testimonials area.

You can also validate, invalidate, and delete testimonials directly on the testimonials list table. Click the Validity check box to validate all testimonials in the list at once.


Creating Password-Protected Pages

The NetObjects Fusion Secure Site package has all the tools needed to build a secure site with password-protected pages. When you add password protection to pages, you protect the page content from being viewed by unregistered users. Visitors will have to sign-up and create a user account before gaining access to the protected pages.

All the information collected from users at signup will be stored permanently in a flat file database file which can easily imported into third-party applications, such as Microsoft Excel and Microsoft Access.

The registered users will be able to change their passwords and request to have their forgotten passwords sent by e-mail. The site Administrator will be able to notify registered users regarding any changes in the user accounts

The NetObjects Secure Site package consists of 7 components:

  • Admin Component, which allows the site owner to manage user accounts.

  • Signup Component, which allows the user to sign up for a new account with the user name, password, and additional data.

  • Secure Page Component, which prompts users for their user ID and password and denies access to the protected pages without that information.

  • Login Component, which handles the process of user sign in and validation.

  • Logout Component, which signs users out of their account.

  • Change Password Component, which users can use to change their passwords.

  • Get Password Component, which allows users to request their user name and password via e-mail if they cannot provide the information.


Placing the Admin Component on a Page

  1. In Page view, from the Custom Components menu, select NOF Secure Site >Admin.

  2. Draw a box on the Layout to indicate where you want to position the Secure Site Admin component. The NOF Secure Site dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  4. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  5. Click OK to close the NOF Secure Site dialog.

The Admin dialog box appears.

  6. On the Account tab, enter the user name and password that you to be used to log-in to the Admin area and manage user accounts.

  7. Click the User can login without administrator approval check box to allow visitors to access secure pages immediately after filling out the signup form.

  8. Click the Access Denied tab and choose the page in your site that will display when the visitor does not enter a valid user name or password. For example, you could have the log in page refresh, or you could direct visitors to the page containing the Secure Site Sign up component.

  9. On the General tab, configure the following settings:

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Path to database field, enter the path to the flat file database file where you registered users’ information is to be stored. The default database file is db/users.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming new user accounts. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want customer signup notifications to be sent. You will receive an e-mail each time a visitor creates an account.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their account has been successfully created.

  1. To save the Admin Component settings as a profile that you can apply to additional NOF Secure Site components that you add to your site, click Save Profile. See Creating Component Profiles.

  2. Click OK to close the Admin dialog.

For increased protection from unauthorized access, you can exclude the admin page from navigation so that visitors will not see the page in the navigation bar. To exclude a page from navigation, select the page in Site View and click the Exclude from Navigation check box on the Page Properties panel.


Adding the Signup Component to a Page

Using the Signup component, you can create the form that visitors need to create an account and gain access to secure pages.

  1. In Page view, from the Custom Components menu, select NOF Secure Site >Signup.

  2. Draw a box on the page where you want to place the Secure Site Signup component. The NOF Secure Site dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  4. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  5. Click OK to close the NOF Secure Site dialog.

The Signup dialog appears.

  6. Follow the steps for configuring the Signup Component settings as described in this section.


Configuring the Secure Site Form Labels and Objects

After you have placed the Signup Component on your site, you can customize the form that visitors fill out to sign up for access to password-protected pages. You can modify text labels and apply CSS styles to the default form labels. You can also add additional form labels and corresponding objects-such as text boxes, check boxes, and radio buttons-to collect additional information. For example, if you wanted to obtain additional information from visitors who are registering to use your site, you can add an additional text box in which the user can enter that information.

When you place the Signup Component on a page, the Signup dialog appears. If you do not see the Signup dialog, click on the Signup component placeholder graphic and select Show Dialog from the drop-down menu on the NetObjects Secure Site Properties panel.


Customizing Secure Site Form Labels

On the Fields tab of the Signup dialog, configure the labels that will appear on the signup form next to the corresponding form object. The default labels are listed in the left-hand pane of the Signup dialog box.

  1. Edit the default label text by selecting the label you want to change and replacing the text in the Label field.

  2. Add a new label and form object by clicking the add (+) button, selecting Standard Controls and entering a name for the field in the Name text field.

If you remove the Captcha label, you can add it back by clicking the add (+) button, and selecting Captcha from the Custom Controls section.

When you add a new form label, a corresponding form object is also created. Select the desired form object type from the Type drop-down menu. Form objects are used to define the type of input a user enters in a form. For example, a visitor can type text in a text field or select a check box to respond to questions on a form. Text fields and check boxes are types of form objects.

The default form object for new items is a single-line text field, but you can also choose to add a text box, radio button, check box, and button.

  3. To remove a label and its form object, select the label and click the remove (-) button.

  4. To change the order in which form elements will appear on the Signup form, click the label name and move the label on the form using the up and down arrows.

  5. On the Field tab of the Signup dialog, configure the labels that will appear on the form, as well as the appearance of the Submit button.


Customizing Secure Site Form Objects

On the Field tab of the Signup Page dialog box, you can set the properties for the form objects corresponding to the labels that appear on the signup form.

The Control Settings section will display the properties for each label relative to the form object type.


Specifying Error Events for Signup Form Elements

You can assign validation requirements for each form field so that the form cannot be successfully submitted unless all of the required fields are completed correctly. For example, you can apply a rule for a text box so that the site visitor is required to enter text before submitting the form. If the site visitor leaves the text field blank and submits the form, the form will refresh with error markers, and the visitor will not be able to submit the form until all fields with errors are completed correctly.

  1. In the Signup dialog, click the label for the form element that you want to apply validation options.

  2. Click the Error events tab.

  3. Select a validation requirement from the Error event drop-down list.Available error events will vary depending on the type of form object to which the error event is being applied.

  4. Click the Active to check box so that the error event will be activated on the form.

  5. You can also suspend validation requirements for the form element by clearing the Active check box.

  6. Edit the default error message text by replacing the default text in the Message field.

  7. Error messages for each form element that did not meet validation requirements will appear below the form.

  8. To apply a custom CSS style to the form object, type the name of the CSS style in the text box or select the style from the drop-down list.


Adding the Secure Page Component

You can easily add password protection to your site pages by dropping the Secure Page component on any site pages you want to protect.

  1. In Page view, click the page you want to protect.

  2. From the Custom Components menu, select NOF Secure Site>Secure Page

  3. Draw a box on the Layout to indicate where you want to position the Secure Page component.

  4. The NOF Secure Site dialog appears.

  5. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  6. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  7. Click OK to close the NOF Secure Site dialog.

The Secure Page dialog appears.

  8. On the Security tab, configure the following settings:

  • Show secure logo. Allows you to add an image that indicates that the page is secure from entry.

  • Users that can access this page. Indicates if the page is accessible for administrators only or normal users.

  1. On the Access Denied tab, select the page of your site to which visitors will be redirected if they do not enter a valid user name or password.

For example, you could place both the Signup and Login components on the same page and choose this as the page that refreshes in the browser so that visitors can either re-enter their user name and password or sign up for access.

  2. On the General tab, configure the following settings:

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Path to database field, enter the path to the flat file database file where you registered users’ information is to be stored. The default flat file database file is db/users.csv.

  • Click the Wizard button to launch the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming new user accounts. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want customer signup notifications to be sent. You will receive an e-mail each time a visitor creates an account.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their account has been successfully created.

  3. To save the Secure Page Component settings as a profile that you can apply to additional NOF Secure Site components that you add to your site, click Save Profile. See Creating Component Profiles.

  4. Click OK to close the Secure Page dialog.


Adding the Login Component

The Login component is used to create the form in which visitors will enter their user name and password to gain access to your protected pages.

  1. In Page view, from the Custom Components toolbox, select NOF Secure Site>Login.

  2. Draw a box on the Layout to indicate where you want to position the Login component. The NOF Secure Site dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  4. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  5. Click OK to close the NOF Secure Site dialog.

The Login dialog appears.

  6. On the Fields tab of the Login dialog, you can set the properties for the form labels and objects that appear on the Login form, as well as establish the error events.

  7. Click the Page tab to configure error and success handling events:

  • In the Error Handling section, Check the Show error messages check box to display error messages when the site visitor enters incorrect log-in information. The log-in form will display error messages beneath the controls at the bottom of the page.

Check the Show error marker check box to display an error marker (symbol) to indicate the invalid input text, where the site visitor has incorrectly filled in a field. The error marker will be displayed between the field's label and the field.

Use the browse button to choose a different image for the error marker.

  • In the Success Handling Section, Set the Success-Handling Options:

  • In the Success Handling field, choose the page where the site visitor will be redirected after successfully logging in to the site. If a valid user name and password are entered, the site visitor will automatically be redirected to the selected success page. For example, you could choose to have the Home page refresh in the browser after visitor logs in successfully.

  1. On the General tab, configure the following settings:

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Path to database field, enter the path to the flat file database file where you registered users’ information is to be stored. The default database file is db/users.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming new user accounts. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want customer signup notifications to be sent. You will receive an e-mail each time a visitor creates an account.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their account has been successfully created.

  2. To save the Login Component settings as a profile that you can apply to additional NOF Secure Site components that you add to your site, click Save Profile. See Creating Component Profiles.

  3. Click OK to close the Login dialog.

You cannot add the Login component to a page containing a Secure Site component.


Adding the Logout Component

The Logout component adds a button that allows a user to "sign out" of your site.

  1. In Page view, from the Custom Components toolbox, select NOF Secure Site>Logout. The NOF Secure Site dialog appears.

  2. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  3. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  4. Click OK to close the NOF Secure Site dialog.

The Logout dialog appears.

  5. On the Fields tab of the Logout dialog, you can choose to display the log-out button as a text button, image button, or text link.

  6. Click the Page tab to configure error and success handling events for the log-out button.

  7. On the General tab, configure the following settings:

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

Server Script displays either ASP or PHP, depending on settings from the General tab of the Current Site Options dialog.

  • Select the language (English or German) of your component script.

  • In the Path to database field, enter the path to the flat file database file where you registered users’ information is to be stored. The default database file is db/users.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming new user accounts. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want customer signup notifications to be sent. You will receive an e-mail each time a visitor creates an account.

  • In the From field, enter the e-mail address from which you want to send visitors e-mails confirming that their account has been successfully created.

  1. To save the Logout Component settings as a profile that you can apply to additional NOF Secure Site components that you add to your site, click Save Profile. See Creating Component Profiles.

  2. Click OK to close the Logout dialog.


Adding the Secure Site Admin Component

This Secure Site Admin component allows the site administrator to view a table containing information about registered site visitors, such as personal data and account status. The administrator can log in to this page from the published site to validate and invalidate user accounts, add and remove users accounts, view and edit the user details, and also provide administrative rights to a regular user.

There are 3 types of users of a website:

  • Visitors, who will not have access to the restricted pages.

  • Registered users, who have access to the restricted pages, except for the site administrator’s page.

  • Administrators, who have access to all the pages of the site, including the Admin component.

The page that hosts the Admin Component is a secure page, which can be viewed by the administrator on a published site. This component has the ability to send an e-mail to the user when the administrator validates/invalidates a user account.


Adding the Change Password Component

By adding the Change Password component on your site, you can allow visitors to change their account password directly on the published site. With the Change Password component, visitors can change their password automatically—without having to contact the site administrator.

  1. In Page view, from the Custom Components menu, select NOF Secure Site >Change Password.

  2. Draw a box on the Layout to indicate where you want to position the Change Password Component. The NOF Secure Site dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  4. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  5. Click OK to close the NOF Secure Site dialog.

The Change Password dialog appears.

  6. On the Fields tab of the Change Password dialog, you can set the properties for the form labels and objects that appear on the Change Password form, as well as establish the error events.

  7. Click the Page tab to configure error and success handling events:

  • In the Error Handling section, Check the Show error messages check box to display error messages when the site visitor fills in the form incorrectly. The Change Password form will display error messages beneath the controls at the bottom of the page.

  • Check the Show error marker check box to display an error marker (symbol) to indicate the invalid input text, where the site visitor has incorrectly filled in a field. The error marker will be displayed between the field's label and the field.

  • Use the browse button to choose a different image for the error marker.

  • In the Success Handling Section, Set the Success-Handling Options.

  • In the Success Handling field, choose the page where the site visitor will be redirected after changing their password.

  1. On the General tab, configure the following settings:

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Path to database field, enter the path to the flat file database file where you registered users’ information is to be stored. The default database file is db/users.csv.

  • Click the Wizard button to launch the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails confirming password changes. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want user password change requests to be sent. You will receive an e-mail each time a user changes their password on the Change Password page.

  • In the From field, enter the e-mail address from which you want to send e-mails confirming successful password changes to users.

  2. To save the Change Password component settings as a profile that you can apply to additional NOF Secure Site components that you add to your site, click Save Profile. See Creating Component Profiles.

  3. Click OK to close the Change Password dialog.


Adding the Get Password Component

By adding the Get Password component on your site, you can allow visitors to receive their log-in information via e-mail if they either forget or do not have access to this information. With the Get Password component, visitors can receive the log-in information automatically—without having to contact the site administrator.

  1. In Page view, from the Custom Components menu, select NOF Secure Site >Get Password.

  2. Draw a box on the Layout to indicate where you want to position the Get Password Component. The NOF Secure Site dialog appears.

  3. If you have not created a Component Suite, create a new one by typing a name for the suite in the New name field. To include the component as part of an existing suite, click the Existing radio button and select the Component Suite that you want to add the component to. See Using Component Suites.

  4. From the Profile drop-down list, select the settings profile that you want to use for the component. If you have not created a settings profile, the default profile will be used. See Creating Component Profiles.

  5. Click OK to close the NOF Secure Site dialog.

The Get Password dialog appears.

  6. On the Fields tab of the Get Password dialog, you can set the properties for the form labels and objects that appear on the form, as well as establish the error events.

  7. Click the Page tab to configure error and success handling events:

  • In the Error Handling section, Check the Show error messages check box to display error messages when the site visitor incorrectly fills in the form. The form will display error messages beneath the controls at the bottom of the page.

  • Check the Show error marker check box to display an error marker (symbol) to indicate the invalid input text, where the site visitor has incorrectly filled in a field. The error marker will be displayed between the field's label and the field.

Use the browse button to choose a different image for the error marker.

  • In the Success Handling Section, Set the Success-Handling Options.

In the Success Handling field, choose the page where the site visitor will be redirected after successfully requesting their user name and password. For example, you could choose to have the a page refresh in the browser letting the visitor know that their account information will be sent to them via e-mail.

  1. On the General tab, configure the following settings:

  • Click the Publish scripts in debug mode check box to view in-depth troubleshooting information should the component not function properly when published.

  • Select the language (English or German) of your component script.

  • In the Path to database field, enter the path to the flat file database file where you registered users’ information is to be stored. The default database file is db/users.csv.

  • Click the Wizard button to launch the DB Creation Wizard. See Using the DB Creation Wizard.

  • Enter the Server (IP) address and Port of the server that will handle sending e-mails with requested account information. Consult your host provider or site administrator to obtain this information.

  • In the E-mail field, enter the e-mail address to which you want user password requests to be sent. You will receive an e-mail each time a user requests their password on the Get Password page.

  • In the From field, enter the e-mail address from which you want to send users their log-in information.

  2. To save the Get Password Component settings as a profile that you can apply to additional NOF Secure Site Components that you add to your site, click Save Profile. See Creating Component Profiles.

  3. Click OK to close the Get Password dialog.


Using Style Sheets with Custom Components

You can customize the appearance of many NOF Custom Component design elements using CSS Styles. In component dialogs that offer a Style drop-down list, you can apply custom styles to specific page elements. You can also apply a style that is relative to the look and feel of your SiteStyle by selecting the SiteStyle option from the drop-down list.

More than one CSS name can be added and stored in the CSS drop-down box, but only the selected Style will be active.

The easiest way to add CSS rules to a NOF Custom Component is to select the SiteStyle definition from the Style drop-down list. The SiteStyle definition is the default CSS definition for the component. This definition is in agreement with the active SiteStyle.

You can create CSS definitions for the components from the Selectors tab in Style View. To add a CSS rule to a NOF Custom Component:

  1. Click on the Selectors tab. The Selectors View displays all the CSS rules, that belong to the selected style in the Styles Tree.

  2. In the Selectors view, right-click on the Selectors column and choose Add CSS rule.

The Add CSS rule dialog appears.

  3. Select Named Style and enter a name for the new style in the Name field.

The Components CSS rules have predefined structures. For example, for the Forms Handler Component, the CSS selector is .nof_formshandler, and if you want to customize the style for the News component, in the name field add ".nof_news_default". When you add a component CSS rule, you have to type the name of the component in the predefined structure: .nof_NameOfTheComponent_default. The Name of the component will be replaced by the name of the suite, and default by a word that differences the created CSS rule by other rules created for the same type of component.

  1. Choose the selector from the Selectors column.

  2. Review the selector in the Preview area.

Selecting a form element from the preview area, you can modify the associated CSS rule using the CSS Panels.

You cannot remove CSS rules in the Selectors View. To remove a CSS rule, go to CSS Code View and delete the content of the CSS rule from there or remove the CSS rule from the Manage Styles dialog.

Another way to add a CSS style to a NOF Custom Component.

  1. In Page view, click an area in the page Layout.

  2. Click the HTML button on the Layout Properties panel .

The Page HTML dialog box appears.

  1. In the Page HTML dialog box, click the Between Head Tags tab.

  2. In the HTML text box, type <Style>.

  3. Click Insert File and locate the CSS file you want to use.

  4. Type </Style> in the tab.

  5. Click OK to close the Page HTML dialog box.

  6. Open the component editor, then in the CSS field fill in the CSS class name you want to be applied.

Suppose that your css file contains a class named MyLabel, in the CSS field you have to fill in the name MyLabel. You can specify a different class for every label or text field element but this class must exist in the included CSS.

When you add the CSS style in NetObjects Fusion’s Page HTML dialog, the CSS definition can be referenced in the Custom Component CSS drop-down menus.

You can also apply a CSS style with the following method:

  1. In Page View, from the Text menu, choose Manage Styles.

The Manage Styles dialog box appears.

The pane on the left lists the currently defined HTML tags styles.

The list of styles can include styles that are specific to the current page, the entire site or part of the Site Style. You can also create custom styles for the

navigation bar, a text object, form labels, and so on, for the styles listed in the pane on the left.

  3. To create a new style, click New or Duplicate.

The New Text Style dialog box appears. The Duplicate Text Style dialog box is similar. Duplicating a style is a quick way to give it a different purpose. For example, you can duplicate the H1 style to H2, H3, and H4 headings and then edit them individually.

  4. In the Style type section, select:

  • Redefine HTML tag and choose a tag to edit from the drop down list

  • Create custom style and type a name for the style in the field.

  5. Select a style scope for the new style:

  • Page specific. If you select this option the style will be available only for the current page. If you are redefining an existing tag, the original definition is still in force for the rest of the site. If you create a new style, it will not be available for any other page of the site.

This option works only if you select the page’s layout color "transparent" in the Layout Properties window, on the Background tab.

  • Site wide. If you select this option the new style will not be available throughout the current site. If you are redefining an existing tag, all instances of this tag change throughout the site. For example, if you change the H1 font color to red and select Site wide, all the text with that style applied becomes red.

  6. Click OK.

The Text Format dialog appears. You can now set the attributes for each feature of the style.


Troubleshooting Server-Side Script Errors

Many NetObjects Fusion’s Custom Components require specific server-side configurations to function properly.

The following is a list of common server-side errors and their resolutions.

Error 104—Could not reach the specified Web page

Cause. A page required by a script is missing or cannot be accessed.

Resolution. Republish your site.

Error 110—E-mail template could not be found

Cause. The template file used for generating the e-mail message was not found. The file may not have been published on the server.

Resolution. Verify that the Publish Component check box was checked. In Publish view, select Publish>Publish Components and ensure that the correct Publish Component has been checked.

Error 201—SMTP Server Error

Cause. The SMTP server specified in the configuration file does not exist or does not respond.

Resolution. Verify the SMTP settings in the component editors or contact the system administrator.

Error 202—SMTP Server Error—Invalid e-mail address

Cause. The To or From e-mail addresses used for the mail settings are not correct.

Resolution. Check the e-mail addresses in the To and From fields in the component settings dialogs and ensure that the syntax is valid e-mail address syntax, (e.g., joesmith@netobjects.com).

Error 302—PHP settings error

Cause. The directory specified by upload_tmp_dir entry in php.ini file does not physically exist or it is not possible to write in it.

Resolution. Contact the ISP provider or, if you have the appropriate access rights, verify if the directory pointed by the above entry exists or the write permissions are granted.

Error 400—Component not found

Cause. The component ID in the configuration XML was not found.

Resolution. Republish your site.

Error 500—Failed to create CSV file

Cause. This error occurs when the write permissions on the directory where the .csv file will be created are not granted.

Resolution. Check the publish destination and be sure that the write permissions are granted for the directory in which the .csv file will be created.

Error 501—Fail to read from the CSV text file

Cause. This error occurs when the read permissions on the directory where the .csv file resides are not granted.

Resolution. Check the publish destination and be sure that the read permissions are granted for the directory in which the .csv file resides.

Error 502—Fail to write to CSV text file

Cause. This error occurs when the write permissions on the directory where the .csv file will be created are not granted.

Resolution. Check the publish destination and be sure that the write permissions are granted for the directory in which the .csv file will be created

Error 520—Fail to open CSV text file

Cause. This error occurs when the read permissions on the directory where the .csv file resides are not granted.

Resolution. Check the publish destination and be sure that the read permissions are granted for the directory in which the .csv file resides.

Error 600—XML error

Cause. Most likely this error is caused by a syntax error or bad XML formatting.

Resolution. Publish the site once again.

Error 601—XML file cannot be opened

Cause. This error occurs when the read permissions on the directory where the .xml file resides are not granted.

Resolution. Check the publish destination and be sure that the read permissions are granted for the directory in which the .xml file resides.

Error 620—XML file not found

Cause. The .xml configuration file was not found. Most likely, this error is caused by a publish issue.

Resolution. Publish the site once again.

Error 650—XML server object could not be created

Cause. The XML server object needed to parse the configuration files could not be created on the server side.

Resolution. Be sure that an XML parser object is installed on the server, or that Internet Explorer 6.0 or greater is installed.

Error 701—Upload – Path cannot be found

Cause. The path for the uploaded files does not exist on the server.

Resolution. Verify if the destination for the uploaded files exists physically on the server. If not, create it and grant the write permissions on it

Error 702—Upload—Cannot create file

Cause. The destination directory exists but there are no write permissions on that directory.

Resolution. Verify if write permissions are granted on the upload files directory.

Error 800—POST parameter not passed

Cause. Missing an xml node in the component configuration file .

Resolution. Republish your site.


Data Publishing

NetObjects Fusion makes it easy to publish information such as employee directories, product and service catalogs, and event schedules. You can enter, manage, and store this information as records either in your NetObjects Fusion site, or in an external application such as a database or spreadsheet.

To publish the data, you specify its source and create a layout for the pages that will display it. NetObjects Fusion uses your Layout to create a separate page for each record, and can automatically provide site visitors with buttons to navigate between them.

Browse this section for information about:

  • Static and dynamic data publishing

  • Creating a data object

  • Storing data internally

  • Using data stored externally

  • Creating a data list

  • Creating stacked pages


Static and Dynamic Data Publishing

NetObjects Fusion supports two kinds of data publishing: static and dynamic.

  • Static data publishing takes any kind of data—text, pictures, multimedia files, and so on—from a database or spreadsheet. NetObjects Fusion publishes the data on your site, where it remains unchanged—static—until the source data is changed and the site is re-published. Static data publishing, which is the focus of this chapter, uses data objects that derive data from internal or external sources.

  • Dynamic data publishing makes it possible to refresh the data each time a visitor goes to the site. When the browser requests the data, it is assembled on the spot; it does not depend on re-publishing the site.

Dynamic data publishing requires third-party components. Third-party publishers regularly release new components for NetObjects Fusion. For the latest information, visit Online view.


Storing Data with NetObjects Fusion

Using the data publishing capabilities of NetObjects Fusion, you can store text and pictures in a database internal to your site, or import data from external sources such as Microsoft Excel or Access using an ODBC data source connection. In both cases, NetObjects Fusion publishes your data in standard HTML pages. This makes it easy to add listings, such as product and service catalogs, employee directories, and event schedules to your site.

You use the following objects when you publish data in NetObjects Fusion:

  • Data objects. A data object is a collection of data fields that define what data will be published. Creating a data object is the essential first step in adding internal or external data to your site. The data object becomes an asset of your site. When you reference records internally, you must specify the data fields you want to store. When you store records from external data, NetObjects Fusion includes all fields available in the source.

  • Data fields. Defined in the data object, data fields appear on stacked pages and are the containers for the data in your site. You can arrange and label data fields; the arrangement appears on all stacked pages.

  • Data lists. The data list appears on the parent page of the stacked pages that contain the actual data. The data list functions as a table of contents for the internal or external data in your site. You select the fields you want to display as column headers in the list. The field data from either the internal or external source populates the data list when you publish.

  • Stacked pages. Each record in your database appears on a separate stacked page below the page containing the data list. Stacked pages are not siblings of each other, but instead are iterations of the same page, containing the fields defined in your data object.

For example, you could publish a backpack catalog on your site with a record for each backpack. Each row in the data list lets the site visitor navigate to the stacked page that contains the corresponding backpack’s description, photo, and price.

To create the backpack catalog, your first step is to create a backpack data object. You can define a data object once and use it in different filtered data lists. For example, you can create one data list of all the backpacks in your database. With the same data object, you can create additional data lists of internal frame backpacks, external frame backpacks, frameless backpacks, and so on.

If you create a data object from an external source—for example, from a Microsoft Access database—and then update or change the external source, you must republish the site to update the data. For example, suppose your backpack data object referenced 50 records originally and the external database is increased with 25 new records. After you republish your site, the data object references 75 records, the backpack data list contains 75 rows, and there are 75 stacked pages.

After you create a data list on a page, NetObjects Fusion generates the first stacked page. You create the initial Layout of how all stacked pages look on the first stacked page. When you create the Layout of the first stacked page, the remaining stacked pages automatically inherit the same Layout. Changes you make in the Layout in any one stacked page affect the Layout of all stacked pages in that set.


Publishing Data

In general, when you work with data publishing, you follow this process:

  1. Create a data object.

  2. Create a data list.

  3. Design a set of stacked pages.

When you create a data list, you create the stacked page for the data object. On this stacked page you create the Layout to be used for all the pages in the stack, including the field data you want to display on the page.

  • If you are storing data internally, you enter the field data on the stacked page itself.

  • If you are using an external source, the field data is drawn from the external database, spreadsheet, or ASCII text file.

When you use the Data List tool in Page view, you can perform all three tasks within the Data Publishing dialog.


Creating a Data Object

You can create two types of data objects:

  • Internal data objects reference simple text, formatted text, and picture data fields stored or placed within your site.

  • External data objects import fields from a data field created in a program other than NetObjects Fusion. External data sources include external databases, spreadsheets, and ASCII text files. Importing external data takes a single table from a database or a single worksheet from a program such as Microsoft Excel; it does not import the entire database. Use external data if your database is maintained by others who do not use NetObjects Fusion, if you have large quantities of data, or if the data is frequently updated.

The tools for creating the two data object types appear on the Data tools flyout on the Advanced toolbox. Use the New External Data Source tool to create a data object for external data; use the Data List tool to create a data object for internal data. After you create an internal data object, use the Data Field tool to add data fields to the stacked pages.


Creating a Data Object for Internal Data

Internal data is records and fields stored within your site. You enter internal data directly into a stacked page by typing text or numbers and by placing pictures.

You can create a data object in Page view or in Assets view. If you create a data object in Page view, you can immediately create stacked pages and start entering data. If you create a data object in Assets view, you must return to Page view to create a data list and stacked pages.

To create a new internal data object:

  1. Display the Data Object dialog:

  • In Page view, select the Data List tool from the Advanced toolbox, and draw a rectangle on the page. In the Data Publishing dialog, click the New button.

  • If you are in Assets view, click the Data Objects tab and then click the New Asset button on the views bar.

  2. Select Internal and enter a name for the data object and comments about it.

NetObjects Fusion uses the data object name in the list of data objects in the Data Publishing dialog and in Assets view.

  3. Click the plus (+) button to add a field. Fields define the kind of data you can enter.

The Data Field dialog appears.

  4. Type the field name and select a data type for the field.

  • Formatted text. Characters in these fields can be formatted individually. Formatted text fields can contain paragraph and line breaks, and can exceed 255 characters. You cannot sort on formatted text fields.

  • Simple text. All characters in these fields share the same formatting characteristics. Simple text fields cannot contain paragraph or line breaks, and cannot exceed 255 characters. You can sort on simple text fields.

  • Image file. These fields can contain an image in one of these formats: .bmp, .gif (animated, embedded, interlaced), .jpg, .pct, .pcx, .png, .psd, .tga, or .tif. You can sort on image file fields. NetObjects Fusion uses the file names to sort the image files.

Carefully plan the fields you define within an internal data object. After you click OK in the Data Object dialog, you cannot delete the field from the data object or change the data field type.

  5. Click OK.

  6. Repeat steps 3, 4, and 5 to add fields.

  7. When you are done, click OK in the Data Object dialog.

The data object is now an asset of your site, and you can continue as follows:

  • If you’re working in Page view, the Data Publishing dialog is still open. You can select fields and format the data list as described in Creating a Data List12, and lay out your stacked pages as described in Creating Stacked Pages.

  • If you’re in Assets view, go to Page view, select the Data List tool from the Advanced toolbox, and draw a rectangle on the page. In the Data Publishing dialog, select the newly created data object from the drop-down list. Select fields and format the data list as described in Creating a Data List12, and lay out your stacked pages as described in Creating Stacked Pages.


Changing an Internal Data Field Name

  1. Go to Assets view.

  2. Click the Data Objects tab.

  3. Double-click the data object name.

The Data Object dialog appears.

  4. In the Fields list, double-click the name of the field you want to rename.

The Data Field dialog appears.

  5. Type a new name in the Name field and click OK.

  6. Click OK.


Creating a Data Object for External Data

External data exists in local desktop databases or in ODBC data sources. Open Data Base Connectivity (ODBC) drivers draw data from Structured Query Language (SQL) data sources, such as Oracle and Sybase data files. They also support Microsoft Excel, Microsoft Access, delimited text files, and others.

NetObjects Fusion automatically imports all the fields available in the external database file. If a simple text field contains a valid path to an image file, NetObjects Fusion asks if you want to make the field an image field. Before you add an external data object, make sure you have all the necessary fields. You cannot add fields once you create the external data object.

NetObjects Fusion Connector for Macromedia ColdFusion and NetObjects Fusion Connector for Microsoft Active Server Pages support dynamic data publishing. Visit Services view for information about these connectors.

To create a data object from a SQL data source:

  1. Display the Select Data Source dialog:

  • In Page view, select the New External Data Source tool from the Advanced toolbox, and draw a rectangle on the page.

  • If you are in Assets view, click the Data Objects tab, and then click the New Asset button on the views bar. The Data Object dialog appears. Select External and then click the Source button.

The Select Data Source dialog appears.

  2. You can select an existing data source or create a new data source.

To create a new data source, click New in the Select Data Source dialog and follow the steps in the Windows Create New Data Source wizard.

To select an existing ODBC source on your system, you can use the File Data Source tab or the Machine Data Source tab:

  • File Data Source. Select from the list of data sources and click OK.

  • Machine Data Source. Select from the Data Source Name list and click OK.

Depending on the data source type you choose, the Select Workbook or Select Database dialog appears.

  3. Follow these steps:

  • Select a file in the dialog and click OK.

  • If the source refers to a multiple-file database or a spreadsheet with multiple tabs, the Select dialog appears. Select the file or tab and click OK.

NetObjects Fusion creates the data object, gives it the name of the selected file or tab, and imports its fields as simple text fields.

If a simple text field contains a valid path to an image file, you can choose to make it a text field or an image field.

The data object is now an asset of your site, and you can continue as follows:

  • If you’re working in Page view, the Data Publishing dialog is still open. You can select fields and format the data list as described in Creating a Data List12, and lay out your stacked pages as described in Creating Stacked Pages.

  • If you’re in Assets view, go to Page view, select the Data List tool from the Advanced toolbox, and draw a rectangle on the page. In the Data Publishing dialog, select the newly created data object from the drop-down list. Select fields and format the data list as described in Creating a Data List12, and lay out your stacked pages as described in Creating Stacked Pages.


Creating a Data List

Once you create a data object, you can create a data list on any page. You create a data list and a set of stacked pages at the same time. NetObjects Fusion automatically includes linked data list icons in the first column in the data list. The data list thus acts as a table of contents—each row contains data for, and is linked to, a single stacked page.

To create a data list:

  1. In Page view, display the page on which you want to place the data list.

  2. Select the Data List tool from the Advanced toolbox and draw a rectangle in the Layout area.

The Data Publishing dialog appears. Select the data object you want to use for this data list.

The fields in the selected data object are listed.

  3. Choose a sort field from the drop-down list. For internal data objects, you can only sort on simple text or image fields.

Records are sorted in ascending order.

  1. To filter the data, click the Set button. You can use simple text fields to filter the data.

The Filter dialog appears.

By default, all available records in the data list and on stacked pages appear. You can create selection criteria that isolate the records you want in your data list.

  2. Enter your selection criteria and click OK.

If you do not use all three lines, choose end from the drop-down list at the end of the last line you use.

  3. In the Data list area of the Data Publishing dialog, enter a name for the data list.

  4. In the Fields list, select fields to include in the data list by clicking the check boxes to the left of the fields.

As a shortcut, you can click the Add All button, which marks all fields for display. Typically, however, you display only a subset of fields in the data list and display all fields on stacked pages.

  5. To link a field to its stacked page, select the field in the Data Publishing dialog and click the Link/Unlink button.

A data list automatically includes a navigation button that links to the record’s stacked page. When you link a field, site visitors can click either the button or the linked field to jump to the record’s stacked page.

  6. To change the order in which fields appear in the data list, click a field and then click the up and down arrow buttons.

Continue to select fields and click the up and down arrow buttons until the list is in the order you want.

  7. Set the Stacked Page options:

  • Display all fields places all fields available in the data object in a simple layout when NetObjects Fusion creates the first stacked page. Use this shortcut to avoid placing fields individually as described in Designing the Stacked Page Layout.

  • Add navigation buttons creates smart links to navigation buttons (next/ previous/up) when NetObjects Fusion creates the first stacked page. Use this shortcut so you don’t have to create these buttons as described in Adding Navigation Buttons to Stacked Pages.

The images used for these buttons—SPNavLeft.gif, SPNavRight.gif, and SPNavUp.gif—are in the NetObjects Fusion 10\NetObjects System folder.

  10. Click OK.

The data list placeholder appears. Its column heads are the names of the fields you selected for display, and a data list button appears at the left of the first row. NetObjects Fusion populates the data list only when you preview or publish the page. Data never appears in the data list in Page view.

  11. Set the Data List properties.

Adjust the settings to change the bullet type, background color, border size, spacing of data, and column title display. Drag the column heading borders to adjust column width. You cannot change the font type or color in a data list except by editing the text style. See Working with Text Styles.

When you are satisfied with the appearance of the data list, create a layout for the stacked pages as described in Designing the Stacked Page Layout Error! Bookmark not defined..


Creating Stacked Pages

Stacked pages correspond to records in a database. When you store information internally in NetObjects Fusion, you enter data for one record on each stacked page. If you are drawing information from an external data file, each stacked page automatically displays information from a record.

You can add or delete stacked pages for internal data as described in Adding a Stacked Page for Internal Data. To add or delete records for external data, you must make the changes in your external database or spreadsheet and then republish the site.


Designing the Stacked Page Layout

The stacked page Layout determines the appearance of all the stacked pages. Data fields and non-data objects (text, pictures, or other assets) added to the stacked page Layout are repeated on all stacked pages. Layout changes you make to any stacked page are automatically applied to all pages in the stack.

If you did not select any stacked page options when you created your data list, your stacked page Layout is blank. You can add text and graphic objects to this page, just like any other page. The key items to be added, however, are the data fields you defined in the data object.

To design stacked pages:

  1. Go to Site view or use the Site Navigation panel in Page view to navigate to a stacked page.

If you are working with external data, the views bar indicates this is 1 of as many records as were imported from the external source. If you are working with an internal data object, it indicates this is 0 of 0 because you have not created any records.

  2. In Page view, select the Data Field tool from the Advanced toolbox, and draw a rectangle in the Layout area of the stacked page. The dashed rectangle represents the first field you are adding.

The Data Field dialog appears. The fields available on the Name drop-down list are in the data object you selected in the Data Publishing dialog when you created the stacked pages.

  3. Select a field and click OK.

  • If you are using external data, NetObjects Fusion displays image or simple text field data from the first record in the data file.

  • If you are using internal data and select an image file field, the field area is marked with an X. After you create a new record, you can double-click the X to open the Picture File Open dialog, select the file, and then click OK.

  • If you are using internal data and select a simple or formatted internal text field, NetObjects Fusion displays a blank field if you have at least one record. If there are no records, NetObjects Fusion displays a field containing the field name. Simple text fields allow only one line of information and all characters use the same formatting. Formatted text fields allow multiple lines of information and individual character formatting. See Adding a Stacked Page for Internal Data.

  4. Drag the field to the location you want on the stacked pages.

  5. Place additional data fields. Add text blocks to label your fields, lines, and other graphics until you are satisfied with the Layout.

  6. Use the Data Field Properties to set the background and other options for the current data field.

  7. Do one of the following:

  • If you are using external data, your stacked pages are already created. You can use the Next and Previous buttons on the views bar to scroll though all pages in the stack.

  • If you are using internal data, add records as described in Adding a Stacked Page for Internal Data. You cannot enter data until you add a record to contain it.


Adding Navigation Buttons to Stacked Pages

Next and Previous buttons simplify navigation between stacked pages. You can automatically add navigation buttons when creating your data list as described in Creating a Data List12, or you can create custom navigation aids by drawing or importing buttons, as described here.

To add navigation buttons for stacked pages:

  1. In Page view, on one of the stacked pages, add an object to serve as a button.

You can place text, draw a button using the Draw tool, or import an image using the Picture tool. Visit Online view to learn where you can locate a variety of images.

  2. Select the object.

  3. Click Link on the object’s Properties panel.

  4. In the Link dialog, select the Smart Link type.

  5. Select Next Stacked Page or Previous Stacked Page, and then click Link.


Adding a Stacked Page for Internal Data

To add a new record to internal data, you create a new stacked page. Each new stacked page has the same layout of data fields and non-data objects as all the other pages in the stack.

You can create as many new stacked pages as you want. For each new stacked page, NetObjects Fusion adds a row to the data list on the data list page. You can delete stacked pages for internal data whenever you want.

You cannot add or delete stacked pages associated with an external data object. To add or delete records when data is stored externally, you must update your external database or spreadsheet application and re-publish your site.

To add internal data stacked pages:

In Page view, on a stacked page, click the plus (+) button on the views bar.

A stacked page with blank data fields appears. The counter on the views bar indicates the new total of records in the stack.


Deleting a Stacked Page

To delete the current stacked page of an internal data object:

In Page view, click the minus (-) button on the views bar and click Yes to confirm deletion.


Adding Text and Images to Stacked Pages

When a stacked page displays data from an internal data object, you can enter text and add pictures in data fields on the stacked page. You cannot edit text on stacked pages that reference external data.

To enter text in a text data field:

Double-click the data field.

A dotted outline with hollow handles highlights the field, and an insertion point appears inside. Type the text you want, then click outside the field to deselect it.

To add an image in an image file data field:

Double-click the data field and select the image you want in the dialog that appears.

After you add data to the stacked pages, the data list can display it. Preview the data list page to see how it will look in your browser.


Deleting a Data Object

If you created stacked pages for the data object, you must delete the stacked pages and any data lists before you can delete the data object.

  1. Go to Site view and select the stacked pages.

  2. Press Delete, and click Yes to confirm.

  3. Switch to Page view, select the data list, and press Delete.

  4. Switch to Assets view.

  5. Click the Data Objects tab.

  6. Select the data object and press Delete.

  7. Click Yes to confirm the deletion.

  8. Click the Files tab.

  9. Select the data source file and press Delete.

  10. Click Yes to confirm the deletion.


Publishing from a Database

You can use the NOF DB Component for PHP, ASP, or ColdFusion to let your website visitors view and instantly update live data in a Microsoft Access, MySQL, or other standard database. Customers can change their own contact information in your customer database, search a database for a particular item, or list the latest prices of all products. What one visitor changes, another can see instantly, without having to wait while you re-publish.

You do all this by placing NOF Database Objects in NetObjects Fusion that publish data, via a Web server, between your website and any PHP, ASP, or ColdFusion compliant database. You do not need to write your own ASP, ColdFusion, or PHP code; the components create this code for you. Knowledge of SQL or specific database technology is not necessary, but you should have some knowledge of the way your database is structured and what data you intend to store in your database to most effectively work with the NOF Database Objects.

Browse this section for information about:

  • How the database component works

  • Connecting to a database

  • Defining a database schema

  • Filtering Results

  • Adding data-output objects

  • Adding form objects

  • Using conditional objects

  • Modifying a database


Database Basics

A database contains at least one table. Each table is identified by a name (e.g., "Customers" or "Orders"). Table rows contain the records (rows) with data.

For example, if you owned an online sporting goods business, you could create a database table named "Customers", listing the name and address of customers who have ordered products from your website.

SQL Queries

SQL stands for "Structured Query Language". It is the native language spoken by most database products, including Microsoft Access and MySQL. With SQL, we can ask the database a question (query) and have a recordset returned.

NetObjects Fusion and SQL

SQL is a very powerful language that can be extremely complex and difficult to work with. NetObjects Fusion simplifies the process of using SQL by providing an easy-to-use graphical interface and dialogs. Adding data-driven functionality to your website is easy with NetObjects Fusion.


How the Database Component Works

You create database functionality in NetObjects Fusion by adding database component tools to your pages. NetObjects Fusion provides components specific to common server types. When creating a database enabled-website, which NOF Database Component set you choose depends on the type of server that hosts your website. For example if your server is a ColdFusion server, you would select NOF DB – ColdFusion components to interact with your database. If your server is a PHP server, you would select the NOF DB – PHP components to interact with your database. The process also applies to ASP and ASP.NET servers. Information about the capabilities of the server hosting your site is available from your hosting provider.

Once you have selected which set of NOF Database Components to use on your page, you need to establish a connection to the database. That connection is used by the components on the page to view and update data in your database.

Once a connection to the database has been established, you can place NOF Database Components on the page to create the dynamic functionality you need for the page.

For example, suppose you want to create a page containing listings of all the names and addresses of your customers. Also suppose that you have a database containing that information. You can create a page to show this information using the following steps:

  1. Select a set of NOF DB components based on your Web-hosting specifications.

  2. Place a Connector on the page to connect to your database.

Connectors allow access to your data. They define where the data resides.

  3. Configure a Recordset to define the data that will be displayed.

Recordsets define what data is to be displayed.

  4. Place a Start Iterator on the page to allow you to process every record.

Iterators and other components define how the data is to be displayed.

  5. Place a Label on the page that represents the member’s name.

  6. Place a Label on the page that represents the member’s phone number.

  7. Place an End Iterator on the page to stop processing.

You cannot preview database components in NetObjects Fusion. When you add a component object to a page and preview, you see a placeholder graphic. To see how the database component works, you must publish the site remotely. The code generated by the NOF Database Component is evaluated on the server you publish to.

It is important that you verify your server supports the database language you are using. For information on server requirements, check with your hosting provider or refer to your platform documentation.

To fully integrate dynamic elements into your website, you can use the NetObjects Fusion Tag Libraries and add server tags to a page using the database component. See Adding Server Tags.


Adding a Database Component Tool

To place NOF Database Components onto your page, you must first add the component tools in Page view.

  1. In Page view, from the View menu, choose Components>Database.

  2. Select the database language you will be working with.

The Database toolbox will appear.


Using Tables for Object Placement

Certain database objects must be added or placed in the correct order for the code to be generated correctly. For example, when using a Recordset Iterator object, the Start iterator object must be placed before the End iterator object. Otherwise, the site will publish with errors and the database will not be functional.

It is recommended that when using recordset iterator and/or conditional objects, a table is used to make sure placement is correct and the records will be aligned correctly when displayed.

While using tables is not required, the examples in this guide include tables when using iterators or conditional statements with data-output objects. Connector, insert, delete, and update objects can be placed anywhere on the page.


Connecting to the Database

In order for the NOF Database Components to function properly, a connection must be established between the components on the page and the database containing the data. A Connector object is used to allow your page to communicate with the database. Though the Connector is a vital part of the database features of NetObjects Fusion, the Connector will not be visible in your published site. It is merely present to allow your page to communicate with your database.

There are two types of connections: Data Source Name (DSN) and Custom.

You can create connection settings that apply to individual publishing profiles. For example, you want to check the functionality of your site locally, and then publish your site remotely to a different server with and a different database. NetObjects Fusion allows you to set up a Connector Profile for local publishing and a separate Connector Profile for your remote publish profile.


Creating a Data Source

Establishing a Data Source

Before you can use a Connector on your page, you must create a Data Source. A Data Source is a way for Windows to find your database. You register your database with Windows to create a data source.

You can use a data source to connect to a variety of database management systems, such as Microsoft Access. If using a data source, you must register your database as an ODBC data source on your computer before building your database application. If you’re testing the application by publishing to a separate computer, repeat the steps to register the database on that machine too.

For information on registering your database, select the topic for the type of database you will register:

  • Registering a MS Access database

  • Registering other types of databases


Registering a Microsoft Access Database

To register a Microsoft Access Database:

  1. In Page view, select the Connector object from the NOF DB Component toolbox.

  2. Click on the page to indicate the connector’s location.

The Connector dialog appears.

  3. Open the Control Panel from the Windows Start, Settings menu.

  4. Double-click the Administrative tools icon.

  5. On the Administrative tools dialog, double-click the ODBC or ODBC (32 Bit) icon.

The ODBC Data Source Administrator opens.

  6. Click the System DSN tab. Then click Add.

The Create New Data Source wizard opens.

  7. Select Microsoft Access Driver and click Finish.

The ODBC Setup dialog opens.

  8. Type the name of your data source in the Data Source Name field. Then under Database, click Select. If you’re registering this database on two computers, be sure to give it the exact same name on each machine.

  9. Navigate to the folder your database is stored in and select the file.

  10. Click OK to close the Select Database, ODBC Setup, and Data Source Administrator dialogs.

You’re now ready to build a database application.


Registering Other Types of Databases

The process for connecting to other types of databases is similar. For example, if you have a MySQL database installed on your local machine, follow the following steps:

  1. Install MyODBC on your machine from http://www.mysql.com.

  2. Ensure that MySQL is running on your machine.

  3. Open the Control Panel from the Windows Start, Settings menu and double-click the ODBC or ODBC (32 Bit) icon.

The ODBC Data Source Administrator opens.

  4. Click the System DSN tab and then click Add.

The Create New Data Source wizard opens.

  5. Select MySQL ODBC Driver and click Finish.

The ODBC Setup dialog appears.

  6. Type the name of your data source in the Data Source Name field.

  7. Type "localhost" in the Server field.

  8. Enter your user name for this database in the User field.

  9. Enter your password for this database in the Password field.

  10. Select the database from the select box.

  11. Click Test to confirm your information is correct.

  12. Click OK to close the Connector/ODBC, ODBC Setup, and Data Source Administrator dialogs.


Setting up the Database Connection

Establishing a DSN Connection

Once you have registered and created a Data Source (DSN), you can add Connector objects so that your page can communicate with the database.

The Connector dialogs will vary slightly depending on the platform being used. For example, some settings available in the PHP Connector dialog are not available in the ASP, or ColdFusion Connector dialogs.

  1. In Page view, select the Connector object from the NOF DB Component toolbox.

  2. Click on the page to indicate the connector’s location.

The Connector dialog appears.

If this is the first Connector created in Fusion, you are prompted for the name you want to assign to this Connector. Otherwise, you are presented with a list of Connectors that have been used in the past. You still have the opportunity to create a new connector by entering its name.

  1. Select an existing Connector or type a name for the new connector and click OK.

  2. Click on the Connection tab to enter the database connection settings.

  3. Select DSN in the Type field.

  4. If you are using PHP components, select the Engine of the database you are using.

  5. Click Browse to select you Data Source.

  6. Enter a user name in the User field, and a password in the Password field. This is only required if you have set up this security in the database. This is more common on MySQL and Microsoft SQL Server databases. If security has not been set up in the database, leave these fields blank.

  7. Click Test to test your connection.

If the Test fails, it may be for one of the following reasons:

  • The database is not running on the host specified in the Data Source definition. Check to ensure that the database is created and running on the host specified. This does not apply to Microsoft Access type databases.

  • The host specified in the Data Source definition is unreachable. Check to ensure that the machine specified in the Host field is on and reachable from your machine.

  • The security information is not correct. Ensure that the User and Password fields are correct for your database.

  • You do not have permission to connect to the specified database. Ensure that you have permissions to connect to the database. Consult your system administrator.


Establishing a Custom Connection

There are situations where you may not want to use a Data Source. For example, some hosting providers use systems that are not compatible with Data Sources. There are also some advanced configuration options available only by using a custom connection.

The process of configuring a custom connection is different for PHP, ASP, and ASP.NET. You cannot establish a custom connection for ColdFusion in NetObjects Fusion.


Setting up a PHP Connection

To connect to a PHP database using a data source:

  1. In Page view, select the Connector object from the NOF Database Component toolbar.

  2. Click on the Connection tab.

  3. Choose DSN from the Type drop-down list.

  4. Select a database engine from the drop-down list, or type in a custom engine in the Engine field.

  5. Type in the data source name, or click Browse to create a new one.

  6. Type in the User and Password required, if any, to connect to your database.

  7. Click Test to test the connection.

If the test is successful, the database schema will be imported automatically.

  1. Click OK.

To connect to a PHP database directly or using a custom string:

  1. In Page view, select the Connector object from the NOF Database Component toolbar.

  2. Click on the Connection tab.

  3. Choose Custom String from the Type drop-down list.

  4. Type in the Host name. In most cases, this will be localhost.

  5. Select a database engine from the drop-down list, or type in a custom engine in the Engine field.

  6. Enter the name of your database in the Database field.

  7. Type in the User and Password required, if any, to connect to your database.

  8. Click Test to test the connection.

If the test is successful, the database schema will be imported automatically.

  9. Click OK.


Connecting to an ASP Database

To connect to an ASP database using a data source:

  1. In Page view, select the Connector object from the NOF Database Component toolbar.

  2. Click on the Connection tab.

  3. Choose DSN from the Type drop-down list.

  4. Type in the data source name, or click Browse to create a new one.

  5. Type in the User and Password required, if any, to connect to your database.

  6. Click Test to test the connection.

If the test is successful, the database schema will be imported automatically.

  7. Click OK.

To connect to an ASP database using a custom string:

  1. In Page view, select the Connector object from the NOF Database Component toolbar.

  2. Click on the Connection tab.

  3. Choose Custom String from the Type drop-down list.

  4. In the String field, type in the connection string.

  5. Click Test to test the connection.

If the test is successful, the database schema will be imported automatically.

  6. Click OK.


Connecting to a ColdFusion Database

To connect to a ColdFusion database:

  1. In Page view, select the Connector object from the NOF Database Component toolbar.

  2. Click on the Connection tab.

  3. Type in the data source name, or click Browse to create a new one.

  4. Type in the User and Password required, if any, to connect to your database.

  5. Click Test to test the connection.

If the test is successful, the database schema will be imported automatically.

  6. Click OK.


Creating Connector Profiles

With NetObjects Fusion you can create separate Connector Profiles to allow you to associate different databases with publish profiles. In some situations, it is desirable to connect to different databases at different stages in the site development process. For example, after the site has been on the Internet for some time, you may want to test changes to the site locally before publishing. To ensure correct behavior you might need to create a test database to connect to locally. If you do not need this feature, simply leave the Profile field as "Default". When you publish your site, NetObjects Fusion will select the appropriate Connector Profile and publish that connection information at the time of publish.

To establish separate Connector Profiles for each publish profile that requires a different database connection setting:

  1. Select the publish profile in the Profile field.

  2. Complete the connection related fields as described in Connecting to the Database.

It is not necessary to specify settings for each profile. If the Default profile is configured, its settings will apply to any profile that is not explicitly configured.

Connector Profiles for a remote server may not be able to be tested in this dialog using the Test button because the database may not be accessible from your machine. This is a security feature and does not indicate a problem. To test the functionality, publish the site to that profile and test if the page displays correctly.


Defining a Database Schema

After setting up the database connection, you can import the database schema or use the Schema Editor to configure your tables and fields. These values only need to be configured in the Schema Editor and will be stored with the connector profile it was created under.

The tables and fields you add in the Schema Editor will be used to build a recordset. After adding a table, you will need to determine which datafields from that table you want to pull records from to form your recordset. There is no limit to the number of tables and fields you can add, and the order in which you add tables and fields is not important; by default, the sorting of records will be done in alphabetical order unless specified on the Recordset tab.


Importing a Database Schema

Automatic Database Structure Definition

The most common method of informing NetObjects Fusion about the structure of your database is to let NetObjects Fusion import the structure information from the connection. NetObjects Fusion retrieves the names of all of the tables and columns in the database. For more information on database basics, see Database Basics.

If you have correctly configured a connection in the Connection tab of the Connector dialog, NetObjects Fusion can import the structure of your database.

Allowing NetObjects Fusion to import your database structure has the following advantages:

  • It saves considerable manual work.

  • It ensures that the content of your pages matches exactly what is in the database.

To view the data contained in an individual table in the database, select the table in the Schema window and click View Data. The first 25 records will be displayed.

Note: The Import from Connection check box is selected by default. You may notice a delay when switching tabs while the schema editor is retrieving the schema information.


Using the Schema Editor

Manual Database Structure Definition

If you are unable to connect to your database or want to add specific tables and fields, you can modify the database structure manually. This can be useful, for example, if the database is being developed by a different person, and you know what the structure will be, but it is not in the database yet. You can manually define the structure of the tables and columns so that you can continue to work in NetObjects Fusion while the database is completed. When the database is completed, the site will work over the structure that has been created in the database. Ensure that the structure entered in NetObjects Fusion is exactly the same structure that is being created in the database.

  1. In Page view, select the Connector object from the NOF DB Component toolbox.

  2. Click on the page to indicate the connector’s location.

The Connector dialog appears.

  3. Complete the settings on the Connection tab.

The Database tab will become active.

  4. Click on Add Table.

The Table dialog will appear.

The Add Table button is not active if the Import from Connection check box is selected. Uncheck Import from Connection to configure tables and fields manually.

  5. Type in the table name and click OK.

The table will appear under the Connector in the Schema field

While some platforms are not case-sensitive, it is recommended you type the name of the table exactly as it appears in your database.

  6. Click Add Column to add a field from the table.

The Column dialog will appear.

  7. Type in a field name and select a field type and click OK. The field type should match the field type chosen when creating your table.

The field will appear under the table in the Schema field.

  8. Repeat the steps for adding tables or fields, if necessary.

  9. Click OK to close the Connector dialog.


Adding Database Engines

A database engine is the part of a database management system (DBMS) that stores and retrieves data.

The ASP and ColdFusion database components can connect to any database using ODBC. If the database engine you are using is not listed, you can simply type the database in the Engine field.

The PHP database component connects directly to any MySQL database or to an MS Access database on a Windows platform using a datasource. Full support for MS Access and MySQL are provided and can be selected in the PHP Connector Properties panel.

For databases that you do not see a driver, you may get them from the Adodb v3.05 for PHP distribution and install to the following location: \NetObjects 9 \Components\ NetObjects\ Database\ PHP\Connector.


Filtering Recordset Results

Databases can contain vast amounts of data. Oftentimes, there will be more data in the database than you will want to present to your users. Perhaps there are too many rows to show efficiently, or there is sensitive data—such as credit card information—that you would not want to show to all users who view a page. NetObjects Fusion provides Recordsets to filter the data that is presented to users.

There are three components to a Recordset: columns to display, where clause, and order by.

  • Columns to display. Often a table will have many columns, but you will only want to display a portion of the available columns. NetObjects Fusion provides the ability to restrict the columns displayed to the user to a more manageable level. This allows you to create a more concise presentation of only the information necessary.

  • Where clause. A "Where" clause defines search criteria and returns only those records matching that particular set of criteria. For example, if you had a database containing 10,000 customer records, you could use a Where clause to search for customers who reside in a specific zip code, which in turn, will return only those records meeting that criteria.

The Where clause is not required; however, using a Where clause is recommended. If you have, for example, 10,000 rows of data, it is likely you won't want to return them all. You can use the Where clause to filter your results to a manageable number.

  • Order by. The data from the database is displayed in an orderly, but unsorted fashion if no ordering is specified for the Recordset. You can specify which direction to sort the data and which column upon which to base the ordering. For example, if you were creating a phone listing site, you would probably want to default to sorting by last name, ascending. That way, records whose values started with ‘A’ would appear at the top, and records whose values started with ‘Z’ would appear at the bottom.


Adding a Recordset

To add a recordset:

  1. In Page view, double-click on the Connector object you want to work with to display the Connector dialog.

  2. Click on the Recordset tab and select a Recordset by name. If none is present, create a new one by entering a name and clicking Add.

  3. Click Edit to open the Recordset editor.

  4. In the Select list field, click the name of the table you are working with and then click a field that you want to display.

  5. Click the plus sign to add it to the right-hand pane.

  6. In the Where section:

  • Select a data field from the list of fields in this table. This is the field used to restrict the output.

  • Choose an operator. An operator is a phrase like "is greater than", or "is equal to".

  • Choose a value from the drop-down list or type in a custom value.

  • Click the plus sign to add this filter to the right-hand Where pane.

  • To replace the existing condition, repeat steps 1 through 3, highlight the condition on the right side you want to replace it with, and click the check button.

  • To add additional conditions, select AND to narrow the query results or OR to broaden the query results, and click the plus sign.

  • To remove conditions from a where clause, highlight the condition on the right side and click the minus sign.

  • To order the conditions in a Where clause, use the up and down arrows.

  1. Click OK to close the Recordset editor.


Configuring Variables

You can define custom variables in the Recordset dialog. This is useful if you want to filter the data that appears based on inputs to the page. This advanced technique provides even greater flexibility in creating pages that are truly user driven and can change as the user searches your database.

  1. In Page view, double-click on the Connector object you want to work with to display the Connector dialog.

  2. Click on the Recordset tab and select a recordset.

  3. Click Edit to open the Recordset editor.

  4. In the Select section, click on the table you are working with.

  5. Add a Where clause.

  6. In the Value drop-down field, choose Custom Variable.

The Variables dialog will appear.

  7. Enter a variable name.

  8. Select the variable type from the drop-down list.

  9. Click Add.

  10. Click OK to close the Variables dialog.


Using the SQL Editor

Databases can potentially contain vast amounts of data. Often there will be more data in the database than you will want to present to your users. Perhaps there are too many rows to show efficiently, or there is sensitive data that you would not want to show to all users who view a page—like credit card information. NetObjects Fusion provides Recordsets to filter the data that is presented to users.

Sometimes, however, to implement advanced functionality in your site, it is necessary to query the database in SQL. SQL, or Structured Query Language, is the standard native language used to ask questions of databases. NetObjects Fusion hides this complexity from users in all but the most advanced situations.

  1. In Page view, double-click the Connector object that contains the recordset you want to work with.

  2. On the Recordset tab, highlight the recordset and click Edit.

The Recordset editor will appear.

  3. Click on the Edit in Expert Mode link.

The Advanced editor will appear.

  4. Add or modify the code, then click OK.

The recordset is established and reflects the custom SQL filter.


Using a Recordset Iterator

The Recordset Iterator object is used to loop through a query recordset. During each iteration, the columns of the current row are available for output. The iterations will continue until one or more conditions are met. For example, if you are querying a database and want to return only one record that matches the condition FirstName = Joe, you do not need to add an iterator. The query will return the first record meeting that condition, then terminate. However, if you want to return all records in which FirstName = Joe, you will need to add an iterator so that all records in the database are searched and those meeting the condition will be returned.

It is important to remember that when using a recordset iterator, you must add at least 2 to the page—the first to begin the loop and the second to terminate it. If you do not add a terminating iterator, you will receive errors on the published page.

Recordset Iterator objects must added or placed in the correct order for the code to be generated correctly. It is recommended that you insert your iterator objects in a table to ensure placement is correct. See Using Tables for Object Placement.

To add a Recordset Iterator object:

  1. In Page view, select the Recordset Iterator object from the NOF DB Component toolbox.

You cannot add a Recordset Iterator to a page that does not have a Connector object already added.

  2. Click on the page to indicate the recordset iterator’s location.

The Recordset Iterator Properties panel appears.

  3. Select Start as the Recordset Iterator type from the drop-down list.

A Start iterator is necessary to begin the loop, or iteration, through the data.

  4. Type a name for the recordset iterator.

The recordset iterator name does not have to match any database fields; it is used strictly to identify the iterator and its attributes so that it can be used with any recordset added to the page.

For example, if you are going to loop through a recordset that contains email addresses, you may want to call the iterator EmailIterator.

  5. In the RecordsPerPage field, specify the number of records returned to display on a page.

You can add navigation links to the page so that if more records are returned from the query than displayed on the page, you can click a smart link that will display the next set of records.

If no value is entered, all records will be displayed.

  6. Select the recordset being queried from the Recordset drop-down list.

  7. In the StartRow field, enter the row number in the table you are querying where you want the iteration to begin.

If no value is entered, the first row will be the default.

  8. Add a second iterator to the page.

  9. In the Recordset Iterator Properties editor, select End as the type.

Make sure to leave empty cells in between the Start and End iterators so that data-output objects can be included in the loop.


Displaying Text Fields

To display text data fields:

  1. In Page view, select the Label object from the NOF DB Component toolbox.

You cannot add a Label object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the label’s location.

The Label Properties panel appears.

You can add one or several labels to your page. For example, if your table contains first and last names in separate fields, you can add 2 labels to display the full name. In the example above, the first column will display the first name, and the second column will display the last name.

  3. Select the recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.

  5. Set the text attributes for the data field. This is how the data fields will appear on the published page.

Formatting defines whether to use CSS or HTML attributes to format text output. If CSS is selected for formatting, all custom CSS classes available in Fusion can be used to style your text output for this field. If HTML is selected for formatting, the options below are visible and used to format the output for this field.

  • FontColor determines the text color.

  • FontFace determines the text type.

  • FontBold displays the text in bold.

  • FontItalic displays the text in italics.

  • FontSize determines the text size.


Displaying Image Datafields

Sometimes, the text data in the database may represent paths to images on the site. Stored in the database as simple text, this data represents a path and can be used to generate images, such as product pictures in a catalog.

To display image data fields:

  1. In Page view, select the Image object from the NOF DB Component toolbox.

You cannot add an Image object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the image’s location.

The Image Properties panel appears.

  3. Select the recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.

The data field you are working with should include a full or relative link to the images being displayed.

  5. Set the image attributes.

These attributes will be applied to the image on the published page.

  • Width determines the image width, in pixels.

  • Height determines the image height, in pixels.

  • Border determines the image border, in pixels.

  • Alt displays an alt tag for the image.


Displaying Link Datafields

To display Link Datafields:

  1. In Page view, select the Link object from the NOF DB Component toolbox.

You cannot add a Link object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the link’s location.

The Link Properties panel appears

  3. Select the recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.

The data field you are working with should contain the correct link information.

  5. Set the link attributes.

  • Target determines the frame that displays the contents of the link.

  • Protocol determines the type of URL link being used, such as http:// or mailto.

  • BaseURL is the prefix that will be added to the final link URL.

  • Image places an image on the page that site visitors click on to jump to the link.

  • Image Src is the location of the image link.


Adding a Hidden Field

You can add a Hidden Field object that will place a datafield on the page which the site visitor cannot see. A hidden field is typically used to place the primary key field on the page. This information may not be something that we want the site user to readily see—like an internal processing code, or user ID—so it is hidden in the HTML source code of the page.

  1. In Page view, select the Hidden Field object from the NOF DB Component toolbox.
    You cannot add a Hidden Field object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the hidden field’s location.

The Hidden Field Properties panel appears.

  3. Select the recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.

  5. The hidden field will be published, but not displayed on the published page.


Adding a Form Textbox

To add a form textbox:

  1. In Page view, select the Text Box object from the NOF DB Component toolbox.

You cannot add a Text Box object to a page that does not have a Connector object already added.

  2. Click in the form region to indicate the Text Box’s location.

The Text Box Properties panel appears

  3. Select the recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.

  5. Enter a value in the MaxChars field. This is the maximum number of characters that will be displayed.

  6. Type in a name for the text box object.


Adding a Form Text Area

To add a form text area:

  1. In Page view, select the Text Area object from the NOF DB Component toolbox.

You cannot add a Text Area object to a page that does not have a Connector object already added.

  2. Click in the form region to indicate the Text Area’s location.

The Text Area Properties panel appears.

  3. Select the recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.


Adding a Form Combo Box

To add a form combo box:

  1. In Page view, select the Combo Box object from the NOF DB Component toolbox.

You cannot add a Combo Box object to a page that does not have a Connector object already added.

  2. Click in the form region to indicate the Combo Box’s location.

The Combo Box Properties panel appears.

  3. Select the recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.

  5. In the ControlStyle drop-down list, choose DropDown or ListBox.

If using a ListBox, enter a value in the Lines field. This is the number of records that will be displayed at one time.


Sorting Data

When presenting information in a table format on your page you may need to provide users the ability to sort the data while they view your site. For example, if you have a list of club members, a site visitor may want to sort the members by their last names, first names, or state of residence. This kind of functionality in your site creates a better experience for your users by creating a more interactive, dynamic experience.

By far, the most common method of using a Sort object is to place it in the first row of a table, over a column of data. When placed over a column, the Sort object can be used to sort all the data by information in that column.

To enable sorting of your database output:

  1. In Page view, select the Sort object from the NOF DB Component toolbox.

Note: You cannot add a Sort object to a page that does not have a Connector object.

  2. Click on the page to indicate the Sort object’s location.

The Sort Properties panel appears.

  3. Select the Recordset you want to work with from the Recordset drop-down list.

  4. Select the data field to display from the DataField drop-down list.

The data field you are working with should contain the correct sort column information.

  5. Type in LabelText or accept the default that NetObjects Fusion inserts. This matches the name of the DataField. This text will be displayed in the published page where the Sort object was placed in Page view.

  6. DescendingImage and AscendingImage are used to allow for the placement of up and down arrow images in the generated page. Up and down arrows are provided in the distribution.

  • Ascending image. \NetObjects Fusion 10.0\Build\Components\NetObjects\Database\ASP\Sort\ NOF_DB_Sort_Ascending.gif

  • Descending image. \NetObjects Fusion 10.0\Build\Components\NetObjects\Database\ASP\Sort\ NOF_DB_Sort_Descending.gif

  7. Set the other Sort attributes.

Formatting defines whether to use CSS or HTML attributes to format text output.

  • CSS makes all CSS classes in Fusion available for the style of your text output for this field.

  • HTML makes the formatting options below available for formatting the output for this field.

  • FontColor determines the text color

  • FontFace determines the text type.

  • FontBold displays the text in bold.

  • FontItalic displays the text in italics.

  • FontSize determines the text size.

The generated page will contain a table with multiple rows of data. At the top of each column will be a column header corresponding to the data in that column. If no ascending or descending images are specified, the header will appear as a link that, when clicked, will reverse the direction of the sorting. If ascending and descending images are specified, the images are displayed to the right of the column header. When clicked, the images serve as a link to sort the data in the direction specified by the image link. If the up arrow is clicked, the column is sorted ascending.


Navigating Through Recordsets

You can add a Recordset Navigator object to the page so that site visitors can navigate forwards and backwards through results. Smart links are added to the page in which users can go to the first, last, next, or last record.

To add a recordset navigator:

  1. In Page view, select the Recordset Navigator object from the NOF DB Component toolbox.

You cannot add a Recordset Navigator object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the recordset navigator’s location.

The Recordset Navigator Properties panel appears.

  3. Select the recordset iterator you want to work with from the IteratorName drop-down list.

  4. Set the recordset navigator attributes.

  • Alignment sets the links vertically or horizontally on the page.

  • Spacing determines the number of pixels between each link.

  • FirstVisible places a link on the page that goes to the first record in the recordset.

  • FirstImage places an image on the page that is used as the link to the first record in the recordset.

  • FirstCaption places text on the page that is used as the link to the first record in the recordset.

  • FirstFontColor determines the FirstCaption text color.

  • FirstFontFace determines the FirstCaption text style.

  • FirstFontItalic determines if the FirstCaption text is italicized.

  • FirstFontBold determines the FirstCaption text is bold.

  • FirstFontSize determines the FirstCaption text size.

Attributes with Previous link to the previous record in a recordset.

Attributes with Next link to the next record in a recordset.

Attributes with Last link to the last record in a recordset.


Adding Conditional Statements

You can further narrow your query results or define how and which records are displayed using the Conditional Expression object. The Where clause filters records at the database level; the conditional statement queries your recordset results at the page level. For example, you have queried your Students table and returned 200 records of students whose major is Psychology. Now, you would like to display these records on your website - however, you want to display students at the senior level a red font to set them apart. In this case, you can build a conditional expression by searching the Classification datafield for "Senior". The resulting expression would be:

If Classification = "Senior"

font = red

Else

font = black

EndIf

You can add multiple conditions to one expression by including an ElseIf object. If you wanted to display records of freshman in a blue font, the resulting expression would be:

If Classification = "Senior"

font = red

ElseIf Classification = "Freshman"

font = blue

Else

font = black

EndIf

Notice that, like recordset iterators, each expression has a beginning object (If) and a closing object (EndIf).


Building Simple Conditional Statements

To build a simple conditional statement:

  1. In Page view, select the Conditional Expression object from the NOF DB Component toolbox.

You cannot add a Conditional Expression object to a page that does not have a Connector object already added.

  1. Click on the page to indicate the Conditional Expression’s location.

The Conditional Expression Properties panel appears.

  2. Select If from the Type drop-down.

To use the Conditional Expression object, you must have one If type object on the page.

  3. Double-click in the Expression Wizard field.

The Conditional Expression Editor will appear.

  4. In the operand field, select the datafield or variable you will be applying the condition to.

  5. Select an operator from the Operator drop-down list.

  6. Select a datafield or variable from the Value drop-down list, or type in a new value.

  7. Click a check box to add additional condition fields, or click OK to close the Conditional Expression Editor.

  8. Add a data-output object below the Conditional Expression object and set its properties.

The datafield you select in the properties panel will be displayed on the published page only if the conditions set in Step 4 are met.

  9. Add a new Conditional Expression object below the data-output object.

Select Else as the Type.

  10. Add another data-output below the second Conditional Expression object and set its properties.

All records that did not meet the conditions set in Step 4 will be displayed here.

  11. Add a final Conditional Expression object below the data-output object.

Select EndIf as the Type.


Building Compound Conditional Statements

To build a compound conditional statement:

  1. Repeat Steps 1-9 for building a simple conditional statement.

  2. Add a new Conditional Expression object below the data-output object.

Select ElseIf as the Type.

  3. Add another data-output below the second Conditional Expression object and set its properties.

All records that did not meet the conditions set in Step 1 will be displayed here.

  4. Repeat steps 2 and 3 to add additional conditions.

You can add an unlimited number of ElseIf objects.

  5. Add a new Conditional Expression object below the data-output object.

Select Else as the Type.

  6. Add a final data-output below the last Conditional Expression object with type ElseIf and set its properties.

All records that did not meet any of the above conditions will be displayed here.

  7. Add a final Conditional Expression object below the data-output object.

Select EndIf as the Type.


Modifying a Database

You can use forms with the NOF Database Component to insert records, delete records, and update records. For example, you would use forms with the NOF Database Component if you wanted to create a database of customer contacts and allow users to maintain their own information online.

When using forms to modify your database with the NOF Database Component, keep the following in mind:

  • When using a form variable, verify that the method type in the Form Settings Properties is set to "Get".

  • Verify that the form field names are identical to the field names of the table you are using.

  • Verify the Form Settings Properties contains the correct path to and extension of the submission page.


Inserting Records in a Database

To insert records in a database, you create a form and submit to the page the Insert object is placed on.

  1. In Page view, select the Insert object from the NOF DB Component toolbox.

You cannot add an Insert object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the insert object’s location.

The Insert Properties panel appears.

  3. Double-click in the SQL Wizard field.

The Insert Inspector dialog will appear.

  4. Select the table you will be inserting records into from the drop-down list.

  5. Highlight the data fields new data will be submitted to.

If the data field is not highlighted, the field will not be recognized and no data will be submitted to it.

  6. Click OK to close the SQL Wizard.


Updating Records in a Database

To update or delete records in a database, you create a form and submit to the page the component object is placed on. It is recommended you perform a query using a Where clause first to view the impact of updating or deleting records before actually carrying out the action. By performing this query, any records marked for updating or deletion will be displayed. If you see that the data you will be deleting is wrong, you can make adjustments before taking any actions that cannot be undone.

To update records in a database:

  1. In Page view, select the Update object from the NOF DB Component toolbox.

You cannot add an Update object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the Update object’s location.

The Update Properties panel appears.

  3. Double-click in the SQL Wizard field.

The Query Inspector will appear.

  4. Click on the Fields tab.

  5. Select the table you will be inserting records into from the drop-down list, then highlight the associated data fields that will be updated.

  6. Click on the Where Clause tab.

  • In the operand field, select the datafield or variable you will be applying the condition to.

  • Select an operator from the Operator drop-down list.

  • Select a datafield or variable from the Value drop-down list, or type in a new value.

  • A Where clause is necessary if you want to update specific data fields. If you will be applying the updates to the entire table, you do not need to add a Where clause.

  7. Click a check box to activate additional conditions.

  8. Click OK to close the Delete Properties editor.


Deleting Records from a Database

To update or delete records in a database, you create a form and submit to the page the component object is placed on. It is recommended you perform a query using a Where clause first to view the impact of updating or deleting records before actually carrying out the action. By performing this query, any records marked for updating or deletion will be displayed. If you see that the data you will be deleting is wrong, you can make adjustments before taking any actions that cannot be undone.

To delete records from a database:

  1. In Page view, select the Delete object from the NOF DB Component toolbox.

You cannot add a Delete object to a page that does not have a Connector object already added.

  2. Click on the page to indicate the Delete object’s location.

The Delete Properties panel appears.

  3. Double-click in the SQL Wizard field.

The Delete Properties dialog will appear.

  4. Select the table you will be inserting records into from the drop-down list.

  • In the Operand field, select the datafield or variable you will be applying the condition to.

  • Select an operator from the Operator drop-down list.

  • Select a datafield or variable from the Value drop-down list, or type in a new value.

  5. Click a check box to activate additional conditions.

  6. Click OK to close the Delete Properties editor.


Optimizing Your Workspace

The NetObjects Fusion 10 user interface offers a new powerful, yet simple, mechanism of panels, toolbars, and menu customization, enabling Web designers to take full advantage of optimizing their workspace for maximum efficiency.

Create new toolbars and menus, and customize them by adding new buttons and menu items, changing button icons, and much more.

Take advantage of the new docking panels offered to construct the working area that best suits your needs, by moving, floating, docking, and hiding panels within your workspace.

Save the position and customizing options of toolbars, menus, and panels as a new workspace, or choose among the predefined workspaces that NetObjects Fusion 10 offers.

Change the look and feel of your workspace by selecting among the themes that are available with NetObjects Fusion 10.

Browse this section for information about:

  • Selecting a Workspace

  • Working with Panels

  • Working with Toolbars

  • Managing Toolbars

  • Changing the Windows Theme


Selecting a Workspace

With NetObjects Fusion 10, the workspace concept is introduced for optimizing your work area. The workspace consists of all the panels, toolbars, and menus within NetObjects Fusion 10.

NetObjects Fusion 10 displays three workspaces by default:

  • Basic, which displays a reduced number of panels and toolbars for quick and easy use, consistent with the way previous versions of NetObjects displayed these items. See Selecting the Basic Workspace .

  • Advanced, which displays all panels and toolbars from within NetObjects Fusion 10, using new features such as tabbed panels, auto-hide, and display of the advanced CSS panels. See Selecting the Advanced Workspace.

  • LastUsed, which displays the last used configuration for panels, toolbars, and menus that are saved before you have existed NetObjects Fusion. See Selecting the LastUsed Workspace.

You can create your own workspace by displaying only the panels and toolbars that you need, in the precise positions you want them to appear. Then, you simply save the new workspace configuration and the select it from the list of available Workspace options in the menu when you are ready to work with your new environment. See Creating a Custom Workspace.


Selecting the Basic Workspace

The Basic workspace is best suited for users who have just begun working with NetObjects Fusion, as it displays panels and toolbars that are most commonly used.

To display the Basic workspace, select it from then View > Workspace menu.


Selecting the Advanced Workspace

The Advanced workspace displays the most frequently used panels and toolbars from within NetObjects Fusion 10, along with some of the new advanced features:

  • CSS panels, which allows you to change the style of selected elements with a few clicks of the mouse.

  • Tasks Checklist panel, which allows you to organize and maintain all the tasks related to building, editing, and publishing your site.

  • Output panel , which allows you to display the end result of a processing task in NetObjects Fusion 10.

  • Text Format toolbar, which allows you to format text more easily than ever before.

  • Styles Tree , which offers SiteStyle control directly from Page View.

To display the Advanced workspace, select it from then View > Workspace menu.


Selecting the LastUsed Workspace

The LastUsed workspace remembers the contents and coordinates of the workspace as they were when you closed NetObjects Fusion. It is saved only when exiting NetObjects Fusion; when you re-start Fusion, it will load the LastUsed workspace, as it was at the moment the program was closed.

When first installed, NetObjects Fusion 10 opens with the Advanced workspace by default. When exiting the program, the current configuration of panels and toolbars will be saved and kept as the LastUsed workspace and loaded as the new default the next time you launch NetObjects Fusion.


Creating a Custom Workspace

To create the work area that is most efficient for the way you work in NetObjects Fusion, or to create a workspace that is beneficial to specific projects, arrange the panels and toolbars to your preference and save the workspace so it can be re-used over again when needed. Each workspace that you create and save will appear on the Workspace list in the View menu.

To do that:

  1. Display all the panels and toolbars that you would like to work with in NetObjects Fusion.

  2. When the workspace has the layout you desire, from the View menu select Workspace > Save Workspace as... The Save As dialog appears.

  3. Type the name of the new workspace. If there is already a workspace with that name in existence, you will get a warning message asking you if you want to replace the existing workspace. Select No and rename the workspace, or select Yes to overwrite the existing workspace.

The new workspace name will appear on the Workspace list in the View menu.

To open a custom created workspace, select it from the View > Workspace menu.


Displaying and Hiding All Panels

For increased work space, you can hide all panels displayed within your workspace. This will affect only the panels, without hiding the toolbars currently displayed.

To do that, select the Full Screen option from the View menu. The effect will be that all panels including those that are docked, will be hidden.

To have the panels displayed again, select the Full Screen option from the View menu one more time.

The same result will be obtained if you display and click the Full Screen button on the toolbar.

The Full Screen bar is disabled by default. To display it:

  1. Click on any toolbar’s right arrow button, and then select Customize from the menu. The Customize window will appear.

  2. From the Toolbars tab, check the Full Screen option.


Working with Panels

NetObjects Fusion 10 comes with a new and innovative system of panel management, offering you a variety of possibilities to display only the necessary tools you need when you need them. Your available workspace may be increased considerably by the arrangement of panels. Optimize the layout of your workspace by:

  1. Displaying or hiding all panels . NetObjects Fusion 10 offers you a one-click solution to choose whether or not all panels should be displayed within your workspace.

  2. Docking panels. You can dock panels to the left, right, top, or bottom of the workspace.

  3. Floating panels . Floating panels may be moved freely to any location within the workspace; they can appear on top of, or behind, other floating panels.

  4. Working with panel groups. Panels may be grouped together to form panel groups. These groups of panels will behave as regular panels; they can be docked or left to float.

  5. Auto-hiding panels . To save space, panels can be made to hide automatically when not in use.

The panels that are used most frequently within NetObjects Fusion are listed on the View menu. To see the rest of the available panels, select More Panels from the View menu. To open a panel that is not displayed in the workspace, go to the View menu and select it from the list.

Clicking the Close button on a docked or floating panel will remove it from the interface. To re-open a panel once you have closed it, select the panel’s name from the View menu.


Docking Panels

Within the NetObjects Fusion 10 workspace, panels may be:

  • Docked. A panel is docked if it is attached to a side of the workspace.

  • Floating. A panel is floating if is not attached to any side of the workspace and can be positioned on top of other panels.

Panels may be docked either to the inner and outer edges of the workspace or to the edge of another panel.

The docking procedure is based on ‘drag-and-drop’. When you drag a panel from its current location to another location in the workspace, a translucent set of directional stickers will be displayed on the workspace.

Dropping the panel on one of the outer stickers will allow you to dock the panel to the outer edge of the workspace. Dropping the panel on one of the inner stickers will dock the panel to the inner edge of the workspace.

To dock a panel to the outer edge of the workspace:

  1. Drag the panel by its title bar and move it over one of the outer stickers, according to the desired destination area.

  2. When the mouse cursor is over the sticker, an outline of the panel will appear.

  3. Release the mouse button.

The panel will now be docked to its new position, as suggested by the outline.

To dock a panel to the inner edge of the workspace:

  1. Drag the panel by its title bar and move it over one of the four inner stickers, according to the destination area.

  2. When the mouse pointer is over the sticker, an outline of the panel will appear.

  3. Release the mouse button.

The panel will now be docked to its new position, as suggested by the outline.

To dock the panel relative to another panel (tab-link two panels):

  1. Drag the panel over another panel (or group of tabbed panels).

  2. The inner group of stickers will appear. A small tabbed panel will be visible in the center of the stickers group, indicating the ability to add the panel as a tab.

  3. While still holding the mouse pointer down, move the panel over the center of the stickers group. You will have a preview of how the panels will look when tabbed.

  4. Release the mouse button.


Floating Panels

Floating panels are stand-alone panels that can be moved to any area within the workspace. They will stay on top of other panels and can also be docked to any side of the workspace.

Floating panels are best suited for a large screen with enough space for displaying both the panels and the page layout.

To make a docked panel float:

  1. Drag the panel by its title bar, away from where it is docked.

  2. While still holding the mouse button down, move towards the destination area.

  3. Release the mouse button.

To float a group of docked panels:

  1. Drag the group by its title bar.

  2. While still holding the mouse button down, move towards the destination area.

  3. Release the mouse button.

Groups of docked panels travel together.

To change the location of a floating panel in the workspace, simply drag it by its title bar to the desired destination.

To float a panel from a group:

  1. Drag the panel’s tab away from its tabbed group.

  2. While still holding the mouse button down, move the panel by its tab outside the group, and away from the edges of the workspace.

  3. Release the mouse button.


Working with Panel Groups

Panels may be stacked together to form groups of panels. To display a panel contained in the group, you simply click the name tab of the panel that is visible in the group.

A panel may be tabbed with another panel or a group of panels by:

  • Dragging the panel by its title bar and placing it over the destination panel’s title bar. A preview of how the docked panel will look appears. When the preview appears, release the mouse button.

  • Dragging the panel by its title bar and placing it over the center of the destination panel when the inner set of directional stickers appears.

If a panel is part of a group of panels, it can be removed from the group at any time to form a stand-alone panel.

To remove a panel from a group of panels:

  1. Drag the panel’s tab outside the tabbed panel area.

  2. While still holding the mouse button down, move towards the desired destination area.

  3. Release the mouse button.

To move a group of tabbed panels, simply drag the group by its title bar to the new destination area.


Using AutoHide

In order to have more screen space, it may be desirable to temporarily hide some of the panels. To suit this purpose, panels support the AutoHide feature that enables you to minimize docked panels along the edges of the workspace when not in use.

By clicking a button, panels may be collapsed to a tab, from which they can be expanded back into place by hovering the mouse pointer over the tab.

To turn on/off AutoHide, click the push-pin icon on the title bar of the panels.

The AutoHide feature is available for both docked and floating panels:

  • AutoHide docked panels. When a docked panel is set to minimize using the push-pin and you move the mouse over its tab, the panel expands to the area where it was last docked.

When an auto-hidden docked panel loses focus, it automatically slides back to its tab, where its name remains visible.

To display an auto-hidden panel, move your mouse over the tab. The panel will slide back into view.

  • AutoHide floating panels. When a floating panel is set to minimize using the push-pin and you move your mouse over its title bar, the panel will expand.

When an auto-hidden floating panel loses focus, it automatically slides under its title bar. While a panel is auto-hidden, only its title bar will be visible in the workspace.

To display an auto-hidden floating panel, move your pointer over its title bar or click on it. The panel will slide back into view.


Working with Toolbars

Along with the new concepts of panel management within the workspace, NetObjects Fusion 10 also offers a powerful toolbar customization mechanism that allows you to create a working environment that suits your needs.

Now you can:

  • Display and hide toolbars, add and remove toolbar buttons, and change the location of toolbars within the workspace, as well as docking them and making them float. See Using Toolbars.

  • Create your own custom toolbars, and rename or remove them from the workspace. See Managing Toolbars.

  • Access and organize commands on toolbars quickly and easily. See Adding Commands to Toolbars.

  • Add new buttons to toolbars; change button icons by selecting from the existing ones or create your own new icons; choose to display only text commands or buttons, or display both text and icons; and much more. See Customizing Toolbar Buttons.

  • Switch to display large icons on the Views toolbar, or select to display tooltips on your toolbar icons. See these options and additional ones in Working with the Options Tab.


Using Toolbars

Toolbars allow you to access and organize commands quickly and easily. You can change the location of toolbars within the workspace, by docking them or making them float, in order to create the working environment that is best for you.

Toolbars may be held in two modes within the workspace:

  • Docked, when they are attached to one edge of the work area. You can dock a toolbar to the left, right, top, or bottom edge. When you drag a toolbar to the edge of the window, the toolbar snaps into place in the vertical or horizontal position of the window's edge.

  • Floating, when they are not attached to any edge of the work area. When floating, a toolbar may be placed on top of other objects or other floating toolbars. Resizing a floating toolbar will make the icons rearrange on the toolbar.

When a toolbar is made to float, the grip handle disappears from the toolbar and the name of the toolbar will be visible on its title bar.

You can move toolbars within the workspace to position them in the place that is best for you.

To move a toolbar:

  1. Drag the toolbar by its grip handle if it is docked, or by its title bar if it is floating.

  2. While still holding the mouse button down, move the toolbar to the new destination location. If you drag the toolbar to the edge of the work area, it will dock to the edge.

  3. Release the mouse button.

To increase and improve the layout of your workspace, you can decide which toolbars should be displayed on your workspace. To do that, select from the View menu the name of the toolbar you want to be displayed on the workspace.

You can optimize the use of toolbars by displaying only the buttons that you normally use. You will be able to add more buttons to toolbars at any time in the future.

To add or remove a button from a toolbar:

  1. Click the Toolbar Options button on the toolbar you are working with.

  2. From the Add and Remove Buttons menu, select the toolbar you want to modify.

  3. From the list of buttons that appear, check or uncheck the button.

You can also reset the toolbar to its default state by selecting the Reset option.


Managing Toolbars

NetObjects Fusion 10 comes with a powerful, yet simple, toolbar management system. You can create your own custom toolbars on which you add commands from the existing set of commands in the program, rename or remove custom toolbars, add menus on the toolbars, and much more.

All these options are possible through the Customize window.

To display the Customize window:

  1. Right-click anywhere on a toolbar.

  2. Choose Customize from the context menu that appears. The Customize window will be displayed.

You can also trigger the appearance of the Customize window by clicking the arrow on the right edge of a toolbar and selecting Add and Remove Buttons > Customize.

When the Customize window is displayed, NetObjects Fusion switches to the Customize working mode, in which normal actions within the program will no longer be functional until the Customize window is closed. The Customize mode will allow you to create new toolbars, add commands and menus to existing toolbars, change button icons, and much more.

The Customize window contains three tabs:

  • Toolbars, where you create new toolbars and manage the existing ones.

  • Commands, where you add new commands and menus to existing toolbars. See Adding Commands to Toolbars .

  • Options, where you can modify the look and behavior of toolbars and menus. See Working with the Options Tab.

When in Customize mode, click on a button on a toolbar and the button context menu appears, offering the ability to customize the selected button. To find out more, see Customizing Toolbar Buttons.

On the Toolbar section of the Customize window, you will see all the NetObjects Fusion 10 toolbars listed, along with any new custom toolbars that you have previously created. Toolbars that are currently displayed on the workspace appear checked on the Toolbars list.

To display a toolbar, select the toolbar name check-box . To hide a toolbar, un-check the toolbar name.


Working with Custom Toolbars

NetObjects Fusion 10 now offers you the ability to create your own custom toolbars for associating programmatic commands with the customized toolbar options you create.

To create a custom toolbar:

  1. In the Toolbars tab, click New. The New Toolbar dialog box appears.

  2. Enter the name of the new toolbar in the Toolbar Name field.

  3. Click OK.

The toolbar name will now appear in the list on the Toolbars tab.

The new toolbar also appears as a docked toolbar in the top part of the workspace.

Once they are created, custom toolbars may be renamed or even removed from the program.

To rename a custom toolbar:

  1. In the Toolbars tab, highlight the name of the custom toolbar you want to rename and click Rename.

  2. Enter the new name in the Toolbar Name field.

NetObjects Fusion built-in toolbars cannot be renamed.

To delete a custom toolbar:

  1. On the Customize window, select the Toolbars tab.

  2. Highlight the name of the toolbar you want to delete.

  3. Click Delete.

NetObjects Fusion built-in toolbars cannot be deleted.

When necessary, you can reset the content of a built-in toolbar to its default settings. To do that:

  1. Select the built-in toolbar. The Reset button will appear.

  2. Click Reset.

The default buttons will be restored to the toolbar.

‘Reset to default settings’ is an operation that can be performed only on built-in toolbars.


Adding Commands to Toolbars

The new and dynamic system of toolbar customization within NetObjects Fusion 10 offers you the ability to change the toolbars’ content, by adding or removing commands that you choose from all the existing commands in the program. In this way, you can add commands to built-in and custom toolbars, move commands from one toolbar to another, or change the position of commands on toolbars.

The Standard Tools toolbar does not allow adding or removing commands from itself.

You can add commands to a toolbar by selecting a category from the Customize dialog and dragging the command onto the toolbar.

To add a command to a toolbar:

  1. Using the mouse, right-click on an existing toolbar and select the Customize option. The Customize dialog box will appear.

  2. Click on the Commands tab.

  3. Under Categories, click on Edit.

  4. A list of commands will appear in the list box under Commands. Scroll down and locate the command you want.

  5. Select and drag the command from the Commands list to the toolbar.

The selected command now resides on the toolbar.

To remove a command from a toolbar:

  1. While in Customize mode, click and drag the command button from the toolbar area.

  2. The command button now displays an X next to the mouse pointer to identify that the command is being moved.

  3. Release the button anywhere outside the toolbar area.

  4. The toolbar will no longer have the command button on it.

A built-in toolbar will allow you to reset to the default state after removing some of the buttons located on it. A custom toolbar does not allow the reset to default action.

To change the location of a command button on a toolbar:

  1. While in Customize mode, click and drag the command button from the toolbar and move it to another place on the same, or on a different, toolbar.

  2. Position the command button and release the mouse button.

In NetObjects Fusion 10, you can create and add new menus on a toolbar by dragging and dropping menus from the Commands tab onto toolbars.


Customizing Toolbar Buttons

NetObjects Fusion 10 offers a new and innovative mechanism of button customization, allowing you to edit button icons and modify the look and feel of toolbars, all during run-time.

To use the new button customizing facilities within the program:

  1. Open the Customize window.

  2. While keeping the Customize window open, right-click on a toolbar button. The Button Context Menu will appear.

On the Button Context Menu you will be able to perform the following actions on the selected button:

  • Reset. Changes button settings to default. If you have previously changed the default settings for a button, you can revert to the default settings.

  • Delete. Removes the button from the toolbar.

  • Name. Modifies the button name by typing a new name in the name field.

  • Copy Button Image. Copies the button image from the toolbar it resides on. You can duplicate a command and have the command button on a toolbar different from the original one.

  • Paste Button Image. Pastes the button image to another toolbar, thus creating a duplicate button.

  • Reset Button Image. Changes button image to default. If you have previously changed the default image for a button, you can revert to the default image.

  • Edit Button Image. Provides a new button image using the button image editor, by either modifying the existing one or importing a new image file.

  • Change Button Image. Changes the button image with an image from the existing button images panel.

To edit the button image:

  1. Select the Edit Button Image option. The Button Image Editor will appear.

  2. Use the available tools to create the picture that suits your needs.

  3. Use the up, down, left and right arrows to move the image.

  4. Change the colors and preview all the changes you perform to the button image.

  5. When finished, click the OK button.

The new icon will be visible on the button.

To change the button image:

  1. Click the Change Button Image option on the Button Context Menu. The images panel will open and you will be able to preview the available images.

  2. Select a new button image from the panel.

The new icon will appear on the button.

By default, buttons on the toolbars display images that illustrate the commands associated with the buttons. In NetObjects Fusion 10, buttons on a toolbar may be customized to display images of the buttons on toolbars, the text of the commands only, or both the image and text of the commands by selecting one of the options below:

  • Text Only, which displays only the text of the command associated with each button, as displayed in the image below:

  • Image and Text, which displays the text and the image of the command associated with each button. The button will have both image and text on it.

  • Default Style, which displays only the button image. The button will have only the image on it:

You can group similar commands together on a toolbar by creating a group of commands. To do that, select the Begin a Group option from the Button Context Menu.


Working with the Options Tab

The Options tab offers options for customizing the behavior of menus within the workspace, as well as additional options.

In the Personalized Menus and Toolbars section from the Options tab, you can restore the default set of visible commands to the menus and toolbars without undoing any explicit customizing, by checking the Reset menu and toolbar usage data option.

On the Other section from the Options tab, you can:

  • Toggle the use of large icons, which allows you to display large icons on the Views bar.

To switch back to the normal-sized icons, un-check the Large Icons option.

  • Show ScreenTips on toolbars, which allows you to either turn ScreenTips on or turn them off. With ScreenTips on, cues will appear over your toolbar button as you scroll over them with the mouse, suggesting the command linked to that button. If the ScreenTips are off, no such cues will appear on mouseover.

  • Show shortcut keys in ScreenTips, which allows you to choose to show shortcut keys in screentips. To do that, select the Show shortcut keys in Screentips.

  • Select menu animations from the existing possibilities, allowing you to choose which animation effects will be applied to menus. To do that, choose one from six predefined effects available in the Menu animations drop-down box: System Default, Random, Unfold, Slide, Fade, and None.


Changing the Windows Theme

You can change the look and feel of the entire application by choosing a Windows theme. The style of toolbars, panels, menus, and all the other user interface controls will be updated to match the selected theme.

To change the Windows theme:

  1. From the Tools menu, select Theme and then one of the four available themes: Default, Office XP, Office 2003, and Native XP.

  2. The new theme will be applied.

By default, NetObjects Fusion 10 uses the Office 2003 theme.


Referencing and Editing External HTML

In addition to content you create and maintain in Page view, your site might also include pages that require special, hand-coded HTML. Instead of importing and converting this HTML, you can reference HTML files externally and place them anywhere in your site.

You can manage the external assets for your referenced file in Assets view. Also, apply a consistent look to the published pages of referenced files by assigning a MasterBorder. You can edit referenced files in HTML Source view or in an external HTML editor such as Notepad or Macromedia HomeSite, or NetObjects ScriptBuilder. To specify a default external HTML editor, see Setting Program Options.

You can reference files located on a hard disk or LAN, but not from a remote Web server. Also, <A HREF> links in the original HTML files should point to other HTML files and anchors within those files using relative rather than absolute path names. See Managing Referenced Assets for information.

Browse this section for information about working with external HTML by:

  • Referencing HTML from Site view , Page view , or as an object

  • Toggling referenced layouts and objects

  • Managing referenced assets

  • Publishing native HTML

  • Previewing and publishing unmanaged assets


Using Referenced Files

By referencing an external file instead of importing it, you can keep the original file intact and maintain it outside of NetObjects Fusion. When you import a file instead of referencing it, the file becomes a page in the site, and is maintained within NetObjects Fusion.

Referenced files become another page in your site but are maintained separately unless you convert them to NetObjects Fusion. Imported files can be either HTML pages created by someone else or document files that you want to add as text boxes on your page. Once you import a file, you maintain it in your site like any other page.

You can add an external HTML file as:

  • A page that appears exactly as it appears in its original file.

  • A page that appears with your default MasterBorder.

  • An individual object on a page.

See Referencing HTML from Site Viewand Referencing HTML as an Object.

When you reference an HTML file, NetObjects Fusion copies all of its data to a new HTML file before it is published. The original HTML file remains on your local machine; it is not uploaded to the server when you transfer the site. Because of this, you cannot dynamically update the original file by uploading a new referenced file to the server.


Referencing HTML from Site View

You can reference an entire site or section of a site from Site view. For example, you might reference an existing site you want to manage with NetObjects Fusion now and convert later. Or, you can reference files you prefer to maintain in their native code.

For links to work between the HTML files you reference, use relative path names in the original <A HREF> tags, keep all HTML files in the same directory, and publish files using the same directory structure as the original site. See Managing Referenced Assets for information.

When you reference HTML from Site view, NetObjects Fusion publishes the <HEAD> content from the original files, along with <HEAD> content it generates.

  1. In Site view, select the page to be the parent of the pages you reference.

  2. From the File menu, choose Reference External HTML.

The Reference External HTML dialog appears.

  3. Click Browse.

The Open dialog appears.

  4. Select the top-level HTML file you want to reference, and click Open to return to the Reference External HTML dialog.

  • Assign MasterBorder. Choose a MasterBorder from this drop-down list. Each HTML file you reference occupies the Layout area of a page, while the MasterBorder gives pages the consistent look of your site. To display external content with its original look, choose ZeroMargins. If the HTML contains frames, you must choose the ZeroMargins MasterBorder.

  • Limit number of pages to. Select this option to enter the number of files to reference. NetObjects Fusion begins with the Home page you select and stops referencing when it reaches the end of the site or the number of pages entered here.

NetObjects Fusion only follows <A HREF> links; it cannot follow links in JavaScript or cgi scripts.

  • Down to structural level. Select this option to enter how many levels of your SiteStructure to reference. NetObjects Fusion references as many pages as possible at a higher level before going to a lower level.

  • Do not manage or move assets. If you select this option, NetObjects Fusion doesn’t copy external assets into Assets view. Do this if you prefer that path names in the published HTML not be edited from your native code. However, you then have to manage images and other assets yourself. See Publishing Unmanaged Assets


Referencing HTML from Page View

You can reference an external HTML file as the Layout area of a page from Page view, and incorporate the file’s <HEAD> content—for example, to include existing META tag keywords or JavaScript definitions.

  1. Create a page in Site view.

  2. In Page view, from the File menu, choose Reference External HTML Page.

The Reference External HTML Page dialog appears.

  1. Click Browse.

The Open dialog appears.

  2. Select the external file you want to reference, and click Open to return to the Reference External HTML Page dialog.

If the file is already referenced elsewhere in the site, avoid creating a duplicate asset by clicking the HTML Assets tab and selecting the file from there.

  3. Choose whether to import the referenced file’s <HEAD> content and manage external assets.

  • Import <HEAD>. Select this option to publish the external HTML page’s <HEAD> content. Choose Append to Current <HEAD> to add external <HEAD> content to what NetObjects Fusion generates, or choose Replace Current <HEAD> to publish only the external page’s <HEAD> content. Note that this setting is not persistent (that is, it is not retained by NetObjects Fusion between sessions), so you must choose this option for each referenced page.

Don’t select Replace Current <HEAD> if the page contains actions, navigation bars with rollover buttons, or is being published using the Fixed Page Layout output option. NetObjects Fusion generates <HEAD> content these options require.

  • Do not manage or move assets. If you select this option, NetObjects Fusion doesn’t copy any external assets into Assets view. Do this if you prefer that path names in the published HTML not be edited from your native code. However, you then have to manage images and other assets yourself. See Publishing Unmanaged Assets


Referencing HTML as an Object

You can reference an external file as an individual object on a page. For example, you can reference an ad banner, an applet created by a Java, or any other object requiring special code.

You can even reference several external files on a page. For example, you might construct a front page for a company newsletter that includes a slot for each of several externally maintained story leads.

As when you reference HTML as a Layout area, you can incorporate each file’s <HEAD> tags and script definitions to include existing META tag and script definitions.

To reference HTML as an object:

  1. In Page view, choose the External HTML tool from the Advanced toolbox.

  2. Draw a box where you want the referenced content to appear.

Put the box in the Layout area to publish the content on one page, or in the MasterBorder to publish it in the border of several pages.

The Reference External HTML Page dialog appears.

  1. Click Browse, select the external file you want to reference, and choose whether to import the file’s <HEAD> content and manage external assets, as described in Referencing HTML from Page View .

  2. Click OK.

A placeholder for the referenced HTML file fills the box. Preview the page to see the object. If necessary, go back and adjust the box’s position in Page view to get the spacing you want. As with other objects, you can drag a referenced object around the page, drag it inside other objects, or even layer it.

Double-click the referenced HTML placeholder to edit the referenced file in HTML Source view. To edit the file in an external editor, right-click and choose Open File In External Editor from the shortcut menu. To specify a default external HTML editor, see Setting Program Options .


Toggling Referenced Layouts and Objects

You can resize a referenced HTML file so it becomes an object in the Layout instead of taking up the entire Layout area. You can do this to make room for other objects in the Layout area. Conversely, you might want to size a referenced object to fill the entire Layout area. You can also import the referenced object into NetObjects Fusion.

  1. In Page view, click in the referenced Layout area or object you want to resize.

  2. On the General tab of the External HTML Properties panel:

  • Select Size to layout to remove resize handles from an object, which fills the Layout. You can then use the Convert to Fusion button to import the referenced object into NetObjects Fusion.

Avoid sizing a referenced object to a Layout if there are other objects in the Layout area. You might get unexpected results in some browsers.

  • Clear Size to layout to add resize handles to a referenced Layout area, so you can resize it, move it, and add other objects.

  • Click Edit HTML File to edit the referenced file on the HTML Source tab.


Managing Referenced Assets

When you reference an external HTML file, NetObjects Fusion lists the HTML file in Assets view. Unless you choose otherwise, it imports into Assets view pictures, applets, media, and most other external assets the file references.

You can move external assets in your directory structure in Publish view while maintaining paths. When you publish, NetObjects Fusion edits paths to the assets so they can be found. For example, depending on your original and published directory structures, NetObjects Fusion might change the original HTML’s <IMG SRC="Images/Logo.gif"> to <IMG SRC="../Index/Logo.gif"> in the published HTML.

However, NetObjects Fusion doesn’t edit paths to other HTML files, or to target anchors within <A HREF> tags. For these links to be maintained, the path names in the original files must work as-is when you publish. The original <A HREF> tags should use relative rather than absolute path names, for example, use <A HREF="Index.html"> rather than <A HREF="HTTP://www.your_original_domain.com/ Index.html">. You must position external HTML files in your NetObjects Fusion directory structure so the original paths work. See Customizing Your Site's Directory Structure.

NetObjects Fusion manages external assets referenced by these tags:

  • <IMG SRC=>

  • <A HREF=> to non-HTML assets, such as sound files

  • <BODY BACKGROUND=>

  • <EMBED SRC=>

  • <BGSOUND SRC=>

  • <SCRIPT SRC=>

  • <INPUT SRC=>

  • <APPLET CODE=>

Although NetObjects Fusion manages external applets that are assets of referenced HTML, it might not manage certain classes referenced by the applets. Look in Assets view to see if any classes you reference aren’t listed. Then see Publishing Unmanaged Assets


Publishing Native HTML

When you preview or publish referenced HTML, NetObjects Fusion copies the HTML from the original files to a location in the publish folder. Note that some links may not work in Preview. If managing external assets or including MasterBorders, NetObjects Fusion also adds its own code to the published HTML. Of course it never modifies your original files.

If you don’t want HTML added to the original code when the site is published, you can choose these options in the Reference External HTML and Reference External HTML Page dialogs.

  • When you reference from Site view, choose the ZeroMargins MasterBorder. NetObjects Fusion doesn’t add MasterBorder information to the published HTML or impose a table structure.

  • When you reference from Page view, choose Replace Current <HEAD> from the Import <HEAD> drop-down list. NetObjects Fusion publishes the original <HEAD> as-is, without adding HTML of its own.

Don’t do this if you’re using actions or navigation bars with rollover buttons on the page, or publishing using the Fixed Page Layout output option.

In either case, select Do not manage or move assets. NetObjects Fusion doesn’t copy external assets into Assets view, so it doesn’t edit path names in the published HTML. However, this means you have to publish images and other assets yourself. See Publishing Unmanaged Assets


Publishing Unmanaged Assets

If you choose not to manage assets when you reference external HTML files, you have to get external pictures, media files, applets, and other assets to the Web server yourself.

You can upload the files to the server from wherever they reside using an FTP utility. Or, use the New File Asset command to copy assets into Assets view so they are published with the rest of the site.

  1. In Assets view, from the Assets menu, choose New File Asset.

The File dialog appears.

  1. Click Browse in the dialog to open an external asset you want to publish, and type a name for the asset. See Adding a File Asset .

  2. Select Always publish file and click OK.

This causes the file to be published, even though it’s not listed as being in use.

  3. In Publish view, position the asset in your directory structure so when it’s published, it can be found by any HTML page referencing it.

Because paths to unmanaged assets aren’t edited in the published HTML, you must position assets so the original paths work. See Customizing Your Site's Directory Structure.


Working with HTML Directly

In addition to adding content, links, and DHTML actions to your site using NetObjects Fusion tools, you can work directly with the code to insert HTML and scripts. For example, you can add META tags to index your site for search engines, power content with JavaScript or Visual Basic routines, center pages throughout your site, or do whatever else you can when coding raw HTML. You can’t edit the HTML that NetObjects Fusion automatically generates, but you can add your own code virtually anywhere.

Before working with HTML directly, you should be familiar with HTML tags and page structure. If you’re not familiar with HTML, you can still complete the tasks in Examples of Page and AutoFrame HTML.

You can also insert code within link tags and add your own actions. See Adding HTML to a Link and Customizing Default Actions

NetObjects Fusion doesn’t verify HTML you add, so be sure to use valid syntax, enclosing scripts within <SCRIPT> and </SCRIPT> tags, and so on. Also, assets referenced in your HTML aren’t managed in Assets view. If you move the HTML or its assets in your directory structure, edit paths in the HTML accordingly.

Browse this section for information about:

  • Editing the page's HTML

  • Accessing an AutoFrame's HTML

  • Accessing an object's HTML

  • Inserting HTML in a text box

  • Coding your own objects

  • Coding your own frames


Editing the Page's HTML

You can add HTML or script to the HTML NetObjects Fusion generates in HTML Source view or in the Page HTML dialog. Using the Page HTML dialog, you can add or edit the page’s code:

  • Before the <HTML> tag

  • Between the <HEAD> tags

  • Inside the <BODY>tag

  • Beginning of the <BODY> tag

  • Before the </BODY> tag

  • After the </HTML> tag

For more control over where you insert HTML code, use the NetObjects Fusion internal HTML editor in HTML Source view.

HTML Source view displays all of the page’s HTML code in one place, which makes it easier to insert and edit code. You can also use the Find, Cut, Copy, and Paste commands in this view. Code that you can edit appears on a white background. You cannot edit code that appears on a gray background.


Working in HTML Source View

HTML Source view combines advanced HTML editing features, such as color syntax highlighting and language element insertion, with familiar word processing features, including drag and drop, text editing, and text search.

In NetObjects Fusion, HTML code is either protected or unprotected. Protected code is the HTML that NetObjects Fusion generates when you publish your site. You cannot edit this code. Unprotected code is the code you insert. You can edit unprotected HTML code in Source view.

In HTML Source view you can:

  • Copy protected blocks of generated HTML and paste them in unprotected areas, but you cannot modify or delete them.

  • Drag and drop unprotected blocks of HTML.

  • Go to a specific place in the code using the Find command.

  • Add code between objects inside the <BODY> and </BODY> tags.

  • Add HTML code at various insertion points outside the <BODY> and
    </BODY> tags.

  • Insert a field such as the date and time the site was created or last modified. NetObjects Fusion includes several fields you can use and you can also define your own.

  • Insert an HTML, script, or other text file in an unprotected area.

  • Undo, redo, copy, cut, and paste unprotected code.

  • View and add frames in a frameset.

  • Set and change many HTML options such as formatting, whether to include HTML comments in your published code, and so on. See Setting HTML Options .

In HTML Source view you cannot:

  • Edit code generated by NetObjects Fusion.

  • Insert code inside:

  • text generated by NetObjects Fusion.

  • the <BODY> tag.

  • Insert code across a range of pages.

Use the Page HTML, Link HTML, or Object HTML dialog to insert code in those areas. See Using the Page HTML Dialog, and Accessing an Object's HTML.


Exploring HTML Source View

To go to HTML Source view:

In Page view, click the HTML Source tab.

HTML Source view appears.

Source view is divided into the Document Map pane on the left and the HTML Source Editor pane on the right. You can resize the panes by dragging the divider bar.

The Document Map displays the hierarchy of HTML components and language elements on the current page. It provides you with quick access to code for NetObjects Fusion objects.

  • To expand a tag’s code in the Document Map, click the plus sign.

  • To collapse a tag’s code, click the minus sign or right-click and choose Collapse Item from the shortcut menu. To collapse all tags, choose Collapse Map from the shortcut menu.

  • Double-click a tag to highlight the corresponding code in the HTML Source Editor.

  • To hide the Document Map, choose Hide from the shortcut menu. To restore the Document Map display, choose Document Map from the HTML Source Editor’s shortcut menu.

The HTML Source Editor displays the source code for the current page.

  • Protected code is displayed on a gray background. You cannot edit this code.

  • Unprotected code is displayed on a white background. You can edit this code or add code anywhere there is a white background.

  • Language elements are differentiated by text color:

  • Blue: HTML tag

  • Green: HTML attribute names

  • Maroon: HTML attribute values

  • Black: Text that appears on the page

  • Gold: HTML and SCRIPT comments

  • Purple: SCRIPT tags

  • Teal: SCRIPT tags

  • Red: Unknown tags

  • SCRIPT keywords appear in bold text.

  • If the page contains frames, a tab for each frame appears at the bottom of the HTML Source Editor. See Working in the HTML Source Editor.

  • Blocks of code can be expanded and collapsed by clicking its plus or minus sign respectively.


Adding and Editing HTML and Scripts in HTML Source View

  1. In Page view, click the HTML Source tab.

  2. Edit the source code as necessary. You can:

  • Add or edit code anywhere there is a white background.

  • Copy blocks of protected code and paste them in unprotected areas.

  • Drag and drop unprotected blocks of code. See Moving Text Using Drag and Drop .

  • Insert the contents of an HTML, script, or other text file.

  • Insert fields such as the date and time.

  3. To save your edits, from the File menu, choose Save Site. If you switch to another view before saving your changes, the Save Files dialog appears.

  4. When you switch to another view, the Save Files dialog appears.

  5. Select each file and frame you want to save, and click Save. Click Cancel to undo all changes you made in HTML Source view since the last save.


Moving Text Using Drag and Drop

You cannot drag and drop protected code; you can only do this with your own code.

To select a block of text:

  1. Move the pointer into the selected block and hold down the mouse button. A rectangle appears under the tail of the pointer, indicating that the text can be moved.

  2. Without releasing the mouse button, move the pointer to the text block’s new location, indicated by the blinking text insertion point.

  3. Release the mouse button to complete moving the text block.


Finding Text

In the HTML Source Editor, as in a word processor, you can search for text in the current document.

To find text:

  1. View the source code for the page you want to search.

  2. From the Edit menu, choose Find.

The Find dialog appears.

  3. In the Find what field, type the word, letters, or phrase you want to find and select options to narrow the search.

  4. Click Find Next.

NetObjects Fusion highlights the text you are searching for.

You can only search all of the code on a page. If you select some code and then search, the HTML Source Editor begins searching the code that occurs after the selection.


Inserting a File

You can insert the contents of an HTML, script, or other text file.

  1. Click in a white area in the HTML Source Editor.

  2. Choose Insert File from the Text menu.

  3. In the Open dialog, select a file to insert.

  4. Click Open.


Inserting a Field

You can insert fields that contain variable text such as the date and time the site was created or last modified, the site name and author, and so on. NetObjects Fusion includes several fields you can use; you can also define your own. To insert a field into your source code, choose Insert Field from the Text menu. See Creating and Editing Fields for details on inserting fields.

To use the author META tag, you must specify the name of the author in the Meta Tag tab of the Page Properties panel.


Using the Page HTML Dialog

In Page View, select the area of the page you want to access—the Layout area to access the current page’s HTML, or a MasterBorder to access the HTML of several pages. Then use the Page HTML dialog to add code between the <HEAD> tags, inside the <BODY> tag, or at the beginning of the <BODY>.

To find out how to add HTML or script to pages that use AutoFrames, see Accessing an AutoFrame's HTML.

  1. In Page Design view, click in an empty spot in the Layout area or MasterBorder. To select a ZeroMargins MasterBorder, click outside the page.

  2. Click the HTML button on the Properties panel.

The Page HTML dialog appears.

Click a tab to indicate where in the HTML you want to add tags or script. Unlike the HTML Source view, this dialog only lets you enter your HTML or script code into one of three locations.

  • Start of Page. Adds code just above the <HTML> tag.

  • Between Head Tags. Adds code to the <HEAD> content, inserting it just before the </HEAD> tag.

  • Beginning of Body. Adds code just below the <BODY> tag.

  • Inside Body Tag. Adds code inside the <BODY> tag, as in <BODY attribute=value>, where attribute=value is your code.

  • End of Body. Adds code just above the </BODY> tag.

  • End of Page. Adds code after the </HTML> tag.

  3. Enter your code on the tab.

Your typing also appears in blue in the dialog’s gray area, where you can preview its location in the HTML that gets generated.

To enter a tab character as part of the HTML, press Shift+Ctrl+Tab.

You can click the Insert File button to insert contents of an HTML, script, or other text file. Click the Insert Field button to insert a field. See Managing Variables.

  4. Click OK.

Preview the site to test your code, and view the source from your browser to see the resulting HTML. To edit your code, open the Page HTML dialog again, click the tab containing the code, and make your changes.


Accessing an AutoFrame's HTML

If your site uses AutoFrames, you can add HTML or script to the frameset file that gets generated, for example, to include a <NOFRAMES> tag for browsers that don’t support frames or to modify the size or layout of your frames. You can also add code to any content page the frames display, for example, to center the frame’s contents.


Working in the Page HTML Dialog

In Page view:

  • To access the frameset’s HTML, click in the MasterBorder or AutoFrame, then click the HTML button on the General tab of the Properties panel. Or right-click in the MasterBorder or AutoFrame, and choose Master HTML from the shortcut menu. The code is applied to the frameset instead of across a range of pages.

  • To add code to a frame’s HTML page, click the AutoFrame label and then click the HTML button on the Frame Properties panel. Or right-click in the AutoFrame, and choose Frame HTML from the shortcut menu.

In each case, the Page HTML dialog appears, where you can add code between the <HEAD> tags, inside the <BODY> tag, or at the beginning of the <BODY>, as described in Editing the Page's HTML.

If you remove the AutoFrame from a MasterBorder, code added to the frame’s content HTML is deleted.


Working in the HTML Source Editor

You can also add or edit a frameset in the HTML Source Editor. When a page contains frames, tabs appear at the bottom of the HTML Source Editor, one for each frame in the frameset, one for the page Layout (the Body frame), and one for the frameset.

The names of frames are assigned by default when you choose a frame on the AutoFrames tab of the MasterBorder Properties panel. The frame names display as framename_pagename.html for all frames that must change from page to page and as framename_masterbordername for all frames that do not change.

The default names are Left Frame, Right Frame, Top Frame, and Bottom Frame, depending on which type of frame you selected. Additionally, there are two other tabs: Body Frame and Frameset Page. The Body_Frame tab displays the code for the page Layout. The Frameset_Page tab specifies information about the frameset such as the names and attributes for each frame in the frameset and META tags for the page.

To edit a frame:

  1. Click the HTML Source tab in Page view.

  2. Click the tab with the name of the frame you want to edit. See Editing the Page's HTML .


Examples of Page and AutoFrame HTML

Even if you are not familiar with HTML, you can work through the following examples:

  • Indexing pages for search engines

  • Auto-forwarding from a transition page

  • Accommodating browsers that don't support frames

  • Creating a default target frame


Indexing Pages for Search Engines

To give your content the best chance of being found and ranked by search engines like AltaVista, you can add META tag descriptions and keywords to your pages’ <HEAD> content. Site visitors don’t see this information, but search engines require it to index your site.

Search engines index frameset files, so if your site uses AutoFrames or scripted frames, be sure to access Master HTML so your tags are added to the frameset file.

  1. In Page view, click in the Layout area of the page you want indexed, or in the MasterBorder or AutoFrame to index a set of pages.

  2. Click the HTML button on the General tab of the Properties panel.

The Page HTML dialog appears.

  3. Click the Between Head Tags tab and enter META tags that describe your content. For example, type:

<META NAME="DESCRIPTION" CONTENT="Large selection of valuable, high quality antiques and collectibles for any budget.">

where the content is a one-sentence description containing the most important keywords site visitors might search for. Then type:

<META NAME="KEYWORDS" CONTENT="antiques, quality antiques, valuable antiques, low-cost antiques, collectibles, jewelry, furniture, novelties">

where the content lists all important keywords.

You can also enter META keywords in the Meta Tags tab of the Page Properties panel.

  4. Click OK.

  5. Register your site with search engines.

You must do this separately with each search engine for it to find your site. Visit AltaVista, Excite, Lycos, Yahoo, and so on, for information. Search engines continually evolve how they use content to index and rank pages, and many of them make this information available at their sites. Visit Services view for registration information.

To see the resulting HTML, publish the site and view the source in your browser. To test the tags you added, publish the site and search for keywords using the various search engines. Be patient, as it can take days or weeks for indexers to find your site.


Auto-Forwarding from a Transition Page

You can create a transition page that appears for a few seconds, for example, to display a product logo, and then forwards site visitors automatically to another page. You do this by inserting a META tag in the page’s <HEAD>.

  1. In Page view, click in the Layout area of the transition page, and click the HTML button on the Layout Properties panel.

The Page HTML dialog appears.

  2. Click the Between Head Tags tab and type:

<META HTTP-EQUIV="REFRESH" CONTENT="seconds; URL=http://server.domain.com/ page.html">

where seconds is the number of seconds you want the transition page to appear, and http://server.domain.com/page.html is the URL of the page you want to link to.

  3. Click OK.

Preview the site to test the transition, and go to HTML Source view to see your code.


Accommodating Browsers that Don't Support Frames

Some older browsers don’t support frames. To prevent site visitors using these browsers from being greeted with a blank page or error message when they access your site, add alternate content for them using the HTML <NOFRAMES> tag.

You add the <NOFRAMES> tag and your alternate content to the frameset file generated when you publish. Your content can include text, pictures, and links, using standard HTML tags.

  1. In Page view, right-click in the MasterBorder and choose Master HTML.

The Page HTML dialog appears.

  2. Click the Beginning of Body tab and enter:

<NOFRAMES>

<H1>Thanks for visiting our site!</H1>

We’re sorry you haven’t had a chance to upgrade your browser yet and can’t see our framed site. We think the frames make it easier to find what you want.

<P>If you want to obtain a more current browser, check out either Microsoft’s <A HREF="http://www.microsoft.com">Internet Explorer</A> or Netscape’s <A HREF="http:/ /www.netscape.com">Navigator or Communicator</A> products!

</NOFRAMES>

  3. Click OK to close the dialog.


Creating a Default Target Frame

If you code your own frames, and one content page contains a lot of links that target the same frame, you can make that frame the default target. That way you don’t have to script a target attribute for each link. The default target for the contents of a frame that displays navigational buttons, for example, might be a frame that displays the primary content those buttons point to. Unless you add a target attribute specifying differently, all links on that page display their contents in the default frame.

  1. In Page view, open the content page to be targeted.

  2. Click the HTML button on the Layout Properties panel.

The Page HTML dialog appears.

  3. Select the Between Head Tags tab and enter:

<base target="framename">

where framename is the name of the frame as defined in the frameset file that you want to be the default target.

  4. Click OK to close the Page HTML dialog.

Create several links on the content page using the Link dialog. Don’t add any HTML specifying a target frame. Preview the site and test the links. They should all display contents in the default target frame.


Accessing an Object's HTML

You can add HTML or script to pictures, media, a text box, or any other object, to modify or control that object. You can enclose the object in HTML tags, or add HTML or script inside the object’s tag.

You can add code before and after a text box’s HTML as described here. To insert code inside a text box, see Inserting HTML in a Text Box.

  1. In Page view, select the object you want to add code to, and click the HTML button on the Properties panel. Or from the Object menu, choose HTML.

The Object HTML dialog appears.

  2. Click the tab to indicate where you want to insert HTML or script.

  • Before Tag. Adds code just before the object’s tag, as in your_code <IMG SRC=>, if the object is a picture.

  • Inside Tag. Adds code inside the object’s tag, as in <IMG SRC="Image.gif" attribute>, where attribute is your code. This tab appears only if you can add something inside the object’s tag.

  • After Tag. Adds code just after the object’s tag; for example, to insert a closing HTML tag for any opening tag inserted before the object.

  3. Enter your code on the tab.

Your typing also appears, shown in blue, in the dialog’s gray area, where you can preview its location in the object’s HTML.

You can click the Insert File button to insert contents of an HTML, script, or other text file. Click the Insert Field button to insert a field. See Managing Variables.

  4. Click OK.

The object is marked with an HTML icon.

Preview the site to test your code, and view the source from your browser to see the resulting HTML. To edit the code, open the Object HTML dialog again, click the tab containing your code, and make changes.


Displaying a Message on Mouse Click

You can display a message when site visitors click an image or text link. One way to do this is by creating a Blank link and inserting an onClick JavaScript in the link’s opening <A HREF> tag.

You cannot add or edit HTML for links in HTML Source view. You can only do this in the Link HTML dialog.

  1. In Page view, select the image or exact text site visitors are to click, and click the Link button on the Properties panel.

The Link dialog appears.

  2. Select Smart Link from the Link type drop-down list and select Blank in the Name column.

  3. Click the HTML button in the Link dialog.

The Link HTML dialog appears.

  4. Click the Inside Link tab and type:

onClick="alert('your message')"

where your message is the text of your message.

  5. Click OK in the Link HTML dialog, then click Link in the Link dialog.

Preview the page and click the image or text to see the message.

View the HTML source in HTML Source view to see the resulting HTML.

Another way to add this JavaScript to a picture or text link is to create a custom link. In the Link dialog, select External Link as the Link type, choose javascript from the New link drop-down list, and type the onClick script in the New link field.


Inserting HTML in a Text Box

You can insert HTML or script inside the contents of a text box at the insertion point, for example, to add text attributes or comments to the HTML. Note that you cannot do this in HTML Source view.

  1. In Page view, double-click in the text box to get an insertion point.

  2. From the Text menu, choose Insert HTML.

The Insert HTML dialog appears.

  3. Enter your HTML or script.

The Insert HTML dialog can contain up to 255 characters. To insert more than 255 characters, use the HTML Source Editor or Object HTML dialog or reference an external HTML file.

  4. Click OK.

Preview the page to test your code, and view the source from your browser to see the resulting HTML.


Coding Your Own Objects

You can create an object, such as a Java applet or a table you want to code yourself, by entering HTML or script in an empty text box.

  1. In Page view, draw a text box where you want the object to go.

The box marks the object’s position when you publish, but it can grow vertically or horizontally depending on the object. To approximate the published size in your Layout area, select Lock height on the Text Box tab of the Text Properties panel.

  2. Right-click in the text box and choose Object HTML from the shortcut menu.

The Object HTML dialog appears.

  3. On the Before Tag tab, type, paste, or insert the HTML or script.

  4. Press Enter after the script and type <!--

  5. On the After Tag tab, type -->

  6. Click OK.

You defined a space on the page for a text item, inserted the HTML or script, and told NetObjects Fusion to put the HTML or script in place of the text.

Preview the page to test your code, and view the source from your browser to see the resulting HTML. If necessary, go back and adjust the box’s position in Page view to get the actual spacing you want.


Coding Your Own Frames

You can create HTML frames in any part of the MasterBorder without coding HTML by using AutoFrames. But if you want to put frames in the body of your page, you can script them, just as with any HTML editor.

Here’s an example of accessing HTML to create a section of a site that uses two horizontal frames–one body frame that scrolls, and a footer frame that doesn’t. Navigation buttons in the footer open each of two pages in the body, while a Home Page button links out of the frames section to the site’s Home page.

  1. In Site view, create a new page for the frameset—the page where your frames begin. Name the page Frames.

  2. Beneath this page, create three content pages for the frames to display, named Footer, One, and Two.

  3. Display the Frames page in Page view, and add HTML that defines it as a frameset, setting the size and position of each frame, and the content it initially displays.

Select the Layout, click the HTML button on the Layout Properties panel, and type the following in the Between Head Tags area of the Page HTML dialog:

<frameset rows="*,70">
<frame name="main" src="./html/one.html">
<frame name="footer" src="./html/footer.html">
</frameset>

Or, if you’re publishing the site using the Flat directory structure rather than the by Asset Type structure, type the following for the second and third lines:

<frame name="main" src="./one.html">
<frame name="footer" src="./footer.html">

This HTML creates two horizontal frames—one called "main" that occupies the bulk of the page, and a 70-pixel-high frame called "footer" at the foot of the page.

Click OK in the dialog when you’re done.

The src attribute is a relative path name to a content page that must match exactly the path name generated when you publish the page. The path depends on the directory structure selected in Publish view (from the Publish menu, choose Arrange Files, and then choose one of the submenu options). The file name is the page’s name in Site view, all lowercase, with an .html extension and an underscore in place of spaces and other special characters. So One in Site view becomes one.html in the resulting HTML. If you’re not sure where a content file is relative to your frameset page, or what its HTML name is, look in Publish view.

  4. Open the Footer page in Page view.

  5. Click in the MasterBorder and select ZeroMargins in the Name field on the MasterBorder Properties panel.

  6. Click in the Layout area and enter 110 in the Height field on the Layout Properties panel.

  7. Add three text boxes to the Layout, containing the text One, Two, and Home.

  8. Select the text One, click Link, select the Internal Link type, and select the One page. In the Target section of the Link dialog, click New and type main in the text field next to the New button. Click Link to close the dialog.

  9. Select the text Two and create an Internal link to the Two page. In the Target section of the Link dialog, click Existing and select main from the drop-down list. Click Link to close the dialog.

  10. Select the text Home and create an Internal link to the Home page. In the Target section of the Link dialog, click Existing and select _top from the drop-down list. Click Link to close the dialog.

  11. Open the One and Two pages in Page view, choose the ZeroMargins MasterBorder on the MasterBorder Properties panel, and add whatever content you want to appear in the main frame for each page. Add content to the Home page.

You can’t preview to see scripted frames, so publish the site and test your frames. Click each button in the bottom frame. The One button should display the contents of the One page in the top frame, the Two button should display the Two page in the top frame, and the Home button should exit the frames altogether and display the Home page in the whole browser window.


Controlling Published Output

The default settings for NetObjects Fusion generate efficient HTML that faithfully reproduces your visual design on the published page. The design of your text content, however, is subject to each site visitor’s browser settings. To limit these variations, NetObjects Fusion offers ways to control published output. You can:

  • Select from four different types of page containers to serve as your page layout medium: Layout area, Layout Regions, text boxes, and tables.

  • Use one of three HTML output methods to generate your site’s HTML: Dynamic Page Layout, Regular Tables, and Fixed Page Layout.

  • Control the table formatting priority—horizontal or vertical—used to generate Dynamic Page Layout HTML pages.

  • Select HTML or cascading style sheet (CSS) text formatting.

Browse this section for information about:

  • Approaches to page design

  • Selecting a layout method

  • Selecting an HTML output method

  • Publishing with Dynamic Page Layout

  • Publishing with Regular Tables

  • Publishing with Fixed Page Layout

  • Matching design priorities with HTML output method


Approaches to Page Design

In NetObjects Fusion, a container is an object into which you can embed other objects. A container can be any size and can hold any kind and number of objects. NetObjects Fusion provides four types of containers you can use to design and lay out pages:

  • The Layout is the body of the page, surrounded on all four sides by the MasterBorder. Each page has at least one Layout, although you can create additional layouts as needed. See Working with Layouts.

  • Layout Regions are mini-layouts that you can use to subdivide the page. You can draw and place Layout Regions anywhere on the page, and place any kind and number of objects—including text boxes or other Layout Regions—within their borders. See Working with Layout Regions .

  • Text boxes are a special class of objects because you can embed other objects within them. You can also maximize a text box so it fills the entire Layout—in effect, using a single text box to lay out the entire page. See Working with Text Boxes.

  • Tables serve as containers for objects. If your page design is based on rows or columns of content—as in a spreadsheet or other tabular arrangement—you can lay out all or part of your page in tables. You can then lay out your content within the cells of the table. You can embed any object in a table cell. See Adding Tables.

  • MasterBorders contain objects that repeat on a set of pages. You can place anything in a MasterBorder that you can place in the Layout, including banners, pictures, and text. By placing navigation bars in a MasterBorder you can give pages with the same navigational needs the same navigational structure. See Managing MasterBorders .

The type of container you choose determines which of the following page design options you use. You can:

  • Position content with pixel-level precision by dragging objects into place. The position-based approach uses Layouts and Layout Regions as containers and preserves your position-based layout by generating pages consisting of HTML and cascading style sheet code.

  • Use a text-based approach. With text-based design you can preserve the flow of content by embedding objects in text boxes or table cells. Text-based page layout generates lean and efficient HTML code that responds effectively to variations in browser and font size.

  • Include hand-coded HTML pages in your site. You incorporate external HTML pages as part of your site by referencing them as objects on a page, or the page itself. You can also add HTML in HTML Source view. See Working with HTML Directly and Referencing and Editing External HTML.


Selecting a Layout Method

There’s no "best way" to lay out your pages; your circumstances determine which method works best. The pros and cons of each method are listed here.

Using Layouts

If precise placement of content is important to you, or if you want to publish individual pages using an HTML output type that is different from the rest of the site, use the Layout area as the container for your page layout.

Layout Advantages

  • You have pixel-level control of the layout and design of your page.

  • You can drag-and-drop objects into position.

  • You can specify the HTML output type for any individual Layout.

  • Layouts support the column or row priority for page formatting, which means pages adjust more predictably to a site visitor’s font and display configurations.

Layout Limitations

  • Position-based pages require more HTML code to achieve pixel-level placement of content, so your HTML files will be somewhat larger.

  • Text cannot flow around other objects unless they are embedded in a text box. To create a text wrap effect you have to create multiple text boxes to contain the other objects.

  • You cannot set the Layout to wrap to the width of your site visitor’s browser. If the browser window is wider than your page, the page’s background fills in; if the window is smaller than your page width, your site visitor has to scroll.

Using Layout Region

Like Layouts, Layout Regions offer pixel-level placement and a choice of HTML output methods, but you can embed them in text boxes. So, if you need precise placement or specific output for some content, but want to generate leaner pages, you can use text boxes as your main layout container and embed Layout Regions for selected content.

Layout Region Advantages

  • You have pixel-level control of the layout and design of content within the Layout Region.

  • You can embed the Layout Region within a text box, which combines the benefits of both containers.

  • You can specify the HTML output type for any individual Layout Region.

  • Layout Regions support the column or row priority for page formatting so selected sections of your page can adjust more predictably to site visitor’s font and display configuration.

Layout Region Limitations

  • HTML page files are significantly larger and download more slowly.

  • Text cannot flow around other objects unless they are embedded in a text box. To create a text wrap effect, you have to create multiple text boxes within the Layout Region.

  • You cannot maximize a Layout Region to the full Layout size, or set the Layout Region to wrap to the width of your site visitor’s browser.

Using Text Boxes

If efficient, lean HTML pages are more critical to site visitors than precise placement of content, use a text box for page layout.

Text Box Advantages

  • NetObjects Fusion generates extremely efficient HTML code for your site. HTML files are smaller, which means they load faster.

  • Text within the text box can be set to flow around other embedded objects, so you don’t have to create multiple text boxes to achieve a text-wrap effect.

  • You can set the text box to expand itself to the size of the browser window. When your site visitor views the page, it rewraps to fit within the browser window.

  • You can use any HTML output method: Dynamic Page Layout, Regular Tables, or Fixed Page Layout.

Text Box Limitations

  • You give up pixel-level control of the layout and design of your page, and use alignment choices to control the placement of objects, which means the way they appear in a browser can be somewhat unpredictable.

Using Tables

If your page design or page content is tabular, you can use a NetObjects Fusion table to control the layout of the entire page.

Table Advantages

  • Each cell within a table functions like a text box, with all the attributes and controls of a text box outside the table.

  • You can embed objects within cells, arrange them using each object’s alignment properties, and wrap text around objects.

  • You can use a percent width layout so the basic layout design adjusts to changes in browser window width, font sizes, or screen resolution.

Table Limitations

  • You give up pixel-level control of the layout and design of your page, and use alignment choices to control the placement of objects.

  • Browsers interpret tables differently, so be sure to view the table in all versions of the target browsers.


Selecting an HTML Output Method

The wide range of browser versions and capabilities makes it difficult to know exactly what kind of HTML tags and functions will display effectively to site visitors. Advances in HTML coding and browser abilities have also made it possible to create pages using less code and more efficient downloads—if your site visitor’s browser can support it. To address these concerns and take advantage of these improvements, you can choose from three types of HTML output when publishing your site.

  • Dynamic Page Layout uses Nested Table tagging and other features of the 3.2 HTML specification. This is the default output method because it produces the most predictable and consistent results onscreen, regardless of the type, version, or configuration of the site visitor’s system or browser fonts. Both Microsoft Internet Explorer 2.x and above and Netscape Navigator 2.x and above correctly display pages published in Nested Tables format. See Optimizing Dynamic Page Layout Output .

  • Regular Tables uses a single table for your page design and content. Both Microsoft Internet Explorer 2.x and above and Netscape Navigator 2.x and above correctly display pages published in Regular Tables format, although site visitors’ results might vary according to their system and browser font settings.

If you select Dynamic Page Layout or Regular Tables, be sure your pages do not have overlapping objects, or your published results will not be what you expect. See Editing Objects and Assets for information.

  • Fixed Page Layout uses cascading style sheet positioned layers to achieve the highest level of accuracy with Microsoft Internet Explorer 4.0 and above. This option is suggested when using actions and is required for overlapping objects. It is not supported by Netscape 6.x, and may not be compatible with current HTML standards.

  • On the General tab of the Current Site Options dialog, you designate which type of HTML output is generated. This setting determines the site setting for HTML output. You can override this setting for individual Layouts and Layout Regions, so NetObjects Fusion generates the HTML using a different method. See Setting the HTML Output Method for a Layout or Layout Region for information.


Setting the Site's HTML Output Method

To set the publishing method for your site:

  1. From the Tools menu, choose Options>Current Site.

The Current Site Options dialog appears.

  2. Click the Change button.

The Browser Compatibility dialog appears.

  3. Select Browser compatibility options. You can select Netscape Navigator 4.x or Microsoft Internet Explorer 4.0 and above, or both.

  4. Select the default HTML generation option for this site:

  • Dynamic Page Layout and Regular Tables are compatible with all browsers.

  • If you select Fixed Page Layout and:

Netscape Navigator 4.x, NetObjects Fusion generates layers using the Netscape <LAYER> tag. This optimizes output for sites viewed in Netscape Navigator 4.x. This option is not supported by Netscape 6.x and above and is not compatible with HTML 4.01 standards.

Microsoft Internet Explorer 4.0 and above, NetObjects Fusion generates cascading style sheet positioning code to achieve a high level of layout accuracy. This optimizes output for sites viewed in Microsoft Internet Explorer.

Netscape Navigator 4.x and Microsoft Internet Explorer 4.0, NetObjects Fusion generates cascading style sheet positioning code and layers. This option is not supported by Netscape 6.x and above and is not compatible with HTML 4.01 standards.


Publishing with Dynamic Page Layout

When you choose Dynamic Page Layout, NetObjects Fusion uses complex hidden tables to achieve the highest level of layout accuracy across browsers. To see the table borders in your browser, hold down Shift when you click Preview Site or Publish Site.

Dynamic Page Layout is the default publishing method for NetObjects Fusion. Using Dynamic Page Layout:

  • You get relative placement of your content as you designed it in Page view, with relative spacing preserved regardless of the site visitor’s display configuration.

  • You can prioritize the vertical relationship between objects so site visitors are more likely to see the pages as you designed them, regardless of their local browser, font, and display configurations.

  • Pages can be viewed in most browsers that support the 3.2 HTML specification, including Microsoft Internet Explorer 2.0 or higher and Netscape Navigator 2.0 to 4.x. Netscape Navigator 6.0 does not support this option.


Optimizing Dynamic Page Layout Output

If you set a Layout or Layout Region to Dynamic Page Layout output, you can control the text flow for each container by choosing the table formatting priority— columns or rows—that NetObjects Fusion uses to generate the page HTML. This helps to preserve your design if a browser’s font settings change the size of your text.

For example, a Columns or vertical priority keeps text together in a vertical orientation when text size changes rearrange the page.

A Rows or horizontal priority keeps text together in a horizontal orientation when text size changes rearrange the page.

You can make pages more efficient and predictable by optimizing placement of objects within the site’s underlying table structure. As a general rule, it’s best to align objects to each other and to place text boxes in their own cells within the underlying table structure so they can resize as necessary in response to browser font changes.

To help determine the best alignment, you can preview the underlying table row and column structure to see if NetObjects Fusion can divide your Layout into cells efficiently or if you need to rearrange some objects.

  1. In Page view, select the Layout or Layout Region you want to preview.

The General tab of the appropriate Properties panel appears.

  1. Select Columns or Rows in the HTML output section.

  2. Click and hold the Show button.

NetObjects Fusion hides grid lines, guide lines, and object borders in the Layout and displays solid gray lines to show how the Layout is divided into rows and columns.

  3. Identify underlying table cells that contain multiple text boxes or other objects.

  4. Release the Show button.

  5. If row and column dividers do not separate objects the way you think they should, those objects might not be aligned with pixel-level accuracy. To correct this, Shift+Click all the objects you want to align.

The Multi-Object Properties panel appears.

  6. Click the alignment setting appropriate for the selected objects.

  7. Repeat steps 3 through 7 as needed.

  8. Preview the site or page.

  10. To test the results, reset your browser display fonts to a significantly larger size and preview the site again.

You can see a page’s table structure in the browser by holding down Shift when you click the Preview Site button.


Optimizing AutoFrames

If you are using Dynamic Page Layout, you can control realignment of AutoFrame content by selecting, for each frame, the table alignment setting that best preserves your design. When you use the Show button to preview the Layout’s table structure, the preview includes the table structure that NetObjects Fusion expects to use in AutoFrames.


Locking or Maximizing a Text Box

If all the objects on a page are embedded in a text box, you can apply three text box properties to reduce the impact of variations in browser configurations: locking the minimum size of a text box, sizing the text box to fill the Layout, and wrapping the text box contents to the browser width. See Working with Text Boxes for information about these options.


Publishing with Regular Tables

When you choose Regular Tables, NetObjects Fusion translates each page Layout or Layout Region into a single HTML table with rows and columns, and places your content into table cells. If text content expands because of a browser font setting, its table row expands with it, and the content below it on the page is moved down.

Regular Tables is recommended when you:

  • Want pages to display successfully in older versions of some browsers.

  • Use many tables or Layout Regions as containers and want to simplify the HTML output.

  • Include objects with actions on the page, and you choose not to use Fixed Page Layout as the output method.

  • Embed certain JavaScript code that will not work with Dynamic Page Layout.


Publishing with Fixed Page Layout

Pages published using Fixed Page Layout can only be viewed accurately in Microsoft Internet Explorer 4.0 or higher or Netscape Navigator 4.x browsers. Older browsers can view the pages, but with unpredictable results; in many cases the page content is stacked flush left down the page.

Fixed Page Layout uses cascading style sheet positioning, layers, or both to achieve a high level of layout accuracy. NetObjects Fusion determines which of these options are applicable based on how you set up Browser compatibility in the Current Site Options dialog. See Setting the Site's HTML Output Method.

When you choose Fixed Page Layout, NetObjects Fusion expresses the location of content in terms of absolute positioning. For example, instead of using HTML workarounds such as empty table rows and transparent .gifs to position a line of text below the top of the page, the absolute positioning supported by Fixed Page Layout defines placement of the text box a specific distance from the top left corner of the page in a simple statement of x,y coordinates.

When you select Fixed Page Layout:

  • NetObjects Fusion generates HTML code that produces the same results in Microsoft Internet Explorer and Netscape Navigator 4.x.

  • Pages are typically more compact and download faster than table-based HTML pages.

  • You can overlap objects in Layouts or Layout Regions. See Layering Objects .

  • You get consistent results with pages containing actions. See Building Dynamic Pages.

  • There is some risk for text-rich pages. If a Fixed Page Layout page is viewed in a browser with large font settings, the text boxes expand without regard for other objects on the page, which can result in unplanned overlapping of objects.


Design Priorities and Method Choices

Use this table to determine which combination of layout methods and HTML output methods best supports your site design priorities.

If your priority is... | Suggested container object | Suggested HTML output method
Lean HTML and fast browser loading | Text box or Layout-sized table | Dynamic Page Layout
Precise placement control for objects | Layout and/or Layout Region(s) | Dynamic Page Layout
Maximizing usability for site visitors with browsers earlier than version 4.0 | Text box sized to Layout | Regular Tables
Absolute control over minimum text box height | Text box with size locked | Dynamic Page Layout
Precise placement control for selected content, but lean HTML otherwise | Text box for page with embedded Layout Region for selected content | Dynamic Page Layout
Wrapping text around images and other objects | Text box and/or table | Dynamic Page Layout
Overlapping selected objects | Overlapped objects in Layout Region embedded in a text box | Dynamic Page Layout for site; Fixed Page Layout for Layout Region containing overlapped objects
Wrapping page to varying browser widths | Text box sized to Layout with content wrapped to browser | Dynamic Page Layout
Drag-and-drop placement of objects while designing the page | Layout and/or Layout Region | Dynamic Page Layout
Horizontal or row-based content flow such as spreadsheets or other tabular data | Table | Dynamic Page Layout
Delivering objects with actions or other DHTML effects only to advanced browsers | Layout | Fixed Page Layout
Delivering objects with actions or other DHTML effects to greatest number of browser versions | Objects with actions in Layout Region embedded in a text box | Dynamic Page Layout for site; Regular Tables for Layout Region containing objects with actions
Using cascading actions | Embedded Layout Regions containing objects with actions, grouped for cascading messages | Dynamic Page Layout Fixed Page Layout


Publishing Your Site

After completing your site design and development, you’re ready to publish the results. Publishing puts your site on a FTP, SFTP, or WebDAV, server so you and others can see it using a browser. The NetObjects Fusion publishing process generates HTML files for the site’s pages and associated assets. NetObjects Fusion transfers the generated HTML files to the server you use for Web hosting. You can control the location of your site, directing NetObjects Fusion to save it to a local disk drive so only you can see it, or to a remote server so others can see it, too. When you’re sure the site is ready for the Web, you publish it to a Web server so everyone in the world can visit your site.

Sites published with NetObjects Fusion work with any Web server, on any operating platform. No special Web-server extensions are required. If your site contains special components also installed on the server—including NetObjects Fusion Form Handler, CGI scripts, or third-party components—it requires extra steps to set up to publish on a server.

Browse this section for information about:

  • The publishing process

  • Exploring Publish view

  • Publishing locally

  • Transferring the site to the Web


The Publishing Process

The NetObjects Fusion publishing process involves two basic steps: generating HTML files and then transferring the generated HTML files to the Web server.

  1. When you select Publish Site, NetObjects Fusion converts your site into HTML pages and associated assets using the SiteStructure, page design, content, links, and assets information in the Sitename.nod file. These generated HTML files are used by browsers to display your website. You specify where the generated HTML files are saved. A typical scenario is to publish the HTML files locally onto your computer’s hard disk where you can then open, run, and test the site in your browser without connecting to the Internet. When the site is exactly right, you’re ready to transfer it to a Web server.

  2. Selecting Transfer Files to Server from the Publish menu copies the locally published HTML files to the server you use for Web access. To speed the transfer process, NetObjects Fusion uses its own built-in FTP program.

You must use NetObjects Fusion to transfer your site’s HTML and asset files from one location to another. You cannot move generated HTML files from one location to another, nor can you rename the files in Windows Explorer. Renaming the files or moving them to a new location breaks links because the file locations are different from those specified in the generated HTML files.

NetObjects Fusion’s default publish setting (Local Publish) is preconfigured to publish the HTML files on your local disk. You do not have to do additional setup. However, when you’re ready to publish to a remote Web server, you must set up a publish profile for your ISP’s Web server. You can create as many publish profiles as you need, but you can only log on to one server at a time.

If you’re working on a company’s intranet and want a few site visitors to test the site before you transfer it to the Internet, you can publish the HTML files to one or more private intranet servers. Then, when it’s ready to share with the world, you can publish the site directly to your company’s Web server.


Additional Publishing Notes

  • Sites published with NetObjects Fusion work with any Web server, on any operating platform. No special Web server extensions are required.

  • When you re-publish your site, for example to update pages or add new information, NetObjects Fusion overwrites existing files as needed. You can also remove old files or obsolete assets from local or remote directories by selecting View/Delete Server Contents from the Publish menu.

  • NetObjects Fusion does not automatically publish through firewalls or to proxy servers. See Publishing with Firewalls or Proxy Servers .

  • If NetObjects Fusion has difficulty storing your site on a remote Web server:

  • Make sure your system is online and has a valid connection to your network or the Internet.

  • Make sure the server is not down or offline.

  • Make sure your publish profile settings are correct. Test the remote server, account name, and password settings displayed in the Publish Settings dialog by using them to log on to the server using a separate FTP or telnet application.

  • Make sure your account has the appropriate permissions and that sufficient storage space for your site is available on the server.

  • If your company uses a proxy server or has established firewalls for security, make sure the server settings are appropriate for the proxy or firewall.

  • If you define publishing settings for a site, and then export that site as a template, those settings travel with the template. If you are sharing a template with colleagues who can use the same publish settings, you can save time by configuring the publish settings in advance, exporting them with a template, and then distributing the template.


Exploring Publish View

You use NetObjects Fusion Publish view to publish a site. Publish view looks similar to Microsoft Windows Explorer or Windows NT File Manager.

The Local view presents a representation of the file structure that will be created when you publish your site. It does not represent the existing structure for your site on your hard disk or server. Therefore, changing the directory structure in Publish view does not affect the page relationships in Site view and, likewise, changing the page relationships in Site view does not affect the representation in Publish view.

Changes that you make to the directory structure in Publish view only affect your site’s current directory structure when you publish your site.

The drop-down list in the Local view displays the directory structure of your site as it will be published on your server. Click a directory’s plus sign to expand the display to show the subdirectories beneath it. Click a directory’s minus sign to collapse the display and hide the subdirectories beneath it. Or click the folder next to the drop-down box to navigate up one level.

The Remote view on the right displays the contents of the remote directory you are currently connected to. (If you are not connected to a remote server, you will see drop-down list of available remote profiles.)

You can delete, rearrange, or rename the directories shown in the Local and Remote panes, and you can create new subdirectories at any level below the root. Locked components and their related assets, signified by a black lock image on their icons, cannot be renamed or rearranged.

For each local and remote directory, page, or asset displayed, the Local and Remote pane displays its name, type, attributes, and the date and time of the last local and remote publish or modification. You can sort the content files and folders by clicking a column heading, and you can resize the columns by dragging the column heading border. The icons associated with different file types are set in the Windows File Types Registry.


Publishing Locally

While developing a site, you should publish it at least once to your local hard disk to check that the site works as intended. After the site is published to your hard disk, NetObjects Fusion launches your browser so you can view the site and see how it will appear to site visitors on the Web.

If, after publishing the site to your hard disk, you make changes to the site in NetObjects Fusion, re-publish the site. Depending on the complexity of the site, you may publish several times to get the site working as desired. Then, when the site works perfectly, publish it to your Web server or ISP server so everyone in the world can appreciate your handiwork.


Setting Up to Publish Locally

  1. In Publish view, click the Publish Settings button on the views bar.

The Publish Settings dialog appears.

  1. In the Server drop-down list, choose Local/Network.

  2. Check the Folder name. By default NetObjects Fusion preconfigures the local location to \Sitename\Local Publish. Also make sure the local disk drive has sufficient space for your published site files.

If you want to publish the site to a different directory, do one of the following:

  • Enter the drive and directory path you want to use. This path can point to an existing directory or create a new directory.

To publish to a different machine on your local network, create a new local publish profile and browse to that machine.

  • Click Browse and select the folder you want to use, or create a new folder.

To create a new folder, select the folder in the Browse dialog in which you want to create the new folder, then click OK. Enter the name of the new folder at the end of the path in the Directory field.

To prevent your site’s HTML files from getting mixed in with other files, you should always use an empty directory the first time you save the files.

  3. Click Advanced publish settings.

  4. Select the options for your site’s pages:

  • Home page file name. Index is the default page name recognized by most Web servers. Select Current Page Name to set the Home page to use the same name as in Site view. Select Home or Default to set the page as in Home.html and Default.html.

  • File extension for HTML pages. Select .htm, .html or .shtml depending on the page extension your browser recognizes. Click the browse button to enter a page extension that is not available in the drop-down list.

Make sure you use a page extension that your browser recognizes or it might not display the page properly. If you used the Custom Names dialog in Site view to assign a file name extension for an individual page, that customized extension overrides the site default for that page.

  5. Click Close.


Setting HTML Options

NetObjects Fusion includes a variety of options to control HTML format and generation.

  1. In any view, from the Tools menu, choose Options>Current Site.

The Current Site Options dialog appears.

  1. On the General tab, click HTML Options.

The HTML Options dialog appears.

  2. Set the HTML formatting options. These settings do not affect the appearance of your site. The settings only affect the HTML code that is created when you publish the site.

  • Indentation. Select tabs or a specific number of spaces to indent lines of the code so it is easier to read.

  • Maximum compression. Select this option if you do not want site visitors to easily read your HTML code. If this option is selected, line breaks, tabs, and unnecessary spaces that make the code more readable are stripped from the generated HTML code. The generated HTML code uses as few characters as possible and the code will be unintelligible. To restore compressed code so you can read it, clear this option and republish the site.

  • Line breaks. Choose PC/Unix or Mac to set the line breaks in the code for the platform you expect to use to view the code. Your choice of line breaks does not affect the browser’s interpretation of the code regardless of the computer platform being used to view your site.

  • Word wrap. Select the number of characters per line of code before it wraps to the next line. This option enhances readability of the HTML code in text editors that do not automatically wrap text. However, this can cause text to wrap in the middle of an HTML tag, which prevents the code from working properly, and for some JavaScript code, you may need to deselect this option so the lines do not wrap.

  • HTML tags. Select whether the HTML tags are in uppercase or lowercase— such as <H1> or <h1>—in the generated HTML code.

  • Attributes. Select whether the tag attributes are in uppercase or lowercase— such as BGCOLOR or bgcolor—in the generated HTML code.

  • Generate NOF-specific attributes. Select this option to generate additional code that will help to import a New Site from an Existing website. See Creating a New Site from an Existing Site. The additional code generated does not meet HTML 4.01 standards.

  • Encode External Links. Select this option if you want NetObjects Fusion to encode the external links that are used in your project.

  • Use transparent GIF as spacer. Select this option if you want NetObjects Fusion to use a transparent GIF named clearpixel.gif to space items accurately on a page. If you generate tables on a page, NetObjects Fusion places invisible image files of varying widths and heights in the table cells to ensure accurate placement of objects.

  • Include HTML comments. Select this option to insert comments into your generated HTML code that makes reading it easier. For example, with this option selected, the comment <!--Start of the Body for this page--> appears before the <BODY> tag.

  • Include character set meta tag. Select this option to include the character set for the site in the META tag of each page. Normally you only use this option if your site uses a non-Western character set.

  • Background image offset. Select this option to compensate for the small borders most browsers add to the top and left sides of their windows. By selecting this option you can shift the image in NetObjects Fusion so the page content starts in the upper left corner of the page. Enter values in the Top and Left boxes to offset the background image.

  3. Click OK when you finish selecting HTML options.


Publishing Your Site

The first time you publish a site, you must publish the entire site. Later, when you’re fixing problems or updating information, you can generate only the portion of the site that changed.

The site’s files are generated in the HTML output format that you specify in the Browser compatibility field of the Current Site Options dialog. See Controlling Published Output.

  1. In Publish view, Site view, or Page view, click the Publish Site button on the views bar.

The Publish Site dialog appears.

  1. From the Publish files to drop-down list, choose Local Publish to specify your local hard disk as the destination for the published HTML files.

  2. From the Pages to publish drop-down list, select the portion of the site you want to publish:

  • Entire Site. Publishes HTML files for all pages and associated assets for the site. Select Entire Site the first time you publish a site.

  • Current Page Only. Publishes the page you selected in Site view or Page view. Usually you use this feature if you make a change on one page and want to update just that page’s HTML files. The selected page name appears in the page field.

  • Select Page(s). Publishes the pages you select in the SiteStructure. Click the arrow (>>) to display the SiteStructure and select the pages you want to publish. The page name(s) appears in the page field.

If you add a page to the site, or change the site’s directory structure after publishing, make sure you re-publish the entire site and not just a site section so all the links are updated.

  3. Select Publish changed assets only to publish the asset files that have changed since the last time you published the site.

NetObjects Fusion does not query your hard disk to see if it has all the unchanged assets needed by the site. If you publish changed assets only, be sure you publish to the same location on the hard disk that you did previously, so unchanged assets are still available.

  4. Select Check in the current document to the Versioning System to store an archived version of the site in the Versions Manager. Click Advanced in the Version Manager field to enter information about the version to help you identify it should it need to be restored. See Using the Site Versions Manager .

  5. Click Publish.

NetObjects Fusion creates the local directories, converts the site to HTML, and stores the site’s HTML files on the local hard disk.

Changes you make to the site while it is being stored are not included in the HTML files until you re-publish the page or section containing the changes.

  6. When publishing is complete and your site is in place, your browser opens so you can examine the results. You can return to NetObjects Fusion, make changes to the site, and re-publish the site or its changed portions as needed.

When the site works perfectly you’re ready to transfer it to your ISP’s server, Web server, or other server that puts the site on the Web. Before you can publish to a remote server, however, you need to define a remote publish profile.


Setting Up to Transfer Files to Your Web Server

To put your site on the Web you must transfer its HTML files and related asset files from your computer’s local hard disk to a server that has access to the Web. This can be an ISP server that you use to access the Web, your company’s Web server, or any other server that gives you Internet access.

NetObjects Fusion uses the FTP process to transfer your site’s files to the Web server. Therefore, to transfer to a remote Web server, your computer must connect using the FTP protocol unless that remote server is on your company LAN, in which case you can use the Local Publish option.

Prior to transferring to the server the first time, however, you must set up a profile of the server to receive the transferred HTML files.

The setup for a Web server also applies to an intranet server. If you’ll transfer a site from your hard disk to your company’s intranet server prior to transferring to the Web server, use the setup steps in this section for both your intranet server and Web server.


The Server Setup Process

To set up a server you select transfer options and define a profile. After you select the appropriate options you don’t have to select them again. You just transfer the site from your hard disk to the server(s). If you change servers, you must select options and define a publish profile for the new server.

The setup process consists of selecting the directory structure, defining the server profile, and selecting publish components if necessary. These settings are saved in your Sitename.nod file so you don’t have to create a publish profile each time you want to publish the site.

When setup is complete, you can transfer the files from a local directory to the remote server’s location.


Publish Profile Checklist

Make sure you can answer the questions in the following checklist before you create a publish profile for a remote server.

  1. Who is your service provider? This is the business, organization, or department that is going to store your site on its server and provide your site visitors access to it on the Web.

The technical support staff of your service provider should be able to provide the answers to the rest of these questions. Service providers and other organizations that provide hosting services often offer technical support pages on their own websites.

  1. What is the name of your FTP host? This is the name of the server that you are going to publish your site to. It might be the same as your domain name, such as www.yourname.com; a name assigned by the service provider, such as inbox.isp.com; or a specific IP address, a series of four numbers separated by periods.

  2. What is your directory? When you log on to your remote host, you automatically begin in the home directory for your log-in account. This might not be the right place to put your site, however. For a variety of reasons, you might need to publish your site in a subdirectory of your home directory.

You must know the relative path from your account’s home directory to the base directory where your site should be stored. When NetObjects Fusion publishes your site and logs on to your service provider, it stores your site’s pages and assets in this base directory. You enter this path statement as the Directory in the Publish Settings dialog.

You can create a new base directory below your initial base directory to publish and test a site without disturbing your existing site. For example, if the base directory is /Sitename/, you can create a new base directory as /Sitename/test/ and then run the site from that base directory to test it.

However, the host and base directory might not look anything like the URL that your site visitors use to access your site. For security and other reasons, hosting services frequently name their host machines and user directories according to their own needs.

If you have your own domain, such as www.mycompany.com, and are logging in directly to the account that owns that domain, you might not need to specify a base directory, because the home directory of that account might be the same location as the base directory.

  3. What is the name and password for your account? You need this information so NetObjects Fusion can log on to the server and publish your site.

  4. What is the preferred name for the default Home page? Your service provider determines what file name the server displays by default for each directory on the server. Most servers are configured to display by default any file named index; others default to home or default. You must match this preferred name in the Advanced Publish Settings dialog for remote server transfer.

  5. What HTML file name extension does your server support? Web page servers typically support .html, .htm, or .shtml as file name extensions. Some service providers map one to the other so the server recognizes all of them; others require you to use a specific one. You must set the Advanced Publish Settings dialog so NetObjects Fusion transfers files with the correct extension. You can also enter a custom extension, if your server supports it.

  6. Is a specific port required for upload? The service provider or hosting service might have designated a specific port on the server that it wants you to use to upload files. If so, you must specify this for NetObjects Fusion. See Setting the Server Port and Permissions.

  7. Does your log-in account have the necessary permissions? Servers use permission configurations to control what you are allowed to do while logged on—whether you can delete files, for example, or create new directories.

In Publish view, you can specify the file and directory structure that you want NetObjects Fusion to create or use for your site by selecting Arrange Files from the Publish menu. Your log-in account— which NetObjects Fusion uses to store the files—must have the server permissions necessary to create the directory structure you defined.

If your service provider does not let you create directories, then you must use the Flat directory structure option to transfer and store your site.

  8. How much server space do you have? Before you publish your site to the Web server, check the size of the generated HTML files on your hard disk. The default location for the files is a folder named User Sites\Sitename\Local Publish. Make sure you include all the subfolders as well. Check that the space allocated on the Web server can accommodate all the files in the Local Publish folder.

  10. Does your server have security systems in place, such as proxies or firewalls? Firewalls and proxy servers can prevent NetObjects Fusion from uploading files properly. See Publishing with Firewalls or Proxy Servers.


Select the Directory Structure

Many ISPs, hosting companies, and Web servers require website files to be arranged in a certain directory structure. NetObjects Fusion supports the three most popular directory structures used by ISPs and Web servers, but you should check with your service provider to determine which structure to use.

If your ISP or Web server has special requirements for a site’s directory structure, you can customize the site directory structure in Publish view. See Customizing Your Site's Directory Structure for information.

When you publish your site to a Web server, you control the directory structure of your files and assets on the server. Setting the directory structure for your site does not change the structure that the site visitor sees, nor does it affect the links between pages and assets. It simply specifies the path names where your pages and assets are stored on the server, and what URL is required to access them. For example, some servers require a one-level structure, with all pages, images, and other assets in the same directory; others let you set up your own directories.

NetObjects Fusion provides three pre-configured directory structures:

  • Flat for servers that require all resources and assets to be in a single directory. Many commercial ISPs and hosting companies require this kind of structure.

  • Asset Type arranges your site contents into folders according to their asset type. This is the default setting in NetObjects Fusion. For example, if your site contains a typical mix of text and media, a structure set by Asset Type arranges your contents into the structure shown below.

  • Site Structure arranges your site contents into a directory arrangement that looks like your site in Site view:

  • Your Home page and its assets are stored in the site’s root directory.

  • Each first-level page is stored in its own folder with its assets.

  • Any child page is stored with its assets in a subfolder beneath the folder that contains its parent page. You determine the maximum number of subfolders by setting the Number of Levels option.

For example, a structure set with the by Site Structure option would have this directory arrangement on the server.

The Site Structure setting creates an efficient file structure, allowing the server to load your pages quickly in a site visitor’s browser. It also provides an effective directory structure for search engines, which might index only one page per folder.

If you apply the Site Structure setting, shared assets are stored in the deepest folder common to all pages that use that asset. This makes the shared access to those assets as efficient as possible.

To set the directory structure for a site:

  1. In Publish view, from the Publish menu, choose Arrange Files.

  2. Choose by Site Structure, by Asset Type, or by Flat.

If you want to customize the structure, select the option that produces the structure similar to the one you’ll create. See Customizing Your Site's Directory Structure.

If you choose Site Structure, a dialog appears so you can set the number of levels of subdirectories for your site. If Site Structure is already selected, choose it again to see this dialog and set the levels.

Click the up and down arrows in the dialog to set the number of levels. Click OK.

  1. If you customized the directory structure, but want to reset it to one of the menu options, choose Clear All Customizations. The directory structure is reset to the option currently selected on the Arrange Files menu.

NetObjects Fusion removes custom folders and changes all customized asset names back to the original names.

  2. Click Yes to accept the new structure.

The directory structure is revised and displayed in Publish view.


Define Server Profiles

Each Web server has a name and a set of properties that define the connection settings NetObjects Fusion uses to publish your site to that location and server. You can select a server or set its properties any time before you publish. The publish profile is stored in the Sitename.nod file.

NetObjects Fusion includes one default server profile, Local Publish, which is your local hard disk in the My Computer\Drive\NetObjects Fusion\User Sites\Sitename\Local Publish directory. See Setting Up to Publish Locally to modify the settings for publishing to your local hard disk.

You can modify the default profile, create your own, or delete unneeded profiles. You can also create a global copy of a profile, which makes the profile available across different sites.

The information needed to connect to a remote server is specific to your server. Contact your ISP, hosting company, or Web server administrator for the precise information to enter in these fields. For guidance on the questions you need to ask, see Publish Profile Checklist.

To define a remote server profile:

  1. In Publish view, click Publish Settings on the views bar.

The Publish Settings dialog appears. It is the same dialog you used to set up your local publish profile.

  1. Click New.

  2. A new profile will appear in the list box.

  3. Select one of the following server types:

  • FTP (File Transfer Protocol). Protocol that allows users to transfer files from one computer to another over the Internet.

  • SFTP (Secure File Transfer Protocol). Secure version of the FTP protocol. SFTP uses SSL to encrypt the entire user session, thereby protecting the contents of the files and the user’s login name and password from outside sources.

  • WebDAV. Set of extensions to the HTTP protocol which allows users to collaboratively edit and manage files on remote web servers.

Although many ISPs and hosting companies use a single server to receive FTP files and provide Web hosting, the service you use may have separate servers for receiving FTP files and Web hosting. Select the FTP server to receive your transferred files. Check with your ISP administrator for the correct server to select to receive your files.

  4. Enter a name that identifies the server in the Profile Name box, or use the default name.

  5. Enter information in each field in the Attributes section.

  • Server is the name or IP number you use to connect to the remote server. This can be your site’s domain name, the name of an intranet server, or the name of your ISP’s server. Confirm this information with your ISP administrator or server administrator.

  • Directory is the location on the remote server where your site’s HTML files are stored.

Leave this field blank if your site’s Home page should be stored in the home directory of the user ID or server account that you use to transfer your site to a remote server.

If you want your site’s Home page to be stored in a different directory than the home directory, enter the path to the Home page here, such as /public_html/user.

For more information about the directory setting, see Publish Profile Checklist

  • User name is the name you use to log on to the remote server so you can transfer files to it.

  • Password is the password that authorizes you to access the server. To publish to the remote server, you need server permissions for adding files and creating directories. If you do not enter a password in this box, a dialog appears when you publish the site. You enter the password in that dialog. You can also select an option for NetObjects Fusion to remember your password so you don’t have to manually enter it each time you publish files.

  6. Click Advanced to specify publish Settings.

Advanced options are not available for WebDAV profiles.

  7. Select the options for your site.

  • Home page file name. Index is the default page name recognized by most Web servers. Select Current Page Name to set the Home page to use the same name as in Site view. Select Home or Default to set the page as in Home.html and Default.html.

  • File extension for HTML pages. Select .htm, .html, or .shtml depending on the page extension your browser recognizes. That extension is applied to all HTML files for each page in your site. Click the up and down arrows to see all the options. To add an extension to the list, click the browse button.

Your service provider or hosting company can tell you which extension to use for the Web server.

Make sure you use a page extension that your browser recognizes or it might not display the page properly. If you used the Custom Name dialog in Site view and a file name extension for an individual page, that customized extension overrides the site default for that page. If pages do not seem to publish with the correct extension, custom names that you applied to the pages may be incorrect. Check the names of the affected pages.

  • The Aliases and Advanced S/FTP tabs are for advanced setup options. See Advanced Publishing.

  • To create additional publish profiles, click New and repeat the process.

  • To edit an existing publish profile, select it from the Profile list, make the changes, and click OK.

  • To duplicate an existing publish profile, select it from the Profile list, and click Duplicate.

  • To delete an existing profile, select it from the Profile list, click Remove, and click Yes to confirm deletion.

  8. Click Close.

You’re now ready to publish your site.


Creating a Global Publish Profile

NetObjects Fusion saves publish profiles with the site you are publishing. If you want to use the same profile to publish several different sites, you can create a global copy of the profile, which makes it available to all the sites you build.

To create a global publish profile:

  1. Create a publish profile as described in Define Server Profiles.

  2. In the Publish Settings dialog, click Save as Global Profile.

  3. Click Close.

The publish profile will be available for use for all sites you build.


Publishing Components

If you installed third-party Publish components, you can choose to publish or not publish them. These components generally perform post-publish processing of the generated HTML files.

  1. In Publish view, from the Publish menu, choose Publish Components.

The Publish Setup dialog appears with a list of available components.

NetObjects Fusion 10 does not include Publish components by default, so if you do not install third-party components, such as NetObjects Fusion Connector for Macromedia ColdFusion, this dialog is blank.

  1. Select a component to include it with your site’s HTML files when they are transferred.

  2. Click OK.


Viewing a Server's Contents

Prior to transferring files to the server, you may want to see which files are already on the server and the dates they were modified.

To see a server’s contents:

  1. In Publish view, in the Remote pane, choose the profile associated with the server you want to review and click Connect.

  2. Check the folder and file names and the modified dates to determine which folders and files you want to save or delete before transferring new HTML files to the server.


Transferring Your Site to the Web

To put your site on the Web, you transfer it to your ISP or Web server. When the transfer process is complete, your site is available to the world.

To transfer your site’s HTML files:

  1. From the Publish menu, choose Transfer Files to Server.

The Transfer Files dialog appears.

  1. From the Transfer files from local directory drop-down list, select the name of the local directory where you published and saved the site’s HTML files. This is usually the Local Publish selection for your local hard disk, or an intranet server where you initially generated the HTML files.

  2. From the Transfer files to remote server drop-down list, select the publish profile where you want to transfer the files.

If you need to define a new publish profile before transferring the files, click the pencil icon next to the drop-down lists. The Publish Settings dialog appears.

  3. Click OK.

NetObjects Fusion generates a temporary copy of the site, connects to the remote server using the settings in the publish profile, and uses its internal FTP program to transfer the site’s HTML files and directories to the remote server, using the file and directory structure you specify.

While NetObjects Fusion is transferring the published site to the server, you can select a different view and continue working. You cannot open a different site.

Changes made to the site while it is being transferred are not automatically made in the published version.

When the transfer is complete and your site is in place, open it in your browser and examine the results.

That’s it. Your site is on the Web and available for the world to see.

See Advanced Publishing for more publishing options.


Advanced Publishing

NetObjects Fusion provides a range of advanced features to deal with a variety of Web publishing requirements. For example, some Web servers require special directory structures to host a website. In addition, some complex sites may need additional publishing settings to make the site function properly.

Browse this section for information about:

  • Customizing your site's directory structure

  • Creating aliased folders and setting the cgi-bin directory

  • Setting the server port and permissions

  • Publishing special assets


Customizing Your Site's Directory Structure

Although NetObjects Fusion offers three preconfigured directory structures, you might need to customize your site’s directory structure further. Customizing the site’s directory structure is usually only necessary if your ISP or host server requires a specific structure for websites. You can customize the site’s directory structure in Publish view by renaming, rearranging, or deleting site folders, creating custom folders, or changing the publishing properties for folders, pages, and assets.

A C in the Attributes column of an item in Publish view indicates the item was customized. For example, a directory with a new name or a file moved from one directory to a new directory displays a C in the attributes column.

Customizing your directory structure does not change the appearance, design, or content that your site visitor sees; it only controls how the pages and assets are stored on the server, and the URL to access the site’s interior information.

NetObjects Fusion saves the customized directory structure in the Sitename.nod file so you don’t have to reconfigure the structure each time you generate the site’s HTML files or transfer them to a server.


Creating a Custom Folder

  1. In Publish view, select the folder, page, or asset where you want to add a custom folder, right-click, and select New Folder from the shortcut menu.

NetObjects Fusion adds a custom subfolder named New Folder below the selected folder or file.

  2. Enter a new name for the folder and press Enter or select another object to record the folder name.

  3. Drag other folders or files into the custom folder as needed.


Renaming Folders and Files

  1. In either pane of Publish view, right-click the folder or file and select Rename from the shortcut menu.

  2. Edit the existing object name or enter a new name. Press Enter or select another object to record the new name.

You can rename auto-generated folders and files if they are not locked. NetObjects Fusion auto-generates names of images that you modify in Page view. For example, if you crop an image or set it to be transparent, NetObjects Fusion auto-generates a new name for the altered image. Auto-generated image names are in the format of a_filename.ext where a stands for auto-generated, filename is the name of the original image, and ext is the extension of the image, .gif or .jpg. Auto-generated image names only appear in Publish view.

NetObjects Fusion remembers the new names the next time you generate the HTML files for your site. Any folder or file that you rename is considered customized. If you name a customized folder with a name used by an auto-generated folder, it is still treated as a customized folder.

Aliased folders are also considered customized folders. Publish view displays them in the directory structure, even if they are empty, and tracks their name and location in the event you change them. See Creating Aliased Folders and Setting the CGI-Bin Directory.

By definition you cannot change read-only assets, such as script files and directory files used by NetObjects Fusion Components. NetObjects Fusion ignores attempts to move or rename read-only files. An R attribute and lock symbol in the directory structure indicate a read-only file.


Deleting Folders

  1. In either pane of Publish view, click the folder you want to delete and make sure it is empty. You cannot delete a folder until it is empty, and you cannot delete pages or assets in Publish view.

  2. Right-click the folder and select Delete Folder from the shortcut menu.

NetObjects Fusion deletes the folder.


Rearranging the Directory Structure

In either pane of Publish view, click the folder, page, or asset you want to move and drag it to its new location.

NetObjects Fusion moves the object and updates all references and links to it.

If you move pages, NetObjects Fusion remembers their new locations, but might continue to auto-generate folders needed to contain that page’s assets. Components and their related assets have a black lock image on their icons, signifying that they cannot be renamed or rearranged.


Viewing and Setting Publishing Properties

In addition to their other properties, your site’s folders, pages, and assets have publishing properties that indicate or control the way they are included in your published site.

Three of these publishing properties indicate the publishing status for that folder, page, or asset:

  • Folders, pages, and assets that were renamed or moved from their default location have a customized publication property. Customized assets display a C in the Attributes column in Publish view, and a checkmark in the Customized option in the Attributes section of the Properties dialog. To see the Properties dialog for a customized asset, select the asset in either pane of Publish view and from the Publish menu, choose Properties.

  • Some folders, pages, and assets are marked read-only:

  • Assets created by NetObjects Fusion components, such as Site Mapper.

  • Dependent Java .class files that were added to the site’s assets. When you add a Java object and preview or publish your site, NetObjects Fusion analyzes the object’s .class file to see if it calls for other .class files; if so, those dependent .class files are added as read-only assets.

Read-only assets display an R in the Attributes column in Publish view, and a check in the Read-only option of the Properties dialog.

  • Pages and assets have two published date properties that display the latest publication date in both the Last Remote Publish and Last Local Publish columns of Publish view.

  • If an asset was never published locally or remotely, it displays Never Published in red in the appropriate column, and has a check in the Needs Publishing option of the publication Properties dialog. HTML files always appear in red.

  • If an asset was changed since the last time it was transferred to the server, it displays the Last Published date in red, and has a check in the Needs Publishing option of the publication Properties dialog. If you select Publish changed assets only when you publish this site, the assets with red dates are republished to the server. Pages always appear red because they are always republished unless you specifically choose not to publish a page.

To see the publication properties of a folder, page, or asset listed in Publish view:

  1. Right-click the item.

  2. Select Properties from the shortcut menu.

The Properties dialog for the selected item appears.


Suppressing a Page or Asset from the Published Site

You can also suppress publishing for a selected page or asset by setting its Don’t Publish property. If you set this property, NetObjects Fusion:

  • Overrides the Needs publishing or Publish changed assets setting for this page or asset.

  • Displays a diagonal red slash mark through the page or file icon in Publish view and adds a D to its Attribute column.

  • Publishes the site without that page or asset.

To suppress publishing for a page or asset:

  1. In Publish view, right-click the page or asset and choose Properties from the shortcut menu.

The Properties dialog appears.

  2. Select Don’t publish, then click OK.

NetObjects Fusion displays a red slash through the page or asset icon and suppresses it from the site when published.

To re-enable publishing for a suppressed page or asset, repeat step 1, clear Don’t publish, and click OK.

This Don’t publish command is not the same as the Don’t publish command in Site view. Selecting the Don’t publish command in Site view eliminates the pages and all links to it from the published site. In Publish view, the Don’t publish command does not eliminate the page from the published site. The page is simply not generated again and not recopied to the site. The page and all links to it remain. The images and assets of the page may be republished, but the page will not.


Creating Aliased Folders and Setting the CGI-Bin Directory

Sometimes you need to store certain assets of your site in a location separate from the rest of your site. For example:

  • You can link to programs such as CGI scripts or other executables that have to be placed in a specific CGI directory so they run properly.

  • You can place an order form or other pages in a secure location that requires authorized access, without restricting access to the rest of your site.

  • You can link to images or other assets that are maintained or controlled by others, and stored in a protected location.

You must create a publish profile with server type as FTP to use an alias. This option is not available for local, SFTP, or WebDAV publish profiles.

To do this, you create alias folders, using a process in which you define two locations: the actual physical location on your Web server where you want to transfer the pages or assets, and the URL or logical address that you want NetObjects Fusion to use when referring to that object. On some servers, this is referred to as creating virtual folders.

After the site is transferred to the Web server, you or your server administrator must configure the server to look in the FTP location for assets that are described as being in the URL location. For example, your site might include several stock images from your company’s marketing department, such as the company logo and other approved artwork. When you create your site, you use copies of the artwork that you stored on a local disk. When you transfer your site’s HTML files to the company server, however, you want to use the "official" images that have been approved and maintained by the marketing department.

Check with your server administrator to see if your site contents or remote server configuration requires a CGI directory or other aliases.

To specify the CGI-BIN directory:

  1. In Publish view, click Publish Settings on the views bar.

The Publish Settings dialog appears.

  2. Choose a profile from the Profile list.

  3. Click Advanced publish settings.

The Advanced Publish Settings dialog appears.

  4. Click the Aliases tab.

  5. Enter the FTP path where CGI scripts are stored in the CGI alias field. This establishes an alias to the executable directory on the server where CGI scripts are kept.

To create other aliased folders:

  1. In Publish view, arrange the directory structure for your site the way you want it to appear on your server.

  2. Isolate the pages or assets you want to store in an aliased location into one branch of the directory structure, under a common parent folder. If necessary, create a custom folder for each set of aliased content.

If your site requires more than one alias—such as one alias for secure pages and another alias for protected assets—you can create more than one custom folder.

  1. Drag pages and assets into the appropriate custom folder(s) as needed.

  2. Click Publish Settings on the views bar.

The Publish Settings dialog appears.

  3. Choose a profile from the Select Profile drop-down list.

  4. If necessary, make changes to that profile.

  5. Position the Publish Settings dialog so you have a clear view of the Contents of directory pane in Publish view. Refer to the directory structure to make sure you type the URL to your custom folder correctly.

  6. Click Advanced publish settings and then click the Aliases tab.

  7. To add a new alias, click the New Alias button. To edit an existing alias, select it from the list, then click the Edit Alias button.

The New Alias (or Edit Alias) dialog appears.

  8. Enter the absolute or relative path from your site’s root folder to the custom folder containing the aliased pages and assets as the URL Path.

Refer to the directory panel as needed to enter the path exactly as it appears, including the use of uppercase and lowercase names and spaces. For example, if you create a custom folder called Companypix and place it under your Assets folder, the URL Path would be./Companypix.

  9. Enter the FTP path that you want to use to actually store that folder and its contents. This FTP location must be on the same server as the rest of the site because your publish profile only logs onto one server at a time.

  10. Click OK.

  11. To add additional aliases, click New Alias again and repeat the process.

When you publish your site, NetObjects Fusion keeps all links and references to your aliased content pointing toward the URL path, but actually stores the pages and assets in the FTP location you specified.

The server must be configured to support this alias. This is a system administrator task outside of NetObjects Fusion, so you or your server administrator must define the alias on the server.


Setting the Server Port and Permissions

Depending on your Web server configuration, you might need to set specific permissions or a specific port so your Web server software can access your site’s HTML files. Setting permissions might override the default permissions normally set by NetObjects Fusion. The permission settings only apply to FTP servers that support the CHMOD command. Windows IIS servers do not support the CHMOD command, therefore to change the permissions on a Windows IIS server, see your server administrator.

To set the server port and permissions:

  1. In Publish view, click Publish Settings on the views bar.

The Publish Settings dialog appears.

  2. Choose a profile from the Select Profile drop-down list.

  3. Click Advanced publish settings and then click the Advanced S/FTP tab.

  4. Select options for the Advanced S/FTP settings:

  • Server port is the port from which your server accepts S/FTP connections. By default the port setting is 21, which is the most common ISP setting. However, some security systems or other server configurations may require a different setting. Check with your ISP administrator for the proper server port setting.

  • Default Permissions applies to servers that support the CHMOD FTP command, which covers read, write, and execute permissions. By default, this setting is 0 (zero), which corresponds to no permissions. Check with your ISP administrator or server administrator to see if the server supports the CHMOD command and, if it does, which setting you need. Note that the setting applies to all files and folders uploaded to the server. You cannot set some files or folders to one set of permissions and others to different permissions.

  • Connect passive mode is for publishing to servers not within your company’s firewall, or if your ISP or host company’s FTP manager establishes connections using passive mode. Passive mode (or PASV) is a security mode in which a client sends a connect signal for data, the server replies with a confirmation signal, and then the data begins uploading. This allows the server to confirm the identity of the client that is connecting before data begins uploading. Although some firewalls allow PASV as a security mode, others may not be configured for PASV. In that case, publishing will not work. Typically, NetObjects Fusion cannot publish through firewalls or proxies. If a message tells you that NetObjects Fusion cannot connect to the server, the problem is usually a firewall preventing you from logging on. Also, in some cases of publishing to a proxy server, the publishing process appears to succeed but the files do not appear on your site.

  5. Click OK.


Publishing with Firewalls or Proxy Servers

If you develop sites behind a firewall and need to publish to a remote server that is outside the firewall, you might be able use FTP passive mode to connect to the server.

  1. In Publish view, click Publish Settings on the views bar.

  2. Choose a profile from the Select Profile drop-down list.

  3. Click Advanced publish settings and then click the Advanced FTP tab.

  4. Select Connect passive mode.

  5. Click Close.

If the reverse is true and your remote server is behind a firewall or stored on a proxy server, NetObjects Fusion cannot publish directly to the server. If that’s the case, follow these steps:

  1. Publish your site to a local folder other than the \Sitename\Preview folder of your site. Use whatever directory structure and HTML output method you would normally use. The default setting, Local Publish, publishes to the folder \Sitename\Local Publish.

  2. Consult with your server administrator for the preferred method of transferring content to the remote server. Potential methods include:

  • Transferring the entire directory structure of the local site to a holding location on an unprotected server, so an authorized administrator can then transfer the site to the protected location.

  • Using an FTP application such as WS-FTP or other means of access authorized by the server administrator to transfer the entire directory structure of the local site to the protected server.

  • Installing Personal Web Server (PWS) and remotely publishing to it. Then you send the site’s files via FTP from PWS to the server.

Whichever method you use, be sure to transfer all files and to duplicate the local folder structure precisely.


Publishing Special Assets

When you transfer your site to the Web server, NetObjects Fusion transfers the entire site to the designated location, including special assets you tell it to manage. These special assets include things like Java classes, images and assets contained on external HTML pages, and CGI scripts. The list of managed assets included in your published site is displayed in Assets view.

When you transfer the site’s files to the Web server, you can use any of three methods to ensure that the special assets are included in your site’s managed assets.

  • Include the assets when you add the object that refers to them. For example:

  • If you reference external HTML pages using the External HTML tool, NetObjects Fusion analyzes the external pages and, if it finds assets in the external pages, includes those assets in Assets view.

  • If you add Java objects to your pages using the Java tool, NetObjects Fusion analyzes their .class files and adds other .class files referenced there. If you listed additional files on the Java Properties panel, NetObjects Fusion includes them as managed assets. See Inserting a Java Applet or Servlet.

  • You can reference an asset in a file link and NetObjects Fusion manages and publishes the asset. See Creating a File Link.

  • You can explicitly add any special asset to Assets view and select Always publish file to ensure that NetObjects Fusion manages and publishes the asset. If you select Always publish file and do not move the file in Publish view, and then only publish a section of the site, NetObjects Fusion places this asset at the root of the site. See Adding a File Asset.


Managing Script Assets

NetObjects Fusion does not analyze custom scripts that you add to pages, MasterBorders, or other objects. If those scripts reference special assets, they are not automatically included in the site’s managed assets. To have NetObjects Fusion manage and publish assets called in custom scripts, you must create file links to those assets, or explicitly add them to Assets view.

When you add the file asset, select Always publish file to ensure that the asset is marked In Use. After publishing the first time, you can clear this setting if you only publish changed assets.

Scripts have very specific calls to those files, generally ./imagename.gif, image.gif, or images/imagename.gif for images and cgi-bin/form.cgi, complete http path to form.cgi, or ./form.cgi for .exe files.

  • When you add an asset, and the directory structure is set to by Asset Type, the added asset is always added to the assets\images folder.

  • If you add an asset and the directory structure is set to by Site Section, the added asset is always placed in the root if it is an image, or in the existing cgi-bin if it is an .exe.

  • If the directory structure is set to by Flat, the asset is added to the root.

Be sure to move the added asset to the correct location in Publish view so the file is published to the correct location on the server.


Using the Content Management Features

NetObjects Fusion’s Content Management features provide Web designers the ability to lock objects in place while they design, protect objects when collaborating with other designers, and work seamlessly with NetObjects nPower to offer clients and designers a solution that protects the integrity of the site design.

Browse this section for information about:

Protecting an object

Protecting a layout

Protecting MasterBorders

Protecting a page

Protecting a site

Editing protected objects


Protecting an Object

You can prevent objects on a site from being altered by protecting specific attributes, such as an object’s content, size, and position.

To protect an object:

  1. Right-click on the object and select the Protection option from the shortcut menu.

When you right-click an object, the shortcut menu will display a protection option specific to the object. For example, you would choose Picture Protection from the shortcut menu to set protection options for an image and Text Protection to set protection options for text.

The Protection dialog appears.

  2. In the Protect from field, select options to prevent the object’s content (e.g., table cells, text, images) from being changed. You can also prevent the object from being deleted or copied elsewhere on the site.

  • In the Protect Size field, you can retain the object’s current height, width, and aspect ratio by selecting the corresponding check boxes.

  • Lock an object’s horizontal and vertical position on the page by selecting the appropriate check boxes in the Protect Position field.

  3. Click All to select all protection options, or clear all selected check boxes by clicking None.

  4. Click OK.


Protecting a Layout

When a Layout is protected, it cannot be resized, and new content cannot be added.

  1. In Page view, select a Layout from the Layout drop-down list.

The General section of the Layout Properties panel appears.

  2. Click the Protect Layout from editing check box in the Layout Properties panel.

  3. To allow text in a Layout to be modified, select the Allow text editing in Layout check box.


Protecting a MasterBorder

You can protect any MasterBorder on a site so that it is not editable.

  1. In Page view, click in the MasterBorder to display the MasterBorder Properties panel.

  2. Select the MasterBorder you want to protect from the Name drop-down menu.

  3. Click the Protect MasterBorder from editing check box.

  4. To allow MasterBorder text to be modified, select the Allow text editing in MasterBorder check box.


Protecting a Page

You can set Protection Options for an entire page of a website so that protected elements cannot be altered.

  1. In Site View, select the page or pages to which you want to apply protection options.

The Page Properties panel appears.

  2. Click the Protection Options button of the Page Properties panel.

  3. In the Protect Page field, select the page protection properties.

  • From deletion prevents the page from being deleted.

  • From copying restricts the page from being copied and pasted elsewhere on the site.

  • From move locks the page’s position in the SiteStructure.

  • From adding child page prevents new pages from being created under the parent page.

  1. In the Protect Page Content field, set the protection options for the page content.

  • Protect layout from editing prevents a user from resizing or adding new content to the layout.

  • Allow text editing in layout permits text editing within a protected layout.

  • Protect MasterBorder from editing prevents the MasterBorder from being changed, resized, or edited.

  • Allow text editing in a MasterBorder allows text in a protected MasterBorder to be edited.

  • Inherit Protection Options from parent applies the Protection Options of the parent page to the selected child page.


Protecting a Site

You can apply Protection Options to an entire site so that protected elements cannot be edited on any page of the site.

  1. In Site View, select Options>Current Site from the Tools menu.

The Current Site Options dialog appears.

  2. Click the Site Protection tab.

  3. In the Protect Page field, select the site protection properties.

  • From deletion prevents all site pages from being deleted.

  • From copying restricts all pages from being copied and pasted elsewhere on the site.

  • From moving locks the position of all pages in the SiteStructure.

  • From adding child pages prevents new pages from being created under any parent page.

  1. In the Protect Page Content field, set the protection options for the page content.

  • Protect layout from editing prevents a user from resizing or adding new content to all page layouts.

  • Allow text editing in layout permits text editing within protected layouts.

  • Protect MasterBorder from editing prevents all MasterBorders from being changed, resized, or edited.

  • Allow text editing in a MasterBorder allows text in all protected MasterBorders to be edited.

  • Inherit Protection Options from parent applies the Protection Options of each parent page to their respective child page.

  • Restrict new image file sizes to allows you to specify a maximum allowable size for each image on the site.

  4. Click OK to apply the site-wide Protection Options.


Editing Protected Objects

If you have set Protection Options for several elements throughout your site, you can easily suspend those Protection Options so that you can continue to modify your site without having to remove and restore each Protection Option individually.

  1. To suspend Protection Options on a site, select Application>Options from the Tools menu.

The Application Options dialog appears.

  2. Select the Edit Locked Options check box.

  3. Click OK to suspend the Protection Options.

Applying this option allows you to edit your website while the protection options are still applied in the background.


Using the Site Versions Manager

When you work collaboratively with clients who use NetObjects nPower to modify their NetObjects Fusion built sites, version-control features can be helpful in the design, development, and maintenance of those sites. With NetObjects Fusion's Versions Manager, you can easily restore a site’s former content after it has been modified. The Versions Manager gives you the flexibility to allow your clients to make changes to their sites using NetObjects nPower without worry of losing the site or having to re-create its content.

Browse this section for information about:

  • Setting Versioning options

  • Creating a site version without publishing

  • Creating a site version while publishing

  • Restoring a previous version of a site

  • Removing a version from the Versions Manager

  • Exporting connection credentials for nPower clients


Understanding Versioning

With NetObjects Fusion’s Versions Manager, you can store site versions in template form, in a remote location, with a few simple clicks.

Before you can store site versions in the Versions Manager, you must specify versioning settings such as the publish profile to be used for storing site versions as well as the path for the versions Repository.


Setting Versioning Options

To set versioning options:

  1. From the Tools menu, choose Options>Current Site and click the Versioning tab.

  • Publish Profile used to store site versions. Select a Publish Profile for storing site versions.

  • Repository Path. Enter the path where site versions will be stored in the selected Publish Profile.

Note: The versioning repository contains sensitive information. For security purposes, the repository path should not be accessible for browsing over the Internet.

  • Alert me when the site versions exceed. Enter a maximum value (in megabytes) of server space to be allocated for site versions. You will be prompted to remove unneeded site versions when you exceed the amount of server space specified.

  • Total number of site versions. Specify a maximum number of versions that can be stored in the Versions Manager. You will be prompted to delete previous versions when you have exceeded the maximum number of versions allowed.

  • Naming convention. Choose a preferred naming convention for site versions. Site versions will be named using either the site name and version number or the site name and date the version was created, depending on which option you choose.

  • Backup location. Choose a location on your local hard disk to store backups of site files.

  • Total size of backups. Enter a maximum value (in megabytes) of hard disk space to be allocated for site version backups. You will be prompted to remove previous backups when you exceed this value.

  • Total number of backups. Specify a maximum number of backups that can be stored on the local hard disk. You will be prompted to delete previous backups when you have exceeded the maximum number of backups allowed.

  2. Click OK.


Creating a Site Version while Publishing

To create a site version while publishing:

  1. Click Publish Site on the views bar.

  2. The Publish Site dialog box appears.

  3. In the Publish files to drop-down menu, select the Remote Publish profile to which you want to publish your site.

  4. Choose to publish the entire site or individual pages in the Pages to publish field.

  5. To publish only those assets that have changed, check the Publish changed assets only check box.

  6. Click the Check in the current document to the versioning system check box.

  7. Click the Advanced button to enter version information, such as a name, author, and description, and then click OK.

  8. Click Publish to publish the site and create a site version in the Versions Manager.


Creating a Site Version without Publishing

To create a site version without publishing:

  1. After setting up a Remote Publish profile, in Page View, from the File menu, select Versions Manager.
    The Versions Manager dialog appears.

  2. Click New.

  3. In the Details fieldset, enter information, such as the version name, author, and description, that will help you identify the specific version should you need to restore it.

  4. Click OK to create the site version.

  5. A version of your website is transported to your Web server and checked in to the appropriate directory.


Restoring a Site Version

To restore a site version:

  1. Choose Versions Manager from the File menu.

  2. The Versions Manager dialog appears.

  3. Click the name of the version you want to restore from the Version Name list.

  4. Click Rollback.

NetObjects Fusion retrieves a working copy of the site from the versions repository, and opens the site for editing so that you can review the site and make any needed changes.

  5. When you have finished editing the site and are pleased with the results, follow the steps for Publishing Your Site to restore the selected version.


Removing a Site Version

To remove a site version from the Version Manager:

  1. Choose Versions Manager from the File menu.

The Versions Manager dialog appears.

  2. Click the name of the version you want to remove in the Version Name list.

  3. Click Remove to delete the selected version.

This action cannot be undone.


Exporting Connection Credentials

When you create a site version in the Version Manager, NetObjects Fusion automatically creates a connection credentials file (.nfc file) that NetObjects nPower clients will use to open their sites. When NetObjects nPower clients open the .nfc file, they are connected to the Versions Manager, from which they will check out a working copy of their site. The site will be marked "in use" while the NetObjects nPower client is working on it. The .nfc file also contains the site's publish profile settings so that NetObjects nPower users can easily publish their changes to the Web without having to enter publish settings.

  1. To export an .nfc file, choose Versions Manager from the File menu.

The Versions Manager dialog appears.

  2. Click the name of the Version you want to export from the Version Name list.

  3. Click Export Connection.

The Save As dialog appears.

  4. In the Save in drop-down, select a location on your hard disk in which to save the .nfc file.

  5. Enter a name for the .nfc file in the File name field.

  6. Click Save to save the file to the location you specified.

You can retrieve the .nfc file and distribute it to your clients who use NetObjects nPower.

When NetObjects nPower users open the .nfc file, they will be connected to the Versions Manager repository from which they will retrieve their website for editing.


About the Output Panel

The Output panel is a tool that monitors the product's performance and task orientation, and displays the end result of a processing task. Using the Output panel, you can track back the history of operations when building NetObjects Fusion websites, or track particular types of actions as they occur, thereby monitoring the application’s efficiency.

The Output panel displays status messages for the process of various features, during the creation of your website. These include errors that occur when you open, generate, publish, or export the site.


The Output Messages

The Output panel displays messages during the following:

  • Opening Site: The Output panel displays several messages informing you of the actions taken when the site is opened. If any errors occur during this process they will be listed here.

  • Generating Site: The Output panel displays information related to the site generation process. This information includes the page creation, file copying, and publishing procedures.

  • Optimizing Site. Optimization is the process of fine-tuning your site for use on the Web. The Output panel will display status messages about the optimization process by displaying the actions that occur. The list of messages is widely expanded, and contains information not only about the changed files, backup files, styles list (or the imported style), the SSF, and XML files and content, but also about the created site tree and the assets directory.

  • Exporting Site. The messages displayed for exporting a site inform you of a successful or unsuccessful export. Any errors received during this process will be outlined here.

  • Inserting Template. The Output panel displays information related to the steps required when inserting a template, when the version of the template is checked for compatibility, and if the insertion of the template was successful.

  • Verifying Assets. The Output panel also displays information related to the verifying assets process, letting you know when the process starts and ends, or if the verification of all assets is aborted or if it succeeds.

  • Removing unused Assets. The Output panel displays messages related to the deletion of unused assets, such as: "Deleting all unused assets...", "Delete All Unused File Assets", "Deleting all unused assets aborted", "Deleting all unused assets has been completed", "No assets were deleted", and so forth.

  • Spell Check. The Output panel displays messages on the spell-checking process. The messages informs you if any mistakes are present in the selection, page, or entire site, and if any words have been replaced by new ones.


Using the Output Panel

The Output panel can be docked, auto-hidden, resized, or grouped with other panels. See "Working with Panels.

To display the Output panel:

  1. In Page view, select View menu>More panels.

  2. Select the Output option.

When in Site View, and Style View, select the Output option from the View menu.

To view the messages for a previous process, select from the process options in the corresponding drop-down list.

Right click on the Output panel to:

  • Copy the output messages to the clipboard.

  • Clear the output messages from the last process that occurred.

  • Clear all output messages from all the processes that occurred.

  • Refresh the displayed information.

To close the panel:

  • Select the View menu > More panels and deselect the Output option.

  • Or, you can click the Close button of the panel.


Navigation Within All Views

To | Click…or | Press
Go to Online view | Online view | Ctrl+1
Go to Site view | Site view | Ctrl+2
Go to Page view | Page view | Ctrl+3
Go to Style view | Style view | Ctrl+4
Go to Assets view | Assets view | Ctrl+5
Go to Publish view | Publish view | Ctrl+6
Preview the site in the browser | Preview Site | Alt+P
Toggle preview preference | Preview Site | Ctrl+Preview button, or Alt+Ctrl+P

To | Press
Create a new blank site | Ctrl+Shift+N
Open a site | Ctrl+O
Save a site | Ctrl+S
Save a site as | Ctrl+Shift+S
Exit | Alt+F4


Page View Shortcuts

Page view

To | Click... or | Press
Go to Page Design |  |
Go to HTML Source |  |
Go to Page Preview |  |
Navigate between pages: |  |
Next page |  | Ctrl+Right arrow key
Previous page |  | Ctrl+Left arrow key
Parent |  | Ctrl+Up arrow key
First child |  | Ctrl+Down arrow key
Show/Hide Site Navigation panel |  | F2
Show/Hide Properties panel |  | F3
Show/Hide Object Tree panel |  | F4
Select multiple elements | and drag Selection tool | Shift+Click
Deselect multiple elements | anywhere outside set | Shift+Click
Choose an available layout | and select from list
Create an additional layout | and choose Add
Delete, add or move between stacked pages |
Create a new page | New Page | Ctrl+N
Preview the site in the browser | Preview Site |
Publish the site | Publish Site |


More Page View Shortcuts

Page view

To | Press
Select all | Ctrl+A
Select Layout properties | F9
Select MasterBorder properties | F10
Select Page properties, Page tab | F11
Select Page properties, View tab | F12
Select next object | Tab
Select previous object | Shift+Tab
Hide an object | Ctrl+H
Show all objects | Ctrl+Shift+A
Size Layout to objects | Ctrl+Shift+L
Size MasterBorder to objects | Ctrl+Shift+M
Show/Hide rulers + guides | Ctrl+U
Show/Hide grid | Ctrl+D
Snap to guides | Ctrl+Shift+U
Snap to grid | Ctrl+Shift+D
Undo | Ctrl+Z
Redo | Ctrl+Y
Minimize/maximize panel | Double-click panel title bar
Use Sticky Tools | Double-click the tool
Follow a link | Ctrl+Shift+K
Nudge an element | Use Arrow keys
Nudge an element by 10 pixels | Shift+Arrow keys
Duplicate an element | Hold Ctrl + drag


Page View Image Properties

Page view

To | Do This
Resize an image | Click and drag handle with Properties setting = Stretch
Crop an image | Click and drag handle with Properties setting = Normal
Tile an image | Click and drag handle with Properties setting =Tile
Copy an image | Hold Ctrl + drag
Replace an image | Double-click image
Restore image to original size | Press Ctrl+Shift+I
Constrain image properties | Hold Ctrl + drag lower right handle
Move an image over a container | Hold Alt + drag


Page View Text Editing

Page view

To | Do This
Select a character | Click and drag
Select a word | Click the word twice
Select a paragraph | Click the paragraph three times
Select a block of text | Shift and click endpoint
Insert a paragraph break (double space) | Press Enter
Insert a line break (single break) | Press Shift+Enter
Link text | Press Ctrl+K
Remove a link | Select linked text, press Ctrl+K and click Unlink
Insert HTML | Press Ctrl+T
Bold selected text | Press Ctrl+B
Italicize selected text | Press Ctrl+I
Indent text | Tab
Unindent text | Shift+Tab
Find | Press Ctrl+F
Replace | Press Ctrl+J
Spell Check | Press F7
Use spell check suggestion | Double-click suggestion


Page View Object Icons

Page view

A Link icon; the object has an associated link

An Anchor icon; the object has an anchor point, to which you can link

An HTML icon; the object has associated HTML or scripts

An HTML tag icon; the text has an HTML tag inserted at this point

An error condition indicator icon; indicates an error has occurred (e.g.,overlap)

An embedded object indicator icon; indicates an object’s insertion point

An Action icon; indicates an action is associated with the object

A Lock icon indicates protection options have been applied to the object, page, or site


Page View Labels

Page view

The MasterBorder area of a page

The Layout area of a page

An AutoFrames area of a page

A Layout Region on a page


Site View Shortcuts

Page view

To | Click... or | Press
Open a page | Double-click | Ctrl+2
Add a page | New Page | Ctrl+N
Preview the site in a browser | Preview Site |
Publish the site | Publish Site |
Go to Structure view |  |
Go to Outline view |  |
Edit a page name |  | Enter
Edit next page name in same level |  | Tab
Delete a selected page |  | Delete
Minimize/maximize panel |  | Double-click title bar


Style View Shortcuts

Style view

To | Click…or | Press
Set a selected SiteStyle | Set Style |
Go to the Graphic tab |  |
Go to the Selectors tab |  |
Go to the CSS Code tab |  |
Create a new SiteStyle | New Style | Ctrl+N
Edit a graphical element | Double-click it |
Get help on a style element |  | Select it and press F1


Assets View Shortcuts

Assets view

To | Click…or | Press
View list of files |  |
View list of links |  |
View list of objects |  |
View list of variables |  |
Create a new asset | New Asset | Ctrl+N


Publish View Shortcuts

Publish view

To | Click…or | Press
Configure publish profiles | Publish Settings |
Publish the site | Publish Site |
Preview the site in a browser | Preview Site | Ctrl+N


.topic 0x51499
 Select this option to create a new blank site. In the New Blank Site dialog, enter a name and select a location for the new site. A folder containing the new site is created. The new site includes basic navigational objects such as a banner and navigation bar.

.topic 0x5149f
 Welcome to NetObjects Fusion® 10, the premier tool for building websites! As you’ll soon find out, NetObjects Fusion 10 gives you unprecedented power to design, publish and manage professional dynamic sites. If you’ve used NetObjects Fusion before, you’ll be excited about the hundreds of improvements, additions and features, those most requested by you!
 To find out more about NetObjects Fusion 10, consult Building Business websites and the User Guide. For online documentation, select Help Topics from the Help menu.

.topic 0x5149b
 Select this option to create a site based on the NetObjects blank site template. You can create your own templates by saving a website as an .nft file and import it into a new or existing site. A template is a pre-designed site that you can base new sites on or import into existing sites.

.topic 0x5149e
 Select this option to open an existing NetObjects Fusion site. Click the Browse button to locate the NetObjects Fusion site file (.nod). The most recently used file is displayed by default.

.topic 0x5149d
 Displays the most recently opened NetObjects Fusion site file. If the radio button on the left is selected, this site is opened when you click OK. Click the Browse button to locate another NetObjects Fusion site file (.nod).

.topic 0x51497
 Launches a standard Open dialog, where you can locate a NetObjects Fusion site file (.nod file.)

.topic 0x102f9
 Rulers and Guides. Rulers can be turned on and off from the View menu. The ruler measurement is based on settings in the Preference dialog. Click inside the ruler area to create horizontal or vertical guides, which help in the orderly placement of objects. You can turn on snapping to guides from the View menu. To remove guides, drag the triangular guide marker above or to the left of the ruler. Drag the gray ruler markers to change margin sizes.

.topic 0x102f7
 MasterBorder. A page consists of the Layout and MasterBorder areas. The MasterBorder is an area whose content repeats across all pages that share the same MasterBorder. The Layout area contains the unique content of the page.
 On the MasterBorder Properties panel, which appears if you click in the MasterBorder, you can assign different or zero MasterBorders to the page; you can resize MasterBorders; and you can convert MasterBorders to frames. See the Frame Properties panel by clicking directly on the frame labels.
 Changes made to a MasterBorder on a page are reflected on all pages that use the same MasterBorder. Some dynamically generated objects, such as banners and navigation bars, appear differently on each page to reflect the site’s structure.

.topic 0x102f6
 Layout. A page consists of the Layout and MasterBorder areas. The Layout area contains the unique content of a page. The MasterBorder area is shared by multiple pages.
 On the Layout Properties panel, which appears if you click in the Layout, you can set options that apply to the Layout, such as size, background, background sound, HTML generation preferences, and more. You can also resize the layout by clicking on its gray markers in the ruler. Set its MasterBorder by clicking in the MasterBorder and then selecting another MasterBorder on the MasterBorder Properties panel. You can add alternate Layouts by clicking the drop-down list at the lower left corner of the window.

.topic 0
 Page Icon. This icon represents the page. Click this icon to see the Page tab of the Properties panel; drag it to change the site’s structure; double-click it to edit the page in Page view; right-click it to view a shortcut menu with applicable commands.
 Stacked page Icon. A page icon with a layered lower edge indicates a stacked page, which contains multiple pages of the same design. Each page displays the information from one record of a data object.
 Section. Select a section of pages by pressing the Shift key and clicking a page icon. All of the page’s children (and their successive children) are selected. You can then apply attributes to all the selected pages on the Selected Pages tab of the Properties panel.
 Selected Pages. By pressing the Shift key and clicking several page icons in Structure view, you can apply attributes to all the selected pages on the Selected Pages tab of the Properties panel.

.topic 0
 Object Tree. This panel displays a hierarchical view of all objects and containers found on the page. The name or IDs of objects can be can be modified in the Actions tab of a selected object. Object names are necessary to set up dynamic actions. Many objects, such as Layout Regions, text boxes or tables, can be containers for other objects. You can select objects directly from this panel and the object becomes selected on the page. Change object front-to-back arrangement by dragging objects up or down the tree. You can select hidden objects on the Object Tree, which are displayed with gray icons.

.topic 0
 Warning
 Because of browser incompatibilities and the varied complexity of dynamic pages, you might experience inconsistencies when viewing actions in different browsers. For more information, click this icon to see the Problems with Actions section of Help topics.

.topic 0x60002
 Rectangle. You can adjust properties for this Rectangle on the Properties panel.

.topic 0x60003
 Rounded Rectangle. You can adjust properties for this Rounded Rectangle on the Properties panel. To vary the curve of a rounded rectangle, place the pointer over the inside corner handle until it changes to a crosshatch icon, then drag toward the inside or outside until you have the desired curve.

.topic 0x60004
 HR Rule. You can adjust properties for this HR Rule object on the Properties panel. The HR Rule uses the Horizontal Rule HTML tag <HR>.

.topic 0x60005
 Ellipse. You can adjust properties for this Ellipse on the Properties panel.

.topic 0x60006
 Text. You can adjust properties for this text box on the Properties panel. To edit the text inside the box, double-click inside the text box. When you are in text edit mode you can format selected text with options on the Format tab on the Properties panel. A text box can be a container for pictures or other objects.

.topic 0x60007
 Picture or NetObjects Component. You can adjust properties for this Picture or NetObjects Component on the Properties panel. In some cases, this picture might be a placeholder for a component or other object. Double-click this picture to select a new image file for this object.

.topic 0x60008
 Polygon. You can adjust properties for this Polygon on the Properties panel.

.topic 0x6000a
 Java Applet or NetObjects Component. You can adjust properties for this Java Applet or NetObjects Component on the Properties panel.

.topic 0x6000b
 Data List. You can adjust properties for this data list on the Properties panel. Select the data list and click Define on the Properties panel to open the Data Publishing dialog for this data list.

.topic 0x6000d
 Forms Button. You can adjust properties for this Button form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x6000e
 Forms Radio Button. You can adjust properties for this Radio Button form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x6000f
 Forms check box. You can adjust properties for this check box form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60010
 Forms Edit Field. You can adjust properties for this Edit Field form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60012
 Forms Combo Box. You can adjust properties for this Combo Box form object on the Properties panel. Adjust settings from the properties tabs. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout Region, text box, table cell, or table.

.topic 0x60013
 Forms Button. You can adjust properties for this Button form object on the Properties panel. Adjust settings from the properties tabs. Form objects must be placed within a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60017
 Picture. HID_panel_GRAPHIC.

.topic 0x60018
 Rectangle Hotspot. You can adjust properties for this Rectangle Hotspot on the Properties panel. You can modify its link target by clicking the Link button. Hotspots are represented as children of picture objects in the Object Tree panel.

.topic 0x60019
 Polygon Hotspot. You can adjust properties for this Polygon Hotspot on the Properties panel. You can modify its link target by clicking the Link button. Hotspots are represented as children of picture objects in the Object Tree panel.

.topic 0x6001a
 Circle Hotspot. You can adjust properties for this Circle Hotspot on the Properties panel. You can modify its link target by clicking the Link button. Hotspots are represented as children of picture objects in the Object Tree panel.

.topic 0x6001b
 Background Color Selector. Use the Background Properties panel to modify attributes of this object.

.topic 0x6001c
 Shockwave. You can adjust properties for this Shockwave object on the Properties panel.

.topic 0x6001d
 Sound. You can adjust properties for this Sound object on the Properties panel.

.topic 0x6001e
 Video. You can adjust properties for this Video object on the Properties panel.

.topic 0x6001f
 ActiveX Control. You can adjust properties for this ActiveX Control on the Properties panel. Use the settings on the General tab to modify the ActiveX control’s parameters or click the Properties button to open the external Properties dialog for the selected control.

.topic 0x60020
 Forms Multi-Line. You can adjust properties for this Multi-Line form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60021
 Line. You can adjust properties for this Draw Line on the Properties panel. To change the line width manually, click and drag the center portion.

.topic 0x60022
 NetObjects Component. You can adjust properties for this Java Applet or NetObjects Component on the Properties panel.

.topic 0x60023
 HID_panel_ImageText

.topic 0x60024
 Navigation Bar. You can adjust properties for this Navigation Bar on the Properties panel.  Click the Options button on the General tab to open the Nav Bar Display dialog, where you can modify navigation and display settings. Navigation bar images and text styles are defined in Style view.
 Navigation bars are auto-generated objects that automatically update button text and button links as the site’s structure is modified. Button titles are based on page names but they can also be set in the Custom Names dialog. Navigation bars contain navigation buttons, which can be individually customized.

.topic 0x60025
 Banner. You can adjust properties for this Banner on the Properties panel. Banner images and text styles are defined in Style view. Banners are auto-generated objects that automatically update as pages are renamed. Banner names are based on page names but they can also be set in the Custom Names dialog.

.topic 0x60027
 Vertical Banner. You can adjust properties for this Banner on the Properties panel. Banner images and text styles are defined in Style view. Banners are auto-generated objects that automatically update as pages are renamed. Banner names are based on page names but they can also be set in the Custom Names dialog.

.topic 0x60026
 Vertical Navigation Bar. You can adjust properties for this Navigation Bar on the Properties panel. Click the Options button on the General tab to open the Nav Bar Display dialog, where you can modify navigation and display settings. Navigation bar images and text styles are defined in Style view.
 Navigation bars are auto-generated objects that automatically update button text and button links as the site’s structure is modified. Button titles are based on page names but they can also be set in the Custom Names dialog. Navigation bars contain navigation buttons, which can be individually customized.

.topic 0x60028
 HID_panel_BBSComp

.topic 0x60029
 HID_panel_SiteMapperComp

.topic 0x6002a
 HID_panel_PopMenuComp

.topic 0x6002b
 HID_panel_FormToolComp

.topic 0x6002c
 HID_panel_BillBoardComp

.topic 0x6002d
 HID_panel_ODBC_DBList

.topic 0x6002e
 Data List. You can adjust properties for this data list on the Properties panel. Select the data list and click Define on the Properties panel to open the Data Publishing dialog for this data list.

.topic 0x6002f
 HID_panel_TickerTape

.topic 0x60030
 HID_panel_ComponentByFileName

.topic 0x60031
 Navigation Button. You can adjust properties for this Navigation button on the Properties panel. Button images and text styles are defined in Style view. This button is contained within a Navigation Bar. You can select a custom image for the button by double-clicking the button or by clicking Custom Image on the General tab.

.topic 0x60032
 QuickTime. You can adjust properties for this QuickTime object on the Properties panel.

.topic 0x60033
 SiteStyle Line. This SiteStyle is based on the current SiteStyle, which is defined in Style view.

.topic 0x60034
 Layout Region. You can adjust properties for this Layout Region object on the Properties panel. A Layout Region is a layout within a Layout. It can contain objects, or be a form container (check box found on General tab). Layout Regions also can have a separate or local grid (General tab). Layout Regions are useful for cascading messages with Actions, defining layers, defining multiple forms on a page, and setting a different HTML output method for only part of a page.

.topic 0x60036
 External HTML. You can adjust properties for this External HTML object on the Properties panel. Add an external HTML file to the layout, and the exact same HTML is added to the HTML of the final generated page source, within the object dimensions. You have various options when placing an external HTML object that determine how the HTML is incorporated. To edit the external HTML file in the default HTML editor (specified in Options), double-click the object.

.topic 0x60037
 HID_panel_Document

.topic 0x60038
 Plug-In. You can adjust properties for this Plug-In object on the Properties panel. A file of any file type (such as one which requires a browser plug-in) can be placed onto a page with the generic plug-in tool.

.topic 0x60039
 HID_panel_FormArea

.topic 0x6003a
 HID_panel_ImageRollover

.topic 0x6003b
 HID_panel_TimebasePic

.topic 0x6003c
 HID_panel_PicLoader

.topic 0x6003d
 HID_panel_RotatingPic

.topic 0x6003e
 HID_panel_InternalHtml

.topic 0x6003f
 HID_panel_DBPictureField

.topic 0x60040
 HID_panel_DBTextField

.topic 0x60041
 HID_panel_MAXSHAPE

.topic 0x20081
 To view help on buttons, options or objects, right-click the item and choose "What's This?" from the shortcut menu.

.topic 0x50877
 Aligns all selected objects to the left edge of the left-most object selected.

.topic 0x5087b
 Center aligns all selected objects relative to the horizontal center position of all selected objects.

.topic 0x5087e
 Aligns all selected objects to the right edge of the right-most object selected.

.topic 0x50882
 Aligns all selected objects to the top edge of the top-most object selected.

.topic 0x50886
 Center aligns all selected objects relative to the vertical center position of all selected objects.

.topic 0x50888
 Aligns all selected objects to the bottom edge of the bottom-most object selected.

.topic 0x5088e
 Evenly distributes all selected objects horizontally.

.topic 0x50891
 Evenly distributes all selected objects vertically.

.topic 0x50893
 When this option is selected, all Align and Distribute options are applied to selected objects in relation to the Layout. If you select objects and then align left, all selected objects are aligned to the Layout’s left-most margin. Similarly, Distribute will distribute objects evenly across the Layout height (if vertically) or width (if horizontally).

.topic 0x10242
 Object HTML. Opens the Object HTML dialog where you can enter or insert HTML and scripts into the page’s HTML. From the Layout, MasterBorder or Frame properties panel, this button open the Page HTML dialog.

.topic 0x115b9
 Opens the Object HTML dialog where you can enter or insert HTML and scripts into the HTML of the cell.

.topic 0x18067
 Layout HTML. Opens the Page HTML dialog to let you enter or insert scripts or HTML tags that are added to the HTML source of the page.

.topic 0x1000003b
 To view help on individual buttons, options or objects, right-click the item and choose "What's This?" or "Help" from the shortcut menu.

.topic 0x106f8
 Click to cancel the spell check session and close the Spelling dialog.

.topic 0x1e110
 Most Recently Used Sites. A recently opened site file. To reopen a site, select its name in this menu.

.topic 0x1e111
 Most Recently Used Sites. A recently opened site file. To reopen a site, select its name in this menu.

.topic 0x1e112
 Most Recently Used Sites. A recently opened site file. To reopen a site, select its name in this menu.

.topic 0x1e113
 Most Recently Used Sites. A recently opened site file. To reopen a site, select its name in this menu.

.topic 0x50107
 On the MasterBorder Properties panel, select a MasterBorder for the current page. Click the Add/Edit button on the MasterBorder Properties panel to add, rename, or remove MasterBorders from this list.
 When importing or referencing pages in Site view, select a MasterBorder from this list to assign to the imported or referenced pages.
 In the New MasterBorder dialog, select a MasterBorder from this list on which you want to base the new MasterBorder. To begin with an empty MasterBorder, base the new MasterBorder on the ZeroMargins MasterBorder.

.topic 0x5071d
 If in the Reference External HTML dialog: Enter a local or network file path to the page file of the site you want referenced, for example, C:\InetPub\www\default.htm. The HTML files of the site must be accessible through your local file system, either on your computer or on a shared network drive. The site’s HTML files are added as external HTML assets to this site, and each HTML file is placed on its own page as an external HTML object. The HTML files are not converted to NetObjects Fusion format.
 If in the Import website dialog: Enter the path to the home page file of the site you want to import. If you are importing a local website, you enter a local or network file path such as C:\InetPub\www\default.htm. If you are importing a remote website, you enter the Web address of the home page, such as www.netobjects.com/support.html. In either case, the assets of the site are copied, and the HTML pages are converted to NetObjects Fusion format.

.topic 0x5007a
 Select this option to display hotspots that have been applied to the selected picture. Make hotspots visible to help you design the imagemap. The hotspots are not visible in browsers.

.topic 0x5007e
 Sets the page background color to match the current SiteStyle background selected in Style view.

.topic 0x5007f
 Select this option and click Color to set a solid color background for this page.

.topic 0x50228
 Select this option if you want a tiled image as the background. If the image is a transparent GIF, you can also set a background color and the color shows through the transparency.

.topic 0x50229
 Opens the Color Picker dialog to let you choose a solid color background.

.topic 0x5022a
 Click to display the Open dialog where you can locate an image file to use for the background.

.topic 0x50231
 Displays the file name for the selected image. Change the image by clicking the Browse button to locate a new file.

.topic 0x50232
 Displays the link assigned to the selected hotspot. Click the Link button to specify a new link.

.topic 0x5010a
 Select the next data field on which to perform a Boolean query.

.topic 0x5010c
 Select the next data field on which to perform a Boolean query.

.topic 0x1000003c
 Lists available Web browsers. When you click Preview or publish locally, the site appears in the browser you select in the drop-down list.

.topic 0x50111
 Click this button to add any extra files that the Java applet or servlet needs to operate correctly.

.topic 0x50241
 Shows the current fill color for the selected object.

.topic 0x50243
 Opens the Color Picker dialog where you can select a new color.

.topic 0x50116
 Locate a file.

.topic 0x50117
 Apply underline formatting to the selected text.

.topic 0x50247
 Apply strikeout formatting to the selected text.

.topic 0x5024b
 Lists available point sizes for the selected text and the corresponding HTML standard sizes.

.topic 0x50119
 Click to change the background color of the selected text box.

.topic 0x50502
 Displays the file name of the selected object.

.topic 0x50506
 Opens the standard Open dialog to let you locate a file.

.topic 0x50509
 Click one of these icons to place it on the page as a placeholder for the multimedia file.

.topic 0x5050b
 Select this option to choose from one of the supplied multimedia icons. To choose an icon, click it.

.topic 0x5050f
 Select this option if you want to choose an image file from your hard drive to represent the multimedia file.

.topic 0x50513
 Opens the standard Open dialog where you can locate an image file to represent the media object.

.topic 0x50515
 Displays the file name of the image selected to represent the media object. Click the Browse button to select an image file.

.topic 0x5052e
 Select this option if you want this entry to be selected by default.

.topic 0x50536
 Makes the field a password field so any text entry is displayed as asterisks.

.topic 0x50549
 Select this option if you want the site visitor who uses the form to be able to simultaneously select multiple items in the list box.

.topic 0x50438
 Displays the name of the selected data list. You can edit this name at any time. It is for your reference only.

.topic 0x50833
 Enter the name for the new internal data object. This field is not used by external data objects.

.topic 0x50834
 Displays the name and type of each data field in the internal data object. Double-click a field to edit its name. Click the add button (+) to add data fields to this data object. You cannot delete fields.

.topic 0x50551
 Enter any comments for this data object here. These comments are for your reference only.

.topic 0x5056e
 Adjust size of the external border for the selected data list, table or navigation bar.

.topic 0x50577
 Select a method of comparison to use for this relational query.

.topic 0x50579
 Enter the value to be compared to the specified data field.

.topic 0x5057b
 Select the logical conjunction ("and" or "or") to compare data fields. Select "end" to end the query without specifying further conditions.

.topic 0x5057c
 Enter the value to be compared to the specified data field.

.topic 0x50838
 Enter the password for the Web server. This is optional. If you don’t enter the password here, you will be prompted when you publish to this server.

.topic 0x5044e
 Enter a valid login name for the Web server.

.topic 0x5044f
 Displays the location of the selected file asset.

.topic 0x5083b
 This is an identifier for the selected form object.

.topic 0x5083d
 Select this option to make the default state of the form object "not selected" or "unchecked."

.topic 0x5083e
 Select this option so the radio button is selected by default when the form is viewed in a browser.

.topic 0x5083f
 Select this option so the radio button is not selected by default when the form is viewed in a browser.

.topic 0x50583
 Use to adjust the width of the grid blocks.

.topic 0x50584
 Use to change the width or height of the current page layout. The page layout does not include the MasterBorder. Type a number in the field or click the spin buttons. You cannot make the page layout smaller than the objects it contains. Select Size Layout to Objects from the Object menu as a shortcut for shrinking the page.

.topic 0x50588
 Adjust size of the external border for the selected data list, table, or navigation bar.

.topic 0x50589
 Adjust the margin between cell contents and cell container.

.topic 0x5058b
 Adjust the margin between cells in a table or data list, or buttons in a navigation bar, and its outside borders.

.topic 0x50591
 Select this option and then click Browse to choose an image file to use as a bullet in the selected data list.

.topic 0x5059d
 Select this option if you do not want to use bullets within the selected data list.

.topic 0x1000003d
 Select this option to show navigation buttons for this page and this page’s sibling pages. Other pages on this level do not show up in this navigation bar if they are not siblings of this page. All buttons are automatically linked to their page.

.topic 0x5046e
 Moves the selected item up one position in the list.

.topic 0x505bc
 Use to change the width or height of the current page layout. The page layout does not include the MasterBorder. Type a number directly into the field or click the spin buttons. You cannot make the page layout smaller than the objects it contains. Select Size Layout to Objects from the Object menu as a shortcut for shrinking the page.

.topic 0x5047c
 Shows the background color of the selected text box if this option is selected.

.topic 0x505c9
 Change the measurement units used for page, Layout, and MasterBorder height and width, grid size, ruler units, and the x y information in the bottom page border.

.topic 0x1000003e
 Select this option to use the primary button style, as shown in the Style view, for the selected navigation bar.

.topic 0x1000003f
 Select this option to use text links for the selected navigation bar.

.topic 0x10000040
 Select this option to use the secondary button style, as shown in the Style view, for the selected navigation bar.

.topic 0x505de
 Displays the page type: normal or stacked. Stacked pages display information from the records of a data object.

.topic 0x50496
 Shows the color that is changed to transparent in the selected GIF image.

.topic 0x50497
 Enter comments about the currently selected page. You can use this area to make notes on the completion status of each page. Notes you enter here do not become part of the published page’s HTML.

.topic 0x50498
 Click to change the color of the selected page.

.topic 0x50499
 Shows the color of the currently selected page icon. To change the color, click the Color button.

.topic 0x5049a
 Click to set the color of the Site view background.

.topic 0x10000041
 Select this option if you want a solid color as a background for this style. Click the Color button to select a new color.

.topic 0x10000042
 Select this option if you want an image as a background for this style. Click the Browse button to browse for an image. After you click OK, a sample is displayed to the right.

.topic 0x10000043
 Click to open the Color Picker dialog, where you can select a color for the background style.

.topic 0x504a9
 Opens the Edit MasterBorder List dialog, where you add, rename or delete MasterBorders. Changes made in the Edit MasterBorder List do not change the current page's settings.

.topic 0x10000044
 Closes the dialog and saves any changes you made.

.topic 0x504ad
 Displays the URL (Internet address) for this external link.

.topic 0x504af
 Displays the initial value of the new parameter or variable you are defining. The name is used to identify the data; the value is the actual data that is collected or sent.

.topic 0x504b1
 Select this option to make the form object a drop-down list box, which takes up less space on the form. The site visitor views the list by clicking on it.

.topic 0x504b3
 You've selected a text button face. Enter the text you want displayed on the button and specify whether it is a Submit, Reset, or other button type.

.topic 0x504ba
 Lists the ActiveX controls available on your system. Select an ActiveX control to be inserted and click OK.

.topic 0x10000045
 Lists the properties available in the selected ActiveX control.

.topic 0x504be
 These icons show graphical illustrations of text alignment options. When the cursor is in a text box, these icons affect the current paragraph. When you are in Text in Element Settings in Page view, or Text Settings in Style view, these icons affect the relative alignment of multi-lined text only.

.topic 0x504c0
 Displays the current background color of the selected object. To change the color, click the Color button.

.topic 0x504c1
 Enter the host name or IP address of the remote Web server. Examples: www.yourcompany.com or 128.0.0.0.

.topic 0x504c2
 Select this option if you want your password stored with the site. If this is selected, you do not need to enter your password each time you publish.

.topic 0x504c4
 Select this option to use the current default bullet style (as shown in Style view) in the selected data list.

.topic 0x504c5
 Use to switch between vertical and horizontal orientation in Site view.

.topic 0x504c6
 Select or clear this option to show or hide column headers in the selected data list.

.topic 0x504c7
 Select a file extension for all the generated HTML files of the site. The extension ".HTML" is used by UNIX and Macintosh computers and is more commonly found on the Web. The extension ".HTM" is used by IBM-PC compatibles because of the three-character extension limit. You can set the extension on a per-page basis by clicking the Custom Names button in Site view.

.topic 0x504c8
 Shows the date and time the current site was created.

.topic 0x504c9
 Shows the date and time the current site was last changed.

.topic 0x504ca
 Shows the current color of Site view background.

.topic 0x504cf
 Enter a directory on the Web server to which you have FTP write permission. This is where the website will be published. If you want to publish to the top level of the Web server, you can leave this blank.

.topic 0x505f2
 Displays a list of symbol characters, with descriptions and shortcut keys that can be inserted into a text box. You can use shortcut key combinations instead of this dialog to enter symbols into a text box. Select a symbol and click Insert to place it at the insertion point of the currently selected text box.

.topic 0x10000046
 Select this option to use highlighted buttons, as defined in Style view, in the navigation bar. If you select this option, your site visitor always knows what page he or she is on, because the button for the current page always displays a distinct image. This option has no effect on text navigation bars.

.topic 0x10000047
 Select this option to include the site home page as a navigation button in the navigation bar.

.topic 0x505f6
 Displays the number of words on the current page.

.topic 0x504d8
 Displays the number of characters on the current page.

.topic 0x504d6
 Displays the number of lines on the current page.

.topic 0x504ac
 Opens the selected page in Page view.

.topic 0x504f9
 Opens a pre-built ActiveX control Properties dialog (if available), where you can edit the ActiveX control's properties. Also use this property panel to modify ActiveX properties within NetObjects Fusion.

.topic 0x50258
 Displays the color that is applied to the selected line or object border.

.topic 0x50573
 Select a method of comparison to use for this relational query.

.topic 0x5047b
 Displays the color to be applied to the selected text if you select the color option.

.topic 0x50840
 Enter or select the number of rows for the table here.

.topic 0x50238
 Apply italic formatting to the selected text.

.topic 0x5007b
 Displays the name assigned to the current page layout. You can change this name at any time.

.topic 0x50606
 Displays the current image file name used for the banner of this style. Click the Browse button to select a new image.

.topic 0x5060c
 This displays the current background style color. Click the Color button to change this color.

.topic 0x10000048
 Displays the current image used for the background in this style. Click the Browse button to modify this selection.

.topic 0x5060d
 Displays the name of the image used for regular (non-highlighted) buttons in this style.

.topic 0x504e3
 Displays the file name of the image used for highlighted buttons in this style. When site visitors navigate through the site, the button for the page they are currently on displays this image instead of the regular image so they can easily tell which page they are on. You can turn highlighting on or off in Page view on the Navigation Bar Properties panel.

.topic 0x504e4
 Opens the standard Open dialog, where you can select an image for this style element.

.topic 0x504e7
 Enter the name of the page in the site to which to link.

.topic 0x504eb
 Graphical display of the pages linked by this type of navigation bars. The image corresponds to Site view and shows, in yellow, the row of pages that appear in the navigation bar if you select this option. Red pages represent the page you are currently on.

.topic 0x504ec
 Graphical display of the pages linked by this type of navigation bars. The image corresponds to Site view and shows, in yellow, the row of pages that appear in the navigation bar if you select this option. Red pages represent the page you are currently on.

.topic 0x504ee
 Graphical display of the pages linked by this type of navigation bars. The image corresponds to Site view and shows, in yellow, the row of pages that appear in the navigation bar if you select this option. Red pages represent the page you are currently on.

.topic 0x504ef
 Graphical display of the pages linked by this type of navigation bars. The image corresponds to Site view and shows, in yellow, the row of pages that appear in the navigation bar if you select this option. Red pages represent the page you are currently on.

.topic 0x504f3
 Select this option if the data source uses one of the pre-built database drivers listed in the drop-down list to the right. Click the Browse button to choose the data source. The data source you choose must match the driver type specified in the drop-down list.

.topic 0x50516
 Click this button to add a new field to the data object. You cannot delete fields.

.topic 0x505c7
 Click to apply the change.

.topic 0x508e6
 Click to remove the currently assigned link.

.topic 0x504bf
 Select this option if you want the Auto save feature to automatically save the site as you work on it. Clearing this option can improve overall performance when working with large sites, but if you turn it off you must manually save the site by selecting the Save Site command.

.topic 0x50519
 Locate files or select a location.

.topic 0x50521
 Opens the standard Open dialog, where you can select an image for this style element.

.topic 0x505ef
 Opens a Browse dialog to let you choose a new bullet graphic for the selected data list.

.topic 0x5046d
 Adds a new item.

.topic 0x50529
 Moves the selected item down one position in the list.

.topic 0x5051c
 Removes the selected item from the list.

.topic 0x504d0
 Enter the location on the remote Web server where CGI (Common Gateway Interface) scripts are located.

.topic 0x5082f
 Select this option to automatically place all data fields on the stacked pages that are created with this data list. If you do not select this option, the stacked pages are initially blank, and you must manually place each data field. Navigate to the stacked pages in Page view to manually adjust the layout and add data fields.

.topic 0x5053f
 Select this option to automatically add navigation buttons on the stacked pages that are created with this data list. Next, Previous and Up buttons are automatically added to the stacked pages if you select this option. Navigate to the stacked page in Page view to manually adjust the properties of these navigation buttons.

.topic 0x50604
 Displays the currently selected solid background color. Only applies if the Solid Color option is selected. To change the color, click the Color button.

.topic 0x5060e
 Lists the pre-built database drivers available on this system. Click the Browse button to choose the data source. The data source you choose must match the driver type specified in the drop-down list.

.topic 0x50235
 Select a data field to be added to the current stacked page from the drop-down list.

.topic 0x5056b
 Select a method of comparison to use for this relational query.

.topic 0x50557
 Enter the value to be compared to the specified data field.

.topic 0x505e8
 To set or change the options for this Flash Photo gallery, click the Configure button.

.topic 0x505ed
 Opens the Data Publishing dialog, where you can change the name assigned to this list, show or hide fields assigned to the list, assign the Linked Field attribute to fields in the list, change the order in which fields appear, and other options.

.topic 0x50554
 Contains a list of data objects defined for this site. The list includes both internal and external data objects.

.topic 0x5055f
 Enter the path to the local folder where you want to publish the site. Click the Browse button to locate a folder.

.topic 0x5050c
 If you selected List box above, use this to set the number of lines that are displayed in the box. If there are more items in the list than the number you set here, a scroll bar is added.

.topic 0x504df
 If you selected List box above, use this to set the number of lines that are displayed in the box. If there are more items in the list than the number you set here, a scroll bar is added.

.topic 0x50562
 If this is for a radio button or a check box, this contains the value that will be returned when the form is submitted and this is selected. All check boxes and radio buttons should have a name and a value assigned to them. Otherwise, if the option is selected, and the form is submitted, the default string "On" is returned.
 If this is for a single- or multi-line edit field, this contains default text that initially appears in the field. When the form is submitted, the new or edited text the site visitor has entered is returned.

.topic 0x50511
 Set the number of lines that are visible in the field, which determines the onscreen height of the box. If the box contains more lines than the Visible Height setting, the site visitor can view the additional text by scrolling up or down using the keyboard.

.topic 0x505bd
 Set the number of lines that are visible in the field, which determines the onscreen height of the box. If the box contains more lines than the Visible Height setting, the site visitor can view the additional text by scrolling up or down using the keyboard.

.topic 0x50627
 Adjusts the number of characters that are visible in the field, which determines the onscreen width of the box. Set the maximum number of characters the box can contain in the Max Length field. If the box contains more characters than the Visible Length setting, the site visitor can view the additional text by scrolling right or left using the keyboard arrow keys.

.topic 0x50512
 Adjusts the maximum number of characters allowed in the field. If the box contains more text than shown in the Visible Length setting, the site visitor can view the additional text by using the arrow keys to scroll right or left.

.topic 0x504f0
 Adjusts the maximum number of characters allowed in the field. If the box contains more text than shown in the Visible Length setting, the site visitor can view the additional text by using the arrow keys to scroll right or left.

.topic 0x5050e
 Adjusts the number of characters that are visible in the field, which determines the onscreen width of the box. Set the maximum number of characters the box can contain in the Max Length field. If the box contains more characters than the Visible Length setting, the site visitor can view the additional text by scrolling right or left using the keyboard arrow keys.

.topic 0x5050d
 Adjusts the number of characters that are visible in the field, which determines the onscreen width of the box. Set the maximum number of characters the box can contain in the Max Length field. If the box contains more characters than the Visible Length setting, the site visitor can view the additional text by scrolling right or left using the keyboard arrow keys.

.topic 0x10000049
 Adjusts the number of characters that are visible in the field, which determines the onscreen width of the box. Set the maximum number of characters the box can contain in the Max Length field. If the box contains more characters than the Visible Length setting, the site visitor can view the additional text by scrolling right or left using the keyboard arrow keys.

.topic 0x5025d
 Select an initial data field on which to perform a Boolean query.

.topic 0x505ce
 Displays the file name and path for the image. To choose another image, click the Browse button.

.topic 0x50d41
 Click here to add or delete extra files that are referenced by the Java applet or servlet.

.topic 0x505eb
 Opens the Filter dialog, where you can set database queries or filters for the data fields listed below. Filters let you display only some of the records in a data object, based on comparison expressions you define.

.topic 0x1000004a
 Select this option to show navigation buttons for all pages on the first level of the site structure, which includes all children of the Home page. The buttons are automatically linked to their page.

.topic 0x50508
 With the Get method, the values of the form variables are sent as part of the URL. This corresponds to the "METHOD=GET" attribute of the Form tag in HTML.

.topic 0x50505
 Post is the default method used by forms. The values of the form variables are echoed as text, whereas in the Get method the values are sent as part of the URL. This corresponds to the "METHOD=POST" attribute of the Form tag in HTML.

.topic 0x5057a
 Advanced users can specify a local copy of the CGI script used for processing forms. The Action field should contain the full path to the CGI script. This file will be sent via FTP to the CGI directory indicated in the remote publish server’s Location Properties dialog. If the CGI script is already on the Web server, you can leave this field blank.

.topic 0x50558
 This field is optional. Advanced users might need to specify a non-standard encoding type when configuring advanced forms. MIME-type application/x-www-form-urlencoded is the default encoding type, which encodes the form’s name-value pairs as URL’s are encoded.

.topic 0x5047e
 Select a local CGI script.

.topic 0x1000004b
 Opens the Forms Settings dialog, where you can configure the form.

.topic 0x504cd
 Select a file name for the home page HTML file. It can be the current home page name as displayed in Site view, or Index, Default, or Home. Different Web servers recognize different names as a default home page name.

.topic 0x505fa
 Select this option to display a set of graphical audio or video controls on the page. This interactive object can be used to control the sound or video object from the client browser.

.topic 0x1000004c
 Select this option to show navigation buttons for this page’s parent page, and the parent’s sibling pages. Other pages on the same level as the parent do not show up in this navigation bar if they are not siblings of the parent. All buttons are automatically linked to their pages.

.topic 0x1000004d
 Select this option to show navigation buttons for the pages that are children of the current page. All buttons are automatically linked to their page.

.topic 0x504f5
 Locate an HTML or text file to insert into the edit field at the cursor location.

.topic 0x51584
 Opens the Action dialog, where you can insert other actions that have already been defined for the current object.

.topic 0x504d4
 Enter text for the alternate (ALT) attribute of the selected object, which will be added to the object’s HTML. This text, generally a short description, appears in place of the object in browsers when images, Java or other features are unsupported or have been disabled. The ALT text might appear while an object is loading. In some browsers, it might appear as a ToolTip when the site visitor mouses over the picture or object.

.topic 0x1000004e
 Displays the file name of the selected Java applet or Shockwave file.

.topic 0x50565
 Change the width or height of the current page layout. The page layout size does not include the size of the MasterBorders. You can change the layout width or height by typing a new number directly into the field or clicking the spin buttons. You cannot make the page layout smaller than the objects it contains. Select Size Layout to Objects from the Object menu as a shortcut for shrinking the page.

.topic 0x504a0
 Displays the currently selected unit of measurement used to determine layout and page size. The measurement unit preference can be changed in the Application Options dialog.

.topic 0x505e6
 Opens the Color Picker dialog to let you choose a background color.

.topic 0x5056d
 Change the width or height of the current page layout. The page layout size does not include the size of the MasterBorders. You can change the layout width or height by typing a new number directly into the field or clicking the spin buttons. You cannot make the page layout smaller than the objects it contains. Select Size Layout to Objects from the Object menu as a shortcut for shrinking the page.

.topic 0x50483
 Displays the currently selected unit of measurement used to determine layout and page size. The measurement unit preference can be changed in the Application Options dialog.

.topic 0x505f7
 Click a field above and click this button to link the field to the Web page that displays the record for this data list entry. Whatever information is displayed in the field will be automatically linked to the corresponding stacked page.

.topic 0x5060f
 Displays the URL (Internet address) for this external link.

.topic 0x5042a
 This list displays all pages that contain this asset. You can click a page and then click Go To to see the page in Page view.

.topic 0x50d73
 If you are in a Properties panel: This is a list where parameters or other items are displayed. Double-click an item to edit it. To add or remove an item, click it and then click the + or - buttons. To reposition an item, click it and then click the up or down arrow buttons.
 If you are in the Custom Messages dialog: You can add or delete custom messages using the buttons. Use custom messages to simplify some action combinations or to create specialized sequences by triggering actions.
 If you are in the Select Site Wizard dialog: This is a list where installed third party or NetObjects components are installed. With a Site component, you can create a new site or a new page that contains highly specialized functionality such as database interaction or e-commerce capabilities.

.topic 0x50d80
 If in Publish Setup dialog and you have installed any additional third party or NetObjects publish components, they are displayed here. Click the check box next to the component name to turn the component on or off. Typically, publish components perform post-processing of generated HTML files.
 If in Save Files dialog, you can either save or dismiss changes made in HTML Source view to the listed files. Cancel the selection of any files you do not want altered.

.topic 0x51582
 Displays a list of actions you have already added to the current object. To insert an action into the script dialog, click the action name and click OK.

.topic 0x505d3
 Select this option to create a publish location on your local file system. It can be on your local hard drive, or on shared network drives to which you have write access.

.topic 0x5040c
 Displays the name of the selected asset. The default name is the file’s name if it is a file asset or the IP address if it is a link. The name is for your reference only; changes to the name only affect the listing in Assets view.

.topic 0x505e9
 Click this button to create a new data object. A data object is a definition of fields that comprise a simple database. Each record of the database is displayed on its own page in the site. After you create and place a data object, a set of stacked pages appears in SiteStructure to contain the records of the database.

.topic 0x50d27
 Select the logical conjunction ("and" or "or") to compare data fields. Select "end" to end the query without specifying further conditions.

.topic 0x505b0
 Select a database table from the list and click OK to continue.

.topic 0x50615
 The name of the selected ActiveX control or NetObjects Component.

.topic 0x504f2
 Select this option if the data object uses a data source defined by the Open Database Connectivity (ODBC) standard. Click the Select button to open a dialog where you can choose data sources and ODBC drivers for this data object.

.topic 0x50839
 Click this button to open the Data Source Type dialog, where you can specify the location and type of an external data source.

.topic 0x1000004f
 Select this option if you do not want this page to be published when you publish the rest of the site. If you select this option, this page’s navigation buttons do not show up on other pages. A red dot appears in the upper right of each page icon to indicate that the Don't Publish option is set. Use this option to prevent pages from being published before they are ready.

.topic 0x5043f
 Enter or modify a name for the selected page.

.topic 0x10000050
 Select this option if you want this page to publish with the rest of the site. By default all pages are set to Publish.

.topic 0x505fe
 Displays the data type (string, integer) required by the selected parameter.

.topic 0x50626
 Describes the required contents of the selected parameter.

.topic 0x50244
 Opens the Color Picker dialog where you can choose a new color for the line or border of the selected object.

.topic 0x505ad
 Opens a font dialog where you can choose a font and font formatting for the text that appears in the object.

.topic 0x50605
 The file name of the image to be used as a tiled background.

.topic 0x50479
 Opens the Color Picker dialog where you can choose color for the text that appears in the object.

.topic 0x5058e
 You've selected an image form button. Click the Browse button to select an image file. By default, a graphic form button acts as a Submit button.

.topic 0x10000051
 Makes the button a "reset" control. When the site visitor clicks the button in a client Web browser, form contents on the page are cleared.

.topic 0x10000052
 Makes the button a "submit" control. When the site visitor clicks the button in a client Web browser, form contents on the page are sent to the site.

.topic 0x5083c
 Select this option to make the default state of the form object "selected" or "checked."

.topic 0x505fc
 A copy of the image file will be converted from its current file format to a .GIF file. The original file will not be changed.

.topic 0x50592
 A copy of the image file will be converted from its current file format to a .JPG file (.JPEG). The original file will not be changed.

.topic 0x5058f
 Select this option to make the form object a standard list box.

.topic 0x10000053
 Select this option to have a transparent background for this style.

.topic 0x5048e
 Select this option to create an internal data object, which stores data in the site itself instead of drawing the data from an external database. Select a name, enter comments, and create data fields below.

.topic 0x5048f
 Select this option to create a data object whose data source is an external database. Click the Source button to open the Data Source Type dialog where you can select the external data source type.

.topic 0x50490
 Creates a data field that consists of images. If you are creating this data object internally, you can select images by double-clicking the empty data field after it is placed on a stacked data page.

.topic 0x505d5
 Select this option to create a server location on your intranet or the Internet. You must have FTP access to this remote Web server. You enter basic settings for this Web server below. Click the Advanced button to configure advanced settings such as server port, permissions and aliases.

.topic 0x504ce
 Select this option if you want all spaces and special characters in the names of the assets replaced with underscores when published. Local file names are not changed; only the copies that are sent by FTP are changed.

.topic 0x50835
 Enter the name for a field within this data object. Choose from the options below to determine the type of data field.

.topic 0x50575
 The checked data fields will be displayed in the data list on the page. The data list is like an index to a series of Web pages (Stacked Pages), each of which contains the data from one record of the data object. Ordinarily, you would select only fields with basic information to display in the data list and display more complete information on the stacked page for the record. You can change the order in which fields appear in the data list with the up and down arrow buttons.

.topic 0x5020e
 Displays the name of the current site.

.topic 0x50571
 Choose the data field on which this data list will be sorted. You can sort only on simple or image fields. If you sort on an image field, it sorts on the image’s file name. To see the data list populated with data and sorted, you must publish or preview the site.

.topic 0x50500
 Select a specific option to view its help.

.topic 0x504d3
 Enter text for the alternate (ALT) attribute of the selected object, which will be added to the object’s HTML. This text, generally a short description, appears in place of the object in browsers when images, Java or other features are unsupported or have been disabled. The ALT text might appear while an object is loading. In some browsers, it might appear as a ToolTip when the site visitor mouses over the picture or object.

.topic 0x50599
 Select this option to apply a solid color background to the selected table, data list, or navigation bar.

.topic 0x504fc
 Select this option if you want the table, data list or navigation bar to have a transparent background.

.topic 0x50572
 Adjusts the margin, in points, between cell contents and cell container edges.

.topic 0x50576
 Adjusts the margin between cells in a table or data list, or buttons in a navigation bar, and its outside borders.

.topic 0x5055b
 Enter the number of columns for the table here.

.topic 0x50841
 Enter the number of columns for the table here.

.topic 0x50842
 Enter or select the number of rows for the table here.

.topic 0x505b4
 Select this option to reapply the formatting of the style to the selected paragraph. The formatting for the entire paragraph or text box, not just the current selection, will be replaced with the formatting for the style.

.topic 0x505b1
 Select this option to redefine the style using the current text selection as an example. The formatting of the style will be replaced with the formatting of the text selection.

.topic 0x50237
 Apply bold formatting to the selected text.

.topic 0x505cf
 Choose a bullet style or numbered list for the selected paragraph.

.topic 0x50251
 Click to choose a new color in the Color Picker dialog.

.topic 0x50597
 Click to apply the color to the selected text. To change the currently defined color, click the Color button.

.topic 0x505c1
 Apply the current SiteStyle text color to the selected text. The SiteStyle text color is defined in Style view.

.topic 0x504e2
 Lists available fonts that you can apply to the selected text. If you select Browser Proportional, the default, the text changes based on the site visitor’s browser font settings.

.topic 0x10000054
 Apply a solid color background to the selected text box.

.topic 0x50109
 Choose a style for the selected paragraph. The style overrides previously assigned font settings. Select Edit Text Styles from the Text menu to add, edit, and delete text styles.

.topic 0x505f3
 Inserts the selected symbol into the text box at the insertion point.

.topic 0x505fd
 Enter a value to be used as the start value for the selected paragraph’s bulleted list. Although this field only accepts whole numbers, they correspond to their alphabetical or roman equivalents.

.topic 0x5052a
 Select this option to add formatted text to the selected object. Click the Settings button to add and edit the text.

.topic 0x50491
 Displays the paragraph style to be reapplied or redefined.

.topic 0x10000055
 Select this option to make the background of the selected text box transparent.

.topic 0x50d5b
 If in the External Link tab: Enter the URL (Internet address) to which the selected object will link. Do not enter the protocol, such as http:\\, because you choose the protocol in the drop-down list to the left. Example: www.netobjects.com.
 If in the File Link tab: Enter the path to a file or browse to a file. This links the file using the file:\\ protocol.

.topic 0x504d7
 Displays the number of paragraphs on the current page.

.topic 0x50618
 Enter or modify the site author's name here. In Publish view, click Setup, then the HTML Output tab, then the Advanced button to choose whether this name is included in the META tag or not.

.topic 0x50619
 This text field displays the module (usually an .OCX file) that the selected ActiveX control uses for implementation.

.topic 0x5061a
 Select this option to place the file name listed in the above text field into the Codebase field in the ActiveX Properties panel.

.topic 0x10000056
 Enter the number of pixels the background image will be moved toward the top.

.topic 0x10000057
 Use to offset the background image. Most browsers (such as Netscape Navigator or Microsoft Internet Explorer) add a small gutter to the top and left edges of their windows. Offsetting the background images allows you to compensate by moving the image to the left and toward the top.

.topic 0x10000058
 Enter the text you would like to be inserted into the published HTML page before the selected object. Click the Insert button to insert a text or HTML file in this field. Click OK to confirm the insertion, Cancel to exit this dialog without inserting or changing the script.

.topic 0x508c4
 Displays the name of the new parameter or variable you are defining. The name is used to identify the data; the value is the actual data that is collected or sent.

.topic 0x508c5
 Creates a data field of text that can have customized formatting. Formatting is bold, italic, color, and so on. Use a formatted field for a field that contains text that has variable formatting. For instance, if you want to apply bold to only some words within the text, and italic to other words within the text, use a formatted field. The formatting only applies to the text to which you applied the formatting.

.topic 0x50628
 Creates a data field of text that has the same kind of formatting applied to all text within the field. Formatting is bold, italic, color, and so on. Use a simple text field for short amounts of text where the same formatting will be applied to the entire field. For instance, if you bold any text in a simple text field, all the text in the simple text field will be bold.

.topic 0x50629
 Select this option to find the page that begins with the characters entered above. A list of all pages that match the search characters will be displayed.

.topic 0x5062a
 Select this option to go to the page that ends with the characters entered above. A list of all pages that match the search characters will be displayed.

.topic 0x5062b
 Select this option to go to the page that contains the characters entered above. A list of all pages that match the search characters will be displayed.

.topic 0x10000059
 Select this option if you only want the entire site’s HTML to be generated and displayed when you click Preview. Select Current Page if you want the only the current page’s HTML to be generated and displayed when you click Preview. To toggle this option on the fly, hold down the Ctrl key while you click Preview. Previewing only the current page lets you quickly view a page without waiting for the entire site’s HTML to be generated. However, if you preview only the current page, all of its links to other pages in the site are temporarily disabled.

.topic 0x1000005a
 Select this option if you only want the current page’s HTML to be generated and displayed when you click Preview. Select Entire Site if you want the entire site’s HTML to be generated and displayed when you click Preview. To toggle this option on the fly, hold down the Ctrl key while you click Preview. Previewing only the current page lets you quickly view a page without waiting for the entire site’s HTML to be generated. However, if you preview only the current page, all of its links to other pages in the site are temporarily disabled.

.topic 0x5062e
 Enter the name or partial name of the page you want to go to. Use the options below to choose whether to search for a page that begins with, contains, or ends with the text entered here. A list of all pages that match the search characters will be displayed.

.topic 0x1000005b
 Enter the number of pixels the background image will be moved to the left.

.topic 0x50657
 Displays the number of pages in the site.

.topic 0x1000005c
 Offset the background image. Most browsers (such as Netscape Navigator or Microsoft Internet Explorer) add a small gutter to the top and left edges of their windows. Offsetting the background images allows you to compensate by moving the image to the left and toward the top.

.topic 0x50661
 Displays the file name of the selected Java applet, Shockwave or other plug-in file.

.topic 0x50665
 Shows the color of the currently selected page icon. To change the color, click the Color button.

.topic 0x50667
 Displays the current background color. To change the color, click the Color button.

.topic 0x1000005d
 Shows the color of the currently selected page icon. To change the color, click the Color button.

.topic 0x50673
 Displays the color that is applied to the selected line or object border.

.topic 0x50676
 Shows the current fill color for the selected object.

.topic 0x50678
 Displays the file name of the selected Java applet, Shockwave or other plug-in file.

.topic 0x506bc
 Shows the date and time the current site was last changed.

.topic 0x1000005e
 Displays the current image file name used for the banner of this style. Click the Browse button to select a new image.

.topic 0x5068a
 Displays the name of the image used for regular (non-highlighted) buttons in this style.

.topic 0x5068b
 Displays the file name of the image used for highlighted buttons in this style. When site visitors navigate through the site, the button for the page they are currently on displays this image instead of the regular image so they can easily tell which page they are on. You can turn highlighting on or off in Page view on the Navigation Bar Properties panel.

.topic 0x5068c
 Displays the color to be applied to the selected text if you select the color option.

.topic 0x1000005f
 Shows the background color of the selected text box if this option is selected.

.topic 0x1a583
 Files. Shows you a list of files (such as images, audio, video, external HTML documents, Java applets, etc.) that are associated with the site. You can use the list to manage these files and their associations.
 Links. Shows you a list of page, smart, and external links that are associated with the site, as well as the page or pages on which each link appears.
 Data Objects. Shows you a list of data objects that are associated with the site. Data objects define database information from either internal or external sources. You can use the list to remove the data object from the site or edit the data object definition.
 Variables. Shows you a list of User defined variables that are used within the site. You can create, edit or delete variables here.

.topic 0x50691
 Enter or modify the name for this link. This name, used in Assets view, is for your reference only and is not added to HTML generated when the site published.

.topic 0x50697
 Select a tail style to use for the selected line. You can choose a Point, Arrow, Diamond, Circle or Square.

.topic 0x50699
 Select a head style to use for the selected line. You can choose a Point, Arrow, Diamond, Circle or Square.

.topic 0x5069b
 Select this option to have the line head and tail share the same style.

.topic 0x5069d
 Select this option if you want all parts of the line to share the same color. This lets you change the color of the entire line at once.

.topic 0x5069f
 Enter a line width value or use the spin buttons to adjust the line width. Valid values are 1 through 100.

.topic 0x506a1
 Enter a line width value or use the spin buttons to adjust the line width. Valid values are 1 through 100.

.topic 0x506a6
 Select this option to outline the head and tail with the line color.

.topic 0x506aa
 Select the type of variable to insert at the cursor position into the text box. Select Date & Time to insert date or time variables. You can click Date and Time Format to choose from many date and time formats. Select Site & General to insert site information and other variables. These fields update when you switch from view to view, preview, or publish. Select User defined to choose from text variables you have created or to create a new one. You can edit user-defined variables in the Variables tab of Assets view.

.topic 0x506ad
 Displays all available variables for the field type selected above. If a Date & Time field is selected, click Date and Time Format to choose a date and time format. If User defined is selected, choose from the list of defined variables, or click New to define a new one. You can edit user-defined variables in the Variables tab of Assets view.

.topic 0x506ae
 The current value for the selected variable is displayed here. The values are not editable.

.topic 0x506b0
 Click to choose a date format for the currently selected date or time field.

.topic 0x10000060
 Click here to define the text insertion point or the selected object as an anchor. An anchor is a pre-defined place on a page to which you can make a link. To define an anchor in text, place the blinking cursor inside a text box, but do not select any text. To remove an anchor, click directly on the anchor symbol inside text, or click on the object that has an anchor defined, and then click this button. Then click Remove in the Change Anchor dialog. If you want to link the selected object or text to an anchor that is already defined, click the Link button instead and then select a page and anchor from the Internal Link tab.

.topic 0x506b7
 Select this option to create an internal link to the current page. This link always looks on the current HTML page regardless of the page name. Use this option when you are linking to an anchor. See Help topics for more information.

.topic 0x506b8
 Click this icon to make the left side of the current MasterBorder a frame. The order in which you choose frames (displayed in parentheses below) determines whether a frame spans the height of the MasterBorder margin or ends at another frame’s edge.

.topic 0x50681
 Select this option to display a background grid for the Layout Region. Set the grid width and height below. The grid uses the unit of measurement set in Application Options.

.topic 0x506bf
 Displays the name of the currently selected anchor. If you are creating a new anchor, enter its name here.

.topic 0x506c1
 Click this icon to make the right side of the current MasterBorder a frame. The order in which you choose frames (displayed in parentheses below) determines whether a frame spans the height of the MasterBorder margin or ends at another frame’s edge.

.topic 0x506c4
 The value for the selected variable is displayed here. The values are not editable.

.topic 0x506c7
 Displays the names of all pages in the current site.

.topic 0x506c8
 Click this icon to make the top margin of the current MasterBorder a frame. The order in which you choose frames (displayed in parentheses below) determines whether a frame spans the height of the MasterBorder margin or ends at another frame’s edge.

.topic 0x506c9
 Select this option to let site visitors resize the current frame from within their browser window. If you do not select this option, the frame is set to its current fixed height and width.

.topic 0x506cb
 Choose a date and/or time format to use for the current variable from the formats below.

.topic 0x506cd
 Displays a list of anchors defined for the page you selected above. Select an anchor from this drop-down list to create or modify an internal link to an anchor. You create an anchor by selecting an object or clicking on some text and then clicking the anchor button on the Properties panel. See Help topics for more information.

.topic 0x506ce
 Click this icon to make the bottom margin of the current MasterBorder a frame. The order in which you choose frames (displayed in parentheses below) determines whether a frame spans the height of the MasterBorder margin or ends at another frame’s edge.

.topic 0x506d0
 Displays the degrees of text rotation. Use the slider control on the left to adjust the number of degrees to rotate the text. Choose a value between –180 and 180 degrees. If the Right angles option is selected, rotation is constrained to 90-degree increments.

.topic 0x506d3
 Displays a list of anchors defined for the current page.

.topic 0x506d6
 Select this option to create an internal link to a page within the current site. Enter a full or partial name of the desired page in the field to quickly scroll to the desired page in the list box.

.topic 0x506d7
 Displays the current frame's name. The default names are Left Frame, Right Frame, Top Frame or Bottom Frame. NetObjects Fusion uses this name when generating the HTML source for the site.

.topic 0x506d8
 If this option is selected, text rotation is constrained to 90-degree increments.

.topic 0x506da
 Click here to make the current frame scrollable. Regardless of the frame contents, site visitors see scroll bars for this frame in their browser window.

.topic 0x506dc
 Click here to make the current frame size not scrollable. Regardless of the frame contents, site visitors will never see scroll bars for this frame in their browser window.

.topic 0x506dd
 Click here to have browsers automatically determine whether to include scroll bars or not for the current frame. If the contents of the frame fit within the frame size, no scroll bars are displayed. If the contents extend beyond the frame size (such as when site visitors resize their browser window) scroll bars are displayed.

.topic 0x506de
 Enter the number of the FTP port that is active on your Web server. The default FTP port number is 21.

.topic 0x506e2
 Click this button to define a new text variable when the User defined type is selected above. Opens the New Variable dialog, where you name and assign a value to a new variable. Edit user-defined variables in the Variables tab of Assets view.

.topic 0x506e4
 Enter a name for the new user-defined variable here. You can edit both the name and value in the Variables tab of Assets view.

.topic 0x506e5
 Enter a value for the new user-defined variable here. You can edit both the name and value in the Variables tab of Assets view.

.topic 0x506e6
 Use to indent the selected text. The shortcut key to indent is Tab.

.topic 0x506e7
 Displays the name of the currently selected anchor. If you are creating a new anchor, enter its name here.

.topic 0x506e8
 Enter or adjust the number of directory levels to be imported from the website.

.topic 0x506eb
 Click this button to remove the currently selected anchor from the page.

.topic 0x506ec
 Enter or adjust the maximum number of pages to be imported from the website.

.topic 0x506ef
 Adjust the width of the top margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x506f3
 Adjust the width of the top margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x506f6
 Adjust the width of the bottom margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x506f7
 Adjust the width of the bottom margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x506ff
 Enter the domain name used by the local site or referenced HTML. Imported assets are defined as internal or external based on the domain name entered here. Links that include this domain name in their URL are considered internal.

.topic 0x50700
 Opens an Open dialog where you can choose a personal dictionary (*.dic) file.

.topic 0x50702
 Click this button to open the Text Settings dialog, where you can modify the text formatting for the current style element.

.topic 0x50703
 Customize names on the page. Change the title that displays in the browser, the button and banner names, and the file extension of the published HTML page. Use Custom Names if you want to break a long name into multiple names to fit on a button or banner.

.topic 0x50707
 Enter the correct file path or click Browse to locate the file or folder.

.topic 0x50709
 Choose an application to use as an HTML editor, which is opened when you choose Open File in External Editor from the shortcut menu. Enter the filename and path here, or click Browse to locate a program file (.exe).

.topic 0x10000061
 Displays the current display setting for the selected navigation bar. Click the Options button to adjust the current display setting.

.topic 0x5070b
 Click to open the Text Settings dialog, where you can modify the text formatting for the current style element.

.topic 0x5070d
 Click to set a background sound to play for the current page.

.topic 0x5070e
 Select this option to limit the number of pages imported from the website. Enter or adjust the maximum number of pages in the number field.

.topic 0x5070f
 Displays the file or folder that cannot be found at its stored file path.

.topic 0x50713
 Enter a name for the form here. The form name is used primarily for advanced scripting.

.topic 0x50714
 Select this option to limit the depth of directory levels to be imported from the website. Enter or adjust the number of levels in the number field.

.topic 0x50715
 Locate files or folders.

.topic 0x50718
 Select this option to use images from the current SiteStyle for this navigation bar or banner. You can also choose to use primary or secondary images, as defined by the SiteStyle, for button navigation bars. This option has no effect on text navigation bars.

.topic 0x5071a
 Click this button to skip this file and continue verifying file assets.

.topic 0x10000062
 Adjust the default page or layout width for new pages you create.

.topic 0x5071c
 Select this option to set the banner or navigation bar to use images from a different style than the style set in Style view. Then choose from the drop-down list that contains a list of styles.

.topic 0x5071f
 If a folder that contains multiple assets is missing, the folder is listed above, and all the complete file paths of the missing assets are listed here. Instead of redefining the path for each file, redefine the path for the containing folder and all the broken paths are fixed at once.

.topic 0x50720
 Opens the Background Sound dialog, where you browse for another sound file and set the file to loop continuously.

.topic 0x50721
 Select a style to use for the selected banner or navigation bar. This affects the current banner or navigation bar only.

.topic 0x50722
 Enter the path and filename of a sound file to use as the background sound for this page (aiff, .au, .wav .ra, and .mid files are supported). Click Browse if you want to browse for a sound file.

.topic 0x10000063
 Specify what levels of pages have buttons in the selected navigation bar.

.topic 0x50726
 Use the spin buttons to adjust the rotation of the selected picture in 90 degrees increments.

.topic 0x50727
 Select this option to have the background sound repeat continuously when site visitors browse to this page.

.topic 0x5072b
 Displays the currently selected font. To change it, click the Set button.

.topic 0x5072c
 Browse for sound files (.aiff, .au, .wav, .ra, and .mid files are supported).

.topic 0x50730
 Displays the current text color.

.topic 0x50733
 Click here to display all fields listed above in the data list.

.topic 0x5073c
 Click to reset all fields in this dialog.

.topic 0x5073e
 Displays a number indicating the order of frames selected with the icons above. This order determines which frames span the height or width of the MasterBorder margin or end at another frame’s edge.

.topic 0x5073f
 Displays a number indicating the order of frames selected with the icons above. This order determines which frames span the height or width of the MasterBorder margin or end at another frame’s edge.

.topic 0x50741
 Displays a number indicating the order of frames selected with the icons above. This order determines which frames span the height or width of the MasterBorder margin or end at another frame’s edge.

.topic 0x50743
 Displays a number indicating the order of frames selected with the icons above. This order determines which frames span the height or width of the MasterBorder margin or end at another frame’s edge.

.topic 0x50745
 Select this option if you want HTML frame borders to be visible in Web browsers.

.topic 0x50594
 The image itself will be placed on the page unconverted. The image might not show up in most browsers.

.topic 0x50427
 Click to cancel the modification to the property or parameter selected below.

.topic 0x50d65
 Click this button to open an applicable dialog such as a standard Open, Color Picker, or Link dialog, to edit the selected parameter.

.topic 0x5056a
 Displays the total size of the current page, which includes the current layout size plus the MasterBorder size. You change the page size by changing either the page layout size or the MasterBorder size.

.topic 0x50225
 Enter or adjust the number of directory levels to be imported from the website.

.topic 0x503ee
 Select from a drop-down list of available files used by this Java applet or servlet. To add or delete Java files click the Additional Files button, which opens the Java Applet Files dialog. This dialog allows you to manage a list of Java files referenced by this applet or servlet.

.topic 0x505be
 Adjust the width of the left margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x50567
 Adjust the width of the left margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x10000064
 Adjust the default page or layout height for new pages you create.

.topic 0x5041c
 Enter a custom title for the current page. Site visitors see this title in the title bar of their browser when they view this page. This overrides the default page title, which is the page name.

.topic 0x50568
 Displays the total size of the current page, which includes the current layout size plus the MasterBorder size. You change the page size by changing either the page layout size or the MasterBorder size.

.topic 0x5040a
 Click this button to remove a Java file from the list.

.topic 0x50435
 Applies strikeout formatting to the selected text.

.topic 0x50492
 Click this button to add and edit text on the selected object.

.topic 0x50d6b
 Enter or edit the selected property in this field. Click the check icon to save your changes, or the X icon to cancel the adjustment.

.topic 0x50409
 Enter or edit the selected property in this field. Click the check icon to save your changes, or the X icon to cancel the adjustment.

.topic 0x5082c
 Enter a custom banner name for the current page. This overrides the default banner name, which is the page name.

.topic 0x5041e
 Enter a custom button name for the current page. This overrides the default button name, which is the page name. The name you enter here is used in all navigation buttons for the current page that appear throughout the site.

.topic 0x50586
 Adjust the width of the right margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x50403
 Shows a list of the available properties for various objects. Depending on which type of object is selected, you see different parameter/value combos. Click on a parameter and then edit it above. Click the small square button labeled with … to open a browse or Link dialog. Click the checkmark icon to save your changes, or the X icon to cancel the current adjustment.

.topic 0x50494
 Use this slider to adjust the degree of text rotation. In Page view, the text is repositioned immediately on-screen so you can preview it. The degree of rotation is displayed to the right. If the Right angles option is selected, text rotation is constrained to 90-degree increments.

.topic 0x5056f
 Adjust the width of the right margin here. You can also click and drag the rectangular gray MasterBorder handles that appear in the ruler.

.topic 0x50608
 Displays the file name of the background sound you have selected for this page.

.topic 0x5042d
 Enter a custom file extension to use for the current page. When the HTML for this page is published, the HTML file name has the extension you set here. This overrides the default extension, which is set in the Define Servers dialog in Publish view. This custom extension applies to the current page only.

.topic 0x50220
 Enter or adjust the maximum number of pages to be imported from the website.

.topic 0x50223
 Click here to increase or decrease the selected parameter.

.topic 0x10000065
 Adjust the default page or layout width for new pages you create.

.topic 0x50261
 Apply subscript formatting to the selected text.

.topic 0x5025e
 Enter or modify the text you want to place on the selected object. Modify font settings for the text below.

.topic 0x50262
 Apply superscript formatting to the selected text.

.topic 0x10000066
 Adjust the default page or layout height for new pages you create.

.topic 0x50224
 Use the spin buttons to adjust the rotation of the selected picture in 90 degrees increments.

.topic 0x10000067
 Browse for an image file to use for this style's background.

.topic 0x5084f
 Positions text horizontally to the left within the object. This is different from the Relative Alignment buttons above. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x50487
 Positions text horizontally to the center within the object. This is different from the Relative Alignment buttons above. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x5048d
 Positions text horizontally to the right within the object. This is different from the Relative Alignment buttons above. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x50484
 Positions text vertically to the top within the objects. This is different from the Relative Alignment buttons above. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x5084c
 Positions text vertically to the center within the objects. This is different from the Relative Alignment buttons above. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x5084d
 Positions text vertically to the bottom within the objects. This is different from the Relative Alignment buttons above. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x5075f
 Select this option so the application window is always maximized at startup.

.topic 0x10000068
 Adjust the amount of space between the text and the border of the text box. If you select this option, the generated HTML code contains a table within a table to achieve the inset amount.

.topic 0x50768
 Displays a list of previously defined links of the selected type. You can select a link from this list instead of retyping it.

.topic 0x50764
 Select this option to optimize HTML generation for Netscape browsers. Optimized WYSIWYG support displays the previewed or published site in Netscape Navigator or Communicator as it appears in Page view.

.topic 0x50765
 Select this option to optimize HTML generation for Microsoft Internet Explorer. Optimized WYSIWYG support displays the previewed or published site in Microsoft Internet Explorer as it appears in Page view.

.topic 0x50766
 Choose a language dictionary to use for spell checking from this drop-down list.

.topic 0x10000069
 Adjust the amount of space between the text and the border of the text box.

.topic 0x506e9
 Click to leave the word in the Not found field unchanged.

.topic 0x506ed
 Click here to specify the language and personal dictionary to use when you check spelling.

.topic 0x1000006a
 Displays words not found in the dictionary or personal dictionary file are displayed here. You automatically have a personal dictionary assigned, but you can change it by clicking Options.

.topic 0x1000006b
 Suggested spellings for the misspelled word are displayed here. The most probable word spelling appears in the Change to field. Choose another word from the list of suggestions to replace the entry in the Change to field.

.topic 0x506fc
 Displays the personal dictionary file in use. Click the Browse button to locate a dictionary file (*.dic) or enter its path and name here.

.topic 0x5042c
 Click here to change all instances of the word in the Not found field to the word in the Change to field.

.topic 0x50428
 Click here to leave all instances of the word in the Not in Dictionary field unchanged during this spell check.

.topic 0x50425
 Click here to add the word in the Not found field to the personal dictionary selected in Spell Check Options.

.topic 0x5043b
 Click here to change the word in the Not found field to the word in the Change to field.

.topic 0x5042f
 Click here to display a list of suggested alternatives for the word in the Change to field.

.topic 0x505c3
 Locks minimum height of current text box. Use this feature to maintain a fixed minimal height, even when the box contains little text. This is helpful in preserving layouts when a site visitor's browser font size is smaller than the default or when designing layouts before all text is entered.

.topic 0x5076d
 Click and hold the mouse button down over this button to view a superimposed outline of the HTML tables that will be generated for the current layout if a tables option is selected in the HTML Output drop-down list.

.topic 0x5076c
 If you have tables selected in the HTML Output Method drop-down list, these options determine how HTML is generated for the table structure. Browser font preferences cause text boxes to grow or shrink vertically based on the size of the fonts in them. With Columns selected, the space between a text box and the object beneath it is preserved because HTML tables are generated with a preference for columns. With Rows selected, the relative horizontal positions objects is preserved more because HTML tables are generated with a preference for rows.
 To view the HTML table structure that will be generated, click the Show button and hold the mouse button down. For further information, see Help topics.

.topic 0x50786
 If you have tables selected in the HTML Output Method drop-down list, these options determine how HTML is generated for the table structure. Browser font preferences cause text boxes to grow or shrink vertically based on the size of the fonts in them.
 With Columns selected, the space between a text box and the object beneath it is preserved because HTML tables are generated with a preference for columns; the relative vertical position of objects is preserved more than the relative horizontal position of objects. With Rows selected, the relative horizontal positions of text boxes and other objects are preserved more than the relative vertical position of objects.
 The Columns option is selected by default. To view the HTML table structure that will be generated, click the Show button and hold the mouse button down. For further information, see Help topics.

.topic 0x5076e
 If you have tables selected in the HTML Output Method drop-down list, these options determine how HTML is generated for the table structure. Browser font preferences cause text boxes to grow or shrink vertically based on the size of the fonts in them.
 With Columns selected, the space between a text box and the object beneath it is preserved because HTML tables are generated with a preference for columns; the relative vertical position of objects is preserved more than the relative horizontal position of objects. With Rows selected, the relative horizontal positions of text boxes and other objects are preserved more than the relative vertical position of objects.
 The Columns option is selected by default. To view the HTML table structure that will be generated, click the Show button and hold the mouse button down. For further information, see Help topics.

.topic 0x50785
 If you have tables selected in the HTML Output Method drop-down list, these options determine how HTML is generated for the table structure. Browser font preferences cause text boxes to grow or shrink vertically based on the size of the fonts in them. With Columns selected, the space between a text box and the object beneath it is preserved because HTML tables are generated with a preference for columns. With Rows selected, the relative horizontal positions objects is preserved more because HTML tables are generated with a preference for rows.
 To view the HTML table structure that will be generated, click the Show button and hold the mouse button down. For further information, see Help topics.

.topic 0x1000006c
 Mark a selected page completed. When you set the status of a page to Done, a small checkmark appears in the upper-right of the page icon. This checkmark is for your reference only and has no effect on publishing the site.

.topic 0x1000006d
 Mark a selected page as not completed. When you set the status of a page to Not Done, the checkmark disappears from the upper-right of the page icon. This checkmark is for your reference only and has no effect on publishing the site.

.topic 0x5089a
 Enter a name for the new MasterBorder.

.topic 0x50872
 Adjust the left, top, right and bottom MasterBorder margins below.

.topic 0x50884
 Click to un-indent the selected text. The shortcut key for un-indent is Shift + Tab.

.topic 0x50134
 Shows the color of the parent of the selected section. To change the color of all selected pages in the section, click the Color button.

.topic 0x50814
 Select this option to create a site based on a NetObjects Fusion template. Then, in the Select a Template File dialog, locate a template file and click Open. A template (.nft) is a special kind of site that you do not open directly. Instead, you create a new site based on the template. The new site is an identical copy of the template.

.topic 0x51498
 Enter a UNIX permission string for this server location. It will be determine the UNIX permissions assigned to the published files.

.topic 0x508ab
 Select this option to import the <HEAD> tag section of the referenced HTML. You can either append the imported page's <HEAD> tag to the current page's <HEAD> or replace the current page’s <HEAD> tag. Select one of these options in the drop-down list.

.topic 0x508aa
 If the Import <HEAD> option is checked, select from the two options in this drop-down list. You can either append the imported page's <HEAD> tag to the current page's <HEAD> or replace the current pages' <HEAD> tag.

.topic 0x508a0
 Enter the new name for the MasterBorder.

.topic 0x507a0
 If you have tables selected in the HTML Output Method drop-down list, these options determine how HTML is generated for the table structure. Browser font preferences cause text boxes to grow or shrink vertically based on the size of the fonts in them. With Columns selected, the space between a text box and the object beneath it is preserved because HTML tables are generated with a preference for columns. With Rows selected, the relative horizontal positions objects is preserved more because HTML tables are generated with a preference for rows.
 To view the HTML table structure that will be generated, click the Show button and hold the mouse button down. For further information, see Help topics.

.topic 0x5087f
 Date the file was last modified.

.topic 0x1000006e
 Sets the Layout Region background to a solid color.

.topic 0x5148a
 Available if you select the text option above. Enter the text you want displayed on the button and specify whether it is a Submit, Reset, or other button type. A Submit button sends the data to the Web server, a Reset button clears the form, and you can add a custom button to run a script on the site visitor’s browser.

.topic 0x50810
 Select this option to create a new blank site. The new site will include basic navigational objects such as a banner and navigation bar. To base a new site on an existing website, select New Site, From Local Import or New Site, From Remote Import from the File menu.

.topic 0x51494
 Click this button to remove the selected alias from the list.

.topic 0x5094c
 Modify the name of this action in this field. The name you enter here is used in the Actions dialog and the Actions Properties tab. Naming actions descriptively helps you organize a complex series of actions.

.topic 0x50876
 File or folder name.

.topic 0x5087a
 File asset type.

.topic 0x50953
 Click here to specify a message to send to the target object. Messages are the heart of actions; they send information or instructions to the target object. The choices for action messages are numerous and vary depending on the target object. For example, if you target the Layout, context-specific menu options for window and browser appear. Messages can also be triggers that start other actions when they are received by target objects. See Help topics for more information.

.topic 0x509d2
 Select a trigger event for this action. A trigger event can be a user input such a as Mouse Over, a browser state such as page loaded or exiting, an action complete message, or a custom message sent from another object. Click the square button to the right (labeled with an arrow icon) to select from a menu of possible triggers.

.topic 0x514aa
 This contains a list of styles and style sources available to this site. Select Add SiteStyle Source… from the Style menu to add a new SiteStyle source. Click a style and click Set Style to apply the style to the site. When you apply a style, all navigation bars, banners, and other style elements in Page view change to the new images. Double-click style elements to edit them.

.topic 0x1000006f
 This contains a list of styles and style sources available to this site. Select Add SiteStyle Source… from the Style menu to add a new SiteStyle source. Click a style and click Set Style to apply the style to the site. When you apply a style, all navigation bars, banners, and other style elements in Page view change to the new images. Double-click style elements to edit them.

.topic 0x10000070
 Displays the background color that is applied if the Solid Color option is selected.

.topic 0x50879
 Select an HTML output type from the drop-down list to be the default for all new pages in the site. This determines the method by which this site’s HTML is generated when you publish or preview. A detailed description of each HTML output method appears below.

.topic 0x51496
 Click this button to open the New Alias dialog, where you can add a new alias. See help within that dialog for more information.

.topic 0x51490
 Choose an orientation for the selected banner or navigation bar. When you place a banner or navigation bar, drag vertically to create a vertical banner or navigation bar, and drag horizontally to create a horizontal banner or navigation bar.

.topic 0x10000071
 Select this option if you want the active site’s database to be compacted each time you exit the site. The feature is enabled by default. The result of compaction is decreased .nod file sizes. We recommend that you leave this option enabled.

.topic 0x10000072
 Click to remove currently selected custom image from the navigation bar or banner. Use custom images for buttons in navigation bars if you want unique artwork for every button but you still want NetObjects Fusion to manage the automatic linking of the buttons based on SiteStructure.

.topic 0x10000073
 Click to remove currently selected custom image from the navigation bar. Use custom images for button rollover images in navigation bars if you want unique artwork for every button but you still want NetObjects Fusion to manage the automatic linking of the buttons based on SiteStructure.

.topic 0x508c3
 Displays the file name of the rollover image of the currently selected button in the navigation bar. Use custom images for buttons in navigation bars if you want unique artwork for every button but you still want NetObjects Fusion to manage the automatic linking of the buttons based on SiteStructure.

.topic 0x50202
 Click to change the rollover image of the currently selected button in the navigation bar. Use custom images for buttons in navigation bars if you want unique artwork for every button but you still want NetObjects Fusion to manage the automatic linking of the buttons based on SiteStructure.

.topic 0x10000074
 Sets the Layout Region background to transparent.

.topic 0x514b3
 This option is available when the Size to layout option is selected. Select this option if you want the contents of the text box wrap to the browser width. In some cases, the HTML output of the page is generated without tables, which results in text and objects wrapping to the width of the browser. When you use the Nested or Regular Tables HTML output with a MasterBorder composed of frames or set to ZeroMargins, for example, the contents of a text box sized to the layout wraps to the browser’s width.

.topic 0x508ac
 Select this option to have this message broadcast to all children of the target. For example, if a custom message is sent to a Layout Region, and this option is enabled, the custom message is sent to all objects inside the Layout Region. This can be very useful and timesaving when creating complex dynamic pages.

.topic 0x508a5
 A description of the publish option selected above. For more information about these options, see Help topics.

.topic 0x503ff
 Click this button to delete the selected server location. Its location properties are permanently deleted.

.topic 0x501ab
 Select the directory structure you want the published site to have. Select either Flat, By Site Section or By Asset Type to read its description.

.topic 0x5088c
 Displays the external HTML filename. Click the Browse button to open the Reference HTML Page dialog, where you can select a new external HTML file to reference.

.topic 0x514a2
 Click this button to clear all manual customizations you made to the directory structure. The directory structure will reset to the selected directory structure.

.topic 0x10000075
 Click here to edit the selected Web server location.

.topic 0x51492
 Displays a list of current aliases. Click the Add button to add a new alias, Remove to remove the current selection or Edit to modify the selection. You can create an alias when you need to store certain assets of the site in a different location from the rest of the site. Any assets in the URL path you specify are actually transferred to the FTP path you specify. Your Web server must have the same alias configured so that the URL path refers to the FTP location.

.topic 0x5089d
 Deselect this option to hide the selected object when the page is initially loaded. This is used by actions, which can dynamically hide and show objects, move objects, and display objects with transitions.

.topic 0x50881
 Select the Applet option if the selected Java .class file is an applet.

.topic 0x50885
 Select the Servlet option if the selected Java .class file is a servlet.

.topic 0x50890
 When this option is selected, the directory location of this file has been manually changed from the default.

.topic 0x50883
 Date this file was last published.

.topic 0x5089b
 Shows the maximum number of subdirectories that will be generated when you publish by site section.

.topic 0x5087d
 File creation date.

.topic 0x514a6
 Specify a message to send to the target object. Click the square button to the left (labeled with the arrow icon) to select a message from the menu. Messages are the heart of actions; they send information or instructions to the target object. The choices for action messages are numerous and vary depending on the target object. For example, if you target the Layout, context-specific menu options for window and browser appear. Messages can also be triggers that start other actions when they are received by target objects. See Help topics for more information.

.topic 0x50955
 Click here to specify an appropriate parameter for this message. Some actions require or accept additional parameters that control some aspect of their activity. In most cases, you can select from a list of predefined parameter values. Select Values from the menu to set detailed parameter values for selected message above. Select Expression from the menu to write or insert a JavaScript expression to generate or control the parameter values. Once you have selected or set the parameter value, the name of the value appears here.

.topic 0x50954
 Specify an appropriate parameter for this message. Click the square button to the right (labeled with a right arrow icon) to select from the parameter menu. Some actions require or accept additional parameters that control some aspect of their activity. In most cases, you can select from a list of predefined parameter values. Select Values from the menu to set detailed parameter values for selected message above. Select Expression from the menu to write or insert a JavaScript expression to generate or control the parameter values. Once you have selected or set the parameter value, the name of the value appears here.

.topic 0x514a7
 Specify an appropriate parameter for this message. Click the square button to the right (labeled with a right arrow icon) to select from the parameter menu. Some actions require or accept additional parameters that control some aspect of their activity. In most cases, you can select from a list of predefined parameter values. Select Values from the menu to set detailed parameter values for selected message above. Select Expression from the menu to write or insert a JavaScript expression to generate or control the parameter values. Once you have selected or set the parameter value, the name of the value appears here.

.topic 0x514a5
 Select a target object for this action. The default target is the object you’re adding the action to. Click the ellipsis button on the right to select a target object from the Object Tree.

.topic 0x10000076
 Enter the scripted action directly into this edit field. Click the Insert Script button to insert a text script file. To insert a call that returns an action’s value, click the Insert Action button.

.topic 0x504f7
 Opens the Actions dialog, where you can select an action to insert into a scripted action. Only actions that you have already assigned to the current object are listed. A call that returns an action’s value is inserted, in the form $(Action).

.topic 0x50732
 Select a parameter value from this drop-down list.

.topic 0x505c6
 Resizes the selected text box to occupy the entire layout. When this option is selected, you cannot resize the text box. When a text box is sized to the layout, you can set the Contents wrap to browser width option.

.topic 0x10000077
 Specify the maximum number of backup files to be maintained in the location specified above. When the maximum number is reached, the earliest backups are deleted. The maximum allowed number of backup files is 20 and the default setting is 4.

.topic 0x503fc
 Click this button to add a new Web server location. You must provide connection information such as the IP name or address, login name and password, a directory name to which you have write access, and other publishing information.

.topic 0x50950
 Select a target object for this action. The default target is the object you’re adding the action to. Click the ellipsis button on the right to select a target object from the Object Tree.

.topic 0x50136
 Click here to change the color of all selected pages to the same color. This overrides any previous color settings.

.topic 0x10000078
 Opens the standard Open dialog where you can select an image to use as a background for this Layout Region.

.topic 0x514b1
 A warning prompt or informational message is displayed here.

.topic 0x5013c
 Shows the color of the parent of the selected section. To change the color of all selected pages in the section, click the Color button.

.topic 0x50895
 Date this file was last locally published.

.topic 0x504b0
 Enter the FTP path for the alias. This is the actual location that the virtual folder or alias points to on your Web server. This alias must also be configured on the Web server itself so it will direct requests to the above URL path to this location.

.topic 0x5085a
 Indicates that the selected object exists in an error state. Hold you mouse over the alert exclamation that appears inside the selected object for more details.

.topic 0x5085d
 Indicates that the selected object exists in an error state. Hold you mouse over the alert exclamation that appears inside the selected object for more details.

.topic 0x10000079
 Displays the image file in use as the background for this Layout Region.

.topic 0x5089c
 Displays all available MasterBorders for this site. You cannot rename or delete the ZeroMargins MasterBorder.

.topic 0x1000007a
 Select this option if you want automatic backup copies made of the site files. Then customize the backup settings below. Automatic backup is enabled by default.

.topic 0x514b0
 Select this option if you do not want to see this message or prompt appear again.

.topic 0x50887
 If this option is selected, the file cannot be customized. Certain internal files might be marked as read-only to preserve their required relative positions.

.topic 0x50951
 Select a target object for this action by clicking this button to select a target object from the Object Tree.

.topic 0x508d8
 When this option is selected, this file needs to be published. This attribute is set if this file has changed since it was last published. For example, generated HTML files need to be published when the contents of the pages change.

.topic 0x50926
 Select this option to apply the clear right attribute to the closing line break for the selected paragraph (in HTML, <BR CLEAR=RIGHT>). This breaks the line, and adds space until you have a clear right edge free of pictures or other inserted objects. Select both left and right to apply the clear all attribute.

.topic 0x50948
 Select this option to apply the clear left attribute to the closing line break for the selected paragraph (in HTML, <BR CLEAR=LEFT>). This breaks the line, and adds space until you have a clear left edge free of pictures or other inserted objects. Select both left and right to apply the clear all attribute.

.topic 0x50898
 Click here to add a new MasterBorder. The New MasterBorder dialog will open, where you name the new MasterBorder and choose a MasterBorder to base it from. To begin with an empty MasterBorder, you can base the new MasterBorder on the default ZeroMargins MasterBorder.

.topic 0x1000007b
 Select this option to use an image as the background for this Layout Region. If you use a transparent GIF, you can also choose a background color.

.topic 0x5089f
 Shows the maximum number of subdirectories that will be generated when you publish by site section.

.topic 0x500ab
 Select a default proportional font for this site from the drop-down list. These are the fonts used in Page view wherever text is set as Automatic and are overridden by fonts set in text styles in SiteStyle.

.topic 0x500ac
 Select a default fixed width (or monospace) font for this site from the drop-down list. These are the fonts used in Page view wherever text is set as Automatic and are overridden by fonts set in text styles in SiteStyle.

.topic 0x50611
 Select a size for the default proportional font.

.topic 0x50613
 Select a size for the default fixed width font.

.topic 0x50004
 Click this button to rename the selected MasterBorder. You cannot rename the ZeroMargins MasterBorder.

.topic 0x50899
 Click this button to delete the selected MasterBorder. You cannot delete the ZeroMargins MasterBorder.

.topic 0x1000007c
 Click to select a color for the Layout Region background.

.topic 0x5051b
 Click here to open the Advanced Settings dialog, where you can configure settings such as server port, permissions and aliases.

.topic 0x5088b
 Select this option to turn publishing on or off for this asset. You can turn publishing for an entire page on or off on the Page Properties panel.

.topic 0x50634
 Enter a relative URL path for the alias. The alias is a virtual folder that points to the FTP location set below. This path is relative to the root directory of the published site and is not a full URL. For example, if the directory structure in Publish view has a folder called CompanyPix under the Assets folder, the URL Path would be ./companypix.

.topic 0x508a2
 Select a method of generating quote characters in text boxes in the published website.

.topic 0x5148e
 Choose an orientation for the selected banner or navigation bar. When you place a banner or navigation bar, drag vertically to create a vertical banner or navigation bar, and drag horizontally to create a horizontal banner or navigation bar.

.topic 0x1000007d
 Select a file naming convention from the drop-down list. Choose from either dated backup files or sequentially numbered backup files.

.topic 0x5013b
 Assigns one MasterBorder to all selected pages. Select the MasterBorder from the drop-down list. This overrides the MasterBorder settings for each page.

.topic 0x514ad
 Select this option so the file is always published. This overrides the Publish changed assets only option available from the Publish dialog (which opens when you publish in Publish view). Even when that option is selected, this file will be published regardless of whether the file has changed or not.

.topic 0x50402
 Lists available locations to which you can publish. Choose Local to publish the site to your local hard drive. The local publish location is in the \User Sites\Sitename folder. Before you can publish to Remote Publish Server, you must edit it; double click it and enter valid connection information for a specific Web server.

.topic 0x1000007e
 Specify the maximum number of backup files to be maintained in the location specified above. When the maximum number is reached, the earliest backups are deleted. The maximum allowed number of backup files is 20 and the default setting is 2.

.topic 0x5021d
 Click to change the maximum number of subdirectories that will be generated when you publish by site section.

.topic 0x1000007f
 Use to set the start value of a numerical or alphabetical bulleted list. Although the dialog only accepts whole numbers, they correspond to their alphabetical or roman equivalents.

.topic 0x50859
 Displays the Object ID for the selected object. This ID is used for actions that refer to this object and it is displayed in the Object Tree panel. You can change this ID at any time and all current references to this Object ID are updated automatically.

.topic 0x10000080
 Opens the Browse for Folder dialog, where you can select another folder for the backup files.

.topic 0x51581
 Opens the Browse for Folder dialog, where you can select another folder for the local publish.

.topic 0x10000081
 Type the location where you want to keep the backup site files or click Browse to select a new location. The default backup location is User Sites\sitename\Backups\.

.topic 0x507a1
 If you have tables selected in the HTML Output Method drop-down list, these options determine how HTML is generated for the table structure. Browser font preferences cause text boxes to grow or shrink vertically based on the size of the fonts in them. With Columns selected, the space between a text box and the object beneath it is preserved because HTML tables are generated with a preference for columns. With Rows selected, the relative horizontal positions objects is preserved more because HTML tables are generated with a preference for rows.
 To view the HTML table structure that will be generated, click the Show button and hold the mouse button down. For further information, see Help topics.

.topic 0x50952
 Specify a message to send to the target object. Click the square button to the left (labeled with the arrow icon) to select a message from the menu. Messages are the heart of actions; they send information or instructions to the target object. The choices for action messages are numerous and vary depending on the target object. For example, if you target the Layout, context-specific menu options for window and browser appear. Messages can also be triggers that start other actions when they are received by target objects. See Help topics for more information.

.topic 0x5157f
 Enter the script in this edit field. It must be valid JavaScript with correct syntax.

.topic 0x51580
 Enter a name for the new custom message in this edit field. A custom message is a simple text string you create that becomes available in the When menu as a trigger and in the Message menu as an action. You can then send it as an action from one object to another to trigger other actions.

.topic 0x5094f
 Select a trigger event for this action. A trigger event can be a user input such a as Mouse Over, a browser state such as page loaded or exiting, an action complete message, or a custom message sent from another object. Click the square button to the right (labeled with an arrow icon) to select from a menu of possible triggers.

.topic 0x5149a
 Click this button to open the Edit Alias dialog, where you can edit the selected alias.

.topic 0x5089e
 Select options below. See help on each option below for more information.

.topic 0x508a3
 Select this option if you do not want NetObjects Fusion to move or manage the assets of the referenced HTML pages. If you select this option, the assets show up in Assets view where you can manage them. They are sent by FTP to the website when you publish the site. If you clear this option, you must manually send them to the website using FTP after you publish the site.

.topic 0x508a6
 Enter the domain name used by the local site or referenced HTML. Imported assets are defined as internal or external based on the domain name entered here. For example, links that include this domain name in their URL are considered internal.

.topic 0x508a8
 Enter the domain name used by the local site or referenced HTML. Imported assets are defined as internal or external based on the domain name entered here. For example, links that include this domain name in their URL are considered internal.

.topic 0x50138
 Mark a selected page as not completed. When you set the status of a page to Not Done, the checkmark disappears from the upper-right of the page icon. This checkmark is for your reference only and has no effect on publishing the site.

.topic 0x50137
 Mark a selected page as completed. When you set the status of a page to Done, the checkmark appears from the upper-right of the page icon. This checkmark is for your reference only and has no effect on publishing the site.

.topic 0x50139
 Select this option if you want this page to publish with the rest of the site. By default all pages are set to Publish.

.topic 0x5013a
 Select this option if you do not want this page to be published when you publish the rest of the site. If you select this option, this page’s navigation buttons do not show up on other pages. A red dot appears in the upper right of each page icon to indicate that the Don't Publish option is set. Use this option to prevent pages from being published before they are ready.

.topic 0x50135
 Shows the color of the parent of the selected section. To change the color of all selected pages in the section, click the Color button.

.topic 0x5080f
 Click here to find the next instance of the text you want to find.

.topic 0x5081a
 Enter the text you want to find here.

.topic 0x5081e
 Enter the text with which you want to replace the found text.

.topic 0x507a3
 Select this option to match the exact uppercase or lowercase of the text you want to find.

.topic 0x507a2
 Select this option to the match only the entire word entered above. All instances of the text found inside larger words are ignored.

.topic 0x50817
 Click to replace all instances of the found text with the replacement text.

.topic 0x50813
 Click to replace the found text with the replacement text.

.topic 0x5086b
 Select an HTML output type for the current page or Layout Region from the drop-down list. If you select a Publish Setting, the HTML output reflects the setting in the Site Settings. Choose Site Settings from the Tools Menu and click Change on the General tab to find a detailed description of each HTML output method.
 For a Layout Region, choose Parent Setting if you want the selected Layout Region to inherit the output method of its container.

.topic 0x50857
 Select this option to designate the current selection as a form. A Layout, a Layout Region, a table, table cells, or a text box can be made into a form. Click the Settings button to configure the form.

.topic 0x1098f
 Select this option to view rulers and guides. You can set the unit of measurement for rulers, guides, and grid in the Application Options dialog.

.topic 0x10990
 Select this option to view the grid. To configure the grid, adjust the Width and Height fields.

.topic 0x1098e
 Select this option to display or hide text labels and dividing lines for page areas such as the Layout, MasterBorders, and frames. This option is also available on View menu.

.topic 0x5098d
 Select this option if you want objects to snap to guides you've placed on the page.

.topic 0x1053d
 Select this option to display or hide outlines around each object placed on the page. This option is also on the View menu.

.topic 0x505c4
 Select this option if you want objects to snap to the grid. This option is also on the View menu.

.topic 0x50748
 Select this option if you want objects to snap to each other.

.topic 0x5055c
 Use to adjust the width of the grid blocks.

.topic 0x505ca
 Use to adjust the width of the grid blocks. The unit of measurement is set in Application Options.

.topic 0x505ac
 Use to adjust the height of the grid blocks.

.topic 0x50564
 Use to adjust the height of the grid blocks.

.topic 0x5049f
 Use to adjust the height of the grid blocks. The unit of measurement is set in Application Options.

.topic 0x10000082
 Opens the Insert HTML dialog, where you can insert tags and fields, including user-defined variables, into the HTML of the text, at the insertion point. The inserted HTML will be generated within the text at the selected point.

.topic 0x5020c
 Select a publish location for this site. To edit properties of the publish location selected from this drop-down list, click the Edit button. To add a new publish location, go to Publish Setup, Server Locations tab. If you haven’t published before, you need to set up publish locations and options from the Publish Setup dialog.

.topic 0x503ec
 Click here to edit properties of the publish location selected from the drop-down list. To add a new publish location, go to Publish Setup, Server Locations tab.

.topic 0x50404
 Select this option to re-publish only those assets that have changed since the last publish. This does not impact the site’s pages, which are always regenerated and reloaded when you publish the site. Note: NetObjects Fusion does not query the server to see if it has all the unchanged assets needed by the site. If you publish changed assets only, be sure you publish to the same location as you did previously, so assets that were published previously are still available.

.topic 0x5148b
 Select this option to create a Layout Region that is designated a form container. Form objects must be placed within form containers. The Forms toolbar, which contains tools for making form objects, will display after the form area is created. Use Layout Regions, text boxes, or tables as form containers if you want multiple forms on one page. You can make any existing Layout Region, text box, table, or layout a form container by selecting it and clicking its form check box on the Property panel.

.topic 0x5148d
 Select this option to create a text box that is designated a form container. Form objects must be placed within form containers. The Forms toolbar, which contains tools for making form objects, will display after the form area is created. Use Layout Regions, text boxes, or tables as form containers if you want multiple forms on one page. You can make any existing Layout Region, text box, table, or layout a form container by selecting it and clicking its form check box on the Property panel.

.topic 0x5148f
 Select this option to create a table that is designated a form container. Form objects must be placed within form containers. The Forms toolbar, which contains tools for making form objects, will display after the form area is created. Use Layout Regions, text boxes, or tables as form containers if you want multiple forms on one page. You can make any existing Layout Region, text box, table, or layout a form container by selecting it and clicking its form check box on the Property panel.

.topic 0x50d70
 Select this option to define the layout itself as a form container. Form objects must be placed within form containers. When the layout is defined as a form, you cannot have multiple forms on the page. If you want multiple forms on one page, use Layout Regions, text boxes, or tables as form containers. The Forms toolbar, which contains tools for making form objects, will display after the form is created.

.topic 0x51491
 Select this option to define the layout itself as a form container. Form objects must be placed within form containers. When the layout is defined as a form, you cannot have multiple forms on the page. If you want multiple forms on one page, use Layout Regions, text boxes, or tables as form containers. The Forms toolbar, which contains tools for making form objects, will display after the form is created.

.topic 0x5082b
 Select this option if you want to always open to the most recently used file at startup.

.topic 0x5086c
 Select this option to use small fonts in the Properties panels. The panel itself is smaller in size, which helps you conserve screen space.

.topic 0x18098
 New Site from Blank Site template. Enter a name for the new site file and select a file location. A folder containing the new site will be created in the selected location, by default the NetObjects Fusion User Sites folder. The site folder consists of the site file, yoursitename.nod, and an Assets folder.

.topic 0x18099
 New Site from Template. Create a site from a template. Locate a NetObjects template file (.nft file) on which to base the new site, or create your own templates by exporting a site as a template.

.topic 0x1809f
 New Site from Existing website. Create a new site by importing an existing website. You can import a local website—you must have access to the site’s HTML files on your computer or local network—or you can import a remote website—you must be able to access the site through a Web browser. The HTML of the website is converted to NetObjects Fusion format.

.topic 0x1814a
 Import Existing website. Create a new site by importing an existing website. You can import a local website—you must have access to the site’s HTML files on your computer or local network—or you can import a remote website—you must be able to access the site through a Web browser. The HTML of the website is converted to NetObjects Fusion format.

.topic 0x1817c
 Import Document. Create a new Web page by importing an existing document as its contents.

.topic 0x1e101
 Open Site. Open an existing NetObjects Fusion site file. You can only open one site file at a time.

.topic 0x1e103
 Save Site. Saves the current site to disk. If you want the site to be automatically saved as you work, select the Auto Save option in Application Options.

.topic 0x1807b
 Save Site As. Use to save a copy of the current site. The current site will close and the new copy will open.

.topic 0x18144
 Component Add-Ins. Displays any NFX wizards you currently have installed. Components provide specialized functionality such as e-commerce capabilities or database access. See the NetObjects Fusion User Guide or the online Help for more information.

.topic 0x10000083
 Launch Wizard. Use to start a new site or add a page to the site. If you installed NetObjects Fusion or third party wizards, the wizards appear in the Select Site Wizard dialog. Wizards provide specialized functionality such as e-commerce capabilities or database access. See Building Business websites for information.

.topic 0x18151
 Current Site. Helps you manage the site by having many global settings in one location.

.topic 0x1809c
 Insert Template. Insert a template into the current site. Locate a NetObjects template file (.nft file) to insert in the Templates folder. You can create your own templates by saving a website as a .nft file and import it into a new or existing website.

.topic 0x1805e
 Import HTML Page. Converts an existing HTML document (*.htm or *.html file) into a page in Page view. It copies the assets referenced in the HTML onto the page and copies the text and text formatting. Once you import a page, it retains no link to the original HTML file. If you want to use an HTML file while maintaining the ability to edit the HTML, you should use the Reference External HTML Page menu command instead.

.topic 0x180d5
 Reference External HTML.
 If in Site view: Locate the home page of a website that is available on your hard drive or local network. Once you select the home page, NetObjects Fusion determines the HTML files of the site based on internal links in the home page file, then it places each HTML file in the site on a page in the site. The files are placed as external HTML objects, which retain references to the HTML file. When the site is published, the HTML from the files is incorporated into the pages’ HTML. The assets for the site can also be managed by NetObjects Fusion.
 If in Page view: Locate an HTML file that is available on your hard drive or local network. NetObjects Fusion places the HTML file on the page as an external HTML object and retains a reference to the HTML file. When the site is published, the HTML from the file is incorporated into the page’s HTML. The assets for the HTML file can also be managed by NetObjects Fusion.

.topic 0x18066
 Export as Template. Save the current NetObjects Fusion site as a template (.nft) file. Templates can be imported into other sites and new sites can be created from templates.

.topic 0x1e106
 Print Setup. Open the standard Windows Print Setup dialog, with the addition of a Print to fit option.

.topic 0x1e109
 Print Preview. Displays a preview of the printed Site Structure in the standard Windows preview window.

.topic 0x1e107
 Print. Open the standard Windows Print dialog.

.topic 0x18007
 Properties. Shows a Properties dialog for the selected file or folder.

.topic 0x18116
 Clear All Customizations. Select this command to clear all manual customizations you made to the directory structure. The directory structure will reset to the selected directory structure.

.topic 0x1e141
 Exit. Quits the application.

.topic 0x1e12b
 Undo. Undoes the last command or action you performed. You can undo multiple commands.

.topic 0x1e12c
 Redo. Redoes the last command or action you performed.

.topic 0x1e123
 Cut. Deletes the selected object from the page and places it on the Windows clipboard. You can then paste it on the same page or on another page in the same site—do not paste it into another version of NetObjects Fusion. It remains on the clipboard until you copy or cut another object.

.topic 0x1e122
 Copy. Copies the selected object and places it on the Windows clipboard. You can then paste it on the same page or on another page in the same site—do not paste it into another version of NetObjects Fusion. It remains on the clipboard until you copy or cut another object.

.topic 0x1e125
 Paste. Pastes the contents of the Windows clipboard onto the current page. To paste at a specific location on the page, first click in that location and then paste.

.topic 0x1e120
 Delete (object). Delete an object from the site. What gets deleted depends on which view you're in:
 Clear. In Page view, deletes the currently selected object.
 Delete Page. In Site view, removes the selected page or pages from the site structure.
 Delete File (object). In Assets view, removes the selected file, link, data object, or user-defined variable.

.topic 0x180d9
 Select Section. Selects all the child pages of the current page, and the subsequent child pages of those pages.

.topic 0x1e12a
 Select All. Selects all objects in the currently selected MasterBorder or the currently selected Layout, but not both.

.topic 0x10415
 New (object). Add a new object to the site. What gets added depends on what view you're in:
 New Page. Add a new page to the site when you're in Site or Page view.
 New Style. Create a new style when you're in Style view.
 New File Asset. In Assets view, File Assets tab, use this to choose a new external file such as an image or a Java applet.
 New Link. In Assets view, Link tab, use this to add a new external link.
 New Data Object. In Assets view, Data Object tab, use this to create a new data object.
 New Variable. In Assets view, Variables tab, use this to add or create a new variable.
 New Folder. In Publish view, use this to add a new folder.

.topic 0x180f0
 Custom Names. Opens the Custom Names dialog, where you can customize names on the page. Change the title that displays in the browser, the button and banner names, and the file extension of the published HTML page. Use Custom Names if you want to break a long name into multiple names to fit on a button or banner.

.topic 0x1e124
 Find. Searches for specified text on the entire site or selected pages.

.topic 0x1e129
 Replace. Searches for and replaces specified text on the entire site or selected pages.

.topic 0x18084
 Spell Check. Checks the spelling of text on the current page.

.topic 0x18074
 Word Count. Counts words, lines, paragraphs and characters for the entire current page.

.topic 0x18048
 Application Options. Opens the Application Options dialog where you can change Program, Preview, Text, International, and Updates settings.

.topic 0x18064
 Properties panel. Toggles between viewing and hiding the Properties panel.

.topic 0x18065
 Standard Tools. Toggles between viewing and hiding the Standard Tools toolbar. Some tools have a tool flyout that contains more tools. If a small triangle appears at the bottom right of the tool icon, press the tool with the mouse button to see other tools. A ToolTip tells the name of each tool.

.topic 0x10000084
 Advanced Tools. Toggles between viewing and hiding the Advanced Tools toolbar. The advanced tools include tools for placing rich media, Java, ActiveX, data objects, and external HTML.

.topic 0x10000085
 Show All. Shows all component toolbars. If you have third party components installed, their component toolbars appear in this menu. Otherwise, only the listing for NetObjects Fusion Components appears here.

.topic 0x10000086
 Hide All. Hides all component toolbars. If you have third party components installed, their component toolbars appear in this menu. Otherwise, only the listing for NetObjects Fusion Components appears here.

.topic 0x180b6
 Form Tools. Toggles between viewing and hiding the Form Tools toolbar. If you designate the Layout, a Layout Region, or another container as a form, these tools automatically appear.

.topic 0x180af
 Object Tree. Toggles between viewing and hiding the Object Tree. This panel displays a hierarchical view of all objects and containers found on the page. The names or IDs of objects can be can be modified in the Actions tab of a selected object. Object names are necessary to set up dynamic actions. Many objects, such as Layout Regions, text boxes or tables, can be containers for other objects. You can select objects directly from this panel and the object becomes selected on the page. Change object front-to-back arrangement by dragging objects up or down the tree. You can select hidden objects on the Object Tree, which are displayed with gray icons.

.topic 0x18080
 MasterBorder. Select this option to hide the MasterBorder.

.topic 0x1808c
 Page Labels. Select this option to display small text labels and dividing lines for page areas such as the Layout and MasterBorder.

.topic 0x1808b
 Object Outlines. Select this option to view outlines around each object placed on the page.

.topic 0x1808d
 Object Icons. When you select this option, small icons representing links, anchors, HTML scripts, HTML tags (found within text boxes), actions and error conditions are displayed on objects.

.topic 0x180bc
 Rulers & Guides. Select this option to show or hide rulers and guides.

.topic 0x180ab
 Grid. Select this option to show or hide the grid.

.topic 0x180bd
 Snap to Guides. Select this option if you want objects to snap to guides when you drop them close to the guides.

.topic 0x180ad
 Snap to Grid. Select this option if you want objects to snap to the nearest gridlines when you drop them on the page.

.topic 0x180ae
 Snap to Object Outlines. Select this option if you want objects to snap to the nearest object when you drop them on the page.

.topic 0x180fe
 Page View Options. This opens the View tab of the Page Properties panel where you can change settings for rulers, guides, grid, object outlines and icons, and labels.

.topic 0x18008
 Site. Takes you to the Site view where you build, organize and edit the structure of the site. As you drag pages and sections to new locations in the site, NetObjects Fusion updates all the links automatically.

.topic 0x100d9
 Page. Takes you to Page view where you lay out the pages and add content. Content includes: text, images, drawn shapes, tables, sound, video, Java applets, Active X controls, Shockwave files, data-based information, form objects and more.

.topic 0x18062
 Style. Takes you to Style view where you can view, apply, create, and manage the SiteStyles available for use within the site. Additional styles are available online through the Style menu.

.topic 0x1800e
 Assets. Takes you to Assets view where all the files, links, data objects and variables that are associated with the site are listed. This view provides site-wide asset management.

.topic 0x1801c
 Publish. Takes you to Publish view where you configure settings for publishing the site to a local or remote Web server.

.topic 0x18068
 Next Page. Takes you to the page that appears to the right of the current page in Site view.

.topic 0x18069
 Previous Page. Takes you to the page that appears to the left of the current page in Site view.

.topic 0x1806a
 Parent. Takes you to the page that appears above the current page in Site view.

.topic 0x1806b
 First Child. Takes you to the first page that appears below the current page in Site view.

.topic 0x18027
 Follow Link. Goes to the destination page of the selected object's internal or structural link.

.topic 0x1053e
 Go To. Perform a keyword search for items within the current view, such as an individual page in Site view or SiteStyles in Style view.

.topic 0x10414
 Last. Toggle between the current view and the last one that was displayed.

.topic 0x1805b
 Recent. Opens a scrollable selection list of views and pages that have been displayed during the current NetObjects Fusion session.

.topic 0x1801d
 Preview Site. Quickly generates HTML for the site and displays it in the browser you have selected in Application Options. You cannot copy the HTML generated by a preview to the Web server because it contains absolute paths to files on your hard drive. When you publish locally or remotely, all assets are copied in the publish folder so that absolute paths can be changed to relative paths in the HTML.

.topic 0x18052
 Align Objects Left. When more than one object is selected, this command aligns the objects to the left edge of the left-most object.

.topic 0x18051
 Align Objects Right. When more than one object is selected, this command aligns the objects to the right edge of the right-most object.

.topic 0x18053
 Align Objects Top. When more than one object is selected, this command aligns the objects to the top edge of the top-most object.

.topic 0x18054
 Align Objects Bottom. When more than one object is selected, this command aligns the objects to the bottom edge of the bottom-most object.

.topic 0x18055
 Align Objects Vertical Center. When more than one object is selected, this command centers the objects to the vertical center position between all selected objects.

.topic 0x18056
 Align Objects Horizontal Center. When more than one object is selected, this command centers the objects to the horizontal center position between all selected objects.

.topic 0x180b1
 Distribute Objects Vertically. When more than one object is selected, this command evenly distributes all selected objects vertically.

.topic 0x180b0
 Distribute Objects Horizontally. When more than one object is selected, this command evenly distributes all selected objects horizontally.

.topic 0x18057
 Size Objects Width. If more than one object is selected, this command resizes the objects to match the width of the widest object.

.topic 0x18058
 Size Objects Height. If more than one object is selected, this command resizes the objects to match the height of the tallest object.

.topic 0x18089
 Size Layout to Objects. Select this option to resize the current Layout to the smallest possible size that fits the objects within it. When objects in the MasterBorder extend past objects in the Layout, the layout is constrained to the minimum acceptable size.

.topic 0x180b8
 Size MasterBorder to Objects. Select this option to resize the current MasterBorder to the smallest possible size that fits the objects within it. When objects in the Layout extend past objects in the MasterBorder, the MasterBorder is constrained to the minimum acceptable size. Because MasterBorders can be used on multiple pages, it might be constrained because of object in the Layout of other pages.

.topic 0x18088
 Restore Original Size. Select this option to resize the bounding box of the current image to fit the image exactly. It resets the image 's original dimensions after you stretch or crop the picture.

.topic 0x18104
 Open File in External Editor. Select this option to open the current object in the editor with which its three-letter file name extension is associated. You must use the Windows operating system to change the application association for three-letter extensions.

.topic 0x18096
 Open Asset. Select this option to open the current object in the editor with which its three-letter file name extension is associated. You must use the Windows operating system to change the application association for three-letter extensions.

.topic 0x180b2
 Hide/Show Object. Select this option to hide the currently selected object. To see the object again immediately, select Show Object. Once you click anywhere else on the page, you must select Show All Objects to see the hidden object.

.topic 0x180b4
 Show All Objects. Makes all hidden objects on the page visible.

.topic 0x180ce
 Link. Brings up the Link dialog so you can link the selected object.

.topic 0x180cf
 Anchor. Brings up the Anchor dialog so you can add an anchor to the selected object.

.topic 0x180d0
 HTML. Brings up the Object HTML dialog so you can add HTML to the selected object’s HTML.

.topic 0x180e0
 Edit Text. Makes the currently selected text box available for editing.

.topic 0x180df
 Show Text Invisibles. Select this option if you want to see invisible characters in text such as tab and paragraph marks.

.topic 0x180aa
 Edit Text Styles. Opens the Text Styles dialog where you can add, edit, and delete text styles. Text styles are collections of text attributes that you can apply to text. You assign text styles to selected text by choosing a style from the Style drop-down list on the Text Properties panel.

.topic 0x1807d
 Insert HTML. Opens the Insert HTML dialog where you can type HTML or scripts. The text you type is inserted into the HTML source for the active text box at the insertion point. A small T icon will appear in the text box to indicate the inserted code. The icon only appears if you have Show Object Icons selected in the View menu.

.topic 0x18075
 Insert Symbol. Provides a dialog for you to select ASCII characters (such as © or ™) from a list and insert them into the selected text box.

.topic 0x18082
 Insert Field. Opens the Insert Field dialog where you can specify a field to be inserted into the selected text box at the insertion point. The variable, which can be a date or time, a site value, or a value defined by you, appears highlighted in gray in the text box.

.topic 0x18073
 Remove Style from List. Removes the style from the list for this site only. The style’s folder within the NetObjects Fusion 10\Styles folder is not deleted.

.topic 0x18071
 Add Local Style to List. Opens a dialog where you can locate another style folder and select its .ssx or .ssf file. The style you choose is added to the style list for this site only, and its style folder is copied to the NetObjects Fusion 10\Styles folder.

.topic 0x10129
 Synchronize Style List. Updates the style list so that it contains all the styles found in the NetObjects Fusion 10\Styles folder. It removes the style names of styles whose folders are not found in the NetObjects Fusion 10\Styles folder.

.topic 0x10000087
 Set Style. Apply the selected style to the current site. All banners, navigation bars, lines, data icons, and text is immediately changed to the new images and colors on all the pages of the site.

.topic 0x1808a
 Delete All Unused File Assets. If there are assets listed here, but the asset does not appears on any page in the site, this command deletes those asset names. It does not delete the actual file itself; it only removes the name from this view.

.topic 0x18083
 Verify All File Assets. Verifies that each asset really resides at the path listed in the Location column. If any are not, a dialog notifies you that the asset is missing and asks you to locate it.
 Verify All Links. Verifies that all external links are valid. You must be connected to the Internet for NetObjects Fusion to verify links to the Internet. This command might take some time, depending on the number of external links and the speed of the Internet connection. The status of the URL is displayed in the Verify Status column.

.topic 0x10000088
 Publish Settings. Select whether to publish to a local or remote Web server. Find out about Web hosting. Advanced features allow you to change the file naming properties.

.topic 0x1800a
 New Folder (unused).

.topic 0x18010
 Delete Folder. Delete your selected folder and all of its contents. Anything that you delete will not be published when you publish the site.

.topic 0x1800c
 Rename Folder. Rename your folder for the final published version of the site.

.topic 0x10000089
 Publish Site. Publish your website, or selected pages, to a local or remote Web server.

.topic 0x18090
 Help Topics. Access all the information of the NetObjects Fusion User Guide through key word searches and topics. We highly recommend you use this feature.

.topic 0x180d8
 NetObjects Fusion website. Takes you to the NetObjects website if you are currently connected to the Web.

.topic 0x18186
 NetObjects Fusion QuickStart Tips. Learn the essential skills and tips to get you started with NetObjects Fusion and how to customize a new site created with the Site wizard.

.topic 0x180da
 Register NetObjects Fusion. Takes you to the NetObjects online product registration page if you are currently connected to the Web.

.topic 0x1e140
 About NetObjects Fusion. Gives you information about what version of NetObjects Fusion you are using.

.topic 0x1814d
 NetObjects Technical Support. Takes you to the NetObjects main support page if you are currently connected to the Web. The support page has links to newsgroups, documentation, training, and technical support policies.

.topic 0x1814c
 NetObjects Fusion Knowledgebase. Takes you to the NetObjects Knowledgebase page if you are currently connected to the Web. The Knowledgebase is a searchable database of common problems and solutions you might experience while using NetObjects Fusion.

.topic 0x1814e
 NetObjects Online Store. Takes you to the NetObjects Online Store page if you are currently connected to the Web. You can use the online store to quickly and easily upgrade or to order other NetObjects products.

.topic 0x18143
 eFuse.com. Takes you to www.eFuse.com, a website dedicated to helping Web developers build more attractive, exciting, and effective websites. This website, appropriate for both first time site developers and seasoned Web professionals, goes beyond product manuals to offer tips, lessons, examples, articles, and valuable reference information for using NetObjects Fusion.

.topic 0x5041d
 Locate a file.

.topic 0x1000008a
 Select a frame to which the link is targeted. Because there are frames on the current page, you can choose the frame in which to display the link you are creating. The linked page will display only in the frame you specify in the drop-down list.

.topic 0x1000008b
 Select the frame in which you want to display the linked information.

.topic 0x5041f
 When a link is selected above, this opens the Object HTML dialog where you can enter or insert HTML and scripts into the page’s HTML.

.topic 0x507de
 Select this option to wrap text on both sides around the object, aligning the top of the object to the top of the text.

.topic 0x507df
 Select this option to wrap text on both sides around the object, aligning the center of the object to the bottom of the text.

.topic 0x507e0
 Select this option to wrap text on both sides around the object, aligning the bottom of the object to the bottom of the text.

.topic 0x507cf
 HIDC_EMBED_ALIGN_NOWRAP

.topic 0x50476
 Select this option to align the object to the left. Text falls to the next available line and is not wrapped around the object.

.topic 0x50478
 Select this option to wrap text on both sides around the object, aligning the center of the object to the bottom of the text.

.topic 0x5047a
 Select this option to align the object to the right. Text falls to the next available line and is not wrapped around the object.

.topic 0x507cb
 Select this option to align the object to the left, wrapping text to the right of the object.

.topic 0x507cd
 Select this option to align the object to the right, wrapping text to the left of the object.

.topic 0x507e2
 Use this option to create extra white space around the selected object. Use the arrows to adjust the number of pixels of white space that appear around the object.

.topic 0x507e1
 Use this option to create extra white space around the selected object. Use the arrows to adjust the number of pixels of white space that appear around the object.

.topic 0x50287
 Use this option to create extra white space around the selected object. Use the arrows to adjust the number of pixels of white space that appear around the object.

.topic 0x507e3
 Adjust the horizontal space between the selected object and the wrapped text.

.topic 0x507c5
 Adjust the horizontal space between the selected object and the wrapped text.

.topic 0x50289
 Adjust the horizontal space between the selected object and the wrapped text.

.topic 0x507e4
 Adjust the vertical space between the selected object and the wrapped text.

.topic 0x507c7
 Adjust the vertical space between the selected object and the wrapped text.

.topic 0x5028b
 Adjust the vertical space between the selected object and the wrapped text.

.topic 0x505b6
 Select this option if you want the image to be displayed with the original dimensions of the source file. You can crop (but not enlarge) the image by dragging its handles. Hold Ctrl down to reduce it proportionally. Picture effects do not alter the original file; a new file is generated from the original when you publish the site.

.topic 0x505b8
 Select this option if you want to be able to stretch the selected image to any size. Picture effects do not alter the original file; a new file is generated from the original when you publish the site.

.topic 0x505bb
 Select this option if you want the image to tile within its bounding box. To see this feature work, you must enlarge the bounding box to be bigger than the original image. Picture effects do not alter the original file; a new file is generated from the original when you publish the site.

.topic 0x50880
 Click this icon if you want to set the background of the currently selected GIF image to be transparent. When the cursor changes to an eyedropper, click on the area of the GIF that you want to be transparent. The Use Color check box is selected automatically. This option is disabled if you do not have a GIF selected.

.topic 0x50535
 Select this option to use the color swatch as the transparency color for the selected GIF image. To select a transparency color from the image itself, click the eyedropper icon and click on a new color. To turn off transparency for the selected GIF, clear this option. This option is disabled if you do not have a GIF selected.

.topic 0x50728
 Use the spin buttons to adjust the thickness of the selected object’s border.

.topic 0x50226
 Use the spin buttons to adjust the thickness of the selected object’s border.

.topic 0x508a4
 Select this option if you want the selected plug-in or multimedia file to be displayed in the browser window in the same position.

.topic 0x508a9
 Select this option if you want an image to represent this plug-in or multimedia file. When the site visitor clicks the picture in the browser, the plug-in or multimedia file opens by itself in the window. Click Browse to select a custom image.

.topic 0x50989
 Enter a value for the parameter named above. This value will vary in type depending on the parameter.

.topic 0x5097c
 Add the parameter name here. Make sure that this name corresponds exactly to the intended parameter name used by the plug-in.

.topic 0x504d2
 Adjust the thickness of the line or border here.

.topic 0x5025a
 Adjust the thickness of the line or border here.

.topic 0x5077b
 Select this option if you want the selected horizontal rule to be shaded. If you clear this option, the NOSHADE attribute is applied to the horizontal rule, which results in a solid rather than embossed appearance.

.topic 0x1000008c
 Displays a list of all available styles for this site. To add a new style click New; to modify a style, select it and click Change; to delete a style, select it and click Delete.

.topic 0x1000008d
 Displays a sample preview of text in the selected style.

.topic 0x1000008e
 Displays the current style’s properties. The descriptive names represent the style, paragraph and font settings for the style.

.topic 0x1000008f
 Click to add a new style to the site.

.topic 0x10000090
 Click to modify the selected style.

.topic 0x10000091
 Click to delete the selected style from the site.

.topic 0x10000092
 Enter a name for the new text style here. You cannot edit this name after you create the style.

.topic 0x10000093
 Select a text style on which you want to base the new style. You can leave this field blank. If you base this new style on another style, and that other style later changes, the new style will inherit the changes to the other style.

.topic 0x10000094
 The style you select from this drop-down list will always follow a paragraph of the style you are defining in this dialog. For instance, if you format some text as the style you are now defining, then press the Enter key and begin typing on a new line, the new line will be formatted to the style you select here. The default for this field is the Normal style. A good use of this feature is to have a subheading paragraph automatically follow a heading paragraph each time you enter heading and subheading text.

.topic 0x10000095
 Displays a sample preview of text in the style you are defining.

.topic 0x10000096
 Displays the current style’s properties. The descriptive names represent the style, paragraph and font settings for the style.

.topic 0x10000097
 Click to open the Paragraph dialog, where you can modify paragraph attributes for the current text style.

.topic 0x10000098
 Click to open the Font dialog, where you can modify font attributes for the current text style.

.topic 0x10000099
 Specify the number of tabs to indent the paragraph.

.topic 0x1000009a
 Specify the number of tabs to indent the paragraph.

.topic 0x1000009b
 Specify a bullet type from this list for the current text style. To remove all bullets from the text style, select None from the list.

.topic 0x1000009c
 Select a paragraph alignment for this text style.

.topic 0x1000009d
 Select a paragraph alignment for this text style.

.topic 0x1000009e
 Select a paragraph alignment for this text style.

.topic 0x1000009f
 Select a paragraph alignment for this text style.

.topic 0x100000a0
 Select a font for the text style from this list box. A preview is displayed below.

.topic 0x100000a1
 Select a font style for the text style from this list box. A preview is displayed below.

.topic 0x100000a2
 Select a font size for the text style from this list box. A preview is displayed below.

.topic 0x100000a3
 Select this option to apply superscript to this text style. A preview is displayed below.

.topic 0x100000a4
 Select this option to apply subscript to this text style. A preview is displayed below.

.topic 0x100000a5
 Select this option to apply strikethrough to this text style. A preview is displayed below.

.topic 0x100000a6
 Select this option to apply underlining to this text style. A preview is displayed below.

.topic 0x100000a7
 Select this option to apply the text color defined by the SiteStyle applied in Style view. A preview is displayed below.

.topic 0x100000a8
 Select this option to choose a color for this font, then click the Color button.

.topic 0x100000a9
 Opens the Color Picker dialog where you can choose a color.

.topic 0x100000aa
 Displays the current color for this text style. A preview is displayed below.

.topic 0x100000ab
 Displays a sample preview of text with the selected font attributes.

.topic 0x50973
 When the loop option is selected for this QuickTime movie, select this option to set this QuickTime movie to play in reverse (from end to beginning) after the movie plays from beginning to end, in a continuous loop.

.topic 0x5096e
 Adjust the initial volume setting for this QuickTime movie. You can enter a number from 0 to 256.

.topic 0x50972
 Select this option to set this QuickTime movie to replay each time it ends.

.topic 0x5096f
 Select this option if you don’t want to show the QuickTime movie, but want to use it only as background sound.

.topic 0x50971
 Select this option to display the QuickTime control strip for this QuickTime movie.

.topic 0x50970
 Select this option to set this QuickTime movie to automatically begin playing when it is loaded in the browser.

.topic 0x5096c
 Adjust the initial volume setting for this QuickTime movie. You can enter a number from 0 to 256.

.topic 0x5096d
 Adjust the initial volume setting for this QuickTime movie. You can enter a number from 0 to 256.

.topic 0x50977
 Select this option to store the QuickTime movie in the cache on the site visitor’s system. If the visitor leaves the page and comes back, the movie is available from the browser’s cache, and doesn’t need to be downloaded again.

.topic 0x50959
 When this option is selected, the Shockwave Flash movie is replayed each time it ends.

.topic 0x50958
 Select this option to play the Shockwave Flash movie automatically when the site visitor opens the page.

.topic 0x5095c
 Specify the Shockwave Flash movie’s alignment within the frame, Left, Right, or Top.

.topic 0x5095d
 Specify the Shockwave Flash movie’s alignment within the frame, Left, Right, or Top.

.topic 0x50957
 Select a scale setting for this Shockwave Flash movie from the drop-down list. ShowAll displays the movie within the frame but maintains the image proportions. NoBorder fits the movie within the frame so it fills the frame but maintains the ratio of the animation. Some edges of the animation might be trimmed. ExactFit displays the movie exactly within the frame.

.topic 0x5095b
 Select a scale setting for this Shockwave Flash movie from the drop-down list. ShowAll displays the movie within the frame but maintains the image proportions. NoBorder fits the movie within the frame so it fills the frame but maintains the ratio of the animation. Some edges of the animation might be trimmed. ExactFit displays the movie exactly within the frame.

.topic 0x50956
 Select a quality type for this Shockwave Flash movie from the drop-down list. AutoLow sets the default to normal quality. The host computer uses high quality if it has the capacity. AutoHigh starts the movie in high quality. The host computer uses low quality if it cannot display the movie in high quality. High anti-aliases the movie on any computer. Low uses a normal quality so the movie displays quickly.

.topic 0x5095a
 Select a quality type for this Shockwave Flash movie from the drop-down list. AutoLow sets the default to normal quality. The host computer uses high quality if it has the capacity. AutoHigh starts the movie in high quality. The host computer uses low quality if it cannot display the movie in high quality. High anti-aliases the movie on any computer. Low uses a normal quality so the movie displays quickly.

.topic 0x514d1
 Displays all the Java files detected for the selected Java applet or servlet. If the Java file references other Java files, and they are not listed here, click Add to add them.

.topic 0x514d2
 Select a page to link to using a smart link. Smart links are internally managed links to related pages in this site. These links automatically update as the SiteStructure changes.
 Select Blank to create an empty link (in HTML, <A HREF="javascript:void(0)">) to add script or actions to the link. To add an action to a Blank link click the Actions button.

.topic 0x514a1
 Opens the Actions dialog where you can add, enable, and reorder dynamic actions for the selected text link. To add actions or scripts to the selected text without adding a working link, select a Blank link from the Smart Link tab. This creates an empty link (in HTML, <A HREF="javascript:void(0)">) to manually script or add actions to text selections.

.topic 0x514dc
 Select this option to wrap text on both sides around the object, aligning the top of the object to the top of the text.

.topic 0x514dd
 Select this option to wrap text on both sides around the object, aligning the center of the object to the bottom of the text.

.topic 0x514de
 Select this option to wrap text on both sides around the object, aligning the bottom of the object to the bottom of the text.

.topic 0x514df
 Select this option to align the object to the left. Text falls to the next available line and is not wrapped around the object.

.topic 0x514e0
 Select this option to align the object to the center. Text falls to the next available line and is not wrapped around the object.

.topic 0x514e1
 Select this option to align the object to the right. Text falls to the next available line and is not wrapped around the object.

.topic 0x514e2
 Select this option to align the object to the left, wrapping text to the right of the object.

.topic 0x514e3
 Select this option to align the object to the right, wrapping text to the left of the object.

.topic 0x50680
 Displays the selected line’s color. Click the Color button change the color for the line.

.topic 0x50249
 Click to change the color for the selected line.

.topic 0x5067d
 Displays the selected line's tail color. Click the Color button to change the color for the tail.

.topic 0x50256
 Click to change the color for the line's tail.

.topic 0x5067b
 Displays the selected line’s head color. Click the Color button change the color for the line’s head.

.topic 0x50246
 Click to change the color for the line head.

.topic 0x514ef
 Enter a name for the publish location you are defining. This name is for your reference only and appears in the list of available publish locations.

.topic 0x514e9
 Click here to publish the entire site.

.topic 0x514eb
 Click here to display a mini-site view from which you can select a base page. The selected base page and all pages that reside beneath the base page in the site structure will be published.

.topic 0x514ed
 Click here to display a mini-site view from which you can select a page to be published. Only the selected page will be published.

.topic 0x100000ac
 Click here to choose the measurement units the site uses. This unit will be used for rulers, guides, grids, and in the status bar at the bottom of the window.

.topic 0x514e5
 Displays the default character set for text in the site. To change the character set on a page-by-page basis, in Page or Site view, right-click on a page or section and select Page or Section Character Set. The character set tells the browser how to interpret and display the characters on the pages when you publish or preview. Make sure that the character set matches the language of the text on the pages. If you have multiple languages in the site, try setting the character set to Unicode (UTF-8).

.topic 0x514e4
 Select a quotation mark type from this drop-down list. This determines how quotation marks you type on pages in NetObjects Fusion display on the published Web pages.

.topic 0x509ab
 Change the way dates and time are displayed any place where a date or time appears, such as file dates in Assets view and publish dates in Publish view. This does not affect text you type on a page.

.topic 0x509ac
 Change the way numbers are displayed any place where a number appears, such as the width and height of pages on panels and file sizes in Assets view. This does not affect text you type on a page.

.topic 0x509ad
 Choose the language that the spell checker checks against. The spell checker skips characters that are not in the Western European character set.

.topic 0x509ae
 Choose the sort order for the language of your choice. This only affects sortable columns in NetObjects Fusion, such as those found in Assets or Publish view, not columns in tables you make on the page.

.topic 0x509af
 Choose the character set NetObjects Fusion uses to interpret and display text of websites you import. If the character set is specified in the Meta tag of the HTML pages you import, you can choose the "Specified in imported Meta tag" option. If the character set is not specified in the META tag, select the character set of the pages you want to import. If a character set is not selected, and the character set is not specified in the META tag, the imported pages will be interpreted and displayed as Western European (ISO-8859-1) characters.

.topic 0x514ce
 Displays the default character set for text in the site. All new pages inherit this character set. To change the default, click Publish Setup in Publish view, select the HTML Output tab, and change the Site Character Set.
 You can change the character set for just the selected page or section by selecting another character set from the drop-down list below.

.topic 0x514cd
 Displays the default character set for text in the site. All new pages inherit this character set. To change the default, click Publish Setup in Publish view, select the HTML Output tab, and change the Site Character Set.
 You can change the character set for just the selected page or section by selecting another character set from the drop-down list below.

.topic 0x514cf
 Displays the character set for the text on the current page or section of pages. The character set tells the browser how to interpret and display the characters on the current page when you publish or preview. Make sure that the character set matches the language of the text on the page. If you have multiple languages on this page, try setting the character set to Unicode (UTF-8).

.topic 0x514d0
 Displays the character set for the text on the current page or section of pages. The character set tells the browser how to interpret and display the characters on the current page when you publish or preview. Make sure that the character set matches the language of the text on the page. If you have multiple languages on this page, try setting the character set to Unicode (UTF-8).

.topic 0x509b0
 Displays the default character set for text in the site. To change the character set on a page-by-page basis, in Page or Site view, right click on a page or section and select Page or Section Character Set. The character set tells the browser how to interpret and display the characters on the pages when you publish or preview. Make sure that the character set matches the language of the text on the pages. If you have multiple languages in the site, try setting the character set to Unicode (UTF-8).

.topic 0x51577
 Select this option if you need to turn on passive FTP mode in order to use FTP through a firewall. Some intranets are configured so that the only way to use FTP through a firewall is to use passive FTP mode.

.topic 0x514cc
 Stacked pages correspond to records in a database. When you store information in an internal data object, you enter data for one record on each stacked page. If you are drawing information from an external database file, each stacked page automatically displays information from one record. In Site view, a stacked page icon is layered at the bottom, to show that multiple pages share the same design, but display information from different records of the database. Navigate to the stacked pages in Page view to manually adjust the layout and add data fields.

.topic 0x5157b
 Select to create a new site based on an existing website. You can then choose either a local website (the HTML pages are located on your local hard drive) or a remote website (the HTML exists on a website.) The Web pages and their assets are imported and the HTML is converted to graphical page layout, which you can view in Page view.

.topic 0x51558
 Select this option to turn margin padding on or off. Normally, frames have two pixels of blank space between the frame margins and the body area. To get rid of the two pixels of blank space, turn off margin padding.

.topic 0x5151c
 Displays the file name of the selected Java applet.

.topic 0x50fe4
 Links the selected object to the selection in the Link dialog.

.topic 0x51542
 Click to customize specific details of generated HTML.

.topic 0x508cf
 Select this option to change the navigation bar so it uses rollover buttons. If you select this option, the button image changes in the browser when the site visitor puts the mouse over the button. You can view and define images for the rollover buttons in Style view.

.topic 0x51522
 If the selected Publish or Site component has an associated NFI file, additional information from the component developer is displayed here.

.topic 0x51516
 Select Standard Action, where you build actions by selecting menu commands, or Scripted Action, where you can code your own action in JavaScript.

.topic 0x100000ad
 Table. Click a cell to select it. Click a cell and drag to select contiguous cells. To select a row or column, move the cursor over the top or left edge of the column or row until the cursor changes to a small down or left arrow. Then click to select the column or row. Access Cell, Column, or Row preferences and HTML tags on the Properties panel. To access the table’s HTML, select HTML from the Object menu. Select Merge or Split from the table’s right-click menu to merge multiple contiguous cells or split individual cells into more rows or columns.

.topic 0x508d9
 Click here to publish only a section of the site. Choose the parent page of the section to be published by clicking the > button to the right.

.topic 0x51519
 Displays the parent page of the section to be published. Choose the parent page of the section to be published by clicking the > button to the right.

.topic 0x508da
 Click here to publish only one page of the site. Choose the page by clicking the > button to the right.

.topic 0x5151a
 Displays the page to be published. Choose this page click clicking the > button to the right.

.topic 0x508c8
 Displays the name of the image used for rollover buttons in this style. When the site visitor mouses over the button in a navigation bar, this button is displayed until the site visitor mouses out. You must select the Use Rollover Buttons option on the Navigation Bar Properties panel to enable rollovers for a navigation bar.

.topic 0x508ba
 Displays the name of the image used for rollover buttons in this style. When the site visitor mouses over the button in a navigation bar, this button is displayed until the site visitor mouses out. You must select the Use Rollover Buttons option on the Navigation Bar Properties panel to enable rollovers for a navigation bar.

.topic 0x508c9
 Displays the name of the image used for the highlighted rollover button of this style. When the site visitor mouses over the highlighted button in a navigation bar, this button is displayed until the site visitor mouses out. You must select the Use Rollover Buttons option on the Navigation Bar Properties panel to enable rollovers for a navigation bar. See help for Highlighted also.

.topic 0x508bb
 Displays the name of the image used for the highlighted rollover button of this style. When the site visitor mouses over the highlighted button in a navigation bar, this button is displayed until the site visitor mouses out. You must select the Use Rollover Buttons option on the Navigation Bar Properties panel to enable rollovers for a navigation bar. See help for Highlighted also.

.topic 0x508bd
 Opens the standard Open dialog, where you can select an image for this style element.

.topic 0x508be
 Opens the standard Open dialog, where you can select an image for this style element.

.topic 0x508ca
 Click this button to open the Text Settings dialog, where you can modify the text formatting for the current style element.

.topic 0x508cb
 Click this button to open the Text Settings dialog, where you can modify the text formatting for the current style element.

.topic 0x514c3
 Select how much padding appears around the selected object below.

.topic 0x51530
 Click to insert a field. Choose from date and time fields, site fields, and user-defined fields.

.topic 0x51515
 Click to remove the attached HTML code from this location in the text and close this dialog. All the HTML in this dialog is permanently deleted if you click this button.

.topic 0x100000ae
 Select this option to apply a background image to the selected text box. If the background image is a transparent GIF, any background color applied to the text box shows through the background image.

.topic 0x100000af
 Displays the file name of the background image.

.topic 0x100000b0
 Click to open a standard Open dialog where you can choose a file.

.topic 0x50d68
 Choose what part of the site to publish below.

.topic 0x51579
 Select this option if the HTML files for the website you want to import reside on your local file system and can be accessed through standard Windows Open dialog.

.topic 0x5157a
 Select this option if the website you want to import exists on your intranet or Intranet and you can only access it through a Web browser.

.topic 0x5155c
 Click and hold the mouse button down over this button to view a superimposed outline of the HTML tables that will be generated for the current layout if a tables option is selected in the HTML Output drop-down list.

.topic 0x100000b1
 Use to align the cell contents to the top, middle, or bottom of cell.

.topic 0x100000b2
 Use to align the cell contents to the left, center, or right, or if cell contains text, use to justify text in the cell.

.topic 0x100000b3
 Select this option to set the background color of the cell to transparent.

.topic 0x100000b4
 Select this option to set the background of the cell to a solid color.

.topic 0x100000b5
 Shows a swatch of the currently selected color.

.topic 0x100000b6
 Shows a swatch of the currently selected color.

.topic 0x100000b7
 Click to change the cell background to another color.

.topic 0x100000b8
 Select this option to apply a background image to the cell. If the image is a transparent GIF, you can apply both a solid color and a background image. The color displays in the transparent areas of the image.

.topic 0x100000b9
 Displays the file name of the cell’s background image.

.topic 0x100000ba
 Click to choose or change the background image.

.topic 0x100000bb
 Select this option to designate the current selection as a form. A Layout, a Layout Region, a table, table cells, or a text box can be made into a form. Click the Settings button to configure the form.

.topic 0x100000bc
 Opens the Forms Settings dialog, where you can configure the form.

.topic 0x100000bd
 Click to merge a contiguous selection of cells into one cell.

.topic 0x100000be
 Click to split the currently selected cell or cells into multiple cells. Each cell will be split into the number of columns and rows you specify in the subsequent dialog.

.topic 0x100000bf
 Use to align the cell contents to the top, middle, or bottom of cell.

.topic 0x100000c0
 Use to align the cell contents to the left, center, or right, or if cell contains text, use to justify text in the cell.

.topic 0x100000c1
 Use to adjust the width of the selected column or columns. You can also adjust the width by dragging the gray column markers in the ruler.

.topic 0x100000c2
 Use to adjust the width of the selected column or columns. You can also adjust the width by dragging the gray column markers in the ruler.

.topic 0x100000c3
 Click to automatically adjust the width of the selected column or columns to smallest width possible that accommodates the contents. If you add wider content later, you must click AutoFit again to resize the cells.

.topic 0x100000c4
 Opens the Object HTML dialog where you can enter or insert HTML and scripts into the <COL> tag of the selected column.

.topic 0x5155d
 IDC_RADIO_CONV_NESTED

.topic 0x5155e
 IDC_RADIO_CONV_REGULAR

.topic 0x100000c5
 Select this option if you want the table cells to stay the same width even if the site visitor widens the browser. This option is only available if the table is embedded in a text box.

.topic 0x100000c6
 Select this option if you want the table cells to proportionally widen as the site visitor widens the browser. This option is only available if the table is embedded in a text box, and only becomes functional if the text box containing the table is sized to the Layout and set to wrap to browser width. You can find the Size Layout to Text option and the Contents Wrap to Browser Width option on the Text Box tab of the Text Properties panel when you select the text box.

.topic 0x100000c7
 Adjusts the amount of space between the cell contents and the cell border.

.topic 0x100000c8
 Adjusts the amount of space between the cell contents and the cell border.

.topic 0x100000c9
 Adjusts the amount of space between cells.

.topic 0x100000ca
 Adjusts the amount of space between cells.

.topic 0x100000cb
 Select this option if you want the table HTML to use <COL> tags. These tags, for example, <COLGROUP> and <COL WIDTH=103>, are only supported by Microsoft Internet Explorer 4.x and above, but they make rendering of the table faster in Microsoft browsers. If you select this option, tables still display correctly in Netscape browsers.

.topic 0x100000cc
 Select this option to improve rendering speed and WYSIWYG in both Netscape Navigator and Microsoft Internet Explorer browsers. An absolute width value is inserted into each cell tag if the cell is empty. An absolute width value is always inserted into cell tags for cells that are not empty. An example of a cell tag with an absolute width: <TD WIDTH=98></TD>.

.topic 0x100000cd
 Select this option to generate a non-breaking space inside of empty cells. Without a non-breaking space, rows with no content collapse to zero height. An example of a cell tag with a non-breaking space character: <TD>&nbsp;</TD>

.topic 0x100000ce
 Select this option if you want a tiled image as the background. If the image is a transparent GIF, you can also set a background color and the color shows through the transparency.

.topic 0x100000cf
 Displays the name of the image that is set as the background image.

.topic 0x100000d0
 Click to choose an image file from a standard Open dialog.

.topic 0x100000d1
 Use to align the cell contents to the top, middle, or bottom of cell.

.topic 0x100000d2
 Use to align the cell contents to the left, center, or right, or if cell contains text, use to justify text in the cell.

.topic 0x100000d3
 Locks the row to the specified height.

.topic 0x100000d4
 Use to adjust the height of the row.

.topic 0x100000d5
 Use to adjust the height of the row.

.topic 0x100000d6
 Select this option to designate the current selection as a form. A Layout, a Layout Region, a table, table cells, or a text box can be made into a form. Click the Settings button to configure the form.

.topic 0x100000d7
 Opens the Forms Settings dialog, where you can configure the form.

.topic 0x100000d8
 Opens the Object HTML dialog where you can enter or insert HTML and scripts into the <ROW> tag of the selected row.

.topic 0x508b3
 Adjust the number of columns. The selected cell will be split into the number of columns you specify. If you have more than one cell selected, the change applies to each cell individually, not the cells as a whole.

.topic 0x50362
 Adjust the number of columns. The selected cell will be split into the number of columns you specify. If you have more than one cell selected, the change applies to each cell individually, not the cells as a whole.

.topic 0x508b4
 Adjust the number of rows. The selected cell will be split into the number of rows you specify. If you have more than one cell selected, the change applies to each cell individually, not the cells as a whole.

.topic 0x5027d
 Adjust the number of rows. The selected cell will be split into the number of rows you specify. If you have more than one cell selected, the change applies to each cell individually, not the cells as a whole.

.topic 0x51576
 Use to align the cell contents to the top, middle, or bottom of cell.

.topic 0x51578
 Use to align the cell contents to the left, center, or right, or if cell contains text, use to justify text in the cell.

.topic 0x5157c
 Shows you where the code you enter will be inserted in the generated HTML when you publish or preview the site. The blue text represents the code you enter. Keep in mind that local file:/// paths are changed to relative paths in the final generated HTML.

.topic 0x5157d
 Enter HTML or JavaScript code here. Click the three tabs above to access different locations within the generated HTML. The code you enter here will be inserted at the locations illustrated above when you publish or preview the site.

.topic 0x515af
 Enter JavaScript code here. The code you enter here will be inserted as a function between <SCRIPT> tags into the page’s generated HTML when you publish or preview the site. Make sure that the JavaScript is valid with no syntax errors because the syntax is not checked.

.topic 0x515b0
 Enter HTML or JavaScript code in this field. The code you enter here will be inserted into the generated HTML when you publish or preview the site. It will be inserted at the exact location the cursor is in the text box you are currently editing.

.topic 0x5156f
 Select an option below to specify capitalization in the final generated HTML.

.topic 0x51561
 Choose whether HTML tags are upper- or lower-case in the final generated HTML. Example: <HEAD>.

.topic 0x51547
 Choose whether tag attributes are upper- or lower-case in the final generated HTML. Example: BGCOLOR=.

.topic 0x51548
 Choose whether tabs or spaces are used to indent tags in the generated HTML. If you choose spaces, you can also choose how many spaces to use. The opening and closing tags are indented to the same level so you can see what is between any set of tags.

.topic 0x51549
 Choose whether tabs or spaces are used to indent tags in the generated HTML. If you choose spaces, you can also choose how many spaces to use. The opening and closing tags are indented to the same level so you can see what is between any set of tags.

.topic 0x508e2
 Choose whether tabs or spaces are used to indent tags in the generated HTML. If you choose spaces, you can also choose how many spaces to use. The opening and closing tags are indented to the same level so you can see what is between any set of tags.

.topic 0x508e3
 If you choose to use spaces for indentation in the generated HTML, use this field to edit the number of spaces used for a single indent. You can choose to use between 1 and 10 spaces.

.topic 0x5154b
 If you choose to use spaces for indentation in the generated HTML, use this field to edit the number of spaces used for a single indent. You can choose to use between 1 and 10 spaces.

.topic 0x5154e
 Choose whether the generated HTML uses the PC or UNIX character for line breaks, or uses the Macintosh character for line breaks. This is for your convenience if you plan to view the generated HTML code on another platform. What you choose here does not affect site visitors from any of the three platforms.

.topic 0x5154f
 Choose how many characters are on one line of the generated HTML before it wraps to the next line. Use this option to increase the HTML’s readability in editors that do not automatically wrap text.

.topic 0x51566
 Choose how many characters are on one line of the generated HTML before it wraps to the next line. Use this option to increase the HTML’s readability in editors that do not automatically wrap text.

.topic 0x5154a
 Select this option if you do not want to apply the special HTML formatting you chose above to the <HEAD> tag.

.topic 0x5154c
 Select this option if you want the generated HTML to use as few characters as possible. Line breaks, tabs, and unnecessary spaces that make HTML more readable are stripped from the generated HTML. Use this feature if you don’t want site visitors to easily read your HTML code.

.topic 0x51567
 Select from the options below to customize information in the META tag.

.topic 0x508c0
 Select this option if you want the character set to appear in the META tag of each page. You set character set on a page-by-page basis by right clicking on a page in Site or Page view and choosing Page Character Set from the shortcut menu. To set a default for the site, open the HTML Output tab of the Publish Setup dialog. Example: content="text/html; charset=Windows-1252"

.topic 0x51569
 Select this option if you want the HTML generator to be listed in the META tag. You can leave the default or enter your own generator information. If you clear this option, no generator information is listed in the META tag. Example: <META NAME="Generator" CONTENT="NetObjects Fusion 10 for Windows">.

.topic 0x5156a
 Enter the string to appear after the generator content attribute in the META tag. Example: <META NAME="Generator" CONTENT="NetObjects Fusion 10 for Windows">.

.topic 0x51583
 Select this option to use a transparent GIF named clearpixel.gif to accurately space items on the page. If you select this option and publish using Regular or Nested Tables, invisible image files named clearpixel.gif with varying widths and heights are placed in table cells to ensure accurate placement of objects. If you clear this option, the HTML files will be smaller, but the pages might not display as you intended.

.topic 0x5156b
 Select this option to insert comments into the generated HTML that make reading the HTML easier. For example, with this option selected, the comment <!-- Start of the Body for this Page --> appears before the <BODY> tag.

.topic 0x515b1
 Select this option to not merge any unused cells in the new table.

.topic 0x515b2
 Select this option to merge unused cells in each row.

.topic 0x515b3
 Select this option to merge unused cells in each column

.topic 0x515b4
 Select this option to place the table inside a text box.

.topic 0x508e7
 Select this option to size the table to the size of the browser window.

.topic 0x5152d
 Click here to insert any variable or field that is defined in the Insert Field dialog. The variable name is inserted into the HTML and when you preview or publish the site, the variable name is replaced with the variable’s value.

.topic 0x5152e
 Click here to choose a file that contains HTML, text, or JavaScript. The current contents of the file you choose is copied and pasted into the selected tab below. When the site is previewed or published, code you pasted is part of the HTML for this page.

.topic 0x100000d9
 Java Bean. Java Beans are a type of Java applet. Unlike Java applets, which require .class files plus other types of files, Java Beans are an all-in-one implementation of Java. A single file contains everything required to run the applet. Change its properties on the Java Bean Properties panel.

.topic 0x100000da
 The Contents of Location pane on the right displays the directory structure of the site as it will be published on your Web server. The Contents of directory pane on the left displays the contents of the selected folder on the left. Right-click to delete, move, or rename folders and files or to create subfolders at any level below the root. To move an item, drag it over a directory. Icons for components and their related assets have a black lock image, which means they cannot be renamed or moved. If the Last Local Publish or Last Remote Publish date and time displays in red, it means that file has changed since the last publish.

.topic 0x508f8
 Enter or modify a title for the current page. Site visitors see this title in the title bar of their browser when they view this page. This overrides the default page title, which is the page name.

.topic 0x51643
 Opens the Custom Names dialog, where you can customize names on the page. Change the title that displays in the browser, the button and banner names, and the file extension of the published HTML page. Use Custom Names if you want to break a long name into multiple names to fit on a button or banner.

.topic 0x51631
 Select a MasterBorder for the current page.

.topic 0x51781
 Enter comments about the currently selected page. You can use this area to make notes on the completion status of each page. Notes you enter here do not become part of the published page’s HTML.

.topic 0x5163b
 Select this option to include the site home page as a navigation button in the navigation bar.

.topic 0x100000db
 Apply small caps formatting to the selected text.

.topic 0x5179f
 Clears all formatting applied to the selected text.

.topic 0x5177e
 Mark a selected page completed. When you set the status of a page to Done, a small checkmark appears in the upper-right of the page icon. This checkmark is for your reference only and has no effect on publishing the site.

.topic 0x5177f
 Select this option if you do not want this page to be published when you publish the rest of the site. If you select this option, this page’s navigation buttons do not show up on other pages. A red dot appears in the upper right of each page icon to indicate that the Don't Publish option is set. Use this option to prevent pages from being published before they are ready.

.topic 0x5170b
 Select Automatic to allow the object to accept this information from its parent object. Select Transparent, if available, when you do not want any color applied to the background. Select Color to set the background color to the color displayed in the color selection window. The hexadecimal value for the chosen color is then listed in the drop-down list.

.topic 0x5170e
 Click to select the color of the background for the currently selected item.

.topic 0x5170c
 Select Automatic to allow the object to accept this information from its parent object. Select None, if available, to remove any image placed in the background. Select Browse to set an image as the background. Once an image is selected, Browse is replaced with the image’s file name.

.topic 0x5170d
 Opens the Picture File Open dialog to select an image to set as the background.

.topic 0x1070c
 Sizes the image to use the maximum amount of page space.

.topic 0x50932
 Displays the color applied to the page icons when viewing the User Defined colors.

.topic 0x5090c
 Displays the color selected to apply to the page icons with the current MasterBorder.

.topic 0x50930
 Click to set the color of the page icon. From the View menu, choose Page Color Coding, User Defined to view the colors set here.

.topic 0x51780
 Click to set the color of page icons according to which MasterBorder it is using.

.topic 0x517b7
 Choose the property you want to modify.

.topic 0x517b8
 Choose the property you want to modify.

.topic 0x516f4
 Choose the value to be applied to the selected property.

.topic 0x516f3
 Choose the value to be applied to the selected property.

.topic 0x517ca
 Apply the chosen value for the current property to all selected pages.

.topic 0x51483
 Displays the values applied for the current property on all selected pages.

.topic 0x517a4
 Select this option if you want the published Web page centered in the browser window.

.topic 0x51775
 Let’s you edit the name displayed in the banner of the current page.

.topic 0x51777
 Selecting this option will reset the name in the banner to page name or custom page name if one was created.

.topic 0x5163a
 Select this option to have the navigation bar contain buttons that are only on the level selected in the pop-up menu to the right.

.topic 0x5163c
 Select First Level to have the navigation bar contain buttons only for the pages directly below the home page. Select Parent Level to have buttons for all pages on the level directly above the current page. Select Current Level to display buttons only for the sibling pages to the current page. Select Child Level to place buttons to link only to the children pages of the current page.

.topic 0x50771
 Select this option to customize the navigation bar to contain buttons to link to pages and files of your choosing.

.topic 0x516f6
 Select this option to have a button in the navigation bar linked to the current page’s parent page.

.topic 0x517bc
 Displays the Custom Navigation Bar dialog where you can specify which buttons are to be on the navigation bar.

.topic 0x5163d
 Select Primary to use the Primary Navigation buttons in the SiteStyle, Secondary to use the Secondary Navigation buttons, and Text to have a text only navigation bar.

.topic 0x515df
 Displays the Object Format dialog where you can apply formatting to the contents of the selected box.

.topic 0x516d5
 Select the font to apply to the text.

.topic 0x51666
 Select the font to apply to the text.

.topic 0x516d6
 Select a font style to apply to the text.

.topic 0x51664
 Select a font style to apply to the text.

.topic 0x5179d
 Select a size to apply to the text once the type of units for measuring size has been chosen.

.topic 0x51665
 Select a size to apply to the text once the type of units for measuring size has been chosen.

.topic 0x5179e
 Select the unit in which to measure the size of fonts.

.topic 0x516ed
 Choose which color to apply.

.topic 0x5166f
 Indicate the position of the text. Automatic lets the object accept this information from its parent object. Select Normal to place text in its default position. Select Superscript to apply superscript to all text. Select Subscript to apply subscript to all text.

.topic 0x5166e
 Indicate the position of the text. Automatic lets the object accept this information from its parent object. Select Normal to place text in its default position. Select Superscript to apply superscript to all text. Select Subscript to apply subscript to all text.

.topic 0x5166d
 Apply small cap formatting. Automatic lets the object accept this information from its parent object. None does not apply small caps and keeps the text as you entered it. Small caps makes all lowercase text capitalized and at a reduced font size.

.topic 0x5166c
 Apply small cap formatting. Automatic lets the object accept this information from its parent object. None does not apply small caps and keeps the text as you entered it. Small caps makes all lowercase text capitalized and at a reduced font size.

.topic 0x509f7
 Apply special formatting to the text. Automatic lets the object accept this information from its parent object.  Underline underlines the current text. Overline places lines over all words and spaces. Strikethrough places a line through all the text.

.topic 0x51670
 Apply special formatting to the text. Automatic lets the object accept this information from its parent object.  Underline underlines the current text. Overline places lines over all words and spaces. Strikethrough places a line through all the text.

.topic 0x5166b
 Select what kind of capitalization to apply to the text. Automatic lets the object accept this information from its parent object. None does not apply any capitalization rules and keeps the text as you entered it. Capitalize makes the first letter of every word a capital letter. Uppercase makes all letters of every word capital letters. Lowercase makes all letters of every word lowercase letters.

.topic 0x5166a
 Select what kind of capitalization to apply to the text. Automatic lets the object accept this information from its parent object. None does not apply any capitalization rules and keeps the text as you entered it. Capitalize makes the first letter of every word a capital letter. Uppercase makes all letters of every word capital letters. Lowercase makes all letters of every word lowercase letters.

.topic 0x18122
 Previous Page. Takes you to the page that appears to the left of the current page in Site view.

.topic 0x18121
 Next Page. Takes you to the page that appears to the right of the current page in Site view.

.topic 0x10140
 Navigation Window. Opens an Object tree so you can go to any page in the site.

.topic 0x180c5
 Select Next Object. Selects the object placed after the currently selected object.

.topic 0x18103
 Select Previous Object. Selects the object placed before the currently selected object.

.topic 0x180a7
 Select Layout. Selects the Layout and displays the Layout Properties panel.

.topic 0x180a9
 Select MasterBorder. Selects the MasterBorder and displays the MasterBorder Properties panel.

.topic 0x180c7
 Select Page. Selects the Page and displays the Page Properties panel.

.topic 0x18175
 Web Toolbar. Toggles between viewing and hiding the Web toolbar. The Web tools include tools for placing anchors, links, HTML, and spans.

.topic 0x100000dc
 NetObjects Fusion Components. Toggles between viewing and hiding the NetObjects Fusion Components toolbar. The NetObjects Fusion Components tools include: DynaButtons, Picture Loader, Form Handler, Go Menu, Picture Rollover, Rotating Picture, Screen Door, Site Mapper, Ticker Tape, and Time Based Picture.

.topic 0x180be
 Zoom 25%. Reduces the viewing size to 25% of normal.

.topic 0x180bf
 Zoom 50%. Reduces the viewing size to 50% of normal.

.topic 0x180c0
 Zoom 75%. Reduces the viewing size to 75% of normal.

.topic 0x180c1
 Zoom 100%. Sets the viewing size to normal.

.topic 0x180c2
 Zoom 125%. Increases the viewing size to 125% of normal.

.topic 0x180c3
 Zoom 150%. Increases the viewing size to 150% of normal.

.topic 0x180c4
 Zoom 200%. Increases the viewing size to 200% of normal.

.topic 0x18157
 Vertical Orientation. Displays the SiteStructure with the Home page at the top and all children levels beneath it.

.topic 0x18158
 Horizontal Orientation. Displays the SiteStructure with the Home page at the left and all children levels to the right.

.topic 0x18159
 Background Color. Set the background color behind the SiteStructure.

.topic 0x1815b
 MasterBorder Color Coding. Displays the SiteStructure with the colors applied for each MasterBorder on the Properties panel Management tab.

.topic 0x1815c
 User Defined Color Coding. Displays the SiteStructure with the user defined colors applied for each paged on the Properties panel Management tab.

.topic 0x100000dd
 Horizontal Display. Displays the Navigation Bar horizontally in the SiteStyle view.

.topic 0x100000de
 Vertical Display. Displays the Navigation Bar vertically in the SiteStyle view.

.topic 0x100000df
 Displays the vertical alignment currently applied by the settings for the column or row.

.topic 0x100000e0
 Displays the horizontal alignment currently applied by the settings for the column or row.

.topic 0x504b6
 Enter the name for the new SiteStyle. This is the only place you can enter or edit the name for a SiteStyle.

.topic 0x514b6
 Select the existing SiteStyle you want the new Style to be based on.

.topic 0x51606
 Displays the total number of pages in the site.

.topic 0x51608
 The selected HTML generation method appears here. To change the setting, click Change.

.topic 0x51607
 Click to change the HTML generation setting for the site.

.topic 0x100000e1
 Shows your current SiteStyle. To change the SiteStyle, select from the drop-down list. Additional styles are available online in Style view.

.topic 0x100000e2
 View sample navigational buttons from styles currently available to your site.

.topic 0x50924
 Adjust the width of new pages in the site.

.topic 0x503b2
 Adjust the height of new pages in the site.

.topic 0x5160a
 Select how quotation marks display in your site.

.topic 0x5160b
 Click to set HTML formatting, letter casing and other options.

.topic 0x50937
 Enter keywords, separated by commas, so search engines can find the site. You must register with each search engine, individually, for it to find your site. Site visitors do not see information included in a META tag.

.topic 0x509f6
 Enter the name of the site’s author.

.topic 0x5171c
 Enter the name of a custom META tag.

.topic 0x5171d
 Enter the content of the custom META tag here. You can enter keywords, copyright material, or other information for your own use.

.topic 0x517a9
 Use this field to track changes you make to the site.

.topic 0x51713
 List of comments entered in the Latest changes field.

.topic 0x5160e
 Select to automatically back up the site when you exit NetObjects Fusion.

.topic 0x5160f
 Path where the backup is saved. You can edit this path directly or choose a new location by clicking Browse.

.topic 0x51610
 Select a plain format or one that includes date and time to name backups.

.topic 0x51611
 Enter the maximum number of backups you want to keep for the site.

.topic 0x5175e
 Click to use a tab for indentation in your HTML code.

.topic 0x5175f
 Click to use spaces for indentation in your HTML

.topic 0x51760
 Enter the number of spaces (between 1 and 10) used for a single indent.

.topic 0x51619
 Choose uppercase <HEAD> or lowercase <head> HTML tags in the generated HTML.

.topic 0x5161a
 Choose uppercase (BGCOLOR=) or lowercase (bgcolor=) tag attributes in the generated HTML.

.topic 0x51618
 Choose the PC/UNIX or Macintosh character for line breaks in the generated HTML. Your choice does not affect what site visitors see on any of the platforms.

.topic 0x51727
 Specify the number of characters on one line of generated HTML before it wraps to the next line.

.topic 0x517b5
 Specify the number of characters on one line of generated HTML before it wraps to the next line.

.topic 0x517b4
 Select this option to strip line breaks, tabs, and unnecessary spaces from the generated HTML. Use this feature if you do not want site visitors to easily read your HTML code.

.topic 0x5161b
 Select this option to use a transparent .gif named clearpixel.gif to accurately space items on the page. If you select this option and publish using Regular Tables or Dynamic Page Layout, invisible image files named clearpixel.gif with varying widths and heights are placed in table cells to ensure accurate placement of objects. If you clear this option, the HTML files will be smaller, but the pages might not display as you intended.

.topic 0x5161d
 Select this option to include the HTML generator in the META tag. Accept the default or enter your own generator information

.topic 0x508fc
 Enter the string to appear after the generator content attribute in the META tag. Example: <META NAME="Generator" CONTENT="NetObjects Fusion 10 for Windows">.

.topic 0x5161c
 Select this option to insert explanatory comments into the generated HTML code, for example <!-- Start of the Body for this Page --> appears before the <BODY> tag.

.topic 0x5161e
 Select this option to include the character set in the META tag of each page, for example: content="text/html; charset=Windows-1252"

.topic 0x5161f
 Offset the background image. Most browsers (such as Netscape Navigator or Microsoft Internet Explorer) add a small gutter to the top and left edges of their windows. Offsetting the background images allows you to compensate by moving the image to the left and toward the top.

.topic 0x50900
 Enter the number of pixels the background image will be moved toward the left.

.topic 0x51620
 Enter the number of pixels the background image will be moved toward the top.

.topic 0x50921
 Select this option if you want the active site’s database to be compacted each time you exit the site. The feature is enabled by default. The result of compaction is decreased .nod file sizes. We recommend that you leave this option enabled.

.topic 0x50910
 Choose an application to use as a GIF editor. Enter the filename and path here, or click Browse to locate a program file (.exe).

.topic 0x50911
 Choose an application to use as a JPEG editor. Enter the filename and path here, or click Browse to locate a program file (.exe).

.topic 0x50710
 Click this button to browse for the application you want to use as the HTML editor.

.topic 0x50912
 Click this button to browse for the application you want to use as the GIF editor.

.topic 0x50913
 Click this button to browse for the application you want to use as the JPEG editor.

.topic 0x515ff
 Lists available Web browsers. When you click Preview or publish locally, the site appears in the browser you select in the list.

.topic 0x505ab
 Once you select a Web browser from the list, you can change that browser’s name and location here.

.topic 0x51604
 Select this option if you only want the current page’s HTML to be generated and displayed when you click Preview. Select Entire Site if you want the entire site’s HTML to be generated and displayed when you click Preview. To toggle this option on the fly, hold down the Ctrl key while you click Preview. Previewing only the current page lets you quickly view a page without waiting for the entire site’s HTML to be generated. However, if you preview only the current page, all of its links to other pages in the site are temporarily disabled.

.topic 0x51605
 Select this option if you want the entire site’s HTML to be generated and displayed when you click Preview. Select Current Page if you want the only the current page’s HTML to be generated and displayed when you click Preview. To toggle this option on the fly, hold down the Ctrl key while you click Preview. Previewing only the current page lets you quickly view a page without waiting for the entire site’s HTML to be generated. However, if you preview only the current page, all of its links to other pages in the site are temporarily disabled.

.topic 0x51600
 Maximizes the browser window when the site is previewed.

.topic 0x51601
 Sets the browser window size to 640 x 480 when the site is previewed.

.topic 0x51602
 Sets the browser window size to 800 x 600 when the site is previewed.

.topic 0x51603
 Sets the browser window size to 1024 x 768 when the site is previewed.

.topic 0x5175d
 If this option is selected, when you start to drag the mouse pointer over a word, the word and the space behind it are automatically selected.

.topic 0x100000e3
 Select this option to have NetObjects Fusion check for updates at startup.

.topic 0x100000e4
 Select this option to have NetObjects Fusion check for updates whenever NetObjects Fusion connects to the Internet.

.topic 0x100000e5
 Select this option to not have NetObjects Fusion automatically check for updates.

.topic 0x100000e6
 Lists the FTP server(s) available for updating Services View.

.topic 0x208e9
 Style view.

.topic 0x50747
 Displays the name of the current page.

.topic 0x517a0
 Removes all formatting applied to the selected text.

.topic 0x50922
 Select this option to make the selected text a numbered list.

.topic 0x50393
 Select this option to make the selected text a bulleted list.

.topic 0x5024e
 Open the Link Dialog box to edit link properties.

.topic 0x5175b
 Enter the number with which you want the numbered list to start.

.topic 0x517a3
 Click this button to remove the list formatting from the selected text.

.topic 0x50761
 Select or enter a protocol for the URL to which you are linking.

.topic 0x5170f
 Select this option to have the linked file converted into an HTML document when the site is published.

.topic 0x51708
 Select which MasterBorder to apply to the imported document.

.topic 0x50561
 Enter the name you want displayed on the forms button.

.topic 0x100000e7
 Services. Takes you to Services view where you can access online resources, free and upgradeable services, product updates, components, graphics, wizards, links, and more.

.topic 0x5172d
 Text Styles. Opens the Text Styles dialog to let you edit the existing styles or create new ones.

.topic 0x5177d
 Displays the page type: normal or stacked. Stacked pages display information from the records of a data object.

.topic 0x5176e
 Enter or modify a name for the selected page.

.topic 0x5176f
 Enter or modify a title for the current page. Site visitors see this title in the title bar of their browser when they view this page.

.topic 0x5162f
 Select a MasterBorder for the current page.

.topic 0x517ce
 Select Done to mark a selected page completed. A small checkmark appears in the upper-right of the page icon. This checkmark is for your reference only and has no effect on publishing the site. Select Don’t Publish if you do not want this page to be published when you publish the rest of the site. If you select this option, this page’s navigation buttons do not show up on other pages. A red dot appears in the upper right of each page icon to indicate that the Don't Publish option is set. Use this option to prevent pages from being published before they are ready.

.topic 0x517bb
 Use this to color code pages to fit your needs. Examples include color coding level or sections or assigning a color to pages that need to be updated. View the colors by choosing User Defined as the Page Color Coding option in the View menu.

.topic 0x517cc
 Assign different colors to pages based on which MasterBorder they are using to quickly see where each is applied throughout the site.

.topic 0x51641
 Enter comments that pertain to the currently selected page. Use this to keep notes on changes you make to the site.

.topic 0x1813c
 Convert Region to Table. Opens the Covert Region to Table dialog where you can choose how the region is converted.

.topic 0x18030
 Displays the Property panel for the selected object if it is not already displayed.

.topic 0x5176b
 Select a SiteStyle name to preview. Click OK to apply that SiteStyle to the site.

.topic 0x201e5
 Displays a sample of what the SiteStyle looks like.

.topic 0x5167e
 Control the spacing between baselines of text.

.topic 0x5167f
 Enter the amount you would like to increase the normal line height.

.topic 0x51680
 Select the unit of measurement for line height.

.topic 0x51681
 Add additional space between characters.

.topic 0x51682
 Enter the amount of space you would like added between characters.

.topic 0x51684
 Select the unit of measurement for the letter spacing.

.topic 0x5167c
 Select how text is arranged when an image is placed within it.

.topic 0x5167d
 Select Automatic to inherit the information for this item from its parent object. Select None to have text break where an image is inserted and continue after the image. Select Allow left to have image placed on the left and the text wrap on the right. Select Allow right to have image placed on the right and the text wrap on the left. Select Allow both to have text wrap on both sides of an inserted image.

.topic 0x51688
 Set the top margin of the object.

.topic 0x5168a
 Enter the amount you want the top margin to be.

.topic 0x51689
 Set the bottom margin of the object.

.topic 0x5168b
 Enter the amount you want the bottom margin to be.

.topic 0x5168c
 Select the unit of measurement for the top margin to be.

.topic 0x5168d
 Select the unit of measurement for the bottom margin to be.

.topic 0x5168e
 Set an indent for the first line of paragraphs.

.topic 0x5168f
 Enter the amount you want the first line of a paragraph indented.

.topic 0x51690
 Select the unit of measurement for indenting.

.topic 0x51691
 Specify a left margin.

.topic 0x51692
 Enter the amount you want the left margin to be.

.topic 0x51693
 Select the unit of measurement for the left margin.

.topic 0x51694
 Specify a right margin.

.topic 0x51695
 Enter the amount you want the right margin to be.

.topic 0x51696
 Select the unit of measurement for the right margin.

.topic 0x51723
 Apply a border to the object and adjust the settings to that border.

.topic 0x51724
 Select this to let the current object inherit border information from its parent object.

.topic 0x51725
 Select this option to not have a border around the object.

.topic 0x51726
 Select this option to apply a border to the object.

.topic 0x516a6
 Select the type of border you want to apply to the object.

.topic 0x516a7
 Select a type of border.

.topic 0x516a5
 Control the width of the border on the object.

.topic 0x516a3
 Enter the width of the border applied to the object.

.topic 0x516a4
 Select the unit of measurement for border width.

.topic 0x51668
 In the Character or Border tabs: Select Automatic to inherit this setting from the parent object. Select Color to apply a color to the characters.
 In the Background tab: Select Automatic to inherit this setting from the parent object. Select Transparent to see objects behind the current object. Select Color to apply a color to the background.

.topic 0x51709
 Click on the buttons to apply the borders to the sides you want of the object.

.topic 0x516ac
 Click this button to apply a border to the top of the object.

.topic 0x516ad
 Click this button to apply a border to the bottom of the object.

.topic 0x516af
 Click this button to apply a border to the left side of the object.

.topic 0x516b0
 Click this button to apply a border to the right side of the object.

.topic 0x5171f
 Click this button to apply a border to the left side of the object.

.topic 0x51720
 Click this button to apply a border to the right side of the object.

.topic 0x51721
 Click this button to apply a border to the top of the object.

.topic 0x51722
 Click this button to apply a border to the bottom of the object.

.topic 0x516b1
 Set the amount of space between the content of the object and the border.

.topic 0x516b2
 Enter the amount of space you want between the content and the top border.

.topic 0x5092f
 Enter the amount of space you want between the content and the top border.

.topic 0x516b3
 Enter the amount of space you want between the content and the bottom border.

.topic 0x508fd
 Enter the amount of space you want between the content and the bottom border.

.topic 0x516b4
 Select the unit of measurement for the top padding.

.topic 0x516b5
 Select the unit of measurement for the bottom padding.

.topic 0x516b6
 Enter the amount of space you want between the content and the left border.

.topic 0x516b7
 Select the unit of measurement for the left padding.

.topic 0x508fe
 Enter the amount of space you want between the content and the left border.

.topic 0x516b8
 Enter the amount of space you want between the content and the right border.

.topic 0x508ff
 Enter the amount of space you want between the content and the right border.

.topic 0x516b9
 Select the unit of measurement for the right padding.

.topic 0x51792
 In the Character or Border tabs: Select Automatic to inherit these settings from its parent object. Select Color to apply a color to the characters.
 In the Background tab: Select Automatic to inherit these settings from its parent object. Select Transparent to see objects behind the current object. Select Color to apply a color to the background.

.topic 0x51798
 You can set an image as the background of the object.

.topic 0x51710
 Select Automatic to inherit this setting from the parent object. Select None to not have an image in the background of this object. Select Browse to locate an image file to use as the background.

.topic 0x516be
 Locate an image.

.topic 0x516bd
 Set the background image to scroll with the content or be fixed with regard to the object.

.topic 0x516bc
 Select Automatic to inherit this setting from the parent object. Select Fixed to keep the image stationary. Select Scrolling to have the image scroll with the content.

.topic 0x516bf
 Set how a background image repeats within the object.

.topic 0x516c0
 Select Automatic to inherit this setting from the parent object. Select None to not repeat the image. Select Horizontal to have the image repeat horizontally. Select Vertical to have the image repeat vertically. Select Both to have the image repeat horizontally and vertically.

.topic 0x516c1
 Designate the initial position for the background image.

.topic 0x516c2
 Set the horizontal positioning of the background image.

.topic 0x516c4
 Select Automatic to inherit this setting from the parent object. Select Left to position the image on the left side of the object. Select Center to position the image in the center of the object horizontally. Select Right to position the image on the right side of the object. Select Value to enter your own positioning.

.topic 0x516c3
 Set the vertical positioning of the background image.

.topic 0x516c5
 Select Automatic to inherit this setting from the parent object. Select Top to position the image in the top potion of the object. Select Center to position the image in the center of the object vertically. Select Bottom to position the image on the bottom portion of the object. Select Value to enter your own positioning.

.topic 0x516f9
 Set the horizontal positioning of the background image.

.topic 0x516fb
 Enter an amount to position the image horizontally.

.topic 0x51799
 Select the unit of measurement for horizontal values.

.topic 0x516fa
 Set the vertical positioning of the background image.

.topic 0x517c8
 Select the unit of measurement for vertical values.

.topic 0x5093d
 Enter an amount to position the image vertically.

.topic 0x51677
 Align text with respect to its text box.

.topic 0x51493
 Select this option to make this an initialization parameter.

.topic 0x100000e8
 HIDC_ACTIVELINKCOLOR_BUTTON

.topic 0x100000e9
 HIDC_ADDBROWSER

.topic 0x100000ea
 Button. You can adjust properties for this Button on the Properties panel if the SiteStyle is not marked Read only. Double-click the Button to change the image. If you have set up an external file editor for GIFS or JPEGs, right click and choose Edit Image to make changes to the existing image.

.topic 0x100000eb
 Banner. You can adjust properties for this Banner on the Properties panel if the SiteStyle is not marked Read only. Double-click the Banner to change the image. If you set up an external file editor for .gifs or .jpegs, right-click and choose Edit Image to make changes to the existing image.

.topic 0x100000ec
 SiteStyle Line. You can adjust properties for this SiteStyle Line on the Properties panel if the SiteStyle is not marked Read only. Double-click the SiteStyle Line to change the image. If you have set up an external file editor for .gifs or .jpegs, right-click and choose Edit Image to make changes to the existing image.

.topic 0x100000ed
 Background. You can adjust properties for this Button on the Properties panel if the SiteStyle is not marked Read only. Double-click the button to change the image.

.topic 0x100000ee
 Data List Icon. You can adjust properties for this Bullet on the Properties panel if the SiteStyle is not marked Read only. Double-click the Bullet to change the image. If you have set up an external file editor for .gifs or .jpegs, right-click and choose Edit Image to make changes to the existing image.

.topic 0x100000ef
 Navigation Bar. On the Properties panel, you can add and adjust the width of a border around the Navigation Bar if the SiteStyle is not marked Read only. You can also adjust the spacing between the buttons of the Navigation Bar.

.topic 0x100000f0
 AuthorInfo

.topic 0x100000f1
 Normal Text. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only. Changes applied here affect text on a paragraph level.

.topic 0x100000f2
 Heading 1. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only.

.topic 0x100000f3
 Heading 2. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only.

.topic 0x100000f4
 Heading 3. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only.

.topic 0x100000f5
 Heading 4. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only.

.topic 0x100000f6
 Heading 5. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only.

.topic 0x100000f7
 Heading 6. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only.

.topic 0x100000f8
 Link. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only. Changes made to this item will also affect the Text NavBar.

.topic 0x100000f9
 Ordered List. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only. Some changes made to the List Item will take precedence over changes made to this item.

.topic 0x100000fa
 Unordered List. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only. Some changes made to the List Item will take precedence over changes made to this item. If the list item maker is set to numbers, you cannot set the starting value.

.topic 0x100000fb
 List Item. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only. Some changes made to this item will also affect the both the Ordered and Unordered lists.

.topic 0x100000fc
 Body text. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only. Changes made to the color, background color, background image or font family of the Body text affect all other text styles.

.topic 0x100000fd
 Text Object. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only.

.topic 0x100000fe
 PRE.

.topic 0x100000ff
 ADDRESS.

.topic 0x10000100
 BLOCKQUOTE.

.topic 0x10000101
 Text NavBar. You can adjust properties for this text on the Properties panel if the SiteStyle is not marked Read only. Some changes made to the Link Items will take precedence over changes made to this item.

.topic 0x10738
 Select this option to display icons on objects that indicate specific settings for the objects. Icons display on objects to notify you of links, anchors, HTML scripts, HTML tags (found within text boxes), actions and error conditions. This option is also on the View menu.

.topic 0x50903
 Displays the last time the site was modified.

.topic 0x10000102
 Select this option to support the most browsers. This option does not support CSS, DHTML or Fixed Page Layout.

.topic 0x10000103
 Select this option to support the most browsers. This option does not support CSS, DHTML or Fixed Page Layout.

.topic 0x51614
 Select this option if you know your customers will be using Netscape Navigator 4.0 or above.

.topic 0x51615
 Select this option if you know your customers will be using Microsoft Internet Explorer 4.0 or above.

.topic 0x517de
 Select this option to get the most predictable and consistent results on screen, regardless of type, version, or configuration of the site visitor’s system or browser fonts.

.topic 0x517e6
 Select this option to get the most predictable and consistent results on screen, regardless of type, version, or configuration of the site visitor’s system or browser fonts.

.topic 0x517df
 Select this option to support older browsers, use tables or Layout Regions as containers, or embed certain JavaScript code that will not work with Dynamic Page Layout.

.topic 0x517e7
 Select this option to support older browsers, use tables or Layout Regions as containers, or embed certain JavaScript code that will not work with Dynamic Page Layout.

.topic 0x517e0
 Select this option if you know your site visitors will be using only 4.0 and above browsers.

.topic 0x517e8
 Select this option if you know your site visitors will be using only 4.0 and above browsers.

.topic 0x517e9
 Select this option if you know your site visitors will be using only 4.0 and above browsers.

.topic 0x517e1
 Format text using standard HTML tags to have consistent text display across older to current browsers. Using this setting ensures that you can update sites created with earlier versions of NetObjects Fusion.

.topic 0x517e2
 Format text using CSS to incorporate typographical elements—like line spacing and letter spacing—that are not supported by standard HTML. Be sure to test your site using all target browsers to make sure the site displays as you intended.

.topic 0x10000104
 Set when you would like NetObjects Fusion to check for updates to Services view.

.topic 0x10000105
 Select the FTP server to use for updating Services view.

.topic 0x51510
 Modify the name of this action in this field. The name you enter here is used in the Actions dialog and the Actions Properties tab. Naming actions descriptively helps you organize a complex series of actions.

.topic 0x51511
 Select a trigger event for this action. A trigger event can be a user input such a as Mouse Over, a browser state such as page loaded or exiting, an action complete message, or a custom message sent from another object. Click the square button to the right (labeled with an arrow icon) to select from a menu of possible triggers.

.topic 0x508f7
 Enter or modify a name for the selected page.

.topic 0x51769
 Displays sample navigational buttons from the selected style. Browse the list for a quick overview of styles.

.topic 0x51676
 Adjust the alignment and spacing.

.topic 0x51687
 Adjust the margins and indents.

.topic 0x516fc
 Displays all custom attributes you have created.

.topic 0x516fd
 Create your own custom text attributes if you know HTML and cascading style sheet coding and understand the implications of cascading style sheet features.

.topic 0x516fe
 Enter the name of the new attribute.

.topic 0x516ff
 Enter the name of the new attribute.

.topic 0x51700
 Enter the value of the new attribute.

.topic 0x51703
 Enter the value of the new attribute.

.topic 0x51701
 Click this button to create a new attribute. Custom attributes do not display in Page view but do appear in the browser if it supports cascading style sheet features.

.topic 0x51702
 Click this button to delete the selected attribute.

.topic 0x10000106
 Displays the path of the current remote server.

.topic 0x517c1
 Select the server to which you are publishing or transferring.

.topic 0x10000107
 Lists the files on the remote server and the file information.

.topic 0x517cb
 Select the color for the page icons.

.topic 0x5041a
 Modify the current page’s name.

.topic 0x50663
 Displays the page type: normal or stacked. Stacked pages display information from the records of a data object.

.topic 0x50837
 Displays the page type: normal or stacked. Stacked pages display information from the records of a data object.

.topic 0x10000108
 Select this option if you do not want this page to be published when you publish the rest of the site.

.topic 0x10000109
 Select this option to publish this page when you publish the rest of the site.

.topic 0x1000010a
 Name of the current site.

.topic 0x1000010b
 Number of pages in the current site.

.topic 0x517d1
 Date the current site was created.

.topic 0x517d2
 Date the site was last modified.

.topic 0x517d3
 Sample of the selected SiteStyle.

.topic 0x517d4
 Select a browser window size for previews.

.topic 0x51640
 If in Style view: Name of the current SiteStyle. You cannot edit the name of a SiteStyle installed with NetObjects Fusion.
 If in the Define Server dialog of Publish view: Enter a name for server.

.topic 0x5038e
 The creator of the SiteStyle. Clear the Read only check box to edit this field. To include an active URL in the Designed by credit at the top of the page, place parentheses around the URL.

.topic 0x516ee
 Clear this check box to edit the current SiteStyle. If you want to keep the original SiteStyle and create a similar SiteStyle, click the New Style button and base the new style on the existing SiteStyle.

.topic 0x51624
 Select a font for the text in this element.

.topic 0x51625
 Select a size for the text in this element.

.topic 0x51626
 Select a style for the text in this element.

.topic 0x516ef
 Select a color for the text in this element.

.topic 0x516de
 Select Left to start the text at the left of the text field of this element. Select Center to center the text horizontally. Select Right to start the text from the right of the text field of this element.

.topic 0x50931
 Select Top to start the text at the top of the text field of this element. Select Center to center the text vertically. Select Bottom to start the text at the bottom of the text field of this element.

.topic 0x51698
 Select how a list is set up.

.topic 0x1000010c
 Select this to set the list item marker in an Ordered list to numbers and in an Unordered list to discs.

.topic 0x1000010d
 Set the list item marker to a bullet.

.topic 0x517d7
 Set the list item marker to a bullet.

.topic 0x516a0
 Select the type of bullet to use as a list item marker.

.topic 0x517d8
 Select the type of bullet to use as a list item marker.

.topic 0x517d9
 Set an image as the list item marker.

.topic 0x1000010e
 The name of the image used as the list item marker.

.topic 0x516eb
 Select an image to use as the list item marker.

.topic 0x5169c
 Specify the type of indentation applied to the list.

.topic 0x5169d
 If the list item wraps to a second line of text, its parent object defines the indent.

.topic 0x5169e
 If the list item wraps to a second line of text, the second line indents to the same position as the beginning text of this list item.

.topic 0x5169f
 If the list item wraps to a second line of text, the second line indents to the position of the line item marker.

.topic 0x5165c
 Select the folder where you published your site or selected Web pages.

.topic 0x5165a
 Select this option to remove any files off the server before you transfer files.

.topic 0x5165f
 Set up or verify the settings for the selected server.

.topic 0x51660
 Set up or verify the settings for the selected server.

.topic 0x51659
 Set up or verify the settings for the selected server.

.topic 0x5165b
 Select what you want to have published: Entire Site; Current Page only or Select Pages.

.topic 0x5165d
 The page(s) selected for Current Page only or Select Pages publishing.

.topic 0x5165e
 Click to select the page(s) or section you want to generate.

.topic 0x51789
 Select to publish only those assets that changed since the last time this site was published.

.topic 0x1000010f
 Click to add a new alias.

.topic 0x10000110
 Click to edit the selected alias.

.topic 0x10000111
 Click to remove the selected alias from the list.

.topic 0x10000112
 Enter the number of the FTP port that is active on your Web server. The default FTP port number is 21.

.topic 0x10000113
 Enter a UNIX permission string for this server location. It determines the UNIX permissions assigned to the published files.

.topic 0x10000114
 Turns on passive FTP mode if necessary to in order to use FTP through a firewall.

.topic 0x10000115
 Enter the location on the remote Web server where CGI (Common Gateway Interface) scripts are located.

.topic 0x10000116
 Select a publish location.

.topic 0x10000117
 Create a publish location on your local hard drive, or on a shared network drive to which you have write access.

.topic 0x10000118
 Create a server location on your intranet or the Internet

.topic 0x10000119
 Enter the path to the local folder where you want to publish the site. Click the Browse button to locate a folder.

.topic 0x1000011a
 Enter a directory on the Web server to which you have FTP write permission. This is where the website will be published. To publish to the top level of the Web server, you can leave this blank.

.topic 0x1000011b
 Enter a directory on the Web server to which you have FTP write permission. This is where the website will be published. If you want to publish to the top level of the Web server, you can leave this blank.

.topic 0x503e2
 Enter the password for the Web server. This is optional. If you don’t enter the password here, you will be prompted when you publish to this server.

.topic 0x503e4
 Enter a valid login name for the Web server.

.topic 0x1000011c
 Enter the password for the Web server. This is optional. If you don’t enter the password here, you will be prompted when you publish to this server.

.topic 0x1000011d
 Enter a valid login name for the Web server.

.topic 0x1000011e
 Enter the necessary server information.

.topic 0x51506
 Opens the Browse dialog so you can select a directory to which to publish.

.topic 0x1000011f
 Click this button to add a new Web server location. You must provide connection information such as the IP name or address, login name and password, a directory name to which you have write access, and other publishing information.

.topic 0x10000120
 Click this button to delete the selected server location. Its location properties are permanently deleted.

.topic 0x10000121
 Enter the host name or IP address of the remote Web server. Examples: www.yourcompany.com or 128.0.0.0.

.topic 0x10000122
 Enter the host name or IP address of the remote Web server. Examples: www.yourcompany.com or 128.0.0.0.

.topic 0x10000123
 Select a file name for the home page HTML file. It can be the current home page name as displayed in Site view, or Index, Default, or Home. Different Web servers recognize different names as a default home page name.

.topic 0x10000124
 Select a file extension for all the published HTML files of the site. The extension ".HTML" is used by UNIX and Macintosh computers and is more commonly found on the Web. The extension ".HTM" is used by IBM-PC compatibles because of the three-character extension limit. You can set the extension on a per-page basis by clicking the Custom Names button in Site view.

.topic 0x10851
 Outline View. Displays an outline of the SiteStructure along with status and comments.

.topic 0x18093
 Bring Forward. Moves the selected object(s) one layer up.

.topic 0x18091
 Bring to Front. Moves the selected object(s) in front of all other objects.

.topic 0x18094
 Send Backward. Moves the selected object(s) one layer down.

.topic 0x18092
 Send to Back. Moves the selected object(s) behind all other objects.

.topic 0x180c9
 Insert Row. Inserts a row above the selected row.

.topic 0x18141
 Append Row. Inserts a row at the bottom of the table.

.topic 0x180ca
 Delete Row. Deletes the selected row.

.topic 0x180cb
 Insert Column. Inserts a column to the left of the selected column.

.topic 0x18140
 Append Column. Inserts a column at the right side of the table.

.topic 0x180cc
 Delete Column. Deletes the selected column.

.topic 0x1813e
 Split Cells. Divides the selected cell(s) into the number of rows or columns you specify.

.topic 0x1813d
 Merge Cells. Combines the selected cells.

.topic 0x101cd
 Fit Cells. Sizes the cell to fit its content.

.topic 0x108e8
 Convert Layout to Table. Makes the Layout a table.

.topic 0x1813b
 Convert Table to Layout Region. Makes a table a Layout Region.

.topic 0x18172
 Span. Apply formatting to individual words or phrases within a text object.

.topic 0x180ef
 Picture. Place an image in a text box.

.topic 0x180e6
 Layout Region. Place a Layout Region in a text box.

.topic 0x180a5
 HR Rule. Insert a horizontal rule line into a text box.

.topic 0x180f6
 Text Object. Place a text object in a text box.

.topic 0x180e7
 Table. Insert a table into a text box.

.topic 0x180ea
 Navigation Bar. Place a navigation bar in a text box.

.topic 0x180f8
 External HTML. Enter external HTML into a text box.

.topic 0x180e5
 Plug-in. Insert a plug-in into a text box.

.topic 0x180e2
 Shockwave. Insert a Shockwave file into a text box.

.topic 0x180e1
 QuickTime. Insert a QuickTime file into a text box.

.topic 0x10000125
 Video. Insert a video file into a text box.

.topic 0x180e3
 Sound. Place a sound file in a text box.

.topic 0x1817d
 Page Design. Add content, layout and navigation to your current Web page.

.topic 0x1817e
 HTML Source. View and edit the HTML code for the current Web page.

.topic 0x1817f
 Page Preview. Display a browser preview of the current Web page.

.topic 0x18183
 Graphics. Edit the graphic elements of a SiteStyle.

.topic 0x18184
 Text. Format the text elements of a SiteStyle.

.topic 0x18014
 Files. Displays a list of Files assets.

.topic 0x18063
 Links. Displays a list of links.

.topic 0x18017
 Data Objects. Displays a list of data objects associated with the site.

.topic 0x1801a
 Variables. Displays a list of variables included in the site.

.topic 0x18169
 Publish Site. Publish your website, or selected pages, to a local or remote server.

.topic 0x1816a
 Transfer Files. Transfer the HTML files from one server to another.

.topic 0x1815d
 Publish Settings. Select whether to publish to a local or remote Web server. Find out about Web hosting. Advanced features allow you to change the file naming properties.

.topic 0x1816b
 by Site Structure. Arrange site contents in the same hierarchy you see in Site view.

.topic 0x1816c
 by Asset Type. Arrange site contents in folders according to asset type.

.topic 0x1816d
 by Flat. Place site contents in a single folder. Some ISPs require this structure.

.topic 0x18173
 Clear Customizations. Remove all changes made to the arrangement of the publish directory.

.topic 0x18174
 Publish Components. Use to activate/deactivate installed publish components.

.topic 0x10000126
 Check for Updates. Checks the NetObjects FTP server for updates to Services view.

.topic 0x10000127
 Update. Connects to the NetObjects FTP server and updates Services view.

.topic 0x10000128
 Enter the information for your remote server.

.topic 0x51513
 Blue text indicates where code you enter will be inserted in the generated HTML when you publish or preview the site. Keep in mind that local file:/// paths are changed to relative paths in the final generated HTML.

.topic 0x50405
 Select a color panel.

.topic 0x517a5
 Use the current SiteStyle line.

.topic 0x517a6
 Use a SiteStyle line from another SiteStyle.

.topic 0x517a7
 Select a SiteStyle.

.topic 0x51705
 Remove the span and its formatting from the text.

.topic 0x515e7
 Select a custom style to apply to the span.

.topic 0x515e8
 Apply formatting to the span.

.topic 0x51718
 Edit an existing text style or create a new one.

.topic 0x51719
 Edit an existing style. If the SiteStyle is read only, you cannot edit the style.

.topic 0x5171b
 Select the style you want to edit.

.topic 0x5171a
 Create a custom text style.

.topic 0x509f4
 Enter a name for the new style.

.topic 0x51714
 Select the scope for the new style.

.topic 0x50d6d
 Make the text style available only on this page.

.topic 0x51715
 Make the text style available throughout the site.

.topic 0x516d3
 Specify the range of text styles you want to edit. This feature is only active in Page view.

.topic 0x10000129
 Specify the range of text styles you want to edit. This feature is only active in Page view.

.topic 0x5179c
 Lists the styles for the selected scope.

.topic 0x5179a
 Select a style to see its attributes in the Definition field.

.topic 0x51711
 Lists the attributes for the selected text style.

.topic 0x509f3
 Lists the attributes for the selected text style.

.topic 0x516cb
 Click to create a new style.

.topic 0x516cc
 Click to duplicate an existing style.

.topic 0x516cd
 Click to edit the text style.

.topic 0x516ce
 Click to delete a style.

.topic 0x101ea
 The Contents of location pane displays the directory structure of the site as it will be published on your Web server. You can delete, move, and rename folders and files, or create new folders at any level below the root. To move an item, drag it over a directory. Icons for components and their related assets have a black lock image on their icons, which means they cannot be renamed or moved. If the Last Local Publish or Last Remote Publish date and time displays in red, it means the file changed since the last publish.

.topic 0x1000012a
 The Contents of directory pane displays all files and folders used in the site. Click a column heading to sort the files by Name, Type, Attributes, Last Remote Publish, or Last Local Publish.

.topic 0x506b1
 Displays the path for a selected file or you can enter the path to any file.

.topic 0x504fb
 Select this option to view a thumbnail version of the selected file.

.topic 0x50d7c
 Displays the names of all image assets and their file names.

.topic 0x50028
 Select a MasterBorder for the current page. Click the Add/Edit button on the MasterBorder Properties panel to add, rename, or remove MasterBorders.

.topic 0x1000012b
 Displays all assets of the selected file type(s) in the selected folder.

.topic 0x501e6
 Select the text style you want to apply to the text within the selected cell(s).

.topic 0x50914
 Increase the space between the text in a cell and the cell border.

.topic 0x517f7
 Uses MasterBorders from your open site and overwrites MasterBorders of the same name in your imported site.

.topic 0x517f8
 Overwrites MasterBorders in your open site with MasterBorders of the same name from your imported site.

.topic 0x517f9
 Renames MasterBorders in your imported site, so that no MasterBorders are lost due to overwriting.

.topic 0x18180
 Online. Takes you to Online view where you can access online resources, free and upgradeable services, product updates, components, graphics, wizards, links, and more.

.topic 0x1000012c
 Launch Wizards. Use to start a new site or add a page to the site. If you installed NetObjects Fusion or third party wizards, the wizards appear in the Select Site Wizard dialog. Wizards provide specialized functionality such as e-commerce capabilities or database access. See Building Business websites for information.

.topic 0x18189
 Re-optimize. Use only if your .nod site file has unexpectedly increased in size and you are experiencing a decrease in performance.

.topic 0x11427
 Components. Add interactivity to your site with components. Additional third-party components are available in Services View.

.topic 0x180e4
 Insert Video. Add a movie or animation to a text box.

.topic 0x1144f
 View/Delete Server Contents. View site files from your local or remote server, and delete unnecessary files.

.topic 0x1802d
 Layout Properties. Displays the Layout Properties panel on the right-hand side of your workspace.

.topic 0x1032e
 Page Character Set. Change the language setting if you need to include non-Western European characters on your current Web page. To change settings globally, go to Site Settings.

.topic 0x51712
 Preview a sample of your custom text style.

.topic 0x517db
 Preview shows effect of your custom style on normal [P] text.

.topic 0x5066f
 Displays file name. To select a different file, click on the Browse command.

.topic 0x50737
 Shows default text color. Select control to the right to change the color.

.topic 0x516a9
 Preview a sample of your custom text style.

.topic 0x517da
 This preview shows the format you’ll see unless the current selection is influenced by an additional style. To learn about the scope of styles, please see Help.

.topic 0x504b2
 Select an image for your form button. If you want text on the face of your image form button, you must add the text to your image file before bringing the file into NetObjects Fusion.

.topic 0x1000012d
 Online Styles. Install additional NetObjects Fusion SiteStyles to your NetObjects Fusion \Styles folder.

.topic 0x50894
 Locate a file and its path.

.topic 0x50896
 Edit the HTML source code of your designated HTML file.

.topic 0x5170a
 Convert your externally referenced HTML file into Fusion to make editing easy. This option is only available after you select Size to layout. If you do not see Size to layout, it may mean that you have incorrectly placed your External HTML file into a text box, instead of an empty layout.

.topic 0x50892
 Resize your HTML file to fill the whole layout. It is highly recommended that you remove any additional objects from the layout before selecting this option.

.topic 0x51632
 Select an item and drag it onto the custom navigation bar.

.topic 0x51633
 Choose a link type. A custom NavBar may contain navigation buttons for any type of link.

.topic 0x50794
 Create a separate site structure that is used only with the navigation bar. You set up a page structure in the same way you would in Site view. In the navigation structure, however, you can have multiple pages at the same level as your Home page, plus add the same page to different trees. This is especially helpful if you are designing sites, such as intranets, in which you want to break your design into mini sites.

.topic 0x1000012e
 Move your highlighted Web page or link up in the list above.

.topic 0x1000012f
 Move your highlighted Web page or link down in the list above.

.topic 0x51635
 Delete the selected Web page or link from your custom NavBar.

.topic 0x51637
 Select a type for your external link, enter the path, and click Save.

.topic 0x10000130
 Double-click an asset listed below to populate this field. Assets are managed in Assets view.

.topic 0x10000131
 When External Link is selected: Select an external link from the list of your external links currently managed in Assets view.

 When File Link is selected: Select a file from your list of files
 currently managed in Assets view, or click Browse to select
 another file.

.topic 0x50908
 Select a file and add it to your list of available assets.

.topic 0x10000132
 Double-click an asset listed below to populate this field. Assets are managed in Assets view.

.topic 0x10000133
 Double-click your link under Asset Name to populate this field. Assets are managed in Assets view.

.topic 0x5163e
 Enter the path for the link and click Save.

.topic 0x51634
 Add a link to your NavBar.

.topic 0x517f6
 Select this option to automatically open to the view last used before closing NetObjects Fusion. For this option to function, you must also select the above option: Open to most recently used file at startup.

.topic 0x50600
 Enter a name or brief description. In most browsers, this will appear as a ToolTip when the site visitor mouses over the object.

.topic 0x517fa
 Publish your site, or selected pages, and preview it in your default browser.

.topic 0x51622
 Increase or decrease the border width of your primary navigation bars. To activate this option, you must first deselect the Read only command in the Style Properties panel.

.topic 0x51623
 Increase or decrease the spacing between buttons in your primary navigation bars. To activate this option, you must first deselect the Read only command in the Style Properties panel.

.topic 0x516f7
 Edit the text attributes and values listed above.

.topic 0x10000134
 Select an item from the list below and click delete to remove from your local or remote server.

.topic 0x51c9e
 Displays your designated FTP Host.

.topic 0x1818a
 New Site from Site wizard. Create a site within a few, easy keystrokes. We highly recommend that you review the QuickStart Tips (see the Help menu) to learn how to customize your new site.

.topic 0x1818b
 Close Site. Close your current site without exiting NetObjects Fusion.

.topic 0x180bb
 Import Document. Imports a document into a new Web page below your currently selected page.

.topic 0x1818c
 Edit Profile. Your Profile populates the Contact Us page in websites you create using the Site wizard.

.topic 0x192ef
 Refresh. Refresh your screen.

.topic 0x18185
 Insert File. Insert an HTML file into your Web page. Enable this feature by selecting the HTML Source tab.

.topic 0x1011e
 Add a stacked page. See the counter on the views bar for the total number of pages in the stack.

.topic 0x10194
 Delete a stacked page. See the counter on the views bar for the total number of pages in the stack.

.topic 0x18022
 Go to the previous stacked page.

.topic 0x1011d
 Go to the next stacked page.

.topic 0x517a8
 Add HTML to your SiteStyle line.

.topic 0x51742
 Add or edit actions in your link.

.topic 0x503b3
 Remove link and restore text to its original formatting.

.topic 0x514a8
 Page Design. Add content, layout and navigation to your current Web page.

.topic 0x50560
 Page Design. Add content, layout and navigation to your current Web page.

.topic 0x514b7
 HTML Source. View and edit the HTML code for the current Web page.

.topic 0x514a9
 Page Preview. Display a browser preview of the current Web page.

.topic 0x10850
 Structure View. Displays the SiteStructure, which you may preview and print through the File menu. The SiteStructure may be viewed in a vertical or horizontal orientation.

.topic 0x50a77
 Choose the primary or secondary navigation bar button image from the selected SiteStyle that you want to use to link to child pages.

.topic 0x5184d
 Select this option to use the navigation button bar images included in the current SiteStyle.

.topic 0x5184e
 Select this option to use the navigation button bar images from a SiteStyle other than the one selected in Style view.

.topic 0x5184f
 Select a SiteStyle from the drop-down list.

.topic 0x50a79
 Choose the primary or secondary navigation bar button image from the selected SiteStyle that you want to use to display JavaScript submenus.

.topic 0x50a75
 Select this option to use the navigation button bar images included in the current SiteStyle.

.topic 0x50a76
 Select this option to use the navigation button bar images from a SiteStyle other than the one selected in Style view.

.topic 0x50a78
 Select a SiteStyle from the drop-down list.

.topic 0x50a7a
 Select a frame or pop-up window to display the target of each navigation bar button.

.topic 0x50ace
 Click to create a new window to display the target of each navigation bar button.

.topic 0x18190
 Formatted Text (RTF). Insert contents of the Clipboard as text with font and table formatting.

.topic 0x18191
 Unformatted Text. Inserts the contents of the Clipboard as text with no formatting.

.topic 0x18192
 HTML Format. Inserts the contents of the Clipboard as HTML format.

.topic 0x18194
 Set Paste Default. Choose the default format for the Paste Special option.

.topic 0x1819d
 Export Selected Pages as Template. Saves the selected NetObjects Fusion pages as a template file. Templates can be imported into other sites and new sites can be created from templates. Templates provide the best way to share sites with co-workers.

.topic 0x18197
 Spell Check Entire Site. Check the spelling of text on all pages in the site.

.topic 0x1819c
 Spell Check Selected Pages. Check the spelling of text on the pages selected in Site view.

.topic 0x18193
 Check for Updates. Check for online updates to NetObjects Fusion. You must be connected to the Internet for this option to work.

.topic 0x181af
 Site Navigation. Toggles between viewing and hiding the Site Navigation panel.

.topic 0x51830
 If NetObjects Fusion does not recognize a word, it appears here.

.topic 0x51832
 The suggested correct spelling of the misspelled word appears here. Click Change or Change All to replace the misspelled word with this word.

.topic 0x51831
 The list of possible corrections for the misspelled word appears here.

.topic 0x51833
 Choose the scope of the search for the text you want to replace. You can select the text selection, the selected text box, the current page, or the entire site. Your choices depend on the view you are currently in.

.topic 0x5f7a8
 Enter the version of Flash required to view the movie you are adding to your site.

.topic 0x50a2d
 Choose a horizontal or vertical navigation bar. Vertical is the default.

.topic 0x50a2a
 Select this option to include links to child pages in the navigation bar.

.topic 0x10000135
 Select this option to make child pages not included in the navigation bar visible when the site visitor moves the pointer over the parent page link.

.topic 0x50260
 Displays the current SiteStyle. To change the SiteStyle, go to Style view.

.topic 0x5181d
 Click to watch a movie that shows how to publish your site.

.topic 0x5f7af
 Shows the color selected for the text in this element.

.topic 0x51826
 Click to change the color of the text in this element.

.topic 0x5f7ac
 Displays the horizontal position for text on this navigation bar button. Click the up and down arrows to refine the setting. The text position changes as you adjust the setting.

.topic 0x5f7ab
 Displays the horizontal position for text on this navigation bar button. Click the up and down arrows to refine the setting. The text position changes as you adjust the setting.

.topic 0x5f7aa
 Displays the vertical position for text on this navigation bar button. Click the up and down arrows to refine the setting. The text position changes as you adjust the setting.

.topic 0x5f7a9
 Displays the vertical position for text on this navigation bar button. Click the up and down arrows to refine the setting. The text position changes as you adjust the setting.

.topic 0x5f7ad
 If the navigation bar button has more than one line of text, use this option to set the alignment.

.topic 0x51800
 Select Automatically to check for online program updates using the specified frequency and event. Select Manually to check for online program updates only when you select Check for Updates from the Tools menu.

.topic 0x51801
 Select Manually to check for online program updates only when you select Check for Updates from the Tools menu. Select Automatically to check for online program updates using the specified frequency and event.

.topic 0x51807
 If you choose to check for online program updates automatically, select this option to check every day.

.topic 0x51808
 If you choose to check for online program updates automatically, select this option to check once a week.

.topic 0x51809
 If you choose to check for online program updates automatically, select this option to check once a month.

.topic 0x51803
 Shows when NetObjects Fusion last checked for an online update.

.topic 0x51804
 Shows when the last online program update was downloaded.

.topic 0x5183b
 If this option is selected, after NetObjects Fusion checks spelling of a text block, it does not check the same text again unless you modify the text or clear this option.

.topic 0x10000136
 Select this option to format the selected cell(s) as a column or row heading.

.topic 0x50a22
 Select the character you want to use before each link in the text navigation bar. The default is a square bracket. You can choose angle brackets, other characters, or leave this blank.

.topic 0x50a23
 Select the character you want to use after each link in the text navigation bar. The default is a square bracket. You can choose angle brackets, other characters, or leave this blank.

.topic 0x50a29
 Select this option to extend the link underline to include the delimiter characters.

.topic 0x50adb
 If the navigation bar is horizontal, select alignment in relation to the page layout.

.topic 0x50a26
 Select this option to increase the page width so all links on the horizontal navigation bar appear on a single line.

.topic 0x50d7f
 Select this option to include a link to the current page in the navigation bar.

.topic 0x50ad9
 Shows the width of the photo. You can enter a new width here.

.topic 0x51835
 Drag the slider to change the width of the photo.

.topic 0x50ada
 Click to apply this size to all photos.

.topic 0x51866
 Click to open the Properties Editor.

.topic 0x5186a
 Enter a new name for the link target.

.topic 0x10000137
 Enter a name for the new link target.

.topic 0x51867
 Uses MasterBorders from the open site and overwrites MasterBorders of the same name in the inserted template.

.topic 0x51868
 Overwrites MasterBorders in the open site with MasterBorders of the same name from the inserted template.

.topic 0x51869
 Renames MasterBorders in the inserted template so no MasterBorders are lost due to overwriting.

.topic 0x51865
 Select this option to include publish profiles in the template. Clear this option if you do not want to include a profile that contains an FTP password.

.topic 0x51854
 Choose the type of link you want to create.

.topic 0x50a82
 Click to search for a specific link in the list.

.topic 0x50a83
 Click to find the next occurrence of the link you are searching for.

.topic 0x5185f
 Select to link to a page in the SiteStructure.

.topic 0x5185a
 Shows pages available for internal link.

.topic 0x50ac8
 List of links and anchors in site.

.topic 0x51860
 Select this option if an anchor link is in a MasterBorder or AutoFrame to ensure that the link always points to an anchor on the current page.

.topic 0x10000138
 Select this option if you do not want to specify a target for this link.

.topic 0x10000139
 Select this option to choose an existing link target.

.topic 0x1000013a
 Select this option to display the designated content in a new named window.

.topic 0x5185d
 Shows available smart links based on the current SiteStructure.

.topic 0x51855
 Select the type of the new external link.

.topic 0x51857
 Enter the path to the item you want to link to.

.topic 0x51858
 Click to save the path you entered.

.topic 0x50ad1
 Shows existing external links.

.topic 0x51856
 Click to find the file you want to link to.

.topic 0x51861
 Select this option to convert the linked file to HTML when you publish the site.

.topic 0x5185e
 Shows existing file links.

.topic 0x50a85
 Click to search for a specific link.

.topic 0x50a86
 Click to find the next occurrence of the link you are searching for.

.topic 0x50aa5
 Click to clear all the items currently on the custom navigation bar.

.topic 0x50a84
 Click to save the path you entered.

.topic 0x51842
 List of existing links.

.topic 0x51873
 Shows when NetObjects Fusion last checked for an online update.

.topic 0x51874
 Shows when the last online program update was downloaded.

.topic 0x51881
 Selecting this option will populate the Title and Alt Tag fields in the Photo Gallery properties editor.

.topic 0x5187e
 Select from the list which Meta Tag type you would like to insert.

.topic 0x5187c
 Insert the content related to the Meta Tag type you have selected above.

.topic 0x5187d
 Selecting this option will apply the Meta Tag information to the inherited site pages.

.topic 0x51876
 Select this option to avoid clashing with Fusion pre-defined variable names. It is also recommended that a Prefix and/or Suffix be used in conjunction with your defined variables.

.topic 0x51879
 Create the Prefix associated with your variables.

.topic 0x5045a
 Create the Prefix associated with your variables.

.topic 0x5187a
 Create the Suffix associated with your variables.

.topic 0x50d28
 Create the Suffix associated with your variables.

.topic 0x51878
 Your variable will be formatted as shown in this dialog.

.topic 0x51877
 Click to set Variable options.

.topic 0x51888
 Choose a location to add a new SiteStyles source to your Styles view.

.topic 0x51844
 If this option is selected, after NetObjects Fusion spell checks the page or site, you will see the number of corrections made. If you find this option unnecessary, you can also check the "Don’t display again" box after spell-checking your page.

.topic 0x5183f
 If this option is selected, NetObjects Fusion will check the text as you type, and then mark possible errors with wavy underlines. To make a correction, right-click on the word and select the correction you want.

.topic 0x5188e
 Increase or decrease the display area of the attributes associated with your product.

.topic 0x1000013b
 Increase or decrease the display area of the attributes associated with your product.

.topic 0x1000013c
 Increase or decrease the display area of the attributes associated with your product.

.topic 0x5188f
 Click to apply the changes to the Product item box.

.topic 0x5188b
 Browse to the location of the file or folder you would like to upload.

.topic 0x505c0
 Review the file type, name and location of your component assets.

.topic 0x5183a
 Select the image type you would like to associate the file size with.

.topic 0x51839
 Displays the file size of the image type selected from the dropdown box.

.topic 0x51897
 Increase or decrease the display area of the attributes associated with your product.

.topic 0x50b07
 Increase or decrease the display area of the attributes associated with your product.

.topic 0x51898
 Move the slider to increase or decrease the vertical space between your products.

.topic 0x50b08
 Move the slider to increase or decrease the vertical space between your products.

.topic 0x5189a
 Move the slider to increase or decrease the vertical space between your products.

.topic 0x51899
 Move the slider to increase or decrease the horizontal space between your products.

.topic 0x50b09
 Move the slider to increase or decrease the horizontal space between your products.

.topic 0x5189b
 Move the slider to increase or decrease the horizontal space between your products.

.topic 0x20066
 You can add new SiteStyles from a variety of sources anywhere on the Internet, your hard disk drive, CD-ROM, or even your local Intranet.
 In the drop down list, select the source type to add your new SiteStyle source. View the description related to the particular source for information regarding the source type. When you have selected the source type click Next and provide the name and location of your new SiteStyle source.

.topic 0x217b0
 Enter a descriptive name that you will use to recognize your new SiteStyles source. Enter the URL necessary to locate the XML doc used to define this source. Once you have located the XML doc click on the Test button to validate the source.
 Click on Finish to add this SiteStyle source to your Style view menu or click Back to make changes to previous selections. To avoid adding the new SiteStyle source click Cancel.

.topic 0x217b2
 Enter a descriptive name that you will use to recognize your new SiteStyles Source. Enter the path necessary to locate this source. Clicking on the ... button will allow you to browse to the source location and select the folder containing your new SiteStyles. Once you have located the source folder that contains your new SiteStyles click on the Test button to validate the source.
 Click on Finish to add this SiteStyle source to your Style view menu or click Back to make changes to previous selections. To avoid adding the new SiteStyle source click Cancel.

.topic 0x217b3
 Enter a descriptive name that you will use to recognize your new SiteStyles Source. Enter the path necessary to locate this source. Clicking on the ... button or Find Source button will allow you to browse to the source location and select the folder containing your new SiteStyles. Once you have located the source folder that contains your new SiteStyles click on the Test button to validate the source.
 Click on this…..

.topic 0x217b4
 Enter a descriptive name that you will use to recognize your new SiteStyles Source. Enter the path necessary to locate this source. Clicking on the ... button will allow you to browse to the source location and select the folder containing your new SiteStyles. Once you have located the source folder that contains your new SiteStyles click on the Test button to validate the source.
 Click on Finish to add this SiteStyle source to your Style view menu or click Back to make changes to previous selections. To avoid adding the new SiteStyle source click Cancel.

.topic 0x5187f
 Select from the list which Meta Tag type you would like to insert.

.topic 0x509b7
 Select this option if you do not want to see this message or prompt again.

.topic 0x509b8
 A warning prompt or informational message is displayed here.

.topic 0x5040f
 A warning prompt or informational message is displayed here.

.topic 0x5188c
 The unused Styles are selected for deletion by default. To avoid deleting an unused Style, click the selected check box to deselect the Style. Click Remove to delete the selected Styles from the list or Close if you decide not to delete any unused Styles.

.topic 0x518d1
 Move the slider to adjust the image brightness. Adjusting the brightness changes the tonal range.

.topic 0x518d3
 Move the slider to adjust the hue. Adjusting the hue represents a move around the color wheel.

.topic 0x518d4
 Move the slider to adjust the saturation. Adjusting the saturation changes the purity of color and represents a move across the radius.

.topic 0x518d9
 View the color spectrum for the selected image.

.topic 0x50437
 Enter a value for the image brightness. Adjusting the brightness changes the tonal range.

.topic 0x50d29
 Enter a value for the image contrast. Adjusting the contrast changes the mixture of colors.

.topic 0x50d33
 Enter a value for the image hue. Adjusting the hue represents a move around the color wheel.

.topic 0x50d3b
 Enter a value for the image saturation. Adjusting the saturation changes the purity of color and represents a move across the radius.

.topic 0x51909
 Select this option to add an image border.

.topic 0x51907
 Select a line style for the image border from the drop-down list.

.topic 0x51849
 Select a line style for the image border from the drop-down list.

.topic 0x50d15
 Use the spin buttons to adjust the thickness of the selected image’s border.

.topic 0x5190a
 Opens the Color Picker dialog to let you choose a border.

.topic 0x51903
 Click to return the selected picture back to its original size and properties. To use this button, you must have selected "Copy to site’s Assets folder" in the Picture File Open dialog.

.topic 0x51905
 Choose an optimization setting for the selected image from the drop-down list.

.topic 0x50d75
 Click to open the Optimize Image dialog. Applying optimization settings allows you to fine-tune your images for use on the Web and minime the time it takes for the images to download.

.topic 0x505b2
 Click to add a link to the selected image.

.topic 0x506b6
 Click here to define the text insertion point or the selected object as an anchor. An anchor is a pre-defined place on a page to which you can make a link. To define an anchor in text, place the blinking cursor inside a text box, but do not select any text. To remove an anchor, click directly on the anchor symbol inside text, or click on the object that has an anchor defined, and then click this button. Then click Remove in the Change Anchor dialog. If you want to link the selected object or text to an anchor that is already defined, click the Link button instead and then select a page and anchor from the Internal Link tab.

.topic 0x50233
 Click to browse to the image location.

.topic 0x51904
 Click to optimize the selected image.

.topic 0x50218
 Use the spin buttons to adjust the width of the selected image.

.topic 0x50d2a
 Use the spin buttons to adjust the height of the selected image.

.topic 0x50d86
 Select this option to maintain the image's aspect ratio. This maintains the picture’s scale so that the height and width are proportional.

.topic 0x50d87
 Choose the rotation for the selected image from the drop-down list.

.topic 0x50d88
 Click to flip the selected image horizontally across the y-axis.

.topic 0x50d89
 Click to flip the selected image vertically across the x-axis.

.topic 0x518d5
 Click to crop the selected image.

.topic 0x518f8
 List of current hotspots for the selected image.

.topic 0x50d14
 Enter text for the ALT Tag of the selected image's hotspot.

.topic 0x518fa
 Click to always display hotspots for the selected image.

.topic 0x504e6
 Click to add a link to the selected object.

.topic 0x518ea
 Choose an optimization setting for the selected image from the drop-down list. Applying optimization settings allows you to fine-tune your images for use on the Web and minime the time it takes for the images to download.

.topic 0x50212
 Click to create a new optimization setting.

.topic 0x518e9
 Click to remove an existing optimization setting.

.topic 0x518f0
 Choose a file format for the selected image from the drop-down list.

.topic 0x518f1
 Optimization is the process of fine-tuning your images for use on the Web and minimizing the time it takes for the images to download.

.topic 0x50d7a
 Choose the number of colors available for the selected image from the drop-down list.

.topic 0x50d79
 Choose the set of colors available in the color table for the selected image from the drop-down list.

.topic 0x50d7b
 Choose a dither setting to simulate unavailable colors from the drop-down list.

.topic 0x50d8a
 Select this option to create a transparent .gif.

.topic 0x51902
 Opens the Color Picker dialog to let you choose a transparent color.

.topic 0x518ef
 Select this option to create an image that displays progressively in a Web browser.

.topic 0x518eb
 Move the slider to adjust the quality of the selected image.

.topic 0x518ed
 Enter a value for the image quality. Valid values are 1 through 100.

.topic 0x518ee
 Choose the quality range of the selected image from the drop-down.

.topic 0x518ec
 Move the slider to adjust the blur of the selected image.

.topic 0x518e8
 Enter a value for the blur of the selected image. Valid values are 1 through 100.

.topic 0x50d16
 Replace the existing setting or save the setting with a different name.

.topic 0x518f3
 Click to eliminate red-eye in the selected image.

.topic 0x518f4
 Click to apply red-eye settings to the selected image.

.topic 0x518f5
 Move the slider to adjust the eye-color strength for the selected image.

.topic 0x50219
 Enter a value for the eye-color strength for the selected image. Valid values are 1 through 100.

.topic 0x518f6
 Choose an eye-color for the selected image from the drop-down.

.topic 0x518ff
 Enter text to name the new optimization setting.

.topic 0x5190c
 Optimization is the process of fine-tuning your images for use on the Web and minimizing the time it takes for the images to download.

.topic 0x1000013d
 Displays the approximate download times for the selected image with the current optimization settings.

.topic 0x518dd
 Positions text horizontally within the object. This is different from the Alignment buttons. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x518e3
 Type in the offset field to position the text from the margins by pixels. You cannot offset text that is positioned in the middle of an image.

.topic 0x518de
 Positions text vertically within the object. This is different from the Alignment buttons. They position text in relation to other text and this option positions text relative to the object boundaries.

.topic 0x501fa
 Type in the offset field to position the text from the margins by pixels. You cannot offset text that is positioned in the middle of an image.

.topic 0x518df
 Select Alignment position for the text. The alignment left-aligns, centers, or right-aligns two or more lines of text. It has no effect on single lines of text.

.topic 0x50240
 Displays the degrees of text rotation. Use the slider control on the left to adjust the number of degrees to rotate the text. Choose a value between –180 and 180 degrees. If the Right angles option is selected, rotation is constrained to 90-degree increments.

.topic 0x518e4
 Select Anti-Aliasing for the text. Anti-Aliasing smooths fonts and removes the jagged edges from a text selection. Turning off this option produces a hard-edged transition between pixels, and therefore the appearance of jagged edges is heightened.

.topic 0x1000013e
 Select "Copy to site’s Assets folder to keep a copy of the original image. If you plan to edit your images, it is recommended you save a copy to your site’s "Assets" folder allowing you to easily revert to the original image and remove all changes.

.topic 0x51915
 Choose an optimization setting for all auto-generated images from the drop-down list. Applying optimization settings allows you to fine-tune your images for use on the Web and minime the time it takes for the images to download.

.topic 0x51916
 Click to add or edit current optimization settings for all auto-generated images.

.topic 0x518a6
 Enter a name for the new pop-up window target.

.topic 0x518c3
 Start tag of the pop-up window custom script.

.topic 0x518a9
 Use the spin buttons to adjust the width of the pop-up window target.

.topic 0x5189d
 Edit the pop-up window script.

.topic 0x518ad
 Use the spin buttons to adjust the height of the pop-up window target.

.topic 0x518b0
 Select this option to have the pop-up window fill the entire screen.

.topic 0x518b3
 Enter a value to position the pop-up window. Placement will be offset in pixels from the left margin of the browser.

.topic 0x518b7
 Enter a value to position the pop-up window. Placement will be offset in pixels from the top margin of the browser.

.topic 0x518bc
 Select this option to add a navigation toolbar to the pop-up window.

.topic 0x518bd
 Select this option to to scroll left-right and up-down in the pop-up window.

.topic 0x518be
 Select this option to add the browser’s menu bar.

.topic 0x518bf
 Select this option to display the page status in the browser.

.topic 0x518c0
 Select this option to allow site visitors to resize the pop-up window.

.topic 0x518c1
 Click to preview the pop-up window in a browser. Adjust the pop-up window settings, then click Set to apply the new settings.

.topic 0x518c7
 Closing tag of the pop-up window custom script.

.topic 0x5189e
 Select a target type from the drop-down list.

.topic 0x518c2
 Choose the link target from the drop-down list.

.topic 0x5189f
 Choose an existing link target from the drop-down list.

.topic 0x518a1
 Click to add a new link target.

.topic 0x518a2
 Click to edit an existing link target.

.topic 0x518a3
 Click to remove an existing link target.

.topic 0x518d6
 Enter a name for the new style element.

.topic 0x50811
 Select this option if you want the new style element to be displayed as an image.

.topic 0x518d2
 Select this option if you want the new style element to be displayed as text.

.topic 0x50423
 Click to add a new button set.

.topic 0x50d82
 Click to duplicate the style element.

.topic 0x50d83
 Click to delete the style element.

.topic 0x50d18
 Select to choose a column to sort by and sort order.

.topic 0x50d21
 Select a column to sort by.

.topic 0x50d2c
 Select the sort order. Choose Ascending Order (A to Z), Descending Order (Z to A), Ascending Numeric Order (1, 2, 3, 4, 5 . . .), or Descending Numeric Order (5, 4, 3, 2, 1 . . .).

.topic 0x50d34
 Select to choose additional columns to sort by and sort order.

.topic 0x50d3c
 Select an additional column to sort by.

.topic 0x50d42
 Select the sort order. Choose Ascending Order (A to Z), Descending Order (Z to A), Ascending Numeric Order (1, 2, 3, 4, 5 . . .), or Descending Numeric Order (5, 4, 3, 2, 1 . . .).

.topic 0x50d47
 Select to choose additional columns to sort by and sort order.

.topic 0x50d4c
 Select an additional column to sort by.

.topic 0x50d51
 Select the sort order. Choose Ascending Order (A to Z), Descending Order (Z to A), Ascending Numeric Order (1, 2, 3, 4, 5 . . .), or Descending Numeric Order (5, 4, 3, 2, 1 . . .).

.topic 0x50d57
 Click to exclude data in cells marked as headers from the sort.

.topic 0x50d61
 Click to exclude spaces from the data being sorted.

.topic 0x50d5c
 Click to sort the data in the selected cells only.

.topic 0x51943
 Click on the blue arrow to display the dimensions selector, then drag your cursor to highlight the boxes. Click on the box that is in the last (bottom-right) position of the desired size to set the table style dimensions.

.topic 0x50216
 Click to clear all formatting of the selected table style.

.topic 0x51941
 Select the SiteStyle with the table styles you want to apply from the drop-down list.

.topic 0x51942
 Select the table style to apply from the drop-down list.

.topic 0x50d19
 Enter a value to set the width of the table.

.topic 0x50d22
 Select a unit of measurement for the width from the drop-down list.

.topic 0x50d2d
 Enter a value to set the height of the table.

.topic 0x50d35
 Select a unit of measurement for the height from the drop-down list.

.topic 0x50d3d
 Use the spin buttons to add or remove table rows. If you increase the value, rows are added to the bottom of the table. If you decrease the value, rows are removed from the bottom of the table.

.topic 0x50d48
 Use the spin buttons to add or remove table columns. If you increase the value, columns are added to the right of the table. If you decrease the value, columns are removed from the right of the table.

.topic 0x50d52
 Adjusts the amount of space between the cell contents and the cell border.

.topic 0x50d5d
 Adjusts the amount of space between cells.

.topic 0x50d66
 Use the spin buttons to adjust the thickness of the table border.

.topic 0x50468
 Opens the Color Picker dialog to let you choose a border.

.topic 0x50d1c
 Enter a value to set the height of the row.

.topic 0x50d25
 Select a unit of measurement for the height from the drop-down list.

.topic 0x50d30
 Use to align the cell contents to the top, middle, or bottom of cell. Select Auto to automatically align the content based on the default settings.

.topic 0x50d38
 Use to align the cell contents to the left, center, or right, or if cell contains text, use to justify text in the cell. Select Auto to automatically align the content based on the default settings.

.topic 0x50d3f
 Click to insert a row above the selected row.

.topic 0x50d45
 Click to insert a row below the selected row.

.topic 0x50d4a
 Click to combine the selected cells.

.topic 0x50d4f
 Click to split the currently selected cell or cells into multiple cells. Each cell will be split into the number of columns and rows you specify in the subsequent dialog.

.topic 0x50d54
 Select this option to designate the current selection as a form. A Layout, a Layout Region, a table, table cells, or a text box can be made into a form. Click the Settings button to configure the form.

.topic 0x50d5a
 Opens the Forms Settings dialog, where you can configure the form.

.topic 0x50d5f
 Select this option to format the selected cell(s) as a row heading.

.topic 0x50d64
 Opens the Object HTML dialog where you can enter or insert HTML and scripts into the <ROW> tag of the selected row.

.topic 0x50d1d
 Enter a value to set the width of the column.

.topic 0x50d26
 Select a unit of measurement for the width from the drop-down list.

.topic 0x50d31
 Click to size the cell to fit its content.

.topic 0x50d39
 Use to align the cell contents to the top, middle, or bottom of cell. Select Auto to automatically align the content based on the default settings.

.topic 0x50d40
 Use to align the cell contents to the left, center, or right, or if cell contains text, use to justify text in the cell. Select Auto to automatically align the content based on the default settings.

.topic 0x50d46
 Click to insert a column to the left of the selected column.

.topic 0x50d50
 Click to combine the selected cells.

.topic 0x50d55
 Click to split the currently selected cell or cells into multiple cells. Each cell will be split into the number of columns and rows you specify in the subsequent dialog.

.topic 0x50d1b
 Use to align the cell contents to the top, middle, or bottom of cell. Select Auto to automatically align the content based on the default settings.

.topic 0x50d24
 Displays the current vertical alignment settings.

.topic 0x50d2f
 Use to align the cell contents to the left, center, or right, or if cell contains text, use to justify text in the cell. Select Auto to automatically align the content based on the default settings.

.topic 0x50d37
 Displays the current horizontal alignment settings.

.topic 0x50d49
 Click to insert a row above the selected cells.

.topic 0x50d4e
 Click to insert a row below the selected cells.

.topic 0x50d53
 Click to insert a column to the left of the selected cells.

.topic 0x50d59
 Click to insert a column to the right of the selected cells.

.topic 0x50d5e
 Click to combine the selected cells.

.topic 0x50d63
 Click to split the currently selected cell or cells into multiple cells. Each cell will be split into the number of columns and rows you specify in the subsequent dialog.

.topic 0x50436
 Enter the name of the new table style.

.topic 0x51944
 Click to duplicate the table style.

.topic 0x50213
 Click to delete a table style.

.topic 0x23419
 Table Style preview area. The middle region consists of all repeating cells and is defined in the Table Properties panel as all cells inside the blue box. The border region consists of all non-repeating cells and is defined as all cells outside of the blue box.

.topic 0x50d1e
 Displays the file name for the selected file.

.topic 0x51932
 Browse to the location of the file you would like to import. Valid file types are .csv, .txt, and .xml.

.topic 0x51931
 Select the file type delimiter from the drop-down list. Choose Tab to import a tab-delimited (.txt) file, Comma to import a comma-delimited (.csv) file or Custom to specify a new delimiter.

.topic 0x5192b
 Enter a value for the custom delimiter. This field is only available if Custom is selected from the Delimiter drop-down list.

.topic 0x5192a
 Enter a value to set the width of the table.

.topic 0x5192c
 Select a unit of measurement for the width from the drop-down list.

.topic 0x5192d
 Adjusts the amount of space between the cell contents and the cell border.

.topic 0x5192f
 Adjusts the amount of space between cells.

.topic 0x50d17
 Enter a value or use the spin buttons to set the number of rows for the table.

.topic 0x5045c
 Enter a value or use the spin buttons to set the number of columns for the table.

.topic 0x5045e
 Enter a value or use the spin buttons to set the amount of space between the cell contents and the cell border.

.topic 0x50460
 Enter a value or use the spin buttons to set the amount of space between cells.

.topic 0x50462
 Enter a value to set the width of the table.

.topic 0x50463
 Select a unit of measurement for the width from the drop-down list.

.topic 0x50464
 Enter a value to set the height of the table.

.topic 0x50465
 Select a unit of measurement for the height from the drop-down list.

.topic 0x518cc
 Select to exclude the page from navigation. This removes the page from the navigation bar. The page is generated upon publishing and is typically accessed using links.

.topic 0x50991
 Select to display smart guides when moving objects in page view.

.topic 0x50d7d
 Select a banner set to use for the selected navigation bar. This affects the current banner only.

.topic 0x50d7e
 Choose an orientation for the selected banner or navigation bar. When you place a banner or navigation bar, drag vertically to create a vertical banner or navigation bar, and drag horizontally to create a horizontal banner or navigation bar.

.topic 0x50aca
 Select this option to set the background color.

.topic 0x1000013f
 The buttons on your navigation bar appear as displayed in the Style view.

.topic 0x51950
 The buttons on your navigation bar are displayed using advanced settings.

.topic 0x10000140
 Click to customize the navigation bar style.

.topic 0x50723
 Select the page level, which is relative to the current page, you want to apply the button style to. The style you choose will apply only to the pages at the selected level. The current page is Level 0, its parent page is Level -1, the next parent page is Level -2, and so on, until you reach the Home page. The current pages child is Level +1, its child is Level +2, and so on.

.topic 0x5194c
 Select a button set to use for the selected navigation bar. This affects the current navigation bar only.

.topic 0x5195c
 Click to apply the current settings to all page level navigation bars.

.topic 0x50a27
 Select Fly-out submenus to make child pages not included in the navigation bar visible when the site visitor moves the pointer over the parent page link.

.topic 0x50a28
 Select Auto-close fly-out submenus close the fly-out submenus when the mouse is no longer hovering over.

.topic 0x51955
 Select a page level to apply the custom style to.

.topic 0x10000141
 Displays a preview of the button state.

.topic 0x51959
 Select Include Fly-out submenus to make child pages not included in the navigation bar visible when the site visitor moves the pointer over the parent page link.

.topic 0x50a2e
 Choose a setting to display how the fly-out submenu will unfold.

.topic 0x50d20
 Choose a position of the fly-out submenu on the X-axis.

.topic 0x50d2b
 Choose a position of the fly-out submenu on the Y-axis.

.topic 0x5082d
 Click to apply the cropped settings to the selected image.

.topic 0x51946
 Select a new button image.

.topic 0x518cd
 Displays the type of style element selected.

.topic 0x50d84
 Select to display the new style element as an image, text, or Flash.

.topic 0x5193f
 Create a table style that can be applied throughout your site.

.topic 0x5193b
 Apply an existing table style to your site.

.topic 0x5193c
 Select the active site style that contains the table style you want to apply.

.topic 0x5193d
 Select the table style you want to apply.

.topic 0x50469
 Select this option to generate a non-breaking space inside of empty cells. Without a non-breaking space, rows with no content collapse to zero height. An example of a cell tag with a non-breaking space character: <TD>&nbsp;</TD>

.topic 0x5046a
 Select this option to create a table that is designated a form container. Form objects must be placed within form containers. The Forms toolbar, which contains tools for making form objects, will display after the form area is created. Use Layout Regions, text boxes, or tables as form containers if you want multiple forms on one page. You can make any existing Layout Region, text box, table, or layout a form container by selecting it and clicking its form check box on the Property panel.

.topic 0x5046b
 Opens the Forms Settings dialog, where you can configure the form.

.topic 0x5046c
 Opens the Object HTML dialog where you can enter or insert HTML and scripts into the <ROW> tag of the selected row.

.topic 0x50d44
 Format text using CSS to incorporate typographical elements—like line spacing and letter spacing—that are not supported by standard HTML. Be sure to test your site using all target browsers to make sure the site displays as you intended.

.topic 0x50d3e
 Format text using CSS to incorporate typographical elements—like line spacing and letter spacing—that are not supported by standard HTML. Be sure to test your site using all target browsers to make sure the site displays as you intended.

.topic 0x50d67
 Select this option to create a table that is designated a form container. Form objects must be placed within form containers. The Forms toolbar, which contains tools for making form objects, will display after the form area is created. Use Layout Regions, text boxes, or tables as form containers if you want multiple forms on one page. You can make any existing Layout Region, text box, table, or layout a form container by selecting it and clicking its form check box on the Property panel.

.topic 0x50d6f
 Click to make the cell a header.

.topic 0x50d6a
 Opens the Forms Settings dialog, where you can configure the form.

.topic 0x10000142
 Enter the name of the new table style.

.topic 0x10000143
 Create a new navigation bar structure or modify the existing one.

.topic 0x10000144
 Select pages to include in your navigation bar.

.topic 0x10000145
 Select a navigation target.

.topic 0x10000146
 Choose an orientation for the selected navigation bar.

.topic 0x10000147
 Select the page level, which is relative to the current page, you want to apply the button style to. The style you choose will apply only to the pages at the selected level. The current page is Level 0, its parent page is Level -1, the next parent page is Level -2, and so on, until you reach the Home page.

.topic 0x10000148
 Select the active site style that contains the style element you want to apply.

.topic 0x10000149
 Select the style element you want to apply.

.topic 0x1000014a
 Include additional options in your navigation bar.

.topic 0x1000014b
 Select a font for the text in this element.

.topic 0x1000014c
 Select a size for the text in this element.

.topic 0x1000014d
 Select a style for the text in this element.

.topic 0x519a7
 Select this option if you do not want the layout's content to be editable. If the layout is protected, it cannot be resized and its contents cannot be modified.

.topic 0x519a8
 Select this option if you want to protect the layout's content while allowing text within the layout to be edited.

.topic 0x519aa
 Select this option if you do not want the MasterBorder's content to be editable. If the MasterBorder is protected, it cannot be resized and its contents cannot be modified.

.topic 0x519a9
 Select this option if you want to protect the MasterBorder's content while allowing the text within the MasterBorder to be edited.

.topic 0x1000014e
 Select a MasterBorder for the current page. Click the Add/Edit button on the MasterBorder Properties panel to add, rename, or remove MasterBorders.

.topic 0x51977
 Select this option to prevent the object's content from being modified.

.topic 0x51976
 Select this option so that the object cannot be deleted.

.topic 0x5198c
 Select this option so that the object cannot be copied. If the object is protected from copying, the Copy and Paste commands will not be available on both the edit menu and shortcut menu.

.topic 0x51971
 Select this option to prevent the object's width from being modified so that the object will retain its current width.

.topic 0x51972
 Select this option to prevent the object's height from being modified so that the object will retain its current height.

.topic 0x51975
 Select this option so that the object will remain proportionate relative to its original size if either the height or width is changed.

.topic 0x51973
 Select this option to snap the object in its horizontal position on the page. When this option is selected, the object can be repositioned above or below its current position but cannot be moved to the left or to the right.

.topic 0x51974
 Select this option to snap the object in its vertical position on the page. When this option is selected, the object can be repositioned to the left or to the right but cannot be moved above or below its current position.

.topic 0x51978
 Select this option to apply all of the available protection options to the object.

.topic 0x51979
 Select this option to remove any previously selected protection options from the object.

.topic 0x51994
 Select this option so that the page cannot be deleted.

.topic 0x5199a
 Select this option so that the page cannot be copied and pasted elsewhere in the SiteStructure.

.topic 0x51995
 Select this option so that the page cannot be moved from its current position in the SiteStructure.

.topic 0x5199b
 Selecting this option prevents child pages from being added to the current parent page.

.topic 0x50547
 Select this option if you do not want the layout's content to be editable. If the layout is protected, it cannot be resized and its contents cannot be modified.

.topic 0x51998
 Select this option if you want to protect the layout's content while allowing text within the layout to be edited.

.topic 0x51996
 Select this option if you do not want the MasterBorder's content to be editable. If the MasterBorder is protected, it cannot be resized and its contents cannot be modified.

.topic 0x51997
 Select this option if you want to protect the MasterBorder's content while allowing the text within the MasterBorder to be edited.

.topic 0x51993
 Select this option to assign the protection options of parent page to the selected child page. For example, if the currently selected page is a child of the About Us page, you can select this option so that this page has the same protection options as the About Us page.

.topic 0x50522
 Click to set site-wide protection options. Protection options set in the Site Protection tab are applied to each page in the site.

.topic 0x51984
 Select this option to save a copy of the site and its current content in the Versions Manager. You can later restore this saved version and revert your site's content to the content of the saved version.

.topic 0x51658
 Click to enter specific information about the version that will help you identify it should it need to be restored.

.topic 0x1000014f
 You can enter author information, such as the name of the site designer or the person who has edited the site and is checking it into the versioning system.

.topic 0x10000150
 You can enter notes about the version for your own use or for others who may retrieve and modify the version.

.topic 0x10000151
 Click to retrieve a connection credentials file (.nfc file) that others can use to retrieve the site from the Versions Manager, make changes, and then publish to the server.

.topic 0x504ae
 Click to open a working copy of the selected version. You can then edit the version and publish it so that it will be live on the Internet.

.topic 0x50112
 Click to remove the selected version from the Versions Manager.

.topic 0x519b0
 Click to add a new blank page to the site. Select the Home page in the SiteStructure and then click New Page to add a new parent page. Select a Parent Page in the SiteStructure and then click New Page to add a child page under the selected page.

.topic 0x519b1
 Click to delete the selected page.

.topic 0x507b9
 Click to open the selected page for editing.

.topic 0x519b2
 Click to cut the page. You can then paste the page to a new location in the SiteStructure.

.topic 0x519b3
 Click to copy the page. You can then paste a copy of the page in the SiteStructure.

.topic 0x519b4
 Click to paste a cut page in the selected location in the SiteStructure.

.topic 0x519a0
 Select to prevent pages in the site from being deleted.

.topic 0x519a1
 Select to prevent pages from being copied and duplicated in the SiteStructure.

.topic 0x519a2
 Select to lock each page's position in the SiteStructure. When this option is selected, pages cannot be moved to a new location in the SiteStructure.

.topic 0x5199e
 Select to prevent child pages from added to the site's parent pages.

.topic 0x519a3
 Selecting this option protects all page layouts and prevents them from being modified.

.topic 0x5199d
 Select this option to allow the text within protected layouts to be edited.

.topic 0x519a4
 Select this option if you do not want the MasterBorders on the site to be editable. If the MasterBorders are protected, they cannot be resized and their content cannot be modified.

.topic 0x519a6
 Select this option if you want to protect the content of each MasterBorder on the site while allowing the text within the MasterBorders to be edited.

.topic 0x5199f
 Click to set a size limit for each new image that is added to the site. The default value is 100 KB, but you can specify a different maximum value.

.topic 0x519a5
 Enter a maximum value for the size of new images added to the site.

.topic 0x519bf
 Select the Publish Profile to which you want to store site versions.

.topic 0x519c0
 Select to specify the maximum amount of server space allowed for the stored site versions. You will be alerted when the maximum allowed amount of space has been exceeded.

.topic 0x519c1
 Enter the maximum amount of server space (in megabytes) allowed for the stored site versions. The default value is 100 MB.

.topic 0x50830
 Select to specify a maximum number of site versions that can be stored in the Versions Manager. You will be alerted when the number of versions exceeds the maximum number of versions allowed.

.topic 0x5197d
 Enter the maximum number of versions allowed in the Versions Manager.

.topic 0x519c2
 Use to change the number of site versions allowed in the Versions Manager.

.topic 0x519c3
 Select this option to specify a maximum amount of disk space to be used for site backups.

.topic 0x519c4
 Enter the maximum amount of disk space that you want to allot for site backups. You will be prompted when backups exceed this amount.

.topic 0x50831
 Select to specify a maximum number of backups that can be stored on your hard disk.

.topic 0x5197f
 Enter the maximum number of backups you want to keep for the site.

.topic 0x519c5
 Use to change the maximum number of site backups allowed.

.topic 0x5197c
 Choose a different SiteStyle by selecting from the available SiteStyles in the list. SiteStyles change your site's look and feel by applying consistent graphical themes and text elements throughout your site. You can preview the SiteStyle in your browser before applying it to your site.

.topic 0x5197a
 Click to preview the selected SiteStyle in your browser before applying it to your site.

.topic 0x503e0
 Choose an existing site version from the list and then select from the available options, or click New to create a new version.

.topic 0x503e6
 Click to create a new version to be stored in the Versions Manager.

.topic 0x519ba
 By default, versions are named VERSION followed by the number of the version. You can enter a different name for the version so that you can easily identify it should it need to be restored.

.topic 0x519bb
 You can enter a brief description to help you identify the version should it need to be restored. For example, if you have updated the Home page, you could type "Updated Home page" in the description field.

.topic 0x10000152
 Displays the currently selected unit of measurement used to determine layout and page size. The measurement unit preference can be changed in the Application Options dialog.

.topic 0x519ab
 The Site Editor displays the SiteStructure. Select a page in the SiteStructure and choose from the available options, or click New Page to add a new blank page to your site.

.topic 0x503dc
 Click to retrieve a connection credentials file (.nfc) that others can use to retrieve the site from the Versions Manager, make changes, and then publish to the server.

.topic 0x519bc
 Click to open a working copy of the selected version. You can then edit the version and publish it so that it will be live on the Internet.

.topic 0x519bd
 Click to remove the selected version from the Versions Manager.

.topic 0x503fa
 You can enter author information, such as the name of the site designer or the person who has edited the site and is checking it into the versioning system.

.topic 0x50548
 Select this option so that you can modify a site that has object, page, and site protections applied.

.topic 0x519e7
 Opens the More pages dialog where you can add specific pages to the navigation bar.

.topic 0x505f5
 Select this option to use the end caps, as defined in Style view, in the navigation bar. End caps are graphical elements that you can add before the first button and after the last button of the navigation bar.

.topic 0x505f8
 Select this option so that the end caps will serve as an extension of the navigation buttons that they adjoin. When this option is selected, the end caps will serve as active links to their adjoining pages.

.topic 0x51638
 Click to add section title buttons, which divide your navigation bar into sections. Section title buttons must be added to the current SiteStyle before being added to a navigation bar.

.topic 0x519ed
 Select this option to add navigation bar end caps to the current SiteStyle. End caps are graphical elements that can be added both before the first button and after the last button of a navigation bar. End caps can be static elements in the navigation bar, or you can choose to link them to their adjoining navigation button.

.topic 0x519ee
 Select this option to add section title buttons to the current SiteStyle. Section title buttons are static buttons that can be placed between other buttons in the navigation bar, and they are used to divide the navigation bar into sections. You can add text to the section buttons so that they serve as "headings" for groups of pages in the navigation bar.

.topic 0x51a26
 Select to display the new style element as an image, text, or Flash animation.

.topic 0x50531
 Click to remove the selected Flash property.

.topic 0x50530
 Opens the Add Option dialog where you can add Flash properties to the list of existing Flash properties available for the SiteStyle element.

.topic 0x20b87
 Double-click the right-hand column to edit Flash parameters listed in the Properties list. Add Flash properties by clicking the add (+) button or remove Flash properties from the SiteStyle element by clicking the remove (-) button.

.topic 0x51ba1
 Select this option to disable the field on the form. The field will appear on the form but will not be active for visors to use.

.topic 0x51bb8
 Select the scripting language (ASP or PHP) that your Web server uses, or click browse to locate the script file to be published from the Open dialog.

.topic 0x51bbf
 Choose a method (Post or Get) for sending form data to the Web server.

.topic 0x51bc1
 If your server requires data to be encoded in a particular format, such as MIME or BinHex, type the format here.

.topic 0x51bb3
 Moves the selected item up one position in the list.

.topic 0x51bb4
 Moves the selected item down one position in the list.

.topic 0x51a47
 Fields that are part of your form are displayed in this list. Click an item to select it. Click the Validate button to open the Validate Form dialog and apply validation requirements to the selected field.

.topic 0x51ba5
 Select this option to set box’s initial status as checked, which is returned as the response if the site visitor doesn’t change it.

.topic 0x505dc
 Select a style for the form element from the drop-down list.

.topic 0x51ba2
 When you select Custom from the Style drop down, click edit to open the Object Format dialog where you can apply formatting to the contents of the selected box.

.topic 0x51bb5
 Enter the number of visible lines in the box.

.topic 0x51ba7
 For a list box, select this option if you want site visitors to be able to select more than one item in the list.

.topic 0x51bb2
 This is a list where parameters or other items are displayed. Double-click an item to edit it. To add or remove an item, click it and then click the + or - buttons.

.topic 0x51bbb
 Enter a number to define the width of the file selector text box by specifying the number of characters visible in the field.

.topic 0x51bbc
 Enter a number to define how many characters site visitors can enter in the field. When typing exceeds the field’s visible width, text scrolls up to this number of characters.

.topic 0x51a53
 Select the form object to which the forms field label corresponds.

.topic 0x51ba6
 Select this option to set the button's default state as selected. Remember that only one radio button in a group can be selected at a time and this only works if all buttons in the group have the same group name.

.topic 0x51a31
 Select the field or form object to which you want to apply validation options.

.topic 0x51a32
 Click to remove the selected validation option from the field.

.topic 0x5051f
 Click to apply the selected validation option to the field.

.topic 0x51a35
 Validation requirements applied to the field appear in this list. To remove a validation option, select it and click the remove (<) button.

.topic 0x51a33
 Select from available validation options and click the add (>) button to apply them to the field. Visitors filling out the form must meet the validation requirements to submit the form successfully.

.topic 0x51a34
 Set available parameters for validation options by double-clicking in the Value row, and editing the value.

.topic 0x10000153
 Enter the text for the error message that appears when a visitor fills out the form incorrectly by replacing the default text.

.topic 0x51837
 Customize the text for the error message that appears when a visitor fills out the form incorrectly by replacing the default text.

.topic 0x51a42
 Click this check box to change the appearance of form labels and fields that do not meet validation requirements when a visitor fills out the form. For example, if a visitor enters an invalid number in a text field with CreditCard validation applied, the field can appear with a red background when the form page refreshes to denote an incorrect field entry.

.topic 0x51a57
 Select a style for the appearance of the label when the visitor does not meet validation requirements for the corresponding field when filling out the form.

.topic 0x51a3b
 Select a style for the appearance of the label when the visitor does not meet validation requirements for the corresponding field when filling out the form.

.topic 0x51a58
 Select a style for the appearance of the field when the visitor does not meet validation requirements for the field when filling out the form.

.topic 0x51a37
 Select a style for the appearance of the field when the visitor does not meet validation requirements for the field when filling out the form.

.topic 0x51a44
 Moves the selected item up one position in the list.

.topic 0x51a45
 Moves the selected item down one position in the list.

.topic 0x51a36
 Select a style for the appearance of form labels that do not meet validation requirements.

.topic 0x51a38
 Select a style for the appearance of fields that do not meet validation requirements.

.topic 0x51a54
 Select this option to apply the field style chosen from the drop-down menu to all of the fields on the form.

.topic 0x51a55
 Select this option to apply the label style chosen from the drop-down menu to all of the labels on the form.

.topic 0x51a56
 Customize the error message that appears when form entries to not meet validation requirements by replacing the default text.

.topic 0x51a6a
 Select this option to show only first error when multiple validation errors have been made. When a visitor submits the form after correcting the first error, the remaining errors will displayed sequentially until each error has been corrected.

.topic 0x519ef
 Lists available fonts that you can apply to the selected text. If you select Browser Proportional, the default, the text changes based on the site visitor’s browser font settings.

.topic 0x519f0
 Lists available point sizes for the selected text and the corresponding HTML standard sizes.

.topic 0x519f1
 Select the unit in which to measure the size of fonts.

.topic 0x519f2
 Click to choose a new color in the Color Picker dialog.

.topic 0x519f3
 Click to choose color to highlight the selected text.

.topic 0x519f4
 Apply bold formatting to the selected text.

.topic 0x519f5
 Apply italic formatting to the selected text.

.topic 0x519f6
 Apply underline formatting to the selected text.

.topic 0x51a5a
 Displays the Object Format dialog where you can apply formatting to the contents of the selected box.

.topic 0x51a00
 Select the text style you want to apply to the text.

.topic 0x519fc
 Choose a style for the selected paragraph. The style overrides previously assigned font settings. Select Manage Styles from the Text menu to add, edit, and delete text styles.

.topic 0x51a04
 These icons show graphical illustrations of text alignment options. When the cursor is in a text box, these icons affect the current paragraph. When you are in Text in Element Settings in Page view, or Text Settings in Style view, these icons affect the relative alignment of multi-lined text only.

.topic 0x51a05
 These icons show graphical illustrations of text alignment options. When the cursor is in a text box, these icons affect the current paragraph. When you are in Text in Element Settings in Page view, or Text Settings in Style view, these icons affect the relative alignment of multi-lined text only.

.topic 0x51a06
 These icons show graphical illustrations of text alignment options. When the cursor is in a text box, these icons affect the current paragraph. When you are in Text in Element Settings in Page view, or Text Settings in Style view, these icons affect the relative alignment of multi-lined text only.

.topic 0x51a07
 These icons show graphical illustrations of text alignment options. When the cursor is in a text box, these icons affect the current paragraph. When you are in Text in Element Settings in Page view, or Text Settings in Style view, these icons affect the relative alignment of multi-lined text only.

.topic 0x519fa
 Select this option to make the selected text a numbered list.

.topic 0x519fb
 Select this option to make the selected text a bulleted list.

.topic 0x519f8
 Click to un-indent the selected text. The shortcut key for un-indent is Shift + Tab.

.topic 0x519f9
 Use to indent the selected text. The shortcut key to indent is Tab.

.topic 0x519fd
 Open the Link Dialog box to edit link properties.

.topic 0x519fe
 Click here to define the text insertion point or the selected object as an anchor. An anchor is a pre-defined place on a page to which you can make a link. To define an anchor in text, place the blinking cursor inside a text box, but do not select any text. To remove an anchor, click directly on the anchor symbol inside text, or click on the object that has an anchor defined, and then click this button. Then click Remove in the Change Anchor dialog. If you want to link the selected object or text to an anchor that is already defined, click the Link button instead and then select a page and anchor from the Internal Link tab.

.topic 0x51a59
 Removes all formatting applied to the selected text.

.topic 0x51a48
 Opens the Validate Form dialog where you can apply validation requirements to form fields. For example, you could apply a validation option to a particular field that makes it necessary for the visitor to fill in the field in order to submit it successfully.

.topic 0x5094b
 The name and values passed to the script for each item associated with the form object are listed here. Double-click a name or value to edit it. Click the add (+) button to add new values or click the remove (-) button to delete the selected value. Move an item's position in the list by selecting the item and clicking the up or down arrows.

.topic 0x500ff
 Select a type for the form object from the drop-down list.
 If the object is a button, specify whether the button is a Submit, Reset, Close Window, or other button type. A Submit button sends the data to the Web server, a Reset button clears the form, an Auto Close button closes the browser window when the button is clicked.
 If the object is a forms edit field or a forms multi-line field, specify whether it is a single-line, multiple-line, or password field. A single-line field contains a single line of text. A multiple-line field is a text box that can contain many lines of text. If this option is selected, the user’s input will appear as asterisks, and the actual input will not be visible. This is ideal if the user is sending sensitive information.
 If the object is a combo box, specify whether the list options appear in a list box or a drop-down list.

.topic 0x50574
 Select a type for the form object from the drop-down list.
 If this is for a radio button or a checkbox, this contains the value that will be returned when the form is submitted and this is selected. All checkboxes and radio buttons should have a name and a value assigned to them. Otherwise, if the option is selected, and the form is submitted, the default string "On" is returned.
 If this is for a single- or multi-line edit field, this contains default text that initially appears in the field. When the form is submitted, the new or edited text the site visitor has entered is returned.

.topic 0x51bb7
 Select a text-wrap setting to control how the visitor’s input will be displayed when the visitor enters more information than can be displayed in the defined text field. This option only applies to multiple-line text fields.
 Off prevents text from wrapping to the next line. If a visitor’s text field entry exceeds the boundary of the field, the text will scroll toward the left. Users can enter a hard return to move to the next line in the text field.
 Virtual wraps text in the text area. When the visitor’s text field exceeds the bounds of the text field, text wraps to the next line. This option is recommended when sending data to a script of a database word wrap is not applied to the data. Instead, the submitted data is sent as a single string.
 Physical wraps text in the text field as well the data when it is submitted for processing.

.topic 0x50210
 Shows a list of the available properties for various objects. Depending on which type of object is selected, you see different parameter/value combos. Click on a parameter and then edit it above. Click the small square button labeled with … to open a browse or Link dialog. Click the checkmark icon to save your changes, or the X icon to cancel the current adjustment.

.topic 0x51a7b
 This is an identifier for the selected form object.

.topic 0x51a7f
 Adds a new item.

.topic 0x51a80
 Removes the selected item.

.topic 0x51a7c
 Specify whether the list options appear in the form as a list box or a drop-down list.

.topic 0x51a81
 Hidden fields that are part of your form are displayed in this list. Click an item to select it. Click the remove (-) button to remove the selected field, or click the add (+) button to add a new hidden field to the form.

.topic 0x51a82
 Click to add a new hidden field to the form.

.topic 0x51a83
 Click to remove the selected field.

.topic 0x51a84
 This contains default text that initially appears in the field. When the form is submitted, the new or edited text the site visitor has entered is returned.

.topic 0x51bc3
 Select a text-wrap setting to control how the visitor’s input will be displayed when the visitor enters more information than can be displayed in the defined text field. This option only applies to multiple-line text fields.
 Off prevents text from wrapping to the next line. If a visitor’s text field entry exceeds the boundary of the field, the text will scroll toward the left. Users can enter a hard return to move to the next line in the text field.
 Virtual wraps text in the text area. When the visitor’s text field exceeds the bounds of the text field, text wraps to the next line. This option is recommended when sending data to a script of a database word wrap is not applied to the data. Instead, the submitted data is sent as a single string.
 Physical wraps text in the text field,  as well the data when it is submitted for processing.

.topic 0x50100
 Specify whether the form object is a single-line, multiple-line, or password field. A single-line field contains a single line of text. A multiple-line field is a text box that can contain many lines of text. If this option is selected, the user’s input will appear as asterisks, and the actual input will not be visible. This is ideal if the user is sending sensitive information.

.topic 0x51a78
 Select a button type from the drop-down list. A Submit button sends the data to the Web server, a Reset button clears the form, an Auto Close button closes the browser window when the button is clicked.

.topic 0x51a7d
 Adds a new item.

.topic 0x51a7e
 Removes the selected item.

.topic 0x51a6f
 Choose a method (Post or Get) for sending form data to the Web server.

.topic 0x51a70
 If your server requires data to be encoded in a particular format, such as MIME or BinHex, type the format here.

.topic 0x51a43
 Adjusts the maximum number of characters allowed in the field. If the box contains more text than shown in the Visible Length setting, the site visitor can view the additional text by using the arrow keys to scroll right or left.

.topic 0x505f4
 Select this option to use highlighted buttons, as defined in Style view, in the navigation bar. If you select this option, your site visitor always knows what page he or she is on, because the button for the current page always displays a distinct image. This option has no effect on text navigation bars.

.topic 0x11a25
 Opens the Open dialog to select a Flash banner or Flash Button Set Properties panel.

.topic 0x50adc
 Select a style to use for the selected banner or navigation bar. This affects the current banner or navigation bar only.

.topic 0x51aff
 Select a font family from the drop-down list.

.topic 0x51c77
 When working with multiple style sheets you may find it necessary to define the order in which the style sheet is referenced. Choose the order in which the CSS files will be imported by using the up and down arrow buttons. The CSS file from the first position on the files list will be imported first.

.topic 0x51b00
 Set the font family for the selected object.

.topic 0x51a97
 Set the font size for the selected object.

.topic 0x51a98
 Set the font size for the selected object.

.topic 0x51af3
 Set the font color for the selected object.

.topic 0x51b01
 Set the font color for the selected object.

.topic 0x51a9b
 Set the font case for the selected object.

.topic 0x51b02
 Set the font weight for the selected object: normal or bold.

.topic 0x51b03
 Set the font style for the selected object: normal or italic

.topic 0x51b04
 Add underline decoration to selected text.

.topic 0x51a95
 Add overline decoration to selected text.

.topic 0x51a96
 Add strike-through decoration to selected text.

.topic 0x51a93
 Set superscript position to text.

.topic 0x51a94
 Set subscript position to text.

.topic 0x51af5
 Sets the white-space property for the selected text.

.topic 0x51b21
 Set Set the case of the text: Upper Case, Lower Case, Capitalize, and SmallCaps.

.topic 0x51b1b
 Add upper case to selected text.

.topic 0x51b1d
 Add lower case to selected text.

.topic 0x51b1f
 Set capitalize property to selected text.

.topic 0x51b20
 Set small caps to selected text.

.topic 0x51a9f
 Set an image as background for the selected object by choosing one image from the available images in drop-down list.

.topic 0x51aa0
 Set an image as background for the selected object by choosing one image from the available images in drop-down list.

.topic 0x51aa1
 Browse for an image that will be set as background for the selected object.

.topic 0x51aa2
 Apply a background color for the selected object by pressing this button and seleting the color from the Color palette.

.topic 0x51aa3
 Set whether the selected background image is fixed or scrolls with the page.

.topic 0x51aa4
 Set if and how the background image for the selected object will be repeated: horizontal or vertical.

.topic 0x51aa6
 Select this checkbox if you want the background image for the selected object to repeat horizontally.

.topic 0x51aa7
 Select this checkbox if you want the background image for the selected object to repeat vertically.

.topic 0x51aa8
 Set the starting position of the background image for the selected object.

.topic 0x51aaa
 Set the horizontal coordinate for the background image.

.topic 0x51aab
 Set the vertical coordinate for the background image.

.topic 0x51aac
 Set the horizontal coordinate for the background image.

.topic 0x51aad
 Set the vertical coordinate for the background image.

.topic 0x51aae
 Select the unit used to set the starting position for the selected object.

.topic 0x51aaf
 Select the unit used to set the starting position for the selected object.

.topic 0x51ac5
 Set a bullet type by selecting one from the drop-down list.

.topic 0x51ac6
 Set a bullet type by selecting one from the drop-down list.

.topic 0x51ac7
 Set a bullet type by selecting an image to be used as a bullet in the list. Press this button and browse for the image that you want.

.topic 0x51ac8
 Check this option to indent wrapped lines.

.topic 0x51ae8
 Align the selected object: left, right, center, or justify. Only one option may be active at a time.

.topic 0x51ae6
 Press this button to align the selected object to the right.

.topic 0x51ae5
 Press this button to align the selected object in the center.

.topic 0x51ae3
 Press this button to align the selected object to the right.

.topic 0x51ae4
 Press this button to set the justify alignment option for selected object.

.topic 0x51ae2
 Press this button to unindent the first line of selected text.

.topic 0x51ae1
 Press this button to indent the first line of selected text.

.topic 0x51b23
 Set the height of the line. Select the values from the drop-down list, after first setting the unit.

.topic 0x51b25
 Set the height of the line. Select the values from the drop-down list, after first setting the unit.

.topic 0x51b24
 Increase or decrease the space between words.

.topic 0x51b1c
 Increase or decrease the space between words.

.topic 0x51b22
 Increase or decrease the space between characters.

.topic 0x51b1e
 Increase or decrease the space between characters.

.topic 0x51ac9
 Set uniform padding values. The CSS padding properties define the space between the element border and the element content. The left, right, top, and bottom padding can be changed independently using separate properties. When this option is checked, the controls for the top padding are enabled and the values for the top padding will be applied to the left, right, and bottom padding, also.

.topic 0x51aca
 Set the top padding of the selected object.

.topic 0x51ace
 Set the top padding of the selected object.

.topic 0x51ad2
 Select the unit that will be used to set the top padding for the selected object.

.topic 0x51acb
 Set the right padding of the selected object.

.topic 0x51acf
 Set the right padding of the selected object.

.topic 0x51ad3
 Select the unit that will be used to set the right padding for the selected object.

.topic 0x51acc
 Set the bottom padding of the selected object.

.topic 0x51ad0
 Set the bottom padding of the selected object.

.topic 0x51ad4
 Select the unit that will be used to set the bottom padding for the selected object.

.topic 0x51acd
 Set the left padding of the selected object.

.topic 0x51ad1
 Set the left padding of the selected element.

.topic 0x51ad5
 Select the unit that will be used to set the left padding for the selected object.

.topic 0x51aee
 Sets uniform margins. Margins define the space around objects. When this option is checked, the controls for top margin are enabled, and values for the top will also be applied to the left, right, and bottom margins, also.

.topic 0x51aef
 Set the top margin of the selected object.

.topic 0x51add
 Set the top margin of the selected object.

.topic 0x51ad9
 Select the unit that will be used to set the top margin for the selected object.

.topic 0x51af0
 Set the right margin of the selected object.

.topic 0x51ad6
 Set the right margin of the selected object.

.topic 0x51ada
 Select the unit that will be used to set the right margin for the selected object.

.topic 0x51af1
 Set the bottom margin of the selected object.

.topic 0x51ad7
 Set the bottom margin of the selected object.

.topic 0x51adb
 Select the unit that will be used to set the bottom margin for the selected object.

.topic 0x51af2
 Set the left margin of the selected object.

.topic 0x51ad8
 Set the left margin of the selected element.

.topic 0x51adc
 Select the unit that will be used to set the left margin for the selected object.

.topic 0x51af9
 Set the properties for the top border of the selected object.

.topic 0x50418
 Set the properties for the right border of the selected object.

.topic 0x50412
 Set the properties for the bottom border of the selected object.

.topic 0x50424
 Set the properties for the left border of the selected object.

.topic 0x51ab5
 Set the style for the top border of the selected object.

.topic 0x51ab9
 Set the style for the right border of the selected object.

.topic 0x51abd
 Set the style for the bottom border of the selected object.

.topic 0x51ac1
 Set the style for the left border of the selected object.

.topic 0x51ab6
 Set the width for the top border of the selected object.

.topic 0x51aba
 Set the width for the right border of the selected object.

.topic 0x51abe
 Set the width for the bottom border of the selected object.

.topic 0x51ac2
 Set the width for the left border of the selected object.

.topic 0x51ab8
 Set the color for the top border of the selected object.

.topic 0x51abc
 Set the color for the right border of the selected object.

.topic 0x51ac0
 Set the color for the bottom border of the selected object.

.topic 0x51ac4
 Set the color for the left border of the selected object.

.topic 0x51afa
 Enable this checkbox and the style set for the top border will be applied to the right, bottom, and left border of the selected object.

.topic 0x51afb
 Enable this checkbox and the width set for the top border will be applied to the right, bottom, and left border of the selected object.

.topic 0x50832
 Enable this checkbox and the color set for the top border will be applied to the right, bottom, and left border of the selected object.

.topic 0x51c9f
 Displays the name assigned to the current inline frame. You can change this name at any time.

.topic 0x51c94
 Displays the source page for the inline frame. To set a different source page, click the Edit Page button located to the right of this field.

.topic 0x51c95
 Click here to change the source page for the inline frame. From the Link dialog that opens, select a new source page for the inline frame.

.topic 0x51c93
 Choose a style for the selected inline frame. Select Manage Styles to create new styles and manage the existing ones.

.topic 0x51ca7
 Enter the title for the inline frame. The title will appear as a tooltip at mouse-over the inline frame on the published site, depending on the browser that is used.

.topic 0x51c9d
 Select Automatic to allow the inline frame to accept this information from the browser. Select On to display a scrollbar when the framed page is too large for the specified dimensions. Select Off to prevent the scrollbar from appearing.

.topic 0x51c96
 Check this option to apply a border to the inline frame. Clear this option if you want the page within the inline frame to appear borderless in the main page.

.topic 0x51c99
 Use the spin buttons to adjust the width of the selected inline frame.

.topic 0x51c9b
 Use the spin buttons to adjust the height of the selected inline frame.

.topic 0x51c66
 Create a name for the new tasks checklist.

.topic 0x51c88
 Link the task to a page or a file.

.topic 0x51c67
 Link the task to a command that will be executed any time the task is double-clicked.

.topic 0x50206
 As an option, you may add a detailed description of the task.

.topic 0x51c7f
 Lists all available command categories.

.topic 0x51c80
 Lists all available commands in the selected category.

.topic 0x51c68
 Lists available albums that you have created.

.topic 0x51c90
 Select Apply changes to this album only if you want the current layout and settings to be applied only to this album. Select Apply layout to all albums if you want the current layout to be applied for all the albums. If this option is enabled, a layout change on any one album will affect all others. Select Apply settings to all albums if you want the current style settings to be preserved for all the albums. Select Apply changes to all albums if you want the changes to be applied for all the albums.

.topic 0x51c69
 Saves the current settings.

.topic 0x51c59
 Type the name for the current selected photo or album. You can change the name at any time.

.topic 0x51c5b
 Add a tooltip for the selected photo. You can change the content at any time

.topic 0x51c5d
 Add a description for the selected photo. You can change its content at any time.

.topic 0x51c60
 Select how the photo should appear: thumbnail or image.

.topic 0x51c4e
 A change must be made to the default settings in order to create a new setting. Save settings… allows you to save the changes and to use these settings for other photos.

.topic 0x51c53
 Choose one format for the selected image from the drop-down list.

.topic 0x51c57
 Click Apply to all Albums to apply these settings to all the photos in the Gallery.

.topic 0x51c55
 Set the Quality field. Each setting corresponds to a range of quality.Low corresponds to 0-39%, Medium to 40-75%, High to 76-99%, and Maximum to 100%.

.topic 0x51b11
 Displays the title assigned to the selected Flash Photo Gallery. You can change the name at any time.

.topic 0x51c6c
 Create a name for the Flash photo gallery.

.topic 0x51c6d
 Lists available albums that you have created. You can create as many albums as you desire.

.topic 0x51c73
 Displays how many pages the selected album has.


.topic 0x60002
You can adjust properties for this Rectangle on the Properties panel.

.topic 0x60003
You can adjust properties for this Rounded Rectangle on the Properties panel. To vary the curve of a rounded rectangle, place the pointer over the inside corner handle until it changes to a crosshatch icon, then drag toward the inside or outside until you have the desired curve.

.topic 0x60004
You can adjust properties for this HR Rule object on the Properties panel. The HR Rule uses the Horizontal Rule HTML tag <HR>.

.topic 0x60005
You can adjust properties for this Ellipse on the Properties panel.

.topic 0x60006
You can adjust properties for this text box on the Properties panel. To edit the text inside the box, double-click inside the text box. When you are in text edit mode you can format selected text with options on the Format tab on the Properties panel. A text box can be a container for pictures or other objects.

.topic 0x60007
You can adjust properties for this Picture or NetObjects Component on the Properties panel. In some cases, this picture might be a placeholder for a component or other object. Double-click this picture to select a new image file for this object.

.topic 0x60008
You can adjust properties for this Polygon on the Properties panel.

.topic 0x60009

.topic 0x6000a
You can adjust properties for this Java Applet or NetObjects Component on the Properties panel.

.topic 0x6000b
You can adjust properties for this data list on the Properties panel. Select the data list and click Define on the Properties panel to open the Data Publishing dialog for this data list.

.topic 0x6000c

.topic 0x6000d
You can adjust properties for this Button form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x6000e
You can adjust properties for this Radio Button form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x6000f
You can adjust properties for this check box form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60010
You can adjust properties for this Edit Field form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60011

.topic 0x60012
You can adjust properties for this Combo Box form object on the Properties panel. Adjust settings from the properties tabs. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout Region, text box, table cell, or table.

.topic 0x60013
You can adjust properties for this Button form object on the Properties panel. Adjust settings from the properties tabs. Form objects must be placed within a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60014

.topic 0x60015

.topic 0x60016

.topic 0x60017

.topic 0x60018
You can adjust properties for this Rectangle Hotspot on the Properties panel. You can modify its link target by clicking the Link button. Hotspots are represented as children of picture objects in the Object Tree panel.

.topic 0x60019
 You can adjust properties for this Polygon Hotspot on the Properties panel. You can modify its link target by clicking the Link button. Hotspots are represented as children of picture objects in the Object Tree panel.

.topic 0x6001a
You can adjust properties for this Circle Hotspot on the Properties panel. You can modify its link target by clicking the Link button. Hotspots are represented as children of picture objects in the Object Tree panel.

.topic 0x6001b

.topic 0x6001c
You can adjust properties for this Shockwave object on the Properties panel.

.topic 0x6001d
You can adjust properties for this Sound object on the Properties panel.

.topic 0x6001e
You can adjust properties for this Video object on the Properties panel.

.topic 0x6001f

.topic 0x60020
You can adjust properties for this Multi-Line form object on the Properties panel. Form objects must be placed inside a form to work properly. Define a form area with the Form Area tool on the Standard toolbox, or by selecting the Form option, which is on the General tab, for a Layout, Layout Region, text box, table cell, or table.

.topic 0x60021

.topic 0x60022
You can adjust properties for this Java Applet or NetObjects Component on the Properties panel.

.topic 0x60023

.topic 0x60024
You can adjust properties for this Navigation Bar on the Properties panel.  Click the Options button on the General tab to open the Nav Bar Display dialog, where you can modify navigation and display settings. Navigation bar images and text styles are defined in Style view.

Navigation bars are auto-generated objects that automatically update button text and button links as the site’s structure is modified. Button titles are based on page names but they can also be set in the Custom Names dialog. Navigation bars contain navigation buttons, which can be individually customized.

.topic 0x60025
You can adjust properties for this Banner on the Properties panel. Banner images and text styles are defined in Style view. Banners are auto-generated objects that automatically update as pages are renamed.  Banner names are based on page names but they can also be set in the Custom Names dialog.

.topic 0x60026
You can adjust properties for this Navigation Bar on the Properties panel. Click the Options button on the General tab to open the Nav Bar Display dialog, where you can modify navigation and display settings. Navigation bar images and text styles are defined in Style view.

Navigation bars are auto-generated objects that automatically update button text and button links as the site’s structure is modified. Button titles are based on page names but they can also be set in the Custom Names dialog. Navigation bars contain navigation buttons, which can be individually customized.

.topic 0x60027
You can adjust properties for this Banner on the Properties panel. Banner images and text styles are defined in Style view. Banners are auto-generated objects that automatically update as pages are renamed. Banner names are based on page names but they can also be set in the Custom Names dialog.

.topic 0x60028

.topic 0x60029

.topic 0x6002a

.topic 0x6002b

.topic 0x6002c

.topic 0x6002d

.topic 0x6002e
You can adjust properties for this data list on the Properties panel. Select the data list and click Define on the Properties panel to open the Data Publishing dialog for this data list.

.topic 0x6002f

.topic 0x60030

.topic 0x60031
You can adjust properties for this Navigation button on the Properties panel. Button images and text styles are defined in Style view. This button is contained within a Navigation Bar. You can select a custom image for the button by double-clicking the button or by clicking Custom Image on the General tab.

.topic 0x60032
You can adjust properties for this QuickTime object on the Properties panel.

.topic 0x60033
This SiteStyle is based on the current SiteStyle, which is defined in Style view.

.topic 0x60034
You can adjust properties for this Layout Region object on the Properties panel. A Layout Region is a layout within a Layout. It can contain objects, or be a form container (check box found on General tab). Layout Regions also can have a separate or local grid (General tab). Layout Regions are useful for cascading messages with Actions, defining layers, defining multiple forms on a page, and setting a different HTML output method for only part of a page.

.topic 0x60035

.topic 0x60036
You can adjust properties for this External HTML object on the Properties panel. Add an external HTML file to the layout, and the exact same HTML is added to the HTML of the final generated page source, within the object dimensions. You have various options when placing an external HTML object that determine how the HTML is incorporated. To edit the external HTML file in the default HTML editor (specified in Options), double-click the object.

.topic 0x60037

.topic 0x60038
You can adjust properties for this Plug-In object on the Properties panel. A file of any file type (such as one which requires a browser plug-in) can be placed onto a page with the generic plug-in tool.

.topic 0x60039

.topic 0x6003a

.topic 0x6003b

.topic 0x6003c

.topic 0x6003d

.topic 0x6003e

.topic 0x6003f

.topic 0x60040

.topic 0x60041

.topic 0x100000d9
Java Beans are a type of Java applet. Unlike Java applets, which require .class files plus other types of files, Java Beans are an all-in-one implementation of Java. A single file contains everything required to run the applet. Change its properties on the Java Bean Properties panel.

.topic 0x60051

.topic 0x60052

.topic 0x60054

.topic 0x60055

.topic 0x60056

.topic 0x6006A
You can adjust properties for this Inline Frame on the Properties panel.

.topic 0x100000eb
You can adjust properties for this Banner on the Properties panel if the SiteStyle is not marked Read only. Double-click the Banner to change the image. If you set up an external file editor for .gifs or .jpegs, right-click and choose Edit Image to make changes to the existing image.

.topic 0x100000ec
You can adjust properties for this SiteStyle Line on the Properties panel if the SiteStyle is not marked Read only. Double-click the SiteStyle Line to change the image. If you have set up an external file editor for .gifs or .jpegs, right-click and choose Edit Image to make changes to the existing image.

.topic 0x100000ed
 You can adjust properties for this Button on the Properties panel if the SiteStyle is not marked Read only. Double-click the button to change the image.

.topic 0x100000ee
You can adjust properties for this Bullet on the Properties panel if the SiteStyle is not marked Read only. Double-click the Bullet to change the image. If you have set up an external file editor for .gifs or .jpegs, right-click and choose Edit Image to make changes to the existing image.

.topic 0x100000ef
On the Properties panel, you can add and adjust the width of a border around the Navigation Bar if the SiteStyle is not marked Read only. You can also adjust the spacing between the buttons of the Navigation Bar.

.topic 0x100000f0

.topic 0x61007

.topic 0x61008


Customizing the Component Manager

You can customize the component toolbar to group toolbars with similar attributes.

  1. From the File menu, choose View>Toolbars>Customize.

  2. In the customize toolbars dialog, type in a keyword that applies to the toolbars you want to group.

  3. All toolbars with that attribute will be highlighted.


Removing a Photo Page

  1. In Page view, display the photo page containing the photo you want to remove from the gallery.

  2. Click the Delete button on the views bar.

  3. Click Yes to confirm deletion.


Removing a Thumbnail

  1. In Page view, display the thumbnail page of the gallery.

  2. Select the image you want to remove and press Delete.


Removing Photos from the Images Tab

  1. In Page view, display the thumbnail page or a photo page of the gallery you want to work with.

  2. Open the Photo Gallery Properties Editor.

  3. Display the Images tab.

  4. In the File Name column, select a photo and click Remove.

Click Remove All to remove all photos from the gallery.